#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 12818
#define LARGE_STATE_COUNT 614
#define SYMBOL_COUNT 223
#define ALIAS_COUNT 5
#define TOKEN_COUNT 90
#define EXTERNAL_TOKEN_COUNT 3
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 9

enum ts_symbol_identifiers {
  sym_id = 1,
  anon_sym_forall = 2,
  anon_sym_u2200 = 3,
  anon_sym_DASH_GT = 4,
  anon_sym_u2192 = 5,
  anon_sym_BSLASH = 6,
  anon_sym_u03bb = 7,
  anon_sym_DOT_DOT_DOT = 8,
  anon_sym_u2026 = 9,
  anon_sym_field = 10,
  anon_sym_overlap = 11,
  anon_sym_COLON = 12,
  anon_sym_instance = 13,
  anon_sym_EQ = 14,
  anon_sym_with = 15,
  anon_sym_rewrite = 16,
  anon_sym_module = 17,
  anon_sym_where = 18,
  anon_sym_data = 19,
  anon_sym_codata = 20,
  anon_sym_record = 21,
  anon_sym_constructor = 22,
  anon_sym_inductive = 23,
  anon_sym_coinductive = 24,
  anon_sym_eta_DASHequality = 25,
  anon_sym_no_DASHeta_DASHequality = 26,
  anon_sym_infix = 27,
  anon_sym_infixl = 28,
  anon_sym_infixr = 29,
  anon_sym_variable = 30,
  anon_sym_mutual = 31,
  anon_sym_abstract = 32,
  anon_sym_private = 33,
  anon_sym_macro = 34,
  anon_sym_postulate = 35,
  anon_sym_primitive = 36,
  anon_sym_open = 37,
  anon_sym_import = 38,
  anon_sym_public = 39,
  anon_sym_using = 40,
  anon_sym_LPAREN = 41,
  anon_sym_RPAREN = 42,
  anon_sym_hiding = 43,
  anon_sym_renaming = 44,
  anon_sym_SEMI = 45,
  anon_sym_to = 46,
  anon_sym_LBRACE_LBRACE = 47,
  anon_sym_RBRACE_RBRACE = 48,
  anon_sym_u2983 = 49,
  anon_sym_u2984 = 50,
  anon_sym__ = 51,
  sym_pragma = 52,
  anon_sym_LBRACE_DASH_POUND = 53,
  anon_sym_CATCHALL = 54,
  anon_sym_POUND_DASH_RBRACE = 55,
  anon_sym_syntax = 56,
  anon_sym_LBRACE = 57,
  anon_sym_RBRACE = 58,
  anon_sym_pattern = 59,
  anon_sym_unquoteDecl = 60,
  anon_sym_unquoteDef = 61,
  aux_sym__qid_token1 = 62,
  anon_sym_DOT = 63,
  anon_sym_DOT_DOT = 64,
  anon_sym_DASH = 65,
  anon_sym_AT = 66,
  anon_sym_PIPE = 67,
  anon_sym_quoteGoal = 68,
  anon_sym_in = 69,
  anon_sym_tactic = 70,
  anon_sym_Prop = 71,
  anon_sym_quote = 72,
  anon_sym_quoteTerm = 73,
  anon_sym_quoteContext = 74,
  anon_sym_unquote = 75,
  anon_sym_LPAREN_PIPE = 76,
  anon_sym_PIPE_RPAREN = 77,
  anon_sym_u2987 = 78,
  anon_sym_u2988 = 79,
  anon_sym_let = 80,
  anon_sym_do = 81,
  aux_sym_integer_token1 = 82,
  aux_sym_literal_token1 = 83,
  sym_comment = 84,
  anon_sym_Set = 85,
  sym_PropN = 86,
  sym__newline = 87,
  sym__indent = 88,
  sym__dedent = 89,
  sym_source_file = 90,
  sym__FORALL = 91,
  sym__ARROW = 92,
  sym__LAMBDA = 93,
  sym__ELLIPSIS = 94,
  sym__declaration_block = 95,
  sym__declaration = 96,
  sym_fields = 97,
  sym__signature_block = 98,
  sym_signature = 99,
  sym__modal_arg_ids = 100,
  sym_function = 101,
  sym_lhs_decl = 102,
  sym_lhs_defn = 103,
  sym_rhs_decl = 104,
  sym_rhs_defn = 105,
  sym_with_expressions = 106,
  sym_rewrite_equations = 107,
  sym_where = 108,
  sym_data_name = 109,
  sym_data = 110,
  sym_data_signature = 111,
  sym_record = 112,
  sym_record_declarations_block = 113,
  sym__record_directive = 114,
  sym_record_constructor = 115,
  sym_record_constructor_instance = 116,
  sym_record_induction = 117,
  sym_record_eta = 118,
  sym_record_signature = 119,
  sym_infix = 120,
  sym_generalize = 121,
  sym_mutual = 122,
  sym_abstract = 123,
  sym_private = 124,
  sym_instance = 125,
  sym_macro = 126,
  sym_postulate = 127,
  sym_primitive = 128,
  sym__type_signature_block = 129,
  sym_type_signature = 130,
  sym_open = 131,
  sym_import = 132,
  sym_module_name = 133,
  aux_sym__import_directives = 134,
  sym_import_directive = 135,
  sym__comma_import_names = 136,
  sym_renaming = 137,
  sym__import_name = 138,
  sym_module_macro = 139,
  sym_module_application = 140,
  sym_module = 141,
  sym_catchall_pragma = 142,
  sym_syntax = 143,
  sym_hole_names = 144,
  sym_hole_name = 145,
  sym__simple_top_hole = 146,
  sym__simple_hole = 147,
  sym_pattern = 148,
  sym_unquote_decl = 149,
  sym__qid = 150,
  sym_bid = 151,
  aux_sym__ids = 152,
  sym__field_name = 153,
  aux_sym__field_names = 154,
  sym__maybe_dotted_id = 155,
  aux_sym__maybe_dotted_ids = 156,
  aux_sym__arg_ids = 157,
  sym__arg_id = 158,
  sym__binding_ids_and_absurds = 159,
  sym_attribute = 160,
  sym_attributes = 161,
  sym_expr = 162,
  sym_stmt = 163,
  sym__with_exprs = 164,
  sym__with_exprs_stmt = 165,
  sym__expr_or_attr = 166,
  sym__application = 167,
  sym__application_stmt = 168,
  sym__expr2_without_let = 169,
  sym__expr2 = 170,
  sym__expr2_stmt = 171,
  sym_atom = 172,
  aux_sym__atoms = 173,
  sym__atom_curly = 174,
  sym__atom_no_curly = 175,
  sym_forall = 176,
  sym_let = 177,
  sym_let_in_do = 178,
  sym__let_body = 179,
  sym_lambda = 180,
  sym__lambda_bindings = 181,
  sym_lambda_extended_or_absurd = 182,
  sym__lambda_clauses = 183,
  sym__lambda_clause_maybe_absurd = 184,
  sym_lambda_clause_absurd = 185,
  sym_lambda_clause = 186,
  sym_do = 187,
  sym__do_stmt = 188,
  sym_do_where = 189,
  sym_record_assignments = 190,
  sym_field_assignments = 191,
  sym__record_assignments = 192,
  sym__field_assignments = 193,
  sym__record_assignment = 194,
  sym_field_assignment = 195,
  sym_module_assignment = 196,
  aux_sym__typed_bindings = 197,
  sym_typed_binding = 198,
  aux_sym__typed_untyped_bindings = 199,
  sym__typed_untyped_binding = 200,
  sym_untyped_binding = 201,
  sym_integer = 202,
  sym_literal = 203,
  sym_SetN = 204,
  aux_sym_source_file_repeat1 = 205,
  aux_sym__signature_block_repeat1 = 206,
  aux_sym__modal_arg_ids_repeat1 = 207,
  aux_sym_record_declarations_block_repeat1 = 208,
  aux_sym_record_constructor_instance_repeat1 = 209,
  aux_sym_infix_repeat1 = 210,
  aux_sym__type_signature_block_repeat1 = 211,
  aux_sym_import_directive_repeat1 = 212,
  aux_sym__comma_import_names_repeat1 = 213,
  aux_sym_module_macro_repeat1 = 214,
  aux_sym_syntax_repeat1 = 215,
  aux_sym_hole_names_repeat1 = 216,
  aux_sym__with_exprs_repeat1 = 217,
  aux_sym__lambda_bindings_repeat1 = 218,
  aux_sym__lambda_clauses_repeat1 = 219,
  aux_sym_do_repeat1 = 220,
  aux_sym__record_assignments_repeat1 = 221,
  aux_sym__field_assignments_repeat1 = 222,
  anon_alias_sym_bid = 223,
  anon_alias_sym_data_name = 224,
  alias_sym_field_name = 225,
  alias_sym_function_name = 226,
  alias_sym_record_name = 227,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_id] = "id",
  [anon_sym_forall] = "forall",
  [anon_sym_u2200] = "\u2200",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_u2192] = "\u2192",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_u03bb] = "\u03bb",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_u2026] = "\u2026",
  [anon_sym_field] = "field",
  [anon_sym_overlap] = "overlap",
  [anon_sym_COLON] = ":",
  [anon_sym_instance] = "instance",
  [anon_sym_EQ] = "=",
  [anon_sym_with] = "with",
  [anon_sym_rewrite] = "rewrite",
  [anon_sym_module] = "module",
  [anon_sym_where] = "where",
  [anon_sym_data] = "data",
  [anon_sym_codata] = "codata",
  [anon_sym_record] = "record",
  [anon_sym_constructor] = "constructor",
  [anon_sym_inductive] = "inductive",
  [anon_sym_coinductive] = "coinductive",
  [anon_sym_eta_DASHequality] = "eta-equality",
  [anon_sym_no_DASHeta_DASHequality] = "no-eta-equality",
  [anon_sym_infix] = "infix",
  [anon_sym_infixl] = "infixl",
  [anon_sym_infixr] = "infixr",
  [anon_sym_variable] = "variable",
  [anon_sym_mutual] = "mutual",
  [anon_sym_abstract] = "abstract",
  [anon_sym_private] = "private",
  [anon_sym_macro] = "macro",
  [anon_sym_postulate] = "postulate",
  [anon_sym_primitive] = "primitive",
  [anon_sym_open] = "open",
  [anon_sym_import] = "import",
  [anon_sym_public] = "public",
  [anon_sym_using] = "using",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_hiding] = "hiding",
  [anon_sym_renaming] = "renaming",
  [anon_sym_SEMI] = ";",
  [anon_sym_to] = "to",
  [anon_sym_LBRACE_LBRACE] = "{{",
  [anon_sym_RBRACE_RBRACE] = "}}",
  [anon_sym_u2983] = "\u2983",
  [anon_sym_u2984] = "\u2984",
  [anon_sym__] = "_",
  [sym_pragma] = "pragma",
  [anon_sym_LBRACE_DASH_POUND] = "{-#",
  [anon_sym_CATCHALL] = "CATCHALL",
  [anon_sym_POUND_DASH_RBRACE] = "#-}",
  [anon_sym_syntax] = "syntax",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_pattern] = "pattern",
  [anon_sym_unquoteDecl] = "unquoteDecl",
  [anon_sym_unquoteDef] = "unquoteDef",
  [aux_sym__qid_token1] = "qid",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_DASH] = "-",
  [anon_sym_AT] = "@",
  [anon_sym_PIPE] = "|",
  [anon_sym_quoteGoal] = "quoteGoal",
  [anon_sym_in] = "in",
  [anon_sym_tactic] = "tactic",
  [anon_sym_Prop] = "Prop",
  [anon_sym_quote] = "quote",
  [anon_sym_quoteTerm] = "quoteTerm",
  [anon_sym_quoteContext] = "quoteContext",
  [anon_sym_unquote] = "unquote",
  [anon_sym_LPAREN_PIPE] = "(|",
  [anon_sym_PIPE_RPAREN] = "|)",
  [anon_sym_u2987] = "\u2987",
  [anon_sym_u2988] = "\u2988",
  [anon_sym_let] = "let",
  [anon_sym_do] = "do",
  [aux_sym_integer_token1] = "integer_token1",
  [aux_sym_literal_token1] = "literal_token1",
  [sym_comment] = "comment",
  [anon_sym_Set] = "Set",
  [sym_PropN] = "PropN",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym_source_file] = "source_file",
  [sym__FORALL] = "_FORALL",
  [sym__ARROW] = "_ARROW",
  [sym__LAMBDA] = "_LAMBDA",
  [sym__ELLIPSIS] = "_ELLIPSIS",
  [sym__declaration_block] = "_declaration_block",
  [sym__declaration] = "_declaration",
  [sym_fields] = "fields",
  [sym__signature_block] = "_signature_block",
  [sym_signature] = "signature",
  [sym__modal_arg_ids] = "_modal_arg_ids",
  [sym_function] = "function",
  [sym_lhs_decl] = "lhs",
  [sym_lhs_defn] = "lhs",
  [sym_rhs_decl] = "rhs",
  [sym_rhs_defn] = "rhs",
  [sym_with_expressions] = "with_expressions",
  [sym_rewrite_equations] = "rewrite_equations",
  [sym_where] = "where",
  [sym_data_name] = "data_name",
  [sym_data] = "data",
  [sym_data_signature] = "data_signature",
  [sym_record] = "record",
  [sym_record_declarations_block] = "record_declarations_block",
  [sym__record_directive] = "_record_directive",
  [sym_record_constructor] = "record_constructor",
  [sym_record_constructor_instance] = "record_constructor_instance",
  [sym_record_induction] = "record_induction",
  [sym_record_eta] = "record_eta",
  [sym_record_signature] = "record_signature",
  [sym_infix] = "infix",
  [sym_generalize] = "generalize",
  [sym_mutual] = "mutual",
  [sym_abstract] = "abstract",
  [sym_private] = "private",
  [sym_instance] = "instance",
  [sym_macro] = "macro",
  [sym_postulate] = "postulate",
  [sym_primitive] = "primitive",
  [sym__type_signature_block] = "_type_signature_block",
  [sym_type_signature] = "type_signature",
  [sym_open] = "open",
  [sym_import] = "import",
  [sym_module_name] = "module_name",
  [aux_sym__import_directives] = "_import_directives",
  [sym_import_directive] = "import_directive",
  [sym__comma_import_names] = "_comma_import_names",
  [sym_renaming] = "renaming",
  [sym__import_name] = "_import_name",
  [sym_module_macro] = "module_macro",
  [sym_module_application] = "module_application",
  [sym_module] = "module",
  [sym_catchall_pragma] = "catchall_pragma",
  [sym_syntax] = "syntax",
  [sym_hole_names] = "hole_names",
  [sym_hole_name] = "hole_name",
  [sym__simple_top_hole] = "_simple_top_hole",
  [sym__simple_hole] = "_simple_hole",
  [sym_pattern] = "pattern",
  [sym_unquote_decl] = "unquote_decl",
  [sym__qid] = "_qid",
  [sym_bid] = "bid",
  [aux_sym__ids] = "_ids",
  [sym__field_name] = "_field_name",
  [aux_sym__field_names] = "_field_names",
  [sym__maybe_dotted_id] = "_maybe_dotted_id",
  [aux_sym__maybe_dotted_ids] = "_maybe_dotted_ids",
  [aux_sym__arg_ids] = "_arg_ids",
  [sym__arg_id] = "_arg_id",
  [sym__binding_ids_and_absurds] = "_binding_ids_and_absurds",
  [sym_attribute] = "attribute",
  [sym_attributes] = "attributes",
  [sym_expr] = "expr",
  [sym_stmt] = "stmt",
  [sym__with_exprs] = "_with_exprs",
  [sym__with_exprs_stmt] = "_with_exprs_stmt",
  [sym__expr_or_attr] = "_expr_or_attr",
  [sym__application] = "_application",
  [sym__application_stmt] = "_application_stmt",
  [sym__expr2_without_let] = "_expr2_without_let",
  [sym__expr2] = "_expr2",
  [sym__expr2_stmt] = "_expr2_stmt",
  [sym_atom] = "atom",
  [aux_sym__atoms] = "_atoms",
  [sym__atom_curly] = "_atom_curly",
  [sym__atom_no_curly] = "_atom_no_curly",
  [sym_forall] = "forall",
  [sym_let] = "let",
  [sym_let_in_do] = "let",
  [sym__let_body] = "_let_body",
  [sym_lambda] = "lambda",
  [sym__lambda_bindings] = "_lambda_bindings",
  [sym_lambda_extended_or_absurd] = "lambda",
  [sym__lambda_clauses] = "_lambda_clauses",
  [sym__lambda_clause_maybe_absurd] = "_lambda_clause_maybe_absurd",
  [sym_lambda_clause_absurd] = "lambda_clause_absurd",
  [sym_lambda_clause] = "lambda_clause",
  [sym_do] = "do",
  [sym__do_stmt] = "_do_stmt",
  [sym_do_where] = "do_where",
  [sym_record_assignments] = "record_assignments",
  [sym_field_assignments] = "record_assignments",
  [sym__record_assignments] = "_record_assignments",
  [sym__field_assignments] = "_field_assignments",
  [sym__record_assignment] = "_record_assignment",
  [sym_field_assignment] = "field_assignment",
  [sym_module_assignment] = "module_assignment",
  [aux_sym__typed_bindings] = "_typed_bindings",
  [sym_typed_binding] = "typed_binding",
  [aux_sym__typed_untyped_bindings] = "_typed_untyped_bindings",
  [sym__typed_untyped_binding] = "_typed_untyped_binding",
  [sym_untyped_binding] = "untyped_binding",
  [sym_integer] = "integer",
  [sym_literal] = "literal",
  [sym_SetN] = "SetN",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym__signature_block_repeat1] = "_signature_block_repeat1",
  [aux_sym__modal_arg_ids_repeat1] = "_modal_arg_ids_repeat1",
  [aux_sym_record_declarations_block_repeat1] = "record_declarations_block_repeat1",
  [aux_sym_record_constructor_instance_repeat1] = "record_constructor_instance_repeat1",
  [aux_sym_infix_repeat1] = "infix_repeat1",
  [aux_sym__type_signature_block_repeat1] = "_type_signature_block_repeat1",
  [aux_sym_import_directive_repeat1] = "import_directive_repeat1",
  [aux_sym__comma_import_names_repeat1] = "_comma_import_names_repeat1",
  [aux_sym_module_macro_repeat1] = "module_macro_repeat1",
  [aux_sym_syntax_repeat1] = "syntax_repeat1",
  [aux_sym_hole_names_repeat1] = "hole_names_repeat1",
  [aux_sym__with_exprs_repeat1] = "_with_exprs_repeat1",
  [aux_sym__lambda_bindings_repeat1] = "_lambda_bindings_repeat1",
  [aux_sym__lambda_clauses_repeat1] = "_lambda_clauses_repeat1",
  [aux_sym_do_repeat1] = "do_repeat1",
  [aux_sym__record_assignments_repeat1] = "_record_assignments_repeat1",
  [aux_sym__field_assignments_repeat1] = "_field_assignments_repeat1",
  [anon_alias_sym_bid] = "bid",
  [anon_alias_sym_data_name] = "data_name",
  [alias_sym_field_name] = "field_name",
  [alias_sym_function_name] = "function_name",
  [alias_sym_record_name] = "record_name",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_id] = sym_id,
  [anon_sym_forall] = anon_sym_forall,
  [anon_sym_u2200] = anon_sym_u2200,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_u2192] = anon_sym_u2192,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_u03bb] = anon_sym_u03bb,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_u2026] = anon_sym_u2026,
  [anon_sym_field] = anon_sym_field,
  [anon_sym_overlap] = anon_sym_overlap,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_instance] = anon_sym_instance,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_rewrite] = anon_sym_rewrite,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_where] = anon_sym_where,
  [anon_sym_data] = anon_sym_data,
  [anon_sym_codata] = anon_sym_codata,
  [anon_sym_record] = anon_sym_record,
  [anon_sym_constructor] = anon_sym_constructor,
  [anon_sym_inductive] = anon_sym_inductive,
  [anon_sym_coinductive] = anon_sym_coinductive,
  [anon_sym_eta_DASHequality] = anon_sym_eta_DASHequality,
  [anon_sym_no_DASHeta_DASHequality] = anon_sym_no_DASHeta_DASHequality,
  [anon_sym_infix] = anon_sym_infix,
  [anon_sym_infixl] = anon_sym_infixl,
  [anon_sym_infixr] = anon_sym_infixr,
  [anon_sym_variable] = anon_sym_variable,
  [anon_sym_mutual] = anon_sym_mutual,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_macro] = anon_sym_macro,
  [anon_sym_postulate] = anon_sym_postulate,
  [anon_sym_primitive] = anon_sym_primitive,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_hiding] = anon_sym_hiding,
  [anon_sym_renaming] = anon_sym_renaming,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_to] = anon_sym_to,
  [anon_sym_LBRACE_LBRACE] = anon_sym_LBRACE_LBRACE,
  [anon_sym_RBRACE_RBRACE] = anon_sym_RBRACE_RBRACE,
  [anon_sym_u2983] = anon_sym_u2983,
  [anon_sym_u2984] = anon_sym_u2984,
  [anon_sym__] = anon_sym__,
  [sym_pragma] = sym_pragma,
  [anon_sym_LBRACE_DASH_POUND] = anon_sym_LBRACE_DASH_POUND,
  [anon_sym_CATCHALL] = anon_sym_CATCHALL,
  [anon_sym_POUND_DASH_RBRACE] = anon_sym_POUND_DASH_RBRACE,
  [anon_sym_syntax] = anon_sym_syntax,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_pattern] = anon_sym_pattern,
  [anon_sym_unquoteDecl] = anon_sym_unquoteDecl,
  [anon_sym_unquoteDef] = anon_sym_unquoteDef,
  [aux_sym__qid_token1] = aux_sym__qid_token1,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_quoteGoal] = anon_sym_quoteGoal,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_tactic] = anon_sym_tactic,
  [anon_sym_Prop] = anon_sym_Prop,
  [anon_sym_quote] = anon_sym_quote,
  [anon_sym_quoteTerm] = anon_sym_quoteTerm,
  [anon_sym_quoteContext] = anon_sym_quoteContext,
  [anon_sym_unquote] = anon_sym_unquote,
  [anon_sym_LPAREN_PIPE] = anon_sym_LPAREN_PIPE,
  [anon_sym_PIPE_RPAREN] = anon_sym_PIPE_RPAREN,
  [anon_sym_u2987] = anon_sym_u2987,
  [anon_sym_u2988] = anon_sym_u2988,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_do] = anon_sym_do,
  [aux_sym_integer_token1] = aux_sym_integer_token1,
  [aux_sym_literal_token1] = aux_sym_literal_token1,
  [sym_comment] = sym_comment,
  [anon_sym_Set] = anon_sym_Set,
  [sym_PropN] = sym_PropN,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym_source_file] = sym_source_file,
  [sym__FORALL] = sym__FORALL,
  [sym__ARROW] = sym__ARROW,
  [sym__LAMBDA] = sym__LAMBDA,
  [sym__ELLIPSIS] = sym__ELLIPSIS,
  [sym__declaration_block] = sym__declaration_block,
  [sym__declaration] = sym__declaration,
  [sym_fields] = sym_fields,
  [sym__signature_block] = sym__signature_block,
  [sym_signature] = sym_signature,
  [sym__modal_arg_ids] = sym__modal_arg_ids,
  [sym_function] = sym_function,
  [sym_lhs_decl] = sym_lhs_decl,
  [sym_lhs_defn] = sym_lhs_decl,
  [sym_rhs_decl] = sym_rhs_decl,
  [sym_rhs_defn] = sym_rhs_decl,
  [sym_with_expressions] = sym_with_expressions,
  [sym_rewrite_equations] = sym_rewrite_equations,
  [sym_where] = sym_where,
  [sym_data_name] = sym_data_name,
  [sym_data] = sym_data,
  [sym_data_signature] = sym_data_signature,
  [sym_record] = sym_record,
  [sym_record_declarations_block] = sym_record_declarations_block,
  [sym__record_directive] = sym__record_directive,
  [sym_record_constructor] = sym_record_constructor,
  [sym_record_constructor_instance] = sym_record_constructor_instance,
  [sym_record_induction] = sym_record_induction,
  [sym_record_eta] = sym_record_eta,
  [sym_record_signature] = sym_record_signature,
  [sym_infix] = sym_infix,
  [sym_generalize] = sym_generalize,
  [sym_mutual] = sym_mutual,
  [sym_abstract] = sym_abstract,
  [sym_private] = sym_private,
  [sym_instance] = sym_instance,
  [sym_macro] = sym_macro,
  [sym_postulate] = sym_postulate,
  [sym_primitive] = sym_primitive,
  [sym__type_signature_block] = sym__type_signature_block,
  [sym_type_signature] = sym_type_signature,
  [sym_open] = sym_open,
  [sym_import] = sym_import,
  [sym_module_name] = sym_module_name,
  [aux_sym__import_directives] = aux_sym__import_directives,
  [sym_import_directive] = sym_import_directive,
  [sym__comma_import_names] = sym__comma_import_names,
  [sym_renaming] = sym_renaming,
  [sym__import_name] = sym__import_name,
  [sym_module_macro] = sym_module_macro,
  [sym_module_application] = sym_module_application,
  [sym_module] = sym_module,
  [sym_catchall_pragma] = sym_catchall_pragma,
  [sym_syntax] = sym_syntax,
  [sym_hole_names] = sym_hole_names,
  [sym_hole_name] = sym_hole_name,
  [sym__simple_top_hole] = sym__simple_top_hole,
  [sym__simple_hole] = sym__simple_hole,
  [sym_pattern] = sym_pattern,
  [sym_unquote_decl] = sym_unquote_decl,
  [sym__qid] = sym__qid,
  [sym_bid] = sym_bid,
  [aux_sym__ids] = aux_sym__ids,
  [sym__field_name] = sym__field_name,
  [aux_sym__field_names] = aux_sym__field_names,
  [sym__maybe_dotted_id] = sym__maybe_dotted_id,
  [aux_sym__maybe_dotted_ids] = aux_sym__maybe_dotted_ids,
  [aux_sym__arg_ids] = aux_sym__arg_ids,
  [sym__arg_id] = sym__arg_id,
  [sym__binding_ids_and_absurds] = sym__binding_ids_and_absurds,
  [sym_attribute] = sym_attribute,
  [sym_attributes] = sym_attributes,
  [sym_expr] = sym_expr,
  [sym_stmt] = sym_stmt,
  [sym__with_exprs] = sym__with_exprs,
  [sym__with_exprs_stmt] = sym__with_exprs_stmt,
  [sym__expr_or_attr] = sym__expr_or_attr,
  [sym__application] = sym__application,
  [sym__application_stmt] = sym__application_stmt,
  [sym__expr2_without_let] = sym__expr2_without_let,
  [sym__expr2] = sym__expr2,
  [sym__expr2_stmt] = sym__expr2_stmt,
  [sym_atom] = sym_atom,
  [aux_sym__atoms] = aux_sym__atoms,
  [sym__atom_curly] = sym__atom_curly,
  [sym__atom_no_curly] = sym__atom_no_curly,
  [sym_forall] = sym_forall,
  [sym_let] = sym_let,
  [sym_let_in_do] = sym_let,
  [sym__let_body] = sym__let_body,
  [sym_lambda] = sym_lambda,
  [sym__lambda_bindings] = sym__lambda_bindings,
  [sym_lambda_extended_or_absurd] = sym_lambda,
  [sym__lambda_clauses] = sym__lambda_clauses,
  [sym__lambda_clause_maybe_absurd] = sym__lambda_clause_maybe_absurd,
  [sym_lambda_clause_absurd] = sym_lambda_clause_absurd,
  [sym_lambda_clause] = sym_lambda_clause,
  [sym_do] = sym_do,
  [sym__do_stmt] = sym__do_stmt,
  [sym_do_where] = sym_do_where,
  [sym_record_assignments] = sym_record_assignments,
  [sym_field_assignments] = sym_record_assignments,
  [sym__record_assignments] = sym__record_assignments,
  [sym__field_assignments] = sym__field_assignments,
  [sym__record_assignment] = sym__record_assignment,
  [sym_field_assignment] = sym_field_assignment,
  [sym_module_assignment] = sym_module_assignment,
  [aux_sym__typed_bindings] = aux_sym__typed_bindings,
  [sym_typed_binding] = sym_typed_binding,
  [aux_sym__typed_untyped_bindings] = aux_sym__typed_untyped_bindings,
  [sym__typed_untyped_binding] = sym__typed_untyped_binding,
  [sym_untyped_binding] = sym_untyped_binding,
  [sym_integer] = sym_integer,
  [sym_literal] = sym_literal,
  [sym_SetN] = sym_SetN,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym__signature_block_repeat1] = aux_sym__signature_block_repeat1,
  [aux_sym__modal_arg_ids_repeat1] = aux_sym__modal_arg_ids_repeat1,
  [aux_sym_record_declarations_block_repeat1] = aux_sym_record_declarations_block_repeat1,
  [aux_sym_record_constructor_instance_repeat1] = aux_sym_record_constructor_instance_repeat1,
  [aux_sym_infix_repeat1] = aux_sym_infix_repeat1,
  [aux_sym__type_signature_block_repeat1] = aux_sym__type_signature_block_repeat1,
  [aux_sym_import_directive_repeat1] = aux_sym_import_directive_repeat1,
  [aux_sym__comma_import_names_repeat1] = aux_sym__comma_import_names_repeat1,
  [aux_sym_module_macro_repeat1] = aux_sym_module_macro_repeat1,
  [aux_sym_syntax_repeat1] = aux_sym_syntax_repeat1,
  [aux_sym_hole_names_repeat1] = aux_sym_hole_names_repeat1,
  [aux_sym__with_exprs_repeat1] = aux_sym__with_exprs_repeat1,
  [aux_sym__lambda_bindings_repeat1] = aux_sym__lambda_bindings_repeat1,
  [aux_sym__lambda_clauses_repeat1] = aux_sym__lambda_clauses_repeat1,
  [aux_sym_do_repeat1] = aux_sym_do_repeat1,
  [aux_sym__record_assignments_repeat1] = aux_sym__record_assignments_repeat1,
  [aux_sym__field_assignments_repeat1] = aux_sym__field_assignments_repeat1,
  [anon_alias_sym_bid] = anon_alias_sym_bid,
  [anon_alias_sym_data_name] = anon_alias_sym_data_name,
  [alias_sym_field_name] = alias_sym_field_name,
  [alias_sym_function_name] = alias_sym_function_name,
  [alias_sym_record_name] = alias_sym_record_name,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_id] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_forall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2200] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2192] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u03bb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2026] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_field] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_overlap] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instance] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rewrite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_where] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_data] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_codata] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_record] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constructor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inductive] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_coinductive] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_eta_DASHequality] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_no_DASHeta_DASHequality] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infix] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infixl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infixr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_variable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_macro] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_postulate] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_primitive] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hiding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_renaming] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_to] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2983] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2984] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [sym_pragma] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE_DASH_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CATCHALL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_DASH_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_syntax] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pattern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unquoteDecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unquoteDef] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__qid_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_quoteGoal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_tactic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Prop] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_quote] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_quoteTerm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_quoteContext] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unquote] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2987] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2988] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_integer_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_Set] = {
    .visible = true,
    .named = false,
  },
  [sym_PropN] = {
    .visible = true,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__FORALL] = {
    .visible = false,
    .named = true,
  },
  [sym__ARROW] = {
    .visible = false,
    .named = true,
  },
  [sym__LAMBDA] = {
    .visible = false,
    .named = true,
  },
  [sym__ELLIPSIS] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_block] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_fields] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_block] = {
    .visible = false,
    .named = true,
  },
  [sym_signature] = {
    .visible = true,
    .named = true,
  },
  [sym__modal_arg_ids] = {
    .visible = false,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_lhs_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_lhs_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_rhs_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_rhs_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_with_expressions] = {
    .visible = true,
    .named = true,
  },
  [sym_rewrite_equations] = {
    .visible = true,
    .named = true,
  },
  [sym_where] = {
    .visible = true,
    .named = true,
  },
  [sym_data_name] = {
    .visible = true,
    .named = true,
  },
  [sym_data] = {
    .visible = true,
    .named = true,
  },
  [sym_data_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_record] = {
    .visible = true,
    .named = true,
  },
  [sym_record_declarations_block] = {
    .visible = true,
    .named = true,
  },
  [sym__record_directive] = {
    .visible = false,
    .named = true,
  },
  [sym_record_constructor] = {
    .visible = true,
    .named = true,
  },
  [sym_record_constructor_instance] = {
    .visible = true,
    .named = true,
  },
  [sym_record_induction] = {
    .visible = true,
    .named = true,
  },
  [sym_record_eta] = {
    .visible = true,
    .named = true,
  },
  [sym_record_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_infix] = {
    .visible = true,
    .named = true,
  },
  [sym_generalize] = {
    .visible = true,
    .named = true,
  },
  [sym_mutual] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract] = {
    .visible = true,
    .named = true,
  },
  [sym_private] = {
    .visible = true,
    .named = true,
  },
  [sym_instance] = {
    .visible = true,
    .named = true,
  },
  [sym_macro] = {
    .visible = true,
    .named = true,
  },
  [sym_postulate] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive] = {
    .visible = true,
    .named = true,
  },
  [sym__type_signature_block] = {
    .visible = false,
    .named = true,
  },
  [sym_type_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_open] = {
    .visible = true,
    .named = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_module_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__import_directives] = {
    .visible = false,
    .named = false,
  },
  [sym_import_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__comma_import_names] = {
    .visible = false,
    .named = true,
  },
  [sym_renaming] = {
    .visible = true,
    .named = true,
  },
  [sym__import_name] = {
    .visible = false,
    .named = true,
  },
  [sym_module_macro] = {
    .visible = true,
    .named = true,
  },
  [sym_module_application] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_catchall_pragma] = {
    .visible = true,
    .named = true,
  },
  [sym_syntax] = {
    .visible = true,
    .named = true,
  },
  [sym_hole_names] = {
    .visible = true,
    .named = true,
  },
  [sym_hole_name] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_top_hole] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_hole] = {
    .visible = false,
    .named = true,
  },
  [sym_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_unquote_decl] = {
    .visible = true,
    .named = true,
  },
  [sym__qid] = {
    .visible = false,
    .named = true,
  },
  [sym_bid] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__ids] = {
    .visible = false,
    .named = false,
  },
  [sym__field_name] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__field_names] = {
    .visible = false,
    .named = false,
  },
  [sym__maybe_dotted_id] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__maybe_dotted_ids] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__arg_ids] = {
    .visible = false,
    .named = false,
  },
  [sym__arg_id] = {
    .visible = false,
    .named = true,
  },
  [sym__binding_ids_and_absurds] = {
    .visible = false,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attributes] = {
    .visible = true,
    .named = true,
  },
  [sym_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym__with_exprs] = {
    .visible = false,
    .named = true,
  },
  [sym__with_exprs_stmt] = {
    .visible = false,
    .named = true,
  },
  [sym__expr_or_attr] = {
    .visible = false,
    .named = true,
  },
  [sym__application] = {
    .visible = false,
    .named = true,
  },
  [sym__application_stmt] = {
    .visible = false,
    .named = true,
  },
  [sym__expr2_without_let] = {
    .visible = false,
    .named = true,
  },
  [sym__expr2] = {
    .visible = false,
    .named = true,
  },
  [sym__expr2_stmt] = {
    .visible = false,
    .named = true,
  },
  [sym_atom] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__atoms] = {
    .visible = false,
    .named = false,
  },
  [sym__atom_curly] = {
    .visible = false,
    .named = true,
  },
  [sym__atom_no_curly] = {
    .visible = false,
    .named = true,
  },
  [sym_forall] = {
    .visible = true,
    .named = true,
  },
  [sym_let] = {
    .visible = true,
    .named = true,
  },
  [sym_let_in_do] = {
    .visible = true,
    .named = true,
  },
  [sym__let_body] = {
    .visible = false,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym__lambda_bindings] = {
    .visible = false,
    .named = true,
  },
  [sym_lambda_extended_or_absurd] = {
    .visible = true,
    .named = true,
  },
  [sym__lambda_clauses] = {
    .visible = false,
    .named = true,
  },
  [sym__lambda_clause_maybe_absurd] = {
    .visible = false,
    .named = true,
  },
  [sym_lambda_clause_absurd] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_do] = {
    .visible = true,
    .named = true,
  },
  [sym__do_stmt] = {
    .visible = false,
    .named = true,
  },
  [sym_do_where] = {
    .visible = true,
    .named = true,
  },
  [sym_record_assignments] = {
    .visible = true,
    .named = true,
  },
  [sym_field_assignments] = {
    .visible = true,
    .named = true,
  },
  [sym__record_assignments] = {
    .visible = false,
    .named = true,
  },
  [sym__field_assignments] = {
    .visible = false,
    .named = true,
  },
  [sym__record_assignment] = {
    .visible = false,
    .named = true,
  },
  [sym_field_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_module_assignment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__typed_bindings] = {
    .visible = false,
    .named = false,
  },
  [sym_typed_binding] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__typed_untyped_bindings] = {
    .visible = false,
    .named = false,
  },
  [sym__typed_untyped_binding] = {
    .visible = false,
    .named = true,
  },
  [sym_untyped_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_SetN] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__signature_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__modal_arg_ids_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_declarations_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_constructor_instance_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_infix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_signature_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comma_import_names_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_macro_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_syntax_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_hole_names_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__with_exprs_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__lambda_bindings_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__lambda_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_do_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__record_assignments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__field_assignments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [anon_alias_sym_bid] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_data_name] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_field_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_function_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_record_name] = {
    .visible = true,
    .named = true,
  },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = aux_sym__qid_token1,
  },
  [2] = {
    [0] = alias_sym_function_name,
  },
  [3] = {
    [0] = anon_alias_sym_data_name,
  },
  [4] = {
    [0] = anon_alias_sym_bid,
  },
  [5] = {
    [0] = alias_sym_field_name,
  },
  [6] = {
    [1] = sym_module_name,
  },
  [7] = {
    [1] = alias_sym_record_name,
  },
  [8] = {
    [2] = sym_module_name,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__qid, 2,
    sym__qid,
    sym_module_name,
  sym__with_exprs, 2,
    sym__with_exprs,
    alias_sym_function_name,
  sym__atom_no_curly, 2,
    sym__atom_no_curly,
    alias_sym_record_name,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 5,
  [7] = 5,
  [8] = 5,
  [9] = 5,
  [10] = 5,
  [11] = 5,
  [12] = 5,
  [13] = 5,
  [14] = 5,
  [15] = 5,
  [16] = 5,
  [17] = 5,
  [18] = 5,
  [19] = 5,
  [20] = 5,
  [21] = 5,
  [22] = 5,
  [23] = 5,
  [24] = 5,
  [25] = 5,
  [26] = 5,
  [27] = 5,
  [28] = 5,
  [29] = 5,
  [30] = 5,
  [31] = 5,
  [32] = 5,
  [33] = 5,
  [34] = 5,
  [35] = 5,
  [36] = 5,
  [37] = 5,
  [38] = 5,
  [39] = 5,
  [40] = 5,
  [41] = 5,
  [42] = 5,
  [43] = 5,
  [44] = 5,
  [45] = 5,
  [46] = 5,
  [47] = 5,
  [48] = 5,
  [49] = 5,
  [50] = 5,
  [51] = 5,
  [52] = 5,
  [53] = 5,
  [54] = 5,
  [55] = 5,
  [56] = 5,
  [57] = 5,
  [58] = 5,
  [59] = 5,
  [60] = 5,
  [61] = 5,
  [62] = 62,
  [63] = 62,
  [64] = 62,
  [65] = 65,
  [66] = 62,
  [67] = 62,
  [68] = 62,
  [69] = 69,
  [70] = 62,
  [71] = 62,
  [72] = 62,
  [73] = 73,
  [74] = 62,
  [75] = 62,
  [76] = 62,
  [77] = 77,
  [78] = 62,
  [79] = 62,
  [80] = 80,
  [81] = 62,
  [82] = 62,
  [83] = 62,
  [84] = 84,
  [85] = 62,
  [86] = 86,
  [87] = 62,
  [88] = 77,
  [89] = 62,
  [90] = 62,
  [91] = 62,
  [92] = 62,
  [93] = 62,
  [94] = 62,
  [95] = 62,
  [96] = 62,
  [97] = 62,
  [98] = 62,
  [99] = 62,
  [100] = 62,
  [101] = 62,
  [102] = 62,
  [103] = 62,
  [104] = 62,
  [105] = 62,
  [106] = 62,
  [107] = 62,
  [108] = 62,
  [109] = 62,
  [110] = 62,
  [111] = 62,
  [112] = 62,
  [113] = 62,
  [114] = 62,
  [115] = 62,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 116,
  [120] = 116,
  [121] = 117,
  [122] = 118,
  [123] = 116,
  [124] = 124,
  [125] = 117,
  [126] = 118,
  [127] = 117,
  [128] = 116,
  [129] = 118,
  [130] = 117,
  [131] = 118,
  [132] = 116,
  [133] = 117,
  [134] = 118,
  [135] = 116,
  [136] = 116,
  [137] = 117,
  [138] = 118,
  [139] = 116,
  [140] = 117,
  [141] = 118,
  [142] = 142,
  [143] = 116,
  [144] = 117,
  [145] = 117,
  [146] = 118,
  [147] = 118,
  [148] = 116,
  [149] = 117,
  [150] = 118,
  [151] = 117,
  [152] = 116,
  [153] = 116,
  [154] = 116,
  [155] = 118,
  [156] = 116,
  [157] = 118,
  [158] = 116,
  [159] = 117,
  [160] = 116,
  [161] = 118,
  [162] = 116,
  [163] = 116,
  [164] = 164,
  [165] = 116,
  [166] = 116,
  [167] = 116,
  [168] = 116,
  [169] = 116,
  [170] = 116,
  [171] = 116,
  [172] = 117,
  [173] = 116,
  [174] = 118,
  [175] = 116,
  [176] = 116,
  [177] = 116,
  [178] = 116,
  [179] = 179,
  [180] = 116,
  [181] = 77,
  [182] = 116,
  [183] = 117,
  [184] = 116,
  [185] = 118,
  [186] = 116,
  [187] = 116,
  [188] = 116,
  [189] = 116,
  [190] = 116,
  [191] = 117,
  [192] = 118,
  [193] = 116,
  [194] = 117,
  [195] = 118,
  [196] = 117,
  [197] = 118,
  [198] = 117,
  [199] = 118,
  [200] = 116,
  [201] = 117,
  [202] = 118,
  [203] = 116,
  [204] = 117,
  [205] = 118,
  [206] = 117,
  [207] = 118,
  [208] = 117,
  [209] = 117,
  [210] = 118,
  [211] = 118,
  [212] = 117,
  [213] = 118,
  [214] = 117,
  [215] = 118,
  [216] = 216,
  [217] = 117,
  [218] = 118,
  [219] = 116,
  [220] = 117,
  [221] = 118,
  [222] = 117,
  [223] = 118,
  [224] = 117,
  [225] = 117,
  [226] = 118,
  [227] = 117,
  [228] = 117,
  [229] = 118,
  [230] = 118,
  [231] = 117,
  [232] = 118,
  [233] = 117,
  [234] = 118,
  [235] = 118,
  [236] = 117,
  [237] = 118,
  [238] = 116,
  [239] = 117,
  [240] = 118,
  [241] = 117,
  [242] = 118,
  [243] = 117,
  [244] = 118,
  [245] = 117,
  [246] = 117,
  [247] = 118,
  [248] = 118,
  [249] = 117,
  [250] = 118,
  [251] = 117,
  [252] = 118,
  [253] = 117,
  [254] = 118,
  [255] = 116,
  [256] = 117,
  [257] = 118,
  [258] = 117,
  [259] = 116,
  [260] = 260,
  [261] = 260,
  [262] = 260,
  [263] = 260,
  [264] = 260,
  [265] = 260,
  [266] = 260,
  [267] = 260,
  [268] = 260,
  [269] = 260,
  [270] = 260,
  [271] = 260,
  [272] = 260,
  [273] = 260,
  [274] = 260,
  [275] = 260,
  [276] = 260,
  [277] = 260,
  [278] = 260,
  [279] = 279,
  [280] = 260,
  [281] = 260,
  [282] = 260,
  [283] = 260,
  [284] = 260,
  [285] = 260,
  [286] = 260,
  [287] = 260,
  [288] = 260,
  [289] = 279,
  [290] = 260,
  [291] = 260,
  [292] = 260,
  [293] = 260,
  [294] = 260,
  [295] = 260,
  [296] = 260,
  [297] = 260,
  [298] = 260,
  [299] = 279,
  [300] = 260,
  [301] = 260,
  [302] = 260,
  [303] = 260,
  [304] = 260,
  [305] = 260,
  [306] = 260,
  [307] = 260,
  [308] = 260,
  [309] = 309,
  [310] = 260,
  [311] = 260,
  [312] = 260,
  [313] = 260,
  [314] = 260,
  [315] = 260,
  [316] = 316,
  [317] = 316,
  [318] = 316,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 319,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 320,
  [328] = 321,
  [329] = 319,
  [330] = 323,
  [331] = 324,
  [332] = 325,
  [333] = 326,
  [334] = 320,
  [335] = 321,
  [336] = 319,
  [337] = 323,
  [338] = 324,
  [339] = 325,
  [340] = 326,
  [341] = 320,
  [342] = 321,
  [343] = 319,
  [344] = 323,
  [345] = 324,
  [346] = 325,
  [347] = 326,
  [348] = 320,
  [349] = 321,
  [350] = 319,
  [351] = 323,
  [352] = 324,
  [353] = 325,
  [354] = 326,
  [355] = 320,
  [356] = 321,
  [357] = 319,
  [358] = 323,
  [359] = 324,
  [360] = 325,
  [361] = 326,
  [362] = 320,
  [363] = 321,
  [364] = 319,
  [365] = 323,
  [366] = 324,
  [367] = 325,
  [368] = 326,
  [369] = 320,
  [370] = 321,
  [371] = 319,
  [372] = 323,
  [373] = 324,
  [374] = 325,
  [375] = 326,
  [376] = 320,
  [377] = 321,
  [378] = 319,
  [379] = 323,
  [380] = 324,
  [381] = 325,
  [382] = 326,
  [383] = 320,
  [384] = 321,
  [385] = 319,
  [386] = 323,
  [387] = 324,
  [388] = 325,
  [389] = 326,
  [390] = 320,
  [391] = 321,
  [392] = 319,
  [393] = 323,
  [394] = 324,
  [395] = 325,
  [396] = 326,
  [397] = 320,
  [398] = 321,
  [399] = 319,
  [400] = 323,
  [401] = 324,
  [402] = 325,
  [403] = 326,
  [404] = 320,
  [405] = 321,
  [406] = 319,
  [407] = 323,
  [408] = 324,
  [409] = 325,
  [410] = 326,
  [411] = 320,
  [412] = 321,
  [413] = 319,
  [414] = 323,
  [415] = 324,
  [416] = 325,
  [417] = 326,
  [418] = 320,
  [419] = 321,
  [420] = 319,
  [421] = 323,
  [422] = 324,
  [423] = 325,
  [424] = 326,
  [425] = 320,
  [426] = 321,
  [427] = 319,
  [428] = 323,
  [429] = 324,
  [430] = 325,
  [431] = 326,
  [432] = 320,
  [433] = 326,
  [434] = 321,
  [435] = 319,
  [436] = 323,
  [437] = 324,
  [438] = 325,
  [439] = 326,
  [440] = 320,
  [441] = 321,
  [442] = 319,
  [443] = 323,
  [444] = 324,
  [445] = 325,
  [446] = 326,
  [447] = 320,
  [448] = 320,
  [449] = 321,
  [450] = 323,
  [451] = 451,
  [452] = 324,
  [453] = 321,
  [454] = 319,
  [455] = 323,
  [456] = 324,
  [457] = 325,
  [458] = 326,
  [459] = 320,
  [460] = 325,
  [461] = 321,
  [462] = 319,
  [463] = 323,
  [464] = 324,
  [465] = 325,
  [466] = 326,
  [467] = 320,
  [468] = 321,
  [469] = 319,
  [470] = 323,
  [471] = 324,
  [472] = 325,
  [473] = 326,
  [474] = 320,
  [475] = 321,
  [476] = 319,
  [477] = 323,
  [478] = 324,
  [479] = 326,
  [480] = 326,
  [481] = 320,
  [482] = 321,
  [483] = 319,
  [484] = 323,
  [485] = 324,
  [486] = 325,
  [487] = 326,
  [488] = 320,
  [489] = 321,
  [490] = 319,
  [491] = 323,
  [492] = 324,
  [493] = 325,
  [494] = 326,
  [495] = 320,
  [496] = 321,
  [497] = 319,
  [498] = 323,
  [499] = 324,
  [500] = 325,
  [501] = 326,
  [502] = 320,
  [503] = 321,
  [504] = 319,
  [505] = 323,
  [506] = 324,
  [507] = 325,
  [508] = 326,
  [509] = 320,
  [510] = 321,
  [511] = 319,
  [512] = 323,
  [513] = 324,
  [514] = 325,
  [515] = 326,
  [516] = 320,
  [517] = 321,
  [518] = 319,
  [519] = 323,
  [520] = 324,
  [521] = 325,
  [522] = 326,
  [523] = 320,
  [524] = 321,
  [525] = 319,
  [526] = 323,
  [527] = 324,
  [528] = 325,
  [529] = 326,
  [530] = 320,
  [531] = 321,
  [532] = 319,
  [533] = 323,
  [534] = 324,
  [535] = 325,
  [536] = 326,
  [537] = 320,
  [538] = 321,
  [539] = 319,
  [540] = 323,
  [541] = 324,
  [542] = 325,
  [543] = 326,
  [544] = 320,
  [545] = 321,
  [546] = 319,
  [547] = 323,
  [548] = 324,
  [549] = 325,
  [550] = 326,
  [551] = 320,
  [552] = 321,
  [553] = 319,
  [554] = 323,
  [555] = 324,
  [556] = 325,
  [557] = 326,
  [558] = 320,
  [559] = 321,
  [560] = 319,
  [561] = 323,
  [562] = 324,
  [563] = 325,
  [564] = 326,
  [565] = 320,
  [566] = 321,
  [567] = 319,
  [568] = 323,
  [569] = 324,
  [570] = 325,
  [571] = 326,
  [572] = 320,
  [573] = 321,
  [574] = 319,
  [575] = 323,
  [576] = 324,
  [577] = 325,
  [578] = 326,
  [579] = 320,
  [580] = 321,
  [581] = 319,
  [582] = 323,
  [583] = 324,
  [584] = 325,
  [585] = 326,
  [586] = 320,
  [587] = 321,
  [588] = 319,
  [589] = 323,
  [590] = 324,
  [591] = 325,
  [592] = 326,
  [593] = 320,
  [594] = 321,
  [595] = 319,
  [596] = 323,
  [597] = 324,
  [598] = 325,
  [599] = 326,
  [600] = 320,
  [601] = 321,
  [602] = 319,
  [603] = 323,
  [604] = 324,
  [605] = 325,
  [606] = 326,
  [607] = 320,
  [608] = 321,
  [609] = 319,
  [610] = 323,
  [611] = 324,
  [612] = 325,
  [613] = 325,
  [614] = 614,
  [615] = 614,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 614,
  [620] = 616,
  [621] = 617,
  [622] = 618,
  [623] = 614,
  [624] = 616,
  [625] = 617,
  [626] = 618,
  [627] = 614,
  [628] = 616,
  [629] = 617,
  [630] = 618,
  [631] = 614,
  [632] = 616,
  [633] = 617,
  [634] = 618,
  [635] = 614,
  [636] = 616,
  [637] = 617,
  [638] = 618,
  [639] = 614,
  [640] = 616,
  [641] = 617,
  [642] = 618,
  [643] = 614,
  [644] = 616,
  [645] = 617,
  [646] = 618,
  [647] = 614,
  [648] = 616,
  [649] = 617,
  [650] = 618,
  [651] = 614,
  [652] = 616,
  [653] = 617,
  [654] = 618,
  [655] = 614,
  [656] = 616,
  [657] = 617,
  [658] = 618,
  [659] = 614,
  [660] = 616,
  [661] = 617,
  [662] = 618,
  [663] = 614,
  [664] = 616,
  [665] = 617,
  [666] = 618,
  [667] = 614,
  [668] = 616,
  [669] = 617,
  [670] = 618,
  [671] = 614,
  [672] = 616,
  [673] = 617,
  [674] = 618,
  [675] = 614,
  [676] = 616,
  [677] = 617,
  [678] = 618,
  [679] = 614,
  [680] = 616,
  [681] = 617,
  [682] = 618,
  [683] = 614,
  [684] = 616,
  [685] = 617,
  [686] = 618,
  [687] = 614,
  [688] = 616,
  [689] = 617,
  [690] = 618,
  [691] = 614,
  [692] = 616,
  [693] = 617,
  [694] = 618,
  [695] = 614,
  [696] = 616,
  [697] = 617,
  [698] = 618,
  [699] = 614,
  [700] = 616,
  [701] = 617,
  [702] = 618,
  [703] = 614,
  [704] = 616,
  [705] = 617,
  [706] = 618,
  [707] = 614,
  [708] = 616,
  [709] = 617,
  [710] = 618,
  [711] = 614,
  [712] = 616,
  [713] = 617,
  [714] = 618,
  [715] = 614,
  [716] = 616,
  [717] = 617,
  [718] = 618,
  [719] = 614,
  [720] = 616,
  [721] = 617,
  [722] = 618,
  [723] = 614,
  [724] = 616,
  [725] = 617,
  [726] = 618,
  [727] = 614,
  [728] = 616,
  [729] = 617,
  [730] = 618,
  [731] = 614,
  [732] = 616,
  [733] = 617,
  [734] = 618,
  [735] = 614,
  [736] = 616,
  [737] = 617,
  [738] = 618,
  [739] = 614,
  [740] = 616,
  [741] = 617,
  [742] = 618,
  [743] = 614,
  [744] = 616,
  [745] = 617,
  [746] = 618,
  [747] = 614,
  [748] = 616,
  [749] = 617,
  [750] = 618,
  [751] = 614,
  [752] = 616,
  [753] = 617,
  [754] = 618,
  [755] = 614,
  [756] = 616,
  [757] = 617,
  [758] = 618,
  [759] = 614,
  [760] = 616,
  [761] = 617,
  [762] = 618,
  [763] = 614,
  [764] = 616,
  [765] = 617,
  [766] = 618,
  [767] = 614,
  [768] = 616,
  [769] = 617,
  [770] = 618,
  [771] = 614,
  [772] = 616,
  [773] = 617,
  [774] = 618,
  [775] = 614,
  [776] = 616,
  [777] = 617,
  [778] = 618,
  [779] = 614,
  [780] = 616,
  [781] = 617,
  [782] = 618,
  [783] = 614,
  [784] = 616,
  [785] = 617,
  [786] = 618,
  [787] = 614,
  [788] = 616,
  [789] = 617,
  [790] = 618,
  [791] = 614,
  [792] = 616,
  [793] = 617,
  [794] = 618,
  [795] = 614,
  [796] = 616,
  [797] = 617,
  [798] = 618,
  [799] = 614,
  [800] = 616,
  [801] = 617,
  [802] = 618,
  [803] = 614,
  [804] = 616,
  [805] = 617,
  [806] = 618,
  [807] = 614,
  [808] = 616,
  [809] = 617,
  [810] = 618,
  [811] = 614,
  [812] = 616,
  [813] = 617,
  [814] = 618,
  [815] = 614,
  [816] = 616,
  [817] = 617,
  [818] = 618,
  [819] = 614,
  [820] = 616,
  [821] = 617,
  [822] = 618,
  [823] = 614,
  [824] = 616,
  [825] = 617,
  [826] = 618,
  [827] = 614,
  [828] = 616,
  [829] = 617,
  [830] = 618,
  [831] = 614,
  [832] = 616,
  [833] = 617,
  [834] = 618,
  [835] = 614,
  [836] = 616,
  [837] = 617,
  [838] = 618,
  [839] = 614,
  [840] = 616,
  [841] = 617,
  [842] = 618,
  [843] = 614,
  [844] = 616,
  [845] = 617,
  [846] = 618,
  [847] = 614,
  [848] = 616,
  [849] = 617,
  [850] = 618,
  [851] = 614,
  [852] = 616,
  [853] = 617,
  [854] = 618,
  [855] = 614,
  [856] = 616,
  [857] = 617,
  [858] = 618,
  [859] = 614,
  [860] = 616,
  [861] = 617,
  [862] = 618,
  [863] = 614,
  [864] = 616,
  [865] = 617,
  [866] = 618,
  [867] = 614,
  [868] = 616,
  [869] = 617,
  [870] = 618,
  [871] = 614,
  [872] = 616,
  [873] = 617,
  [874] = 618,
  [875] = 614,
  [876] = 616,
  [877] = 617,
  [878] = 618,
  [879] = 614,
  [880] = 616,
  [881] = 617,
  [882] = 618,
  [883] = 614,
  [884] = 616,
  [885] = 617,
  [886] = 618,
  [887] = 614,
  [888] = 616,
  [889] = 617,
  [890] = 618,
  [891] = 614,
  [892] = 616,
  [893] = 617,
  [894] = 618,
  [895] = 614,
  [896] = 616,
  [897] = 617,
  [898] = 618,
  [899] = 614,
  [900] = 616,
  [901] = 617,
  [902] = 618,
  [903] = 614,
  [904] = 616,
  [905] = 617,
  [906] = 618,
  [907] = 614,
  [908] = 616,
  [909] = 617,
  [910] = 618,
  [911] = 614,
  [912] = 616,
  [913] = 617,
  [914] = 618,
  [915] = 614,
  [916] = 616,
  [917] = 617,
  [918] = 618,
  [919] = 614,
  [920] = 616,
  [921] = 617,
  [922] = 618,
  [923] = 614,
  [924] = 616,
  [925] = 617,
  [926] = 618,
  [927] = 616,
  [928] = 616,
  [929] = 617,
  [930] = 618,
  [931] = 614,
  [932] = 616,
  [933] = 617,
  [934] = 618,
  [935] = 614,
  [936] = 616,
  [937] = 617,
  [938] = 618,
  [939] = 614,
  [940] = 616,
  [941] = 617,
  [942] = 618,
  [943] = 614,
  [944] = 616,
  [945] = 617,
  [946] = 618,
  [947] = 614,
  [948] = 616,
  [949] = 617,
  [950] = 618,
  [951] = 614,
  [952] = 616,
  [953] = 617,
  [954] = 618,
  [955] = 614,
  [956] = 616,
  [957] = 617,
  [958] = 618,
  [959] = 614,
  [960] = 616,
  [961] = 617,
  [962] = 618,
  [963] = 614,
  [964] = 616,
  [965] = 617,
  [966] = 618,
  [967] = 614,
  [968] = 616,
  [969] = 617,
  [970] = 618,
  [971] = 614,
  [972] = 616,
  [973] = 617,
  [974] = 618,
  [975] = 614,
  [976] = 616,
  [977] = 617,
  [978] = 618,
  [979] = 614,
  [980] = 616,
  [981] = 617,
  [982] = 618,
  [983] = 614,
  [984] = 616,
  [985] = 617,
  [986] = 618,
  [987] = 614,
  [988] = 616,
  [989] = 617,
  [990] = 618,
  [991] = 614,
  [992] = 616,
  [993] = 617,
  [994] = 618,
  [995] = 614,
  [996] = 616,
  [997] = 617,
  [998] = 618,
  [999] = 614,
  [1000] = 616,
  [1001] = 617,
  [1002] = 618,
  [1003] = 614,
  [1004] = 616,
  [1005] = 617,
  [1006] = 618,
  [1007] = 614,
  [1008] = 616,
  [1009] = 617,
  [1010] = 618,
  [1011] = 614,
  [1012] = 616,
  [1013] = 617,
  [1014] = 618,
  [1015] = 614,
  [1016] = 616,
  [1017] = 617,
  [1018] = 618,
  [1019] = 614,
  [1020] = 616,
  [1021] = 617,
  [1022] = 618,
  [1023] = 614,
  [1024] = 616,
  [1025] = 617,
  [1026] = 618,
  [1027] = 614,
  [1028] = 616,
  [1029] = 617,
  [1030] = 618,
  [1031] = 614,
  [1032] = 616,
  [1033] = 617,
  [1034] = 618,
  [1035] = 614,
  [1036] = 616,
  [1037] = 617,
  [1038] = 618,
  [1039] = 614,
  [1040] = 616,
  [1041] = 617,
  [1042] = 618,
  [1043] = 614,
  [1044] = 616,
  [1045] = 617,
  [1046] = 618,
  [1047] = 614,
  [1048] = 616,
  [1049] = 617,
  [1050] = 618,
  [1051] = 614,
  [1052] = 616,
  [1053] = 617,
  [1054] = 618,
  [1055] = 614,
  [1056] = 616,
  [1057] = 617,
  [1058] = 618,
  [1059] = 614,
  [1060] = 616,
  [1061] = 617,
  [1062] = 618,
  [1063] = 614,
  [1064] = 616,
  [1065] = 617,
  [1066] = 618,
  [1067] = 614,
  [1068] = 616,
  [1069] = 617,
  [1070] = 618,
  [1071] = 614,
  [1072] = 616,
  [1073] = 617,
  [1074] = 618,
  [1075] = 614,
  [1076] = 616,
  [1077] = 617,
  [1078] = 618,
  [1079] = 614,
  [1080] = 616,
  [1081] = 617,
  [1082] = 618,
  [1083] = 614,
  [1084] = 616,
  [1085] = 617,
  [1086] = 618,
  [1087] = 614,
  [1088] = 616,
  [1089] = 617,
  [1090] = 618,
  [1091] = 614,
  [1092] = 616,
  [1093] = 617,
  [1094] = 618,
  [1095] = 614,
  [1096] = 616,
  [1097] = 617,
  [1098] = 618,
  [1099] = 614,
  [1100] = 616,
  [1101] = 617,
  [1102] = 618,
  [1103] = 614,
  [1104] = 616,
  [1105] = 617,
  [1106] = 618,
  [1107] = 616,
  [1108] = 617,
  [1109] = 1109,
  [1110] = 614,
  [1111] = 617,
  [1112] = 618,
  [1113] = 616,
  [1114] = 618,
  [1115] = 614,
  [1116] = 616,
  [1117] = 617,
  [1118] = 618,
  [1119] = 614,
  [1120] = 616,
  [1121] = 617,
  [1122] = 618,
  [1123] = 1109,
  [1124] = 1109,
  [1125] = 614,
  [1126] = 1109,
  [1127] = 616,
  [1128] = 1109,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 614,
  [1132] = 616,
  [1133] = 617,
  [1134] = 618,
  [1135] = 1109,
  [1136] = 617,
  [1137] = 618,
  [1138] = 614,
  [1139] = 1129,
  [1140] = 1109,
  [1141] = 614,
  [1142] = 616,
  [1143] = 617,
  [1144] = 1130,
  [1145] = 614,
  [1146] = 616,
  [1147] = 617,
  [1148] = 618,
  [1149] = 618,
  [1150] = 614,
  [1151] = 616,
  [1152] = 617,
  [1153] = 1109,
  [1154] = 618,
  [1155] = 1109,
  [1156] = 616,
  [1157] = 614,
  [1158] = 616,
  [1159] = 617,
  [1160] = 618,
  [1161] = 617,
  [1162] = 618,
  [1163] = 614,
  [1164] = 616,
  [1165] = 1109,
  [1166] = 617,
  [1167] = 618,
  [1168] = 617,
  [1169] = 614,
  [1170] = 616,
  [1171] = 617,
  [1172] = 618,
  [1173] = 1109,
  [1174] = 618,
  [1175] = 618,
  [1176] = 1109,
  [1177] = 1109,
  [1178] = 1109,
  [1179] = 614,
  [1180] = 616,
  [1181] = 614,
  [1182] = 616,
  [1183] = 617,
  [1184] = 618,
  [1185] = 614,
  [1186] = 616,
  [1187] = 617,
  [1188] = 618,
  [1189] = 1109,
  [1190] = 617,
  [1191] = 618,
  [1192] = 1109,
  [1193] = 614,
  [1194] = 616,
  [1195] = 617,
  [1196] = 618,
  [1197] = 1109,
  [1198] = 1109,
  [1199] = 614,
  [1200] = 616,
  [1201] = 1109,
  [1202] = 1109,
  [1203] = 614,
  [1204] = 616,
  [1205] = 614,
  [1206] = 616,
  [1207] = 617,
  [1208] = 618,
  [1209] = 617,
  [1210] = 618,
  [1211] = 614,
  [1212] = 616,
  [1213] = 1109,
  [1214] = 617,
  [1215] = 614,
  [1216] = 1109,
  [1217] = 614,
  [1218] = 616,
  [1219] = 617,
  [1220] = 618,
  [1221] = 616,
  [1222] = 617,
  [1223] = 618,
  [1224] = 614,
  [1225] = 1109,
  [1226] = 616,
  [1227] = 617,
  [1228] = 618,
  [1229] = 614,
  [1230] = 616,
  [1231] = 617,
  [1232] = 618,
  [1233] = 618,
  [1234] = 1109,
  [1235] = 614,
  [1236] = 616,
  [1237] = 1109,
  [1238] = 1109,
  [1239] = 1109,
  [1240] = 617,
  [1241] = 614,
  [1242] = 616,
  [1243] = 617,
  [1244] = 618,
  [1245] = 1109,
  [1246] = 618,
  [1247] = 614,
  [1248] = 616,
  [1249] = 1109,
  [1250] = 617,
  [1251] = 618,
  [1252] = 614,
  [1253] = 614,
  [1254] = 616,
  [1255] = 617,
  [1256] = 618,
  [1257] = 616,
  [1258] = 617,
  [1259] = 618,
  [1260] = 1109,
  [1261] = 1109,
  [1262] = 617,
  [1263] = 614,
  [1264] = 614,
  [1265] = 614,
  [1266] = 616,
  [1267] = 617,
  [1268] = 618,
  [1269] = 614,
  [1270] = 616,
  [1271] = 617,
  [1272] = 618,
  [1273] = 1109,
  [1274] = 614,
  [1275] = 616,
  [1276] = 617,
  [1277] = 614,
  [1278] = 616,
  [1279] = 617,
  [1280] = 618,
  [1281] = 618,
  [1282] = 614,
  [1283] = 616,
  [1284] = 617,
  [1285] = 1109,
  [1286] = 618,
  [1287] = 614,
  [1288] = 616,
  [1289] = 614,
  [1290] = 616,
  [1291] = 617,
  [1292] = 618,
  [1293] = 617,
  [1294] = 618,
  [1295] = 614,
  [1296] = 616,
  [1297] = 1109,
  [1298] = 617,
  [1299] = 618,
  [1300] = 614,
  [1301] = 614,
  [1302] = 616,
  [1303] = 617,
  [1304] = 618,
  [1305] = 616,
  [1306] = 617,
  [1307] = 618,
  [1308] = 614,
  [1309] = 1109,
  [1310] = 616,
  [1311] = 617,
  [1312] = 618,
  [1313] = 614,
  [1314] = 616,
  [1315] = 617,
  [1316] = 618,
  [1317] = 614,
  [1318] = 616,
  [1319] = 617,
  [1320] = 618,
  [1321] = 1109,
  [1322] = 614,
  [1323] = 616,
  [1324] = 617,
  [1325] = 614,
  [1326] = 616,
  [1327] = 617,
  [1328] = 618,
  [1329] = 618,
  [1330] = 614,
  [1331] = 616,
  [1332] = 617,
  [1333] = 1109,
  [1334] = 618,
  [1335] = 614,
  [1336] = 616,
  [1337] = 614,
  [1338] = 616,
  [1339] = 617,
  [1340] = 618,
  [1341] = 617,
  [1342] = 618,
  [1343] = 614,
  [1344] = 616,
  [1345] = 1109,
  [1346] = 617,
  [1347] = 618,
  [1348] = 614,
  [1349] = 614,
  [1350] = 616,
  [1351] = 617,
  [1352] = 618,
  [1353] = 616,
  [1354] = 617,
  [1355] = 618,
  [1356] = 614,
  [1357] = 1109,
  [1358] = 616,
  [1359] = 617,
  [1360] = 618,
  [1361] = 614,
  [1362] = 616,
  [1363] = 617,
  [1364] = 618,
  [1365] = 614,
  [1366] = 616,
  [1367] = 617,
  [1368] = 618,
  [1369] = 1109,
  [1370] = 614,
  [1371] = 616,
  [1372] = 617,
  [1373] = 614,
  [1374] = 616,
  [1375] = 617,
  [1376] = 618,
  [1377] = 618,
  [1378] = 614,
  [1379] = 616,
  [1380] = 617,
  [1381] = 1109,
  [1382] = 618,
  [1383] = 614,
  [1384] = 616,
  [1385] = 614,
  [1386] = 616,
  [1387] = 617,
  [1388] = 618,
  [1389] = 617,
  [1390] = 618,
  [1391] = 614,
  [1392] = 616,
  [1393] = 1109,
  [1394] = 617,
  [1395] = 618,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1397,
  [1403] = 1398,
  [1404] = 1399,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1405,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1406,
  [1425] = 1425,
  [1426] = 1407,
  [1427] = 1401,
  [1428] = 1428,
  [1429] = 1410,
  [1430] = 1413,
  [1431] = 1414,
  [1432] = 1415,
  [1433] = 1416,
  [1434] = 1417,
  [1435] = 1421,
  [1436] = 1423,
  [1437] = 1425,
  [1438] = 1410,
  [1439] = 1401,
  [1440] = 1411,
  [1441] = 1410,
  [1442] = 1413,
  [1443] = 1414,
  [1444] = 1415,
  [1445] = 1416,
  [1446] = 1417,
  [1447] = 1421,
  [1448] = 1423,
  [1449] = 1425,
  [1450] = 1412,
  [1451] = 1413,
  [1452] = 1452,
  [1453] = 1414,
  [1454] = 1401,
  [1455] = 1410,
  [1456] = 1413,
  [1457] = 1414,
  [1458] = 1415,
  [1459] = 1416,
  [1460] = 1417,
  [1461] = 1421,
  [1462] = 1423,
  [1463] = 1425,
  [1464] = 1415,
  [1465] = 1416,
  [1466] = 1401,
  [1467] = 1417,
  [1468] = 1410,
  [1469] = 1413,
  [1470] = 1414,
  [1471] = 1415,
  [1472] = 1416,
  [1473] = 1417,
  [1474] = 1421,
  [1475] = 1423,
  [1476] = 1425,
  [1477] = 1477,
  [1478] = 1418,
  [1479] = 1479,
  [1480] = 1419,
  [1481] = 1401,
  [1482] = 1410,
  [1483] = 1413,
  [1484] = 1414,
  [1485] = 1415,
  [1486] = 1416,
  [1487] = 1417,
  [1488] = 1421,
  [1489] = 1423,
  [1490] = 1425,
  [1491] = 1420,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1401,
  [1498] = 1421,
  [1499] = 1422,
  [1500] = 1400,
  [1501] = 1410,
  [1502] = 1413,
  [1503] = 1414,
  [1504] = 1415,
  [1505] = 1416,
  [1506] = 1417,
  [1507] = 1421,
  [1508] = 1423,
  [1509] = 1425,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1423,
  [1514] = 1401,
  [1515] = 1515,
  [1516] = 1410,
  [1517] = 1413,
  [1518] = 1414,
  [1519] = 1415,
  [1520] = 1416,
  [1521] = 1417,
  [1522] = 1421,
  [1523] = 1423,
  [1524] = 1425,
  [1525] = 1396,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1401,
  [1529] = 1529,
  [1530] = 1410,
  [1531] = 1413,
  [1532] = 1414,
  [1533] = 1415,
  [1534] = 1416,
  [1535] = 1417,
  [1536] = 1421,
  [1537] = 1423,
  [1538] = 1425,
  [1539] = 1539,
  [1540] = 1425,
  [1541] = 1401,
  [1542] = 1401,
  [1543] = 1410,
  [1544] = 1413,
  [1545] = 1414,
  [1546] = 1415,
  [1547] = 1416,
  [1548] = 1417,
  [1549] = 1421,
  [1550] = 1423,
  [1551] = 1425,
  [1552] = 1401,
  [1553] = 1410,
  [1554] = 1413,
  [1555] = 1414,
  [1556] = 1415,
  [1557] = 1416,
  [1558] = 1417,
  [1559] = 1421,
  [1560] = 1423,
  [1561] = 1425,
  [1562] = 1401,
  [1563] = 1410,
  [1564] = 1413,
  [1565] = 1414,
  [1566] = 1415,
  [1567] = 1416,
  [1568] = 1417,
  [1569] = 1421,
  [1570] = 1423,
  [1571] = 1425,
  [1572] = 1401,
  [1573] = 1410,
  [1574] = 1413,
  [1575] = 1414,
  [1576] = 1415,
  [1577] = 1416,
  [1578] = 1417,
  [1579] = 1421,
  [1580] = 1423,
  [1581] = 1425,
  [1582] = 1401,
  [1583] = 1410,
  [1584] = 1413,
  [1585] = 1414,
  [1586] = 1415,
  [1587] = 1416,
  [1588] = 1417,
  [1589] = 1421,
  [1590] = 1423,
  [1591] = 1425,
  [1592] = 1401,
  [1593] = 1410,
  [1594] = 1413,
  [1595] = 1414,
  [1596] = 1415,
  [1597] = 1416,
  [1598] = 1417,
  [1599] = 1421,
  [1600] = 1423,
  [1601] = 1425,
  [1602] = 1401,
  [1603] = 1410,
  [1604] = 1413,
  [1605] = 1414,
  [1606] = 1415,
  [1607] = 1416,
  [1608] = 1417,
  [1609] = 1421,
  [1610] = 1423,
  [1611] = 1425,
  [1612] = 1401,
  [1613] = 1410,
  [1614] = 1413,
  [1615] = 1414,
  [1616] = 1415,
  [1617] = 1416,
  [1618] = 1417,
  [1619] = 1421,
  [1620] = 1423,
  [1621] = 1425,
  [1622] = 1401,
  [1623] = 1410,
  [1624] = 1413,
  [1625] = 1414,
  [1626] = 1415,
  [1627] = 1416,
  [1628] = 1417,
  [1629] = 1421,
  [1630] = 1423,
  [1631] = 1425,
  [1632] = 1401,
  [1633] = 1410,
  [1634] = 1413,
  [1635] = 1414,
  [1636] = 1415,
  [1637] = 1416,
  [1638] = 1417,
  [1639] = 1421,
  [1640] = 1423,
  [1641] = 1425,
  [1642] = 1401,
  [1643] = 1410,
  [1644] = 1413,
  [1645] = 1414,
  [1646] = 1415,
  [1647] = 1416,
  [1648] = 1417,
  [1649] = 1421,
  [1650] = 1423,
  [1651] = 1425,
  [1652] = 1401,
  [1653] = 1410,
  [1654] = 1413,
  [1655] = 1414,
  [1656] = 1415,
  [1657] = 1416,
  [1658] = 1417,
  [1659] = 1421,
  [1660] = 1423,
  [1661] = 1425,
  [1662] = 1401,
  [1663] = 1410,
  [1664] = 1413,
  [1665] = 1414,
  [1666] = 1415,
  [1667] = 1416,
  [1668] = 1417,
  [1669] = 1421,
  [1670] = 1423,
  [1671] = 1425,
  [1672] = 1401,
  [1673] = 1410,
  [1674] = 1413,
  [1675] = 1414,
  [1676] = 1415,
  [1677] = 1417,
  [1678] = 1421,
  [1679] = 1401,
  [1680] = 1410,
  [1681] = 1413,
  [1682] = 1414,
  [1683] = 1415,
  [1684] = 1417,
  [1685] = 1421,
  [1686] = 1401,
  [1687] = 1410,
  [1688] = 1413,
  [1689] = 1414,
  [1690] = 1415,
  [1691] = 1417,
  [1692] = 1421,
  [1693] = 1401,
  [1694] = 1410,
  [1695] = 1413,
  [1696] = 1414,
  [1697] = 1415,
  [1698] = 1417,
  [1699] = 1421,
  [1700] = 1401,
  [1701] = 1410,
  [1702] = 1413,
  [1703] = 1414,
  [1704] = 1415,
  [1705] = 1417,
  [1706] = 1421,
  [1707] = 1401,
  [1708] = 1410,
  [1709] = 1413,
  [1710] = 1414,
  [1711] = 1415,
  [1712] = 1417,
  [1713] = 1421,
  [1714] = 1401,
  [1715] = 1410,
  [1716] = 1413,
  [1717] = 1414,
  [1718] = 1415,
  [1719] = 1417,
  [1720] = 1421,
  [1721] = 1401,
  [1722] = 1410,
  [1723] = 1413,
  [1724] = 1414,
  [1725] = 1415,
  [1726] = 1417,
  [1727] = 1421,
  [1728] = 1401,
  [1729] = 1410,
  [1730] = 1413,
  [1731] = 1414,
  [1732] = 1415,
  [1733] = 1417,
  [1734] = 1421,
  [1735] = 1401,
  [1736] = 1410,
  [1737] = 1413,
  [1738] = 1414,
  [1739] = 1415,
  [1740] = 1417,
  [1741] = 1421,
  [1742] = 1401,
  [1743] = 1410,
  [1744] = 1413,
  [1745] = 1414,
  [1746] = 1415,
  [1747] = 1417,
  [1748] = 1421,
  [1749] = 1401,
  [1750] = 1410,
  [1751] = 1413,
  [1752] = 1414,
  [1753] = 1415,
  [1754] = 1417,
  [1755] = 1421,
  [1756] = 1401,
  [1757] = 1410,
  [1758] = 1413,
  [1759] = 1414,
  [1760] = 1415,
  [1761] = 1417,
  [1762] = 1421,
  [1763] = 1401,
  [1764] = 1410,
  [1765] = 1413,
  [1766] = 1414,
  [1767] = 1415,
  [1768] = 1417,
  [1769] = 1421,
  [1770] = 1401,
  [1771] = 1410,
  [1772] = 1413,
  [1773] = 1414,
  [1774] = 1415,
  [1775] = 1417,
  [1776] = 1421,
  [1777] = 1401,
  [1778] = 1410,
  [1779] = 1413,
  [1780] = 1414,
  [1781] = 1415,
  [1782] = 1417,
  [1783] = 1421,
  [1784] = 1401,
  [1785] = 1410,
  [1786] = 1413,
  [1787] = 1414,
  [1788] = 1415,
  [1789] = 1417,
  [1790] = 1421,
  [1791] = 1401,
  [1792] = 1410,
  [1793] = 1413,
  [1794] = 1414,
  [1795] = 1415,
  [1796] = 1417,
  [1797] = 1421,
  [1798] = 1401,
  [1799] = 1410,
  [1800] = 1413,
  [1801] = 1414,
  [1802] = 1415,
  [1803] = 1417,
  [1804] = 1421,
  [1805] = 1401,
  [1806] = 1410,
  [1807] = 1413,
  [1808] = 1414,
  [1809] = 1415,
  [1810] = 1417,
  [1811] = 1421,
  [1812] = 1401,
  [1813] = 1401,
  [1814] = 1401,
  [1815] = 1401,
  [1816] = 1401,
  [1817] = 1401,
  [1818] = 1401,
  [1819] = 1401,
  [1820] = 1401,
  [1821] = 1401,
  [1822] = 1401,
  [1823] = 1401,
  [1824] = 1401,
  [1825] = 1401,
  [1826] = 1428,
  [1827] = 1452,
  [1828] = 1510,
  [1829] = 1493,
  [1830] = 1494,
  [1831] = 1495,
  [1832] = 1496,
  [1833] = 1396,
  [1834] = 1526,
  [1835] = 1527,
  [1836] = 1529,
  [1837] = 1413,
  [1838] = 1414,
  [1839] = 1415,
  [1840] = 1417,
  [1841] = 1413,
  [1842] = 1414,
  [1843] = 1415,
  [1844] = 1417,
  [1845] = 1410,
  [1846] = 1421,
  [1847] = 1428,
  [1848] = 1452,
  [1849] = 1510,
  [1850] = 1493,
  [1851] = 1494,
  [1852] = 1495,
  [1853] = 1496,
  [1854] = 1396,
  [1855] = 1526,
  [1856] = 1527,
  [1857] = 1529,
  [1858] = 1428,
  [1859] = 1452,
  [1860] = 1510,
  [1861] = 1493,
  [1862] = 1494,
  [1863] = 1495,
  [1864] = 1496,
  [1865] = 1396,
  [1866] = 1526,
  [1867] = 1527,
  [1868] = 1529,
  [1869] = 1428,
  [1870] = 1452,
  [1871] = 1493,
  [1872] = 1494,
  [1873] = 1495,
  [1874] = 1496,
  [1875] = 1396,
  [1876] = 1526,
  [1877] = 1527,
  [1878] = 1529,
  [1879] = 1428,
  [1880] = 1452,
  [1881] = 1493,
  [1882] = 1494,
  [1883] = 1495,
  [1884] = 1496,
  [1885] = 1396,
  [1886] = 1526,
  [1887] = 1527,
  [1888] = 1529,
  [1889] = 1428,
  [1890] = 1452,
  [1891] = 1493,
  [1892] = 1494,
  [1893] = 1495,
  [1894] = 1496,
  [1895] = 1396,
  [1896] = 1526,
  [1897] = 1527,
  [1898] = 1529,
  [1899] = 1428,
  [1900] = 1452,
  [1901] = 1493,
  [1902] = 1494,
  [1903] = 1495,
  [1904] = 1496,
  [1905] = 1396,
  [1906] = 1526,
  [1907] = 1527,
  [1908] = 1529,
  [1909] = 1428,
  [1910] = 1452,
  [1911] = 1493,
  [1912] = 1494,
  [1913] = 1495,
  [1914] = 1496,
  [1915] = 1396,
  [1916] = 1526,
  [1917] = 1527,
  [1918] = 1529,
  [1919] = 1428,
  [1920] = 1452,
  [1921] = 1493,
  [1922] = 1494,
  [1923] = 1495,
  [1924] = 1496,
  [1925] = 1396,
  [1926] = 1526,
  [1927] = 1527,
  [1928] = 1529,
  [1929] = 1428,
  [1930] = 1452,
  [1931] = 1493,
  [1932] = 1494,
  [1933] = 1495,
  [1934] = 1496,
  [1935] = 1396,
  [1936] = 1526,
  [1937] = 1527,
  [1938] = 1529,
  [1939] = 1428,
  [1940] = 1452,
  [1941] = 1493,
  [1942] = 1494,
  [1943] = 1495,
  [1944] = 1496,
  [1945] = 1396,
  [1946] = 1526,
  [1947] = 1527,
  [1948] = 1529,
  [1949] = 1428,
  [1950] = 1452,
  [1951] = 1493,
  [1952] = 1494,
  [1953] = 1495,
  [1954] = 1496,
  [1955] = 1396,
  [1956] = 1526,
  [1957] = 1527,
  [1958] = 1529,
  [1959] = 1428,
  [1960] = 1452,
  [1961] = 1493,
  [1962] = 1494,
  [1963] = 1495,
  [1964] = 1496,
  [1965] = 1396,
  [1966] = 1526,
  [1967] = 1527,
  [1968] = 1529,
  [1969] = 1428,
  [1970] = 1452,
  [1971] = 1493,
  [1972] = 1494,
  [1973] = 1495,
  [1974] = 1496,
  [1975] = 1396,
  [1976] = 1526,
  [1977] = 1527,
  [1978] = 1529,
  [1979] = 1428,
  [1980] = 1452,
  [1981] = 1493,
  [1982] = 1494,
  [1983] = 1495,
  [1984] = 1496,
  [1985] = 1396,
  [1986] = 1526,
  [1987] = 1527,
  [1988] = 1529,
  [1989] = 1428,
  [1990] = 1452,
  [1991] = 1493,
  [1992] = 1494,
  [1993] = 1495,
  [1994] = 1496,
  [1995] = 1396,
  [1996] = 1526,
  [1997] = 1527,
  [1998] = 1529,
  [1999] = 1428,
  [2000] = 1452,
  [2001] = 1493,
  [2002] = 1494,
  [2003] = 1495,
  [2004] = 1496,
  [2005] = 1396,
  [2006] = 1526,
  [2007] = 1527,
  [2008] = 1529,
  [2009] = 1428,
  [2010] = 1452,
  [2011] = 1493,
  [2012] = 1494,
  [2013] = 1495,
  [2014] = 1496,
  [2015] = 1396,
  [2016] = 1526,
  [2017] = 1527,
  [2018] = 1529,
  [2019] = 1428,
  [2020] = 1452,
  [2021] = 1493,
  [2022] = 1494,
  [2023] = 1495,
  [2024] = 1496,
  [2025] = 1396,
  [2026] = 1526,
  [2027] = 1527,
  [2028] = 1529,
  [2029] = 1428,
  [2030] = 1452,
  [2031] = 1493,
  [2032] = 1494,
  [2033] = 1495,
  [2034] = 1496,
  [2035] = 1396,
  [2036] = 1526,
  [2037] = 1527,
  [2038] = 1529,
  [2039] = 1428,
  [2040] = 1452,
  [2041] = 1493,
  [2042] = 1417,
  [2043] = 1495,
  [2044] = 1496,
  [2045] = 1396,
  [2046] = 1526,
  [2047] = 1527,
  [2048] = 1529,
  [2049] = 1428,
  [2050] = 1452,
  [2051] = 1493,
  [2052] = 1494,
  [2053] = 1495,
  [2054] = 1496,
  [2055] = 1396,
  [2056] = 1526,
  [2057] = 1527,
  [2058] = 1529,
  [2059] = 1428,
  [2060] = 1452,
  [2061] = 1493,
  [2062] = 1494,
  [2063] = 1495,
  [2064] = 1496,
  [2065] = 1396,
  [2066] = 1526,
  [2067] = 1527,
  [2068] = 1529,
  [2069] = 1428,
  [2070] = 1452,
  [2071] = 1493,
  [2072] = 1494,
  [2073] = 1495,
  [2074] = 1496,
  [2075] = 1396,
  [2076] = 1526,
  [2077] = 1527,
  [2078] = 1529,
  [2079] = 1428,
  [2080] = 1452,
  [2081] = 1493,
  [2082] = 1494,
  [2083] = 1495,
  [2084] = 1496,
  [2085] = 1396,
  [2086] = 1526,
  [2087] = 1527,
  [2088] = 1529,
  [2089] = 1428,
  [2090] = 1452,
  [2091] = 1493,
  [2092] = 1494,
  [2093] = 1495,
  [2094] = 1496,
  [2095] = 1396,
  [2096] = 1526,
  [2097] = 1527,
  [2098] = 1529,
  [2099] = 1428,
  [2100] = 1452,
  [2101] = 1493,
  [2102] = 1494,
  [2103] = 1495,
  [2104] = 1496,
  [2105] = 1396,
  [2106] = 1526,
  [2107] = 1527,
  [2108] = 1529,
  [2109] = 1428,
  [2110] = 1452,
  [2111] = 1493,
  [2112] = 1494,
  [2113] = 1495,
  [2114] = 1496,
  [2115] = 1396,
  [2116] = 1526,
  [2117] = 1527,
  [2118] = 1529,
  [2119] = 1428,
  [2120] = 1452,
  [2121] = 1493,
  [2122] = 1494,
  [2123] = 1495,
  [2124] = 1496,
  [2125] = 1396,
  [2126] = 1526,
  [2127] = 1527,
  [2128] = 1529,
  [2129] = 1428,
  [2130] = 1452,
  [2131] = 1493,
  [2132] = 1494,
  [2133] = 1495,
  [2134] = 1496,
  [2135] = 1396,
  [2136] = 1526,
  [2137] = 1527,
  [2138] = 1529,
  [2139] = 1428,
  [2140] = 1452,
  [2141] = 1493,
  [2142] = 1494,
  [2143] = 1495,
  [2144] = 1496,
  [2145] = 1396,
  [2146] = 1526,
  [2147] = 1527,
  [2148] = 1529,
  [2149] = 1428,
  [2150] = 1452,
  [2151] = 1493,
  [2152] = 1494,
  [2153] = 1495,
  [2154] = 1496,
  [2155] = 1396,
  [2156] = 1526,
  [2157] = 1527,
  [2158] = 1529,
  [2159] = 1428,
  [2160] = 1452,
  [2161] = 1493,
  [2162] = 1494,
  [2163] = 1495,
  [2164] = 1496,
  [2165] = 1396,
  [2166] = 1526,
  [2167] = 1527,
  [2168] = 1529,
  [2169] = 1428,
  [2170] = 1452,
  [2171] = 1493,
  [2172] = 1494,
  [2173] = 1495,
  [2174] = 1496,
  [2175] = 1396,
  [2176] = 1526,
  [2177] = 1527,
  [2178] = 1529,
  [2179] = 1428,
  [2180] = 1452,
  [2181] = 1493,
  [2182] = 1494,
  [2183] = 1495,
  [2184] = 1496,
  [2185] = 1526,
  [2186] = 1527,
  [2187] = 1529,
  [2188] = 1428,
  [2189] = 1452,
  [2190] = 1493,
  [2191] = 1494,
  [2192] = 1495,
  [2193] = 1496,
  [2194] = 1396,
  [2195] = 1526,
  [2196] = 1527,
  [2197] = 1529,
  [2198] = 1428,
  [2199] = 1452,
  [2200] = 1493,
  [2201] = 1494,
  [2202] = 1495,
  [2203] = 1496,
  [2204] = 1396,
  [2205] = 1526,
  [2206] = 1527,
  [2207] = 1529,
  [2208] = 1428,
  [2209] = 1452,
  [2210] = 1493,
  [2211] = 1494,
  [2212] = 1495,
  [2213] = 1496,
  [2214] = 1396,
  [2215] = 1526,
  [2216] = 1527,
  [2217] = 1529,
  [2218] = 1428,
  [2219] = 1452,
  [2220] = 1493,
  [2221] = 1494,
  [2222] = 1495,
  [2223] = 1496,
  [2224] = 1396,
  [2225] = 1526,
  [2226] = 1527,
  [2227] = 1529,
  [2228] = 1428,
  [2229] = 1452,
  [2230] = 1493,
  [2231] = 1494,
  [2232] = 1495,
  [2233] = 1496,
  [2234] = 1396,
  [2235] = 1526,
  [2236] = 1527,
  [2237] = 1529,
  [2238] = 1428,
  [2239] = 1452,
  [2240] = 1493,
  [2241] = 1494,
  [2242] = 1495,
  [2243] = 1496,
  [2244] = 1396,
  [2245] = 1526,
  [2246] = 1527,
  [2247] = 1529,
  [2248] = 1428,
  [2249] = 1452,
  [2250] = 1493,
  [2251] = 1494,
  [2252] = 1495,
  [2253] = 1496,
  [2254] = 1396,
  [2255] = 1526,
  [2256] = 1527,
  [2257] = 1529,
  [2258] = 1428,
  [2259] = 1452,
  [2260] = 1493,
  [2261] = 1494,
  [2262] = 1495,
  [2263] = 1496,
  [2264] = 1396,
  [2265] = 1526,
  [2266] = 1527,
  [2267] = 1529,
  [2268] = 1428,
  [2269] = 1452,
  [2270] = 1493,
  [2271] = 1494,
  [2272] = 1495,
  [2273] = 1496,
  [2274] = 1396,
  [2275] = 1526,
  [2276] = 1527,
  [2277] = 1529,
  [2278] = 1428,
  [2279] = 1452,
  [2280] = 1493,
  [2281] = 1494,
  [2282] = 1495,
  [2283] = 1496,
  [2284] = 1396,
  [2285] = 1526,
  [2286] = 1527,
  [2287] = 1529,
  [2288] = 1428,
  [2289] = 1452,
  [2290] = 1493,
  [2291] = 1494,
  [2292] = 1495,
  [2293] = 1496,
  [2294] = 1396,
  [2295] = 1526,
  [2296] = 1527,
  [2297] = 1529,
  [2298] = 1428,
  [2299] = 1452,
  [2300] = 1493,
  [2301] = 1494,
  [2302] = 1495,
  [2303] = 1496,
  [2304] = 1396,
  [2305] = 1526,
  [2306] = 1527,
  [2307] = 1529,
  [2308] = 1428,
  [2309] = 1452,
  [2310] = 1493,
  [2311] = 1494,
  [2312] = 1495,
  [2313] = 1496,
  [2314] = 1396,
  [2315] = 1526,
  [2316] = 1527,
  [2317] = 1529,
  [2318] = 1428,
  [2319] = 1452,
  [2320] = 1493,
  [2321] = 1494,
  [2322] = 1495,
  [2323] = 1496,
  [2324] = 1396,
  [2325] = 1526,
  [2326] = 1527,
  [2327] = 1529,
  [2328] = 1428,
  [2329] = 1452,
  [2330] = 1493,
  [2331] = 1494,
  [2332] = 1495,
  [2333] = 1496,
  [2334] = 1396,
  [2335] = 1526,
  [2336] = 1527,
  [2337] = 1529,
  [2338] = 1428,
  [2339] = 1452,
  [2340] = 1493,
  [2341] = 1494,
  [2342] = 1495,
  [2343] = 1496,
  [2344] = 1396,
  [2345] = 1526,
  [2346] = 1527,
  [2347] = 1529,
  [2348] = 1428,
  [2349] = 1452,
  [2350] = 1493,
  [2351] = 1494,
  [2352] = 1495,
  [2353] = 1496,
  [2354] = 1396,
  [2355] = 1526,
  [2356] = 1527,
  [2357] = 1529,
  [2358] = 1428,
  [2359] = 1452,
  [2360] = 1493,
  [2361] = 1494,
  [2362] = 1495,
  [2363] = 1496,
  [2364] = 1396,
  [2365] = 1526,
  [2366] = 1527,
  [2367] = 1529,
  [2368] = 1428,
  [2369] = 1452,
  [2370] = 1493,
  [2371] = 1494,
  [2372] = 1495,
  [2373] = 1496,
  [2374] = 1396,
  [2375] = 1526,
  [2376] = 1527,
  [2377] = 1529,
  [2378] = 1428,
  [2379] = 1452,
  [2380] = 1493,
  [2381] = 1494,
  [2382] = 1495,
  [2383] = 1496,
  [2384] = 1396,
  [2385] = 1526,
  [2386] = 1527,
  [2387] = 1529,
  [2388] = 1428,
  [2389] = 1452,
  [2390] = 1493,
  [2391] = 1494,
  [2392] = 1495,
  [2393] = 1496,
  [2394] = 1396,
  [2395] = 1526,
  [2396] = 1527,
  [2397] = 1529,
  [2398] = 1428,
  [2399] = 1452,
  [2400] = 1428,
  [2401] = 1452,
  [2402] = 1428,
  [2403] = 1452,
  [2404] = 1428,
  [2405] = 1452,
  [2406] = 1428,
  [2407] = 1452,
  [2408] = 1428,
  [2409] = 1452,
  [2410] = 1428,
  [2411] = 1452,
  [2412] = 1428,
  [2413] = 1452,
  [2414] = 1428,
  [2415] = 1452,
  [2416] = 1428,
  [2417] = 1452,
  [2418] = 1428,
  [2419] = 1452,
  [2420] = 1428,
  [2421] = 1452,
  [2422] = 1428,
  [2423] = 1452,
  [2424] = 1428,
  [2425] = 1452,
  [2426] = 1428,
  [2427] = 1452,
  [2428] = 1428,
  [2429] = 1452,
  [2430] = 1428,
  [2431] = 1452,
  [2432] = 1428,
  [2433] = 1452,
  [2434] = 1428,
  [2435] = 1452,
  [2436] = 1428,
  [2437] = 1452,
  [2438] = 1428,
  [2439] = 1452,
  [2440] = 1428,
  [2441] = 1452,
  [2442] = 1428,
  [2443] = 1452,
  [2444] = 1428,
  [2445] = 1452,
  [2446] = 1428,
  [2447] = 1452,
  [2448] = 1428,
  [2449] = 1452,
  [2450] = 1428,
  [2451] = 1452,
  [2452] = 1428,
  [2453] = 1452,
  [2454] = 1428,
  [2455] = 1452,
  [2456] = 1428,
  [2457] = 1452,
  [2458] = 1428,
  [2459] = 1452,
  [2460] = 1428,
  [2461] = 1452,
  [2462] = 1428,
  [2463] = 1452,
  [2464] = 1428,
  [2465] = 1452,
  [2466] = 1428,
  [2467] = 1452,
  [2468] = 1428,
  [2469] = 1452,
  [2470] = 1428,
  [2471] = 1452,
  [2472] = 1428,
  [2473] = 1452,
  [2474] = 1428,
  [2475] = 1452,
  [2476] = 1428,
  [2477] = 1452,
  [2478] = 1428,
  [2479] = 1452,
  [2480] = 1428,
  [2481] = 1452,
  [2482] = 1428,
  [2483] = 1452,
  [2484] = 1428,
  [2485] = 1452,
  [2486] = 1428,
  [2487] = 1452,
  [2488] = 1428,
  [2489] = 1452,
  [2490] = 1428,
  [2491] = 1452,
  [2492] = 1428,
  [2493] = 1452,
  [2494] = 1428,
  [2495] = 1452,
  [2496] = 1428,
  [2497] = 1452,
  [2498] = 1428,
  [2499] = 1452,
  [2500] = 1428,
  [2501] = 1452,
  [2502] = 1428,
  [2503] = 1452,
  [2504] = 1428,
  [2505] = 1452,
  [2506] = 1428,
  [2507] = 1452,
  [2508] = 1428,
  [2509] = 1452,
  [2510] = 1428,
  [2511] = 1452,
  [2512] = 1428,
  [2513] = 1452,
  [2514] = 1428,
  [2515] = 1452,
  [2516] = 1428,
  [2517] = 1452,
  [2518] = 1428,
  [2519] = 1452,
  [2520] = 1428,
  [2521] = 1452,
  [2522] = 1428,
  [2523] = 1452,
  [2524] = 1428,
  [2525] = 1452,
  [2526] = 1428,
  [2527] = 1452,
  [2528] = 1428,
  [2529] = 1452,
  [2530] = 1428,
  [2531] = 1452,
  [2532] = 1428,
  [2533] = 1452,
  [2534] = 1428,
  [2535] = 1452,
  [2536] = 1428,
  [2537] = 1452,
  [2538] = 1428,
  [2539] = 1452,
  [2540] = 1428,
  [2541] = 1452,
  [2542] = 1428,
  [2543] = 1452,
  [2544] = 1428,
  [2545] = 1452,
  [2546] = 1428,
  [2547] = 1452,
  [2548] = 1428,
  [2549] = 1452,
  [2550] = 1428,
  [2551] = 1452,
  [2552] = 1428,
  [2553] = 1452,
  [2554] = 1428,
  [2555] = 1452,
  [2556] = 1428,
  [2557] = 1452,
  [2558] = 1428,
  [2559] = 1452,
  [2560] = 1428,
  [2561] = 1452,
  [2562] = 1428,
  [2563] = 1452,
  [2564] = 1428,
  [2565] = 1452,
  [2566] = 1428,
  [2567] = 1452,
  [2568] = 1428,
  [2569] = 1452,
  [2570] = 1428,
  [2571] = 1452,
  [2572] = 1428,
  [2573] = 1452,
  [2574] = 1428,
  [2575] = 1452,
  [2576] = 1428,
  [2577] = 1452,
  [2578] = 1428,
  [2579] = 1452,
  [2580] = 1428,
  [2581] = 1452,
  [2582] = 1428,
  [2583] = 1452,
  [2584] = 1428,
  [2585] = 1452,
  [2586] = 1428,
  [2587] = 1452,
  [2588] = 1428,
  [2589] = 1452,
  [2590] = 1428,
  [2591] = 1452,
  [2592] = 1428,
  [2593] = 1452,
  [2594] = 1428,
  [2595] = 1452,
  [2596] = 1428,
  [2597] = 1452,
  [2598] = 1428,
  [2599] = 1452,
  [2600] = 1428,
  [2601] = 1452,
  [2602] = 1428,
  [2603] = 1452,
  [2604] = 1428,
  [2605] = 1452,
  [2606] = 1428,
  [2607] = 1452,
  [2608] = 1428,
  [2609] = 1452,
  [2610] = 1428,
  [2611] = 1452,
  [2612] = 1428,
  [2613] = 1452,
  [2614] = 1428,
  [2615] = 1452,
  [2616] = 1428,
  [2617] = 1452,
  [2618] = 1428,
  [2619] = 1452,
  [2620] = 1428,
  [2621] = 1452,
  [2622] = 1428,
  [2623] = 1452,
  [2624] = 1428,
  [2625] = 1452,
  [2626] = 1428,
  [2627] = 1452,
  [2628] = 1428,
  [2629] = 1452,
  [2630] = 1428,
  [2631] = 1452,
  [2632] = 1428,
  [2633] = 1452,
  [2634] = 1428,
  [2635] = 1452,
  [2636] = 1428,
  [2637] = 1452,
  [2638] = 1428,
  [2639] = 1452,
  [2640] = 1428,
  [2641] = 1452,
  [2642] = 1428,
  [2643] = 1452,
  [2644] = 1428,
  [2645] = 1452,
  [2646] = 1428,
  [2647] = 1452,
  [2648] = 1428,
  [2649] = 1452,
  [2650] = 1428,
  [2651] = 1452,
  [2652] = 1410,
  [2653] = 1421,
  [2654] = 1410,
  [2655] = 1421,
  [2656] = 1413,
  [2657] = 1414,
  [2658] = 1415,
  [2659] = 1494,
  [2660] = 2660,
  [2661] = 2660,
  [2662] = 2662,
  [2663] = 2663,
  [2664] = 2660,
  [2665] = 2662,
  [2666] = 2660,
  [2667] = 2662,
  [2668] = 2660,
  [2669] = 2662,
  [2670] = 2660,
  [2671] = 2662,
  [2672] = 2663,
  [2673] = 2660,
  [2674] = 2662,
  [2675] = 2660,
  [2676] = 2662,
  [2677] = 2660,
  [2678] = 2662,
  [2679] = 2663,
  [2680] = 2663,
  [2681] = 2663,
  [2682] = 2663,
  [2683] = 2663,
  [2684] = 2663,
  [2685] = 2660,
  [2686] = 2662,
  [2687] = 2660,
  [2688] = 2662,
  [2689] = 2660,
  [2690] = 2662,
  [2691] = 2660,
  [2692] = 2662,
  [2693] = 2663,
  [2694] = 2662,
  [2695] = 2660,
  [2696] = 2662,
  [2697] = 2660,
  [2698] = 2662,
  [2699] = 2660,
  [2700] = 2662,
  [2701] = 2660,
  [2702] = 2662,
  [2703] = 2703,
  [2704] = 2663,
  [2705] = 2660,
  [2706] = 2662,
  [2707] = 2663,
  [2708] = 2663,
  [2709] = 2660,
  [2710] = 2662,
  [2711] = 2663,
  [2712] = 2660,
  [2713] = 2660,
  [2714] = 2662,
  [2715] = 2660,
  [2716] = 2662,
  [2717] = 2662,
  [2718] = 2663,
  [2719] = 2660,
  [2720] = 2662,
  [2721] = 2663,
  [2722] = 2660,
  [2723] = 2662,
  [2724] = 2663,
  [2725] = 2663,
  [2726] = 2660,
  [2727] = 2662,
  [2728] = 2663,
  [2729] = 2663,
  [2730] = 2660,
  [2731] = 2662,
  [2732] = 2660,
  [2733] = 2662,
  [2734] = 2663,
  [2735] = 2663,
  [2736] = 2663,
  [2737] = 2663,
  [2738] = 2660,
  [2739] = 2662,
  [2740] = 2660,
  [2741] = 2662,
  [2742] = 2660,
  [2743] = 2662,
  [2744] = 2660,
  [2745] = 2662,
  [2746] = 2663,
  [2747] = 2663,
  [2748] = 2663,
  [2749] = 2663,
  [2750] = 2663,
  [2751] = 2660,
  [2752] = 2662,
  [2753] = 2660,
  [2754] = 2662,
  [2755] = 2663,
  [2756] = 2663,
  [2757] = 2663,
  [2758] = 2663,
  [2759] = 2660,
  [2760] = 2662,
  [2761] = 2663,
  [2762] = 2663,
  [2763] = 2660,
  [2764] = 2662,
  [2765] = 2663,
  [2766] = 2663,
  [2767] = 2660,
  [2768] = 2662,
  [2769] = 2660,
  [2770] = 2662,
  [2771] = 2663,
  [2772] = 2663,
  [2773] = 2660,
  [2774] = 2662,
  [2775] = 2660,
  [2776] = 2660,
  [2777] = 2662,
  [2778] = 2662,
  [2779] = 2663,
  [2780] = 2663,
  [2781] = 2663,
  [2782] = 2663,
  [2783] = 2663,
  [2784] = 2663,
  [2785] = 2660,
  [2786] = 2660,
  [2787] = 2662,
  [2788] = 2663,
  [2789] = 2660,
  [2790] = 2660,
  [2791] = 2662,
  [2792] = 2662,
  [2793] = 2660,
  [2794] = 2662,
  [2795] = 2663,
  [2796] = 2663,
  [2797] = 2660,
  [2798] = 2662,
  [2799] = 2660,
  [2800] = 2662,
  [2801] = 2663,
  [2802] = 2663,
  [2803] = 2660,
  [2804] = 2662,
  [2805] = 2663,
  [2806] = 2663,
  [2807] = 2663,
  [2808] = 2663,
  [2809] = 2663,
  [2810] = 2663,
  [2811] = 2660,
  [2812] = 2662,
  [2813] = 2660,
  [2814] = 2662,
  [2815] = 2660,
  [2816] = 2662,
  [2817] = 2660,
  [2818] = 2662,
  [2819] = 2663,
  [2820] = 2663,
  [2821] = 2660,
  [2822] = 2662,
  [2823] = 2663,
  [2824] = 2663,
  [2825] = 2662,
  [2826] = 2826,
  [2827] = 2826,
  [2828] = 2826,
  [2829] = 2826,
  [2830] = 2826,
  [2831] = 2826,
  [2832] = 2832,
  [2833] = 2832,
  [2834] = 2834,
  [2835] = 2835,
  [2836] = 2836,
  [2837] = 2837,
  [2838] = 2832,
  [2839] = 2834,
  [2840] = 2835,
  [2841] = 2836,
  [2842] = 2837,
  [2843] = 2835,
  [2844] = 2832,
  [2845] = 2834,
  [2846] = 2836,
  [2847] = 2835,
  [2848] = 2836,
  [2849] = 2837,
  [2850] = 2837,
  [2851] = 2832,
  [2852] = 2834,
  [2853] = 2835,
  [2854] = 2836,
  [2855] = 2837,
  [2856] = 2832,
  [2857] = 2834,
  [2858] = 2835,
  [2859] = 2836,
  [2860] = 2837,
  [2861] = 2832,
  [2862] = 2834,
  [2863] = 2835,
  [2864] = 2836,
  [2865] = 2837,
  [2866] = 2832,
  [2867] = 2834,
  [2868] = 2835,
  [2869] = 2836,
  [2870] = 2837,
  [2871] = 2834,
  [2872] = 2835,
  [2873] = 2836,
  [2874] = 2837,
  [2875] = 2832,
  [2876] = 2834,
  [2877] = 2835,
  [2878] = 2836,
  [2879] = 2837,
  [2880] = 2832,
  [2881] = 2834,
  [2882] = 2835,
  [2883] = 2836,
  [2884] = 2837,
  [2885] = 2832,
  [2886] = 2834,
  [2887] = 2835,
  [2888] = 2836,
  [2889] = 2837,
  [2890] = 2832,
  [2891] = 2834,
  [2892] = 2835,
  [2893] = 2836,
  [2894] = 2837,
  [2895] = 2832,
  [2896] = 2834,
  [2897] = 2835,
  [2898] = 2836,
  [2899] = 2837,
  [2900] = 2832,
  [2901] = 2834,
  [2902] = 2835,
  [2903] = 2836,
  [2904] = 2837,
  [2905] = 2832,
  [2906] = 2834,
  [2907] = 2835,
  [2908] = 2836,
  [2909] = 2837,
  [2910] = 2832,
  [2911] = 2832,
  [2912] = 2834,
  [2913] = 2834,
  [2914] = 2835,
  [2915] = 2836,
  [2916] = 2837,
  [2917] = 2832,
  [2918] = 2834,
  [2919] = 2835,
  [2920] = 2836,
  [2921] = 2837,
  [2922] = 2832,
  [2923] = 2834,
  [2924] = 2835,
  [2925] = 2836,
  [2926] = 2837,
  [2927] = 2832,
  [2928] = 2834,
  [2929] = 2835,
  [2930] = 2836,
  [2931] = 2837,
  [2932] = 2832,
  [2933] = 2834,
  [2934] = 2835,
  [2935] = 2836,
  [2936] = 2837,
  [2937] = 2832,
  [2938] = 2834,
  [2939] = 2835,
  [2940] = 2836,
  [2941] = 2837,
  [2942] = 2832,
  [2943] = 2834,
  [2944] = 2835,
  [2945] = 2836,
  [2946] = 2837,
  [2947] = 2832,
  [2948] = 2834,
  [2949] = 2835,
  [2950] = 2836,
  [2951] = 2837,
  [2952] = 2832,
  [2953] = 2834,
  [2954] = 2835,
  [2955] = 2836,
  [2956] = 2837,
  [2957] = 2835,
  [2958] = 2832,
  [2959] = 2834,
  [2960] = 2836,
  [2961] = 2835,
  [2962] = 2836,
  [2963] = 2837,
  [2964] = 2964,
  [2965] = 2837,
  [2966] = 2832,
  [2967] = 2834,
  [2968] = 2835,
  [2969] = 2836,
  [2970] = 2837,
  [2971] = 2832,
  [2972] = 2834,
  [2973] = 2835,
  [2974] = 2837,
  [2975] = 2837,
  [2976] = 2832,
  [2977] = 2834,
  [2978] = 2835,
  [2979] = 2836,
  [2980] = 2837,
  [2981] = 2832,
  [2982] = 2834,
  [2983] = 2835,
  [2984] = 2836,
  [2985] = 2837,
  [2986] = 2832,
  [2987] = 2834,
  [2988] = 2835,
  [2989] = 2836,
  [2990] = 2837,
  [2991] = 2991,
  [2992] = 2832,
  [2993] = 2832,
  [2994] = 2834,
  [2995] = 2835,
  [2996] = 2836,
  [2997] = 2837,
  [2998] = 2832,
  [2999] = 2834,
  [3000] = 2835,
  [3001] = 2836,
  [3002] = 2837,
  [3003] = 2832,
  [3004] = 2834,
  [3005] = 2835,
  [3006] = 2836,
  [3007] = 2837,
  [3008] = 2834,
  [3009] = 2832,
  [3010] = 2834,
  [3011] = 2835,
  [3012] = 2836,
  [3013] = 2837,
  [3014] = 2832,
  [3015] = 2834,
  [3016] = 2835,
  [3017] = 2836,
  [3018] = 2837,
  [3019] = 2832,
  [3020] = 2834,
  [3021] = 2835,
  [3022] = 2836,
  [3023] = 2837,
  [3024] = 2835,
  [3025] = 2836,
  [3026] = 2832,
  [3027] = 2834,
  [3028] = 2835,
  [3029] = 2836,
  [3030] = 2837,
  [3031] = 2832,
  [3032] = 2834,
  [3033] = 2835,
  [3034] = 2836,
  [3035] = 2837,
  [3036] = 2832,
  [3037] = 2834,
  [3038] = 2835,
  [3039] = 2836,
  [3040] = 2837,
  [3041] = 2832,
  [3042] = 2834,
  [3043] = 2832,
  [3044] = 2834,
  [3045] = 2835,
  [3046] = 2836,
  [3047] = 2837,
  [3048] = 2837,
  [3049] = 2832,
  [3050] = 2834,
  [3051] = 2835,
  [3052] = 2836,
  [3053] = 2837,
  [3054] = 2832,
  [3055] = 2834,
  [3056] = 2835,
  [3057] = 2836,
  [3058] = 2837,
  [3059] = 2832,
  [3060] = 2834,
  [3061] = 2835,
  [3062] = 2836,
  [3063] = 2837,
  [3064] = 2832,
  [3065] = 2834,
  [3066] = 2835,
  [3067] = 2836,
  [3068] = 2837,
  [3069] = 2832,
  [3070] = 2834,
  [3071] = 2835,
  [3072] = 2836,
  [3073] = 2837,
  [3074] = 2832,
  [3075] = 2834,
  [3076] = 2835,
  [3077] = 2836,
  [3078] = 2837,
  [3079] = 2832,
  [3080] = 2834,
  [3081] = 2835,
  [3082] = 2836,
  [3083] = 2837,
  [3084] = 2832,
  [3085] = 2834,
  [3086] = 2835,
  [3087] = 2836,
  [3088] = 2837,
  [3089] = 2832,
  [3090] = 2834,
  [3091] = 2835,
  [3092] = 2836,
  [3093] = 2837,
  [3094] = 2832,
  [3095] = 2834,
  [3096] = 2835,
  [3097] = 2836,
  [3098] = 2836,
  [3099] = 3099,
  [3100] = 3100,
  [3101] = 3101,
  [3102] = 3102,
  [3103] = 3103,
  [3104] = 3101,
  [3105] = 3100,
  [3106] = 3099,
  [3107] = 3099,
  [3108] = 3100,
  [3109] = 3101,
  [3110] = 3099,
  [3111] = 3100,
  [3112] = 3101,
  [3113] = 3099,
  [3114] = 3100,
  [3115] = 3101,
  [3116] = 3099,
  [3117] = 3100,
  [3118] = 3101,
  [3119] = 3119,
  [3120] = 3120,
  [3121] = 3121,
  [3122] = 3122,
  [3123] = 3123,
  [3124] = 3124,
  [3125] = 3125,
  [3126] = 3126,
  [3127] = 3127,
  [3128] = 3125,
  [3129] = 3129,
  [3130] = 3130,
  [3131] = 3122,
  [3132] = 3130,
  [3133] = 3130,
  [3134] = 3134,
  [3135] = 3124,
  [3136] = 3122,
  [3137] = 3134,
  [3138] = 3124,
  [3139] = 3124,
  [3140] = 3122,
  [3141] = 3130,
  [3142] = 3142,
  [3143] = 3122,
  [3144] = 3130,
  [3145] = 3134,
  [3146] = 3122,
  [3147] = 3142,
  [3148] = 3124,
  [3149] = 3134,
  [3150] = 3134,
  [3151] = 3130,
  [3152] = 3124,
  [3153] = 3130,
  [3154] = 3124,
  [3155] = 3122,
  [3156] = 3134,
  [3157] = 3142,
  [3158] = 3130,
  [3159] = 3142,
  [3160] = 3124,
  [3161] = 3122,
  [3162] = 3124,
  [3163] = 3142,
  [3164] = 3130,
  [3165] = 3134,
  [3166] = 3122,
  [3167] = 3124,
  [3168] = 3130,
  [3169] = 3122,
  [3170] = 3134,
  [3171] = 3134,
  [3172] = 3122,
  [3173] = 3124,
  [3174] = 3134,
  [3175] = 3134,
  [3176] = 3142,
  [3177] = 3142,
  [3178] = 3134,
  [3179] = 3124,
  [3180] = 3122,
  [3181] = 3134,
  [3182] = 3134,
  [3183] = 3142,
  [3184] = 3134,
  [3185] = 3142,
  [3186] = 3124,
  [3187] = 3134,
  [3188] = 3124,
  [3189] = 3122,
  [3190] = 3122,
  [3191] = 3134,
  [3192] = 3134,
  [3193] = 3134,
  [3194] = 3134,
  [3195] = 3134,
  [3196] = 3142,
  [3197] = 3134,
  [3198] = 3130,
  [3199] = 3124,
  [3200] = 3122,
  [3201] = 3134,
  [3202] = 3134,
  [3203] = 3142,
  [3204] = 3142,
  [3205] = 3124,
  [3206] = 3142,
  [3207] = 3122,
  [3208] = 3130,
  [3209] = 3134,
  [3210] = 3124,
  [3211] = 3130,
  [3212] = 3124,
  [3213] = 3122,
  [3214] = 3134,
  [3215] = 3124,
  [3216] = 3142,
  [3217] = 3124,
  [3218] = 3124,
  [3219] = 3130,
  [3220] = 3122,
  [3221] = 3130,
  [3222] = 3130,
  [3223] = 3124,
  [3224] = 3122,
  [3225] = 3130,
  [3226] = 3142,
  [3227] = 3134,
  [3228] = 3124,
  [3229] = 3122,
  [3230] = 3124,
  [3231] = 3122,
  [3232] = 3124,
  [3233] = 3122,
  [3234] = 3124,
  [3235] = 3122,
  [3236] = 3134,
  [3237] = 3142,
  [3238] = 3130,
  [3239] = 3130,
  [3240] = 3142,
  [3241] = 3122,
  [3242] = 3130,
  [3243] = 3134,
  [3244] = 3134,
  [3245] = 3124,
  [3246] = 3122,
  [3247] = 3130,
  [3248] = 3130,
  [3249] = 3134,
  [3250] = 3130,
  [3251] = 3130,
  [3252] = 3124,
  [3253] = 3122,
  [3254] = 3124,
  [3255] = 3122,
  [3256] = 3124,
  [3257] = 3122,
  [3258] = 3130,
  [3259] = 3130,
  [3260] = 3142,
  [3261] = 3134,
  [3262] = 3142,
  [3263] = 3142,
  [3264] = 3130,
  [3265] = 3130,
  [3266] = 3134,
  [3267] = 3134,
  [3268] = 3122,
  [3269] = 3124,
  [3270] = 3122,
  [3271] = 3124,
  [3272] = 3122,
  [3273] = 3124,
  [3274] = 3124,
  [3275] = 3122,
  [3276] = 3134,
  [3277] = 3134,
  [3278] = 3130,
  [3279] = 3130,
  [3280] = 3122,
  [3281] = 3142,
  [3282] = 3130,
  [3283] = 3142,
  [3284] = 3130,
  [3285] = 3130,
  [3286] = 3122,
  [3287] = 3134,
  [3288] = 3142,
  [3289] = 3142,
  [3290] = 3124,
  [3291] = 3124,
  [3292] = 3122,
  [3293] = 3124,
  [3294] = 3122,
  [3295] = 3134,
  [3296] = 3122,
  [3297] = 3122,
  [3298] = 3130,
  [3299] = 3124,
  [3300] = 3122,
  [3301] = 3134,
  [3302] = 3134,
  [3303] = 3142,
  [3304] = 3134,
  [3305] = 3134,
  [3306] = 3130,
  [3307] = 3130,
  [3308] = 3130,
  [3309] = 3124,
  [3310] = 3122,
  [3311] = 3124,
  [3312] = 3122,
  [3313] = 3134,
  [3314] = 3142,
  [3315] = 3130,
  [3316] = 3142,
  [3317] = 3142,
  [3318] = 3142,
  [3319] = 3130,
  [3320] = 3124,
  [3321] = 3130,
  [3322] = 3124,
  [3323] = 3122,
  [3324] = 3134,
  [3325] = 3134,
  [3326] = 3124,
  [3327] = 3122,
  [3328] = 3124,
  [3329] = 3122,
  [3330] = 3122,
  [3331] = 3130,
  [3332] = 3130,
  [3333] = 3134,
  [3334] = 3124,
  [3335] = 3134,
  [3336] = 3130,
  [3337] = 3130,
  [3338] = 3134,
  [3339] = 3142,
  [3340] = 3134,
  [3341] = 3130,
  [3342] = 3124,
  [3343] = 3122,
  [3344] = 3124,
  [3345] = 3122,
  [3346] = 3130,
  [3347] = 3134,
  [3348] = 3348,
  [3349] = 3349,
  [3350] = 3350,
  [3351] = 3350,
  [3352] = 3352,
  [3353] = 3349,
  [3354] = 3354,
  [3355] = 3350,
  [3356] = 3356,
  [3357] = 3352,
  [3358] = 3349,
  [3359] = 3350,
  [3360] = 3352,
  [3361] = 3349,
  [3362] = 3354,
  [3363] = 3350,
  [3364] = 3352,
  [3365] = 3349,
  [3366] = 3354,
  [3367] = 3350,
  [3368] = 3352,
  [3369] = 3349,
  [3370] = 3354,
  [3371] = 3350,
  [3372] = 3352,
  [3373] = 3349,
  [3374] = 3354,
  [3375] = 3350,
  [3376] = 3352,
  [3377] = 3349,
  [3378] = 3354,
  [3379] = 3350,
  [3380] = 3352,
  [3381] = 3349,
  [3382] = 3354,
  [3383] = 3350,
  [3384] = 3352,
  [3385] = 3349,
  [3386] = 3354,
  [3387] = 3350,
  [3388] = 3352,
  [3389] = 3349,
  [3390] = 3354,
  [3391] = 3350,
  [3392] = 3352,
  [3393] = 3349,
  [3394] = 3354,
  [3395] = 3395,
  [3396] = 3350,
  [3397] = 3352,
  [3398] = 3349,
  [3399] = 3354,
  [3400] = 3354,
  [3401] = 3356,
  [3402] = 3356,
  [3403] = 3354,
  [3404] = 3395,
  [3405] = 3348,
  [3406] = 3395,
  [3407] = 3350,
  [3408] = 3352,
  [3409] = 3349,
  [3410] = 3354,
  [3411] = 3354,
  [3412] = 3350,
  [3413] = 3352,
  [3414] = 3349,
  [3415] = 3354,
  [3416] = 3348,
  [3417] = 3356,
  [3418] = 3356,
  [3419] = 3348,
  [3420] = 3420,
  [3421] = 3350,
  [3422] = 3352,
  [3423] = 3349,
  [3424] = 3354,
  [3425] = 3348,
  [3426] = 3350,
  [3427] = 3395,
  [3428] = 3352,
  [3429] = 3350,
  [3430] = 3350,
  [3431] = 3352,
  [3432] = 3349,
  [3433] = 3354,
  [3434] = 3352,
  [3435] = 3356,
  [3436] = 3349,
  [3437] = 3354,
  [3438] = 3356,
  [3439] = 3349,
  [3440] = 3354,
  [3441] = 3350,
  [3442] = 3352,
  [3443] = 3349,
  [3444] = 3354,
  [3445] = 3350,
  [3446] = 3446,
  [3447] = 3350,
  [3448] = 3395,
  [3449] = 3352,
  [3450] = 3349,
  [3451] = 3451,
  [3452] = 3356,
  [3453] = 3348,
  [3454] = 3350,
  [3455] = 3352,
  [3456] = 3349,
  [3457] = 3354,
  [3458] = 3354,
  [3459] = 3352,
  [3460] = 3395,
  [3461] = 3395,
  [3462] = 3348,
  [3463] = 3349,
  [3464] = 3356,
  [3465] = 3354,
  [3466] = 3350,
  [3467] = 3352,
  [3468] = 3349,
  [3469] = 3354,
  [3470] = 3470,
  [3471] = 3350,
  [3472] = 3352,
  [3473] = 3349,
  [3474] = 3354,
  [3475] = 3348,
  [3476] = 3352,
  [3477] = 3349,
  [3478] = 3348,
  [3479] = 3348,
  [3480] = 3354,
  [3481] = 3420,
  [3482] = 3350,
  [3483] = 3352,
  [3484] = 3356,
  [3485] = 3356,
  [3486] = 3348,
  [3487] = 3395,
  [3488] = 3350,
  [3489] = 3352,
  [3490] = 3350,
  [3491] = 3352,
  [3492] = 3349,
  [3493] = 3354,
  [3494] = 3356,
  [3495] = 3395,
  [3496] = 3348,
  [3497] = 3349,
  [3498] = 3420,
  [3499] = 3356,
  [3500] = 3354,
  [3501] = 3451,
  [3502] = 3395,
  [3503] = 3348,
  [3504] = 3348,
  [3505] = 3349,
  [3506] = 3348,
  [3507] = 3395,
  [3508] = 3395,
  [3509] = 3350,
  [3510] = 3395,
  [3511] = 3352,
  [3512] = 3350,
  [3513] = 3352,
  [3514] = 3349,
  [3515] = 3354,
  [3516] = 3350,
  [3517] = 3348,
  [3518] = 3348,
  [3519] = 3350,
  [3520] = 3350,
  [3521] = 3352,
  [3522] = 3352,
  [3523] = 3523,
  [3524] = 3350,
  [3525] = 3352,
  [3526] = 3349,
  [3527] = 3354,
  [3528] = 3348,
  [3529] = 3349,
  [3530] = 3350,
  [3531] = 3352,
  [3532] = 3349,
  [3533] = 3354,
  [3534] = 3354,
  [3535] = 3349,
  [3536] = 3354,
  [3537] = 3348,
  [3538] = 3356,
  [3539] = 3348,
  [3540] = 3395,
  [3541] = 3356,
  [3542] = 3395,
  [3543] = 3356,
  [3544] = 3348,
  [3545] = 3348,
  [3546] = 3348,
  [3547] = 3547,
  [3548] = 3395,
  [3549] = 3349,
  [3550] = 3354,
  [3551] = 3348,
  [3552] = 3352,
  [3553] = 3356,
  [3554] = 3356,
  [3555] = 3350,
  [3556] = 3352,
  [3557] = 3349,
  [3558] = 3354,
  [3559] = 3348,
  [3560] = 3354,
  [3561] = 3349,
  [3562] = 3356,
  [3563] = 3349,
  [3564] = 3350,
  [3565] = 3352,
  [3566] = 3348,
  [3567] = 3395,
  [3568] = 3349,
  [3569] = 3354,
  [3570] = 3350,
  [3571] = 3352,
  [3572] = 3349,
  [3573] = 3354,
  [3574] = 3395,
  [3575] = 3350,
  [3576] = 3352,
  [3577] = 3349,
  [3578] = 3395,
  [3579] = 3348,
  [3580] = 3356,
  [3581] = 3348,
  [3582] = 3395,
  [3583] = 3354,
  [3584] = 3350,
  [3585] = 3352,
  [3586] = 3349,
  [3587] = 3348,
  [3588] = 3395,
  [3589] = 3350,
  [3590] = 3352,
  [3591] = 3349,
  [3592] = 3348,
  [3593] = 3354,
  [3594] = 3594,
  [3595] = 3354,
  [3596] = 3348,
  [3597] = 3348,
  [3598] = 3348,
  [3599] = 3350,
  [3600] = 3352,
  [3601] = 3349,
  [3602] = 3348,
  [3603] = 3356,
  [3604] = 3354,
  [3605] = 3356,
  [3606] = 3354,
  [3607] = 3350,
  [3608] = 3352,
  [3609] = 3349,
  [3610] = 3354,
  [3611] = 3523,
  [3612] = 3348,
  [3613] = 3348,
  [3614] = 3350,
  [3615] = 3352,
  [3616] = 3349,
  [3617] = 3356,
  [3618] = 3354,
  [3619] = 3348,
  [3620] = 3620,
  [3621] = 3348,
  [3622] = 3395,
  [3623] = 3348,
  [3624] = 3350,
  [3625] = 3352,
  [3626] = 3349,
  [3627] = 3354,
  [3628] = 3350,
  [3629] = 3352,
  [3630] = 3349,
  [3631] = 3356,
  [3632] = 3348,
  [3633] = 3350,
  [3634] = 3352,
  [3635] = 3348,
  [3636] = 3349,
  [3637] = 3354,
  [3638] = 3356,
  [3639] = 3356,
  [3640] = 3350,
  [3641] = 3352,
  [3642] = 3349,
  [3643] = 3354,
  [3644] = 3348,
  [3645] = 3356,
  [3646] = 3354,
  [3647] = 3350,
  [3648] = 3356,
  [3649] = 3649,
  [3650] = 3356,
  [3651] = 3395,
  [3652] = 3348,
  [3653] = 3350,
  [3654] = 3352,
  [3655] = 3350,
  [3656] = 3352,
  [3657] = 3395,
  [3658] = 3349,
  [3659] = 3354,
  [3660] = 3348,
  [3661] = 3395,
  [3662] = 3395,
  [3663] = 3348,
  [3664] = 3348,
  [3665] = 3356,
  [3666] = 3350,
  [3667] = 3352,
  [3668] = 3349,
  [3669] = 3395,
  [3670] = 3354,
  [3671] = 3395,
  [3672] = 3350,
  [3673] = 3348,
  [3674] = 3350,
  [3675] = 3352,
  [3676] = 3349,
  [3677] = 3354,
  [3678] = 3352,
  [3679] = 3349,
  [3680] = 3354,
  [3681] = 3348,
  [3682] = 3348,
  [3683] = 3348,
  [3684] = 3352,
  [3685] = 3348,
  [3686] = 3686,
  [3687] = 3350,
  [3688] = 3348,
  [3689] = 3352,
  [3690] = 3349,
  [3691] = 3348,
  [3692] = 3348,
  [3693] = 3354,
  [3694] = 3395,
  [3695] = 3348,
  [3696] = 3348,
  [3697] = 3395,
  [3698] = 3350,
  [3699] = 3352,
  [3700] = 3349,
  [3701] = 3354,
  [3702] = 3348,
  [3703] = 3420,
  [3704] = 3356,
  [3705] = 3705,
  [3706] = 3705,
  [3707] = 3705,
  [3708] = 3705,
  [3709] = 3705,
  [3710] = 3705,
  [3711] = 3705,
  [3712] = 3451,
  [3713] = 3705,
  [3714] = 3705,
  [3715] = 3705,
  [3716] = 3705,
  [3717] = 3705,
  [3718] = 3705,
  [3719] = 3705,
  [3720] = 3705,
  [3721] = 3705,
  [3722] = 3705,
  [3723] = 3705,
  [3724] = 3705,
  [3725] = 3705,
  [3726] = 3705,
  [3727] = 3705,
  [3728] = 3705,
  [3729] = 3705,
  [3730] = 3705,
  [3731] = 3705,
  [3732] = 3705,
  [3733] = 3705,
  [3734] = 3705,
  [3735] = 3705,
  [3736] = 3705,
  [3737] = 3705,
  [3738] = 3705,
  [3739] = 3705,
  [3740] = 3705,
  [3741] = 3705,
  [3742] = 3705,
  [3743] = 3705,
  [3744] = 3744,
  [3745] = 3705,
  [3746] = 3705,
  [3747] = 3705,
  [3748] = 3705,
  [3749] = 3705,
  [3750] = 3705,
  [3751] = 3705,
  [3752] = 3705,
  [3753] = 3705,
  [3754] = 3705,
  [3755] = 3705,
  [3756] = 3705,
  [3757] = 3705,
  [3758] = 3705,
  [3759] = 3705,
  [3760] = 3705,
  [3761] = 3705,
  [3762] = 3705,
  [3763] = 3705,
  [3764] = 3764,
  [3765] = 3764,
  [3766] = 3766,
  [3767] = 3764,
  [3768] = 3764,
  [3769] = 3764,
  [3770] = 3764,
  [3771] = 3764,
  [3772] = 3764,
  [3773] = 3764,
  [3774] = 3764,
  [3775] = 3764,
  [3776] = 3764,
  [3777] = 3764,
  [3778] = 3766,
  [3779] = 3764,
  [3780] = 3764,
  [3781] = 3764,
  [3782] = 3764,
  [3783] = 3764,
  [3784] = 3764,
  [3785] = 3785,
  [3786] = 3764,
  [3787] = 3764,
  [3788] = 3764,
  [3789] = 3764,
  [3790] = 3764,
  [3791] = 3764,
  [3792] = 3764,
  [3793] = 3764,
  [3794] = 3764,
  [3795] = 3764,
  [3796] = 3764,
  [3797] = 3764,
  [3798] = 3764,
  [3799] = 3764,
  [3800] = 3764,
  [3801] = 3764,
  [3802] = 3764,
  [3803] = 3764,
  [3804] = 3764,
  [3805] = 3764,
  [3806] = 3764,
  [3807] = 3766,
  [3808] = 3764,
  [3809] = 3744,
  [3810] = 3764,
  [3811] = 3744,
  [3812] = 3764,
  [3813] = 3764,
  [3814] = 3764,
  [3815] = 3744,
  [3816] = 3764,
  [3817] = 3744,
  [3818] = 3764,
  [3819] = 3764,
  [3820] = 3766,
  [3821] = 3764,
  [3822] = 3764,
  [3823] = 3764,
  [3824] = 3764,
  [3825] = 3764,
  [3826] = 3764,
  [3827] = 3764,
  [3828] = 3764,
  [3829] = 3766,
  [3830] = 3766,
  [3831] = 3766,
  [3832] = 3766,
  [3833] = 3766,
  [3834] = 3766,
  [3835] = 3766,
  [3836] = 3766,
  [3837] = 3766,
  [3838] = 3766,
  [3839] = 3766,
  [3840] = 3766,
  [3841] = 3766,
  [3842] = 3766,
  [3843] = 3766,
  [3844] = 3766,
  [3845] = 3766,
  [3846] = 3766,
  [3847] = 3766,
  [3848] = 3766,
  [3849] = 3766,
  [3850] = 3766,
  [3851] = 3766,
  [3852] = 3766,
  [3853] = 3766,
  [3854] = 3766,
  [3855] = 3766,
  [3856] = 3766,
  [3857] = 3766,
  [3858] = 3766,
  [3859] = 3766,
  [3860] = 3766,
  [3861] = 3766,
  [3862] = 3766,
  [3863] = 3766,
  [3864] = 3766,
  [3865] = 3766,
  [3866] = 3766,
  [3867] = 3766,
  [3868] = 3766,
  [3869] = 3766,
  [3870] = 3766,
  [3871] = 3766,
  [3872] = 3766,
  [3873] = 3766,
  [3874] = 3766,
  [3875] = 3766,
  [3876] = 3766,
  [3877] = 3766,
  [3878] = 3766,
  [3879] = 3766,
  [3880] = 3766,
  [3881] = 3766,
  [3882] = 3764,
  [3883] = 3744,
  [3884] = 3884,
  [3885] = 3744,
  [3886] = 3744,
  [3887] = 3744,
  [3888] = 3744,
  [3889] = 3884,
  [3890] = 3884,
  [3891] = 3884,
  [3892] = 3744,
  [3893] = 3744,
  [3894] = 3744,
  [3895] = 3744,
  [3896] = 3744,
  [3897] = 3744,
  [3898] = 3744,
  [3899] = 3744,
  [3900] = 3744,
  [3901] = 3744,
  [3902] = 3744,
  [3903] = 3744,
  [3904] = 3744,
  [3905] = 3744,
  [3906] = 3744,
  [3907] = 3744,
  [3908] = 3744,
  [3909] = 3744,
  [3910] = 3744,
  [3911] = 3744,
  [3912] = 3744,
  [3913] = 3744,
  [3914] = 3744,
  [3915] = 3744,
  [3916] = 3744,
  [3917] = 3744,
  [3918] = 3744,
  [3919] = 3744,
  [3920] = 3744,
  [3921] = 3744,
  [3922] = 3744,
  [3923] = 3744,
  [3924] = 3744,
  [3925] = 3744,
  [3926] = 3744,
  [3927] = 3744,
  [3928] = 3744,
  [3929] = 3744,
  [3930] = 3744,
  [3931] = 3744,
  [3932] = 3744,
  [3933] = 3744,
  [3934] = 3744,
  [3935] = 3744,
  [3936] = 3744,
  [3937] = 3744,
  [3938] = 3744,
  [3939] = 3744,
  [3940] = 3744,
  [3941] = 3744,
  [3942] = 3744,
  [3943] = 3744,
  [3944] = 3744,
  [3945] = 3744,
  [3946] = 3744,
  [3947] = 3744,
  [3948] = 3744,
  [3949] = 3744,
  [3950] = 3744,
  [3951] = 3744,
  [3952] = 3744,
  [3953] = 3744,
  [3954] = 3744,
  [3955] = 3744,
  [3956] = 3744,
  [3957] = 3744,
  [3958] = 3744,
  [3959] = 3744,
  [3960] = 3744,
  [3961] = 3744,
  [3962] = 3744,
  [3963] = 3744,
  [3964] = 3744,
  [3965] = 3744,
  [3966] = 3744,
  [3967] = 3744,
  [3968] = 3744,
  [3969] = 3744,
  [3970] = 3744,
  [3971] = 3744,
  [3972] = 3744,
  [3973] = 3744,
  [3974] = 3744,
  [3975] = 3744,
  [3976] = 3744,
  [3977] = 3744,
  [3978] = 3744,
  [3979] = 3744,
  [3980] = 3744,
  [3981] = 3744,
  [3982] = 3744,
  [3983] = 3744,
  [3984] = 3744,
  [3985] = 3744,
  [3986] = 3744,
  [3987] = 3987,
  [3988] = 3744,
  [3989] = 3744,
  [3990] = 3744,
  [3991] = 3744,
  [3992] = 3744,
  [3993] = 3744,
  [3994] = 3744,
  [3995] = 3995,
  [3996] = 3744,
  [3997] = 3744,
  [3998] = 3744,
  [3999] = 3999,
  [4000] = 3744,
  [4001] = 3744,
  [4002] = 3987,
  [4003] = 3744,
  [4004] = 3744,
  [4005] = 3744,
  [4006] = 3744,
  [4007] = 3744,
  [4008] = 3987,
  [4009] = 4009,
  [4010] = 4010,
  [4011] = 3999,
  [4012] = 3999,
  [4013] = 4013,
  [4014] = 3995,
  [4015] = 3744,
  [4016] = 4016,
  [4017] = 4017,
  [4018] = 3999,
  [4019] = 3987,
  [4020] = 4020,
  [4021] = 3987,
  [4022] = 4022,
  [4023] = 4023,
  [4024] = 3744,
  [4025] = 4025,
  [4026] = 3995,
  [4027] = 4027,
  [4028] = 4028,
  [4029] = 3987,
  [4030] = 3995,
  [4031] = 4031,
  [4032] = 4032,
  [4033] = 4033,
  [4034] = 3744,
  [4035] = 3995,
  [4036] = 4036,
  [4037] = 3744,
  [4038] = 4038,
  [4039] = 3987,
  [4040] = 3744,
  [4041] = 4025,
  [4042] = 4023,
  [4043] = 4025,
  [4044] = 4027,
  [4045] = 4027,
  [4046] = 3995,
  [4047] = 4013,
  [4048] = 3999,
  [4049] = 3999,
  [4050] = 4038,
  [4051] = 4031,
  [4052] = 4016,
  [4053] = 4036,
  [4054] = 4013,
  [4055] = 3995,
  [4056] = 4027,
  [4057] = 4009,
  [4058] = 3995,
  [4059] = 4016,
  [4060] = 4025,
  [4061] = 3987,
  [4062] = 4016,
  [4063] = 4020,
  [4064] = 4017,
  [4065] = 3999,
  [4066] = 4010,
  [4067] = 4009,
  [4068] = 3999,
  [4069] = 4028,
  [4070] = 3987,
  [4071] = 4031,
  [4072] = 4016,
  [4073] = 3995,
  [4074] = 4017,
  [4075] = 4033,
  [4076] = 4038,
  [4077] = 4077,
  [4078] = 4033,
  [4079] = 3744,
  [4080] = 4036,
  [4081] = 4031,
  [4082] = 4020,
  [4083] = 4033,
  [4084] = 3987,
  [4085] = 4085,
  [4086] = 4036,
  [4087] = 4013,
  [4088] = 4010,
  [4089] = 4028,
  [4090] = 4017,
  [4091] = 4009,
  [4092] = 4022,
  [4093] = 3995,
  [4094] = 3744,
  [4095] = 4020,
  [4096] = 3995,
  [4097] = 4097,
  [4098] = 4022,
  [4099] = 4023,
  [4100] = 4025,
  [4101] = 4036,
  [4102] = 4027,
  [4103] = 4010,
  [4104] = 4023,
  [4105] = 4038,
  [4106] = 4013,
  [4107] = 4028,
  [4108] = 3987,
  [4109] = 4009,
  [4110] = 4017,
  [4111] = 4111,
  [4112] = 3995,
  [4113] = 3987,
  [4114] = 4022,
  [4115] = 4033,
  [4116] = 4031,
  [4117] = 3744,
  [4118] = 4020,
  [4119] = 4022,
  [4120] = 4038,
  [4121] = 4023,
  [4122] = 4010,
  [4123] = 4028,
  [4124] = 4016,
  [4125] = 3995,
  [4126] = 4033,
  [4127] = 4036,
  [4128] = 4013,
  [4129] = 4010,
  [4130] = 4028,
  [4131] = 4017,
  [4132] = 4020,
  [4133] = 4022,
  [4134] = 4023,
  [4135] = 4025,
  [4136] = 4027,
  [4137] = 4033,
  [4138] = 4036,
  [4139] = 4038,
  [4140] = 4010,
  [4141] = 4028,
  [4142] = 4017,
  [4143] = 4020,
  [4144] = 4022,
  [4145] = 4023,
  [4146] = 4025,
  [4147] = 4027,
  [4148] = 3744,
  [4149] = 3995,
  [4150] = 4009,
  [4151] = 4031,
  [4152] = 4077,
  [4153] = 4009,
  [4154] = 4111,
  [4155] = 4031,
  [4156] = 3744,
  [4157] = 4038,
  [4158] = 4038,
  [4159] = 3995,
  [4160] = 3744,
  [4161] = 4016,
  [4162] = 3995,
  [4163] = 4016,
  [4164] = 4016,
  [4165] = 3999,
  [4166] = 4036,
  [4167] = 4010,
  [4168] = 3999,
  [4169] = 3987,
  [4170] = 4022,
  [4171] = 4033,
  [4172] = 4016,
  [4173] = 4013,
  [4174] = 4028,
  [4175] = 4017,
  [4176] = 4020,
  [4177] = 4023,
  [4178] = 4025,
  [4179] = 4027,
  [4180] = 4033,
  [4181] = 4009,
  [4182] = 4036,
  [4183] = 4013,
  [4184] = 4010,
  [4185] = 4028,
  [4186] = 4017,
  [4187] = 4020,
  [4188] = 4022,
  [4189] = 4023,
  [4190] = 4025,
  [4191] = 4027,
  [4192] = 4031,
  [4193] = 4111,
  [4194] = 3995,
  [4195] = 3744,
  [4196] = 4077,
  [4197] = 4033,
  [4198] = 4009,
  [4199] = 4036,
  [4200] = 4013,
  [4201] = 4010,
  [4202] = 4028,
  [4203] = 4017,
  [4204] = 4031,
  [4205] = 4020,
  [4206] = 4022,
  [4207] = 4023,
  [4208] = 4025,
  [4209] = 4027,
  [4210] = 4038,
  [4211] = 4009,
  [4212] = 4031,
  [4213] = 3995,
  [4214] = 3987,
  [4215] = 4038,
  [4216] = 3999,
  [4217] = 4038,
  [4218] = 3999,
  [4219] = 4033,
  [4220] = 4036,
  [4221] = 4013,
  [4222] = 4010,
  [4223] = 4028,
  [4224] = 4017,
  [4225] = 4020,
  [4226] = 4022,
  [4227] = 4023,
  [4228] = 4025,
  [4229] = 4027,
  [4230] = 4009,
  [4231] = 3987,
  [4232] = 4031,
  [4233] = 3744,
  [4234] = 3987,
  [4235] = 3995,
  [4236] = 4033,
  [4237] = 4038,
  [4238] = 4036,
  [4239] = 4013,
  [4240] = 4010,
  [4241] = 4028,
  [4242] = 4017,
  [4243] = 4020,
  [4244] = 4022,
  [4245] = 4023,
  [4246] = 4025,
  [4247] = 4027,
  [4248] = 3995,
  [4249] = 4016,
  [4250] = 4016,
  [4251] = 3995,
  [4252] = 4009,
  [4253] = 4031,
  [4254] = 4013,
  [4255] = 4025,
  [4256] = 4009,
  [4257] = 4031,
  [4258] = 4038,
  [4259] = 3995,
  [4260] = 3744,
  [4261] = 3987,
  [4262] = 3999,
  [4263] = 4033,
  [4264] = 4038,
  [4265] = 4036,
  [4266] = 4013,
  [4267] = 4013,
  [4268] = 4028,
  [4269] = 4017,
  [4270] = 3987,
  [4271] = 4020,
  [4272] = 4022,
  [4273] = 4023,
  [4274] = 4025,
  [4275] = 4027,
  [4276] = 3999,
  [4277] = 3987,
  [4278] = 4009,
  [4279] = 4010,
  [4280] = 4028,
  [4281] = 4009,
  [4282] = 3995,
  [4283] = 4017,
  [4284] = 3744,
  [4285] = 4031,
  [4286] = 4020,
  [4287] = 4287,
  [4288] = 4038,
  [4289] = 3995,
  [4290] = 4022,
  [4291] = 4016,
  [4292] = 4292,
  [4293] = 4031,
  [4294] = 3995,
  [4295] = 4033,
  [4296] = 4036,
  [4297] = 4013,
  [4298] = 4010,
  [4299] = 4028,
  [4300] = 4017,
  [4301] = 4020,
  [4302] = 4022,
  [4303] = 4023,
  [4304] = 4025,
  [4305] = 4027,
  [4306] = 4036,
  [4307] = 4010,
  [4308] = 3995,
  [4309] = 3744,
  [4310] = 4022,
  [4311] = 4016,
  [4312] = 4033,
  [4313] = 4009,
  [4314] = 4031,
  [4315] = 3995,
  [4316] = 4023,
  [4317] = 4033,
  [4318] = 4013,
  [4319] = 3987,
  [4320] = 4036,
  [4321] = 4013,
  [4322] = 4010,
  [4323] = 4028,
  [4324] = 3999,
  [4325] = 4017,
  [4326] = 4020,
  [4327] = 4038,
  [4328] = 4022,
  [4329] = 4023,
  [4330] = 4036,
  [4331] = 4038,
  [4332] = 3987,
  [4333] = 4027,
  [4334] = 4033,
  [4335] = 4036,
  [4336] = 4013,
  [4337] = 4010,
  [4338] = 4028,
  [4339] = 4017,
  [4340] = 4028,
  [4341] = 4017,
  [4342] = 4020,
  [4343] = 4020,
  [4344] = 4023,
  [4345] = 4025,
  [4346] = 4027,
  [4347] = 4009,
  [4348] = 4022,
  [4349] = 3999,
  [4350] = 4023,
  [4351] = 4025,
  [4352] = 3987,
  [4353] = 4027,
  [4354] = 4033,
  [4355] = 4036,
  [4356] = 4013,
  [4357] = 4010,
  [4358] = 4028,
  [4359] = 4017,
  [4360] = 4033,
  [4361] = 4020,
  [4362] = 4022,
  [4363] = 4036,
  [4364] = 4013,
  [4365] = 4010,
  [4366] = 4028,
  [4367] = 4017,
  [4368] = 4020,
  [4369] = 4022,
  [4370] = 4023,
  [4371] = 4025,
  [4372] = 4027,
  [4373] = 3995,
  [4374] = 4023,
  [4375] = 4025,
  [4376] = 4033,
  [4377] = 4025,
  [4378] = 4027,
  [4379] = 4036,
  [4380] = 3995,
  [4381] = 3995,
  [4382] = 4013,
  [4383] = 4009,
  [4384] = 4009,
  [4385] = 3987,
  [4386] = 4031,
  [4387] = 4010,
  [4388] = 4028,
  [4389] = 4017,
  [4390] = 4020,
  [4391] = 4022,
  [4392] = 4031,
  [4393] = 4016,
  [4394] = 4023,
  [4395] = 4025,
  [4396] = 4031,
  [4397] = 4009,
  [4398] = 4031,
  [4399] = 4016,
  [4400] = 4038,
  [4401] = 4027,
  [4402] = 4016,
  [4403] = 3744,
  [4404] = 3995,
  [4405] = 4016,
  [4406] = 4027,
  [4407] = 4016,
  [4408] = 4016,
  [4409] = 4009,
  [4410] = 4031,
  [4411] = 3995,
  [4412] = 4038,
  [4413] = 4016,
  [4414] = 4038,
  [4415] = 4038,
  [4416] = 4033,
  [4417] = 4010,
  [4418] = 4013,
  [4419] = 4009,
  [4420] = 4022,
  [4421] = 4023,
  [4422] = 4009,
  [4423] = 3995,
  [4424] = 4038,
  [4425] = 4038,
  [4426] = 3999,
  [4427] = 3987,
  [4428] = 4038,
  [4429] = 4025,
  [4430] = 4027,
  [4431] = 4038,
  [4432] = 4036,
  [4433] = 3999,
  [4434] = 3987,
  [4435] = 4033,
  [4436] = 4013,
  [4437] = 4033,
  [4438] = 3744,
  [4439] = 4033,
  [4440] = 4036,
  [4441] = 4013,
  [4442] = 4010,
  [4443] = 4028,
  [4444] = 4017,
  [4445] = 4020,
  [4446] = 4022,
  [4447] = 4023,
  [4448] = 4009,
  [4449] = 4022,
  [4450] = 4025,
  [4451] = 4027,
  [4452] = 3744,
  [4453] = 3987,
  [4454] = 4033,
  [4455] = 3999,
  [4456] = 3995,
  [4457] = 4036,
  [4458] = 4013,
  [4459] = 4033,
  [4460] = 4010,
  [4461] = 3987,
  [4462] = 4016,
  [4463] = 4010,
  [4464] = 3987,
  [4465] = 4028,
  [4466] = 4017,
  [4467] = 4028,
  [4468] = 4017,
  [4469] = 4020,
  [4470] = 4022,
  [4471] = 4036,
  [4472] = 4023,
  [4473] = 4031,
  [4474] = 4020,
  [4475] = 4013,
  [4476] = 3999,
  [4477] = 4028,
  [4478] = 4017,
  [4479] = 4020,
  [4480] = 4025,
  [4481] = 4027,
  [4482] = 4022,
  [4483] = 4287,
  [4484] = 4023,
  [4485] = 4025,
  [4486] = 4023,
  [4487] = 4025,
  [4488] = 4009,
  [4489] = 4013,
  [4490] = 4023,
  [4491] = 4010,
  [4492] = 4025,
  [4493] = 4027,
  [4494] = 3995,
  [4495] = 4033,
  [4496] = 4038,
  [4497] = 4036,
  [4498] = 4013,
  [4499] = 4010,
  [4500] = 3999,
  [4501] = 4028,
  [4502] = 4017,
  [4503] = 4020,
  [4504] = 4022,
  [4505] = 4023,
  [4506] = 4025,
  [4507] = 4027,
  [4508] = 4038,
  [4509] = 4031,
  [4510] = 4038,
  [4511] = 4028,
  [4512] = 3995,
  [4513] = 3995,
  [4514] = 4013,
  [4515] = 4016,
  [4516] = 3987,
  [4517] = 4016,
  [4518] = 4009,
  [4519] = 4036,
  [4520] = 3995,
  [4521] = 4038,
  [4522] = 3744,
  [4523] = 3744,
  [4524] = 4033,
  [4525] = 3987,
  [4526] = 4033,
  [4527] = 4017,
  [4528] = 4036,
  [4529] = 4010,
  [4530] = 4033,
  [4531] = 4027,
  [4532] = 4028,
  [4533] = 4013,
  [4534] = 4017,
  [4535] = 4020,
  [4536] = 4022,
  [4537] = 4023,
  [4538] = 4025,
  [4539] = 4027,
  [4540] = 4010,
  [4541] = 4031,
  [4542] = 4020,
  [4543] = 4009,
  [4544] = 4009,
  [4545] = 3744,
  [4546] = 4022,
  [4547] = 4031,
  [4548] = 4016,
  [4549] = 3999,
  [4550] = 4023,
  [4551] = 4025,
  [4552] = 4028,
  [4553] = 4009,
  [4554] = 4031,
  [4555] = 4017,
  [4556] = 4031,
  [4557] = 4027,
  [4558] = 3995,
  [4559] = 3987,
  [4560] = 4010,
  [4561] = 4036,
  [4562] = 4013,
  [4563] = 4010,
  [4564] = 4036,
  [4565] = 3995,
  [4566] = 4009,
  [4567] = 4020,
  [4568] = 3987,
  [4569] = 3999,
  [4570] = 4038,
  [4571] = 3987,
  [4572] = 4031,
  [4573] = 3987,
  [4574] = 4038,
  [4575] = 4016,
  [4576] = 4016,
  [4577] = 3995,
  [4578] = 4016,
  [4579] = 3744,
  [4580] = 4022,
  [4581] = 4023,
  [4582] = 4016,
  [4583] = 4031,
  [4584] = 3995,
  [4585] = 4009,
  [4586] = 4031,
  [4587] = 4016,
  [4588] = 4028,
  [4589] = 4020,
  [4590] = 3995,
  [4591] = 4022,
  [4592] = 4031,
  [4593] = 3999,
  [4594] = 4038,
  [4595] = 3995,
  [4596] = 4025,
  [4597] = 4027,
  [4598] = 4033,
  [4599] = 4017,
  [4600] = 3995,
  [4601] = 4016,
  [4602] = 4036,
  [4603] = 4013,
  [4604] = 4010,
  [4605] = 4028,
  [4606] = 4017,
  [4607] = 4020,
  [4608] = 4022,
  [4609] = 4023,
  [4610] = 4025,
  [4611] = 4027,
  [4612] = 3995,
  [4613] = 4292,
  [4614] = 4017,
  [4615] = 4009,
  [4616] = 4031,
  [4617] = 4016,
  [4618] = 4028,
  [4619] = 4027,
  [4620] = 4020,
  [4621] = 4036,
  [4622] = 4033,
  [4623] = 3744,
  [4624] = 4010,
  [4625] = 4013,
  [4626] = 4022,
  [4627] = 4023,
  [4628] = 4022,
  [4629] = 3999,
  [4630] = 4009,
  [4631] = 4009,
  [4632] = 3995,
  [4633] = 3744,
  [4634] = 4023,
  [4635] = 4038,
  [4636] = 4025,
  [4637] = 4031,
  [4638] = 4009,
  [4639] = 3987,
  [4640] = 4027,
  [4641] = 4020,
  [4642] = 4022,
  [4643] = 4016,
  [4644] = 4023,
  [4645] = 4025,
  [4646] = 4027,
  [4647] = 3999,
  [4648] = 4038,
  [4649] = 4016,
  [4650] = 4036,
  [4651] = 3987,
  [4652] = 4025,
  [4653] = 4027,
  [4654] = 4038,
  [4655] = 4023,
  [4656] = 4038,
  [4657] = 3987,
  [4658] = 4025,
  [4659] = 3995,
  [4660] = 3995,
  [4661] = 4027,
  [4662] = 3995,
  [4663] = 3987,
  [4664] = 4009,
  [4665] = 4031,
  [4666] = 3987,
  [4667] = 4010,
  [4668] = 3999,
  [4669] = 3999,
  [4670] = 3995,
  [4671] = 3987,
  [4672] = 4031,
  [4673] = 4033,
  [4674] = 3995,
  [4675] = 4016,
  [4676] = 4036,
  [4677] = 4022,
  [4678] = 3999,
  [4679] = 4013,
  [4680] = 3744,
  [4681] = 4010,
  [4682] = 4028,
  [4683] = 4017,
  [4684] = 4031,
  [4685] = 4020,
  [4686] = 3995,
  [4687] = 4016,
  [4688] = 3999,
  [4689] = 4022,
  [4690] = 3987,
  [4691] = 4033,
  [4692] = 4023,
  [4693] = 3987,
  [4694] = 4009,
  [4695] = 3999,
  [4696] = 4025,
  [4697] = 4013,
  [4698] = 4027,
  [4699] = 3987,
  [4700] = 3999,
  [4701] = 4009,
  [4702] = 4028,
  [4703] = 3987,
  [4704] = 4017,
  [4705] = 4031,
  [4706] = 4028,
  [4707] = 4016,
  [4708] = 3999,
  [4709] = 3999,
  [4710] = 4033,
  [4711] = 3999,
  [4712] = 4017,
  [4713] = 4036,
  [4714] = 4013,
  [4715] = 3744,
  [4716] = 4010,
  [4717] = 4020,
  [4718] = 4023,
  [4719] = 4025,
  [4720] = 4027,
  [4721] = 4028,
  [4722] = 4017,
  [4723] = 4020,
  [4724] = 4022,
  [4725] = 4023,
  [4726] = 3995,
  [4727] = 4025,
  [4728] = 4027,
  [4729] = 3987,
  [4730] = 4016,
  [4731] = 4009,
  [4732] = 4033,
  [4733] = 4038,
  [4734] = 4031,
  [4735] = 4009,
  [4736] = 3999,
  [4737] = 4009,
  [4738] = 4031,
  [4739] = 4016,
  [4740] = 3995,
  [4741] = 3995,
  [4742] = 4016,
  [4743] = 4033,
  [4744] = 4031,
  [4745] = 3995,
  [4746] = 3987,
  [4747] = 4031,
  [4748] = 3744,
  [4749] = 3995,
  [4750] = 4038,
  [4751] = 3987,
  [4752] = 4036,
  [4753] = 4010,
  [4754] = 4038,
  [4755] = 3999,
  [4756] = 4036,
  [4757] = 4033,
  [4758] = 4036,
  [4759] = 4036,
  [4760] = 4013,
  [4761] = 4033,
  [4762] = 4022,
  [4763] = 4010,
  [4764] = 4033,
  [4765] = 4013,
  [4766] = 3987,
  [4767] = 4033,
  [4768] = 4028,
  [4769] = 4036,
  [4770] = 4013,
  [4771] = 4010,
  [4772] = 4028,
  [4773] = 4017,
  [4774] = 4017,
  [4775] = 4020,
  [4776] = 4022,
  [4777] = 4023,
  [4778] = 4025,
  [4779] = 4027,
  [4780] = 4009,
  [4781] = 4016,
  [4782] = 4020,
  [4783] = 4022,
  [4784] = 4023,
  [4785] = 4020,
  [4786] = 4025,
  [4787] = 4009,
  [4788] = 4031,
  [4789] = 4027,
  [4790] = 4031,
  [4791] = 3744,
  [4792] = 4016,
  [4793] = 4033,
  [4794] = 3995,
  [4795] = 3744,
  [4796] = 4036,
  [4797] = 4013,
  [4798] = 4010,
  [4799] = 4028,
  [4800] = 4017,
  [4801] = 4020,
  [4802] = 4022,
  [4803] = 4023,
  [4804] = 4025,
  [4805] = 4027,
  [4806] = 4038,
  [4807] = 4038,
  [4808] = 4009,
  [4809] = 3995,
  [4810] = 4031,
  [4811] = 3995,
  [4812] = 3995,
  [4813] = 4038,
  [4814] = 3744,
  [4815] = 4016,
  [4816] = 3995,
  [4817] = 4038,
  [4818] = 3999,
  [4819] = 3995,
  [4820] = 4036,
  [4821] = 4016,
  [4822] = 4033,
  [4823] = 4036,
  [4824] = 4013,
  [4825] = 4010,
  [4826] = 4028,
  [4827] = 4017,
  [4828] = 4020,
  [4829] = 4022,
  [4830] = 4023,
  [4831] = 4025,
  [4832] = 4027,
  [4833] = 3744,
  [4834] = 3995,
  [4835] = 4038,
  [4836] = 4013,
  [4837] = 4009,
  [4838] = 3995,
  [4839] = 4009,
  [4840] = 3995,
  [4841] = 4031,
  [4842] = 4031,
  [4843] = 4020,
  [4844] = 4036,
  [4845] = 3999,
  [4846] = 4010,
  [4847] = 4013,
  [4848] = 4022,
  [4849] = 4016,
  [4850] = 3744,
  [4851] = 4016,
  [4852] = 4010,
  [4853] = 4028,
  [4854] = 4017,
  [4855] = 3744,
  [4856] = 4010,
  [4857] = 4038,
  [4858] = 4038,
  [4859] = 3744,
  [4860] = 4016,
  [4861] = 4033,
  [4862] = 4013,
  [4863] = 4028,
  [4864] = 4017,
  [4865] = 4020,
  [4866] = 4013,
  [4867] = 4023,
  [4868] = 4033,
  [4869] = 4028,
  [4870] = 4036,
  [4871] = 4013,
  [4872] = 4010,
  [4873] = 4028,
  [4874] = 4017,
  [4875] = 4010,
  [4876] = 4020,
  [4877] = 4022,
  [4878] = 4023,
  [4879] = 4025,
  [4880] = 4027,
  [4881] = 4038,
  [4882] = 4017,
  [4883] = 3999,
  [4884] = 4028,
  [4885] = 4020,
  [4886] = 4033,
  [4887] = 4036,
  [4888] = 4013,
  [4889] = 4010,
  [4890] = 4028,
  [4891] = 4017,
  [4892] = 3999,
  [4893] = 3999,
  [4894] = 4020,
  [4895] = 4022,
  [4896] = 4023,
  [4897] = 4025,
  [4898] = 4027,
  [4899] = 3995,
  [4900] = 4017,
  [4901] = 4033,
  [4902] = 3995,
  [4903] = 4025,
  [4904] = 4036,
  [4905] = 4027,
  [4906] = 4010,
  [4907] = 4028,
  [4908] = 4017,
  [4909] = 4020,
  [4910] = 4022,
  [4911] = 4023,
  [4912] = 4025,
  [4913] = 4027,
  [4914] = 4009,
  [4915] = 3995,
  [4916] = 4031,
  [4917] = 3995,
  [4918] = 4025,
  [4919] = 3987,
  [4920] = 4022,
  [4921] = 3744,
  [4922] = 4033,
  [4923] = 3995,
  [4924] = 4033,
  [4925] = 4925,
  [4926] = 4925,
  [4927] = 4016,
  [4928] = 4036,
  [4929] = 4013,
  [4930] = 4010,
  [4931] = 4028,
  [4932] = 4017,
  [4933] = 4013,
  [4934] = 3999,
  [4935] = 4028,
  [4936] = 4017,
  [4937] = 4020,
  [4938] = 4020,
  [4939] = 4023,
  [4940] = 4025,
  [4941] = 4027,
  [4942] = 4022,
  [4943] = 4023,
  [4944] = 4025,
  [4945] = 4027,
  [4946] = 4023,
  [4947] = 4925,
  [4948] = 4025,
  [4949] = 4027,
  [4950] = 3995,
  [4951] = 4038,
  [4952] = 4016,
  [4953] = 4925,
  [4954] = 4036,
  [4955] = 4013,
  [4956] = 3999,
  [4957] = 4925,
  [4958] = 4010,
  [4959] = 4038,
  [4960] = 4925,
  [4961] = 4925,
  [4962] = 4028,
  [4963] = 4017,
  [4964] = 4009,
  [4965] = 4016,
  [4966] = 4020,
  [4967] = 4022,
  [4968] = 4023,
  [4969] = 3987,
  [4970] = 4925,
  [4971] = 4025,
  [4972] = 4027,
  [4973] = 4028,
  [4974] = 4017,
  [4975] = 4010,
  [4976] = 4038,
  [4977] = 4031,
  [4978] = 4925,
  [4979] = 3999,
  [4980] = 4009,
  [4981] = 4020,
  [4982] = 4033,
  [4983] = 3999,
  [4984] = 4038,
  [4985] = 4925,
  [4986] = 3987,
  [4987] = 4036,
  [4988] = 4925,
  [4989] = 4022,
  [4990] = 4023,
  [4991] = 4031,
  [4992] = 4025,
  [4993] = 4038,
  [4994] = 4027,
  [4995] = 4013,
  [4996] = 4009,
  [4997] = 3995,
  [4998] = 4027,
  [4999] = 4925,
  [5000] = 3995,
  [5001] = 3744,
  [5002] = 4038,
  [5003] = 4925,
  [5004] = 4925,
  [5005] = 4033,
  [5006] = 4036,
  [5007] = 4013,
  [5008] = 4010,
  [5009] = 4925,
  [5010] = 3999,
  [5011] = 4038,
  [5012] = 4925,
  [5013] = 3999,
  [5014] = 4036,
  [5015] = 4022,
  [5016] = 4925,
  [5017] = 4013,
  [5018] = 3995,
  [5019] = 4925,
  [5020] = 3999,
  [5021] = 4925,
  [5022] = 4028,
  [5023] = 3999,
  [5024] = 4925,
  [5025] = 4033,
  [5026] = 3995,
  [5027] = 4038,
  [5028] = 4033,
  [5029] = 4925,
  [5030] = 4038,
  [5031] = 3744,
  [5032] = 4925,
  [5033] = 4925,
  [5034] = 4013,
  [5035] = 3999,
  [5036] = 4028,
  [5037] = 4017,
  [5038] = 4925,
  [5039] = 4036,
  [5040] = 4013,
  [5041] = 4010,
  [5042] = 4038,
  [5043] = 4028,
  [5044] = 4017,
  [5045] = 4020,
  [5046] = 4022,
  [5047] = 4023,
  [5048] = 4925,
  [5049] = 4025,
  [5050] = 4027,
  [5051] = 3995,
  [5052] = 4009,
  [5053] = 4925,
  [5054] = 4010,
  [5055] = 4020,
  [5056] = 3987,
  [5057] = 4023,
  [5058] = 4033,
  [5059] = 4025,
  [5060] = 4036,
  [5061] = 4027,
  [5062] = 4009,
  [5063] = 4925,
  [5064] = 4013,
  [5065] = 4010,
  [5066] = 4028,
  [5067] = 4031,
  [5068] = 4925,
  [5069] = 4017,
  [5070] = 4925,
  [5071] = 4020,
  [5072] = 4022,
  [5073] = 4016,
  [5074] = 4023,
  [5075] = 4027,
  [5076] = 4016,
  [5077] = 3995,
  [5078] = 4925,
  [5079] = 4033,
  [5080] = 4925,
  [5081] = 4036,
  [5082] = 4009,
  [5083] = 4925,
  [5084] = 3995,
  [5085] = 4009,
  [5086] = 3744,
  [5087] = 4016,
  [5088] = 3744,
  [5089] = 4031,
  [5090] = 4013,
  [5091] = 3744,
  [5092] = 4016,
  [5093] = 4010,
  [5094] = 4925,
  [5095] = 3987,
  [5096] = 4028,
  [5097] = 4031,
  [5098] = 4017,
  [5099] = 4020,
  [5100] = 4016,
  [5101] = 4925,
  [5102] = 4925,
  [5103] = 4925,
  [5104] = 3999,
  [5105] = 4022,
  [5106] = 3995,
  [5107] = 4023,
  [5108] = 4016,
  [5109] = 4025,
  [5110] = 4027,
  [5111] = 4033,
  [5112] = 3995,
  [5113] = 4016,
  [5114] = 4036,
  [5115] = 4013,
  [5116] = 4010,
  [5117] = 3999,
  [5118] = 4028,
  [5119] = 4009,
  [5120] = 4017,
  [5121] = 4020,
  [5122] = 4022,
  [5123] = 4023,
  [5124] = 4025,
  [5125] = 4027,
  [5126] = 4031,
  [5127] = 3995,
  [5128] = 4010,
  [5129] = 4038,
  [5130] = 4038,
  [5131] = 4031,
  [5132] = 4009,
  [5133] = 4031,
  [5134] = 3995,
  [5135] = 4925,
  [5136] = 4028,
  [5137] = 3987,
  [5138] = 4009,
  [5139] = 3995,
  [5140] = 4016,
  [5141] = 4009,
  [5142] = 4031,
  [5143] = 4033,
  [5144] = 4016,
  [5145] = 3999,
  [5146] = 5146,
  [5147] = 4925,
  [5148] = 4016,
  [5149] = 3987,
  [5150] = 4036,
  [5151] = 4038,
  [5152] = 4013,
  [5153] = 4017,
  [5154] = 4010,
  [5155] = 4028,
  [5156] = 3987,
  [5157] = 4017,
  [5158] = 3995,
  [5159] = 4022,
  [5160] = 4023,
  [5161] = 4025,
  [5162] = 4027,
  [5163] = 4033,
  [5164] = 4038,
  [5165] = 4031,
  [5166] = 4009,
  [5167] = 3744,
  [5168] = 4020,
  [5169] = 4022,
  [5170] = 4017,
  [5171] = 4022,
  [5172] = 4023,
  [5173] = 4033,
  [5174] = 4925,
  [5175] = 3744,
  [5176] = 4925,
  [5177] = 4036,
  [5178] = 4025,
  [5179] = 4033,
  [5180] = 4013,
  [5181] = 4036,
  [5182] = 4013,
  [5183] = 4010,
  [5184] = 4028,
  [5185] = 4017,
  [5186] = 4020,
  [5187] = 4022,
  [5188] = 4023,
  [5189] = 4025,
  [5190] = 4027,
  [5191] = 4010,
  [5192] = 3995,
  [5193] = 4028,
  [5194] = 4017,
  [5195] = 4009,
  [5196] = 4020,
  [5197] = 4031,
  [5198] = 4038,
  [5199] = 3995,
  [5200] = 3987,
  [5201] = 4009,
  [5202] = 4033,
  [5203] = 4022,
  [5204] = 4016,
  [5205] = 4036,
  [5206] = 4013,
  [5207] = 4010,
  [5208] = 4028,
  [5209] = 4017,
  [5210] = 4020,
  [5211] = 4022,
  [5212] = 4023,
  [5213] = 4025,
  [5214] = 4027,
  [5215] = 3995,
  [5216] = 4033,
  [5217] = 4023,
  [5218] = 4036,
  [5219] = 4013,
  [5220] = 4010,
  [5221] = 4028,
  [5222] = 4017,
  [5223] = 4020,
  [5224] = 4022,
  [5225] = 4023,
  [5226] = 4025,
  [5227] = 4027,
  [5228] = 4036,
  [5229] = 4033,
  [5230] = 4031,
  [5231] = 4009,
  [5232] = 4016,
  [5233] = 4036,
  [5234] = 4013,
  [5235] = 4010,
  [5236] = 4028,
  [5237] = 4017,
  [5238] = 4031,
  [5239] = 4020,
  [5240] = 4022,
  [5241] = 4023,
  [5242] = 4025,
  [5243] = 4027,
  [5244] = 4016,
  [5245] = 4025,
  [5246] = 4010,
  [5247] = 4038,
  [5248] = 4009,
  [5249] = 4031,
  [5250] = 4031,
  [5251] = 4033,
  [5252] = 4038,
  [5253] = 4027,
  [5254] = 4036,
  [5255] = 4013,
  [5256] = 4010,
  [5257] = 4028,
  [5258] = 4017,
  [5259] = 4020,
  [5260] = 4022,
  [5261] = 4023,
  [5262] = 4025,
  [5263] = 4027,
  [5264] = 4009,
  [5265] = 4033,
  [5266] = 4020,
  [5267] = 4031,
  [5268] = 4033,
  [5269] = 4022,
  [5270] = 4038,
  [5271] = 4031,
  [5272] = 4036,
  [5273] = 4013,
  [5274] = 4010,
  [5275] = 4028,
  [5276] = 4017,
  [5277] = 4020,
  [5278] = 4022,
  [5279] = 4023,
  [5280] = 4025,
  [5281] = 4027,
  [5282] = 3995,
  [5283] = 4038,
  [5284] = 4925,
  [5285] = 3744,
  [5286] = 4016,
  [5287] = 4038,
  [5288] = 4009,
  [5289] = 4033,
  [5290] = 4031,
  [5291] = 4038,
  [5292] = 4009,
  [5293] = 3744,
  [5294] = 4036,
  [5295] = 4013,
  [5296] = 4010,
  [5297] = 5297,
  [5298] = 4028,
  [5299] = 4031,
  [5300] = 4017,
  [5301] = 4016,
  [5302] = 4020,
  [5303] = 4022,
  [5304] = 4023,
  [5305] = 4013,
  [5306] = 4025,
  [5307] = 4028,
  [5308] = 4027,
  [5309] = 4038,
  [5310] = 3744,
  [5311] = 3744,
  [5312] = 4017,
  [5313] = 4033,
  [5314] = 3744,
  [5315] = 4016,
  [5316] = 4036,
  [5317] = 4013,
  [5318] = 4020,
  [5319] = 4010,
  [5320] = 4028,
  [5321] = 4017,
  [5322] = 4009,
  [5323] = 4023,
  [5324] = 4925,
  [5325] = 4925,
  [5326] = 4025,
  [5327] = 4027,
  [5328] = 3995,
  [5329] = 4020,
  [5330] = 3995,
  [5331] = 4925,
  [5332] = 4009,
  [5333] = 4027,
  [5334] = 4022,
  [5335] = 4925,
  [5336] = 3999,
  [5337] = 3999,
  [5338] = 4031,
  [5339] = 4009,
  [5340] = 3744,
  [5341] = 3995,
  [5342] = 4031,
  [5343] = 4031,
  [5344] = 3995,
  [5345] = 4033,
  [5346] = 4023,
  [5347] = 4016,
  [5348] = 4016,
  [5349] = 4925,
  [5350] = 3987,
  [5351] = 4036,
  [5352] = 4025,
  [5353] = 4036,
  [5354] = 4010,
  [5355] = 4016,
  [5356] = 4020,
  [5357] = 4028,
  [5358] = 4017,
  [5359] = 4036,
  [5360] = 4028,
  [5361] = 4017,
  [5362] = 4013,
  [5363] = 4010,
  [5364] = 4023,
  [5365] = 4028,
  [5366] = 4025,
  [5367] = 4017,
  [5368] = 4031,
  [5369] = 4020,
  [5370] = 4022,
  [5371] = 4023,
  [5372] = 4025,
  [5373] = 4027,
  [5374] = 4033,
  [5375] = 4027,
  [5376] = 4020,
  [5377] = 4016,
  [5378] = 4036,
  [5379] = 4013,
  [5380] = 4010,
  [5381] = 4038,
  [5382] = 4028,
  [5383] = 4016,
  [5384] = 4017,
  [5385] = 4020,
  [5386] = 4022,
  [5387] = 4023,
  [5388] = 4025,
  [5389] = 4027,
  [5390] = 4022,
  [5391] = 4023,
  [5392] = 4020,
  [5393] = 4036,
  [5394] = 3995,
  [5395] = 4016,
  [5396] = 4013,
  [5397] = 3995,
  [5398] = 4038,
  [5399] = 4010,
  [5400] = 4028,
  [5401] = 4025,
  [5402] = 4010,
  [5403] = 4031,
  [5404] = 4022,
  [5405] = 4036,
  [5406] = 4009,
  [5407] = 3744,
  [5408] = 4027,
  [5409] = 4010,
  [5410] = 4016,
  [5411] = 4031,
  [5412] = 3995,
  [5413] = 4033,
  [5414] = 4009,
  [5415] = 4009,
  [5416] = 4009,
  [5417] = 4031,
  [5418] = 4022,
  [5419] = 4031,
  [5420] = 4033,
  [5421] = 4038,
  [5422] = 4033,
  [5423] = 4020,
  [5424] = 4010,
  [5425] = 4036,
  [5426] = 4010,
  [5427] = 4033,
  [5428] = 4022,
  [5429] = 4036,
  [5430] = 4013,
  [5431] = 4033,
  [5432] = 4038,
  [5433] = 3744,
  [5434] = 4025,
  [5435] = 4010,
  [5436] = 4028,
  [5437] = 4017,
  [5438] = 4020,
  [5439] = 4022,
  [5440] = 4023,
  [5441] = 4025,
  [5442] = 4027,
  [5443] = 3995,
  [5444] = 4016,
  [5445] = 4013,
  [5446] = 4028,
  [5447] = 3987,
  [5448] = 4028,
  [5449] = 4017,
  [5450] = 4036,
  [5451] = 4020,
  [5452] = 4017,
  [5453] = 3995,
  [5454] = 4038,
  [5455] = 4020,
  [5456] = 4023,
  [5457] = 4013,
  [5458] = 4025,
  [5459] = 4038,
  [5460] = 4022,
  [5461] = 4016,
  [5462] = 4017,
  [5463] = 4027,
  [5464] = 4013,
  [5465] = 4016,
  [5466] = 4023,
  [5467] = 4017,
  [5468] = 4010,
  [5469] = 4028,
  [5470] = 4022,
  [5471] = 4033,
  [5472] = 4022,
  [5473] = 3995,
  [5474] = 4020,
  [5475] = 4022,
  [5476] = 4028,
  [5477] = 4009,
  [5478] = 4023,
  [5479] = 4031,
  [5480] = 4016,
  [5481] = 4031,
  [5482] = 4009,
  [5483] = 3744,
  [5484] = 4025,
  [5485] = 4017,
  [5486] = 3995,
  [5487] = 4017,
  [5488] = 4020,
  [5489] = 4031,
  [5490] = 4009,
  [5491] = 4038,
  [5492] = 3744,
  [5493] = 4031,
  [5494] = 4023,
  [5495] = 4025,
  [5496] = 4033,
  [5497] = 4016,
  [5498] = 3744,
  [5499] = 4038,
  [5500] = 4036,
  [5501] = 4013,
  [5502] = 4010,
  [5503] = 4028,
  [5504] = 4017,
  [5505] = 4020,
  [5506] = 4022,
  [5507] = 4023,
  [5508] = 4025,
  [5509] = 4027,
  [5510] = 3744,
  [5511] = 4016,
  [5512] = 4025,
  [5513] = 4027,
  [5514] = 4027,
  [5515] = 4016,
  [5516] = 4009,
  [5517] = 4027,
  [5518] = 3995,
  [5519] = 4036,
  [5520] = 4033,
  [5521] = 4009,
  [5522] = 4031,
  [5523] = 4033,
  [5524] = 4027,
  [5525] = 4016,
  [5526] = 4038,
  [5527] = 4031,
  [5528] = 3995,
  [5529] = 4031,
  [5530] = 4020,
  [5531] = 4031,
  [5532] = 4009,
  [5533] = 4017,
  [5534] = 4009,
  [5535] = 4033,
  [5536] = 4031,
  [5537] = 4020,
  [5538] = 4009,
  [5539] = 4016,
  [5540] = 3744,
  [5541] = 4016,
  [5542] = 4033,
  [5543] = 4036,
  [5544] = 4023,
  [5545] = 4038,
  [5546] = 4013,
  [5547] = 3744,
  [5548] = 4031,
  [5549] = 3995,
  [5550] = 4010,
  [5551] = 4028,
  [5552] = 4017,
  [5553] = 4020,
  [5554] = 4022,
  [5555] = 4023,
  [5556] = 4031,
  [5557] = 4025,
  [5558] = 4033,
  [5559] = 4023,
  [5560] = 4023,
  [5561] = 4036,
  [5562] = 4013,
  [5563] = 4022,
  [5564] = 4028,
  [5565] = 4017,
  [5566] = 4020,
  [5567] = 4022,
  [5568] = 4023,
  [5569] = 4025,
  [5570] = 4027,
  [5571] = 4025,
  [5572] = 4027,
  [5573] = 3995,
  [5574] = 4033,
  [5575] = 4025,
  [5576] = 4016,
  [5577] = 3995,
  [5578] = 4009,
  [5579] = 4016,
  [5580] = 4027,
  [5581] = 4027,
  [5582] = 3995,
  [5583] = 4033,
  [5584] = 4036,
  [5585] = 4013,
  [5586] = 4010,
  [5587] = 4036,
  [5588] = 4016,
  [5589] = 4036,
  [5590] = 4016,
  [5591] = 4033,
  [5592] = 4009,
  [5593] = 4028,
  [5594] = 4013,
  [5595] = 4010,
  [5596] = 4009,
  [5597] = 4036,
  [5598] = 4028,
  [5599] = 4031,
  [5600] = 4033,
  [5601] = 4009,
  [5602] = 4013,
  [5603] = 4038,
  [5604] = 4017,
  [5605] = 4036,
  [5606] = 4038,
  [5607] = 4023,
  [5608] = 4013,
  [5609] = 4036,
  [5610] = 4013,
  [5611] = 4010,
  [5612] = 4028,
  [5613] = 4017,
  [5614] = 4016,
  [5615] = 4009,
  [5616] = 4036,
  [5617] = 4020,
  [5618] = 4020,
  [5619] = 4038,
  [5620] = 4016,
  [5621] = 4038,
  [5622] = 4022,
  [5623] = 4022,
  [5624] = 4023,
  [5625] = 4031,
  [5626] = 4033,
  [5627] = 4025,
  [5628] = 4027,
  [5629] = 4036,
  [5630] = 4013,
  [5631] = 4010,
  [5632] = 4013,
  [5633] = 4023,
  [5634] = 4028,
  [5635] = 4033,
  [5636] = 4025,
  [5637] = 4025,
  [5638] = 4033,
  [5639] = 4010,
  [5640] = 4036,
  [5641] = 4013,
  [5642] = 4010,
  [5643] = 4028,
  [5644] = 4017,
  [5645] = 4020,
  [5646] = 4022,
  [5647] = 4023,
  [5648] = 4038,
  [5649] = 4017,
  [5650] = 4025,
  [5651] = 4020,
  [5652] = 4022,
  [5653] = 4020,
  [5654] = 3995,
  [5655] = 4027,
  [5656] = 4010,
  [5657] = 4022,
  [5658] = 4023,
  [5659] = 4025,
  [5660] = 4027,
  [5661] = 4038,
  [5662] = 4010,
  [5663] = 4023,
  [5664] = 4025,
  [5665] = 4027,
  [5666] = 4016,
  [5667] = 4038,
  [5668] = 4033,
  [5669] = 3995,
  [5670] = 4036,
  [5671] = 4013,
  [5672] = 4009,
  [5673] = 4028,
  [5674] = 4017,
  [5675] = 4031,
  [5676] = 4010,
  [5677] = 4028,
  [5678] = 4017,
  [5679] = 4031,
  [5680] = 4020,
  [5681] = 4022,
  [5682] = 4023,
  [5683] = 4020,
  [5684] = 4017,
  [5685] = 4009,
  [5686] = 3995,
  [5687] = 4031,
  [5688] = 4036,
  [5689] = 4038,
  [5690] = 4038,
  [5691] = 3744,
  [5692] = 4013,
  [5693] = 4016,
  [5694] = 4033,
  [5695] = 4038,
  [5696] = 4022,
  [5697] = 4023,
  [5698] = 4025,
  [5699] = 3995,
  [5700] = 4009,
  [5701] = 4027,
  [5702] = 4027,
  [5703] = 3744,
  [5704] = 4028,
  [5705] = 4027,
  [5706] = 3995,
  [5707] = 4025,
  [5708] = 4038,
  [5709] = 4009,
  [5710] = 4031,
  [5711] = 4038,
  [5712] = 4013,
  [5713] = 4016,
  [5714] = 4013,
  [5715] = 4027,
  [5716] = 3999,
  [5717] = 4010,
  [5718] = 4009,
  [5719] = 4031,
  [5720] = 4028,
  [5721] = 4020,
  [5722] = 4022,
  [5723] = 5723,
  [5724] = 5724,
  [5725] = 4017,
  [5726] = 4038,
  [5727] = 4033,
  [5728] = 3744,
  [5729] = 4036,
  [5730] = 4013,
  [5731] = 4010,
  [5732] = 4009,
  [5733] = 4028,
  [5734] = 4010,
  [5735] = 4022,
  [5736] = 4028,
  [5737] = 4033,
  [5738] = 4036,
  [5739] = 4010,
  [5740] = 4033,
  [5741] = 4036,
  [5742] = 4017,
  [5743] = 4013,
  [5744] = 4010,
  [5745] = 4028,
  [5746] = 4017,
  [5747] = 4020,
  [5748] = 4010,
  [5749] = 4022,
  [5750] = 4023,
  [5751] = 4025,
  [5752] = 3987,
  [5753] = 4027,
  [5754] = 4013,
  [5755] = 4028,
  [5756] = 4023,
  [5757] = 4017,
  [5758] = 4038,
  [5759] = 4036,
  [5760] = 4010,
  [5761] = 5761,
  [5762] = 3995,
  [5763] = 4038,
  [5764] = 4028,
  [5765] = 4038,
  [5766] = 4025,
  [5767] = 3995,
  [5768] = 4033,
  [5769] = 4028,
  [5770] = 4023,
  [5771] = 4027,
  [5772] = 4016,
  [5773] = 4016,
  [5774] = 4025,
  [5775] = 3995,
  [5776] = 4038,
  [5777] = 4036,
  [5778] = 4013,
  [5779] = 4038,
  [5780] = 4038,
  [5781] = 3995,
  [5782] = 4010,
  [5783] = 4028,
  [5784] = 4031,
  [5785] = 4009,
  [5786] = 4033,
  [5787] = 4033,
  [5788] = 4017,
  [5789] = 4009,
  [5790] = 4022,
  [5791] = 4036,
  [5792] = 4013,
  [5793] = 4010,
  [5794] = 4028,
  [5795] = 4017,
  [5796] = 4020,
  [5797] = 4022,
  [5798] = 4023,
  [5799] = 4025,
  [5800] = 4027,
  [5801] = 4020,
  [5802] = 4023,
  [5803] = 4022,
  [5804] = 4017,
  [5805] = 4036,
  [5806] = 4038,
  [5807] = 4013,
  [5808] = 4022,
  [5809] = 4020,
  [5810] = 4031,
  [5811] = 4010,
  [5812] = 4016,
  [5813] = 4023,
  [5814] = 3995,
  [5815] = 4028,
  [5816] = 4017,
  [5817] = 4020,
  [5818] = 4023,
  [5819] = 4025,
  [5820] = 4027,
  [5821] = 4009,
  [5822] = 4009,
  [5823] = 4027,
  [5824] = 4020,
  [5825] = 4031,
  [5826] = 4036,
  [5827] = 4016,
  [5828] = 4028,
  [5829] = 4016,
  [5830] = 4022,
  [5831] = 4013,
  [5832] = 4023,
  [5833] = 4025,
  [5834] = 4017,
  [5835] = 4016,
  [5836] = 4017,
  [5837] = 4010,
  [5838] = 4009,
  [5839] = 4028,
  [5840] = 4033,
  [5841] = 4017,
  [5842] = 4016,
  [5843] = 4022,
  [5844] = 4031,
  [5845] = 4020,
  [5846] = 4022,
  [5847] = 4023,
  [5848] = 4025,
  [5849] = 4027,
  [5850] = 4036,
  [5851] = 4038,
  [5852] = 4033,
  [5853] = 4009,
  [5854] = 4027,
  [5855] = 3995,
  [5856] = 3995,
  [5857] = 4010,
  [5858] = 4022,
  [5859] = 4010,
  [5860] = 4033,
  [5861] = 4020,
  [5862] = 4020,
  [5863] = 4038,
  [5864] = 4036,
  [5865] = 4013,
  [5866] = 4010,
  [5867] = 4023,
  [5868] = 4028,
  [5869] = 4031,
  [5870] = 4022,
  [5871] = 4028,
  [5872] = 4016,
  [5873] = 5873,
  [5874] = 4038,
  [5875] = 4027,
  [5876] = 4038,
  [5877] = 4031,
  [5878] = 4017,
  [5879] = 3995,
  [5880] = 4027,
  [5881] = 4025,
  [5882] = 4028,
  [5883] = 4038,
  [5884] = 4016,
  [5885] = 4016,
  [5886] = 3995,
  [5887] = 4038,
  [5888] = 4033,
  [5889] = 4009,
  [5890] = 4016,
  [5891] = 4033,
  [5892] = 4009,
  [5893] = 4025,
  [5894] = 4033,
  [5895] = 4027,
  [5896] = 4036,
  [5897] = 4013,
  [5898] = 4010,
  [5899] = 4028,
  [5900] = 4017,
  [5901] = 5146,
  [5902] = 4020,
  [5903] = 4022,
  [5904] = 4023,
  [5905] = 4025,
  [5906] = 4027,
  [5907] = 4031,
  [5908] = 4009,
  [5909] = 4016,
  [5910] = 4033,
  [5911] = 4036,
  [5912] = 4023,
  [5913] = 4036,
  [5914] = 4016,
  [5915] = 4027,
  [5916] = 4020,
  [5917] = 3995,
  [5918] = 4009,
  [5919] = 4022,
  [5920] = 4031,
  [5921] = 4038,
  [5922] = 4025,
  [5923] = 4027,
  [5924] = 3995,
  [5925] = 4020,
  [5926] = 4033,
  [5927] = 4009,
  [5928] = 4009,
  [5929] = 4022,
  [5930] = 4016,
  [5931] = 4036,
  [5932] = 4013,
  [5933] = 4010,
  [5934] = 4028,
  [5935] = 4017,
  [5936] = 4031,
  [5937] = 4020,
  [5938] = 4023,
  [5939] = 4016,
  [5940] = 4036,
  [5941] = 4033,
  [5942] = 4013,
  [5943] = 4031,
  [5944] = 4025,
  [5945] = 3995,
  [5946] = 4027,
  [5947] = 4020,
  [5948] = 4022,
  [5949] = 4023,
  [5950] = 4025,
  [5951] = 4027,
  [5952] = 4017,
  [5953] = 4017,
  [5954] = 4013,
  [5955] = 4009,
  [5956] = 4025,
  [5957] = 4016,
  [5958] = 4031,
  [5959] = 4020,
  [5960] = 4028,
  [5961] = 4031,
  [5962] = 3995,
  [5963] = 4038,
  [5964] = 4013,
  [5965] = 4031,
  [5966] = 4009,
  [5967] = 4036,
  [5968] = 4033,
  [5969] = 4038,
  [5970] = 4033,
  [5971] = 4036,
  [5972] = 4017,
  [5973] = 4013,
  [5974] = 4023,
  [5975] = 4010,
  [5976] = 4025,
  [5977] = 4023,
  [5978] = 4009,
  [5979] = 4027,
  [5980] = 4013,
  [5981] = 4010,
  [5982] = 4038,
  [5983] = 3995,
  [5984] = 4038,
  [5985] = 4025,
  [5986] = 4031,
  [5987] = 5146,
  [5988] = 4031,
  [5989] = 4013,
  [5990] = 3995,
  [5991] = 4022,
  [5992] = 4009,
  [5993] = 4020,
  [5994] = 3744,
  [5995] = 4010,
  [5996] = 5996,
  [5997] = 4013,
  [5998] = 4031,
  [5999] = 5999,
  [6000] = 6000,
  [6001] = 6000,
  [6002] = 4016,
  [6003] = 6003,
  [6004] = 4016,
  [6005] = 6000,
  [6006] = 6000,
  [6007] = 6000,
  [6008] = 6000,
  [6009] = 4016,
  [6010] = 6000,
  [6011] = 3995,
  [6012] = 6000,
  [6013] = 4036,
  [6014] = 4010,
  [6015] = 6000,
  [6016] = 4022,
  [6017] = 4033,
  [6018] = 6000,
  [6019] = 4013,
  [6020] = 4028,
  [6021] = 4017,
  [6022] = 4020,
  [6023] = 6000,
  [6024] = 4023,
  [6025] = 4025,
  [6026] = 4027,
  [6027] = 6000,
  [6028] = 6000,
  [6029] = 4016,
  [6030] = 4009,
  [6031] = 4036,
  [6032] = 4010,
  [6033] = 6000,
  [6034] = 4031,
  [6035] = 4022,
  [6036] = 6000,
  [6037] = 4033,
  [6038] = 4013,
  [6039] = 6000,
  [6040] = 4028,
  [6041] = 4017,
  [6042] = 4020,
  [6043] = 3995,
  [6044] = 4023,
  [6045] = 4025,
  [6046] = 4027,
  [6047] = 6000,
  [6048] = 6048,
  [6049] = 4036,
  [6050] = 4010,
  [6051] = 4022,
  [6052] = 6000,
  [6053] = 4033,
  [6054] = 4009,
  [6055] = 4013,
  [6056] = 6000,
  [6057] = 4028,
  [6058] = 4017,
  [6059] = 4031,
  [6060] = 4020,
  [6061] = 4023,
  [6062] = 6000,
  [6063] = 4025,
  [6064] = 4027,
  [6065] = 4038,
  [6066] = 4016,
  [6067] = 6000,
  [6068] = 4016,
  [6069] = 4009,
  [6070] = 6070,
  [6071] = 4036,
  [6072] = 4010,
  [6073] = 6000,
  [6074] = 4031,
  [6075] = 4022,
  [6076] = 4033,
  [6077] = 6000,
  [6078] = 6000,
  [6079] = 4013,
  [6080] = 4028,
  [6081] = 6000,
  [6082] = 4017,
  [6083] = 4020,
  [6084] = 4023,
  [6085] = 4025,
  [6086] = 6000,
  [6087] = 4016,
  [6088] = 4027,
  [6089] = 6000,
  [6090] = 4038,
  [6091] = 5999,
  [6092] = 4016,
  [6093] = 6000,
  [6094] = 6000,
  [6095] = 6000,
  [6096] = 4009,
  [6097] = 4031,
  [6098] = 5761,
  [6099] = 4038,
  [6100] = 4016,
  [6101] = 4033,
  [6102] = 4036,
  [6103] = 4013,
  [6104] = 4010,
  [6105] = 4028,
  [6106] = 4017,
  [6107] = 4020,
  [6108] = 4022,
  [6109] = 4023,
  [6110] = 4025,
  [6111] = 4027,
  [6112] = 4009,
  [6113] = 4031,
  [6114] = 4038,
  [6115] = 4038,
  [6116] = 4033,
  [6117] = 4036,
  [6118] = 4013,
  [6119] = 4010,
  [6120] = 4028,
  [6121] = 4017,
  [6122] = 4020,
  [6123] = 4022,
  [6124] = 4023,
  [6125] = 4025,
  [6126] = 4027,
  [6127] = 3744,
  [6128] = 6000,
  [6129] = 6000,
  [6130] = 4033,
  [6131] = 6000,
  [6132] = 4036,
  [6133] = 4013,
  [6134] = 4010,
  [6135] = 4028,
  [6136] = 4017,
  [6137] = 4020,
  [6138] = 4022,
  [6139] = 4023,
  [6140] = 4025,
  [6141] = 4027,
  [6142] = 4033,
  [6143] = 4009,
  [6144] = 4036,
  [6145] = 4013,
  [6146] = 4010,
  [6147] = 4028,
  [6148] = 4017,
  [6149] = 4031,
  [6150] = 4020,
  [6151] = 4022,
  [6152] = 4023,
  [6153] = 4025,
  [6154] = 4027,
  [6155] = 4009,
  [6156] = 4031,
  [6157] = 4016,
  [6158] = 4033,
  [6159] = 4036,
  [6160] = 4013,
  [6161] = 4010,
  [6162] = 4028,
  [6163] = 4017,
  [6164] = 4020,
  [6165] = 4022,
  [6166] = 4023,
  [6167] = 4025,
  [6168] = 4016,
  [6169] = 4038,
  [6170] = 4009,
  [6171] = 4033,
  [6172] = 4036,
  [6173] = 4013,
  [6174] = 4010,
  [6175] = 4028,
  [6176] = 4017,
  [6177] = 4020,
  [6178] = 4022,
  [6179] = 4023,
  [6180] = 4025,
  [6181] = 4027,
  [6182] = 4031,
  [6183] = 4038,
  [6184] = 4009,
  [6185] = 4031,
  [6186] = 4009,
  [6187] = 4033,
  [6188] = 4036,
  [6189] = 4013,
  [6190] = 4010,
  [6191] = 4028,
  [6192] = 4017,
  [6193] = 4020,
  [6194] = 4022,
  [6195] = 4023,
  [6196] = 4025,
  [6197] = 4027,
  [6198] = 4031,
  [6199] = 4038,
  [6200] = 4009,
  [6201] = 4031,
  [6202] = 4038,
  [6203] = 4033,
  [6204] = 4036,
  [6205] = 4013,
  [6206] = 4010,
  [6207] = 4028,
  [6208] = 4017,
  [6209] = 4020,
  [6210] = 4022,
  [6211] = 4023,
  [6212] = 4025,
  [6213] = 4027,
  [6214] = 4038,
  [6215] = 4038,
  [6216] = 4009,
  [6217] = 4031,
  [6218] = 4038,
  [6219] = 6000,
  [6220] = 4038,
  [6221] = 6000,
  [6222] = 4038,
  [6223] = 6000,
  [6224] = 6000,
  [6225] = 6000,
  [6226] = 6000,
  [6227] = 3995,
  [6228] = 5146,
  [6229] = 6000,
  [6230] = 3995,
  [6231] = 6003,
  [6232] = 6000,
  [6233] = 6233,
  [6234] = 6000,
  [6235] = 6000,
  [6236] = 6000,
  [6237] = 4033,
  [6238] = 6000,
  [6239] = 4036,
  [6240] = 4013,
  [6241] = 4010,
  [6242] = 4028,
  [6243] = 4017,
  [6244] = 4020,
  [6245] = 4022,
  [6246] = 4023,
  [6247] = 4025,
  [6248] = 4027,
  [6249] = 6000,
  [6250] = 5146,
  [6251] = 6000,
  [6252] = 6000,
  [6253] = 4009,
  [6254] = 4031,
  [6255] = 6000,
  [6256] = 4016,
  [6257] = 6000,
  [6258] = 6000,
  [6259] = 6003,
  [6260] = 6000,
  [6261] = 6003,
  [6262] = 6003,
  [6263] = 6003,
  [6264] = 6000,
  [6265] = 6003,
  [6266] = 6003,
  [6267] = 6003,
  [6268] = 6003,
  [6269] = 6003,
  [6270] = 6003,
  [6271] = 6003,
  [6272] = 6003,
  [6273] = 6003,
  [6274] = 6003,
  [6275] = 6003,
  [6276] = 6003,
  [6277] = 6003,
  [6278] = 6003,
  [6279] = 6003,
  [6280] = 6003,
  [6281] = 6003,
  [6282] = 6003,
  [6283] = 6003,
  [6284] = 6003,
  [6285] = 6003,
  [6286] = 6003,
  [6287] = 6003,
  [6288] = 6003,
  [6289] = 6003,
  [6290] = 6003,
  [6291] = 6003,
  [6292] = 6003,
  [6293] = 6003,
  [6294] = 6003,
  [6295] = 6003,
  [6296] = 6003,
  [6297] = 6003,
  [6298] = 6003,
  [6299] = 6003,
  [6300] = 6003,
  [6301] = 6003,
  [6302] = 6003,
  [6303] = 6003,
  [6304] = 6003,
  [6305] = 6000,
  [6306] = 6000,
  [6307] = 6000,
  [6308] = 6000,
  [6309] = 4038,
  [6310] = 4027,
  [6311] = 4016,
  [6312] = 6312,
  [6313] = 4022,
  [6314] = 6314,
  [6315] = 6312,
  [6316] = 6316,
  [6317] = 6316,
  [6318] = 6314,
  [6319] = 4033,
  [6320] = 6314,
  [6321] = 4013,
  [6322] = 4016,
  [6323] = 6316,
  [6324] = 4028,
  [6325] = 6316,
  [6326] = 6314,
  [6327] = 4017,
  [6328] = 4020,
  [6329] = 6314,
  [6330] = 4023,
  [6331] = 6316,
  [6332] = 4025,
  [6333] = 6316,
  [6334] = 6314,
  [6335] = 6314,
  [6336] = 4027,
  [6337] = 6316,
  [6338] = 6314,
  [6339] = 6316,
  [6340] = 6314,
  [6341] = 6316,
  [6342] = 6314,
  [6343] = 6316,
  [6344] = 6316,
  [6345] = 6314,
  [6346] = 6316,
  [6347] = 6314,
  [6348] = 6314,
  [6349] = 6316,
  [6350] = 6314,
  [6351] = 6316,
  [6352] = 4009,
  [6353] = 6314,
  [6354] = 6316,
  [6355] = 6314,
  [6356] = 6314,
  [6357] = 6314,
  [6358] = 6314,
  [6359] = 4031,
  [6360] = 6316,
  [6361] = 6314,
  [6362] = 6314,
  [6363] = 6314,
  [6364] = 6314,
  [6365] = 6316,
  [6366] = 6314,
  [6367] = 6314,
  [6368] = 6316,
  [6369] = 6314,
  [6370] = 6314,
  [6371] = 6314,
  [6372] = 6316,
  [6373] = 6314,
  [6374] = 6314,
  [6375] = 6314,
  [6376] = 6314,
  [6377] = 6316,
  [6378] = 6314,
  [6379] = 6314,
  [6380] = 6314,
  [6381] = 6314,
  [6382] = 6316,
  [6383] = 6314,
  [6384] = 6316,
  [6385] = 6385,
  [6386] = 6314,
  [6387] = 6314,
  [6388] = 6314,
  [6389] = 6316,
  [6390] = 6314,
  [6391] = 6314,
  [6392] = 6314,
  [6393] = 6314,
  [6394] = 6314,
  [6395] = 6316,
  [6396] = 6314,
  [6397] = 6314,
  [6398] = 6314,
  [6399] = 6314,
  [6400] = 6316,
  [6401] = 6314,
  [6402] = 6314,
  [6403] = 6312,
  [6404] = 6314,
  [6405] = 6316,
  [6406] = 6314,
  [6407] = 6312,
  [6408] = 6316,
  [6409] = 6316,
  [6410] = 6314,
  [6411] = 6316,
  [6412] = 6314,
  [6413] = 6314,
  [6414] = 6314,
  [6415] = 6314,
  [6416] = 6314,
  [6417] = 6316,
  [6418] = 6314,
  [6419] = 6314,
  [6420] = 6314,
  [6421] = 6314,
  [6422] = 6314,
  [6423] = 6316,
  [6424] = 6314,
  [6425] = 6314,
  [6426] = 6314,
  [6427] = 6314,
  [6428] = 6316,
  [6429] = 6314,
  [6430] = 6314,
  [6431] = 6314,
  [6432] = 3995,
  [6433] = 6314,
  [6434] = 6316,
  [6435] = 6314,
  [6436] = 6316,
  [6437] = 6314,
  [6438] = 6314,
  [6439] = 6314,
  [6440] = 6316,
  [6441] = 6314,
  [6442] = 6314,
  [6443] = 6314,
  [6444] = 6314,
  [6445] = 6314,
  [6446] = 6316,
  [6447] = 6314,
  [6448] = 6314,
  [6449] = 6314,
  [6450] = 6314,
  [6451] = 6316,
  [6452] = 6314,
  [6453] = 6316,
  [6454] = 6314,
  [6455] = 6314,
  [6456] = 6314,
  [6457] = 6316,
  [6458] = 6314,
  [6459] = 6314,
  [6460] = 6314,
  [6461] = 6314,
  [6462] = 6316,
  [6463] = 6314,
  [6464] = 6314,
  [6465] = 6314,
  [6466] = 6312,
  [6467] = 6314,
  [6468] = 6314,
  [6469] = 6316,
  [6470] = 6314,
  [6471] = 6314,
  [6472] = 6314,
  [6473] = 6314,
  [6474] = 6316,
  [6475] = 6316,
  [6476] = 6314,
  [6477] = 6314,
  [6478] = 6314,
  [6479] = 6314,
  [6480] = 6316,
  [6481] = 6314,
  [6482] = 6314,
  [6483] = 6314,
  [6484] = 6314,
  [6485] = 6316,
  [6486] = 6314,
  [6487] = 6314,
  [6488] = 6316,
  [6489] = 6314,
  [6490] = 6314,
  [6491] = 6314,
  [6492] = 6316,
  [6493] = 6314,
  [6494] = 6314,
  [6495] = 6314,
  [6496] = 6314,
  [6497] = 6316,
  [6498] = 6314,
  [6499] = 6316,
  [6500] = 6314,
  [6501] = 6314,
  [6502] = 6314,
  [6503] = 6316,
  [6504] = 6314,
  [6505] = 6314,
  [6506] = 6314,
  [6507] = 6314,
  [6508] = 6316,
  [6509] = 6314,
  [6510] = 6314,
  [6511] = 6316,
  [6512] = 6314,
  [6513] = 6314,
  [6514] = 6314,
  [6515] = 6316,
  [6516] = 6314,
  [6517] = 6314,
  [6518] = 4033,
  [6519] = 6314,
  [6520] = 6316,
  [6521] = 6314,
  [6522] = 6316,
  [6523] = 6314,
  [6524] = 6314,
  [6525] = 6314,
  [6526] = 6314,
  [6527] = 6316,
  [6528] = 6314,
  [6529] = 6316,
  [6530] = 6316,
  [6531] = 6316,
  [6532] = 6316,
  [6533] = 6316,
  [6534] = 6316,
  [6535] = 6314,
  [6536] = 6316,
  [6537] = 6316,
  [6538] = 6316,
  [6539] = 6314,
  [6540] = 6314,
  [6541] = 6312,
  [6542] = 4036,
  [6543] = 4013,
  [6544] = 6316,
  [6545] = 6312,
  [6546] = 4010,
  [6547] = 4038,
  [6548] = 6316,
  [6549] = 6316,
  [6550] = 6314,
  [6551] = 6316,
  [6552] = 6316,
  [6553] = 4028,
  [6554] = 6312,
  [6555] = 6316,
  [6556] = 4033,
  [6557] = 6316,
  [6558] = 6316,
  [6559] = 3995,
  [6560] = 6314,
  [6561] = 6316,
  [6562] = 4036,
  [6563] = 4013,
  [6564] = 4010,
  [6565] = 4017,
  [6566] = 6316,
  [6567] = 4028,
  [6568] = 4017,
  [6569] = 6316,
  [6570] = 6312,
  [6571] = 4009,
  [6572] = 4020,
  [6573] = 6316,
  [6574] = 6316,
  [6575] = 4031,
  [6576] = 6316,
  [6577] = 6316,
  [6578] = 6316,
  [6579] = 6316,
  [6580] = 4022,
  [6581] = 6316,
  [6582] = 4023,
  [6583] = 4025,
  [6584] = 4027,
  [6585] = 6316,
  [6586] = 6316,
  [6587] = 4022,
  [6588] = 6316,
  [6589] = 6316,
  [6590] = 6314,
  [6591] = 4023,
  [6592] = 4025,
  [6593] = 6316,
  [6594] = 6316,
  [6595] = 4027,
  [6596] = 6316,
  [6597] = 6312,
  [6598] = 6316,
  [6599] = 6316,
  [6600] = 6316,
  [6601] = 6314,
  [6602] = 6316,
  [6603] = 6314,
  [6604] = 4009,
  [6605] = 6312,
  [6606] = 6316,
  [6607] = 4031,
  [6608] = 6316,
  [6609] = 6316,
  [6610] = 6316,
  [6611] = 6316,
  [6612] = 6314,
  [6613] = 6316,
  [6614] = 6312,
  [6615] = 4038,
  [6616] = 6316,
  [6617] = 6316,
  [6618] = 6316,
  [6619] = 6316,
  [6620] = 6316,
  [6621] = 6314,
  [6622] = 6316,
  [6623] = 6312,
  [6624] = 6316,
  [6625] = 6316,
  [6626] = 6316,
  [6627] = 6314,
  [6628] = 4033,
  [6629] = 6316,
  [6630] = 4036,
  [6631] = 4013,
  [6632] = 4010,
  [6633] = 6316,
  [6634] = 4028,
  [6635] = 4017,
  [6636] = 4020,
  [6637] = 4022,
  [6638] = 4023,
  [6639] = 4025,
  [6640] = 4027,
  [6641] = 6316,
  [6642] = 6312,
  [6643] = 6316,
  [6644] = 4009,
  [6645] = 6316,
  [6646] = 4031,
  [6647] = 6316,
  [6648] = 6316,
  [6649] = 6316,
  [6650] = 6316,
  [6651] = 6316,
  [6652] = 6316,
  [6653] = 6316,
  [6654] = 6316,
  [6655] = 6316,
  [6656] = 6316,
  [6657] = 6314,
  [6658] = 6316,
  [6659] = 6314,
  [6660] = 6312,
  [6661] = 6316,
  [6662] = 6312,
  [6663] = 6312,
  [6664] = 6316,
  [6665] = 6314,
  [6666] = 6316,
  [6667] = 6316,
  [6668] = 4038,
  [6669] = 6316,
  [6670] = 6312,
  [6671] = 6316,
  [6672] = 6314,
  [6673] = 6316,
  [6674] = 6316,
  [6675] = 6314,
  [6676] = 6676,
  [6677] = 6316,
  [6678] = 6312,
  [6679] = 6316,
  [6680] = 6314,
  [6681] = 6316,
  [6682] = 6312,
  [6683] = 6314,
  [6684] = 6316,
  [6685] = 6312,
  [6686] = 6316,
  [6687] = 6316,
  [6688] = 6314,
  [6689] = 6312,
  [6690] = 6312,
  [6691] = 6316,
  [6692] = 6314,
  [6693] = 6312,
  [6694] = 6316,
  [6695] = 6314,
  [6696] = 6316,
  [6697] = 6312,
  [6698] = 6312,
  [6699] = 6316,
  [6700] = 6316,
  [6701] = 6316,
  [6702] = 6314,
  [6703] = 6316,
  [6704] = 3995,
  [6705] = 6312,
  [6706] = 6316,
  [6707] = 6316,
  [6708] = 6314,
  [6709] = 4009,
  [6710] = 6312,
  [6711] = 6316,
  [6712] = 6316,
  [6713] = 6314,
  [6714] = 6316,
  [6715] = 6314,
  [6716] = 6316,
  [6717] = 6316,
  [6718] = 6312,
  [6719] = 6316,
  [6720] = 6314,
  [6721] = 4038,
  [6722] = 6316,
  [6723] = 6312,
  [6724] = 6316,
  [6725] = 6316,
  [6726] = 6314,
  [6727] = 6314,
  [6728] = 6312,
  [6729] = 6316,
  [6730] = 6316,
  [6731] = 6314,
  [6732] = 6312,
  [6733] = 4038,
  [6734] = 3995,
  [6735] = 6316,
  [6736] = 6316,
  [6737] = 6314,
  [6738] = 6316,
  [6739] = 6312,
  [6740] = 6316,
  [6741] = 6314,
  [6742] = 6316,
  [6743] = 6316,
  [6744] = 6314,
  [6745] = 6312,
  [6746] = 6316,
  [6747] = 6314,
  [6748] = 4031,
  [6749] = 6316,
  [6750] = 6312,
  [6751] = 3744,
  [6752] = 6316,
  [6753] = 6314,
  [6754] = 6316,
  [6755] = 6312,
  [6756] = 6316,
  [6757] = 6316,
  [6758] = 6314,
  [6759] = 6312,
  [6760] = 6316,
  [6761] = 6316,
  [6762] = 6312,
  [6763] = 6316,
  [6764] = 6314,
  [6765] = 6316,
  [6766] = 6316,
  [6767] = 6312,
  [6768] = 6314,
  [6769] = 6316,
  [6770] = 6312,
  [6771] = 6316,
  [6772] = 6314,
  [6773] = 6316,
  [6774] = 6314,
  [6775] = 6316,
  [6776] = 6312,
  [6777] = 6312,
  [6778] = 6316,
  [6779] = 6314,
  [6780] = 6316,
  [6781] = 6316,
  [6782] = 6314,
  [6783] = 6314,
  [6784] = 4036,
  [6785] = 6314,
  [6786] = 4010,
  [6787] = 6316,
  [6788] = 6314,
  [6789] = 6316,
  [6790] = 4020,
  [6791] = 4017,
  [6792] = 4013,
  [6793] = 4020,
  [6794] = 4022,
  [6795] = 4023,
  [6796] = 4025,
  [6797] = 4027,
  [6798] = 4031,
  [6799] = 4031,
  [6800] = 3995,
  [6801] = 4023,
  [6802] = 4022,
  [6803] = 4036,
  [6804] = 4028,
  [6805] = 4010,
  [6806] = 4025,
  [6807] = 4009,
  [6808] = 4033,
  [6809] = 4027,
  [6810] = 3995,
  [6811] = 4009,
  [6812] = 4009,
  [6813] = 4013,
  [6814] = 4017,
  [6815] = 4031,
  [6816] = 4031,
  [6817] = 3995,
  [6818] = 4038,
  [6819] = 4038,
  [6820] = 4033,
  [6821] = 4036,
  [6822] = 4013,
  [6823] = 4010,
  [6824] = 4036,
  [6825] = 4028,
  [6826] = 4031,
  [6827] = 4028,
  [6828] = 4020,
  [6829] = 4009,
  [6830] = 4023,
  [6831] = 4025,
  [6832] = 6676,
  [6833] = 4017,
  [6834] = 4027,
  [6835] = 4038,
  [6836] = 3995,
  [6837] = 4010,
  [6838] = 4020,
  [6839] = 4022,
  [6840] = 4023,
  [6841] = 4025,
  [6842] = 4027,
  [6843] = 4020,
  [6844] = 4009,
  [6845] = 4022,
  [6846] = 4038,
  [6847] = 4033,
  [6848] = 4036,
  [6849] = 4013,
  [6850] = 4010,
  [6851] = 4038,
  [6852] = 4028,
  [6853] = 4033,
  [6854] = 4017,
  [6855] = 3995,
  [6856] = 6856,
  [6857] = 4013,
  [6858] = 6856,
  [6859] = 6856,
  [6860] = 4038,
  [6861] = 6856,
  [6862] = 4028,
  [6863] = 4017,
  [6864] = 6856,
  [6865] = 4020,
  [6866] = 6856,
  [6867] = 6856,
  [6868] = 4033,
  [6869] = 4022,
  [6870] = 6856,
  [6871] = 4010,
  [6872] = 4023,
  [6873] = 4025,
  [6874] = 4033,
  [6875] = 4027,
  [6876] = 4036,
  [6877] = 4013,
  [6878] = 4010,
  [6879] = 3995,
  [6880] = 4028,
  [6881] = 4017,
  [6882] = 6856,
  [6883] = 6856,
  [6884] = 4020,
  [6885] = 6856,
  [6886] = 4022,
  [6887] = 4036,
  [6888] = 4023,
  [6889] = 4010,
  [6890] = 6856,
  [6891] = 4025,
  [6892] = 4027,
  [6893] = 6893,
  [6894] = 6856,
  [6895] = 6856,
  [6896] = 6856,
  [6897] = 4022,
  [6898] = 4009,
  [6899] = 4033,
  [6900] = 6856,
  [6901] = 4033,
  [6902] = 6856,
  [6903] = 6856,
  [6904] = 4013,
  [6905] = 6856,
  [6906] = 3995,
  [6907] = 4009,
  [6908] = 4036,
  [6909] = 4028,
  [6910] = 6856,
  [6911] = 4013,
  [6912] = 6856,
  [6913] = 4010,
  [6914] = 4028,
  [6915] = 4031,
  [6916] = 4022,
  [6917] = 6856,
  [6918] = 4017,
  [6919] = 4020,
  [6920] = 4022,
  [6921] = 4023,
  [6922] = 6856,
  [6923] = 4017,
  [6924] = 4025,
  [6925] = 6856,
  [6926] = 4020,
  [6927] = 4027,
  [6928] = 4023,
  [6929] = 4025,
  [6930] = 6856,
  [6931] = 4027,
  [6932] = 6856,
  [6933] = 4023,
  [6934] = 6856,
  [6935] = 6856,
  [6936] = 4025,
  [6937] = 4009,
  [6938] = 6856,
  [6939] = 6893,
  [6940] = 6856,
  [6941] = 4031,
  [6942] = 3995,
  [6943] = 6856,
  [6944] = 4031,
  [6945] = 6856,
  [6946] = 4010,
  [6947] = 6856,
  [6948] = 6856,
  [6949] = 6856,
  [6950] = 4036,
  [6951] = 6856,
  [6952] = 6856,
  [6953] = 4009,
  [6954] = 6856,
  [6955] = 6856,
  [6956] = 4013,
  [6957] = 6856,
  [6958] = 4031,
  [6959] = 6856,
  [6960] = 6856,
  [6961] = 6856,
  [6962] = 6856,
  [6963] = 6856,
  [6964] = 6856,
  [6965] = 6856,
  [6966] = 6856,
  [6967] = 4027,
  [6968] = 6856,
  [6969] = 4028,
  [6970] = 6856,
  [6971] = 6856,
  [6972] = 6856,
  [6973] = 4038,
  [6974] = 6856,
  [6975] = 6856,
  [6976] = 6856,
  [6977] = 6856,
  [6978] = 6856,
  [6979] = 4038,
  [6980] = 6856,
  [6981] = 6856,
  [6982] = 6856,
  [6983] = 6856,
  [6984] = 3995,
  [6985] = 6856,
  [6986] = 6856,
  [6987] = 6856,
  [6988] = 6856,
  [6989] = 4036,
  [6990] = 6856,
  [6991] = 6856,
  [6992] = 6856,
  [6993] = 6856,
  [6994] = 6856,
  [6995] = 6856,
  [6996] = 6856,
  [6997] = 6856,
  [6998] = 6856,
  [6999] = 6856,
  [7000] = 6856,
  [7001] = 6856,
  [7002] = 6856,
  [7003] = 6856,
  [7004] = 6856,
  [7005] = 6856,
  [7006] = 6856,
  [7007] = 6856,
  [7008] = 6856,
  [7009] = 6856,
  [7010] = 6856,
  [7011] = 6856,
  [7012] = 6856,
  [7013] = 6856,
  [7014] = 6856,
  [7015] = 6856,
  [7016] = 6856,
  [7017] = 6856,
  [7018] = 6856,
  [7019] = 6856,
  [7020] = 6856,
  [7021] = 6856,
  [7022] = 6856,
  [7023] = 6856,
  [7024] = 6856,
  [7025] = 6856,
  [7026] = 6856,
  [7027] = 6856,
  [7028] = 6856,
  [7029] = 6856,
  [7030] = 6856,
  [7031] = 6856,
  [7032] = 6856,
  [7033] = 6856,
  [7034] = 6856,
  [7035] = 6856,
  [7036] = 6856,
  [7037] = 6856,
  [7038] = 6856,
  [7039] = 6856,
  [7040] = 6856,
  [7041] = 6856,
  [7042] = 6856,
  [7043] = 6856,
  [7044] = 4017,
  [7045] = 6856,
  [7046] = 6856,
  [7047] = 6856,
  [7048] = 6856,
  [7049] = 6856,
  [7050] = 6856,
  [7051] = 6856,
  [7052] = 6856,
  [7053] = 6856,
  [7054] = 6856,
  [7055] = 6856,
  [7056] = 6856,
  [7057] = 6856,
  [7058] = 6856,
  [7059] = 6856,
  [7060] = 6856,
  [7061] = 6856,
  [7062] = 6856,
  [7063] = 6856,
  [7064] = 6856,
  [7065] = 6856,
  [7066] = 6856,
  [7067] = 4020,
  [7068] = 6856,
  [7069] = 6856,
  [7070] = 6856,
  [7071] = 6856,
  [7072] = 6856,
  [7073] = 6856,
  [7074] = 6856,
  [7075] = 6856,
  [7076] = 6856,
  [7077] = 6856,
  [7078] = 6856,
  [7079] = 6856,
  [7080] = 6856,
  [7081] = 6856,
  [7082] = 6856,
  [7083] = 6856,
  [7084] = 6856,
  [7085] = 6856,
  [7086] = 6856,
  [7087] = 6856,
  [7088] = 6856,
  [7089] = 6856,
  [7090] = 6856,
  [7091] = 6856,
  [7092] = 6856,
  [7093] = 6856,
  [7094] = 6856,
  [7095] = 6856,
  [7096] = 6856,
  [7097] = 6856,
  [7098] = 6856,
  [7099] = 6856,
  [7100] = 6856,
  [7101] = 6856,
  [7102] = 6856,
  [7103] = 6856,
  [7104] = 6856,
  [7105] = 6856,
  [7106] = 6856,
  [7107] = 6856,
  [7108] = 6856,
  [7109] = 7109,
  [7110] = 4033,
  [7111] = 4038,
  [7112] = 6856,
  [7113] = 6856,
  [7114] = 4031,
  [7115] = 4028,
  [7116] = 4009,
  [7117] = 4009,
  [7118] = 4031,
  [7119] = 4017,
  [7120] = 4009,
  [7121] = 4020,
  [7122] = 4022,
  [7123] = 4023,
  [7124] = 4025,
  [7125] = 3995,
  [7126] = 4009,
  [7127] = 4025,
  [7128] = 4027,
  [7129] = 4033,
  [7130] = 4027,
  [7131] = 4036,
  [7132] = 4036,
  [7133] = 4013,
  [7134] = 4010,
  [7135] = 7135,
  [7136] = 4028,
  [7137] = 4017,
  [7138] = 4020,
  [7139] = 4022,
  [7140] = 4023,
  [7141] = 4033,
  [7142] = 4010,
  [7143] = 4022,
  [7144] = 4027,
  [7145] = 4033,
  [7146] = 4038,
  [7147] = 4023,
  [7148] = 3995,
  [7149] = 4031,
  [7150] = 4033,
  [7151] = 4013,
  [7152] = 4010,
  [7153] = 4031,
  [7154] = 3995,
  [7155] = 4028,
  [7156] = 4036,
  [7157] = 4038,
  [7158] = 4038,
  [7159] = 4036,
  [7160] = 4013,
  [7161] = 4010,
  [7162] = 3995,
  [7163] = 4013,
  [7164] = 3995,
  [7165] = 4022,
  [7166] = 4023,
  [7167] = 3995,
  [7168] = 4025,
  [7169] = 4027,
  [7170] = 4038,
  [7171] = 4028,
  [7172] = 4020,
  [7173] = 4017,
  [7174] = 4020,
  [7175] = 4017,
  [7176] = 3995,
  [7177] = 4025,
  [7178] = 4038,
  [7179] = 4031,
  [7180] = 4036,
  [7181] = 4013,
  [7182] = 4010,
  [7183] = 4023,
  [7184] = 4028,
  [7185] = 4033,
  [7186] = 4033,
  [7187] = 4025,
  [7188] = 4020,
  [7189] = 4036,
  [7190] = 4028,
  [7191] = 4013,
  [7192] = 4010,
  [7193] = 4022,
  [7194] = 4017,
  [7195] = 4009,
  [7196] = 4023,
  [7197] = 4028,
  [7198] = 4027,
  [7199] = 4033,
  [7200] = 4033,
  [7201] = 4025,
  [7202] = 4017,
  [7203] = 4020,
  [7204] = 4036,
  [7205] = 3995,
  [7206] = 4027,
  [7207] = 4013,
  [7208] = 4022,
  [7209] = 4031,
  [7210] = 4023,
  [7211] = 3995,
  [7212] = 4036,
  [7213] = 4025,
  [7214] = 4027,
  [7215] = 4017,
  [7216] = 4033,
  [7217] = 4013,
  [7218] = 3995,
  [7219] = 4010,
  [7220] = 3995,
  [7221] = 4017,
  [7222] = 4009,
  [7223] = 4009,
  [7224] = 4020,
  [7225] = 4020,
  [7226] = 4031,
  [7227] = 4036,
  [7228] = 4013,
  [7229] = 4038,
  [7230] = 4020,
  [7231] = 4010,
  [7232] = 4022,
  [7233] = 4022,
  [7234] = 4033,
  [7235] = 3995,
  [7236] = 4028,
  [7237] = 7237,
  [7238] = 4038,
  [7239] = 4036,
  [7240] = 4013,
  [7241] = 4009,
  [7242] = 4010,
  [7243] = 4028,
  [7244] = 4017,
  [7245] = 4020,
  [7246] = 4022,
  [7247] = 4038,
  [7248] = 4036,
  [7249] = 4023,
  [7250] = 4025,
  [7251] = 4027,
  [7252] = 4023,
  [7253] = 4020,
  [7254] = 4025,
  [7255] = 4022,
  [7256] = 4022,
  [7257] = 4027,
  [7258] = 4023,
  [7259] = 3995,
  [7260] = 4013,
  [7261] = 4010,
  [7262] = 4025,
  [7263] = 4023,
  [7264] = 4031,
  [7265] = 4038,
  [7266] = 4010,
  [7267] = 7237,
  [7268] = 3995,
  [7269] = 7269,
  [7270] = 4025,
  [7271] = 4028,
  [7272] = 4017,
  [7273] = 4027,
  [7274] = 4031,
  [7275] = 4031,
  [7276] = 3995,
  [7277] = 3995,
  [7278] = 4027,
  [7279] = 4038,
  [7280] = 4033,
  [7281] = 4009,
  [7282] = 4038,
  [7283] = 3995,
  [7284] = 4009,
  [7285] = 7135,
  [7286] = 4028,
  [7287] = 3995,
  [7288] = 4009,
  [7289] = 4031,
  [7290] = 4017,
  [7291] = 4009,
  [7292] = 4027,
  [7293] = 4025,
  [7294] = 4022,
  [7295] = 4023,
  [7296] = 4031,
  [7297] = 4038,
  [7298] = 4033,
  [7299] = 4020,
  [7300] = 4038,
  [7301] = 4025,
  [7302] = 4027,
  [7303] = 4033,
  [7304] = 4022,
  [7305] = 4038,
  [7306] = 4027,
  [7307] = 4033,
  [7308] = 4038,
  [7309] = 7237,
  [7310] = 4038,
  [7311] = 4033,
  [7312] = 3995,
  [7313] = 4036,
  [7314] = 3995,
  [7315] = 4013,
  [7316] = 4010,
  [7317] = 3995,
  [7318] = 3995,
  [7319] = 4036,
  [7320] = 4031,
  [7321] = 4028,
  [7322] = 4017,
  [7323] = 4020,
  [7324] = 4013,
  [7325] = 4022,
  [7326] = 4023,
  [7327] = 4025,
  [7328] = 4027,
  [7329] = 4036,
  [7330] = 4010,
  [7331] = 4009,
  [7332] = 4013,
  [7333] = 4038,
  [7334] = 4009,
  [7335] = 4038,
  [7336] = 4031,
  [7337] = 4036,
  [7338] = 4027,
  [7339] = 4028,
  [7340] = 4013,
  [7341] = 4010,
  [7342] = 4010,
  [7343] = 4028,
  [7344] = 4017,
  [7345] = 4027,
  [7346] = 4023,
  [7347] = 4013,
  [7348] = 4010,
  [7349] = 4020,
  [7350] = 4017,
  [7351] = 7269,
  [7352] = 4020,
  [7353] = 4038,
  [7354] = 4020,
  [7355] = 4023,
  [7356] = 4028,
  [7357] = 4023,
  [7358] = 4025,
  [7359] = 7269,
  [7360] = 4022,
  [7361] = 4033,
  [7362] = 4025,
  [7363] = 4033,
  [7364] = 4009,
  [7365] = 4033,
  [7366] = 4022,
  [7367] = 4036,
  [7368] = 4027,
  [7369] = 4017,
  [7370] = 4036,
  [7371] = 4023,
  [7372] = 4013,
  [7373] = 4013,
  [7374] = 4010,
  [7375] = 4033,
  [7376] = 4009,
  [7377] = 4038,
  [7378] = 4009,
  [7379] = 4010,
  [7380] = 4031,
  [7381] = 4028,
  [7382] = 4036,
  [7383] = 4036,
  [7384] = 4009,
  [7385] = 7237,
  [7386] = 4009,
  [7387] = 4025,
  [7388] = 4028,
  [7389] = 4031,
  [7390] = 4020,
  [7391] = 4022,
  [7392] = 4027,
  [7393] = 4017,
  [7394] = 4031,
  [7395] = 4031,
  [7396] = 4020,
  [7397] = 4023,
  [7398] = 4022,
  [7399] = 4033,
  [7400] = 4025,
  [7401] = 4013,
  [7402] = 4023,
  [7403] = 4010,
  [7404] = 4038,
  [7405] = 3995,
  [7406] = 4028,
  [7407] = 4031,
  [7408] = 4017,
  [7409] = 4025,
  [7410] = 4010,
  [7411] = 4020,
  [7412] = 4028,
  [7413] = 4022,
  [7414] = 4023,
  [7415] = 4025,
  [7416] = 4027,
  [7417] = 4033,
  [7418] = 4027,
  [7419] = 3995,
  [7420] = 4009,
  [7421] = 4031,
  [7422] = 4022,
  [7423] = 3995,
  [7424] = 4036,
  [7425] = 4020,
  [7426] = 4013,
  [7427] = 3995,
  [7428] = 4038,
  [7429] = 4027,
  [7430] = 4009,
  [7431] = 4010,
  [7432] = 4022,
  [7433] = 4009,
  [7434] = 4036,
  [7435] = 4025,
  [7436] = 3995,
  [7437] = 3995,
  [7438] = 4028,
  [7439] = 4017,
  [7440] = 3995,
  [7441] = 4033,
  [7442] = 4031,
  [7443] = 4025,
  [7444] = 4036,
  [7445] = 3995,
  [7446] = 4023,
  [7447] = 4013,
  [7448] = 4010,
  [7449] = 4028,
  [7450] = 4013,
  [7451] = 4028,
  [7452] = 3995,
  [7453] = 4017,
  [7454] = 4017,
  [7455] = 4017,
  [7456] = 3995,
  [7457] = 4020,
  [7458] = 4023,
  [7459] = 4020,
  [7460] = 4031,
  [7461] = 4022,
  [7462] = 4017,
  [7463] = 4017,
  [7464] = 4036,
  [7465] = 4013,
  [7466] = 4010,
  [7467] = 4028,
  [7468] = 4017,
  [7469] = 4020,
  [7470] = 4022,
  [7471] = 4023,
  [7472] = 4025,
  [7473] = 4027,
  [7474] = 4033,
  [7475] = 4038,
  [7476] = 3995,
  [7477] = 4031,
  [7478] = 4036,
  [7479] = 4009,
  [7480] = 4031,
  [7481] = 4038,
  [7482] = 4013,
  [7483] = 4010,
  [7484] = 4028,
  [7485] = 4020,
  [7486] = 4022,
  [7487] = 4023,
  [7488] = 4025,
  [7489] = 4038,
  [7490] = 4027,
  [7491] = 4038,
  [7492] = 4009,
  [7493] = 4033,
  [7494] = 4036,
  [7495] = 4013,
  [7496] = 4010,
  [7497] = 4028,
  [7498] = 4017,
  [7499] = 4020,
  [7500] = 4022,
  [7501] = 4023,
  [7502] = 4025,
  [7503] = 4033,
  [7504] = 4027,
  [7505] = 4036,
  [7506] = 4013,
  [7507] = 4010,
  [7508] = 4028,
  [7509] = 4017,
  [7510] = 4020,
  [7511] = 4022,
  [7512] = 4023,
  [7513] = 4025,
  [7514] = 4027,
  [7515] = 4031,
  [7516] = 4009,
  [7517] = 4009,
  [7518] = 4031,
  [7519] = 4009,
  [7520] = 3995,
  [7521] = 4013,
  [7522] = 4031,
  [7523] = 4033,
  [7524] = 4036,
  [7525] = 4013,
  [7526] = 4010,
  [7527] = 4028,
  [7528] = 4017,
  [7529] = 4020,
  [7530] = 4022,
  [7531] = 4023,
  [7532] = 4025,
  [7533] = 4027,
  [7534] = 4033,
  [7535] = 3995,
  [7536] = 4038,
  [7537] = 4009,
  [7538] = 4031,
  [7539] = 4033,
  [7540] = 4036,
  [7541] = 4013,
  [7542] = 4010,
  [7543] = 4028,
  [7544] = 4017,
  [7545] = 4020,
  [7546] = 4022,
  [7547] = 4023,
  [7548] = 4025,
  [7549] = 4027,
  [7550] = 3995,
  [7551] = 4009,
  [7552] = 4028,
  [7553] = 4031,
  [7554] = 4038,
  [7555] = 4038,
  [7556] = 4038,
  [7557] = 4031,
  [7558] = 4033,
  [7559] = 4036,
  [7560] = 4013,
  [7561] = 4010,
  [7562] = 4028,
  [7563] = 4017,
  [7564] = 4020,
  [7565] = 4022,
  [7566] = 4023,
  [7567] = 4025,
  [7568] = 4027,
  [7569] = 4033,
  [7570] = 4036,
  [7571] = 4009,
  [7572] = 4013,
  [7573] = 4010,
  [7574] = 4028,
  [7575] = 4009,
  [7576] = 4038,
  [7577] = 4020,
  [7578] = 4022,
  [7579] = 4023,
  [7580] = 4025,
  [7581] = 4027,
  [7582] = 4009,
  [7583] = 4031,
  [7584] = 3995,
  [7585] = 4038,
  [7586] = 3995,
  [7587] = 4009,
  [7588] = 4031,
  [7589] = 4038,
  [7590] = 4038,
  [7591] = 4017,
  [7592] = 4033,
  [7593] = 4036,
  [7594] = 4013,
  [7595] = 4010,
  [7596] = 4028,
  [7597] = 4017,
  [7598] = 4020,
  [7599] = 4022,
  [7600] = 4023,
  [7601] = 4025,
  [7602] = 4027,
  [7603] = 4020,
  [7604] = 4033,
  [7605] = 4036,
  [7606] = 4013,
  [7607] = 4010,
  [7608] = 4028,
  [7609] = 4017,
  [7610] = 4020,
  [7611] = 4022,
  [7612] = 4023,
  [7613] = 4025,
  [7614] = 4027,
  [7615] = 3995,
  [7616] = 4009,
  [7617] = 3995,
  [7618] = 4031,
  [7619] = 4023,
  [7620] = 4025,
  [7621] = 4009,
  [7622] = 4033,
  [7623] = 4031,
  [7624] = 4027,
  [7625] = 4036,
  [7626] = 4013,
  [7627] = 4010,
  [7628] = 4028,
  [7629] = 4017,
  [7630] = 4020,
  [7631] = 4022,
  [7632] = 4023,
  [7633] = 4025,
  [7634] = 4027,
  [7635] = 3995,
  [7636] = 4038,
  [7637] = 4031,
  [7638] = 4022,
  [7639] = 4033,
  [7640] = 4036,
  [7641] = 3995,
  [7642] = 4013,
  [7643] = 4010,
  [7644] = 4028,
  [7645] = 4017,
  [7646] = 4020,
  [7647] = 4022,
  [7648] = 4023,
  [7649] = 4025,
  [7650] = 4027,
  [7651] = 4009,
  [7652] = 4031,
  [7653] = 4033,
  [7654] = 4036,
  [7655] = 4013,
  [7656] = 4010,
  [7657] = 4028,
  [7658] = 4017,
  [7659] = 4020,
  [7660] = 4022,
  [7661] = 4038,
  [7662] = 4023,
  [7663] = 4025,
  [7664] = 4027,
  [7665] = 4033,
  [7666] = 4036,
  [7667] = 4010,
  [7668] = 4017,
  [7669] = 4013,
  [7670] = 4031,
  [7671] = 4036,
  [7672] = 4013,
  [7673] = 4010,
  [7674] = 4028,
  [7675] = 4017,
  [7676] = 4020,
  [7677] = 4022,
  [7678] = 4023,
  [7679] = 4025,
  [7680] = 4027,
  [7681] = 4028,
  [7682] = 4022,
  [7683] = 4038,
  [7684] = 4017,
  [7685] = 4020,
  [7686] = 5761,
  [7687] = 4009,
  [7688] = 4031,
  [7689] = 4038,
  [7690] = 4038,
  [7691] = 4031,
  [7692] = 4038,
  [7693] = 4023,
  [7694] = 4025,
  [7695] = 4038,
  [7696] = 4027,
  [7697] = 5999,
  [7698] = 4033,
  [7699] = 4036,
  [7700] = 4013,
  [7701] = 4010,
  [7702] = 4028,
  [7703] = 4033,
  [7704] = 4036,
  [7705] = 4013,
  [7706] = 4010,
  [7707] = 4028,
  [7708] = 4017,
  [7709] = 4020,
  [7710] = 4022,
  [7711] = 4023,
  [7712] = 4025,
  [7713] = 4027,
  [7714] = 4017,
  [7715] = 4033,
  [7716] = 3995,
  [7717] = 4020,
  [7718] = 4036,
  [7719] = 4022,
  [7720] = 4010,
  [7721] = 4013,
  [7722] = 4023,
  [7723] = 4009,
  [7724] = 4028,
  [7725] = 4031,
  [7726] = 4033,
  [7727] = 4033,
  [7728] = 4036,
  [7729] = 4013,
  [7730] = 4010,
  [7731] = 4028,
  [7732] = 4017,
  [7733] = 4025,
  [7734] = 4020,
  [7735] = 4017,
  [7736] = 4022,
  [7737] = 4023,
  [7738] = 4025,
  [7739] = 4027,
  [7740] = 4036,
  [7741] = 4013,
  [7742] = 4010,
  [7743] = 4028,
  [7744] = 4017,
  [7745] = 4027,
  [7746] = 4020,
  [7747] = 4022,
  [7748] = 4023,
  [7749] = 4033,
  [7750] = 4025,
  [7751] = 4038,
  [7752] = 4013,
  [7753] = 4010,
  [7754] = 4028,
  [7755] = 4017,
  [7756] = 4020,
  [7757] = 4022,
  [7758] = 4023,
  [7759] = 4025,
  [7760] = 4027,
  [7761] = 4027,
  [7762] = 4020,
  [7763] = 4009,
  [7764] = 4023,
  [7765] = 4025,
  [7766] = 4031,
  [7767] = 4027,
  [7768] = 4009,
  [7769] = 4031,
  [7770] = 4036,
  [7771] = 4010,
  [7772] = 4022,
  [7773] = 4009,
  [7774] = 4009,
  [7775] = 4031,
  [7776] = 4033,
  [7777] = 4031,
  [7778] = 4036,
  [7779] = 4013,
  [7780] = 4033,
  [7781] = 4010,
  [7782] = 4009,
  [7783] = 4028,
  [7784] = 4017,
  [7785] = 4022,
  [7786] = 4028,
  [7787] = 4038,
  [7788] = 4017,
  [7789] = 4020,
  [7790] = 4031,
  [7791] = 4020,
  [7792] = 4022,
  [7793] = 4023,
  [7794] = 4025,
  [7795] = 4027,
  [7796] = 4009,
  [7797] = 4036,
  [7798] = 4010,
  [7799] = 4038,
  [7800] = 4023,
  [7801] = 4025,
  [7802] = 4009,
  [7803] = 4038,
  [7804] = 4027,
  [7805] = 4033,
  [7806] = 4031,
  [7807] = 4038,
  [7808] = 4013,
  [7809] = 4009,
  [7810] = 4033,
  [7811] = 4036,
  [7812] = 4020,
  [7813] = 4038,
  [7814] = 4017,
  [7815] = 4027,
  [7816] = 4023,
  [7817] = 4013,
  [7818] = 4025,
  [7819] = 3995,
  [7820] = 4033,
  [7821] = 4031,
  [7822] = 4009,
  [7823] = 4028,
  [7824] = 4036,
  [7825] = 4010,
  [7826] = 4022,
  [7827] = 4031,
  [7828] = 4038,
  [7829] = 4033,
  [7830] = 4038,
  [7831] = 4009,
  [7832] = 4027,
  [7833] = 6676,
  [7834] = 4022,
  [7835] = 4036,
  [7836] = 4013,
  [7837] = 4009,
  [7838] = 4028,
  [7839] = 4031,
  [7840] = 4010,
  [7841] = 4017,
  [7842] = 4020,
  [7843] = 4023,
  [7844] = 4025,
  [7845] = 7845,
  [7846] = 7846,
  [7847] = 7847,
  [7848] = 7848,
  [7849] = 7849,
  [7850] = 7850,
  [7851] = 7851,
  [7852] = 7852,
  [7853] = 7853,
  [7854] = 7854,
  [7855] = 7855,
  [7856] = 7856,
  [7857] = 7857,
  [7858] = 7856,
  [7859] = 7847,
  [7860] = 7857,
  [7861] = 7854,
  [7862] = 7854,
  [7863] = 7850,
  [7864] = 7846,
  [7865] = 7855,
  [7866] = 7848,
  [7867] = 7848,
  [7868] = 7851,
  [7869] = 7857,
  [7870] = 7855,
  [7871] = 7857,
  [7872] = 7853,
  [7873] = 7873,
  [7874] = 7851,
  [7875] = 7848,
  [7876] = 7855,
  [7877] = 7845,
  [7878] = 7845,
  [7879] = 7853,
  [7880] = 7856,
  [7881] = 7846,
  [7882] = 7851,
  [7883] = 7847,
  [7884] = 7854,
  [7885] = 7850,
  [7886] = 7846,
  [7887] = 7845,
  [7888] = 7847,
  [7889] = 7850,
  [7890] = 7856,
  [7891] = 7853,
  [7892] = 7850,
  [7893] = 7846,
  [7894] = 7857,
  [7895] = 7846,
  [7896] = 7857,
  [7897] = 7853,
  [7898] = 7848,
  [7899] = 7848,
  [7900] = 7855,
  [7901] = 7853,
  [7902] = 7850,
  [7903] = 7847,
  [7904] = 7845,
  [7905] = 7850,
  [7906] = 7845,
  [7907] = 7847,
  [7908] = 7856,
  [7909] = 7851,
  [7910] = 7855,
  [7911] = 7854,
  [7912] = 7854,
  [7913] = 7846,
  [7914] = 7857,
  [7915] = 7845,
  [7916] = 7846,
  [7917] = 7850,
  [7918] = 7848,
  [7919] = 7847,
  [7920] = 7848,
  [7921] = 7855,
  [7922] = 7857,
  [7923] = 7847,
  [7924] = 7856,
  [7925] = 7851,
  [7926] = 7851,
  [7927] = 7854,
  [7928] = 7854,
  [7929] = 7855,
  [7930] = 7856,
  [7931] = 7853,
  [7932] = 7856,
  [7933] = 7845,
  [7934] = 7851,
  [7935] = 7853,
  [7936] = 7936,
  [7937] = 7936,
  [7938] = 7936,
  [7939] = 7855,
  [7940] = 7936,
  [7941] = 7848,
  [7942] = 7936,
  [7943] = 7857,
  [7944] = 7848,
  [7945] = 7936,
  [7946] = 7853,
  [7947] = 7936,
  [7948] = 7845,
  [7949] = 7936,
  [7950] = 7847,
  [7951] = 7848,
  [7952] = 7936,
  [7953] = 7936,
  [7954] = 7856,
  [7955] = 7936,
  [7956] = 7846,
  [7957] = 7936,
  [7958] = 7936,
  [7959] = 7936,
  [7960] = 7855,
  [7961] = 7848,
  [7962] = 7936,
  [7963] = 7853,
  [7964] = 7845,
  [7965] = 7936,
  [7966] = 7851,
  [7967] = 7936,
  [7968] = 7936,
  [7969] = 7936,
  [7970] = 7936,
  [7971] = 7936,
  [7972] = 7936,
  [7973] = 7854,
  [7974] = 7936,
  [7975] = 7853,
  [7976] = 7851,
  [7977] = 7936,
  [7978] = 7936,
  [7979] = 7847,
  [7980] = 7936,
  [7981] = 7856,
  [7982] = 7982,
  [7983] = 7936,
  [7984] = 7854,
  [7985] = 7936,
  [7986] = 7936,
  [7987] = 7936,
  [7988] = 7846,
  [7989] = 7855,
  [7990] = 7845,
  [7991] = 7854,
  [7992] = 7936,
  [7993] = 7853,
  [7994] = 7857,
  [7995] = 7857,
  [7996] = 7996,
  [7997] = 7936,
  [7998] = 7936,
  [7999] = 7857,
  [8000] = 7850,
  [8001] = 7936,
  [8002] = 7982,
  [8003] = 7936,
  [8004] = 7845,
  [8005] = 7936,
  [8006] = 7996,
  [8007] = 7936,
  [8008] = 7936,
  [8009] = 7856,
  [8010] = 7936,
  [8011] = 7936,
  [8012] = 7936,
  [8013] = 7936,
  [8014] = 7847,
  [8015] = 7855,
  [8016] = 7936,
  [8017] = 7936,
  [8018] = 7856,
  [8019] = 7847,
  [8020] = 7846,
  [8021] = 7851,
  [8022] = 7851,
  [8023] = 7854,
  [8024] = 7936,
  [8025] = 7936,
  [8026] = 7846,
  [8027] = 7850,
  [8028] = 7850,
  [8029] = 7850,
  [8030] = 7850,
  [8031] = 8031,
  [8032] = 8032,
  [8033] = 7855,
  [8034] = 8034,
  [8035] = 7857,
  [8036] = 7853,
  [8037] = 7845,
  [8038] = 8038,
  [8039] = 8032,
  [8040] = 7845,
  [8041] = 8041,
  [8042] = 8032,
  [8043] = 7846,
  [8044] = 8032,
  [8045] = 8032,
  [8046] = 7847,
  [8047] = 8032,
  [8048] = 8048,
  [8049] = 7856,
  [8050] = 8050,
  [8051] = 7851,
  [8052] = 7854,
  [8053] = 7850,
  [8054] = 7857,
  [8055] = 8032,
  [8056] = 8032,
  [8057] = 8032,
  [8058] = 7850,
  [8059] = 7846,
  [8060] = 8032,
  [8061] = 8032,
  [8062] = 8032,
  [8063] = 8032,
  [8064] = 7850,
  [8065] = 7846,
  [8066] = 7857,
  [8067] = 8032,
  [8068] = 7857,
  [8069] = 7846,
  [8070] = 8032,
  [8071] = 8032,
  [8072] = 8032,
  [8073] = 8032,
  [8074] = 8041,
  [8075] = 8032,
  [8076] = 8038,
  [8077] = 8032,
  [8078] = 7857,
  [8079] = 8050,
  [8080] = 8032,
  [8081] = 8032,
  [8082] = 8032,
  [8083] = 8032,
  [8084] = 8032,
  [8085] = 7848,
  [8086] = 8086,
  [8087] = 7847,
  [8088] = 8032,
  [8089] = 7855,
  [8090] = 8032,
  [8091] = 7856,
  [8092] = 8032,
  [8093] = 8032,
  [8094] = 8032,
  [8095] = 8032,
  [8096] = 7854,
  [8097] = 8032,
  [8098] = 8032,
  [8099] = 8032,
  [8100] = 8032,
  [8101] = 8048,
  [8102] = 7848,
  [8103] = 7855,
  [8104] = 8032,
  [8105] = 8034,
  [8106] = 7850,
  [8107] = 8032,
  [8108] = 8108,
  [8109] = 8032,
  [8110] = 7855,
  [8111] = 8032,
  [8112] = 8032,
  [8113] = 7853,
  [8114] = 7845,
  [8115] = 7847,
  [8116] = 8032,
  [8117] = 8032,
  [8118] = 8032,
  [8119] = 7853,
  [8120] = 7853,
  [8121] = 7856,
  [8122] = 8032,
  [8123] = 8032,
  [8124] = 8032,
  [8125] = 7846,
  [8126] = 7847,
  [8127] = 7856,
  [8128] = 7851,
  [8129] = 7854,
  [8130] = 8038,
  [8131] = 8032,
  [8132] = 8032,
  [8133] = 7851,
  [8134] = 8031,
  [8135] = 7854,
  [8136] = 8032,
  [8137] = 8032,
  [8138] = 8032,
  [8139] = 7845,
  [8140] = 8032,
  [8141] = 8032,
  [8142] = 7848,
  [8143] = 7848,
  [8144] = 8032,
  [8145] = 7855,
  [8146] = 7853,
  [8147] = 7845,
  [8148] = 7848,
  [8149] = 8032,
  [8150] = 8032,
  [8151] = 8032,
  [8152] = 7847,
  [8153] = 7856,
  [8154] = 7851,
  [8155] = 7854,
  [8156] = 7851,
  [8157] = 7857,
  [8158] = 7857,
  [8159] = 7845,
  [8160] = 7846,
  [8161] = 7851,
  [8162] = 7856,
  [8163] = 7845,
  [8164] = 7851,
  [8165] = 7854,
  [8166] = 7856,
  [8167] = 7854,
  [8168] = 7855,
  [8169] = 7853,
  [8170] = 7846,
  [8171] = 7854,
  [8172] = 7848,
  [8173] = 7850,
  [8174] = 7845,
  [8175] = 7846,
  [8176] = 7853,
  [8177] = 7847,
  [8178] = 7857,
  [8179] = 8038,
  [8180] = 7851,
  [8181] = 7855,
  [8182] = 8182,
  [8183] = 7847,
  [8184] = 7847,
  [8185] = 7848,
  [8186] = 7856,
  [8187] = 7855,
  [8188] = 7854,
  [8189] = 7847,
  [8190] = 8190,
  [8191] = 7846,
  [8192] = 7845,
  [8193] = 7851,
  [8194] = 7854,
  [8195] = 7856,
  [8196] = 7857,
  [8197] = 7848,
  [8198] = 7847,
  [8199] = 7856,
  [8200] = 7851,
  [8201] = 7850,
  [8202] = 7851,
  [8203] = 7847,
  [8204] = 7856,
  [8205] = 7854,
  [8206] = 7856,
  [8207] = 7854,
  [8208] = 7850,
  [8209] = 7851,
  [8210] = 7854,
  [8211] = 7848,
  [8212] = 8212,
  [8213] = 7856,
  [8214] = 8214,
  [8215] = 7857,
  [8216] = 8190,
  [8217] = 7848,
  [8218] = 7850,
  [8219] = 7855,
  [8220] = 7850,
  [8221] = 7848,
  [8222] = 8038,
  [8223] = 7845,
  [8224] = 7851,
  [8225] = 7855,
  [8226] = 7853,
  [8227] = 7857,
  [8228] = 7853,
  [8229] = 7850,
  [8230] = 7855,
  [8231] = 7850,
  [8232] = 7846,
  [8233] = 7854,
  [8234] = 7845,
  [8235] = 7851,
  [8236] = 7847,
  [8237] = 7845,
  [8238] = 7846,
  [8239] = 7855,
  [8240] = 7846,
  [8241] = 7856,
  [8242] = 7857,
  [8243] = 7855,
  [8244] = 7853,
  [8245] = 7850,
  [8246] = 7853,
  [8247] = 7846,
  [8248] = 7850,
  [8249] = 7845,
  [8250] = 7846,
  [8251] = 7857,
  [8252] = 7848,
  [8253] = 7853,
  [8254] = 7845,
  [8255] = 7847,
  [8256] = 7855,
  [8257] = 8257,
  [8258] = 7848,
  [8259] = 7853,
  [8260] = 7847,
  [8261] = 8257,
  [8262] = 7848,
  [8263] = 7857,
  [8264] = 7853,
  [8265] = 7857,
  [8266] = 7857,
  [8267] = 8267,
  [8268] = 7854,
  [8269] = 7846,
  [8270] = 7848,
  [8271] = 8271,
  [8272] = 8271,
  [8273] = 7847,
  [8274] = 8271,
  [8275] = 7850,
  [8276] = 7848,
  [8277] = 7856,
  [8278] = 7851,
  [8279] = 7855,
  [8280] = 8271,
  [8281] = 8271,
  [8282] = 8282,
  [8283] = 7850,
  [8284] = 7850,
  [8285] = 7854,
  [8286] = 8271,
  [8287] = 7854,
  [8288] = 8271,
  [8289] = 7855,
  [8290] = 7856,
  [8291] = 7848,
  [8292] = 7853,
  [8293] = 7848,
  [8294] = 7853,
  [8295] = 7853,
  [8296] = 7845,
  [8297] = 7855,
  [8298] = 7847,
  [8299] = 7850,
  [8300] = 8271,
  [8301] = 7850,
  [8302] = 7845,
  [8303] = 7847,
  [8304] = 8271,
  [8305] = 7846,
  [8306] = 7846,
  [8307] = 7845,
  [8308] = 8271,
  [8309] = 7855,
  [8310] = 7847,
  [8311] = 7845,
  [8312] = 7857,
  [8313] = 8271,
  [8314] = 7856,
  [8315] = 7853,
  [8316] = 8271,
  [8317] = 7851,
  [8318] = 7851,
  [8319] = 8271,
  [8320] = 7847,
  [8321] = 7854,
  [8322] = 8271,
  [8323] = 7857,
  [8324] = 7856,
  [8325] = 7857,
  [8326] = 7855,
  [8327] = 7851,
  [8328] = 8271,
  [8329] = 7850,
  [8330] = 7854,
  [8331] = 7850,
  [8332] = 7855,
  [8333] = 7857,
  [8334] = 8271,
  [8335] = 7845,
  [8336] = 7847,
  [8337] = 7856,
  [8338] = 7853,
  [8339] = 7856,
  [8340] = 7846,
  [8341] = 8271,
  [8342] = 7850,
  [8343] = 8343,
  [8344] = 8271,
  [8345] = 7853,
  [8346] = 7850,
  [8347] = 7846,
  [8348] = 7848,
  [8349] = 7847,
  [8350] = 7853,
  [8351] = 7846,
  [8352] = 7856,
  [8353] = 7848,
  [8354] = 7845,
  [8355] = 7845,
  [8356] = 7851,
  [8357] = 7847,
  [8358] = 7854,
  [8359] = 7846,
  [8360] = 8271,
  [8361] = 7853,
  [8362] = 7848,
  [8363] = 8271,
  [8364] = 7850,
  [8365] = 7856,
  [8366] = 7845,
  [8367] = 7850,
  [8368] = 8271,
  [8369] = 8271,
  [8370] = 8271,
  [8371] = 7855,
  [8372] = 7857,
  [8373] = 8271,
  [8374] = 7853,
  [8375] = 7856,
  [8376] = 7857,
  [8377] = 7855,
  [8378] = 8271,
  [8379] = 7856,
  [8380] = 8271,
  [8381] = 7848,
  [8382] = 7847,
  [8383] = 7856,
  [8384] = 8271,
  [8385] = 7848,
  [8386] = 7846,
  [8387] = 7851,
  [8388] = 7854,
  [8389] = 8271,
  [8390] = 7851,
  [8391] = 7854,
  [8392] = 8271,
  [8393] = 7845,
  [8394] = 7857,
  [8395] = 8271,
  [8396] = 7850,
  [8397] = 8271,
  [8398] = 8271,
  [8399] = 7845,
  [8400] = 7848,
  [8401] = 8271,
  [8402] = 8271,
  [8403] = 8267,
  [8404] = 7845,
  [8405] = 7848,
  [8406] = 7851,
  [8407] = 8271,
  [8408] = 7851,
  [8409] = 7855,
  [8410] = 7846,
  [8411] = 7855,
  [8412] = 8271,
  [8413] = 7848,
  [8414] = 7855,
  [8415] = 7857,
  [8416] = 7850,
  [8417] = 8267,
  [8418] = 7857,
  [8419] = 8267,
  [8420] = 7848,
  [8421] = 7846,
  [8422] = 7854,
  [8423] = 8267,
  [8424] = 7855,
  [8425] = 8271,
  [8426] = 8271,
  [8427] = 8267,
  [8428] = 8267,
  [8429] = 7857,
  [8430] = 8271,
  [8431] = 7855,
  [8432] = 8267,
  [8433] = 7853,
  [8434] = 8271,
  [8435] = 8267,
  [8436] = 8267,
  [8437] = 7857,
  [8438] = 8271,
  [8439] = 8267,
  [8440] = 8267,
  [8441] = 8271,
  [8442] = 8267,
  [8443] = 7854,
  [8444] = 7845,
  [8445] = 8271,
  [8446] = 7847,
  [8447] = 8267,
  [8448] = 7853,
  [8449] = 8267,
  [8450] = 7853,
  [8451] = 8267,
  [8452] = 8271,
  [8453] = 8271,
  [8454] = 7846,
  [8455] = 8267,
  [8456] = 7851,
  [8457] = 8267,
  [8458] = 7851,
  [8459] = 8267,
  [8460] = 8267,
  [8461] = 8271,
  [8462] = 8271,
  [8463] = 8267,
  [8464] = 8267,
  [8465] = 7856,
  [8466] = 8267,
  [8467] = 8267,
  [8468] = 7845,
  [8469] = 7848,
  [8470] = 8267,
  [8471] = 8267,
  [8472] = 7847,
  [8473] = 8267,
  [8474] = 7851,
  [8475] = 8267,
  [8476] = 8267,
  [8477] = 8267,
  [8478] = 8267,
  [8479] = 8271,
  [8480] = 8267,
  [8481] = 7854,
  [8482] = 8267,
  [8483] = 7847,
  [8484] = 8267,
  [8485] = 8271,
  [8486] = 8267,
  [8487] = 8267,
  [8488] = 8267,
  [8489] = 8267,
  [8490] = 8267,
  [8491] = 7846,
  [8492] = 8267,
  [8493] = 7853,
  [8494] = 8267,
  [8495] = 7854,
  [8496] = 8267,
  [8497] = 8271,
  [8498] = 8267,
  [8499] = 8267,
  [8500] = 8267,
  [8501] = 8267,
  [8502] = 7856,
  [8503] = 7845,
  [8504] = 7851,
  [8505] = 7847,
  [8506] = 7847,
  [8507] = 7854,
  [8508] = 7853,
  [8509] = 7855,
  [8510] = 8271,
  [8511] = 8271,
  [8512] = 7856,
  [8513] = 7857,
  [8514] = 8271,
  [8515] = 7851,
  [8516] = 7846,
  [8517] = 7850,
  [8518] = 7854,
  [8519] = 7846,
  [8520] = 7847,
  [8521] = 7856,
  [8522] = 7857,
  [8523] = 7845,
  [8524] = 7846,
  [8525] = 7851,
  [8526] = 7848,
  [8527] = 7846,
  [8528] = 7854,
  [8529] = 7853,
  [8530] = 7857,
  [8531] = 7850,
  [8532] = 7851,
  [8533] = 7846,
  [8534] = 7855,
  [8535] = 7846,
  [8536] = 7848,
  [8537] = 7850,
  [8538] = 7847,
  [8539] = 7855,
  [8540] = 7846,
  [8541] = 7853,
  [8542] = 7845,
  [8543] = 7855,
  [8544] = 7857,
  [8545] = 7856,
  [8546] = 7853,
  [8547] = 7857,
  [8548] = 7845,
  [8549] = 7850,
  [8550] = 7857,
  [8551] = 7847,
  [8552] = 7856,
  [8553] = 7851,
  [8554] = 7854,
  [8555] = 7848,
  [8556] = 7845,
  [8557] = 7848,
  [8558] = 7850,
  [8559] = 7855,
  [8560] = 7857,
  [8561] = 7848,
  [8562] = 7848,
  [8563] = 7855,
  [8564] = 7850,
  [8565] = 7855,
  [8566] = 7853,
  [8567] = 7845,
  [8568] = 7853,
  [8569] = 7853,
  [8570] = 7855,
  [8571] = 7853,
  [8572] = 7847,
  [8573] = 7850,
  [8574] = 7845,
  [8575] = 7848,
  [8576] = 7856,
  [8577] = 7846,
  [8578] = 7851,
  [8579] = 7854,
  [8580] = 7855,
  [8581] = 7857,
  [8582] = 7847,
  [8583] = 7853,
  [8584] = 7856,
  [8585] = 7845,
  [8586] = 7851,
  [8587] = 7854,
  [8588] = 7848,
  [8589] = 7855,
  [8590] = 7853,
  [8591] = 7845,
  [8592] = 7847,
  [8593] = 7848,
  [8594] = 7846,
  [8595] = 7850,
  [8596] = 7855,
  [8597] = 7850,
  [8598] = 7853,
  [8599] = 7847,
  [8600] = 7856,
  [8601] = 7854,
  [8602] = 7851,
  [8603] = 7847,
  [8604] = 7854,
  [8605] = 7847,
  [8606] = 7845,
  [8607] = 7846,
  [8608] = 7856,
  [8609] = 7856,
  [8610] = 7848,
  [8611] = 7856,
  [8612] = 7851,
  [8613] = 7851,
  [8614] = 7846,
  [8615] = 7851,
  [8616] = 7854,
  [8617] = 7851,
  [8618] = 7854,
  [8619] = 7857,
  [8620] = 7856,
  [8621] = 7854,
  [8622] = 7857,
  [8623] = 7850,
  [8624] = 7846,
  [8625] = 7850,
  [8626] = 7857,
  [8627] = 7854,
  [8628] = 7847,
  [8629] = 8629,
  [8630] = 7845,
  [8631] = 8631,
  [8632] = 8631,
  [8633] = 8633,
  [8634] = 8631,
  [8635] = 8631,
  [8636] = 8636,
  [8637] = 8631,
  [8638] = 8631,
  [8639] = 8631,
  [8640] = 8631,
  [8641] = 8629,
  [8642] = 8631,
  [8643] = 8643,
  [8644] = 8644,
  [8645] = 8631,
  [8646] = 8631,
  [8647] = 8631,
  [8648] = 8631,
  [8649] = 3995,
  [8650] = 8629,
  [8651] = 8643,
  [8652] = 8631,
  [8653] = 8631,
  [8654] = 8631,
  [8655] = 8631,
  [8656] = 8631,
  [8657] = 8629,
  [8658] = 8631,
  [8659] = 8631,
  [8660] = 8631,
  [8661] = 8631,
  [8662] = 8631,
  [8663] = 8631,
  [8664] = 8664,
  [8665] = 8665,
  [8666] = 8631,
  [8667] = 8631,
  [8668] = 8631,
  [8669] = 8631,
  [8670] = 8631,
  [8671] = 8631,
  [8672] = 8631,
  [8673] = 8631,
  [8674] = 8631,
  [8675] = 8631,
  [8676] = 8631,
  [8677] = 8631,
  [8678] = 8631,
  [8679] = 8631,
  [8680] = 8631,
  [8681] = 8631,
  [8682] = 8633,
  [8683] = 8631,
  [8684] = 8631,
  [8685] = 8631,
  [8686] = 8631,
  [8687] = 8631,
  [8688] = 8631,
  [8689] = 8689,
  [8690] = 8689,
  [8691] = 7845,
  [8692] = 8689,
  [8693] = 8689,
  [8694] = 4036,
  [8695] = 8689,
  [8696] = 8689,
  [8697] = 8689,
  [8698] = 8689,
  [8699] = 8629,
  [8700] = 4020,
  [8701] = 8689,
  [8702] = 8689,
  [8703] = 8689,
  [8704] = 8689,
  [8705] = 4010,
  [8706] = 8689,
  [8707] = 8689,
  [8708] = 4025,
  [8709] = 8689,
  [8710] = 8689,
  [8711] = 8689,
  [8712] = 8689,
  [8713] = 8689,
  [8714] = 8689,
  [8715] = 8689,
  [8716] = 8689,
  [8717] = 8689,
  [8718] = 8689,
  [8719] = 7847,
  [8720] = 8689,
  [8721] = 8689,
  [8722] = 8689,
  [8723] = 8689,
  [8724] = 8689,
  [8725] = 8689,
  [8726] = 8689,
  [8727] = 8689,
  [8728] = 8689,
  [8729] = 8689,
  [8730] = 8689,
  [8731] = 4022,
  [8732] = 8689,
  [8733] = 8689,
  [8734] = 8689,
  [8735] = 7845,
  [8736] = 8689,
  [8737] = 8689,
  [8738] = 8689,
  [8739] = 4013,
  [8740] = 8689,
  [8741] = 8689,
  [8742] = 8689,
  [8743] = 8689,
  [8744] = 8689,
  [8745] = 8689,
  [8746] = 8689,
  [8747] = 7847,
  [8748] = 7851,
  [8749] = 8689,
  [8750] = 8689,
  [8751] = 8689,
  [8752] = 4027,
  [8753] = 8689,
  [8754] = 8689,
  [8755] = 8689,
  [8756] = 8689,
  [8757] = 8689,
  [8758] = 7854,
  [8759] = 8689,
  [8760] = 7856,
  [8761] = 8689,
  [8762] = 8689,
  [8763] = 8689,
  [8764] = 8689,
  [8765] = 8689,
  [8766] = 8689,
  [8767] = 8689,
  [8768] = 8689,
  [8769] = 7847,
  [8770] = 8689,
  [8771] = 7850,
  [8772] = 8689,
  [8773] = 8689,
  [8774] = 7856,
  [8775] = 8689,
  [8776] = 8689,
  [8777] = 8689,
  [8778] = 8689,
  [8779] = 8689,
  [8780] = 7848,
  [8781] = 8689,
  [8782] = 8689,
  [8783] = 8689,
  [8784] = 8689,
  [8785] = 8785,
  [8786] = 8689,
  [8787] = 8689,
  [8788] = 7851,
  [8789] = 8689,
  [8790] = 8689,
  [8791] = 7851,
  [8792] = 8689,
  [8793] = 8689,
  [8794] = 8689,
  [8795] = 8795,
  [8796] = 8689,
  [8797] = 7854,
  [8798] = 8689,
  [8799] = 8689,
  [8800] = 8689,
  [8801] = 7854,
  [8802] = 8689,
  [8803] = 7855,
  [8804] = 8629,
  [8805] = 8689,
  [8806] = 8689,
  [8807] = 8689,
  [8808] = 4038,
  [8809] = 8629,
  [8810] = 8689,
  [8811] = 8689,
  [8812] = 8689,
  [8813] = 8689,
  [8814] = 7855,
  [8815] = 4028,
  [8816] = 8689,
  [8817] = 8689,
  [8818] = 8689,
  [8819] = 8689,
  [8820] = 8689,
  [8821] = 8689,
  [8822] = 8689,
  [8823] = 8689,
  [8824] = 4009,
  [8825] = 8689,
  [8826] = 8689,
  [8827] = 8689,
  [8828] = 4038,
  [8829] = 8689,
  [8830] = 7853,
  [8831] = 8689,
  [8832] = 8689,
  [8833] = 8689,
  [8834] = 7845,
  [8835] = 8689,
  [8836] = 8689,
  [8837] = 8837,
  [8838] = 8689,
  [8839] = 8689,
  [8840] = 8689,
  [8841] = 8689,
  [8842] = 8689,
  [8843] = 7853,
  [8844] = 8689,
  [8845] = 8689,
  [8846] = 8689,
  [8847] = 8689,
  [8848] = 8689,
  [8849] = 8689,
  [8850] = 8689,
  [8851] = 8689,
  [8852] = 8689,
  [8853] = 8689,
  [8854] = 8689,
  [8855] = 8689,
  [8856] = 8689,
  [8857] = 8689,
  [8858] = 8689,
  [8859] = 8689,
  [8860] = 8689,
  [8861] = 7855,
  [8862] = 8629,
  [8863] = 8863,
  [8864] = 8689,
  [8865] = 8689,
  [8866] = 8689,
  [8867] = 8689,
  [8868] = 8689,
  [8869] = 8689,
  [8870] = 7848,
  [8871] = 8689,
  [8872] = 4017,
  [8873] = 8689,
  [8874] = 8689,
  [8875] = 8689,
  [8876] = 8689,
  [8877] = 8689,
  [8878] = 8689,
  [8879] = 8689,
  [8880] = 8689,
  [8881] = 8689,
  [8882] = 8689,
  [8883] = 8689,
  [8884] = 8689,
  [8885] = 8689,
  [8886] = 8689,
  [8887] = 8689,
  [8888] = 8689,
  [8889] = 7856,
  [8890] = 8689,
  [8891] = 8689,
  [8892] = 8689,
  [8893] = 8689,
  [8894] = 8689,
  [8895] = 8689,
  [8896] = 7850,
  [8897] = 7848,
  [8898] = 8689,
  [8899] = 8689,
  [8900] = 8689,
  [8901] = 4033,
  [8902] = 8689,
  [8903] = 8689,
  [8904] = 8689,
  [8905] = 8689,
  [8906] = 8689,
  [8907] = 8689,
  [8908] = 8689,
  [8909] = 4023,
  [8910] = 8689,
  [8911] = 8689,
  [8912] = 8689,
  [8913] = 8689,
  [8914] = 8689,
  [8915] = 8689,
  [8916] = 8689,
  [8917] = 7853,
  [8918] = 8689,
  [8919] = 8689,
  [8920] = 4031,
  [8921] = 7850,
  [8922] = 8689,
  [8923] = 8923,
  [8924] = 8924,
  [8925] = 7850,
  [8926] = 7857,
  [8927] = 8927,
  [8928] = 8928,
  [8929] = 8929,
  [8930] = 8930,
  [8931] = 8931,
  [8932] = 8932,
  [8933] = 7847,
  [8934] = 8934,
  [8935] = 7856,
  [8936] = 8936,
  [8937] = 7851,
  [8938] = 7848,
  [8939] = 8939,
  [8940] = 7854,
  [8941] = 8941,
  [8942] = 7850,
  [8943] = 8943,
  [8944] = 8930,
  [8945] = 4038,
  [8946] = 8946,
  [8947] = 8947,
  [8948] = 8629,
  [8949] = 8949,
  [8950] = 8949,
  [8951] = 8951,
  [8952] = 7855,
  [8953] = 8953,
  [8954] = 8934,
  [8955] = 8955,
  [8956] = 7847,
  [8957] = 8953,
  [8958] = 8943,
  [8959] = 8927,
  [8960] = 8951,
  [8961] = 8961,
  [8962] = 8955,
  [8963] = 8963,
  [8964] = 7856,
  [8965] = 7853,
  [8966] = 8629,
  [8967] = 7853,
  [8968] = 7851,
  [8969] = 7845,
  [8970] = 7854,
  [8971] = 7846,
  [8972] = 8785,
  [8973] = 8973,
  [8974] = 8974,
  [8975] = 8974,
  [8976] = 7848,
  [8977] = 8934,
  [8978] = 8629,
  [8979] = 8946,
  [8980] = 5999,
  [8981] = 8928,
  [8982] = 7845,
  [8983] = 8947,
  [8984] = 8961,
  [8985] = 8985,
  [8986] = 8986,
  [8987] = 8987,
  [8988] = 8973,
  [8989] = 8936,
  [8990] = 8986,
  [8991] = 8934,
  [8992] = 8992,
  [8993] = 8932,
  [8994] = 8992,
  [8995] = 8924,
  [8996] = 8985,
  [8997] = 8939,
  [8998] = 8998,
  [8999] = 8929,
  [9000] = 8931,
  [9001] = 7855,
  [9002] = 8963,
  [9003] = 8629,
  [9004] = 9004,
  [9005] = 9005,
  [9006] = 7856,
  [9007] = 7848,
  [9008] = 9004,
  [9009] = 9009,
  [9010] = 9010,
  [9011] = 7847,
  [9012] = 7855,
  [9013] = 9013,
  [9014] = 8987,
  [9015] = 7856,
  [9016] = 8629,
  [9017] = 9017,
  [9018] = 7851,
  [9019] = 7851,
  [9020] = 7854,
  [9021] = 8987,
  [9022] = 9022,
  [9023] = 9023,
  [9024] = 7850,
  [9025] = 9025,
  [9026] = 9026,
  [9027] = 8629,
  [9028] = 9028,
  [9029] = 7853,
  [9030] = 8987,
  [9031] = 9004,
  [9032] = 8998,
  [9033] = 8629,
  [9034] = 9004,
  [9035] = 9035,
  [9036] = 8629,
  [9037] = 7845,
  [9038] = 9038,
  [9039] = 9039,
  [9040] = 7847,
  [9041] = 9041,
  [9042] = 9042,
  [9043] = 7854,
  [9044] = 9044,
  [9045] = 9045,
  [9046] = 9046,
  [9047] = 9046,
  [9048] = 9046,
  [9049] = 8987,
  [9050] = 9046,
  [9051] = 9046,
  [9052] = 9052,
  [9053] = 8629,
  [9054] = 9046,
  [9055] = 9046,
  [9056] = 9056,
  [9057] = 9046,
  [9058] = 9046,
  [9059] = 9046,
  [9060] = 4031,
  [9061] = 9046,
  [9062] = 9046,
  [9063] = 8629,
  [9064] = 9013,
  [9065] = 9046,
  [9066] = 9046,
  [9067] = 9067,
  [9068] = 8629,
  [9069] = 9046,
  [9070] = 9070,
  [9071] = 9046,
  [9072] = 9072,
  [9073] = 9046,
  [9074] = 9074,
  [9075] = 9075,
  [9076] = 9046,
  [9077] = 9046,
  [9078] = 6676,
  [9079] = 9046,
  [9080] = 9046,
  [9081] = 9046,
  [9082] = 9046,
  [9083] = 9046,
  [9084] = 4009,
  [9085] = 9046,
  [9086] = 9072,
  [9087] = 9046,
  [9088] = 9088,
  [9089] = 9089,
  [9090] = 9017,
  [9091] = 9046,
  [9092] = 9046,
  [9093] = 9046,
  [9094] = 9046,
  [9095] = 9046,
  [9096] = 9096,
  [9097] = 9046,
  [9098] = 4038,
  [9099] = 8629,
  [9100] = 8629,
  [9101] = 8987,
  [9102] = 8629,
  [9103] = 9046,
  [9104] = 9046,
  [9105] = 9046,
  [9106] = 9106,
  [9107] = 9046,
  [9108] = 9046,
  [9109] = 9046,
  [9110] = 9046,
  [9111] = 8629,
  [9112] = 9072,
  [9113] = 9113,
  [9114] = 9046,
  [9115] = 9046,
  [9116] = 9046,
  [9117] = 9046,
  [9118] = 8987,
  [9119] = 9046,
  [9120] = 9046,
  [9121] = 9046,
  [9122] = 9122,
  [9123] = 9046,
  [9124] = 9046,
  [9125] = 9125,
  [9126] = 8629,
  [9127] = 9046,
  [9128] = 9026,
  [9129] = 9129,
  [9130] = 9046,
  [9131] = 9046,
  [9132] = 9129,
  [9133] = 9133,
  [9134] = 9046,
  [9135] = 9046,
  [9136] = 8987,
  [9137] = 9046,
  [9138] = 9138,
  [9139] = 9046,
  [9140] = 9046,
  [9141] = 9141,
  [9142] = 8629,
  [9143] = 9143,
  [9144] = 8629,
  [9145] = 8987,
  [9146] = 8629,
  [9147] = 9147,
  [9148] = 9148,
  [9149] = 8629,
  [9150] = 9150,
  [9151] = 9151,
  [9152] = 9067,
  [9153] = 9153,
  [9154] = 9113,
  [9155] = 9096,
  [9156] = 9045,
  [9157] = 9106,
  [9158] = 8643,
  [9159] = 8629,
  [9160] = 8629,
  [9161] = 9161,
  [9162] = 9162,
  [9163] = 8629,
  [9164] = 9122,
  [9165] = 9165,
  [9166] = 9166,
  [9167] = 9167,
  [9168] = 8629,
  [9169] = 8633,
  [9170] = 9170,
  [9171] = 8629,
  [9172] = 9133,
  [9173] = 8629,
  [9174] = 8987,
  [9175] = 8629,
  [9176] = 9052,
  [9177] = 8987,
  [9178] = 8629,
  [9179] = 9179,
  [9180] = 9180,
  [9181] = 8629,
  [9182] = 8629,
  [9183] = 9183,
  [9184] = 8987,
  [9185] = 9185,
  [9186] = 9185,
  [9187] = 9185,
  [9188] = 9185,
  [9189] = 9185,
  [9190] = 9185,
  [9191] = 9185,
  [9192] = 9185,
  [9193] = 9185,
  [9194] = 9185,
  [9195] = 9185,
  [9196] = 9185,
  [9197] = 9185,
  [9198] = 9185,
  [9199] = 9185,
  [9200] = 9185,
  [9201] = 9185,
  [9202] = 9185,
  [9203] = 9185,
  [9204] = 9185,
  [9205] = 9205,
  [9206] = 9185,
  [9207] = 9207,
  [9208] = 9208,
  [9209] = 9185,
  [9210] = 9185,
  [9211] = 9179,
  [9212] = 9185,
  [9213] = 9185,
  [9214] = 9185,
  [9215] = 9215,
  [9216] = 9185,
  [9217] = 9185,
  [9218] = 9185,
  [9219] = 9219,
  [9220] = 9185,
  [9221] = 9185,
  [9222] = 9185,
  [9223] = 9185,
  [9224] = 9185,
  [9225] = 9225,
  [9226] = 9185,
  [9227] = 9185,
  [9228] = 9185,
  [9229] = 9185,
  [9230] = 9185,
  [9231] = 9185,
  [9232] = 9185,
  [9233] = 9185,
  [9234] = 8629,
  [9235] = 8987,
  [9236] = 9236,
  [9237] = 9185,
  [9238] = 9185,
  [9239] = 9185,
  [9240] = 9185,
  [9241] = 8629,
  [9242] = 9185,
  [9243] = 9185,
  [9244] = 9185,
  [9245] = 9185,
  [9246] = 9185,
  [9247] = 9185,
  [9248] = 9185,
  [9249] = 9185,
  [9250] = 9185,
  [9251] = 9185,
  [9252] = 9185,
  [9253] = 9185,
  [9254] = 9185,
  [9255] = 9185,
  [9256] = 9185,
  [9257] = 9257,
  [9258] = 9185,
  [9259] = 9259,
  [9260] = 9185,
  [9261] = 9185,
  [9262] = 9185,
  [9263] = 9185,
  [9264] = 9185,
  [9265] = 8629,
  [9266] = 9185,
  [9267] = 9185,
  [9268] = 9185,
  [9269] = 9185,
  [9270] = 9185,
  [9271] = 9185,
  [9272] = 9185,
  [9273] = 9185,
  [9274] = 9185,
  [9275] = 9185,
  [9276] = 9185,
  [9277] = 9185,
  [9278] = 9185,
  [9279] = 9185,
  [9280] = 9185,
  [9281] = 9185,
  [9282] = 9185,
  [9283] = 9185,
  [9284] = 9185,
  [9285] = 9185,
  [9286] = 9185,
  [9287] = 9185,
  [9288] = 8987,
  [9289] = 9185,
  [9290] = 9185,
  [9291] = 8629,
  [9292] = 9185,
  [9293] = 9185,
  [9294] = 9185,
  [9295] = 9185,
  [9296] = 9296,
  [9297] = 9185,
  [9298] = 9185,
  [9299] = 9185,
  [9300] = 8629,
  [9301] = 9185,
  [9302] = 9185,
  [9303] = 9185,
  [9304] = 9185,
  [9305] = 9185,
  [9306] = 9185,
  [9307] = 9185,
  [9308] = 9185,
  [9309] = 9185,
  [9310] = 9185,
  [9311] = 9185,
  [9312] = 9185,
  [9313] = 9185,
  [9314] = 9185,
  [9315] = 9315,
  [9316] = 9185,
  [9317] = 9185,
  [9318] = 9185,
  [9319] = 9185,
  [9320] = 8629,
  [9321] = 8629,
  [9322] = 8987,
  [9323] = 9185,
  [9324] = 9185,
  [9325] = 9185,
  [9326] = 9185,
  [9327] = 9185,
  [9328] = 8987,
  [9329] = 9185,
  [9330] = 9185,
  [9331] = 9185,
  [9332] = 9185,
  [9333] = 9185,
  [9334] = 9334,
  [9335] = 9185,
  [9336] = 9185,
  [9337] = 9185,
  [9338] = 9185,
  [9339] = 9185,
  [9340] = 9296,
  [9341] = 9257,
  [9342] = 9342,
  [9343] = 9143,
  [9344] = 9185,
  [9345] = 9185,
  [9346] = 9185,
  [9347] = 9185,
  [9348] = 9185,
  [9349] = 9185,
  [9350] = 9225,
  [9351] = 9185,
  [9352] = 9185,
  [9353] = 9185,
  [9354] = 9185,
  [9355] = 9185,
  [9356] = 9185,
  [9357] = 9185,
  [9358] = 9185,
  [9359] = 9185,
  [9360] = 9185,
  [9361] = 9185,
  [9362] = 8629,
  [9363] = 4038,
  [9364] = 9185,
  [9365] = 9185,
  [9366] = 9185,
  [9367] = 9185,
  [9368] = 9185,
  [9369] = 9369,
  [9370] = 9185,
  [9371] = 9185,
  [9372] = 9185,
  [9373] = 9185,
  [9374] = 9315,
  [9375] = 9185,
  [9376] = 9185,
  [9377] = 9185,
  [9378] = 9185,
  [9379] = 9185,
  [9380] = 9185,
  [9381] = 9185,
  [9382] = 9185,
  [9383] = 9185,
  [9384] = 9185,
  [9385] = 9185,
  [9386] = 9185,
  [9387] = 9185,
  [9388] = 9185,
  [9389] = 9185,
  [9390] = 9390,
  [9391] = 9185,
  [9392] = 9185,
  [9393] = 9185,
  [9394] = 9185,
  [9395] = 9185,
  [9396] = 9185,
  [9397] = 9334,
  [9398] = 9185,
  [9399] = 9185,
  [9400] = 9185,
  [9401] = 9185,
  [9402] = 9185,
  [9403] = 9185,
  [9404] = 8931,
  [9405] = 9405,
  [9406] = 8939,
  [9407] = 9407,
  [9408] = 9408,
  [9409] = 9409,
  [9410] = 8946,
  [9411] = 8947,
  [9412] = 8951,
  [9413] = 9413,
  [9414] = 9414,
  [9415] = 8927,
  [9416] = 9416,
  [9417] = 8985,
  [9418] = 8934,
  [9419] = 8987,
  [9420] = 8987,
  [9421] = 8929,
  [9422] = 9409,
  [9423] = 8987,
  [9424] = 9424,
  [9425] = 9425,
  [9426] = 9426,
  [9427] = 9427,
  [9428] = 8987,
  [9429] = 9429,
  [9430] = 9430,
  [9431] = 8943,
  [9432] = 9432,
  [9433] = 8973,
  [9434] = 9434,
  [9435] = 9425,
  [9436] = 8987,
  [9437] = 8974,
  [9438] = 8949,
  [9439] = 8953,
  [9440] = 9409,
  [9441] = 8961,
  [9442] = 8986,
  [9443] = 8987,
  [9444] = 9075,
  [9445] = 8934,
  [9446] = 8987,
  [9447] = 9447,
  [9448] = 9448,
  [9449] = 9075,
  [9450] = 8924,
  [9451] = 9451,
  [9452] = 9452,
  [9453] = 9453,
  [9454] = 8963,
  [9455] = 9455,
  [9456] = 9456,
  [9457] = 9457,
  [9458] = 7850,
  [9459] = 8928,
  [9460] = 9409,
  [9461] = 8955,
  [9462] = 9462,
  [9463] = 9075,
  [9464] = 9464,
  [9465] = 9465,
  [9466] = 9466,
  [9467] = 9467,
  [9468] = 9138,
  [9469] = 9469,
  [9470] = 9416,
  [9471] = 9452,
  [9472] = 9138,
  [9473] = 9469,
  [9474] = 9474,
  [9475] = 8987,
  [9476] = 8992,
  [9477] = 9451,
  [9478] = 9138,
  [9479] = 8932,
  [9480] = 8936,
  [9481] = 9469,
  [9482] = 9482,
  [9483] = 9483,
  [9484] = 9484,
  [9485] = 9485,
  [9486] = 9486,
  [9487] = 9487,
  [9488] = 9488,
  [9489] = 9469,
  [9490] = 9490,
  [9491] = 9491,
  [9492] = 9492,
  [9493] = 7850,
  [9494] = 9494,
  [9495] = 8987,
  [9496] = 9496,
  [9497] = 9494,
  [9498] = 9492,
  [9499] = 8987,
  [9500] = 9492,
  [9501] = 9496,
  [9502] = 9496,
  [9503] = 9496,
  [9504] = 9504,
  [9505] = 9496,
  [9506] = 9496,
  [9507] = 9496,
  [9508] = 9492,
  [9509] = 9509,
  [9510] = 9492,
  [9511] = 8987,
  [9512] = 9496,
  [9513] = 8987,
  [9514] = 9496,
  [9515] = 9492,
  [9516] = 9516,
  [9517] = 9517,
  [9518] = 9496,
  [9519] = 8987,
  [9520] = 9494,
  [9521] = 9496,
  [9522] = 9494,
  [9523] = 9492,
  [9524] = 9496,
  [9525] = 9496,
  [9526] = 9526,
  [9527] = 9496,
  [9528] = 9492,
  [9529] = 9492,
  [9530] = 9530,
  [9531] = 9492,
  [9532] = 9532,
  [9533] = 9533,
  [9534] = 9534,
  [9535] = 9492,
  [9536] = 9492,
  [9537] = 9494,
  [9538] = 9496,
  [9539] = 9429,
  [9540] = 8987,
  [9541] = 9496,
  [9542] = 9494,
  [9543] = 9492,
  [9544] = 9496,
  [9545] = 9545,
  [9546] = 9546,
  [9547] = 9492,
  [9548] = 9548,
  [9549] = 9494,
  [9550] = 9496,
  [9551] = 9496,
  [9552] = 9496,
  [9553] = 9492,
  [9554] = 9492,
  [9555] = 9492,
  [9556] = 9492,
  [9557] = 9494,
  [9558] = 9494,
  [9559] = 9492,
  [9560] = 9496,
  [9561] = 9561,
  [9562] = 9562,
  [9563] = 9494,
  [9564] = 9494,
  [9565] = 9494,
  [9566] = 9566,
  [9567] = 9494,
  [9568] = 9494,
  [9569] = 9569,
  [9570] = 9570,
  [9571] = 9571,
  [9572] = 9496,
  [9573] = 9492,
  [9574] = 9492,
  [9575] = 9492,
  [9576] = 9576,
  [9577] = 9494,
  [9578] = 9578,
  [9579] = 9579,
  [9580] = 9496,
  [9581] = 9492,
  [9582] = 9496,
  [9583] = 9494,
  [9584] = 9494,
  [9585] = 9585,
  [9586] = 9492,
  [9587] = 8987,
  [9588] = 9588,
  [9589] = 9494,
  [9590] = 9494,
  [9591] = 9494,
  [9592] = 9494,
  [9593] = 9496,
  [9594] = 9492,
  [9595] = 9494,
  [9596] = 9496,
  [9597] = 9492,
  [9598] = 9494,
  [9599] = 9504,
  [9600] = 9545,
  [9601] = 8987,
  [9602] = 9492,
  [9603] = 9494,
  [9604] = 9496,
  [9605] = 9494,
  [9606] = 9606,
  [9607] = 9492,
  [9608] = 9608,
  [9609] = 9496,
  [9610] = 9496,
  [9611] = 9611,
  [9612] = 9492,
  [9613] = 9492,
  [9614] = 9496,
  [9615] = 9496,
  [9616] = 9616,
  [9617] = 8987,
  [9618] = 9496,
  [9619] = 9492,
  [9620] = 9462,
  [9621] = 9492,
  [9622] = 9496,
  [9623] = 9494,
  [9624] = 9496,
  [9625] = 9579,
  [9626] = 8987,
  [9627] = 9494,
  [9628] = 9492,
  [9629] = 9492,
  [9630] = 9492,
  [9631] = 9496,
  [9632] = 9494,
  [9633] = 9496,
  [9634] = 9494,
  [9635] = 9453,
  [9636] = 9494,
  [9637] = 9492,
  [9638] = 9492,
  [9639] = 9492,
  [9640] = 9494,
  [9641] = 9492,
  [9642] = 9494,
  [9643] = 9492,
  [9644] = 7850,
  [9645] = 9496,
  [9646] = 9494,
  [9647] = 9496,
  [9648] = 9494,
  [9649] = 9496,
  [9650] = 9496,
  [9651] = 9494,
  [9652] = 9491,
  [9653] = 9496,
  [9654] = 9494,
  [9655] = 9494,
  [9656] = 9496,
  [9657] = 9657,
  [9658] = 9492,
  [9659] = 9659,
  [9660] = 9576,
  [9661] = 9492,
  [9662] = 9662,
  [9663] = 9494,
  [9664] = 8987,
  [9665] = 9494,
  [9666] = 9492,
  [9667] = 9667,
  [9668] = 9492,
  [9669] = 9669,
  [9670] = 9496,
  [9671] = 9671,
  [9672] = 9672,
  [9673] = 9494,
  [9674] = 9492,
  [9675] = 8987,
  [9676] = 9496,
  [9677] = 9494,
  [9678] = 9494,
  [9679] = 9494,
  [9680] = 9492,
  [9681] = 9681,
  [9682] = 9496,
  [9683] = 9683,
  [9684] = 9494,
  [9685] = 8987,
  [9686] = 9509,
  [9687] = 8987,
  [9688] = 9494,
  [9689] = 9494,
  [9690] = 9492,
  [9691] = 9494,
  [9692] = 9659,
  [9693] = 9693,
  [9694] = 9496,
  [9695] = 9695,
  [9696] = 9696,
  [9697] = 9697,
  [9698] = 9698,
  [9699] = 9699,
  [9700] = 9700,
  [9701] = 9701,
  [9702] = 9699,
  [9703] = 9700,
  [9704] = 9701,
  [9705] = 9696,
  [9706] = 9697,
  [9707] = 9698,
  [9708] = 9696,
  [9709] = 9699,
  [9710] = 9700,
  [9711] = 9701,
  [9712] = 9712,
  [9713] = 9713,
  [9714] = 9696,
  [9715] = 9715,
  [9716] = 8987,
  [9717] = 9697,
  [9718] = 9696,
  [9719] = 9697,
  [9720] = 9698,
  [9721] = 9721,
  [9722] = 9698,
  [9723] = 9699,
  [9724] = 9724,
  [9725] = 9700,
  [9726] = 9701,
  [9727] = 9727,
  [9728] = 9696,
  [9729] = 9697,
  [9730] = 9698,
  [9731] = 9697,
  [9732] = 9699,
  [9733] = 9700,
  [9734] = 9701,
  [9735] = 9698,
  [9736] = 9699,
  [9737] = 9700,
  [9738] = 9701,
  [9739] = 9696,
  [9740] = 9697,
  [9741] = 9698,
  [9742] = 9699,
  [9743] = 9700,
  [9744] = 9701,
  [9745] = 9745,
  [9746] = 9746,
  [9747] = 7237,
  [9748] = 9696,
  [9749] = 9696,
  [9750] = 9697,
  [9751] = 9698,
  [9752] = 9697,
  [9753] = 8987,
  [9754] = 9699,
  [9755] = 9700,
  [9756] = 9701,
  [9757] = 9698,
  [9758] = 9758,
  [9759] = 9696,
  [9760] = 8987,
  [9761] = 9697,
  [9762] = 9698,
  [9763] = 9697,
  [9764] = 9698,
  [9765] = 9765,
  [9766] = 8987,
  [9767] = 9767,
  [9768] = 9138,
  [9769] = 9696,
  [9770] = 9697,
  [9771] = 9698,
  [9772] = 9772,
  [9773] = 9699,
  [9774] = 9700,
  [9775] = 9775,
  [9776] = 9701,
  [9777] = 9699,
  [9778] = 9700,
  [9779] = 9701,
  [9780] = 8987,
  [9781] = 9696,
  [9782] = 9782,
  [9783] = 9697,
  [9784] = 9698,
  [9785] = 9699,
  [9786] = 9700,
  [9787] = 9701,
  [9788] = 9699,
  [9789] = 9696,
  [9790] = 9697,
  [9791] = 9698,
  [9792] = 9700,
  [9793] = 9701,
  [9794] = 9794,
  [9795] = 9699,
  [9796] = 9700,
  [9797] = 9797,
  [9798] = 9701,
  [9799] = 9466,
  [9800] = 9800,
  [9801] = 9696,
  [9802] = 9697,
  [9803] = 9698,
  [9804] = 9804,
  [9805] = 9699,
  [9806] = 9700,
  [9807] = 9699,
  [9808] = 9700,
  [9809] = 9701,
  [9810] = 9810,
  [9811] = 9696,
  [9812] = 9697,
  [9813] = 9698,
  [9814] = 9701,
  [9815] = 9815,
  [9816] = 9699,
  [9817] = 9700,
  [9818] = 9701,
  [9819] = 8987,
  [9820] = 9696,
  [9821] = 9697,
  [9822] = 9698,
  [9823] = 9699,
  [9824] = 9696,
  [9825] = 9825,
  [9826] = 9700,
  [9827] = 4038,
  [9828] = 9697,
  [9829] = 9699,
  [9830] = 9700,
  [9831] = 9701,
  [9832] = 9832,
  [9833] = 9833,
  [9834] = 9701,
  [9835] = 9698,
  [9836] = 9836,
  [9837] = 9837,
  [9838] = 9838,
  [9839] = 9839,
  [9840] = 9840,
  [9841] = 9699,
  [9842] = 9696,
  [9843] = 9697,
  [9844] = 9698,
  [9845] = 9700,
  [9846] = 9701,
  [9847] = 9696,
  [9848] = 9699,
  [9849] = 9700,
  [9850] = 9701,
  [9851] = 9851,
  [9852] = 9697,
  [9853] = 9698,
  [9854] = 9854,
  [9855] = 9696,
  [9856] = 9697,
  [9857] = 9698,
  [9858] = 9858,
  [9859] = 9859,
  [9860] = 9860,
  [9861] = 9699,
  [9862] = 9700,
  [9863] = 9701,
  [9864] = 9864,
  [9865] = 9840,
  [9866] = 9866,
  [9867] = 9699,
  [9868] = 9700,
  [9869] = 9701,
  [9870] = 9870,
  [9871] = 9871,
  [9872] = 9872,
  [9873] = 9873,
  [9874] = 9874,
  [9875] = 9696,
  [9876] = 7269,
  [9877] = 9697,
  [9878] = 9698,
  [9879] = 9696,
  [9880] = 9697,
  [9881] = 9698,
  [9882] = 9882,
  [9883] = 9860,
  [9884] = 9699,
  [9885] = 9699,
  [9886] = 9700,
  [9887] = 9701,
  [9888] = 9700,
  [9889] = 9701,
  [9890] = 9699,
  [9891] = 9700,
  [9892] = 9701,
  [9893] = 9893,
  [9894] = 9696,
  [9895] = 9697,
  [9896] = 9698,
  [9897] = 9696,
  [9898] = 9699,
  [9899] = 9700,
  [9900] = 9701,
  [9901] = 9697,
  [9902] = 4038,
  [9903] = 9698,
  [9904] = 9904,
  [9905] = 9696,
  [9906] = 9696,
  [9907] = 9697,
  [9908] = 9698,
  [9909] = 9696,
  [9910] = 9697,
  [9911] = 9699,
  [9912] = 9700,
  [9913] = 9698,
  [9914] = 9701,
  [9915] = 9697,
  [9916] = 9698,
  [9917] = 9699,
  [9918] = 9700,
  [9919] = 9701,
  [9920] = 9696,
  [9921] = 9697,
  [9922] = 9698,
  [9923] = 9699,
  [9924] = 9700,
  [9925] = 9701,
  [9926] = 9699,
  [9927] = 9700,
  [9928] = 9701,
  [9929] = 9929,
  [9930] = 9696,
  [9931] = 9697,
  [9932] = 9698,
  [9933] = 9696,
  [9934] = 9697,
  [9935] = 9698,
  [9936] = 9699,
  [9937] = 9700,
  [9938] = 9701,
  [9939] = 9696,
  [9940] = 9699,
  [9941] = 9700,
  [9942] = 9701,
  [9943] = 9943,
  [9944] = 9696,
  [9945] = 9697,
  [9946] = 9698,
  [9947] = 9697,
  [9948] = 9698,
  [9949] = 9699,
  [9950] = 9700,
  [9951] = 9701,
  [9952] = 8987,
  [9953] = 9953,
  [9954] = 9699,
  [9955] = 9700,
  [9956] = 9701,
  [9957] = 9957,
  [9958] = 9696,
  [9959] = 9697,
  [9960] = 9698,
  [9961] = 9699,
  [9962] = 9700,
  [9963] = 9701,
  [9964] = 9696,
  [9965] = 9697,
  [9966] = 9698,
  [9967] = 9713,
  [9968] = 9968,
  [9969] = 9696,
  [9970] = 9699,
  [9971] = 9700,
  [9972] = 9696,
  [9973] = 9697,
  [9974] = 9698,
  [9975] = 9701,
  [9976] = 9697,
  [9977] = 9699,
  [9978] = 9700,
  [9979] = 9701,
  [9980] = 9698,
  [9981] = 9699,
  [9982] = 9700,
  [9983] = 9701,
  [9984] = 9696,
  [9985] = 9696,
  [9986] = 9986,
  [9987] = 9697,
  [9988] = 9698,
  [9989] = 9699,
  [9990] = 9700,
  [9991] = 9697,
  [9992] = 9701,
  [9993] = 9698,
  [9994] = 9696,
  [9995] = 9697,
  [9996] = 9698,
  [9997] = 9699,
  [9998] = 9700,
  [9999] = 9701,
  [10000] = 9696,
  [10001] = 9697,
  [10002] = 9698,
  [10003] = 9699,
  [10004] = 9700,
  [10005] = 9701,
  [10006] = 9699,
  [10007] = 9700,
  [10008] = 9701,
  [10009] = 9696,
  [10010] = 9697,
  [10011] = 9698,
  [10012] = 9699,
  [10013] = 9700,
  [10014] = 9701,
  [10015] = 10015,
  [10016] = 10016,
  [10017] = 9696,
  [10018] = 9697,
  [10019] = 9698,
  [10020] = 9696,
  [10021] = 9697,
  [10022] = 9698,
  [10023] = 3995,
  [10024] = 9699,
  [10025] = 9699,
  [10026] = 9700,
  [10027] = 9701,
  [10028] = 9700,
  [10029] = 9701,
  [10030] = 10030,
  [10031] = 10031,
  [10032] = 10032,
  [10033] = 10033,
  [10034] = 9696,
  [10035] = 9697,
  [10036] = 9698,
  [10037] = 9699,
  [10038] = 9700,
  [10039] = 9701,
  [10040] = 9696,
  [10041] = 9697,
  [10042] = 9698,
  [10043] = 10043,
  [10044] = 10044,
  [10045] = 9699,
  [10046] = 9700,
  [10047] = 9701,
  [10048] = 9696,
  [10049] = 9697,
  [10050] = 9698,
  [10051] = 10051,
  [10052] = 9699,
  [10053] = 9700,
  [10054] = 9701,
  [10055] = 10055,
  [10056] = 9696,
  [10057] = 9697,
  [10058] = 9698,
  [10059] = 9860,
  [10060] = 9696,
  [10061] = 9697,
  [10062] = 9698,
  [10063] = 9699,
  [10064] = 9700,
  [10065] = 9701,
  [10066] = 9699,
  [10067] = 9700,
  [10068] = 9701,
  [10069] = 9696,
  [10070] = 9697,
  [10071] = 9698,
  [10072] = 9696,
  [10073] = 9872,
  [10074] = 9929,
  [10075] = 9696,
  [10076] = 9697,
  [10077] = 9968,
  [10078] = 9698,
  [10079] = 9804,
  [10080] = 9696,
  [10081] = 9697,
  [10082] = 9698,
  [10083] = 9699,
  [10084] = 9700,
  [10085] = 9701,
  [10086] = 9699,
  [10087] = 9700,
  [10088] = 9701,
  [10089] = 9968,
  [10090] = 9804,
  [10091] = 10091,
  [10092] = 9968,
  [10093] = 9804,
  [10094] = 9968,
  [10095] = 9804,
  [10096] = 9968,
  [10097] = 9804,
  [10098] = 10098,
  [10099] = 9968,
  [10100] = 9804,
  [10101] = 10101,
  [10102] = 9968,
  [10103] = 9804,
  [10104] = 9968,
  [10105] = 9804,
  [10106] = 9699,
  [10107] = 9700,
  [10108] = 9968,
  [10109] = 9804,
  [10110] = 9968,
  [10111] = 9804,
  [10112] = 10112,
  [10113] = 9968,
  [10114] = 9804,
  [10115] = 9701,
  [10116] = 9968,
  [10117] = 9804,
  [10118] = 9696,
  [10119] = 9968,
  [10120] = 9804,
  [10121] = 9697,
  [10122] = 9698,
  [10123] = 9968,
  [10124] = 9804,
  [10125] = 9968,
  [10126] = 9804,
  [10127] = 9968,
  [10128] = 9804,
  [10129] = 9968,
  [10130] = 9804,
  [10131] = 9699,
  [10132] = 9968,
  [10133] = 9804,
  [10134] = 9700,
  [10135] = 9701,
  [10136] = 9968,
  [10137] = 9804,
  [10138] = 9968,
  [10139] = 9804,
  [10140] = 9696,
  [10141] = 9968,
  [10142] = 9804,
  [10143] = 9697,
  [10144] = 9698,
  [10145] = 9968,
  [10146] = 9804,
  [10147] = 9968,
  [10148] = 9804,
  [10149] = 9968,
  [10150] = 9804,
  [10151] = 9968,
  [10152] = 9804,
  [10153] = 9968,
  [10154] = 9804,
  [10155] = 9968,
  [10156] = 9804,
  [10157] = 9699,
  [10158] = 9968,
  [10159] = 9804,
  [10160] = 9700,
  [10161] = 9701,
  [10162] = 9968,
  [10163] = 9804,
  [10164] = 9968,
  [10165] = 9804,
  [10166] = 9968,
  [10167] = 9804,
  [10168] = 9968,
  [10169] = 9804,
  [10170] = 9968,
  [10171] = 9804,
  [10172] = 9968,
  [10173] = 9804,
  [10174] = 9968,
  [10175] = 9804,
  [10176] = 10176,
  [10177] = 9968,
  [10178] = 9804,
  [10179] = 9968,
  [10180] = 9804,
  [10181] = 9968,
  [10182] = 9804,
  [10183] = 9968,
  [10184] = 9804,
  [10185] = 9968,
  [10186] = 9804,
  [10187] = 9968,
  [10188] = 9804,
  [10189] = 9968,
  [10190] = 9804,
  [10191] = 10191,
  [10192] = 10192,
  [10193] = 9968,
  [10194] = 9804,
  [10195] = 9696,
  [10196] = 9968,
  [10197] = 9804,
  [10198] = 9968,
  [10199] = 9804,
  [10200] = 9968,
  [10201] = 9804,
  [10202] = 9968,
  [10203] = 9804,
  [10204] = 9968,
  [10205] = 9804,
  [10206] = 9968,
  [10207] = 9804,
  [10208] = 9968,
  [10209] = 9804,
  [10210] = 9968,
  [10211] = 9804,
  [10212] = 9968,
  [10213] = 9804,
  [10214] = 9968,
  [10215] = 9804,
  [10216] = 9968,
  [10217] = 9804,
  [10218] = 9968,
  [10219] = 9804,
  [10220] = 8987,
  [10221] = 9697,
  [10222] = 9698,
  [10223] = 10223,
  [10224] = 10224,
  [10225] = 9696,
  [10226] = 9697,
  [10227] = 9698,
  [10228] = 10228,
  [10229] = 9699,
  [10230] = 9700,
  [10231] = 9701,
  [10232] = 10232,
  [10233] = 10233,
  [10234] = 10234,
  [10235] = 10235,
  [10236] = 10232,
  [10237] = 10237,
  [10238] = 10238,
  [10239] = 10239,
  [10240] = 10240,
  [10241] = 10241,
  [10242] = 10242,
  [10243] = 10243,
  [10244] = 10244,
  [10245] = 10245,
  [10246] = 10241,
  [10247] = 10235,
  [10248] = 10232,
  [10249] = 10249,
  [10250] = 10235,
  [10251] = 10232,
  [10252] = 10237,
  [10253] = 10238,
  [10254] = 10239,
  [10255] = 10240,
  [10256] = 10241,
  [10257] = 10257,
  [10258] = 10243,
  [10259] = 10237,
  [10260] = 10238,
  [10261] = 10243,
  [10262] = 10262,
  [10263] = 10263,
  [10264] = 10239,
  [10265] = 10249,
  [10266] = 10235,
  [10267] = 10232,
  [10268] = 10237,
  [10269] = 10238,
  [10270] = 10239,
  [10271] = 10240,
  [10272] = 10241,
  [10273] = 10273,
  [10274] = 10274,
  [10275] = 10243,
  [10276] = 10240,
  [10277] = 10241,
  [10278] = 10278,
  [10279] = 10243,
  [10280] = 10280,
  [10281] = 10281,
  [10282] = 10235,
  [10283] = 10283,
  [10284] = 10232,
  [10285] = 10237,
  [10286] = 10238,
  [10287] = 10239,
  [10288] = 10240,
  [10289] = 10241,
  [10290] = 10233,
  [10291] = 10243,
  [10292] = 10234,
  [10293] = 10242,
  [10294] = 10244,
  [10295] = 10249,
  [10296] = 10257,
  [10297] = 10280,
  [10298] = 10235,
  [10299] = 10232,
  [10300] = 10237,
  [10301] = 10238,
  [10302] = 10239,
  [10303] = 10240,
  [10304] = 10241,
  [10305] = 10281,
  [10306] = 10243,
  [10307] = 10233,
  [10308] = 10234,
  [10309] = 10243,
  [10310] = 10243,
  [10311] = 10242,
  [10312] = 10244,
  [10313] = 10249,
  [10314] = 10235,
  [10315] = 10232,
  [10316] = 10237,
  [10317] = 10238,
  [10318] = 10239,
  [10319] = 10240,
  [10320] = 10241,
  [10321] = 10321,
  [10322] = 10243,
  [10323] = 10257,
  [10324] = 10262,
  [10325] = 10232,
  [10326] = 10237,
  [10327] = 10235,
  [10328] = 10235,
  [10329] = 10235,
  [10330] = 10232,
  [10331] = 10237,
  [10332] = 10238,
  [10333] = 10239,
  [10334] = 10240,
  [10335] = 10241,
  [10336] = 10273,
  [10337] = 10232,
  [10338] = 10243,
  [10339] = 10237,
  [10340] = 10235,
  [10341] = 10238,
  [10342] = 10176,
  [10343] = 10232,
  [10344] = 10237,
  [10345] = 10238,
  [10346] = 10283,
  [10347] = 10235,
  [10348] = 10232,
  [10349] = 10237,
  [10350] = 10238,
  [10351] = 10239,
  [10352] = 10240,
  [10353] = 10241,
  [10354] = 10239,
  [10355] = 10243,
  [10356] = 10240,
  [10357] = 10239,
  [10358] = 10240,
  [10359] = 10241,
  [10360] = 10360,
  [10361] = 10278,
  [10362] = 10235,
  [10363] = 10232,
  [10364] = 10237,
  [10365] = 10238,
  [10366] = 10239,
  [10367] = 10240,
  [10368] = 10241,
  [10369] = 10274,
  [10370] = 10243,
  [10371] = 10232,
  [10372] = 10241,
  [10373] = 10373,
  [10374] = 10374,
  [10375] = 10278,
  [10376] = 10274,
  [10377] = 10237,
  [10378] = 10235,
  [10379] = 10232,
  [10380] = 10237,
  [10381] = 10238,
  [10382] = 10239,
  [10383] = 10240,
  [10384] = 10241,
  [10385] = 10238,
  [10386] = 10243,
  [10387] = 10245,
  [10388] = 10388,
  [10389] = 10389,
  [10390] = 10243,
  [10391] = 10273,
  [10392] = 10262,
  [10393] = 10274,
  [10394] = 10235,
  [10395] = 10232,
  [10396] = 10237,
  [10397] = 10238,
  [10398] = 10398,
  [10399] = 10239,
  [10400] = 10240,
  [10401] = 10283,
  [10402] = 10241,
  [10403] = 10239,
  [10404] = 10243,
  [10405] = 10240,
  [10406] = 10262,
  [10407] = 10235,
  [10408] = 10243,
  [10409] = 10262,
  [10410] = 10232,
  [10411] = 10235,
  [10412] = 10232,
  [10413] = 10237,
  [10414] = 10238,
  [10415] = 10239,
  [10416] = 10240,
  [10417] = 10241,
  [10418] = 10241,
  [10419] = 10243,
  [10420] = 10274,
  [10421] = 10237,
  [10422] = 10238,
  [10423] = 10239,
  [10424] = 10280,
  [10425] = 10281,
  [10426] = 10235,
  [10427] = 10232,
  [10428] = 10237,
  [10429] = 10238,
  [10430] = 10239,
  [10431] = 10240,
  [10432] = 10241,
  [10433] = 10233,
  [10434] = 10243,
  [10435] = 10234,
  [10436] = 10436,
  [10437] = 10240,
  [10438] = 10438,
  [10439] = 10242,
  [10440] = 10244,
  [10441] = 10235,
  [10442] = 10232,
  [10443] = 10237,
  [10444] = 10238,
  [10445] = 10239,
  [10446] = 10273,
  [10447] = 10240,
  [10448] = 10241,
  [10449] = 10249,
  [10450] = 10243,
  [10451] = 10257,
  [10452] = 10245,
  [10453] = 10241,
  [10454] = 10278,
  [10455] = 10243,
  [10456] = 10283,
  [10457] = 10278,
  [10458] = 10235,
  [10459] = 10232,
  [10460] = 10237,
  [10461] = 10238,
  [10462] = 10239,
  [10463] = 10240,
  [10464] = 10241,
  [10465] = 10243,
  [10466] = 10243,
  [10467] = 10238,
  [10468] = 10280,
  [10469] = 10243,
  [10470] = 10243,
  [10471] = 10262,
  [10472] = 10280,
  [10473] = 10235,
  [10474] = 10232,
  [10475] = 10237,
  [10476] = 10238,
  [10477] = 10239,
  [10478] = 10240,
  [10479] = 10241,
  [10480] = 10281,
  [10481] = 10243,
  [10482] = 10274,
  [10483] = 10281,
  [10484] = 10233,
  [10485] = 10234,
  [10486] = 10235,
  [10487] = 10280,
  [10488] = 10235,
  [10489] = 10232,
  [10490] = 10237,
  [10491] = 10278,
  [10492] = 10238,
  [10493] = 10242,
  [10494] = 10239,
  [10495] = 10240,
  [10496] = 10241,
  [10497] = 10232,
  [10498] = 10243,
  [10499] = 10273,
  [10500] = 10237,
  [10501] = 10238,
  [10502] = 10239,
  [10503] = 10240,
  [10504] = 10281,
  [10505] = 10233,
  [10506] = 10235,
  [10507] = 10232,
  [10508] = 10237,
  [10509] = 10283,
  [10510] = 10238,
  [10511] = 10239,
  [10512] = 10240,
  [10513] = 10513,
  [10514] = 10241,
  [10515] = 10241,
  [10516] = 10243,
  [10517] = 10278,
  [10518] = 10234,
  [10519] = 10242,
  [10520] = 10244,
  [10521] = 10249,
  [10522] = 10257,
  [10523] = 10235,
  [10524] = 10232,
  [10525] = 10237,
  [10526] = 10238,
  [10527] = 10239,
  [10528] = 10240,
  [10529] = 10241,
  [10530] = 10233,
  [10531] = 10243,
  [10532] = 10234,
  [10533] = 10245,
  [10534] = 10235,
  [10535] = 10232,
  [10536] = 10237,
  [10537] = 10537,
  [10538] = 10235,
  [10539] = 10232,
  [10540] = 10237,
  [10541] = 10238,
  [10542] = 10239,
  [10543] = 10240,
  [10544] = 10241,
  [10545] = 10238,
  [10546] = 10546,
  [10547] = 10243,
  [10548] = 10245,
  [10549] = 10239,
  [10550] = 10243,
  [10551] = 10262,
  [10552] = 10273,
  [10553] = 10240,
  [10554] = 10241,
  [10555] = 10244,
  [10556] = 10235,
  [10557] = 10232,
  [10558] = 10237,
  [10559] = 10238,
  [10560] = 10239,
  [10561] = 10240,
  [10562] = 10283,
  [10563] = 10241,
  [10564] = 10243,
  [10565] = 10243,
  [10566] = 10274,
  [10567] = 10249,
  [10568] = 10257,
  [10569] = 10569,
  [10570] = 10570,
  [10571] = 10280,
  [10572] = 10235,
  [10573] = 10232,
  [10574] = 10237,
  [10575] = 10238,
  [10576] = 10239,
  [10577] = 10240,
  [10578] = 10241,
  [10579] = 10281,
  [10580] = 10580,
  [10581] = 10243,
  [10582] = 10233,
  [10583] = 10234,
  [10584] = 10242,
  [10585] = 10244,
  [10586] = 10249,
  [10587] = 10257,
  [10588] = 10235,
  [10589] = 10232,
  [10590] = 10590,
  [10591] = 10237,
  [10592] = 10238,
  [10593] = 10262,
  [10594] = 10239,
  [10595] = 10240,
  [10596] = 10241,
  [10597] = 10280,
  [10598] = 10243,
  [10599] = 10235,
  [10600] = 10232,
  [10601] = 10237,
  [10602] = 10262,
  [10603] = 10242,
  [10604] = 10244,
  [10605] = 10273,
  [10606] = 10235,
  [10607] = 10232,
  [10608] = 10237,
  [10609] = 10238,
  [10610] = 10239,
  [10611] = 10240,
  [10612] = 10241,
  [10613] = 10613,
  [10614] = 10243,
  [10615] = 10283,
  [10616] = 10238,
  [10617] = 10239,
  [10618] = 10262,
  [10619] = 10235,
  [10620] = 10243,
  [10621] = 10235,
  [10622] = 10235,
  [10623] = 10232,
  [10624] = 10237,
  [10625] = 10238,
  [10626] = 10239,
  [10627] = 10240,
  [10628] = 10241,
  [10629] = 10262,
  [10630] = 10243,
  [10631] = 10232,
  [10632] = 10237,
  [10633] = 10238,
  [10634] = 10235,
  [10635] = 10239,
  [10636] = 10232,
  [10637] = 10235,
  [10638] = 10232,
  [10639] = 10237,
  [10640] = 10238,
  [10641] = 10239,
  [10642] = 10240,
  [10643] = 10241,
  [10644] = 10237,
  [10645] = 10240,
  [10646] = 10243,
  [10647] = 10238,
  [10648] = 10239,
  [10649] = 10240,
  [10650] = 10240,
  [10651] = 10651,
  [10652] = 10241,
  [10653] = 10235,
  [10654] = 10232,
  [10655] = 10237,
  [10656] = 10238,
  [10657] = 10239,
  [10658] = 10273,
  [10659] = 10240,
  [10660] = 10241,
  [10661] = 10278,
  [10662] = 10243,
  [10663] = 10249,
  [10664] = 10241,
  [10665] = 10278,
  [10666] = 10232,
  [10667] = 10241,
  [10668] = 10283,
  [10669] = 10274,
  [10670] = 10235,
  [10671] = 10232,
  [10672] = 10237,
  [10673] = 10238,
  [10674] = 10239,
  [10675] = 10240,
  [10676] = 10241,
  [10677] = 10281,
  [10678] = 10243,
  [10679] = 10245,
  [10680] = 10243,
  [10681] = 10235,
  [10682] = 10235,
  [10683] = 10683,
  [10684] = 10235,
  [10685] = 10233,
  [10686] = 10235,
  [10687] = 10232,
  [10688] = 10237,
  [10689] = 10238,
  [10690] = 10239,
  [10691] = 10240,
  [10692] = 10241,
  [10693] = 10237,
  [10694] = 10235,
  [10695] = 10243,
  [10696] = 10232,
  [10697] = 10245,
  [10698] = 10237,
  [10699] = 10238,
  [10700] = 10243,
  [10701] = 10239,
  [10702] = 10240,
  [10703] = 10262,
  [10704] = 10704,
  [10705] = 10274,
  [10706] = 10274,
  [10707] = 10235,
  [10708] = 10232,
  [10709] = 10237,
  [10710] = 10238,
  [10711] = 10273,
  [10712] = 10239,
  [10713] = 10240,
  [10714] = 10241,
  [10715] = 10234,
  [10716] = 10243,
  [10717] = 10245,
  [10718] = 10718,
  [10719] = 10280,
  [10720] = 10281,
  [10721] = 10283,
  [10722] = 10233,
  [10723] = 10234,
  [10724] = 10235,
  [10725] = 10232,
  [10726] = 10237,
  [10727] = 10238,
  [10728] = 10241,
  [10729] = 10245,
  [10730] = 10239,
  [10731] = 10278,
  [10732] = 10240,
  [10733] = 10241,
  [10734] = 10242,
  [10735] = 10243,
  [10736] = 10244,
  [10737] = 10249,
  [10738] = 10257,
  [10739] = 10235,
  [10740] = 10232,
  [10741] = 10237,
  [10742] = 10235,
  [10743] = 10232,
  [10744] = 10237,
  [10745] = 10238,
  [10746] = 10239,
  [10747] = 10245,
  [10748] = 10240,
  [10749] = 10238,
  [10750] = 10241,
  [10751] = 10239,
  [10752] = 10240,
  [10753] = 10280,
  [10754] = 10243,
  [10755] = 10281,
  [10756] = 10235,
  [10757] = 10233,
  [10758] = 10758,
  [10759] = 10243,
  [10760] = 10232,
  [10761] = 10262,
  [10762] = 10234,
  [10763] = 10242,
  [10764] = 10273,
  [10765] = 10235,
  [10766] = 10232,
  [10767] = 10237,
  [10768] = 10238,
  [10769] = 10239,
  [10770] = 10237,
  [10771] = 10240,
  [10772] = 10241,
  [10773] = 10274,
  [10774] = 10283,
  [10775] = 10243,
  [10776] = 10241,
  [10777] = 10278,
  [10778] = 10243,
  [10779] = 10245,
  [10780] = 10280,
  [10781] = 10281,
  [10782] = 10233,
  [10783] = 10262,
  [10784] = 10235,
  [10785] = 10273,
  [10786] = 10238,
  [10787] = 10239,
  [10788] = 10232,
  [10789] = 10237,
  [10790] = 10274,
  [10791] = 10240,
  [10792] = 10241,
  [10793] = 10235,
  [10794] = 10238,
  [10795] = 10239,
  [10796] = 10240,
  [10797] = 10241,
  [10798] = 10235,
  [10799] = 10243,
  [10800] = 10243,
  [10801] = 10569,
  [10802] = 10234,
  [10803] = 10803,
  [10804] = 10804,
  [10805] = 10232,
  [10806] = 10280,
  [10807] = 10281,
  [10808] = 10233,
  [10809] = 10234,
  [10810] = 10262,
  [10811] = 10237,
  [10812] = 10238,
  [10813] = 10242,
  [10814] = 10235,
  [10815] = 10232,
  [10816] = 10273,
  [10817] = 10244,
  [10818] = 10237,
  [10819] = 10249,
  [10820] = 10238,
  [10821] = 10257,
  [10822] = 10822,
  [10823] = 10239,
  [10824] = 10240,
  [10825] = 10241,
  [10826] = 10283,
  [10827] = 10239,
  [10828] = 10243,
  [10829] = 10240,
  [10830] = 10242,
  [10831] = 10244,
  [10832] = 10241,
  [10833] = 10278,
  [10834] = 10274,
  [10835] = 10249,
  [10836] = 10235,
  [10837] = 10232,
  [10838] = 10237,
  [10839] = 10238,
  [10840] = 10683,
  [10841] = 10239,
  [10842] = 10240,
  [10843] = 10241,
  [10844] = 10257,
  [10845] = 10243,
  [10846] = 10244,
  [10847] = 10235,
  [10848] = 10249,
  [10849] = 10243,
  [10850] = 10232,
  [10851] = 10237,
  [10852] = 10238,
  [10853] = 10239,
  [10854] = 10240,
  [10855] = 10232,
  [10856] = 10257,
  [10857] = 10238,
  [10858] = 10235,
  [10859] = 10232,
  [10860] = 10237,
  [10861] = 10238,
  [10862] = 10239,
  [10863] = 10240,
  [10864] = 10273,
  [10865] = 10241,
  [10866] = 10241,
  [10867] = 10278,
  [10868] = 10245,
  [10869] = 10243,
  [10870] = 10280,
  [10871] = 10281,
  [10872] = 10280,
  [10873] = 10281,
  [10874] = 10283,
  [10875] = 10875,
  [10876] = 10239,
  [10877] = 10240,
  [10878] = 10257,
  [10879] = 10235,
  [10880] = 10232,
  [10881] = 10237,
  [10882] = 10245,
  [10883] = 10238,
  [10884] = 10233,
  [10885] = 10234,
  [10886] = 10283,
  [10887] = 10239,
  [10888] = 10240,
  [10889] = 10241,
  [10890] = 10239,
  [10891] = 10242,
  [10892] = 10758,
  [10893] = 10243,
  [10894] = 10243,
  [10895] = 10262,
  [10896] = 10241,
  [10897] = 10278,
  [10898] = 10274,
  [10899] = 10244,
  [10900] = 10249,
  [10901] = 10243,
  [10902] = 10262,
  [10903] = 10235,
  [10904] = 10232,
  [10905] = 10237,
  [10906] = 10274,
  [10907] = 10374,
  [10908] = 10398,
  [10909] = 10909,
  [10910] = 10238,
  [10911] = 10239,
  [10912] = 10273,
  [10913] = 10240,
  [10914] = 10241,
  [10915] = 10513,
  [10916] = 10243,
  [10917] = 10280,
  [10918] = 10281,
  [10919] = 10233,
  [10920] = 10234,
  [10921] = 10257,
  [10922] = 10283,
  [10923] = 10280,
  [10924] = 10281,
  [10925] = 10233,
  [10926] = 10242,
  [10927] = 10244,
  [10928] = 10249,
  [10929] = 10257,
  [10930] = 10234,
  [10931] = 10242,
  [10932] = 10235,
  [10933] = 10232,
  [10934] = 10237,
  [10935] = 10238,
  [10936] = 10239,
  [10937] = 10240,
  [10938] = 10241,
  [10939] = 10244,
  [10940] = 10243,
  [10941] = 10249,
  [10942] = 10257,
  [10943] = 10240,
  [10944] = 10274,
  [10945] = 10945,
  [10946] = 10946,
  [10947] = 10235,
  [10948] = 10232,
  [10949] = 10237,
  [10950] = 10238,
  [10951] = 10235,
  [10952] = 10239,
  [10953] = 10232,
  [10954] = 10237,
  [10955] = 10238,
  [10956] = 10239,
  [10957] = 10240,
  [10958] = 10240,
  [10959] = 10241,
  [10960] = 10273,
  [10961] = 10242,
  [10962] = 10243,
  [10963] = 10235,
  [10964] = 10235,
  [10965] = 10241,
  [10966] = 10278,
  [10967] = 10244,
  [10968] = 10232,
  [10969] = 10237,
  [10970] = 10283,
  [10971] = 10238,
  [10972] = 10235,
  [10973] = 10232,
  [10974] = 10237,
  [10975] = 10238,
  [10976] = 10239,
  [10977] = 10240,
  [10978] = 10245,
  [10979] = 10249,
  [10980] = 10980,
  [10981] = 10981,
  [10982] = 10241,
  [10983] = 10239,
  [10984] = 10243,
  [10985] = 10240,
  [10986] = 10245,
  [10987] = 10257,
  [10988] = 10241,
  [10989] = 10243,
  [10990] = 10262,
  [10991] = 10278,
  [10992] = 10235,
  [10993] = 10235,
  [10994] = 10232,
  [10995] = 10274,
  [10996] = 10235,
  [10997] = 10232,
  [10998] = 10237,
  [10999] = 10237,
  [11000] = 10238,
  [11001] = 10280,
  [11002] = 10281,
  [11003] = 10233,
  [11004] = 10234,
  [11005] = 10239,
  [11006] = 10240,
  [11007] = 10241,
  [11008] = 10273,
  [11009] = 10238,
  [11010] = 10243,
  [11011] = 10242,
  [11012] = 10232,
  [11013] = 10244,
  [11014] = 10249,
  [11015] = 10257,
  [11016] = 10239,
  [11017] = 10237,
  [11018] = 10283,
  [11019] = 10238,
  [11020] = 10239,
  [11021] = 11021,
  [11022] = 10240,
  [11023] = 10235,
  [11024] = 10232,
  [11025] = 10237,
  [11026] = 10238,
  [11027] = 10239,
  [11028] = 10240,
  [11029] = 10241,
  [11030] = 10235,
  [11031] = 10243,
  [11032] = 10240,
  [11033] = 10945,
  [11034] = 11034,
  [11035] = 10241,
  [11036] = 10235,
  [11037] = 10278,
  [11038] = 10232,
  [11039] = 10237,
  [11040] = 10243,
  [11041] = 10238,
  [11042] = 10239,
  [11043] = 10240,
  [11044] = 10232,
  [11045] = 10235,
  [11046] = 10241,
  [11047] = 10278,
  [11048] = 10232,
  [11049] = 10237,
  [11050] = 10238,
  [11051] = 10239,
  [11052] = 10273,
  [11053] = 10240,
  [11054] = 10241,
  [11055] = 10237,
  [11056] = 10243,
  [11057] = 10238,
  [11058] = 10239,
  [11059] = 10245,
  [11060] = 10283,
  [11061] = 10241,
  [11062] = 10245,
  [11063] = 10245,
  [11064] = 10278,
  [11065] = 10245,
  [11066] = 10233,
  [11067] = 10234,
  [11068] = 10235,
  [11069] = 10232,
  [11070] = 10237,
  [11071] = 10238,
  [11072] = 10239,
  [11073] = 10240,
  [11074] = 10243,
  [11075] = 10262,
  [11076] = 10241,
  [11077] = 10235,
  [11078] = 10243,
  [11079] = 10274,
  [11080] = 10262,
  [11081] = 10232,
  [11082] = 10243,
  [11083] = 10262,
  [11084] = 11084,
  [11085] = 10274,
  [11086] = 10237,
  [11087] = 10273,
  [11088] = 10240,
  [11089] = 10232,
  [11090] = 10243,
  [11091] = 10280,
  [11092] = 10281,
  [11093] = 10233,
  [11094] = 10235,
  [11095] = 10283,
  [11096] = 10234,
  [11097] = 10232,
  [11098] = 10237,
  [11099] = 10238,
  [11100] = 10242,
  [11101] = 10244,
  [11102] = 10249,
  [11103] = 10257,
  [11104] = 10239,
  [11105] = 10240,
  [11106] = 10241,
  [11107] = 10262,
  [11108] = 10243,
  [11109] = 10237,
  [11110] = 10241,
  [11111] = 10274,
  [11112] = 10238,
  [11113] = 10242,
  [11114] = 10239,
  [11115] = 10235,
  [11116] = 10232,
  [11117] = 10237,
  [11118] = 10238,
  [11119] = 10239,
  [11120] = 10240,
  [11121] = 10241,
  [11122] = 10273,
  [11123] = 10280,
  [11124] = 10243,
  [11125] = 10280,
  [11126] = 10281,
  [11127] = 10235,
  [11128] = 10233,
  [11129] = 10234,
  [11130] = 10283,
  [11131] = 10232,
  [11132] = 10237,
  [11133] = 10242,
  [11134] = 10238,
  [11135] = 10239,
  [11136] = 10240,
  [11137] = 10244,
  [11138] = 10235,
  [11139] = 10241,
  [11140] = 10278,
  [11141] = 10232,
  [11142] = 10237,
  [11143] = 10238,
  [11144] = 10239,
  [11145] = 10240,
  [11146] = 10241,
  [11147] = 10249,
  [11148] = 10245,
  [11149] = 10281,
  [11150] = 10233,
  [11151] = 10234,
  [11152] = 10243,
  [11153] = 10257,
  [11154] = 10243,
  [11155] = 10262,
  [11156] = 10278,
  [11157] = 10273,
  [11158] = 10238,
  [11159] = 10274,
  [11160] = 10235,
  [11161] = 10232,
  [11162] = 10237,
  [11163] = 10283,
  [11164] = 10238,
  [11165] = 10243,
  [11166] = 10262,
  [11167] = 10239,
  [11168] = 10240,
  [11169] = 10241,
  [11170] = 10274,
  [11171] = 10242,
  [11172] = 10244,
  [11173] = 10249,
  [11174] = 10257,
  [11175] = 10243,
  [11176] = 10280,
  [11177] = 10281,
  [11178] = 10233,
  [11179] = 10234,
  [11180] = 10240,
  [11181] = 10274,
  [11182] = 10242,
  [11183] = 10244,
  [11184] = 10249,
  [11185] = 10280,
  [11186] = 10281,
  [11187] = 10273,
  [11188] = 10233,
  [11189] = 10283,
  [11190] = 10257,
  [11191] = 10234,
  [11192] = 10235,
  [11193] = 10232,
  [11194] = 10237,
  [11195] = 10238,
  [11196] = 10239,
  [11197] = 10240,
  [11198] = 10241,
  [11199] = 10235,
  [11200] = 10243,
  [11201] = 10242,
  [11202] = 10232,
  [11203] = 10237,
  [11204] = 10238,
  [11205] = 10239,
  [11206] = 10240,
  [11207] = 10235,
  [11208] = 10232,
  [11209] = 10273,
  [11210] = 10237,
  [11211] = 10283,
  [11212] = 10238,
  [11213] = 10235,
  [11214] = 10239,
  [11215] = 10232,
  [11216] = 10237,
  [11217] = 10238,
  [11218] = 10239,
  [11219] = 10240,
  [11220] = 10241,
  [11221] = 10240,
  [11222] = 10241,
  [11223] = 10278,
  [11224] = 10241,
  [11225] = 10244,
  [11226] = 10243,
  [11227] = 10249,
  [11228] = 10241,
  [11229] = 10278,
  [11230] = 10257,
  [11231] = 10273,
  [11232] = 10239,
  [11233] = 10283,
  [11234] = 10240,
  [11235] = 10946,
  [11236] = 10245,
  [11237] = 11237,
  [11238] = 11238,
  [11239] = 10242,
  [11240] = 10235,
  [11241] = 10232,
  [11242] = 10237,
  [11243] = 10238,
  [11244] = 10239,
  [11245] = 10240,
  [11246] = 10241,
  [11247] = 10243,
  [11248] = 10262,
  [11249] = 10245,
  [11250] = 10243,
  [11251] = 10235,
  [11252] = 10232,
  [11253] = 10273,
  [11254] = 10237,
  [11255] = 10283,
  [11256] = 10245,
  [11257] = 10274,
  [11258] = 10238,
  [11259] = 10239,
  [11260] = 10240,
  [11261] = 10243,
  [11262] = 10262,
  [11263] = 10280,
  [11264] = 10281,
  [11265] = 10233,
  [11266] = 10234,
  [11267] = 10235,
  [11268] = 10232,
  [11269] = 10242,
  [11270] = 10244,
  [11271] = 10249,
  [11272] = 10257,
  [11273] = 10237,
  [11274] = 10238,
  [11275] = 10273,
  [11276] = 10239,
  [11277] = 10283,
  [11278] = 10240,
  [11279] = 10241,
  [11280] = 10243,
  [11281] = 10243,
  [11282] = 10243,
  [11283] = 10262,
  [11284] = 10245,
  [11285] = 10243,
  [11286] = 10274,
  [11287] = 10241,
  [11288] = 10235,
  [11289] = 10232,
  [11290] = 10237,
  [11291] = 10238,
  [11292] = 10239,
  [11293] = 10240,
  [11294] = 10241,
  [11295] = 10278,
  [11296] = 10243,
  [11297] = 10273,
  [11298] = 10245,
  [11299] = 10283,
  [11300] = 10235,
  [11301] = 10280,
  [11302] = 10232,
  [11303] = 10237,
  [11304] = 10238,
  [11305] = 10239,
  [11306] = 10240,
  [11307] = 10244,
  [11308] = 10281,
  [11309] = 10241,
  [11310] = 10278,
  [11311] = 10233,
  [11312] = 10234,
  [11313] = 10242,
  [11314] = 10235,
  [11315] = 10232,
  [11316] = 10237,
  [11317] = 10238,
  [11318] = 10239,
  [11319] = 10273,
  [11320] = 10240,
  [11321] = 10283,
  [11322] = 10241,
  [11323] = 10245,
  [11324] = 10249,
  [11325] = 10257,
  [11326] = 10280,
  [11327] = 10244,
  [11328] = 10243,
  [11329] = 10249,
  [11330] = 10257,
  [11331] = 10281,
  [11332] = 10244,
  [11333] = 10249,
  [11334] = 10243,
  [11335] = 10262,
  [11336] = 10243,
  [11337] = 10235,
  [11338] = 10232,
  [11339] = 10237,
  [11340] = 10238,
  [11341] = 10273,
  [11342] = 10239,
  [11343] = 10283,
  [11344] = 10274,
  [11345] = 10262,
  [11346] = 10274,
  [11347] = 10245,
  [11348] = 10235,
  [11349] = 10240,
  [11350] = 10280,
  [11351] = 10281,
  [11352] = 10233,
  [11353] = 10234,
  [11354] = 10235,
  [11355] = 10241,
  [11356] = 10242,
  [11357] = 10244,
  [11358] = 10249,
  [11359] = 10257,
  [11360] = 11360,
  [11361] = 10243,
  [11362] = 10274,
  [11363] = 10273,
  [11364] = 10257,
  [11365] = 10283,
  [11366] = 10274,
  [11367] = 11367,
  [11368] = 10235,
  [11369] = 10280,
  [11370] = 10235,
  [11371] = 10232,
  [11372] = 10237,
  [11373] = 10238,
  [11374] = 10239,
  [11375] = 10240,
  [11376] = 10241,
  [11377] = 10281,
  [11378] = 10243,
  [11379] = 10243,
  [11380] = 11380,
  [11381] = 10235,
  [11382] = 10235,
  [11383] = 10822,
  [11384] = 10262,
  [11385] = 10273,
  [11386] = 10232,
  [11387] = 10283,
  [11388] = 10235,
  [11389] = 10232,
  [11390] = 10237,
  [11391] = 10238,
  [11392] = 10239,
  [11393] = 10240,
  [11394] = 10232,
  [11395] = 10237,
  [11396] = 10241,
  [11397] = 10278,
  [11398] = 11398,
  [11399] = 10233,
  [11400] = 10238,
  [11401] = 10239,
  [11402] = 10240,
  [11403] = 10241,
  [11404] = 10235,
  [11405] = 10243,
  [11406] = 10237,
  [11407] = 10273,
  [11408] = 10232,
  [11409] = 10283,
  [11410] = 10245,
  [11411] = 10234,
  [11412] = 10242,
  [11413] = 10244,
  [11414] = 10232,
  [11415] = 10237,
  [11416] = 10238,
  [11417] = 10239,
  [11418] = 11418,
  [11419] = 10240,
  [11420] = 10235,
  [11421] = 10243,
  [11422] = 10262,
  [11423] = 10232,
  [11424] = 10237,
  [11425] = 10238,
  [11426] = 10274,
  [11427] = 10239,
  [11428] = 10240,
  [11429] = 10273,
  [11430] = 10241,
  [11431] = 10283,
  [11432] = 10249,
  [11433] = 10257,
  [11434] = 10233,
  [11435] = 10238,
  [11436] = 10243,
  [11437] = 10280,
  [11438] = 10281,
  [11439] = 10233,
  [11440] = 10234,
  [11441] = 10239,
  [11442] = 10241,
  [11443] = 10242,
  [11444] = 10244,
  [11445] = 10249,
  [11446] = 10257,
  [11447] = 10278,
  [11448] = 11448,
  [11449] = 10245,
  [11450] = 10283,
  [11451] = 10273,
  [11452] = 10235,
  [11453] = 10283,
  [11454] = 10232,
  [11455] = 10237,
  [11456] = 10238,
  [11457] = 10239,
  [11458] = 10240,
  [11459] = 10237,
  [11460] = 10241,
  [11461] = 10234,
  [11462] = 10243,
  [11463] = 10242,
  [11464] = 10240,
  [11465] = 10280,
  [11466] = 10243,
  [11467] = 10262,
  [11468] = 10280,
  [11469] = 10235,
  [11470] = 10235,
  [11471] = 10257,
  [11472] = 10237,
  [11473] = 10273,
  [11474] = 10238,
  [11475] = 10283,
  [11476] = 10232,
  [11477] = 10237,
  [11478] = 10238,
  [11479] = 10239,
  [11480] = 10240,
  [11481] = 10245,
  [11482] = 10239,
  [11483] = 10241,
  [11484] = 10278,
  [11485] = 10240,
  [11486] = 10241,
  [11487] = 10244,
  [11488] = 10249,
  [11489] = 10238,
  [11490] = 10257,
  [11491] = 10274,
  [11492] = 10245,
  [11493] = 10243,
  [11494] = 10235,
  [11495] = 10273,
  [11496] = 10232,
  [11497] = 10283,
  [11498] = 10237,
  [11499] = 10238,
  [11500] = 10239,
  [11501] = 10240,
  [11502] = 10280,
  [11503] = 10232,
  [11504] = 10281,
  [11505] = 10233,
  [11506] = 10235,
  [11507] = 10232,
  [11508] = 10243,
  [11509] = 10262,
  [11510] = 10237,
  [11511] = 10238,
  [11512] = 10239,
  [11513] = 10274,
  [11514] = 10237,
  [11515] = 10240,
  [11516] = 10241,
  [11517] = 10273,
  [11518] = 10234,
  [11519] = 10283,
  [11520] = 10238,
  [11521] = 10241,
  [11522] = 10278,
  [11523] = 10243,
  [11524] = 10280,
  [11525] = 10281,
  [11526] = 10233,
  [11527] = 10234,
  [11528] = 10242,
  [11529] = 10244,
  [11530] = 10242,
  [11531] = 10244,
  [11532] = 10249,
  [11533] = 10257,
  [11534] = 10249,
  [11535] = 10257,
  [11536] = 10241,
  [11537] = 11537,
  [11538] = 10235,
  [11539] = 10273,
  [11540] = 10232,
  [11541] = 10283,
  [11542] = 10237,
  [11543] = 10238,
  [11544] = 10239,
  [11545] = 10240,
  [11546] = 10241,
  [11547] = 10278,
  [11548] = 10243,
  [11549] = 10274,
  [11550] = 11550,
  [11551] = 10245,
  [11552] = 10239,
  [11553] = 11553,
  [11554] = 10240,
  [11555] = 10281,
  [11556] = 10235,
  [11557] = 10235,
  [11558] = 10232,
  [11559] = 10232,
  [11560] = 10237,
  [11561] = 10273,
  [11562] = 10238,
  [11563] = 10283,
  [11564] = 10237,
  [11565] = 10238,
  [11566] = 10239,
  [11567] = 10240,
  [11568] = 10239,
  [11569] = 10240,
  [11570] = 10241,
  [11571] = 10278,
  [11572] = 10241,
  [11573] = 10280,
  [11574] = 10243,
  [11575] = 10281,
  [11576] = 10245,
  [11577] = 10241,
  [11578] = 10235,
  [11579] = 10245,
  [11580] = 11580,
  [11581] = 10232,
  [11582] = 10232,
  [11583] = 10273,
  [11584] = 10235,
  [11585] = 10283,
  [11586] = 10243,
  [11587] = 10243,
  [11588] = 10232,
  [11589] = 10237,
  [11590] = 10238,
  [11591] = 10239,
  [11592] = 10240,
  [11593] = 10241,
  [11594] = 10237,
  [11595] = 10243,
  [11596] = 10262,
  [11597] = 10243,
  [11598] = 10238,
  [11599] = 10239,
  [11600] = 10274,
  [11601] = 10262,
  [11602] = 10274,
  [11603] = 10240,
  [11604] = 10273,
  [11605] = 10273,
  [11606] = 10283,
  [11607] = 10237,
  [11608] = 10273,
  [11609] = 10238,
  [11610] = 10280,
  [11611] = 10281,
  [11612] = 10233,
  [11613] = 10234,
  [11614] = 10241,
  [11615] = 10235,
  [11616] = 10242,
  [11617] = 10244,
  [11618] = 10249,
  [11619] = 10257,
  [11620] = 11620,
  [11621] = 10232,
  [11622] = 10237,
  [11623] = 10238,
  [11624] = 10283,
  [11625] = 10239,
  [11626] = 10240,
  [11627] = 10241,
  [11628] = 10278,
  [11629] = 10243,
  [11630] = 10245,
  [11631] = 10239,
  [11632] = 10280,
  [11633] = 10281,
  [11634] = 10233,
  [11635] = 10234,
  [11636] = 10235,
  [11637] = 10232,
  [11638] = 10237,
  [11639] = 10235,
  [11640] = 10238,
  [11641] = 10283,
  [11642] = 10239,
  [11643] = 10232,
  [11644] = 10237,
  [11645] = 10238,
  [11646] = 10239,
  [11647] = 10240,
  [11648] = 10240,
  [11649] = 10241,
  [11650] = 10241,
  [11651] = 10278,
  [11652] = 10243,
  [11653] = 10243,
  [11654] = 10262,
  [11655] = 10274,
  [11656] = 10233,
  [11657] = 10234,
  [11658] = 10283,
  [11659] = 10242,
  [11660] = 10280,
  [11661] = 10245,
  [11662] = 10244,
  [11663] = 10249,
  [11664] = 10257,
  [11665] = 10235,
  [11666] = 10232,
  [11667] = 10237,
  [11668] = 10238,
  [11669] = 10758,
  [11670] = 10239,
  [11671] = 10240,
  [11672] = 10243,
  [11673] = 10262,
  [11674] = 10241,
  [11675] = 10283,
  [11676] = 10281,
  [11677] = 10243,
  [11678] = 10233,
  [11679] = 10274,
  [11680] = 10240,
  [11681] = 10245,
  [11682] = 11682,
  [11683] = 10234,
  [11684] = 10242,
  [11685] = 10280,
  [11686] = 10281,
  [11687] = 10233,
  [11688] = 10234,
  [11689] = 10244,
  [11690] = 10239,
  [11691] = 10249,
  [11692] = 10283,
  [11693] = 10242,
  [11694] = 10244,
  [11695] = 10249,
  [11696] = 10257,
  [11697] = 10257,
  [11698] = 10235,
  [11699] = 10232,
  [11700] = 10237,
  [11701] = 10238,
  [11702] = 10239,
  [11703] = 10240,
  [11704] = 10241,
  [11705] = 10242,
  [11706] = 10243,
  [11707] = 10244,
  [11708] = 10243,
  [11709] = 10283,
  [11710] = 10262,
  [11711] = 10249,
  [11712] = 10257,
  [11713] = 10274,
  [11714] = 10235,
  [11715] = 10232,
  [11716] = 10235,
  [11717] = 10237,
  [11718] = 10232,
  [11719] = 10237,
  [11720] = 10238,
  [11721] = 10239,
  [11722] = 10240,
  [11723] = 10238,
  [11724] = 10239,
  [11725] = 10240,
  [11726] = 10283,
  [11727] = 10241,
  [11728] = 10278,
  [11729] = 10241,
  [11730] = 10283,
  [11731] = 10243,
  [11732] = 10237,
  [11733] = 10238,
  [11734] = 10280,
  [11735] = 10281,
  [11736] = 10245,
  [11737] = 11737,
  [11738] = 10235,
  [11739] = 10232,
  [11740] = 10235,
  [11741] = 10233,
  [11742] = 10235,
  [11743] = 10283,
  [11744] = 10232,
  [11745] = 10237,
  [11746] = 10238,
  [11747] = 10240,
  [11748] = 10239,
  [11749] = 10243,
  [11750] = 10262,
  [11751] = 10240,
  [11752] = 10241,
  [11753] = 10232,
  [11754] = 10274,
  [11755] = 10237,
  [11756] = 10238,
  [11757] = 10239,
  [11758] = 10243,
  [11759] = 10237,
  [11760] = 10283,
  [11761] = 10238,
  [11762] = 10280,
  [11763] = 10281,
  [11764] = 10233,
  [11765] = 10234,
  [11766] = 10239,
  [11767] = 10240,
  [11768] = 10242,
  [11769] = 10244,
  [11770] = 10249,
  [11771] = 10257,
  [11772] = 10234,
  [11773] = 10242,
  [11774] = 10235,
  [11775] = 10232,
  [11776] = 10237,
  [11777] = 10283,
  [11778] = 10238,
  [11779] = 10239,
  [11780] = 10240,
  [11781] = 10241,
  [11782] = 10241,
  [11783] = 10243,
  [11784] = 10278,
  [11785] = 10245,
  [11786] = 10240,
  [11787] = 4036,
  [11788] = 10235,
  [11789] = 10241,
  [11790] = 10235,
  [11791] = 10235,
  [11792] = 10232,
  [11793] = 10237,
  [11794] = 10283,
  [11795] = 10232,
  [11796] = 10237,
  [11797] = 10238,
  [11798] = 10239,
  [11799] = 10240,
  [11800] = 10238,
  [11801] = 10239,
  [11802] = 10241,
  [11803] = 10278,
  [11804] = 10240,
  [11805] = 10241,
  [11806] = 10232,
  [11807] = 10243,
  [11808] = 10241,
  [11809] = 4010,
  [11810] = 10244,
  [11811] = 10283,
  [11812] = 10249,
  [11813] = 10245,
  [11814] = 10278,
  [11815] = 10237,
  [11816] = 10257,
  [11817] = 10243,
  [11818] = 10262,
  [11819] = 10235,
  [11820] = 10232,
  [11821] = 4033,
  [11822] = 10243,
  [11823] = 10237,
  [11824] = 10283,
  [11825] = 10238,
  [11826] = 10243,
  [11827] = 10239,
  [11828] = 10283,
  [11829] = 10262,
  [11830] = 10240,
  [11831] = 10241,
  [11832] = 10283,
  [11833] = 11833,
  [11834] = 10274,
  [11835] = 10243,
  [11836] = 10283,
  [11837] = 10274,
  [11838] = 10262,
  [11839] = 10280,
  [11840] = 10283,
  [11841] = 10281,
  [11842] = 10233,
  [11843] = 10234,
  [11844] = 10283,
  [11845] = 10242,
  [11846] = 10280,
  [11847] = 10281,
  [11848] = 10283,
  [11849] = 10280,
  [11850] = 10281,
  [11851] = 10233,
  [11852] = 10283,
  [11853] = 10233,
  [11854] = 10234,
  [11855] = 10235,
  [11856] = 10283,
  [11857] = 10232,
  [11858] = 10244,
  [11859] = 10237,
  [11860] = 10283,
  [11861] = 10242,
  [11862] = 10244,
  [11863] = 10238,
  [11864] = 10283,
  [11865] = 10249,
  [11866] = 10257,
  [11867] = 10239,
  [11868] = 10283,
  [11869] = 10249,
  [11870] = 10240,
  [11871] = 10241,
  [11872] = 10283,
  [11873] = 4013,
  [11874] = 10234,
  [11875] = 10243,
  [11876] = 10283,
  [11877] = 10242,
  [11878] = 10244,
  [11879] = 10257,
  [11880] = 10283,
  [11881] = 11881,
  [11882] = 10249,
  [11883] = 10257,
  [11884] = 10283,
  [11885] = 10235,
  [11886] = 10232,
  [11887] = 10237,
  [11888] = 10283,
  [11889] = 10238,
  [11890] = 10239,
  [11891] = 10240,
  [11892] = 10283,
  [11893] = 10241,
  [11894] = 4028,
  [11895] = 10257,
  [11896] = 10283,
  [11897] = 10243,
  [11898] = 10233,
  [11899] = 10234,
  [11900] = 10283,
  [11901] = 4022,
  [11902] = 10235,
  [11903] = 10242,
  [11904] = 10283,
  [11905] = 10244,
  [11906] = 10232,
  [11907] = 10249,
  [11908] = 10283,
  [11909] = 10237,
  [11910] = 10238,
  [11911] = 10235,
  [11912] = 10283,
  [11913] = 10239,
  [11914] = 10240,
  [11915] = 10232,
  [11916] = 10283,
  [11917] = 10237,
  [11918] = 10238,
  [11919] = 10239,
  [11920] = 10283,
  [11921] = 10241,
  [11922] = 10278,
  [11923] = 10240,
  [11924] = 10283,
  [11925] = 10241,
  [11926] = 10257,
  [11927] = 10243,
  [11928] = 10283,
  [11929] = 4017,
  [11930] = 10235,
  [11931] = 10238,
  [11932] = 10283,
  [11933] = 11933,
  [11934] = 4020,
  [11935] = 10241,
  [11936] = 10283,
  [11937] = 10232,
  [11938] = 10245,
  [11939] = 10237,
  [11940] = 10283,
  [11941] = 10239,
  [11942] = 10235,
  [11943] = 10235,
  [11944] = 10283,
  [11945] = 10243,
  [11946] = 10232,
  [11947] = 10237,
  [11948] = 10283,
  [11949] = 10238,
  [11950] = 10239,
  [11951] = 10240,
  [11952] = 10283,
  [11953] = 10241,
  [11954] = 10238,
  [11955] = 10243,
  [11956] = 10283,
  [11957] = 10235,
  [11958] = 10232,
  [11959] = 10237,
  [11960] = 10283,
  [11961] = 10243,
  [11962] = 10262,
  [11963] = 10238,
  [11964] = 10283,
  [11965] = 10239,
  [11966] = 10240,
  [11967] = 10235,
  [11968] = 10283,
  [11969] = 10232,
  [11970] = 10274,
  [11971] = 10237,
  [11972] = 10283,
  [11973] = 10262,
  [11974] = 10235,
  [11975] = 10238,
  [11976] = 10283,
  [11977] = 10235,
  [11978] = 10239,
  [11979] = 10240,
  [11980] = 10283,
  [11981] = 10241,
  [11982] = 10280,
  [11983] = 10239,
  [11984] = 10283,
  [11985] = 10281,
  [11986] = 10233,
  [11987] = 10243,
  [11988] = 10283,
  [11989] = 10234,
  [11990] = 10240,
  [11991] = 10241,
  [11992] = 10283,
  [11993] = 10278,
  [11994] = 10242,
  [11995] = 10245,
  [11996] = 10283,
  [11997] = 10244,
  [11998] = 10249,
  [11999] = 10232,
  [12000] = 10283,
  [12001] = 10257,
  [12002] = 10237,
  [12003] = 10235,
  [12004] = 10283,
  [12005] = 10232,
  [12006] = 10237,
  [12007] = 10238,
  [12008] = 10283,
  [12009] = 10239,
  [12010] = 10240,
  [12011] = 10241,
  [12012] = 10283,
  [12013] = 4023,
  [12014] = 4025,
  [12015] = 10238,
  [12016] = 10283,
  [12017] = 10243,
  [12018] = 10239,
  [12019] = 10278,
  [12020] = 10283,
  [12021] = 10243,
  [12022] = 10262,
  [12023] = 10240,
  [12024] = 10283,
  [12025] = 10274,
  [12026] = 4027,
  [12027] = 10235,
  [12028] = 10283,
  [12029] = 10232,
  [12030] = 10237,
  [12031] = 10238,
  [12032] = 10283,
  [12033] = 10239,
  [12034] = 10240,
  [12035] = 10241,
  [12036] = 10283,
  [12037] = 10235,
  [12038] = 10241,
  [12039] = 10243,
  [12040] = 10283,
  [12041] = 10232,
  [12042] = 10237,
  [12043] = 10243,
  [12044] = 10283,
  [12045] = 10238,
  [12046] = 10239,
  [12047] = 10235,
  [12048] = 10283,
  [12049] = 10240,
  [12050] = 10280,
  [12051] = 12051,
  [12052] = 10283,
  [12053] = 10281,
  [12054] = 10241,
  [12055] = 10233,
  [12056] = 10283,
  [12057] = 10278,
  [12058] = 10235,
  [12059] = 10232,
  [12060] = 10283,
  [12061] = 10237,
  [12062] = 10238,
  [12063] = 10239,
  [12064] = 10283,
  [12065] = 10240,
  [12066] = 10241,
  [12067] = 10234,
  [12068] = 10283,
  [12069] = 10243,
  [12070] = 10242,
  [12071] = 10244,
  [12072] = 10283,
  [12073] = 10245,
  [12074] = 10243,
  [12075] = 10249,
  [12076] = 10283,
  [12077] = 10232,
  [12078] = 10232,
  [12079] = 10257,
  [12080] = 10283,
  [12081] = 4009,
  [12082] = 10281,
  [12083] = 10241,
  [12084] = 10283,
  [12085] = 10235,
  [12086] = 10232,
  [12087] = 10237,
  [12088] = 10283,
  [12089] = 10238,
  [12090] = 10239,
  [12091] = 10240,
  [12092] = 10283,
  [12093] = 10241,
  [12094] = 10243,
  [12095] = 10278,
  [12096] = 10283,
  [12097] = 10262,
  [12098] = 10243,
  [12099] = 10235,
  [12100] = 10283,
  [12101] = 10235,
  [12102] = 10274,
  [12103] = 10237,
  [12104] = 10283,
  [12105] = 12105,
  [12106] = 10238,
  [12107] = 10232,
  [12108] = 10283,
  [12109] = 10239,
  [12110] = 10237,
  [12111] = 10238,
  [12112] = 10283,
  [12113] = 10235,
  [12114] = 10280,
  [12115] = 10232,
  [12116] = 10283,
  [12117] = 10281,
  [12118] = 10233,
  [12119] = 10237,
  [12120] = 10283,
  [12121] = 10234,
  [12122] = 10238,
  [12123] = 10239,
  [12124] = 10283,
  [12125] = 10242,
  [12126] = 10244,
  [12127] = 10240,
  [12128] = 10283,
  [12129] = 10249,
  [12130] = 10257,
  [12131] = 10241,
  [12132] = 10283,
  [12133] = 10239,
  [12134] = 10243,
  [12135] = 10240,
  [12136] = 10283,
  [12137] = 10233,
  [12138] = 10232,
  [12139] = 10240,
  [12140] = 10283,
  [12141] = 10235,
  [12142] = 10232,
  [12143] = 10235,
  [12144] = 10283,
  [12145] = 10232,
  [12146] = 10237,
  [12147] = 10238,
  [12148] = 10283,
  [12149] = 10239,
  [12150] = 10240,
  [12151] = 10241,
  [12152] = 10283,
  [12153] = 10237,
  [12154] = 10243,
  [12155] = 10238,
  [12156] = 10283,
  [12157] = 10239,
  [12158] = 12158,
  [12159] = 10240,
  [12160] = 10283,
  [12161] = 10241,
  [12162] = 10278,
  [12163] = 10241,
  [12164] = 10283,
  [12165] = 10235,
  [12166] = 10235,
  [12167] = 10232,
  [12168] = 10283,
  [12169] = 10237,
  [12170] = 10232,
  [12171] = 10238,
  [12172] = 10283,
  [12173] = 10237,
  [12174] = 10238,
  [12175] = 10239,
  [12176] = 10283,
  [12177] = 10239,
  [12178] = 10240,
  [12179] = 10240,
  [12180] = 10283,
  [12181] = 10241,
  [12182] = 10278,
  [12183] = 10243,
  [12184] = 10283,
  [12185] = 10241,
  [12186] = 10278,
  [12187] = 10245,
  [12188] = 10283,
  [12189] = 12189,
  [12190] = 10235,
  [12191] = 10232,
  [12192] = 10283,
  [12193] = 10237,
  [12194] = 4031,
  [12195] = 10237,
  [12196] = 10283,
  [12197] = 10238,
  [12198] = 10238,
  [12199] = 10235,
  [12200] = 10283,
  [12201] = 10232,
  [12202] = 10245,
  [12203] = 10237,
  [12204] = 10283,
  [12205] = 10239,
  [12206] = 10240,
  [12207] = 10238,
  [12208] = 10283,
  [12209] = 10241,
  [12210] = 10239,
  [12211] = 10240,
  [12212] = 10283,
  [12213] = 10241,
  [12214] = 10243,
  [12215] = 10243,
  [12216] = 10283,
  [12217] = 10262,
  [12218] = 10274,
  [12219] = 10241,
  [12220] = 10283,
  [12221] = 10240,
  [12222] = 10237,
  [12223] = 10280,
  [12224] = 10283,
  [12225] = 10243,
  [12226] = 10262,
  [12227] = 10235,
  [12228] = 10283,
  [12229] = 10232,
  [12230] = 10237,
  [12231] = 10238,
  [12232] = 10283,
  [12233] = 10274,
  [12234] = 10273,
  [12235] = 10239,
  [12236] = 10283,
  [12237] = 10243,
  [12238] = 10238,
  [12239] = 10240,
  [12240] = 10283,
  [12241] = 10241,
  [12242] = 10281,
  [12243] = 10243,
  [12244] = 10283,
  [12245] = 10280,
  [12246] = 10281,
  [12247] = 10233,
  [12248] = 10283,
  [12249] = 10233,
  [12250] = 10234,
  [12251] = 10234,
  [12252] = 10283,
  [12253] = 10242,
  [12254] = 10242,
  [12255] = 10244,
  [12256] = 10283,
  [12257] = 10244,
  [12258] = 10249,
  [12259] = 10249,
  [12260] = 10283,
  [12261] = 10257,
  [12262] = 10257,
  [12263] = 10235,
  [12264] = 10283,
  [12265] = 10232,
  [12266] = 10237,
  [12267] = 10238,
  [12268] = 10283,
  [12269] = 10239,
  [12270] = 10240,
  [12271] = 10241,
  [12272] = 10283,
  [12273] = 10239,
  [12274] = 10243,
  [12275] = 10240,
  [12276] = 10283,
  [12277] = 10683,
  [12278] = 10234,
  [12279] = 10241,
  [12280] = 10283,
  [12281] = 10245,
  [12282] = 10241,
  [12283] = 10235,
  [12284] = 10283,
  [12285] = 10232,
  [12286] = 10237,
  [12287] = 10238,
  [12288] = 10283,
  [12289] = 10239,
  [12290] = 10240,
  [12291] = 10241,
  [12292] = 10283,
  [12293] = 12293,
  [12294] = 10243,
  [12295] = 10278,
  [12296] = 10283,
  [12297] = 10235,
  [12298] = 10278,
  [12299] = 10241,
  [12300] = 10283,
  [12301] = 10232,
  [12302] = 10237,
  [12303] = 10242,
  [12304] = 10283,
  [12305] = 10238,
  [12306] = 10239,
  [12307] = 10235,
  [12308] = 10283,
  [12309] = 10240,
  [12310] = 10232,
  [12311] = 10235,
  [12312] = 10283,
  [12313] = 10232,
  [12314] = 10241,
  [12315] = 10237,
  [12316] = 10283,
  [12317] = 10278,
  [12318] = 10238,
  [12319] = 10239,
  [12320] = 10283,
  [12321] = 10240,
  [12322] = 10241,
  [12323] = 10237,
  [12324] = 10283,
  [12325] = 10243,
  [12326] = 10238,
  [12327] = 10239,
  [12328] = 10283,
  [12329] = 10240,
  [12330] = 10239,
  [12331] = 11084,
  [12332] = 10235,
  [12333] = 11620,
  [12334] = 10244,
  [12335] = 12335,
  [12336] = 10243,
  [12337] = 10241,
  [12338] = 10235,
  [12339] = 10232,
  [12340] = 10237,
  [12341] = 10245,
  [12342] = 10232,
  [12343] = 10237,
  [12344] = 10238,
  [12345] = 10239,
  [12346] = 11360,
  [12347] = 10238,
  [12348] = 10239,
  [12349] = 10240,
  [12350] = 10240,
  [12351] = 10241,
  [12352] = 10278,
  [12353] = 10243,
  [12354] = 10245,
  [12355] = 12355,
  [12356] = 10283,
  [12357] = 10241,
  [12358] = 10240,
  [12359] = 10243,
  [12360] = 10262,
  [12361] = 10262,
  [12362] = 10235,
  [12363] = 10274,
  [12364] = 10243,
  [12365] = 10262,
  [12366] = 10804,
  [12367] = 10232,
  [12368] = 10237,
  [12369] = 10238,
  [12370] = 10239,
  [12371] = 10280,
  [12372] = 10281,
  [12373] = 10233,
  [12374] = 10234,
  [12375] = 10240,
  [12376] = 10241,
  [12377] = 10235,
  [12378] = 10243,
  [12379] = 10243,
  [12380] = 10242,
  [12381] = 10244,
  [12382] = 10249,
  [12383] = 10262,
  [12384] = 10257,
  [12385] = 10273,
  [12386] = 10274,
  [12387] = 12387,
  [12388] = 11620,
  [12389] = 10241,
  [12390] = 12335,
  [12391] = 10241,
  [12392] = 10235,
  [12393] = 10232,
  [12394] = 10237,
  [12395] = 10278,
  [12396] = 11360,
  [12397] = 10245,
  [12398] = 11620,
  [12399] = 10238,
  [12400] = 10239,
  [12401] = 10240,
  [12402] = 10241,
  [12403] = 10235,
  [12404] = 10243,
  [12405] = 11360,
  [12406] = 10232,
  [12407] = 11620,
  [12408] = 10280,
  [12409] = 10243,
  [12410] = 10281,
  [12411] = 10233,
  [12412] = 10234,
  [12413] = 10237,
  [12414] = 11360,
  [12415] = 10238,
  [12416] = 11620,
  [12417] = 10242,
  [12418] = 10244,
  [12419] = 10249,
  [12420] = 10235,
  [12421] = 10232,
  [12422] = 10239,
  [12423] = 11360,
  [12424] = 10240,
  [12425] = 11620,
  [12426] = 10237,
  [12427] = 10238,
  [12428] = 10239,
  [12429] = 10241,
  [12430] = 10240,
  [12431] = 10235,
  [12432] = 11360,
  [12433] = 10243,
  [12434] = 11620,
  [12435] = 10241,
  [12436] = 10257,
  [12437] = 10243,
  [12438] = 10235,
  [12439] = 10232,
  [12440] = 10237,
  [12441] = 11360,
  [12442] = 10238,
  [12443] = 11620,
  [12444] = 10232,
  [12445] = 10249,
  [12446] = 10274,
  [12447] = 10237,
  [12448] = 10238,
  [12449] = 12449,
  [12450] = 11360,
  [12451] = 12451,
  [12452] = 11620,
  [12453] = 10239,
  [12454] = 10278,
  [12455] = 10235,
  [12456] = 10240,
  [12457] = 12457,
  [12458] = 10232,
  [12459] = 11360,
  [12460] = 10237,
  [12461] = 11620,
  [12462] = 10235,
  [12463] = 10232,
  [12464] = 10237,
  [12465] = 10241,
  [12466] = 10278,
  [12467] = 10238,
  [12468] = 11360,
  [12469] = 10239,
  [12470] = 11620,
  [12471] = 10240,
  [12472] = 10238,
  [12473] = 10239,
  [12474] = 10240,
  [12475] = 10241,
  [12476] = 10241,
  [12477] = 11360,
  [12478] = 10274,
  [12479] = 11620,
  [12480] = 10243,
  [12481] = 10243,
  [12482] = 10280,
  [12483] = 10281,
  [12484] = 10233,
  [12485] = 10239,
  [12486] = 11360,
  [12487] = 10243,
  [12488] = 11620,
  [12489] = 10234,
  [12490] = 10242,
  [12491] = 10235,
  [12492] = 10245,
  [12493] = 10262,
  [12494] = 10240,
  [12495] = 11360,
  [12496] = 10235,
  [12497] = 11620,
  [12498] = 10232,
  [12499] = 10235,
  [12500] = 10232,
  [12501] = 10235,
  [12502] = 12335,
  [12503] = 10232,
  [12504] = 11360,
  [12505] = 10237,
  [12506] = 11620,
  [12507] = 10237,
  [12508] = 10238,
  [12509] = 10239,
  [12510] = 10240,
  [12511] = 10241,
  [12512] = 10238,
  [12513] = 11360,
  [12514] = 10239,
  [12515] = 11620,
  [12516] = 10232,
  [12517] = 10243,
  [12518] = 10237,
  [12519] = 10238,
  [12520] = 10239,
  [12521] = 10240,
  [12522] = 11360,
  [12523] = 10241,
  [12524] = 11620,
  [12525] = 10243,
  [12526] = 10240,
  [12527] = 10244,
  [12528] = 10262,
  [12529] = 10249,
  [12530] = 10274,
  [12531] = 11360,
  [12532] = 10243,
  [12533] = 11620,
  [12534] = 10235,
  [12535] = 10232,
  [12536] = 10237,
  [12537] = 10274,
  [12538] = 10237,
  [12539] = 10238,
  [12540] = 11360,
  [12541] = 10239,
  [12542] = 11620,
  [12543] = 10280,
  [12544] = 10238,
  [12545] = 10239,
  [12546] = 10281,
  [12547] = 10240,
  [12548] = 10240,
  [12549] = 11360,
  [12550] = 10233,
  [12551] = 11620,
  [12552] = 10241,
  [12553] = 10241,
  [12554] = 10243,
  [12555] = 10280,
  [12556] = 10281,
  [12557] = 10273,
  [12558] = 11360,
  [12559] = 10235,
  [12560] = 11620,
  [12561] = 10233,
  [12562] = 10278,
  [12563] = 10245,
  [12564] = 10234,
  [12565] = 10232,
  [12566] = 10237,
  [12567] = 11360,
  [12568] = 10238,
  [12569] = 11620,
  [12570] = 10242,
  [12571] = 10239,
  [12572] = 10240,
  [12573] = 10244,
  [12574] = 10249,
  [12575] = 10241,
  [12576] = 11360,
  [12577] = 10234,
  [12578] = 11620,
  [12579] = 10257,
  [12580] = 10257,
  [12581] = 10235,
  [12582] = 10232,
  [12583] = 10237,
  [12584] = 10243,
  [12585] = 11360,
  [12586] = 10242,
  [12587] = 11620,
  [12588] = 10238,
  [12589] = 10239,
  [12590] = 10244,
  [12591] = 11360,
  [12592] = 10249,
  [12593] = 11620,
  [12594] = 10240,
  [12595] = 10241,
  [12596] = 10280,
  [12597] = 11360,
  [12598] = 10283,
  [12599] = 11620,
  [12600] = 10232,
  [12601] = 10243,
  [12602] = 10257,
  [12603] = 11360,
  [12604] = 10274,
  [12605] = 11620,
  [12606] = 10243,
  [12607] = 10262,
  [12608] = 10235,
  [12609] = 11360,
  [12610] = 10232,
  [12611] = 11620,
  [12612] = 10274,
  [12613] = 10237,
  [12614] = 10238,
  [12615] = 11360,
  [12616] = 10239,
  [12617] = 11620,
  [12618] = 10240,
  [12619] = 10241,
  [12620] = 10280,
  [12621] = 11360,
  [12622] = 10243,
  [12623] = 11620,
  [12624] = 10235,
  [12625] = 10232,
  [12626] = 10245,
  [12627] = 11360,
  [12628] = 10241,
  [12629] = 11620,
  [12630] = 10237,
  [12631] = 10238,
  [12632] = 10278,
  [12633] = 11360,
  [12634] = 10243,
  [12635] = 11620,
  [12636] = 10239,
  [12637] = 10240,
  [12638] = 10239,
  [12639] = 11360,
  [12640] = 12640,
  [12641] = 11620,
  [12642] = 10241,
  [12643] = 10280,
  [12644] = 10281,
  [12645] = 11360,
  [12646] = 10235,
  [12647] = 11620,
  [12648] = 10243,
  [12649] = 10281,
  [12650] = 10232,
  [12651] = 11360,
  [12652] = 10237,
  [12653] = 11620,
  [12654] = 10233,
  [12655] = 10234,
  [12656] = 10238,
  [12657] = 11360,
  [12658] = 10239,
  [12659] = 11620,
  [12660] = 10242,
  [12661] = 10240,
  [12662] = 10241,
  [12663] = 11360,
  [12664] = 10233,
  [12665] = 11620,
  [12666] = 10244,
  [12667] = 10235,
  [12668] = 10243,
  [12669] = 11360,
  [12670] = 10234,
  [12671] = 11620,
  [12672] = 10232,
  [12673] = 10237,
  [12674] = 10242,
  [12675] = 11360,
  [12676] = 10281,
  [12677] = 11620,
  [12678] = 10238,
  [12679] = 10239,
  [12680] = 10244,
  [12681] = 11360,
  [12682] = 10243,
  [12683] = 11620,
  [12684] = 10240,
  [12685] = 10241,
  [12686] = 10262,
  [12687] = 11360,
  [12688] = 10235,
  [12689] = 11620,
  [12690] = 10249,
  [12691] = 10243,
  [12692] = 10232,
  [12693] = 11360,
  [12694] = 10237,
  [12695] = 11620,
  [12696] = 10257,
  [12697] = 10237,
  [12698] = 10238,
  [12699] = 11360,
  [12700] = 10239,
  [12701] = 11620,
  [12702] = 10240,
  [12703] = 10241,
  [12704] = 10249,
  [12705] = 11360,
  [12706] = 10243,
  [12707] = 11620,
  [12708] = 10245,
  [12709] = 10257,
  [12710] = 10274,
  [12711] = 11360,
  [12712] = 10233,
  [12713] = 11620,
  [12714] = 10235,
  [12715] = 10235,
  [12716] = 11360,
  [12717] = 10234,
  [12718] = 10241,
  [12719] = 11360,
  [12720] = 10235,
  [12721] = 10232,
  [12722] = 11360,
  [12723] = 10237,
  [12724] = 10238,
  [12725] = 11360,
  [12726] = 10273,
  [12727] = 10239,
  [12728] = 11360,
  [12729] = 10240,
  [12730] = 10241,
  [12731] = 11360,
  [12732] = 10232,
  [12733] = 10243,
  [12734] = 11360,
  [12735] = 10237,
  [12736] = 10238,
  [12737] = 11360,
  [12738] = 10239,
  [12739] = 10240,
  [12740] = 11360,
  [12741] = 10278,
  [12742] = 10245,
  [12743] = 11360,
  [12744] = 10235,
  [12745] = 10232,
  [12746] = 11360,
  [12747] = 10283,
  [12748] = 11360,
  [12749] = 10875,
  [12750] = 10098,
  [12751] = 10232,
  [12752] = 10237,
  [12753] = 10238,
  [12754] = 10239,
  [12755] = 10240,
  [12756] = 10241,
  [12757] = 10237,
  [12758] = 10243,
  [12759] = 10238,
  [12760] = 10238,
  [12761] = 10239,
  [12762] = 10240,
  [12763] = 10239,
  [12764] = 10245,
  [12765] = 10235,
  [12766] = 10232,
  [12767] = 10237,
  [12768] = 10240,
  [12769] = 10238,
  [12770] = 10235,
  [12771] = 10239,
  [12772] = 10232,
  [12773] = 10237,
  [12774] = 10238,
  [12775] = 10239,
  [12776] = 10240,
  [12777] = 10240,
  [12778] = 10241,
  [12779] = 10241,
  [12780] = 10278,
  [12781] = 10235,
  [12782] = 10243,
  [12783] = 10232,
  [12784] = 10237,
  [12785] = 10238,
  [12786] = 12786,
  [12787] = 10239,
  [12788] = 10245,
  [12789] = 10241,
  [12790] = 10241,
  [12791] = 10243,
  [12792] = 10278,
  [12793] = 10240,
  [12794] = 10235,
  [12795] = 10232,
  [12796] = 10237,
  [12797] = 10238,
  [12798] = 10239,
  [12799] = 10243,
  [12800] = 10262,
  [12801] = 10240,
  [12802] = 10241,
  [12803] = 10274,
  [12804] = 10240,
  [12805] = 10280,
  [12806] = 10281,
  [12807] = 12807,
  [12808] = 10241,
  [12809] = 10280,
  [12810] = 10281,
  [12811] = 10233,
  [12812] = 10234,
  [12813] = 10243,
  [12814] = 10242,
  [12815] = 10244,
  [12816] = 10243,
  [12817] = 10241,
};

static TSCharacterRange sym_id_character_set_2[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'!', '!'}, {'#', '\''}, {'*', '-'}, {'/', ':'}, {'<', '?'}, {'A', 'z'},
  {'|', '|'}, {'~', 0x10ffff},
};

static TSCharacterRange aux_sym__qid_token1_character_set_1[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'!', '!'}, {'#', '&'}, {'*', '-'}, {'/', ':'}, {'<', '?'}, {'A', 'z'},
  {'|', '|'}, {'~', 0x10ffff},
};

static TSCharacterRange aux_sym__qid_token1_character_set_2[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'!', '!'}, {'#', '\''}, {'*', ':'}, {'<', '?'}, {'A', 'z'}, {'|', '|'},
  {'~', 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(453);
      ADVANCE_MAP(
        '"', 187,
        '#', 530,
        '(', 497,
        ')', 498,
        '-', 662,
        '.', 657,
        '0', 649,
        ':', 471,
        ';', 506,
        '=', 474,
        '@', 665,
        'C', 591,
        '\\', 300,
        '_', 517,
        'c', 632,
        'h', 616,
        'i', 625,
        'm', 633,
        'p', 645,
        'r', 604,
        't', 631,
        'u', 639,
        'w', 614,
        '{', 524,
        '|', 667,
        '}', 527,
        0x3bb, 465,
        0x2026, 468,
        0x2192, 461,
        0x2200, 455,
        0x2983, 513,
        0x2984, 516,
        0x2987, 675,
        0x2988, 678,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(651);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(654);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '"', 187,
        '#', 530,
        '(', 497,
        ')', 498,
        '-', 662,
        '.', 657,
        '0', 649,
        ':', 471,
        ';', 506,
        '=', 474,
        '@', 665,
        'C', 591,
        '\\', 300,
        '_', 517,
        'c', 632,
        'h', 616,
        'i', 625,
        'm', 633,
        'p', 645,
        'r', 604,
        't', 631,
        'u', 639,
        'w', 614,
        '{', 524,
        '|', 667,
        '}', 527,
        0x3bb, 465,
        0x2026, 468,
        0x2192, 461,
        0x2200, 455,
        0x2983, 513,
        0x2984, 516,
        0x2987, 675,
        0x2988, 678,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(651);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(654);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 534,
        '.', 657,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '}', 444,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 444,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 310,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 444,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '@', 665,
        '\\', 317,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 527,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 444,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '}', 444,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 398,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 444,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 444,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '}', 444,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '@', 665,
        '\\', 405,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 444,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 312,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 444,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 444,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 400,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 444,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 307,
        '_', 518,
        'h', 554,
        'p', 584,
        'r', 546,
        'u', 577,
        '{', 526,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 664,
        '.', 658,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 444,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '}', 444,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 444,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(24);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '}', 444,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        ')', 498,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 444,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 657,
        '0', 586,
        ':', 470,
        ';', 654,
        '\\', 326,
        '_', 518,
        'w', 553,
        '{', 526,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 657,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 657,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(29);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'r', 543,
        'w', 552,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(30);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 552,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(31);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'r', 543,
        'w', 552,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'w', 552,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(36);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(37);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 38:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 301,
        '_', 518,
        'i', 564,
        'm', 569,
        'r', 543,
        'w', 552,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(38);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 302,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 552,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(39);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 303,
        '_', 518,
        'm', 569,
        'r', 543,
        'w', 552,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(40);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 41:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 304,
        '_', 518,
        'm', 569,
        'w', 552,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(41);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 393,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 420,
        '_', 518,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 313,
        '_', 518,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 316,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 527,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 444,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '@', 665,
        '\\', 318,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 444,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '@', 665,
        '\\', 319,
        '_', 518,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'r', 543,
        'w', 552,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 552,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'r', 543,
        'w', 552,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'w', 552,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 392,
        '_', 518,
        'i', 564,
        'm', 569,
        'r', 543,
        'w', 552,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 419,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 552,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 394,
        '_', 518,
        'm', 569,
        'r', 543,
        'w', 552,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 395,
        '_', 518,
        'm', 569,
        'w', 552,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 422,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 423,
        '_', 518,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 401,
        '_', 518,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 404,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 527,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '@', 665,
        '\\', 407,
        '_', 518,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 73:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '@', 665,
        '\\', 406,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 527,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(73);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 74:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(74);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 75:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(75);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 76:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(76);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 78:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(78);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 79:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 444,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(80);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 81:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
        0x2988, 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(81);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 666,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(82);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 83:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 308,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(83);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 84:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 309,
        '_', 518,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(84);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 311,
        '_', 518,
        'i', 564,
        'w', 553,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(85);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 86:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 314,
        '_', 518,
        'i', 564,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(86);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 87:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 315,
        '_', 518,
        'w', 553,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(87);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 88:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 320,
        '_', 518,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 89:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 321,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 527,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(89);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 90:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 322,
        '_', 518,
        '{', 526,
        '|', 666,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(90);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 323,
        '_', 518,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
        0x2988, 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(91);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '\\', 329,
        '_', 518,
        'h', 554,
        'p', 584,
        'r', 546,
        'u', 577,
        '{', 526,
        '}', 527,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(92);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@') ADVANCE(589);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(93);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '@', 665,
        '\\', 306,
        '_', 518,
        'h', 554,
        'p', 584,
        'r', 546,
        'u', 577,
        '{', 526,
        '}', 527,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 506,
        '@', 665,
        '\\', 325,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 527,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 98:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(98);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 100:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 102:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(102);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 103:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
        0x2988, 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 104:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 666,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(104);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 105:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 396,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(105);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 397,
        '_', 518,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(106);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 399,
        '_', 518,
        'i', 564,
        'w', 553,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 108:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 403,
        '_', 518,
        'w', 553,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(108);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 109:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 402,
        '_', 518,
        'i', 564,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(109);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 110:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 410,
        '_', 518,
        '{', 526,
        '|', 666,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(110);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 411,
        '_', 518,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
        0x2988, 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(111);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 408,
        '_', 518,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 113:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 409,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 527,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(113);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 114:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        'c', 570,
        'm', 569,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(114);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 115:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(115);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(116);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 117:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(117);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 118:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 305,
        '_', 518,
        'h', 554,
        'i', 564,
        'p', 584,
        'r', 546,
        'u', 577,
        '{', 526,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 327,
        '_', 518,
        '{', 526,
        '|', 668,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 328,
        '_', 518,
        '{', 526,
        0x2026, 467,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(120);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 663,
        '.', 658,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 524,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(121);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 122:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 664,
        '.', 657,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(122);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 123:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 664,
        '.', 657,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '}', 444,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(123);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 124:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 664,
        '.', 657,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(124);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 125:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 664,
        '.', 658,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '}', 444,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(125);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 126:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 664,
        '.', 658,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(126);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 127:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'r', 543,
        'w', 552,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(127);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 128:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'r', 543,
        'w', 552,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(128);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 129:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 552,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(129);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 130:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 552,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(130);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 131:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(131);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 132:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 553,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(132);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'r', 543,
        'w', 552,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(133);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 134:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'r', 543,
        'w', 552,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(134);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 135:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'w', 552,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(135);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 136:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'w', 552,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(136);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 137:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(137);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 138:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'w', 553,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(138);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 139:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(139);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 140:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(140);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 141:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 142:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '}', 444,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(142);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 143:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 506,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(143);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 144:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'r', 543,
        'w', 552,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(144);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 145:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 552,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(145);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 146:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(146);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 147:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'r', 543,
        'w', 552,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(147);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 148:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'w', 552,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(148);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 149:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(149);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 150:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(150);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 151:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(151);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 152:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(152);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 153:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ':', 470,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(153);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 154:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(154);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 155:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 553,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(155);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 156:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(156);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 157:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'w', 553,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(157);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 158:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(158);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 159:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(159);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 160:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(160);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'w', 553,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'w', 553,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 444,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
        0x2988, 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 666,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 528,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
        0x2988, 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 506,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'i', 564,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        'w', 553,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        '}', 527,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(589);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2984, 515,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
        0x2988, 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 654,
        '=', 473,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 666,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        '|', 668,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(589);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 324,
        '_', 518,
        '{', 526,
        0x2026, 467,
        0x2192, 460,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 533,
        '.', 658,
        '0', 586,
        ';', 654,
        '\\', 462,
        '_', 518,
        '{', 524,
        0x3bb, 464,
        0x2026, 467,
        0x2192, 460,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '"', 187,
        '(', 496,
        '-', 534,
        '0', 586,
        ';', 654,
        '\\', 382,
        '_', 518,
        '{', 260,
        '}', 527,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '-' &&
          lookahead != '.' &&
          lookahead != '@') ADVANCE(589);
      END_STATE();
    case 187:
      if (lookahead == '"') ADVANCE(682);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(187);
      END_STATE();
    case 188:
      if (lookahead == '#') ADVANCE(520);
      if (lookahead == '-') ADVANCE(249);
      if (lookahead != 0) ADVANCE(250);
      END_STATE();
    case 189:
      if (lookahead == '#') ADVANCE(190);
      if (lookahead == '-') ADVANCE(249);
      if (lookahead != 0) ADVANCE(250);
      END_STATE();
    case 190:
      if (lookahead == '#') ADVANCE(261);
      if (lookahead != 0) ADVANCE(190);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '(', 496,
        ')', 498,
        '-', 531,
        '.', 659,
        ':', 471,
        ';', 506,
        '=', 474,
        '\\', 348,
        '_', 517,
        '{', 526,
        '}', 444,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@') ADVANCE(654);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '(', 496,
        ')', 498,
        '-', 531,
        '.', 659,
        ':', 471,
        ';', 506,
        '\\', 351,
        '_', 517,
        '{', 526,
        '}', 527,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@') ADVANCE(654);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '(', 496,
        ')', 498,
        '-', 531,
        '.', 659,
        ':', 471,
        '=', 474,
        '\\', 350,
        '_', 517,
        '{', 526,
        '}', 444,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@') ADVANCE(654);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '(', 496,
        ')', 498,
        '-', 531,
        '.', 659,
        ':', 471,
        '\\', 361,
        '_', 517,
        '{', 526,
        '}', 444,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@') ADVANCE(654);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '(', 496,
        ')', 498,
        '-', 531,
        '.', 659,
        ';', 506,
        '=', 474,
        '\\', 356,
        '_', 517,
        '{', 526,
        '}', 444,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@') ADVANCE(654);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '(', 496,
        ')', 498,
        '-', 531,
        '.', 659,
        '=', 474,
        '\\', 362,
        '_', 517,
        '{', 526,
        '}', 444,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@') ADVANCE(654);
      END_STATE();
    case 197:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        ';', 506,
        '=', 474,
        '\\', 330,
        '_', 517,
        'i', 625,
        'm', 633,
        'r', 608,
        'w', 614,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        ';', 506,
        '=', 474,
        '\\', 333,
        '_', 517,
        'i', 625,
        'm', 633,
        'w', 614,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        ';', 506,
        '=', 474,
        '\\', 334,
        '_', 517,
        'm', 633,
        'r', 608,
        'w', 614,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        ';', 506,
        '=', 474,
        '\\', 335,
        '_', 517,
        'm', 633,
        'w', 614,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 201:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        ';', 506,
        '=', 474,
        '\\', 412,
        '_', 517,
        'i', 625,
        'm', 633,
        'w', 615,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        ';', 506,
        '=', 474,
        '\\', 413,
        '_', 517,
        'm', 633,
        'w', 615,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        ';', 506,
        '=', 474,
        '\\', 353,
        '_', 517,
        '{', 526,
        '}', 527,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@') ADVANCE(654);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        ';', 506,
        '=', 474,
        '\\', 355,
        '_', 517,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
        0x2984, 516,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        ';', 506,
        '\\', 363,
        '_', 517,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
        0x2984, 516,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        ';', 506,
        '\\', 367,
        '_', 517,
        '{', 526,
        '}', 444,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@') ADVANCE(654);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        '=', 474,
        '\\', 332,
        '_', 517,
        'i', 625,
        'm', 633,
        'r', 608,
        'w', 614,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        '=', 474,
        '\\', 336,
        '_', 517,
        'm', 633,
        'r', 608,
        'w', 614,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        '=', 474,
        '\\', 337,
        '_', 517,
        'i', 625,
        'm', 633,
        'w', 614,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        '=', 474,
        '\\', 339,
        '_', 517,
        'm', 633,
        'w', 614,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        '=', 474,
        '\\', 414,
        '_', 517,
        'i', 625,
        'm', 633,
        'w', 615,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        '=', 474,
        '\\', 415,
        '_', 517,
        'm', 633,
        'w', 615,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        '=', 474,
        '\\', 360,
        '_', 517,
        '{', 526,
        '}', 527,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@') ADVANCE(654);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        '=', 474,
        '\\', 364,
        '_', 517,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
        0x2984, 516,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        '\\', 372,
        '_', 517,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
        0x2984, 516,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ':', 471,
        '\\', 375,
        '_', 517,
        '{', 526,
        '}', 527,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@') ADVANCE(654);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ';', 506,
        '=', 474,
        '\\', 340,
        '_', 517,
        'i', 625,
        'm', 633,
        'w', 615,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ';', 506,
        '=', 474,
        '\\', 342,
        '_', 517,
        'i', 625,
        'w', 615,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ';', 506,
        '=', 474,
        '\\', 345,
        '_', 517,
        'm', 633,
        'w', 615,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ';', 506,
        '=', 474,
        '\\', 354,
        '_', 517,
        'w', 615,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ';', 506,
        '=', 474,
        '\\', 357,
        '_', 517,
        'i', 625,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ';', 506,
        '=', 474,
        '\\', 358,
        '_', 517,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
        0x2988, 678,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ';', 506,
        '=', 474,
        '\\', 359,
        '_', 517,
        '{', 526,
        '|', 529,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(654);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ';', 506,
        '=', 474,
        '\\', 366,
        '_', 517,
        '{', 526,
        '}', 527,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@') ADVANCE(654);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ';', 506,
        '=', 474,
        '\\', 368,
        '_', 517,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
        0x2984, 516,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        ';', 506,
        '\\', 370,
        '_', 517,
        '{', 526,
        '}', 527,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@') ADVANCE(654);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        '=', 474,
        '\\', 347,
        '_', 517,
        'i', 625,
        'm', 633,
        'w', 615,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        '=', 474,
        '\\', 349,
        '_', 517,
        'i', 625,
        'w', 615,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        '=', 474,
        '\\', 352,
        '_', 517,
        'm', 633,
        'w', 615,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 230:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        '=', 474,
        '\\', 365,
        '_', 517,
        'w', 615,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 231:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        '=', 474,
        '\\', 369,
        '_', 517,
        'i', 625,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 232:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        '=', 474,
        '\\', 371,
        '_', 517,
        '{', 526,
        '|', 529,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(654);
      END_STATE();
    case 233:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        '=', 474,
        '\\', 373,
        '_', 517,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
        0x2988, 678,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 234:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        '=', 474,
        '\\', 374,
        '_', 517,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
        0x2984, 516,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 235:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        '=', 474,
        '\\', 376,
        '_', 517,
        '{', 526,
        '}', 527,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@') ADVANCE(654);
      END_STATE();
    case 236:
      ADVANCE_MAP(
        '(', 496,
        '-', 531,
        '.', 659,
        '\\', 338,
        '_', 517,
        '{', 526,
        0x2192, 461,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        '(', 496,
        '-', 532,
        '.', 659,
        ':', 471,
        '@', 665,
        '\\', 341,
        '_', 517,
        'w', 615,
        '{', 526,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '(', 496,
        '-', 532,
        '.', 659,
        '=', 474,
        '\\', 343,
        '_', 517,
        'w', 615,
        '{', 526,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '(', 496,
        '-', 532,
        '.', 659,
        '=', 474,
        '\\', 346,
        '_', 517,
        '{', 526,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '(', 496,
        '-', 532,
        '.', 659,
        '@', 665,
        '\\', 331,
        '_', 517,
        '{', 526,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        '(', 496,
        '-', 532,
        '.', 659,
        '\\', 344,
        '_', 517,
        'w', 615,
        '{', 526,
        0x2983, 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 242:
      if (lookahead == ')') ADVANCE(498);
      if (lookahead == '-') ADVANCE(248);
      if (lookahead == ':') ADVANCE(469);
      if (lookahead == ';') ADVANCE(505);
      if (lookahead == '=') ADVANCE(472);
      if (lookahead == '@') ADVANCE(665);
      if (lookahead == '\\') SKIP(383);
      if (lookahead == 'h') ADVANCE(291);
      if (lookahead == 'p') ADVANCE(438);
      if (lookahead == 'r') ADVANCE(284);
      if (lookahead == 'u') ADVANCE(432);
      if (lookahead == 'w') ADVANCE(289);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(245);
      if (lookahead == '}') ADVANCE(527);
      if (lookahead == 0x2192) ADVANCE(459);
      if (lookahead == 0x2984) ADVANCE(514);
      if (lookahead == 0x2988) ADVANCE(676);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      END_STATE();
    case 243:
      if (lookahead == ')') ADVANCE(498);
      if (lookahead == '-') ADVANCE(532);
      if (lookahead == '\\') ADVANCE(388);
      if (lookahead == '_') ADVANCE(447);
      if (lookahead == 'm') ADVANCE(633);
      if (lookahead == '{') ADVANCE(260);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '-' &&
          lookahead != '.' &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 244:
      if (lookahead == ')') ADVANCE(498);
      if (lookahead == '-') ADVANCE(246);
      if (lookahead == ':') ADVANCE(469);
      if (lookahead == '\\') SKIP(389);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '}') ADVANCE(444);
      if (lookahead == 0x2984) ADVANCE(514);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      END_STATE();
    case 245:
      if (lookahead == ')') ADVANCE(673);
      END_STATE();
    case 246:
      if (lookahead == '-') ADVANCE(688);
      END_STATE();
    case 247:
      if (lookahead == '-') ADVANCE(688);
      if (lookahead == '0') ADVANCE(679);
      if (lookahead == '>') ADVANCE(456);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(680);
      END_STATE();
    case 248:
      if (lookahead == '-') ADVANCE(688);
      if (lookahead == '>') ADVANCE(456);
      END_STATE();
    case 249:
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '}') ADVANCE(684);
      if (lookahead != 0) ADVANCE(250);
      END_STATE();
    case 250:
      if (lookahead == '-') ADVANCE(442);
      if (lookahead != 0) ADVANCE(250);
      END_STATE();
    case 251:
      if (lookahead == '-') ADVANCE(535);
      if (lookahead == ';') ADVANCE(654);
      if (lookahead == '\\') ADVANCE(386);
      if (lookahead == '_') ADVANCE(448);
      if (lookahead == 'm') ADVANCE(569);
      if (lookahead == '{') ADVANCE(260);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '-' &&
          lookahead != '.' &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 252:
      if (lookahead == '-') ADVANCE(532);
      if (lookahead == '.') ADVANCE(659);
      if (lookahead == ':') ADVANCE(471);
      if (lookahead == '\\') ADVANCE(381);
      if (lookahead == '_') ADVANCE(447);
      if (lookahead == '{') ADVANCE(526);
      if (lookahead == 0x2983) ADVANCE(513);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 253:
      if (lookahead == '-') ADVANCE(532);
      if (lookahead == '.') ADVANCE(659);
      if (lookahead == '\\') ADVANCE(384);
      if (lookahead == '_') ADVANCE(517);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '}') ADVANCE(444);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(253);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@') ADVANCE(654);
      END_STATE();
    case 254:
      if (lookahead == '-') ADVANCE(532);
      if (lookahead == '.') ADVANCE(659);
      if (lookahead == '\\') ADVANCE(418);
      if (lookahead == '_') ADVANCE(447);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '}') ADVANCE(527);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(254);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@') ADVANCE(654);
      END_STATE();
    case 255:
      if (lookahead == '-') ADVANCE(532);
      if (lookahead == '.') ADVANCE(659);
      if (lookahead == '\\') ADVANCE(385);
      if (lookahead == '_') ADVANCE(447);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == 0x2984) ADVANCE(516);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(255);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 256:
      if (lookahead == '-') ADVANCE(532);
      if (lookahead == ':') ADVANCE(471);
      if (lookahead == '\\') ADVANCE(390);
      if (lookahead == '_') ADVANCE(447);
      if (lookahead == '{') ADVANCE(260);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(256);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '-' &&
          lookahead != '.' &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 257:
      if (lookahead == '-') ADVANCE(532);
      if (lookahead == '=') ADVANCE(474);
      if (lookahead == '\\') ADVANCE(391);
      if (lookahead == '_') ADVANCE(447);
      if (lookahead == '{') ADVANCE(260);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(257);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '-' &&
          lookahead != '.' &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 258:
      if (lookahead == '-') ADVANCE(532);
      if (lookahead == '\\') ADVANCE(462);
      if (lookahead == '_') ADVANCE(447);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == 0x3bb) ADVANCE(465);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '-' &&
          lookahead != '.' &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 259:
      if (lookahead == '-') ADVANCE(532);
      if (lookahead == '\\') ADVANCE(387);
      if (lookahead == '_') ADVANCE(517);
      if (lookahead == 'i') ADVANCE(625);
      if (lookahead == '{') ADVANCE(260);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(259);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '-' &&
          lookahead != '.' &&
          lookahead != '@' &&
          lookahead != '}') ADVANCE(654);
      END_STATE();
    case 260:
      if (lookahead == '-') ADVANCE(189);
      END_STATE();
    case 261:
      if (lookahead == '-') ADVANCE(443);
      if (lookahead != 0) ADVANCE(190);
      END_STATE();
    case 262:
      if (lookahead == '-') ADVANCE(441);
      END_STATE();
    case 263:
      if (lookahead == '-') ADVANCE(246);
      if (lookahead == '\\') ADVANCE(462);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == 0x3bb) ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(263);
      END_STATE();
    case 264:
      if (lookahead == '.') ADVANCE(466);
      END_STATE();
    case 265:
      if (lookahead == 'A') ADVANCE(271);
      END_STATE();
    case 266:
      if (lookahead == 'A') ADVANCE(270);
      END_STATE();
    case 267:
      if (lookahead == 'C') ADVANCE(268);
      END_STATE();
    case 268:
      if (lookahead == 'H') ADVANCE(266);
      END_STATE();
    case 269:
      if (lookahead == 'L') ADVANCE(521);
      END_STATE();
    case 270:
      if (lookahead == 'L') ADVANCE(269);
      END_STATE();
    case 271:
      if (lookahead == 'T') ADVANCE(267);
      END_STATE();
    case 272:
      if (lookahead == '\\') ADVANCE(446);
      if (lookahead == '_') ADVANCE(449);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_1, 10, lookahead))) ADVANCE(655);
      END_STATE();
    case 273:
      if (lookahead == 'a') ADVANCE(299);
      END_STATE();
    case 274:
      if (lookahead == 'b') ADVANCE(297);
      END_STATE();
    case 275:
      if (lookahead == 'c') ADVANCE(490);
      END_STATE();
    case 276:
      if (lookahead == 'c') ADVANCE(436);
      END_STATE();
    case 277:
      if (lookahead == 'd') ADVANCE(439);
      END_STATE();
    case 278:
      if (lookahead == 'd') ADVANCE(295);
      END_STATE();
    case 279:
      if (lookahead == 'e') ADVANCE(379);
      END_STATE();
    case 280:
      if (lookahead == 'e') ADVANCE(484);
      END_STATE();
    case 281:
      if (lookahead == 'e') ADVANCE(481);
      END_STATE();
    case 282:
      if (lookahead == 'e') ADVANCE(478);
      END_STATE();
    case 283:
      if (lookahead == 'e') ADVANCE(430);
      END_STATE();
    case 284:
      if (lookahead == 'e') ADVANCE(378);
      END_STATE();
    case 285:
      if (lookahead == 'g') ADVANCE(493);
      END_STATE();
    case 286:
      if (lookahead == 'g') ADVANCE(499);
      END_STATE();
    case 287:
      if (lookahead == 'g') ADVANCE(502);
      END_STATE();
    case 288:
      if (lookahead == 'h') ADVANCE(475);
      END_STATE();
    case 289:
      if (lookahead == 'h') ADVANCE(283);
      END_STATE();
    case 290:
      if (lookahead == 'h') ADVANCE(283);
      if (lookahead == 'i') ADVANCE(434);
      END_STATE();
    case 291:
      if (lookahead == 'i') ADVANCE(278);
      END_STATE();
    case 292:
      if (lookahead == 'i') ADVANCE(275);
      END_STATE();
    case 293:
      if (lookahead == 'i') ADVANCE(380);
      END_STATE();
    case 294:
      if (lookahead == 'i') ADVANCE(437);
      END_STATE();
    case 295:
      if (lookahead == 'i') ADVANCE(417);
      END_STATE();
    case 296:
      if (lookahead == 'i') ADVANCE(421);
      END_STATE();
    case 297:
      if (lookahead == 'l') ADVANCE(292);
      END_STATE();
    case 298:
      if (lookahead == 'l') ADVANCE(281);
      END_STATE();
    case 299:
      if (lookahead == 'm') ADVANCE(296);
      END_STATE();
    case 300:
      if (lookahead == 'n') SKIP(1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 301:
      if (lookahead == 'n') SKIP(38);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 302:
      if (lookahead == 'n') SKIP(39);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 303:
      if (lookahead == 'n') SKIP(40);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 304:
      if (lookahead == 'n') SKIP(41);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 305:
      if (lookahead == 'n') SKIP(118);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 306:
      if (lookahead == 'n') SKIP(94);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 307:
      if (lookahead == 'n') SKIP(17);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 308:
      if (lookahead == 'n') SKIP(83);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 309:
      if (lookahead == 'n') SKIP(84);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 310:
      if (lookahead == 'n') SKIP(4);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 311:
      if (lookahead == 'n') SKIP(85);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 312:
      if (lookahead == 'n') SKIP(14);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 313:
      if (lookahead == 'n') SKIP(44);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 314:
      if (lookahead == 'n') SKIP(86);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 315:
      if (lookahead == 'n') SKIP(87);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 316:
      if (lookahead == 'n') SKIP(45);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 317:
      if (lookahead == 'n') SKIP(6);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 318:
      if (lookahead == 'n') SKIP(48);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 319:
      if (lookahead == 'n') SKIP(49);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 320:
      if (lookahead == 'n') SKIP(88);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 321:
      if (lookahead == 'n') SKIP(89);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 322:
      if (lookahead == 'n') SKIP(90);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 323:
      if (lookahead == 'n') SKIP(91);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 324:
      if (lookahead == 'n') SKIP(184);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 325:
      if (lookahead == 'n') SKIP(95);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 326:
      if (lookahead == 'n') SKIP(27);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 327:
      if (lookahead == 'n') SKIP(119);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 328:
      if (lookahead == 'n') SKIP(120);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 329:
      if (lookahead == 'n') SKIP(92);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 330:
      if (lookahead == 'n') SKIP(197);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 331:
      if (lookahead == 'n') SKIP(240);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 332:
      if (lookahead == 'n') SKIP(207);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 333:
      if (lookahead == 'n') SKIP(198);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 334:
      if (lookahead == 'n') SKIP(199);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 335:
      if (lookahead == 'n') SKIP(200);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 336:
      if (lookahead == 'n') SKIP(208);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 337:
      if (lookahead == 'n') SKIP(209);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 338:
      if (lookahead == 'n') SKIP(236);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 339:
      if (lookahead == 'n') SKIP(210);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 340:
      if (lookahead == 'n') SKIP(217);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 341:
      if (lookahead == 'n') SKIP(237);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 342:
      if (lookahead == 'n') SKIP(218);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 343:
      if (lookahead == 'n') SKIP(238);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 344:
      if (lookahead == 'n') SKIP(241);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 345:
      if (lookahead == 'n') SKIP(219);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 346:
      if (lookahead == 'n') SKIP(239);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 347:
      if (lookahead == 'n') SKIP(227);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 348:
      if (lookahead == 'n') SKIP(191);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 349:
      if (lookahead == 'n') SKIP(228);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 350:
      if (lookahead == 'n') SKIP(193);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 351:
      if (lookahead == 'n') SKIP(192);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 352:
      if (lookahead == 'n') SKIP(229);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 353:
      if (lookahead == 'n') SKIP(203);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 354:
      if (lookahead == 'n') SKIP(220);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 355:
      if (lookahead == 'n') SKIP(204);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 356:
      if (lookahead == 'n') SKIP(195);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 357:
      if (lookahead == 'n') SKIP(221);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 358:
      if (lookahead == 'n') SKIP(222);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 359:
      if (lookahead == 'n') SKIP(223);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 360:
      if (lookahead == 'n') SKIP(213);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 361:
      if (lookahead == 'n') SKIP(194);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 362:
      if (lookahead == 'n') SKIP(196);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 363:
      if (lookahead == 'n') SKIP(205);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 364:
      if (lookahead == 'n') SKIP(214);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 365:
      if (lookahead == 'n') SKIP(230);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 366:
      if (lookahead == 'n') SKIP(224);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 367:
      if (lookahead == 'n') SKIP(206);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 368:
      if (lookahead == 'n') SKIP(225);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 369:
      if (lookahead == 'n') SKIP(231);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 370:
      if (lookahead == 'n') SKIP(226);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 371:
      if (lookahead == 'n') SKIP(232);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 372:
      if (lookahead == 'n') SKIP(215);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 373:
      if (lookahead == 'n') SKIP(233);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 374:
      if (lookahead == 'n') SKIP(234);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 375:
      if (lookahead == 'n') SKIP(216);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 376:
      if (lookahead == 'n') SKIP(235);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 377:
      if (lookahead == 'n') ADVANCE(669);
      END_STATE();
    case 378:
      if (lookahead == 'n') ADVANCE(273);
      END_STATE();
    case 379:
      if (lookahead == 'n') ADVANCE(273);
      if (lookahead == 'w') ADVANCE(431);
      END_STATE();
    case 380:
      if (lookahead == 'n') ADVANCE(285);
      END_STATE();
    case 381:
      if (lookahead == 'n') SKIP(252);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 382:
      if (lookahead == 'n') SKIP(186);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 383:
      if (lookahead == 'n') SKIP(242);
      END_STATE();
    case 384:
      if (lookahead == 'n') SKIP(253);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 385:
      if (lookahead == 'n') SKIP(255);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 386:
      if (lookahead == 'n') SKIP(251);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 387:
      if (lookahead == 'n') SKIP(259);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 388:
      if (lookahead == 'n') SKIP(243);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 389:
      if (lookahead == 'n') SKIP(244);
      END_STATE();
    case 390:
      if (lookahead == 'n') SKIP(256);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 391:
      if (lookahead == 'n') SKIP(257);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 392:
      if (lookahead == 'n') SKIP(60);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 393:
      if (lookahead == 'n') SKIP(42);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 394:
      if (lookahead == 'n') SKIP(62);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 395:
      if (lookahead == 'n') SKIP(63);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 396:
      if (lookahead == 'n') SKIP(105);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 397:
      if (lookahead == 'n') SKIP(106);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 398:
      if (lookahead == 'n') SKIP(9);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 399:
      if (lookahead == 'n') SKIP(107);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 400:
      if (lookahead == 'n') SKIP(16);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 401:
      if (lookahead == 'n') SKIP(66);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 402:
      if (lookahead == 'n') SKIP(109);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 403:
      if (lookahead == 'n') SKIP(108);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 404:
      if (lookahead == 'n') SKIP(67);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 405:
      if (lookahead == 'n') SKIP(12);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 406:
      if (lookahead == 'n') SKIP(73);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 407:
      if (lookahead == 'n') SKIP(72);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 408:
      if (lookahead == 'n') SKIP(112);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 409:
      if (lookahead == 'n') SKIP(113);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 410:
      if (lookahead == 'n') SKIP(110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 411:
      if (lookahead == 'n') SKIP(111);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 412:
      if (lookahead == 'n') SKIP(201);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 413:
      if (lookahead == 'n') SKIP(202);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 414:
      if (lookahead == 'n') SKIP(211);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 415:
      if (lookahead == 'n') SKIP(212);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 416:
      if (lookahead == 'n') ADVANCE(433);
      END_STATE();
    case 417:
      if (lookahead == 'n') ADVANCE(286);
      END_STATE();
    case 418:
      if (lookahead == 'n') SKIP(254);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(654);
      END_STATE();
    case 419:
      if (lookahead == 'n') SKIP(61);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 420:
      if (lookahead == 'n') SKIP(43);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 421:
      if (lookahead == 'n') ADVANCE(287);
      END_STATE();
    case 422:
      if (lookahead == 'n') SKIP(64);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 423:
      if (lookahead == 'n') SKIP(65);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(589);
      END_STATE();
    case 424:
      if (lookahead == 'o') ADVANCE(507);
      END_STATE();
    case 425:
      if (lookahead == 'o') ADVANCE(416);
      END_STATE();
    case 426:
      if (lookahead == 'o') ADVANCE(277);
      END_STATE();
    case 427:
      if (lookahead == 'o') ADVANCE(428);
      END_STATE();
    case 428:
      if (lookahead == 'r') ADVANCE(487);
      END_STATE();
    case 429:
      if (lookahead == 'r') ADVANCE(440);
      END_STATE();
    case 430:
      if (lookahead == 'r') ADVANCE(280);
      END_STATE();
    case 431:
      if (lookahead == 'r') ADVANCE(294);
      END_STATE();
    case 432:
      if (lookahead == 's') ADVANCE(293);
      END_STATE();
    case 433:
      if (lookahead == 's') ADVANCE(435);
      END_STATE();
    case 434:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 435:
      if (lookahead == 't') ADVANCE(429);
      END_STATE();
    case 436:
      if (lookahead == 't') ADVANCE(427);
      END_STATE();
    case 437:
      if (lookahead == 't') ADVANCE(282);
      END_STATE();
    case 438:
      if (lookahead == 'u') ADVANCE(274);
      END_STATE();
    case 439:
      if (lookahead == 'u') ADVANCE(298);
      END_STATE();
    case 440:
      if (lookahead == 'u') ADVANCE(276);
      END_STATE();
    case 441:
      if (lookahead == '}') ADVANCE(523);
      END_STATE();
    case 442:
      if (lookahead == '}') ADVANCE(683);
      if (lookahead != 0) ADVANCE(250);
      END_STATE();
    case 443:
      if (lookahead == '}') ADVANCE(519);
      if (lookahead != 0) ADVANCE(190);
      END_STATE();
    case 444:
      if (lookahead == '}') ADVANCE(510);
      END_STATE();
    case 445:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(681);
      END_STATE();
    case 446:
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(655);
      END_STATE();
    case 447:
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 448:
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(589);
      END_STATE();
    case 449:
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(655);
      END_STATE();
    case 450:
      if (eof) ADVANCE(453);
      ADVANCE_MAP(
        '"', 187,
        '(', 497,
        '-', 534,
        '.', 658,
        '0', 586,
        ';', 654,
        '@', 665,
        '\\', 462,
        '_', 518,
        'm', 569,
        '{', 526,
        0x3bb, 464,
        0x2026, 467,
        0x2200, 454,
        0x2983, 512,
        0x2987, 674,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(450);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '}') ADVANCE(589);
      END_STATE();
    case 451:
      if (eof) ADVANCE(453);
      ADVANCE_MAP(
        '#', 262,
        '(', 496,
        ')', 498,
        '-', 247,
        '.', 659,
        '0', 679,
        ':', 469,
        ';', 505,
        '=', 472,
        'C', 265,
      );
      if (lookahead == '\\') SKIP(452);
      if (lookahead == 'c') ADVANCE(425);
      if (lookahead == 'h') ADVANCE(291);
      if (lookahead == 'i') ADVANCE(377);
      if (lookahead == 'm') ADVANCE(426);
      if (lookahead == 'p') ADVANCE(438);
      if (lookahead == 'r') ADVANCE(279);
      if (lookahead == 't') ADVANCE(424);
      if (lookahead == 'u') ADVANCE(432);
      if (lookahead == 'w') ADVANCE(290);
      if (lookahead == '{') ADVANCE(526);
      if (lookahead == '|') ADVANCE(245);
      if (lookahead == '}') ADVANCE(444);
      if (lookahead == 0x2192) ADVANCE(459);
      if (lookahead == 0x2983) ADVANCE(511);
      if (lookahead == 0x2984) ADVANCE(514);
      if (lookahead == 0x2988) ADVANCE(676);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(451);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(680);
      END_STATE();
    case 452:
      if (eof) ADVANCE(453);
      if (lookahead == 'n') SKIP(451);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_u2200);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_u2200);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_u2192);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_u2192);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_u2192);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_u03bb);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_u03bb);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_u03bb);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_u2026);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_u2026);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_COLON);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_EQ);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_with);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_with);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_rewrite);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_rewrite);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_rewrite);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_module);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_module);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_where);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_where);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_where);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_constructor);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_constructor);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_constructor);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_public);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_public);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_using);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_using);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '|') ADVANCE(672);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_hiding);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_hiding);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_hiding);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_renaming);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_renaming);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_renaming);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_to);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_to);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_LBRACE_LBRACE);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_RBRACE_RBRACE);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_u2983);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_u2983);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_u2983);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_u2984);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_u2984);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_u2984);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym__);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym__);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(589);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(sym_pragma);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_LBRACE_DASH_POUND);
      if (lookahead == '#') ADVANCE(261);
      if (lookahead != 0) ADVANCE(190);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_CATCHALL);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_CATCHALL);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_POUND_DASH_RBRACE);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '-') ADVANCE(188);
      if (lookahead == '{') ADVANCE(509);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '-') ADVANCE(189);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '-') ADVANCE(189);
      if (lookahead == '{') ADVANCE(509);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ')') ADVANCE(673);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ')') ADVANCE(673);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(650);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(652);
      if (lookahead == '>') ADVANCE(458);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(652);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(590);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == '0') ADVANCE(586);
      if (lookahead == '>') ADVANCE(457);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(590);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == '0') ADVANCE(586);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(590);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'a') ADVANCE(562);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'b') ADVANCE(561);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'c') ADVANCE(491);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'c') ADVANCE(580);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'd') ADVANCE(582);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'd') ADVANCE(558);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'e') ADVANCE(482);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'e') ADVANCE(585);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'e') ADVANCE(485);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'e') ADVANCE(479);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'e') ADVANCE(565);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'e') ADVANCE(575);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'g') ADVANCE(494);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'g') ADVANCE(500);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'g') ADVANCE(503);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'h') ADVANCE(476);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'h') ADVANCE(547);
      if (lookahead == 'i') ADVANCE(579);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'h') ADVANCE(547);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'i') ADVANCE(541);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'i') ADVANCE(538);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'i') ADVANCE(566);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'i') ADVANCE(581);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'i') ADVANCE(567);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'i') ADVANCE(568);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'l') ADVANCE(542);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'l') ADVANCE(555);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'm') ADVANCE(559);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'n') ADVANCE(576);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'n') ADVANCE(670);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'n') ADVANCE(536);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'n') ADVANCE(548);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'n') ADVANCE(549);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'n') ADVANCE(550);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'o') ADVANCE(540);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'o') ADVANCE(563);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'o') ADVANCE(572);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'r') ADVANCE(488);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'r') ADVANCE(557);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'r') ADVANCE(583);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'r') ADVANCE(544);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 's') ADVANCE(578);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 's') ADVANCE(556);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 't') ADVANCE(574);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 't') ADVANCE(551);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 't') ADVANCE(571);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 't') ADVANCE(545);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'u') ADVANCE(560);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'u') ADVANCE(539);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'u') ADVANCE(537);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'w') ADVANCE(573);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == 'x') ADVANCE(588);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(588);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '.') ADVANCE(685);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ';' ||
          lookahead == '@' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(688);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(590);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'A') ADVANCE(597);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'A') ADVANCE(596);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'C') ADVANCE(594);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'H') ADVANCE(592);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'L') ADVANCE(522);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'L') ADVANCE(595);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'T') ADVANCE(593);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'a') ADVANCE(624);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'b') ADVANCE(622);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'c') ADVANCE(492);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'c') ADVANCE(643);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'd') ADVANCE(646);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'd') ADVANCE(620);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'e') ADVANCE(626);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'e') ADVANCE(486);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'e') ADVANCE(483);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'e') ADVANCE(480);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'e') ADVANCE(648);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'e') ADVANCE(637);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'g') ADVANCE(495);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'g') ADVANCE(501);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'g') ADVANCE(504);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'h') ADVANCE(477);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'h') ADVANCE(609);
      if (lookahead == 'i') ADVANCE(641);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'h') ADVANCE(609);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'i') ADVANCE(603);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'i') ADVANCE(600);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'i') ADVANCE(627);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'i') ADVANCE(644);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'i') ADVANCE(629);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'i') ADVANCE(630);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'l') ADVANCE(617);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'l') ADVANCE(606);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'm') ADVANCE(621);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'n') ADVANCE(671);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'n') ADVANCE(598);
      if (lookahead == 'w') ADVANCE(638);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'n') ADVANCE(610);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'n') ADVANCE(640);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'n') ADVANCE(611);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'n') ADVANCE(612);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'o') ADVANCE(508);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'o') ADVANCE(628);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'o') ADVANCE(602);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'o') ADVANCE(635);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'r') ADVANCE(489);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'r') ADVANCE(647);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'r') ADVANCE(605);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'r') ADVANCE(619);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 's') ADVANCE(618);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 's') ADVANCE(642);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 't') ADVANCE(613);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 't') ADVANCE(636);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 't') ADVANCE(634);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 't') ADVANCE(607);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'u') ADVANCE(599);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'u') ADVANCE(623);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'u') ADVANCE(601);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'w') ADVANCE(638);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == 'x') ADVANCE(653);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(651);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '}') ADVANCE(523);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_id);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(651);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == '.' ||
          lookahead == ';' ||
          lookahead == '@' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(688);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(652);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_id);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(653);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_id);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(aux_sym__qid_token1);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(655);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(aux_sym__qid_token1);
      if (lookahead == '.') ADVANCE(685);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ';' ||
          lookahead == '@' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(688);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(656);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(661);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(264);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(660);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(466);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(652);
      if (lookahead == '0') ADVANCE(649);
      if (lookahead == '>') ADVANCE(458);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(651);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(590);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == '0') ADVANCE(586);
      if (lookahead == '>') ADVANCE(457);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(590);
      if (lookahead == '.') ADVANCE(272);
      if (lookahead == '0') ADVANCE(586);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ')') ADVANCE(673);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ')') ADVANCE(673);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(anon_sym_in);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(anon_sym_LPAREN_PIPE);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(anon_sym_PIPE_RPAREN);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(anon_sym_u2987);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(anon_sym_u2987);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(anon_sym_u2988);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(anon_sym_u2988);
      if (lookahead == '.') ADVANCE(272);
      if ((!eof && set_contains(aux_sym__qid_token1_character_set_2, 9, lookahead))) ADVANCE(589);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(anon_sym_u2988);
      if ((!eof && set_contains(sym_id_character_set_2, 10, lookahead))) ADVANCE(654);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(aux_sym_integer_token1);
      if (lookahead == 'x') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(680);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(aux_sym_integer_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(680);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(aux_sym_integer_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(681);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(aux_sym_literal_token1);
      if (lookahead == '"') ADVANCE(682);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(187);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead != 0) ADVANCE(250);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(687);
      if (lookahead == '_') ADVANCE(686);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('\'' <= lookahead && lookahead <= ')') ||
          lookahead == '.' ||
          lookahead == ';' ||
          lookahead == '@' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(688);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(656);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == '.' ||
          lookahead == ';' ||
          lookahead == '@' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(688);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(656);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(688);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(656);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(688);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'P') ADVANCE(1);
      if (lookahead == 'S') ADVANCE(2);
      if (lookahead == '\\') SKIP(3);
      if (lookahead == 'a') ADVANCE(4);
      if (lookahead == 'c') ADVANCE(5);
      if (lookahead == 'd') ADVANCE(6);
      if (lookahead == 'e') ADVANCE(7);
      if (lookahead == 'f') ADVANCE(8);
      if (lookahead == 'i') ADVANCE(9);
      if (lookahead == 'l') ADVANCE(10);
      if (lookahead == 'm') ADVANCE(11);
      if (lookahead == 'n') ADVANCE(12);
      if (lookahead == 'o') ADVANCE(13);
      if (lookahead == 'p') ADVANCE(14);
      if (lookahead == 'q') ADVANCE(15);
      if (lookahead == 'r') ADVANCE(16);
      if (lookahead == 's') ADVANCE(17);
      if (lookahead == 't') ADVANCE(18);
      if (lookahead == 'u') ADVANCE(19);
      if (lookahead == 'v') ADVANCE(20);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'r') ADVANCE(21);
      END_STATE();
    case 2:
      if (lookahead == 'e') ADVANCE(22);
      END_STATE();
    case 3:
      if (lookahead == 'n') SKIP(0);
      END_STATE();
    case 4:
      if (lookahead == 'b') ADVANCE(23);
      END_STATE();
    case 5:
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 7:
      if (lookahead == 't') ADVANCE(27);
      END_STATE();
    case 8:
      if (lookahead == 'i') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 9:
      if (lookahead == 'm') ADVANCE(30);
      if (lookahead == 'n') ADVANCE(31);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(33);
      if (lookahead == 'u') ADVANCE(34);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(35);
      END_STATE();
    case 13:
      if (lookahead == 'p') ADVANCE(36);
      if (lookahead == 'v') ADVANCE(37);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(39);
      if (lookahead == 'r') ADVANCE(40);
      END_STATE();
    case 15:
      if (lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 17:
      if (lookahead == 'y') ADVANCE(43);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(46);
      END_STATE();
    case 21:
      if (lookahead == 'o') ADVANCE(47);
      END_STATE();
    case 22:
      if (lookahead == 't') ADVANCE(48);
      END_STATE();
    case 23:
      if (lookahead == 's') ADVANCE(49);
      END_STATE();
    case 24:
      if (lookahead == 'd') ADVANCE(50);
      if (lookahead == 'i') ADVANCE(51);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(52);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 28:
      if (lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 29:
      if (lookahead == 'r') ADVANCE(55);
      END_STATE();
    case 30:
      if (lookahead == 'p') ADVANCE(56);
      END_STATE();
    case 31:
      if (lookahead == 'd') ADVANCE(57);
      if (lookahead == 'f') ADVANCE(58);
      if (lookahead == 's') ADVANCE(59);
      END_STATE();
    case 32:
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 33:
      if (lookahead == 'c') ADVANCE(61);
      END_STATE();
    case 34:
      if (lookahead == 't') ADVANCE(62);
      END_STATE();
    case 35:
      if (lookahead == '-') ADVANCE(63);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(64);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(65);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(66);
      END_STATE();
    case 39:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 40:
      if (lookahead == 'i') ADVANCE(68);
      if (lookahead == 'o') ADVANCE(69);
      END_STATE();
    case 41:
      if (lookahead == 'o') ADVANCE(70);
      END_STATE();
    case 42:
      if (lookahead == 'c') ADVANCE(71);
      END_STATE();
    case 43:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 44:
      if (lookahead == 'c') ADVANCE(73);
      END_STATE();
    case 45:
      if (lookahead == 'q') ADVANCE(74);
      END_STATE();
    case 46:
      if (lookahead == 'r') ADVANCE(75);
      END_STATE();
    case 47:
      if (lookahead == 'p') ADVANCE(76);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_Set);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 50:
      if (lookahead == 'a') ADVANCE(78);
      END_STATE();
    case 51:
      if (lookahead == 'n') ADVANCE(79);
      END_STATE();
    case 52:
      if (lookahead == 'a') ADVANCE(80);
      END_STATE();
    case 53:
      if (lookahead == '-') ADVANCE(81);
      END_STATE();
    case 54:
      if (lookahead == 'l') ADVANCE(82);
      END_STATE();
    case 55:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 56:
      if (lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 57:
      if (lookahead == 'u') ADVANCE(85);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(86);
      END_STATE();
    case 59:
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 61:
      if (lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 62:
      if (lookahead == 'u') ADVANCE(89);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 64:
      if (lookahead == 'n') ADVANCE(91);
      END_STATE();
    case 65:
      if (lookahead == 'r') ADVANCE(92);
      END_STATE();
    case 66:
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 68:
      if (lookahead == 'm') ADVANCE(95);
      if (lookahead == 'v') ADVANCE(96);
      END_STATE();
    case 69:
      if (lookahead == 'p') ADVANCE(97);
      END_STATE();
    case 70:
      if (lookahead == 't') ADVANCE(98);
      END_STATE();
    case 71:
      if (lookahead == 'o') ADVANCE(99);
      END_STATE();
    case 72:
      if (lookahead == 't') ADVANCE(100);
      END_STATE();
    case 73:
      if (lookahead == 't') ADVANCE(101);
      END_STATE();
    case 74:
      if (lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 75:
      if (lookahead == 'i') ADVANCE(103);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_Prop);
      END_STATE();
    case 77:
      if (lookahead == 'r') ADVANCE(104);
      END_STATE();
    case 78:
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 79:
      if (lookahead == 'd') ADVANCE(106);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_data);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(107);
      END_STATE();
    case 82:
      if (lookahead == 'd') ADVANCE(108);
      END_STATE();
    case 83:
      if (lookahead == 'l') ADVANCE(109);
      END_STATE();
    case 84:
      if (lookahead == 'r') ADVANCE(110);
      END_STATE();
    case 85:
      if (lookahead == 'c') ADVANCE(111);
      END_STATE();
    case 86:
      if (lookahead == 'x') ADVANCE(112);
      END_STATE();
    case 87:
      if (lookahead == 'a') ADVANCE(113);
      END_STATE();
    case 88:
      if (lookahead == 'o') ADVANCE(114);
      END_STATE();
    case 89:
      if (lookahead == 'a') ADVANCE(115);
      END_STATE();
    case 90:
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 92:
      if (lookahead == 'l') ADVANCE(117);
      END_STATE();
    case 93:
      if (lookahead == 'e') ADVANCE(118);
      END_STATE();
    case 94:
      if (lookahead == 'u') ADVANCE(119);
      END_STATE();
    case 95:
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 96:
      if (lookahead == 'a') ADVANCE(121);
      END_STATE();
    case 97:
      if (lookahead == 'N') ADVANCE(122);
      END_STATE();
    case 98:
      if (lookahead == 'e') ADVANCE(123);
      END_STATE();
    case 99:
      if (lookahead == 'r') ADVANCE(124);
      END_STATE();
    case 100:
      if (lookahead == 'a') ADVANCE(125);
      END_STATE();
    case 101:
      if (lookahead == 'i') ADVANCE(126);
      END_STATE();
    case 102:
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(128);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(129);
      END_STATE();
    case 105:
      if (lookahead == 'a') ADVANCE(130);
      END_STATE();
    case 106:
      if (lookahead == 'u') ADVANCE(131);
      END_STATE();
    case 107:
      if (lookahead == 'q') ADVANCE(132);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_field);
      END_STATE();
    case 109:
      if (lookahead == 'l') ADVANCE(133);
      END_STATE();
    case 110:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 111:
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_infix);
      if (lookahead == 'l') ADVANCE(136);
      if (lookahead == 'r') ADVANCE(137);
      END_STATE();
    case 113:
      if (lookahead == 'n') ADVANCE(138);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_macro);
      END_STATE();
    case 115:
      if (lookahead == 'l') ADVANCE(139);
      END_STATE();
    case 116:
      if (lookahead == 'a') ADVANCE(140);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(141);
      END_STATE();
    case 118:
      if (lookahead == 'r') ADVANCE(142);
      END_STATE();
    case 119:
      if (lookahead == 'l') ADVANCE(143);
      END_STATE();
    case 120:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 121:
      if (lookahead == 't') ADVANCE(145);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_PropN);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_quote);
      if (lookahead == 'C') ADVANCE(146);
      if (lookahead == 'G') ADVANCE(147);
      if (lookahead == 'T') ADVANCE(148);
      END_STATE();
    case 124:
      if (lookahead == 'd') ADVANCE(149);
      END_STATE();
    case 125:
      if (lookahead == 'x') ADVANCE(150);
      END_STATE();
    case 126:
      if (lookahead == 'c') ADVANCE(151);
      END_STATE();
    case 127:
      if (lookahead == 't') ADVANCE(152);
      END_STATE();
    case 128:
      if (lookahead == 'b') ADVANCE(153);
      END_STATE();
    case 129:
      if (lookahead == 'c') ADVANCE(154);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_codata);
      END_STATE();
    case 131:
      if (lookahead == 'c') ADVANCE(155);
      END_STATE();
    case 132:
      if (lookahead == 'u') ADVANCE(156);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_forall);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 135:
      if (lookahead == 'i') ADVANCE(157);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_infixl);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_infixr);
      END_STATE();
    case 138:
      if (lookahead == 'c') ADVANCE(158);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_mutual);
      END_STATE();
    case 140:
      if (lookahead == '-') ADVANCE(159);
      END_STATE();
    case 141:
      if (lookahead == 'p') ADVANCE(160);
      END_STATE();
    case 142:
      if (lookahead == 'n') ADVANCE(161);
      END_STATE();
    case 143:
      if (lookahead == 'a') ADVANCE(162);
      END_STATE();
    case 144:
      if (lookahead == 'i') ADVANCE(163);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(164);
      END_STATE();
    case 146:
      if (lookahead == 'o') ADVANCE(165);
      END_STATE();
    case 147:
      if (lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_record);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_syntax);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_tactic);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(168);
      END_STATE();
    case 153:
      if (lookahead == 'l') ADVANCE(169);
      END_STATE();
    case 154:
      if (lookahead == 't') ADVANCE(170);
      END_STATE();
    case 155:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 156:
      if (lookahead == 'a') ADVANCE(172);
      END_STATE();
    case 157:
      if (lookahead == 'v') ADVANCE(173);
      END_STATE();
    case 158:
      if (lookahead == 'e') ADVANCE(174);
      END_STATE();
    case 159:
      if (lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_overlap);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_pattern);
      END_STATE();
    case 162:
      if (lookahead == 't') ADVANCE(176);
      END_STATE();
    case 163:
      if (lookahead == 'v') ADVANCE(177);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 165:
      if (lookahead == 'n') ADVANCE(178);
      END_STATE();
    case 166:
      if (lookahead == 'a') ADVANCE(179);
      END_STATE();
    case 167:
      if (lookahead == 'r') ADVANCE(180);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_unquote);
      if (lookahead == 'D') ADVANCE(181);
      END_STATE();
    case 169:
      if (lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 171:
      if (lookahead == 'i') ADVANCE(183);
      END_STATE();
    case 172:
      if (lookahead == 'l') ADVANCE(184);
      END_STATE();
    case 173:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_instance);
      END_STATE();
    case 175:
      if (lookahead == 'q') ADVANCE(186);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 177:
      if (lookahead == 'e') ADVANCE(188);
      END_STATE();
    case 178:
      if (lookahead == 't') ADVANCE(189);
      END_STATE();
    case 179:
      if (lookahead == 'l') ADVANCE(190);
      END_STATE();
    case 180:
      if (lookahead == 'm') ADVANCE(191);
      END_STATE();
    case 181:
      if (lookahead == 'e') ADVANCE(192);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_variable);
      END_STATE();
    case 183:
      if (lookahead == 'v') ADVANCE(193);
      END_STATE();
    case 184:
      if (lookahead == 'i') ADVANCE(194);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_inductive);
      END_STATE();
    case 186:
      if (lookahead == 'u') ADVANCE(195);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_postulate);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_primitive);
      END_STATE();
    case 189:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_quoteGoal);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_quoteTerm);
      END_STATE();
    case 192:
      if (lookahead == 'c') ADVANCE(197);
      if (lookahead == 'f') ADVANCE(198);
      END_STATE();
    case 193:
      if (lookahead == 'e') ADVANCE(199);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(200);
      END_STATE();
    case 195:
      if (lookahead == 'a') ADVANCE(201);
      END_STATE();
    case 196:
      if (lookahead == 'x') ADVANCE(202);
      END_STATE();
    case 197:
      if (lookahead == 'l') ADVANCE(203);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_unquoteDef);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_coinductive);
      END_STATE();
    case 200:
      if (lookahead == 'y') ADVANCE(204);
      END_STATE();
    case 201:
      if (lookahead == 'l') ADVANCE(205);
      END_STATE();
    case 202:
      if (lookahead == 't') ADVANCE(206);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_unquoteDecl);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_eta_DASHequality);
      END_STATE();
    case 205:
      if (lookahead == 'i') ADVANCE(207);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_quoteContext);
      END_STATE();
    case 207:
      if (lookahead == 't') ADVANCE(208);
      END_STATE();
    case 208:
      if (lookahead == 'y') ADVANCE(209);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_no_DASHeta_DASHequality);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 450},
  [2] = {.lex_state = 114, .external_lex_state = 2},
  [3] = {.lex_state = 114, .external_lex_state = 2},
  [4] = {.lex_state = 114},
  [5] = {.lex_state = 450, .external_lex_state = 3},
  [6] = {.lex_state = 450, .external_lex_state = 3},
  [7] = {.lex_state = 450, .external_lex_state = 3},
  [8] = {.lex_state = 450, .external_lex_state = 3},
  [9] = {.lex_state = 450, .external_lex_state = 3},
  [10] = {.lex_state = 450, .external_lex_state = 3},
  [11] = {.lex_state = 450, .external_lex_state = 3},
  [12] = {.lex_state = 450, .external_lex_state = 3},
  [13] = {.lex_state = 450, .external_lex_state = 3},
  [14] = {.lex_state = 450, .external_lex_state = 3},
  [15] = {.lex_state = 450, .external_lex_state = 3},
  [16] = {.lex_state = 450, .external_lex_state = 3},
  [17] = {.lex_state = 450, .external_lex_state = 3},
  [18] = {.lex_state = 450, .external_lex_state = 3},
  [19] = {.lex_state = 450, .external_lex_state = 3},
  [20] = {.lex_state = 450, .external_lex_state = 3},
  [21] = {.lex_state = 450, .external_lex_state = 3},
  [22] = {.lex_state = 450, .external_lex_state = 3},
  [23] = {.lex_state = 450, .external_lex_state = 3},
  [24] = {.lex_state = 450, .external_lex_state = 3},
  [25] = {.lex_state = 450, .external_lex_state = 3},
  [26] = {.lex_state = 450, .external_lex_state = 3},
  [27] = {.lex_state = 450, .external_lex_state = 3},
  [28] = {.lex_state = 450, .external_lex_state = 3},
  [29] = {.lex_state = 450, .external_lex_state = 3},
  [30] = {.lex_state = 450, .external_lex_state = 3},
  [31] = {.lex_state = 450, .external_lex_state = 3},
  [32] = {.lex_state = 450, .external_lex_state = 3},
  [33] = {.lex_state = 450, .external_lex_state = 3},
  [34] = {.lex_state = 450, .external_lex_state = 3},
  [35] = {.lex_state = 450, .external_lex_state = 3},
  [36] = {.lex_state = 450, .external_lex_state = 3},
  [37] = {.lex_state = 450, .external_lex_state = 3},
  [38] = {.lex_state = 450, .external_lex_state = 3},
  [39] = {.lex_state = 450, .external_lex_state = 3},
  [40] = {.lex_state = 450, .external_lex_state = 3},
  [41] = {.lex_state = 450, .external_lex_state = 3},
  [42] = {.lex_state = 450, .external_lex_state = 3},
  [43] = {.lex_state = 450, .external_lex_state = 3},
  [44] = {.lex_state = 450, .external_lex_state = 3},
  [45] = {.lex_state = 450, .external_lex_state = 3},
  [46] = {.lex_state = 450, .external_lex_state = 3},
  [47] = {.lex_state = 450, .external_lex_state = 3},
  [48] = {.lex_state = 450, .external_lex_state = 3},
  [49] = {.lex_state = 450, .external_lex_state = 3},
  [50] = {.lex_state = 450, .external_lex_state = 3},
  [51] = {.lex_state = 450, .external_lex_state = 3},
  [52] = {.lex_state = 450, .external_lex_state = 3},
  [53] = {.lex_state = 450, .external_lex_state = 3},
  [54] = {.lex_state = 450, .external_lex_state = 3},
  [55] = {.lex_state = 450, .external_lex_state = 3},
  [56] = {.lex_state = 450, .external_lex_state = 3},
  [57] = {.lex_state = 450, .external_lex_state = 3},
  [58] = {.lex_state = 450, .external_lex_state = 3},
  [59] = {.lex_state = 450, .external_lex_state = 3},
  [60] = {.lex_state = 450, .external_lex_state = 3},
  [61] = {.lex_state = 450, .external_lex_state = 3},
  [62] = {.lex_state = 450, .external_lex_state = 3},
  [63] = {.lex_state = 450, .external_lex_state = 3},
  [64] = {.lex_state = 450, .external_lex_state = 3},
  [65] = {.lex_state = 450, .external_lex_state = 2},
  [66] = {.lex_state = 450, .external_lex_state = 3},
  [67] = {.lex_state = 450, .external_lex_state = 3},
  [68] = {.lex_state = 450, .external_lex_state = 3},
  [69] = {.lex_state = 450, .external_lex_state = 3},
  [70] = {.lex_state = 450, .external_lex_state = 3},
  [71] = {.lex_state = 450, .external_lex_state = 3},
  [72] = {.lex_state = 450, .external_lex_state = 3},
  [73] = {.lex_state = 450, .external_lex_state = 2},
  [74] = {.lex_state = 450, .external_lex_state = 3},
  [75] = {.lex_state = 450, .external_lex_state = 3},
  [76] = {.lex_state = 450, .external_lex_state = 3},
  [77] = {.lex_state = 450, .external_lex_state = 2},
  [78] = {.lex_state = 450, .external_lex_state = 3},
  [79] = {.lex_state = 450, .external_lex_state = 3},
  [80] = {.lex_state = 450, .external_lex_state = 2},
  [81] = {.lex_state = 450, .external_lex_state = 3},
  [82] = {.lex_state = 450, .external_lex_state = 3},
  [83] = {.lex_state = 450, .external_lex_state = 3},
  [84] = {.lex_state = 450, .external_lex_state = 2},
  [85] = {.lex_state = 450, .external_lex_state = 3},
  [86] = {.lex_state = 450},
  [87] = {.lex_state = 450, .external_lex_state = 3},
  [88] = {.lex_state = 450},
  [89] = {.lex_state = 450, .external_lex_state = 3},
  [90] = {.lex_state = 450, .external_lex_state = 3},
  [91] = {.lex_state = 450, .external_lex_state = 3},
  [92] = {.lex_state = 450, .external_lex_state = 3},
  [93] = {.lex_state = 450, .external_lex_state = 3},
  [94] = {.lex_state = 450, .external_lex_state = 3},
  [95] = {.lex_state = 450, .external_lex_state = 3},
  [96] = {.lex_state = 450, .external_lex_state = 3},
  [97] = {.lex_state = 450, .external_lex_state = 3},
  [98] = {.lex_state = 450, .external_lex_state = 3},
  [99] = {.lex_state = 450, .external_lex_state = 3},
  [100] = {.lex_state = 450, .external_lex_state = 3},
  [101] = {.lex_state = 450, .external_lex_state = 3},
  [102] = {.lex_state = 450, .external_lex_state = 3},
  [103] = {.lex_state = 450, .external_lex_state = 3},
  [104] = {.lex_state = 450, .external_lex_state = 3},
  [105] = {.lex_state = 450, .external_lex_state = 3},
  [106] = {.lex_state = 450, .external_lex_state = 3},
  [107] = {.lex_state = 450, .external_lex_state = 3},
  [108] = {.lex_state = 450, .external_lex_state = 3},
  [109] = {.lex_state = 450, .external_lex_state = 3},
  [110] = {.lex_state = 450, .external_lex_state = 3},
  [111] = {.lex_state = 450, .external_lex_state = 3},
  [112] = {.lex_state = 450, .external_lex_state = 3},
  [113] = {.lex_state = 450, .external_lex_state = 3},
  [114] = {.lex_state = 450, .external_lex_state = 3},
  [115] = {.lex_state = 450, .external_lex_state = 3},
  [116] = {.lex_state = 450},
  [117] = {.lex_state = 450},
  [118] = {.lex_state = 450},
  [119] = {.lex_state = 450},
  [120] = {.lex_state = 450},
  [121] = {.lex_state = 450},
  [122] = {.lex_state = 450},
  [123] = {.lex_state = 450},
  [124] = {.lex_state = 450},
  [125] = {.lex_state = 450},
  [126] = {.lex_state = 450},
  [127] = {.lex_state = 450},
  [128] = {.lex_state = 450},
  [129] = {.lex_state = 450},
  [130] = {.lex_state = 450},
  [131] = {.lex_state = 450},
  [132] = {.lex_state = 450},
  [133] = {.lex_state = 450},
  [134] = {.lex_state = 450},
  [135] = {.lex_state = 450},
  [136] = {.lex_state = 450},
  [137] = {.lex_state = 450},
  [138] = {.lex_state = 450},
  [139] = {.lex_state = 450},
  [140] = {.lex_state = 450},
  [141] = {.lex_state = 450},
  [142] = {.lex_state = 450},
  [143] = {.lex_state = 450},
  [144] = {.lex_state = 450},
  [145] = {.lex_state = 450},
  [146] = {.lex_state = 450},
  [147] = {.lex_state = 450},
  [148] = {.lex_state = 450},
  [149] = {.lex_state = 450},
  [150] = {.lex_state = 450},
  [151] = {.lex_state = 450},
  [152] = {.lex_state = 450},
  [153] = {.lex_state = 450},
  [154] = {.lex_state = 450},
  [155] = {.lex_state = 450},
  [156] = {.lex_state = 450},
  [157] = {.lex_state = 450},
  [158] = {.lex_state = 450},
  [159] = {.lex_state = 450},
  [160] = {.lex_state = 450},
  [161] = {.lex_state = 450},
  [162] = {.lex_state = 450},
  [163] = {.lex_state = 450},
  [164] = {.lex_state = 450},
  [165] = {.lex_state = 450},
  [166] = {.lex_state = 450},
  [167] = {.lex_state = 450},
  [168] = {.lex_state = 450},
  [169] = {.lex_state = 450},
  [170] = {.lex_state = 450},
  [171] = {.lex_state = 450},
  [172] = {.lex_state = 450},
  [173] = {.lex_state = 450},
  [174] = {.lex_state = 450},
  [175] = {.lex_state = 450},
  [176] = {.lex_state = 450},
  [177] = {.lex_state = 450},
  [178] = {.lex_state = 450},
  [179] = {.lex_state = 450},
  [180] = {.lex_state = 450},
  [181] = {.lex_state = 450},
  [182] = {.lex_state = 450},
  [183] = {.lex_state = 450},
  [184] = {.lex_state = 450},
  [185] = {.lex_state = 450},
  [186] = {.lex_state = 450},
  [187] = {.lex_state = 450},
  [188] = {.lex_state = 450},
  [189] = {.lex_state = 450},
  [190] = {.lex_state = 450},
  [191] = {.lex_state = 450},
  [192] = {.lex_state = 450},
  [193] = {.lex_state = 450},
  [194] = {.lex_state = 450},
  [195] = {.lex_state = 450},
  [196] = {.lex_state = 450},
  [197] = {.lex_state = 450},
  [198] = {.lex_state = 450},
  [199] = {.lex_state = 450},
  [200] = {.lex_state = 450},
  [201] = {.lex_state = 450},
  [202] = {.lex_state = 450},
  [203] = {.lex_state = 450},
  [204] = {.lex_state = 450},
  [205] = {.lex_state = 450},
  [206] = {.lex_state = 450},
  [207] = {.lex_state = 450},
  [208] = {.lex_state = 450},
  [209] = {.lex_state = 450},
  [210] = {.lex_state = 450},
  [211] = {.lex_state = 450},
  [212] = {.lex_state = 450},
  [213] = {.lex_state = 450},
  [214] = {.lex_state = 450},
  [215] = {.lex_state = 450},
  [216] = {.lex_state = 450},
  [217] = {.lex_state = 450},
  [218] = {.lex_state = 450},
  [219] = {.lex_state = 450},
  [220] = {.lex_state = 450},
  [221] = {.lex_state = 450},
  [222] = {.lex_state = 450},
  [223] = {.lex_state = 450},
  [224] = {.lex_state = 450},
  [225] = {.lex_state = 450},
  [226] = {.lex_state = 450},
  [227] = {.lex_state = 450},
  [228] = {.lex_state = 450},
  [229] = {.lex_state = 450},
  [230] = {.lex_state = 450},
  [231] = {.lex_state = 450},
  [232] = {.lex_state = 450},
  [233] = {.lex_state = 450},
  [234] = {.lex_state = 450},
  [235] = {.lex_state = 450},
  [236] = {.lex_state = 450},
  [237] = {.lex_state = 450},
  [238] = {.lex_state = 450},
  [239] = {.lex_state = 450},
  [240] = {.lex_state = 450},
  [241] = {.lex_state = 450},
  [242] = {.lex_state = 450},
  [243] = {.lex_state = 450},
  [244] = {.lex_state = 450},
  [245] = {.lex_state = 450},
  [246] = {.lex_state = 450},
  [247] = {.lex_state = 450},
  [248] = {.lex_state = 450},
  [249] = {.lex_state = 450},
  [250] = {.lex_state = 450},
  [251] = {.lex_state = 450},
  [252] = {.lex_state = 450},
  [253] = {.lex_state = 450},
  [254] = {.lex_state = 450},
  [255] = {.lex_state = 450},
  [256] = {.lex_state = 450},
  [257] = {.lex_state = 450},
  [258] = {.lex_state = 450},
  [259] = {.lex_state = 450},
  [260] = {.lex_state = 121},
  [261] = {.lex_state = 121},
  [262] = {.lex_state = 121},
  [263] = {.lex_state = 121},
  [264] = {.lex_state = 121},
  [265] = {.lex_state = 121},
  [266] = {.lex_state = 121},
  [267] = {.lex_state = 121},
  [268] = {.lex_state = 121},
  [269] = {.lex_state = 121},
  [270] = {.lex_state = 121},
  [271] = {.lex_state = 121},
  [272] = {.lex_state = 121},
  [273] = {.lex_state = 121},
  [274] = {.lex_state = 121},
  [275] = {.lex_state = 121},
  [276] = {.lex_state = 121},
  [277] = {.lex_state = 121},
  [278] = {.lex_state = 121},
  [279] = {.lex_state = 2, .external_lex_state = 2},
  [280] = {.lex_state = 121},
  [281] = {.lex_state = 121},
  [282] = {.lex_state = 121},
  [283] = {.lex_state = 121},
  [284] = {.lex_state = 121},
  [285] = {.lex_state = 121},
  [286] = {.lex_state = 121},
  [287] = {.lex_state = 121},
  [288] = {.lex_state = 121},
  [289] = {.lex_state = 2, .external_lex_state = 2},
  [290] = {.lex_state = 121},
  [291] = {.lex_state = 121},
  [292] = {.lex_state = 121},
  [293] = {.lex_state = 121},
  [294] = {.lex_state = 121},
  [295] = {.lex_state = 121},
  [296] = {.lex_state = 121},
  [297] = {.lex_state = 121},
  [298] = {.lex_state = 121},
  [299] = {.lex_state = 2, .external_lex_state = 2},
  [300] = {.lex_state = 121},
  [301] = {.lex_state = 121},
  [302] = {.lex_state = 121},
  [303] = {.lex_state = 121},
  [304] = {.lex_state = 121},
  [305] = {.lex_state = 121},
  [306] = {.lex_state = 121},
  [307] = {.lex_state = 121},
  [308] = {.lex_state = 121},
  [309] = {.lex_state = 2, .external_lex_state = 2},
  [310] = {.lex_state = 121},
  [311] = {.lex_state = 121},
  [312] = {.lex_state = 121},
  [313] = {.lex_state = 121},
  [314] = {.lex_state = 121},
  [315] = {.lex_state = 121},
  [316] = {.lex_state = 2},
  [317] = {.lex_state = 2},
  [318] = {.lex_state = 2},
  [319] = {.lex_state = 123},
  [320] = {.lex_state = 122},
  [321] = {.lex_state = 2},
  [322] = {.lex_state = 123},
  [323] = {.lex_state = 124},
  [324] = {.lex_state = 122},
  [325] = {.lex_state = 123},
  [326] = {.lex_state = 124},
  [327] = {.lex_state = 122},
  [328] = {.lex_state = 2},
  [329] = {.lex_state = 123},
  [330] = {.lex_state = 124},
  [331] = {.lex_state = 122},
  [332] = {.lex_state = 123},
  [333] = {.lex_state = 124},
  [334] = {.lex_state = 122},
  [335] = {.lex_state = 2},
  [336] = {.lex_state = 123},
  [337] = {.lex_state = 124},
  [338] = {.lex_state = 122},
  [339] = {.lex_state = 123},
  [340] = {.lex_state = 124},
  [341] = {.lex_state = 122},
  [342] = {.lex_state = 2},
  [343] = {.lex_state = 123},
  [344] = {.lex_state = 124},
  [345] = {.lex_state = 122},
  [346] = {.lex_state = 123},
  [347] = {.lex_state = 124},
  [348] = {.lex_state = 122},
  [349] = {.lex_state = 2},
  [350] = {.lex_state = 123},
  [351] = {.lex_state = 124},
  [352] = {.lex_state = 122},
  [353] = {.lex_state = 123},
  [354] = {.lex_state = 124},
  [355] = {.lex_state = 122},
  [356] = {.lex_state = 2},
  [357] = {.lex_state = 123},
  [358] = {.lex_state = 124},
  [359] = {.lex_state = 122},
  [360] = {.lex_state = 123},
  [361] = {.lex_state = 124},
  [362] = {.lex_state = 122},
  [363] = {.lex_state = 2},
  [364] = {.lex_state = 123},
  [365] = {.lex_state = 124},
  [366] = {.lex_state = 122},
  [367] = {.lex_state = 123},
  [368] = {.lex_state = 124},
  [369] = {.lex_state = 122},
  [370] = {.lex_state = 2},
  [371] = {.lex_state = 123},
  [372] = {.lex_state = 124},
  [373] = {.lex_state = 122},
  [374] = {.lex_state = 123},
  [375] = {.lex_state = 124},
  [376] = {.lex_state = 122},
  [377] = {.lex_state = 2},
  [378] = {.lex_state = 123},
  [379] = {.lex_state = 124},
  [380] = {.lex_state = 122},
  [381] = {.lex_state = 123},
  [382] = {.lex_state = 124},
  [383] = {.lex_state = 122},
  [384] = {.lex_state = 2},
  [385] = {.lex_state = 123},
  [386] = {.lex_state = 124},
  [387] = {.lex_state = 122},
  [388] = {.lex_state = 123},
  [389] = {.lex_state = 124},
  [390] = {.lex_state = 122},
  [391] = {.lex_state = 2},
  [392] = {.lex_state = 123},
  [393] = {.lex_state = 124},
  [394] = {.lex_state = 122},
  [395] = {.lex_state = 123},
  [396] = {.lex_state = 124},
  [397] = {.lex_state = 122},
  [398] = {.lex_state = 2},
  [399] = {.lex_state = 123},
  [400] = {.lex_state = 124},
  [401] = {.lex_state = 122},
  [402] = {.lex_state = 123},
  [403] = {.lex_state = 124},
  [404] = {.lex_state = 122},
  [405] = {.lex_state = 2},
  [406] = {.lex_state = 123},
  [407] = {.lex_state = 124},
  [408] = {.lex_state = 122},
  [409] = {.lex_state = 123},
  [410] = {.lex_state = 124},
  [411] = {.lex_state = 122},
  [412] = {.lex_state = 2},
  [413] = {.lex_state = 123},
  [414] = {.lex_state = 124},
  [415] = {.lex_state = 122},
  [416] = {.lex_state = 123},
  [417] = {.lex_state = 124},
  [418] = {.lex_state = 122},
  [419] = {.lex_state = 2},
  [420] = {.lex_state = 123},
  [421] = {.lex_state = 124},
  [422] = {.lex_state = 122},
  [423] = {.lex_state = 123},
  [424] = {.lex_state = 124},
  [425] = {.lex_state = 122},
  [426] = {.lex_state = 2},
  [427] = {.lex_state = 123},
  [428] = {.lex_state = 124},
  [429] = {.lex_state = 122},
  [430] = {.lex_state = 123},
  [431] = {.lex_state = 124},
  [432] = {.lex_state = 122},
  [433] = {.lex_state = 124},
  [434] = {.lex_state = 2},
  [435] = {.lex_state = 123},
  [436] = {.lex_state = 124},
  [437] = {.lex_state = 122},
  [438] = {.lex_state = 123},
  [439] = {.lex_state = 124},
  [440] = {.lex_state = 122},
  [441] = {.lex_state = 2},
  [442] = {.lex_state = 123},
  [443] = {.lex_state = 124},
  [444] = {.lex_state = 122},
  [445] = {.lex_state = 123},
  [446] = {.lex_state = 124},
  [447] = {.lex_state = 122},
  [448] = {.lex_state = 122},
  [449] = {.lex_state = 2},
  [450] = {.lex_state = 124},
  [451] = {.lex_state = 114, .external_lex_state = 2},
  [452] = {.lex_state = 122},
  [453] = {.lex_state = 2},
  [454] = {.lex_state = 123},
  [455] = {.lex_state = 124},
  [456] = {.lex_state = 122},
  [457] = {.lex_state = 123},
  [458] = {.lex_state = 124},
  [459] = {.lex_state = 122},
  [460] = {.lex_state = 123},
  [461] = {.lex_state = 2},
  [462] = {.lex_state = 123},
  [463] = {.lex_state = 124},
  [464] = {.lex_state = 122},
  [465] = {.lex_state = 123},
  [466] = {.lex_state = 124},
  [467] = {.lex_state = 122},
  [468] = {.lex_state = 2},
  [469] = {.lex_state = 123},
  [470] = {.lex_state = 124},
  [471] = {.lex_state = 122},
  [472] = {.lex_state = 123},
  [473] = {.lex_state = 124},
  [474] = {.lex_state = 122},
  [475] = {.lex_state = 2},
  [476] = {.lex_state = 123},
  [477] = {.lex_state = 124},
  [478] = {.lex_state = 122},
  [479] = {.lex_state = 124},
  [480] = {.lex_state = 124},
  [481] = {.lex_state = 122},
  [482] = {.lex_state = 2},
  [483] = {.lex_state = 123},
  [484] = {.lex_state = 124},
  [485] = {.lex_state = 122},
  [486] = {.lex_state = 123},
  [487] = {.lex_state = 124},
  [488] = {.lex_state = 122},
  [489] = {.lex_state = 2},
  [490] = {.lex_state = 123},
  [491] = {.lex_state = 124},
  [492] = {.lex_state = 122},
  [493] = {.lex_state = 123},
  [494] = {.lex_state = 124},
  [495] = {.lex_state = 122},
  [496] = {.lex_state = 2},
  [497] = {.lex_state = 123},
  [498] = {.lex_state = 124},
  [499] = {.lex_state = 122},
  [500] = {.lex_state = 123},
  [501] = {.lex_state = 124},
  [502] = {.lex_state = 122},
  [503] = {.lex_state = 2},
  [504] = {.lex_state = 123},
  [505] = {.lex_state = 124},
  [506] = {.lex_state = 122},
  [507] = {.lex_state = 123},
  [508] = {.lex_state = 124},
  [509] = {.lex_state = 122},
  [510] = {.lex_state = 2},
  [511] = {.lex_state = 123},
  [512] = {.lex_state = 124},
  [513] = {.lex_state = 122},
  [514] = {.lex_state = 123},
  [515] = {.lex_state = 124},
  [516] = {.lex_state = 122},
  [517] = {.lex_state = 2},
  [518] = {.lex_state = 123},
  [519] = {.lex_state = 124},
  [520] = {.lex_state = 122},
  [521] = {.lex_state = 123},
  [522] = {.lex_state = 124},
  [523] = {.lex_state = 122},
  [524] = {.lex_state = 2},
  [525] = {.lex_state = 123},
  [526] = {.lex_state = 124},
  [527] = {.lex_state = 122},
  [528] = {.lex_state = 123},
  [529] = {.lex_state = 124},
  [530] = {.lex_state = 122},
  [531] = {.lex_state = 2},
  [532] = {.lex_state = 123},
  [533] = {.lex_state = 124},
  [534] = {.lex_state = 122},
  [535] = {.lex_state = 123},
  [536] = {.lex_state = 124},
  [537] = {.lex_state = 122},
  [538] = {.lex_state = 2},
  [539] = {.lex_state = 123},
  [540] = {.lex_state = 124},
  [541] = {.lex_state = 122},
  [542] = {.lex_state = 123},
  [543] = {.lex_state = 124},
  [544] = {.lex_state = 122},
  [545] = {.lex_state = 2},
  [546] = {.lex_state = 123},
  [547] = {.lex_state = 124},
  [548] = {.lex_state = 122},
  [549] = {.lex_state = 123},
  [550] = {.lex_state = 124},
  [551] = {.lex_state = 122},
  [552] = {.lex_state = 2},
  [553] = {.lex_state = 123},
  [554] = {.lex_state = 124},
  [555] = {.lex_state = 122},
  [556] = {.lex_state = 123},
  [557] = {.lex_state = 124},
  [558] = {.lex_state = 122},
  [559] = {.lex_state = 2},
  [560] = {.lex_state = 123},
  [561] = {.lex_state = 124},
  [562] = {.lex_state = 122},
  [563] = {.lex_state = 123},
  [564] = {.lex_state = 124},
  [565] = {.lex_state = 122},
  [566] = {.lex_state = 2},
  [567] = {.lex_state = 123},
  [568] = {.lex_state = 124},
  [569] = {.lex_state = 122},
  [570] = {.lex_state = 123},
  [571] = {.lex_state = 124},
  [572] = {.lex_state = 122},
  [573] = {.lex_state = 2},
  [574] = {.lex_state = 123},
  [575] = {.lex_state = 124},
  [576] = {.lex_state = 122},
  [577] = {.lex_state = 123},
  [578] = {.lex_state = 124},
  [579] = {.lex_state = 122},
  [580] = {.lex_state = 2},
  [581] = {.lex_state = 123},
  [582] = {.lex_state = 124},
  [583] = {.lex_state = 122},
  [584] = {.lex_state = 123},
  [585] = {.lex_state = 124},
  [586] = {.lex_state = 122},
  [587] = {.lex_state = 2},
  [588] = {.lex_state = 123},
  [589] = {.lex_state = 124},
  [590] = {.lex_state = 122},
  [591] = {.lex_state = 123},
  [592] = {.lex_state = 124},
  [593] = {.lex_state = 122},
  [594] = {.lex_state = 2},
  [595] = {.lex_state = 123},
  [596] = {.lex_state = 124},
  [597] = {.lex_state = 122},
  [598] = {.lex_state = 123},
  [599] = {.lex_state = 124},
  [600] = {.lex_state = 122},
  [601] = {.lex_state = 2},
  [602] = {.lex_state = 123},
  [603] = {.lex_state = 124},
  [604] = {.lex_state = 122},
  [605] = {.lex_state = 123},
  [606] = {.lex_state = 124},
  [607] = {.lex_state = 122},
  [608] = {.lex_state = 2},
  [609] = {.lex_state = 123},
  [610] = {.lex_state = 124},
  [611] = {.lex_state = 122},
  [612] = {.lex_state = 123},
  [613] = {.lex_state = 123},
  [614] = {.lex_state = 2},
  [615] = {.lex_state = 2},
  [616] = {.lex_state = 2},
  [617] = {.lex_state = 29},
  [618] = {.lex_state = 28},
  [619] = {.lex_state = 2},
  [620] = {.lex_state = 2},
  [621] = {.lex_state = 29},
  [622] = {.lex_state = 28},
  [623] = {.lex_state = 2},
  [624] = {.lex_state = 2},
  [625] = {.lex_state = 29},
  [626] = {.lex_state = 28},
  [627] = {.lex_state = 2},
  [628] = {.lex_state = 2},
  [629] = {.lex_state = 29},
  [630] = {.lex_state = 28},
  [631] = {.lex_state = 2},
  [632] = {.lex_state = 2},
  [633] = {.lex_state = 29},
  [634] = {.lex_state = 28},
  [635] = {.lex_state = 2},
  [636] = {.lex_state = 2},
  [637] = {.lex_state = 29},
  [638] = {.lex_state = 28},
  [639] = {.lex_state = 2},
  [640] = {.lex_state = 2},
  [641] = {.lex_state = 29},
  [642] = {.lex_state = 28},
  [643] = {.lex_state = 2},
  [644] = {.lex_state = 2},
  [645] = {.lex_state = 29},
  [646] = {.lex_state = 28},
  [647] = {.lex_state = 2},
  [648] = {.lex_state = 2},
  [649] = {.lex_state = 29},
  [650] = {.lex_state = 28},
  [651] = {.lex_state = 2},
  [652] = {.lex_state = 2},
  [653] = {.lex_state = 29},
  [654] = {.lex_state = 28},
  [655] = {.lex_state = 2},
  [656] = {.lex_state = 2},
  [657] = {.lex_state = 29},
  [658] = {.lex_state = 28},
  [659] = {.lex_state = 2},
  [660] = {.lex_state = 2},
  [661] = {.lex_state = 29},
  [662] = {.lex_state = 28},
  [663] = {.lex_state = 2},
  [664] = {.lex_state = 2},
  [665] = {.lex_state = 29},
  [666] = {.lex_state = 28},
  [667] = {.lex_state = 2},
  [668] = {.lex_state = 2},
  [669] = {.lex_state = 29},
  [670] = {.lex_state = 28},
  [671] = {.lex_state = 2},
  [672] = {.lex_state = 2},
  [673] = {.lex_state = 29},
  [674] = {.lex_state = 28},
  [675] = {.lex_state = 2},
  [676] = {.lex_state = 2},
  [677] = {.lex_state = 29},
  [678] = {.lex_state = 28},
  [679] = {.lex_state = 2},
  [680] = {.lex_state = 2},
  [681] = {.lex_state = 29},
  [682] = {.lex_state = 28},
  [683] = {.lex_state = 2},
  [684] = {.lex_state = 2},
  [685] = {.lex_state = 29},
  [686] = {.lex_state = 28},
  [687] = {.lex_state = 2},
  [688] = {.lex_state = 2},
  [689] = {.lex_state = 29},
  [690] = {.lex_state = 28},
  [691] = {.lex_state = 2},
  [692] = {.lex_state = 2},
  [693] = {.lex_state = 29},
  [694] = {.lex_state = 28},
  [695] = {.lex_state = 2},
  [696] = {.lex_state = 2},
  [697] = {.lex_state = 29},
  [698] = {.lex_state = 28},
  [699] = {.lex_state = 2},
  [700] = {.lex_state = 2},
  [701] = {.lex_state = 29},
  [702] = {.lex_state = 28},
  [703] = {.lex_state = 2},
  [704] = {.lex_state = 2},
  [705] = {.lex_state = 29},
  [706] = {.lex_state = 28},
  [707] = {.lex_state = 2},
  [708] = {.lex_state = 2},
  [709] = {.lex_state = 29},
  [710] = {.lex_state = 28},
  [711] = {.lex_state = 2},
  [712] = {.lex_state = 2},
  [713] = {.lex_state = 29},
  [714] = {.lex_state = 28},
  [715] = {.lex_state = 2},
  [716] = {.lex_state = 2},
  [717] = {.lex_state = 29},
  [718] = {.lex_state = 28},
  [719] = {.lex_state = 2},
  [720] = {.lex_state = 2},
  [721] = {.lex_state = 29},
  [722] = {.lex_state = 28},
  [723] = {.lex_state = 2},
  [724] = {.lex_state = 2},
  [725] = {.lex_state = 29},
  [726] = {.lex_state = 28},
  [727] = {.lex_state = 2},
  [728] = {.lex_state = 2},
  [729] = {.lex_state = 29},
  [730] = {.lex_state = 28},
  [731] = {.lex_state = 2},
  [732] = {.lex_state = 2},
  [733] = {.lex_state = 29},
  [734] = {.lex_state = 28},
  [735] = {.lex_state = 2},
  [736] = {.lex_state = 2},
  [737] = {.lex_state = 29},
  [738] = {.lex_state = 28},
  [739] = {.lex_state = 2},
  [740] = {.lex_state = 2},
  [741] = {.lex_state = 29},
  [742] = {.lex_state = 28},
  [743] = {.lex_state = 2},
  [744] = {.lex_state = 2},
  [745] = {.lex_state = 29},
  [746] = {.lex_state = 28},
  [747] = {.lex_state = 2},
  [748] = {.lex_state = 2},
  [749] = {.lex_state = 29},
  [750] = {.lex_state = 28},
  [751] = {.lex_state = 2},
  [752] = {.lex_state = 2},
  [753] = {.lex_state = 29},
  [754] = {.lex_state = 28},
  [755] = {.lex_state = 2},
  [756] = {.lex_state = 2},
  [757] = {.lex_state = 29},
  [758] = {.lex_state = 28},
  [759] = {.lex_state = 2},
  [760] = {.lex_state = 2},
  [761] = {.lex_state = 29},
  [762] = {.lex_state = 28},
  [763] = {.lex_state = 2},
  [764] = {.lex_state = 2},
  [765] = {.lex_state = 29},
  [766] = {.lex_state = 28},
  [767] = {.lex_state = 2},
  [768] = {.lex_state = 2},
  [769] = {.lex_state = 29},
  [770] = {.lex_state = 28},
  [771] = {.lex_state = 2},
  [772] = {.lex_state = 2},
  [773] = {.lex_state = 29},
  [774] = {.lex_state = 28},
  [775] = {.lex_state = 2},
  [776] = {.lex_state = 2},
  [777] = {.lex_state = 29},
  [778] = {.lex_state = 28},
  [779] = {.lex_state = 2},
  [780] = {.lex_state = 2},
  [781] = {.lex_state = 29},
  [782] = {.lex_state = 28},
  [783] = {.lex_state = 2},
  [784] = {.lex_state = 2},
  [785] = {.lex_state = 29},
  [786] = {.lex_state = 28},
  [787] = {.lex_state = 2},
  [788] = {.lex_state = 2},
  [789] = {.lex_state = 29},
  [790] = {.lex_state = 28},
  [791] = {.lex_state = 2},
  [792] = {.lex_state = 2},
  [793] = {.lex_state = 29},
  [794] = {.lex_state = 28},
  [795] = {.lex_state = 2},
  [796] = {.lex_state = 2},
  [797] = {.lex_state = 29},
  [798] = {.lex_state = 28},
  [799] = {.lex_state = 2},
  [800] = {.lex_state = 2},
  [801] = {.lex_state = 29},
  [802] = {.lex_state = 28},
  [803] = {.lex_state = 2},
  [804] = {.lex_state = 2},
  [805] = {.lex_state = 29},
  [806] = {.lex_state = 28},
  [807] = {.lex_state = 2},
  [808] = {.lex_state = 2},
  [809] = {.lex_state = 29},
  [810] = {.lex_state = 28},
  [811] = {.lex_state = 2},
  [812] = {.lex_state = 2},
  [813] = {.lex_state = 29},
  [814] = {.lex_state = 28},
  [815] = {.lex_state = 2},
  [816] = {.lex_state = 2},
  [817] = {.lex_state = 29},
  [818] = {.lex_state = 28},
  [819] = {.lex_state = 2},
  [820] = {.lex_state = 2},
  [821] = {.lex_state = 29},
  [822] = {.lex_state = 28},
  [823] = {.lex_state = 2},
  [824] = {.lex_state = 2},
  [825] = {.lex_state = 29},
  [826] = {.lex_state = 28},
  [827] = {.lex_state = 2},
  [828] = {.lex_state = 2},
  [829] = {.lex_state = 29},
  [830] = {.lex_state = 28},
  [831] = {.lex_state = 2},
  [832] = {.lex_state = 2},
  [833] = {.lex_state = 29},
  [834] = {.lex_state = 28},
  [835] = {.lex_state = 2},
  [836] = {.lex_state = 2},
  [837] = {.lex_state = 29},
  [838] = {.lex_state = 28},
  [839] = {.lex_state = 2},
  [840] = {.lex_state = 2},
  [841] = {.lex_state = 29},
  [842] = {.lex_state = 28},
  [843] = {.lex_state = 2},
  [844] = {.lex_state = 2},
  [845] = {.lex_state = 29},
  [846] = {.lex_state = 28},
  [847] = {.lex_state = 2},
  [848] = {.lex_state = 2},
  [849] = {.lex_state = 29},
  [850] = {.lex_state = 28},
  [851] = {.lex_state = 2},
  [852] = {.lex_state = 2},
  [853] = {.lex_state = 29},
  [854] = {.lex_state = 28},
  [855] = {.lex_state = 2},
  [856] = {.lex_state = 2},
  [857] = {.lex_state = 29},
  [858] = {.lex_state = 28},
  [859] = {.lex_state = 2},
  [860] = {.lex_state = 2},
  [861] = {.lex_state = 29},
  [862] = {.lex_state = 28},
  [863] = {.lex_state = 2},
  [864] = {.lex_state = 2},
  [865] = {.lex_state = 29},
  [866] = {.lex_state = 28},
  [867] = {.lex_state = 2},
  [868] = {.lex_state = 2},
  [869] = {.lex_state = 29},
  [870] = {.lex_state = 28},
  [871] = {.lex_state = 2},
  [872] = {.lex_state = 2},
  [873] = {.lex_state = 29},
  [874] = {.lex_state = 28},
  [875] = {.lex_state = 2},
  [876] = {.lex_state = 2},
  [877] = {.lex_state = 29},
  [878] = {.lex_state = 28},
  [879] = {.lex_state = 2},
  [880] = {.lex_state = 2},
  [881] = {.lex_state = 29},
  [882] = {.lex_state = 28},
  [883] = {.lex_state = 2},
  [884] = {.lex_state = 2},
  [885] = {.lex_state = 29},
  [886] = {.lex_state = 28},
  [887] = {.lex_state = 2},
  [888] = {.lex_state = 2},
  [889] = {.lex_state = 29},
  [890] = {.lex_state = 28},
  [891] = {.lex_state = 2},
  [892] = {.lex_state = 2},
  [893] = {.lex_state = 29},
  [894] = {.lex_state = 28},
  [895] = {.lex_state = 2},
  [896] = {.lex_state = 2},
  [897] = {.lex_state = 29},
  [898] = {.lex_state = 28},
  [899] = {.lex_state = 2},
  [900] = {.lex_state = 2},
  [901] = {.lex_state = 29},
  [902] = {.lex_state = 28},
  [903] = {.lex_state = 2},
  [904] = {.lex_state = 2},
  [905] = {.lex_state = 29},
  [906] = {.lex_state = 28},
  [907] = {.lex_state = 2},
  [908] = {.lex_state = 2},
  [909] = {.lex_state = 29},
  [910] = {.lex_state = 28},
  [911] = {.lex_state = 2},
  [912] = {.lex_state = 2},
  [913] = {.lex_state = 29},
  [914] = {.lex_state = 28},
  [915] = {.lex_state = 2},
  [916] = {.lex_state = 2},
  [917] = {.lex_state = 29},
  [918] = {.lex_state = 28},
  [919] = {.lex_state = 2},
  [920] = {.lex_state = 2},
  [921] = {.lex_state = 29},
  [922] = {.lex_state = 28},
  [923] = {.lex_state = 2},
  [924] = {.lex_state = 2},
  [925] = {.lex_state = 29},
  [926] = {.lex_state = 28},
  [927] = {.lex_state = 2},
  [928] = {.lex_state = 2},
  [929] = {.lex_state = 29},
  [930] = {.lex_state = 28},
  [931] = {.lex_state = 2},
  [932] = {.lex_state = 2},
  [933] = {.lex_state = 29},
  [934] = {.lex_state = 28},
  [935] = {.lex_state = 2},
  [936] = {.lex_state = 2},
  [937] = {.lex_state = 29},
  [938] = {.lex_state = 28},
  [939] = {.lex_state = 2},
  [940] = {.lex_state = 2},
  [941] = {.lex_state = 29},
  [942] = {.lex_state = 28},
  [943] = {.lex_state = 2},
  [944] = {.lex_state = 2},
  [945] = {.lex_state = 29},
  [946] = {.lex_state = 28},
  [947] = {.lex_state = 2},
  [948] = {.lex_state = 2},
  [949] = {.lex_state = 29},
  [950] = {.lex_state = 28},
  [951] = {.lex_state = 2},
  [952] = {.lex_state = 2},
  [953] = {.lex_state = 29},
  [954] = {.lex_state = 28},
  [955] = {.lex_state = 2},
  [956] = {.lex_state = 2},
  [957] = {.lex_state = 29},
  [958] = {.lex_state = 28},
  [959] = {.lex_state = 2},
  [960] = {.lex_state = 2},
  [961] = {.lex_state = 29},
  [962] = {.lex_state = 28},
  [963] = {.lex_state = 2},
  [964] = {.lex_state = 2},
  [965] = {.lex_state = 29},
  [966] = {.lex_state = 28},
  [967] = {.lex_state = 2},
  [968] = {.lex_state = 2},
  [969] = {.lex_state = 29},
  [970] = {.lex_state = 28},
  [971] = {.lex_state = 2},
  [972] = {.lex_state = 2},
  [973] = {.lex_state = 29},
  [974] = {.lex_state = 28},
  [975] = {.lex_state = 2},
  [976] = {.lex_state = 2},
  [977] = {.lex_state = 29},
  [978] = {.lex_state = 28},
  [979] = {.lex_state = 2},
  [980] = {.lex_state = 2},
  [981] = {.lex_state = 29},
  [982] = {.lex_state = 28},
  [983] = {.lex_state = 2},
  [984] = {.lex_state = 2},
  [985] = {.lex_state = 29},
  [986] = {.lex_state = 28},
  [987] = {.lex_state = 2},
  [988] = {.lex_state = 2},
  [989] = {.lex_state = 29},
  [990] = {.lex_state = 28},
  [991] = {.lex_state = 2},
  [992] = {.lex_state = 2},
  [993] = {.lex_state = 29},
  [994] = {.lex_state = 28},
  [995] = {.lex_state = 2},
  [996] = {.lex_state = 2},
  [997] = {.lex_state = 29},
  [998] = {.lex_state = 28},
  [999] = {.lex_state = 2},
  [1000] = {.lex_state = 2},
  [1001] = {.lex_state = 29},
  [1002] = {.lex_state = 28},
  [1003] = {.lex_state = 2},
  [1004] = {.lex_state = 2},
  [1005] = {.lex_state = 29},
  [1006] = {.lex_state = 28},
  [1007] = {.lex_state = 2},
  [1008] = {.lex_state = 2},
  [1009] = {.lex_state = 29},
  [1010] = {.lex_state = 28},
  [1011] = {.lex_state = 2},
  [1012] = {.lex_state = 2},
  [1013] = {.lex_state = 29},
  [1014] = {.lex_state = 28},
  [1015] = {.lex_state = 2},
  [1016] = {.lex_state = 2},
  [1017] = {.lex_state = 29},
  [1018] = {.lex_state = 28},
  [1019] = {.lex_state = 2},
  [1020] = {.lex_state = 2},
  [1021] = {.lex_state = 29},
  [1022] = {.lex_state = 28},
  [1023] = {.lex_state = 2},
  [1024] = {.lex_state = 2},
  [1025] = {.lex_state = 29},
  [1026] = {.lex_state = 28},
  [1027] = {.lex_state = 2},
  [1028] = {.lex_state = 2},
  [1029] = {.lex_state = 29},
  [1030] = {.lex_state = 28},
  [1031] = {.lex_state = 2},
  [1032] = {.lex_state = 2},
  [1033] = {.lex_state = 29},
  [1034] = {.lex_state = 28},
  [1035] = {.lex_state = 2},
  [1036] = {.lex_state = 2},
  [1037] = {.lex_state = 29},
  [1038] = {.lex_state = 28},
  [1039] = {.lex_state = 2},
  [1040] = {.lex_state = 2},
  [1041] = {.lex_state = 29},
  [1042] = {.lex_state = 28},
  [1043] = {.lex_state = 2},
  [1044] = {.lex_state = 2},
  [1045] = {.lex_state = 29},
  [1046] = {.lex_state = 28},
  [1047] = {.lex_state = 2},
  [1048] = {.lex_state = 2},
  [1049] = {.lex_state = 29},
  [1050] = {.lex_state = 28},
  [1051] = {.lex_state = 2},
  [1052] = {.lex_state = 2},
  [1053] = {.lex_state = 29},
  [1054] = {.lex_state = 28},
  [1055] = {.lex_state = 2},
  [1056] = {.lex_state = 2},
  [1057] = {.lex_state = 29},
  [1058] = {.lex_state = 28},
  [1059] = {.lex_state = 2},
  [1060] = {.lex_state = 2},
  [1061] = {.lex_state = 29},
  [1062] = {.lex_state = 28},
  [1063] = {.lex_state = 2},
  [1064] = {.lex_state = 2},
  [1065] = {.lex_state = 29},
  [1066] = {.lex_state = 28},
  [1067] = {.lex_state = 2},
  [1068] = {.lex_state = 2},
  [1069] = {.lex_state = 29},
  [1070] = {.lex_state = 28},
  [1071] = {.lex_state = 2},
  [1072] = {.lex_state = 2},
  [1073] = {.lex_state = 29},
  [1074] = {.lex_state = 28},
  [1075] = {.lex_state = 2},
  [1076] = {.lex_state = 2},
  [1077] = {.lex_state = 29},
  [1078] = {.lex_state = 28},
  [1079] = {.lex_state = 2},
  [1080] = {.lex_state = 2},
  [1081] = {.lex_state = 29},
  [1082] = {.lex_state = 28},
  [1083] = {.lex_state = 2},
  [1084] = {.lex_state = 2},
  [1085] = {.lex_state = 29},
  [1086] = {.lex_state = 28},
  [1087] = {.lex_state = 2},
  [1088] = {.lex_state = 2},
  [1089] = {.lex_state = 29},
  [1090] = {.lex_state = 28},
  [1091] = {.lex_state = 2},
  [1092] = {.lex_state = 2},
  [1093] = {.lex_state = 29},
  [1094] = {.lex_state = 28},
  [1095] = {.lex_state = 2},
  [1096] = {.lex_state = 2},
  [1097] = {.lex_state = 29},
  [1098] = {.lex_state = 28},
  [1099] = {.lex_state = 2},
  [1100] = {.lex_state = 2},
  [1101] = {.lex_state = 29},
  [1102] = {.lex_state = 28},
  [1103] = {.lex_state = 2},
  [1104] = {.lex_state = 2},
  [1105] = {.lex_state = 29},
  [1106] = {.lex_state = 28},
  [1107] = {.lex_state = 2},
  [1108] = {.lex_state = 29},
  [1109] = {.lex_state = 2},
  [1110] = {.lex_state = 2},
  [1111] = {.lex_state = 29},
  [1112] = {.lex_state = 28},
  [1113] = {.lex_state = 2},
  [1114] = {.lex_state = 28},
  [1115] = {.lex_state = 2},
  [1116] = {.lex_state = 2},
  [1117] = {.lex_state = 29},
  [1118] = {.lex_state = 28},
  [1119] = {.lex_state = 2},
  [1120] = {.lex_state = 2},
  [1121] = {.lex_state = 29},
  [1122] = {.lex_state = 28},
  [1123] = {.lex_state = 2},
  [1124] = {.lex_state = 2},
  [1125] = {.lex_state = 2},
  [1126] = {.lex_state = 2},
  [1127] = {.lex_state = 2},
  [1128] = {.lex_state = 2},
  [1129] = {.lex_state = 2},
  [1130] = {.lex_state = 29},
  [1131] = {.lex_state = 2},
  [1132] = {.lex_state = 2},
  [1133] = {.lex_state = 29},
  [1134] = {.lex_state = 28},
  [1135] = {.lex_state = 2},
  [1136] = {.lex_state = 29},
  [1137] = {.lex_state = 28},
  [1138] = {.lex_state = 2},
  [1139] = {.lex_state = 2},
  [1140] = {.lex_state = 2},
  [1141] = {.lex_state = 2},
  [1142] = {.lex_state = 2},
  [1143] = {.lex_state = 29},
  [1144] = {.lex_state = 29},
  [1145] = {.lex_state = 2},
  [1146] = {.lex_state = 2},
  [1147] = {.lex_state = 29},
  [1148] = {.lex_state = 28},
  [1149] = {.lex_state = 28},
  [1150] = {.lex_state = 2},
  [1151] = {.lex_state = 2},
  [1152] = {.lex_state = 29},
  [1153] = {.lex_state = 2},
  [1154] = {.lex_state = 28},
  [1155] = {.lex_state = 2},
  [1156] = {.lex_state = 2},
  [1157] = {.lex_state = 2},
  [1158] = {.lex_state = 2},
  [1159] = {.lex_state = 29},
  [1160] = {.lex_state = 28},
  [1161] = {.lex_state = 29},
  [1162] = {.lex_state = 28},
  [1163] = {.lex_state = 2},
  [1164] = {.lex_state = 2},
  [1165] = {.lex_state = 2},
  [1166] = {.lex_state = 29},
  [1167] = {.lex_state = 28},
  [1168] = {.lex_state = 29},
  [1169] = {.lex_state = 2},
  [1170] = {.lex_state = 2},
  [1171] = {.lex_state = 29},
  [1172] = {.lex_state = 28},
  [1173] = {.lex_state = 2},
  [1174] = {.lex_state = 28},
  [1175] = {.lex_state = 28},
  [1176] = {.lex_state = 2},
  [1177] = {.lex_state = 2},
  [1178] = {.lex_state = 2},
  [1179] = {.lex_state = 2},
  [1180] = {.lex_state = 2},
  [1181] = {.lex_state = 2},
  [1182] = {.lex_state = 2},
  [1183] = {.lex_state = 29},
  [1184] = {.lex_state = 28},
  [1185] = {.lex_state = 2},
  [1186] = {.lex_state = 2},
  [1187] = {.lex_state = 29},
  [1188] = {.lex_state = 28},
  [1189] = {.lex_state = 2},
  [1190] = {.lex_state = 29},
  [1191] = {.lex_state = 28},
  [1192] = {.lex_state = 2},
  [1193] = {.lex_state = 2},
  [1194] = {.lex_state = 2},
  [1195] = {.lex_state = 29},
  [1196] = {.lex_state = 28},
  [1197] = {.lex_state = 2},
  [1198] = {.lex_state = 2},
  [1199] = {.lex_state = 2},
  [1200] = {.lex_state = 2},
  [1201] = {.lex_state = 2},
  [1202] = {.lex_state = 2},
  [1203] = {.lex_state = 2},
  [1204] = {.lex_state = 2},
  [1205] = {.lex_state = 2},
  [1206] = {.lex_state = 2},
  [1207] = {.lex_state = 29},
  [1208] = {.lex_state = 28},
  [1209] = {.lex_state = 29},
  [1210] = {.lex_state = 28},
  [1211] = {.lex_state = 2},
  [1212] = {.lex_state = 2},
  [1213] = {.lex_state = 2},
  [1214] = {.lex_state = 29},
  [1215] = {.lex_state = 2},
  [1216] = {.lex_state = 2},
  [1217] = {.lex_state = 2},
  [1218] = {.lex_state = 2},
  [1219] = {.lex_state = 29},
  [1220] = {.lex_state = 28},
  [1221] = {.lex_state = 2},
  [1222] = {.lex_state = 29},
  [1223] = {.lex_state = 28},
  [1224] = {.lex_state = 2},
  [1225] = {.lex_state = 2},
  [1226] = {.lex_state = 2},
  [1227] = {.lex_state = 29},
  [1228] = {.lex_state = 28},
  [1229] = {.lex_state = 2},
  [1230] = {.lex_state = 2},
  [1231] = {.lex_state = 29},
  [1232] = {.lex_state = 28},
  [1233] = {.lex_state = 28},
  [1234] = {.lex_state = 2},
  [1235] = {.lex_state = 2},
  [1236] = {.lex_state = 2},
  [1237] = {.lex_state = 2},
  [1238] = {.lex_state = 2},
  [1239] = {.lex_state = 2},
  [1240] = {.lex_state = 29},
  [1241] = {.lex_state = 2},
  [1242] = {.lex_state = 2},
  [1243] = {.lex_state = 29},
  [1244] = {.lex_state = 28},
  [1245] = {.lex_state = 2},
  [1246] = {.lex_state = 28},
  [1247] = {.lex_state = 2},
  [1248] = {.lex_state = 2},
  [1249] = {.lex_state = 2},
  [1250] = {.lex_state = 29},
  [1251] = {.lex_state = 28},
  [1252] = {.lex_state = 2},
  [1253] = {.lex_state = 2},
  [1254] = {.lex_state = 2},
  [1255] = {.lex_state = 29},
  [1256] = {.lex_state = 28},
  [1257] = {.lex_state = 2},
  [1258] = {.lex_state = 29},
  [1259] = {.lex_state = 28},
  [1260] = {.lex_state = 2},
  [1261] = {.lex_state = 2},
  [1262] = {.lex_state = 29},
  [1263] = {.lex_state = 2},
  [1264] = {.lex_state = 2},
  [1265] = {.lex_state = 2},
  [1266] = {.lex_state = 2},
  [1267] = {.lex_state = 29},
  [1268] = {.lex_state = 28},
  [1269] = {.lex_state = 2},
  [1270] = {.lex_state = 2},
  [1271] = {.lex_state = 29},
  [1272] = {.lex_state = 28},
  [1273] = {.lex_state = 2},
  [1274] = {.lex_state = 2},
  [1275] = {.lex_state = 2},
  [1276] = {.lex_state = 29},
  [1277] = {.lex_state = 2},
  [1278] = {.lex_state = 2},
  [1279] = {.lex_state = 29},
  [1280] = {.lex_state = 28},
  [1281] = {.lex_state = 28},
  [1282] = {.lex_state = 2},
  [1283] = {.lex_state = 2},
  [1284] = {.lex_state = 29},
  [1285] = {.lex_state = 2},
  [1286] = {.lex_state = 28},
  [1287] = {.lex_state = 2},
  [1288] = {.lex_state = 2},
  [1289] = {.lex_state = 2},
  [1290] = {.lex_state = 2},
  [1291] = {.lex_state = 29},
  [1292] = {.lex_state = 28},
  [1293] = {.lex_state = 29},
  [1294] = {.lex_state = 28},
  [1295] = {.lex_state = 2},
  [1296] = {.lex_state = 2},
  [1297] = {.lex_state = 2},
  [1298] = {.lex_state = 29},
  [1299] = {.lex_state = 28},
  [1300] = {.lex_state = 2},
  [1301] = {.lex_state = 2},
  [1302] = {.lex_state = 2},
  [1303] = {.lex_state = 29},
  [1304] = {.lex_state = 28},
  [1305] = {.lex_state = 2},
  [1306] = {.lex_state = 29},
  [1307] = {.lex_state = 28},
  [1308] = {.lex_state = 2},
  [1309] = {.lex_state = 2},
  [1310] = {.lex_state = 2},
  [1311] = {.lex_state = 29},
  [1312] = {.lex_state = 28},
  [1313] = {.lex_state = 2},
  [1314] = {.lex_state = 2},
  [1315] = {.lex_state = 29},
  [1316] = {.lex_state = 28},
  [1317] = {.lex_state = 2},
  [1318] = {.lex_state = 2},
  [1319] = {.lex_state = 29},
  [1320] = {.lex_state = 28},
  [1321] = {.lex_state = 2},
  [1322] = {.lex_state = 2},
  [1323] = {.lex_state = 2},
  [1324] = {.lex_state = 29},
  [1325] = {.lex_state = 2},
  [1326] = {.lex_state = 2},
  [1327] = {.lex_state = 29},
  [1328] = {.lex_state = 28},
  [1329] = {.lex_state = 28},
  [1330] = {.lex_state = 2},
  [1331] = {.lex_state = 2},
  [1332] = {.lex_state = 29},
  [1333] = {.lex_state = 2},
  [1334] = {.lex_state = 28},
  [1335] = {.lex_state = 2},
  [1336] = {.lex_state = 2},
  [1337] = {.lex_state = 2},
  [1338] = {.lex_state = 2},
  [1339] = {.lex_state = 29},
  [1340] = {.lex_state = 28},
  [1341] = {.lex_state = 29},
  [1342] = {.lex_state = 28},
  [1343] = {.lex_state = 2},
  [1344] = {.lex_state = 2},
  [1345] = {.lex_state = 2},
  [1346] = {.lex_state = 29},
  [1347] = {.lex_state = 28},
  [1348] = {.lex_state = 2},
  [1349] = {.lex_state = 2},
  [1350] = {.lex_state = 2},
  [1351] = {.lex_state = 29},
  [1352] = {.lex_state = 28},
  [1353] = {.lex_state = 2},
  [1354] = {.lex_state = 29},
  [1355] = {.lex_state = 28},
  [1356] = {.lex_state = 2},
  [1357] = {.lex_state = 2},
  [1358] = {.lex_state = 2},
  [1359] = {.lex_state = 29},
  [1360] = {.lex_state = 28},
  [1361] = {.lex_state = 2},
  [1362] = {.lex_state = 2},
  [1363] = {.lex_state = 29},
  [1364] = {.lex_state = 28},
  [1365] = {.lex_state = 2},
  [1366] = {.lex_state = 2},
  [1367] = {.lex_state = 29},
  [1368] = {.lex_state = 28},
  [1369] = {.lex_state = 2},
  [1370] = {.lex_state = 2},
  [1371] = {.lex_state = 2},
  [1372] = {.lex_state = 29},
  [1373] = {.lex_state = 2},
  [1374] = {.lex_state = 2},
  [1375] = {.lex_state = 29},
  [1376] = {.lex_state = 28},
  [1377] = {.lex_state = 28},
  [1378] = {.lex_state = 2},
  [1379] = {.lex_state = 2},
  [1380] = {.lex_state = 29},
  [1381] = {.lex_state = 2},
  [1382] = {.lex_state = 28},
  [1383] = {.lex_state = 2},
  [1384] = {.lex_state = 2},
  [1385] = {.lex_state = 2},
  [1386] = {.lex_state = 2},
  [1387] = {.lex_state = 29},
  [1388] = {.lex_state = 28},
  [1389] = {.lex_state = 29},
  [1390] = {.lex_state = 28},
  [1391] = {.lex_state = 2},
  [1392] = {.lex_state = 2},
  [1393] = {.lex_state = 2},
  [1394] = {.lex_state = 29},
  [1395] = {.lex_state = 28},
  [1396] = {.lex_state = 2},
  [1397] = {.lex_state = 2},
  [1398] = {.lex_state = 2},
  [1399] = {.lex_state = 2},
  [1400] = {.lex_state = 2},
  [1401] = {.lex_state = 185},
  [1402] = {.lex_state = 2},
  [1403] = {.lex_state = 2},
  [1404] = {.lex_state = 2},
  [1405] = {.lex_state = 2},
  [1406] = {.lex_state = 2},
  [1407] = {.lex_state = 18},
  [1408] = {.lex_state = 2},
  [1409] = {.lex_state = 2},
  [1410] = {.lex_state = 2},
  [1411] = {.lex_state = 2},
  [1412] = {.lex_state = 2},
  [1413] = {.lex_state = 2},
  [1414] = {.lex_state = 2},
  [1415] = {.lex_state = 2},
  [1416] = {.lex_state = 2},
  [1417] = {.lex_state = 2},
  [1418] = {.lex_state = 2},
  [1419] = {.lex_state = 2},
  [1420] = {.lex_state = 2},
  [1421] = {.lex_state = 2},
  [1422] = {.lex_state = 2},
  [1423] = {.lex_state = 2},
  [1424] = {.lex_state = 2},
  [1425] = {.lex_state = 2},
  [1426] = {.lex_state = 18},
  [1427] = {.lex_state = 185},
  [1428] = {.lex_state = 2},
  [1429] = {.lex_state = 2},
  [1430] = {.lex_state = 2},
  [1431] = {.lex_state = 2},
  [1432] = {.lex_state = 2},
  [1433] = {.lex_state = 2},
  [1434] = {.lex_state = 2},
  [1435] = {.lex_state = 2},
  [1436] = {.lex_state = 2},
  [1437] = {.lex_state = 2},
  [1438] = {.lex_state = 2},
  [1439] = {.lex_state = 185},
  [1440] = {.lex_state = 2},
  [1441] = {.lex_state = 2},
  [1442] = {.lex_state = 2},
  [1443] = {.lex_state = 2},
  [1444] = {.lex_state = 2},
  [1445] = {.lex_state = 2},
  [1446] = {.lex_state = 2},
  [1447] = {.lex_state = 2},
  [1448] = {.lex_state = 2},
  [1449] = {.lex_state = 2},
  [1450] = {.lex_state = 2},
  [1451] = {.lex_state = 2},
  [1452] = {.lex_state = 2},
  [1453] = {.lex_state = 2},
  [1454] = {.lex_state = 185},
  [1455] = {.lex_state = 2},
  [1456] = {.lex_state = 2},
  [1457] = {.lex_state = 2},
  [1458] = {.lex_state = 2},
  [1459] = {.lex_state = 2},
  [1460] = {.lex_state = 2},
  [1461] = {.lex_state = 2},
  [1462] = {.lex_state = 2},
  [1463] = {.lex_state = 2},
  [1464] = {.lex_state = 2},
  [1465] = {.lex_state = 2},
  [1466] = {.lex_state = 185},
  [1467] = {.lex_state = 2},
  [1468] = {.lex_state = 2},
  [1469] = {.lex_state = 2},
  [1470] = {.lex_state = 2},
  [1471] = {.lex_state = 2},
  [1472] = {.lex_state = 2},
  [1473] = {.lex_state = 2},
  [1474] = {.lex_state = 2},
  [1475] = {.lex_state = 2},
  [1476] = {.lex_state = 2},
  [1477] = {.lex_state = 2},
  [1478] = {.lex_state = 2},
  [1479] = {.lex_state = 2},
  [1480] = {.lex_state = 2},
  [1481] = {.lex_state = 185},
  [1482] = {.lex_state = 2},
  [1483] = {.lex_state = 2},
  [1484] = {.lex_state = 2},
  [1485] = {.lex_state = 2},
  [1486] = {.lex_state = 2},
  [1487] = {.lex_state = 2},
  [1488] = {.lex_state = 2},
  [1489] = {.lex_state = 2},
  [1490] = {.lex_state = 2},
  [1491] = {.lex_state = 2},
  [1492] = {.lex_state = 2},
  [1493] = {.lex_state = 2},
  [1494] = {.lex_state = 2},
  [1495] = {.lex_state = 2},
  [1496] = {.lex_state = 2},
  [1497] = {.lex_state = 185},
  [1498] = {.lex_state = 2},
  [1499] = {.lex_state = 2},
  [1500] = {.lex_state = 2},
  [1501] = {.lex_state = 2},
  [1502] = {.lex_state = 2},
  [1503] = {.lex_state = 2},
  [1504] = {.lex_state = 2},
  [1505] = {.lex_state = 2},
  [1506] = {.lex_state = 2},
  [1507] = {.lex_state = 2},
  [1508] = {.lex_state = 2},
  [1509] = {.lex_state = 2},
  [1510] = {.lex_state = 2},
  [1511] = {.lex_state = 185},
  [1512] = {.lex_state = 2},
  [1513] = {.lex_state = 2},
  [1514] = {.lex_state = 185},
  [1515] = {.lex_state = 2},
  [1516] = {.lex_state = 2},
  [1517] = {.lex_state = 2},
  [1518] = {.lex_state = 2},
  [1519] = {.lex_state = 2},
  [1520] = {.lex_state = 2},
  [1521] = {.lex_state = 2},
  [1522] = {.lex_state = 2},
  [1523] = {.lex_state = 2},
  [1524] = {.lex_state = 2},
  [1525] = {.lex_state = 2},
  [1526] = {.lex_state = 2},
  [1527] = {.lex_state = 2},
  [1528] = {.lex_state = 185},
  [1529] = {.lex_state = 2},
  [1530] = {.lex_state = 2},
  [1531] = {.lex_state = 2},
  [1532] = {.lex_state = 2},
  [1533] = {.lex_state = 2},
  [1534] = {.lex_state = 2},
  [1535] = {.lex_state = 2},
  [1536] = {.lex_state = 2},
  [1537] = {.lex_state = 2},
  [1538] = {.lex_state = 2},
  [1539] = {.lex_state = 2},
  [1540] = {.lex_state = 2},
  [1541] = {.lex_state = 185},
  [1542] = {.lex_state = 185},
  [1543] = {.lex_state = 2},
  [1544] = {.lex_state = 2},
  [1545] = {.lex_state = 2},
  [1546] = {.lex_state = 2},
  [1547] = {.lex_state = 2},
  [1548] = {.lex_state = 2},
  [1549] = {.lex_state = 2},
  [1550] = {.lex_state = 2},
  [1551] = {.lex_state = 2},
  [1552] = {.lex_state = 185},
  [1553] = {.lex_state = 2},
  [1554] = {.lex_state = 2},
  [1555] = {.lex_state = 2},
  [1556] = {.lex_state = 2},
  [1557] = {.lex_state = 2},
  [1558] = {.lex_state = 2},
  [1559] = {.lex_state = 2},
  [1560] = {.lex_state = 2},
  [1561] = {.lex_state = 2},
  [1562] = {.lex_state = 185},
  [1563] = {.lex_state = 2},
  [1564] = {.lex_state = 2},
  [1565] = {.lex_state = 2},
  [1566] = {.lex_state = 2},
  [1567] = {.lex_state = 2},
  [1568] = {.lex_state = 2},
  [1569] = {.lex_state = 2},
  [1570] = {.lex_state = 2},
  [1571] = {.lex_state = 2},
  [1572] = {.lex_state = 185},
  [1573] = {.lex_state = 2},
  [1574] = {.lex_state = 2},
  [1575] = {.lex_state = 2},
  [1576] = {.lex_state = 2},
  [1577] = {.lex_state = 2},
  [1578] = {.lex_state = 2},
  [1579] = {.lex_state = 2},
  [1580] = {.lex_state = 2},
  [1581] = {.lex_state = 2},
  [1582] = {.lex_state = 185},
  [1583] = {.lex_state = 2},
  [1584] = {.lex_state = 2},
  [1585] = {.lex_state = 2},
  [1586] = {.lex_state = 2},
  [1587] = {.lex_state = 2},
  [1588] = {.lex_state = 2},
  [1589] = {.lex_state = 2},
  [1590] = {.lex_state = 2},
  [1591] = {.lex_state = 2},
  [1592] = {.lex_state = 185},
  [1593] = {.lex_state = 2},
  [1594] = {.lex_state = 2},
  [1595] = {.lex_state = 2},
  [1596] = {.lex_state = 2},
  [1597] = {.lex_state = 2},
  [1598] = {.lex_state = 2},
  [1599] = {.lex_state = 2},
  [1600] = {.lex_state = 2},
  [1601] = {.lex_state = 2},
  [1602] = {.lex_state = 185},
  [1603] = {.lex_state = 2},
  [1604] = {.lex_state = 2},
  [1605] = {.lex_state = 2},
  [1606] = {.lex_state = 2},
  [1607] = {.lex_state = 2},
  [1608] = {.lex_state = 2},
  [1609] = {.lex_state = 2},
  [1610] = {.lex_state = 2},
  [1611] = {.lex_state = 2},
  [1612] = {.lex_state = 185},
  [1613] = {.lex_state = 2},
  [1614] = {.lex_state = 2},
  [1615] = {.lex_state = 2},
  [1616] = {.lex_state = 2},
  [1617] = {.lex_state = 2},
  [1618] = {.lex_state = 2},
  [1619] = {.lex_state = 2},
  [1620] = {.lex_state = 2},
  [1621] = {.lex_state = 2},
  [1622] = {.lex_state = 185},
  [1623] = {.lex_state = 2},
  [1624] = {.lex_state = 2},
  [1625] = {.lex_state = 2},
  [1626] = {.lex_state = 2},
  [1627] = {.lex_state = 2},
  [1628] = {.lex_state = 2},
  [1629] = {.lex_state = 2},
  [1630] = {.lex_state = 2},
  [1631] = {.lex_state = 2},
  [1632] = {.lex_state = 185},
  [1633] = {.lex_state = 2},
  [1634] = {.lex_state = 2},
  [1635] = {.lex_state = 2},
  [1636] = {.lex_state = 2},
  [1637] = {.lex_state = 2},
  [1638] = {.lex_state = 2},
  [1639] = {.lex_state = 2},
  [1640] = {.lex_state = 2},
  [1641] = {.lex_state = 2},
  [1642] = {.lex_state = 185},
  [1643] = {.lex_state = 2},
  [1644] = {.lex_state = 2},
  [1645] = {.lex_state = 2},
  [1646] = {.lex_state = 2},
  [1647] = {.lex_state = 2},
  [1648] = {.lex_state = 2},
  [1649] = {.lex_state = 2},
  [1650] = {.lex_state = 2},
  [1651] = {.lex_state = 2},
  [1652] = {.lex_state = 185},
  [1653] = {.lex_state = 2},
  [1654] = {.lex_state = 2},
  [1655] = {.lex_state = 2},
  [1656] = {.lex_state = 2},
  [1657] = {.lex_state = 2},
  [1658] = {.lex_state = 2},
  [1659] = {.lex_state = 2},
  [1660] = {.lex_state = 2},
  [1661] = {.lex_state = 2},
  [1662] = {.lex_state = 185},
  [1663] = {.lex_state = 2},
  [1664] = {.lex_state = 2},
  [1665] = {.lex_state = 2},
  [1666] = {.lex_state = 2},
  [1667] = {.lex_state = 2},
  [1668] = {.lex_state = 2},
  [1669] = {.lex_state = 2},
  [1670] = {.lex_state = 2},
  [1671] = {.lex_state = 2},
  [1672] = {.lex_state = 185},
  [1673] = {.lex_state = 2},
  [1674] = {.lex_state = 2},
  [1675] = {.lex_state = 2},
  [1676] = {.lex_state = 2},
  [1677] = {.lex_state = 2},
  [1678] = {.lex_state = 2},
  [1679] = {.lex_state = 185},
  [1680] = {.lex_state = 2},
  [1681] = {.lex_state = 2},
  [1682] = {.lex_state = 2},
  [1683] = {.lex_state = 2},
  [1684] = {.lex_state = 2},
  [1685] = {.lex_state = 2},
  [1686] = {.lex_state = 185},
  [1687] = {.lex_state = 2},
  [1688] = {.lex_state = 2},
  [1689] = {.lex_state = 2},
  [1690] = {.lex_state = 2},
  [1691] = {.lex_state = 2},
  [1692] = {.lex_state = 2},
  [1693] = {.lex_state = 185},
  [1694] = {.lex_state = 2},
  [1695] = {.lex_state = 2},
  [1696] = {.lex_state = 2},
  [1697] = {.lex_state = 2},
  [1698] = {.lex_state = 2},
  [1699] = {.lex_state = 2},
  [1700] = {.lex_state = 185},
  [1701] = {.lex_state = 2},
  [1702] = {.lex_state = 2},
  [1703] = {.lex_state = 2},
  [1704] = {.lex_state = 2},
  [1705] = {.lex_state = 2},
  [1706] = {.lex_state = 2},
  [1707] = {.lex_state = 185},
  [1708] = {.lex_state = 2},
  [1709] = {.lex_state = 2},
  [1710] = {.lex_state = 2},
  [1711] = {.lex_state = 2},
  [1712] = {.lex_state = 2},
  [1713] = {.lex_state = 2},
  [1714] = {.lex_state = 185},
  [1715] = {.lex_state = 2},
  [1716] = {.lex_state = 2},
  [1717] = {.lex_state = 2},
  [1718] = {.lex_state = 2},
  [1719] = {.lex_state = 2},
  [1720] = {.lex_state = 2},
  [1721] = {.lex_state = 185},
  [1722] = {.lex_state = 2},
  [1723] = {.lex_state = 2},
  [1724] = {.lex_state = 2},
  [1725] = {.lex_state = 2},
  [1726] = {.lex_state = 2},
  [1727] = {.lex_state = 2},
  [1728] = {.lex_state = 185},
  [1729] = {.lex_state = 2},
  [1730] = {.lex_state = 2},
  [1731] = {.lex_state = 2},
  [1732] = {.lex_state = 2},
  [1733] = {.lex_state = 2},
  [1734] = {.lex_state = 2},
  [1735] = {.lex_state = 185},
  [1736] = {.lex_state = 2},
  [1737] = {.lex_state = 2},
  [1738] = {.lex_state = 2},
  [1739] = {.lex_state = 2},
  [1740] = {.lex_state = 2},
  [1741] = {.lex_state = 2},
  [1742] = {.lex_state = 185},
  [1743] = {.lex_state = 2},
  [1744] = {.lex_state = 2},
  [1745] = {.lex_state = 2},
  [1746] = {.lex_state = 2},
  [1747] = {.lex_state = 2},
  [1748] = {.lex_state = 2},
  [1749] = {.lex_state = 185},
  [1750] = {.lex_state = 2},
  [1751] = {.lex_state = 2},
  [1752] = {.lex_state = 2},
  [1753] = {.lex_state = 2},
  [1754] = {.lex_state = 2},
  [1755] = {.lex_state = 2},
  [1756] = {.lex_state = 185},
  [1757] = {.lex_state = 2},
  [1758] = {.lex_state = 2},
  [1759] = {.lex_state = 2},
  [1760] = {.lex_state = 2},
  [1761] = {.lex_state = 2},
  [1762] = {.lex_state = 2},
  [1763] = {.lex_state = 185},
  [1764] = {.lex_state = 2},
  [1765] = {.lex_state = 2},
  [1766] = {.lex_state = 2},
  [1767] = {.lex_state = 2},
  [1768] = {.lex_state = 2},
  [1769] = {.lex_state = 2},
  [1770] = {.lex_state = 185},
  [1771] = {.lex_state = 2},
  [1772] = {.lex_state = 2},
  [1773] = {.lex_state = 2},
  [1774] = {.lex_state = 2},
  [1775] = {.lex_state = 2},
  [1776] = {.lex_state = 2},
  [1777] = {.lex_state = 185},
  [1778] = {.lex_state = 2},
  [1779] = {.lex_state = 2},
  [1780] = {.lex_state = 2},
  [1781] = {.lex_state = 2},
  [1782] = {.lex_state = 2},
  [1783] = {.lex_state = 2},
  [1784] = {.lex_state = 185},
  [1785] = {.lex_state = 2},
  [1786] = {.lex_state = 2},
  [1787] = {.lex_state = 2},
  [1788] = {.lex_state = 2},
  [1789] = {.lex_state = 2},
  [1790] = {.lex_state = 2},
  [1791] = {.lex_state = 185},
  [1792] = {.lex_state = 2},
  [1793] = {.lex_state = 2},
  [1794] = {.lex_state = 2},
  [1795] = {.lex_state = 2},
  [1796] = {.lex_state = 2},
  [1797] = {.lex_state = 2},
  [1798] = {.lex_state = 185},
  [1799] = {.lex_state = 2},
  [1800] = {.lex_state = 2},
  [1801] = {.lex_state = 2},
  [1802] = {.lex_state = 2},
  [1803] = {.lex_state = 2},
  [1804] = {.lex_state = 2},
  [1805] = {.lex_state = 185},
  [1806] = {.lex_state = 2},
  [1807] = {.lex_state = 2},
  [1808] = {.lex_state = 2},
  [1809] = {.lex_state = 2},
  [1810] = {.lex_state = 2},
  [1811] = {.lex_state = 2},
  [1812] = {.lex_state = 185},
  [1813] = {.lex_state = 185},
  [1814] = {.lex_state = 185},
  [1815] = {.lex_state = 185},
  [1816] = {.lex_state = 185},
  [1817] = {.lex_state = 185},
  [1818] = {.lex_state = 185},
  [1819] = {.lex_state = 185},
  [1820] = {.lex_state = 185},
  [1821] = {.lex_state = 185},
  [1822] = {.lex_state = 185},
  [1823] = {.lex_state = 185},
  [1824] = {.lex_state = 185},
  [1825] = {.lex_state = 185},
  [1826] = {.lex_state = 2},
  [1827] = {.lex_state = 2},
  [1828] = {.lex_state = 2},
  [1829] = {.lex_state = 2},
  [1830] = {.lex_state = 2},
  [1831] = {.lex_state = 2},
  [1832] = {.lex_state = 2},
  [1833] = {.lex_state = 2},
  [1834] = {.lex_state = 2},
  [1835] = {.lex_state = 2},
  [1836] = {.lex_state = 2},
  [1837] = {.lex_state = 2},
  [1838] = {.lex_state = 2},
  [1839] = {.lex_state = 2},
  [1840] = {.lex_state = 2},
  [1841] = {.lex_state = 2},
  [1842] = {.lex_state = 2},
  [1843] = {.lex_state = 2},
  [1844] = {.lex_state = 2},
  [1845] = {.lex_state = 2},
  [1846] = {.lex_state = 2},
  [1847] = {.lex_state = 2},
  [1848] = {.lex_state = 2},
  [1849] = {.lex_state = 2},
  [1850] = {.lex_state = 2},
  [1851] = {.lex_state = 2},
  [1852] = {.lex_state = 2},
  [1853] = {.lex_state = 2},
  [1854] = {.lex_state = 2},
  [1855] = {.lex_state = 2},
  [1856] = {.lex_state = 2},
  [1857] = {.lex_state = 2},
  [1858] = {.lex_state = 2},
  [1859] = {.lex_state = 2},
  [1860] = {.lex_state = 2},
  [1861] = {.lex_state = 2},
  [1862] = {.lex_state = 2},
  [1863] = {.lex_state = 2},
  [1864] = {.lex_state = 2},
  [1865] = {.lex_state = 2},
  [1866] = {.lex_state = 2},
  [1867] = {.lex_state = 2},
  [1868] = {.lex_state = 2},
  [1869] = {.lex_state = 2},
  [1870] = {.lex_state = 2},
  [1871] = {.lex_state = 2},
  [1872] = {.lex_state = 2},
  [1873] = {.lex_state = 2},
  [1874] = {.lex_state = 2},
  [1875] = {.lex_state = 2},
  [1876] = {.lex_state = 2},
  [1877] = {.lex_state = 2},
  [1878] = {.lex_state = 2},
  [1879] = {.lex_state = 2},
  [1880] = {.lex_state = 2},
  [1881] = {.lex_state = 2},
  [1882] = {.lex_state = 2},
  [1883] = {.lex_state = 2},
  [1884] = {.lex_state = 2},
  [1885] = {.lex_state = 2},
  [1886] = {.lex_state = 2},
  [1887] = {.lex_state = 2},
  [1888] = {.lex_state = 2},
  [1889] = {.lex_state = 2},
  [1890] = {.lex_state = 2},
  [1891] = {.lex_state = 2},
  [1892] = {.lex_state = 2},
  [1893] = {.lex_state = 2},
  [1894] = {.lex_state = 2},
  [1895] = {.lex_state = 2},
  [1896] = {.lex_state = 2},
  [1897] = {.lex_state = 2},
  [1898] = {.lex_state = 2},
  [1899] = {.lex_state = 2},
  [1900] = {.lex_state = 2},
  [1901] = {.lex_state = 2},
  [1902] = {.lex_state = 2},
  [1903] = {.lex_state = 2},
  [1904] = {.lex_state = 2},
  [1905] = {.lex_state = 2},
  [1906] = {.lex_state = 2},
  [1907] = {.lex_state = 2},
  [1908] = {.lex_state = 2},
  [1909] = {.lex_state = 2},
  [1910] = {.lex_state = 2},
  [1911] = {.lex_state = 2},
  [1912] = {.lex_state = 2},
  [1913] = {.lex_state = 2},
  [1914] = {.lex_state = 2},
  [1915] = {.lex_state = 2},
  [1916] = {.lex_state = 2},
  [1917] = {.lex_state = 2},
  [1918] = {.lex_state = 2},
  [1919] = {.lex_state = 2},
  [1920] = {.lex_state = 2},
  [1921] = {.lex_state = 2},
  [1922] = {.lex_state = 2},
  [1923] = {.lex_state = 2},
  [1924] = {.lex_state = 2},
  [1925] = {.lex_state = 2},
  [1926] = {.lex_state = 2},
  [1927] = {.lex_state = 2},
  [1928] = {.lex_state = 2},
  [1929] = {.lex_state = 2},
  [1930] = {.lex_state = 2},
  [1931] = {.lex_state = 2},
  [1932] = {.lex_state = 2},
  [1933] = {.lex_state = 2},
  [1934] = {.lex_state = 2},
  [1935] = {.lex_state = 2},
  [1936] = {.lex_state = 2},
  [1937] = {.lex_state = 2},
  [1938] = {.lex_state = 2},
  [1939] = {.lex_state = 2},
  [1940] = {.lex_state = 2},
  [1941] = {.lex_state = 2},
  [1942] = {.lex_state = 2},
  [1943] = {.lex_state = 2},
  [1944] = {.lex_state = 2},
  [1945] = {.lex_state = 2},
  [1946] = {.lex_state = 2},
  [1947] = {.lex_state = 2},
  [1948] = {.lex_state = 2},
  [1949] = {.lex_state = 2},
  [1950] = {.lex_state = 2},
  [1951] = {.lex_state = 2},
  [1952] = {.lex_state = 2},
  [1953] = {.lex_state = 2},
  [1954] = {.lex_state = 2},
  [1955] = {.lex_state = 2},
  [1956] = {.lex_state = 2},
  [1957] = {.lex_state = 2},
  [1958] = {.lex_state = 2},
  [1959] = {.lex_state = 2},
  [1960] = {.lex_state = 2},
  [1961] = {.lex_state = 2},
  [1962] = {.lex_state = 2},
  [1963] = {.lex_state = 2},
  [1964] = {.lex_state = 2},
  [1965] = {.lex_state = 2},
  [1966] = {.lex_state = 2},
  [1967] = {.lex_state = 2},
  [1968] = {.lex_state = 2},
  [1969] = {.lex_state = 2},
  [1970] = {.lex_state = 2},
  [1971] = {.lex_state = 2},
  [1972] = {.lex_state = 2},
  [1973] = {.lex_state = 2},
  [1974] = {.lex_state = 2},
  [1975] = {.lex_state = 2},
  [1976] = {.lex_state = 2},
  [1977] = {.lex_state = 2},
  [1978] = {.lex_state = 2},
  [1979] = {.lex_state = 2},
  [1980] = {.lex_state = 2},
  [1981] = {.lex_state = 2},
  [1982] = {.lex_state = 2},
  [1983] = {.lex_state = 2},
  [1984] = {.lex_state = 2},
  [1985] = {.lex_state = 2},
  [1986] = {.lex_state = 2},
  [1987] = {.lex_state = 2},
  [1988] = {.lex_state = 2},
  [1989] = {.lex_state = 2},
  [1990] = {.lex_state = 2},
  [1991] = {.lex_state = 2},
  [1992] = {.lex_state = 2},
  [1993] = {.lex_state = 2},
  [1994] = {.lex_state = 2},
  [1995] = {.lex_state = 2},
  [1996] = {.lex_state = 2},
  [1997] = {.lex_state = 2},
  [1998] = {.lex_state = 2},
  [1999] = {.lex_state = 2},
  [2000] = {.lex_state = 2},
  [2001] = {.lex_state = 2},
  [2002] = {.lex_state = 2},
  [2003] = {.lex_state = 2},
  [2004] = {.lex_state = 2},
  [2005] = {.lex_state = 2},
  [2006] = {.lex_state = 2},
  [2007] = {.lex_state = 2},
  [2008] = {.lex_state = 2},
  [2009] = {.lex_state = 2},
  [2010] = {.lex_state = 2},
  [2011] = {.lex_state = 2},
  [2012] = {.lex_state = 2},
  [2013] = {.lex_state = 2},
  [2014] = {.lex_state = 2},
  [2015] = {.lex_state = 2},
  [2016] = {.lex_state = 2},
  [2017] = {.lex_state = 2},
  [2018] = {.lex_state = 2},
  [2019] = {.lex_state = 2},
  [2020] = {.lex_state = 2},
  [2021] = {.lex_state = 2},
  [2022] = {.lex_state = 2},
  [2023] = {.lex_state = 2},
  [2024] = {.lex_state = 2},
  [2025] = {.lex_state = 2},
  [2026] = {.lex_state = 2},
  [2027] = {.lex_state = 2},
  [2028] = {.lex_state = 2},
  [2029] = {.lex_state = 2},
  [2030] = {.lex_state = 2},
  [2031] = {.lex_state = 2},
  [2032] = {.lex_state = 2},
  [2033] = {.lex_state = 2},
  [2034] = {.lex_state = 2},
  [2035] = {.lex_state = 2},
  [2036] = {.lex_state = 2},
  [2037] = {.lex_state = 2},
  [2038] = {.lex_state = 2},
  [2039] = {.lex_state = 2},
  [2040] = {.lex_state = 2},
  [2041] = {.lex_state = 2},
  [2042] = {.lex_state = 2},
  [2043] = {.lex_state = 2},
  [2044] = {.lex_state = 2},
  [2045] = {.lex_state = 2},
  [2046] = {.lex_state = 2},
  [2047] = {.lex_state = 2},
  [2048] = {.lex_state = 2},
  [2049] = {.lex_state = 2},
  [2050] = {.lex_state = 2},
  [2051] = {.lex_state = 2},
  [2052] = {.lex_state = 2},
  [2053] = {.lex_state = 2},
  [2054] = {.lex_state = 2},
  [2055] = {.lex_state = 2},
  [2056] = {.lex_state = 2},
  [2057] = {.lex_state = 2},
  [2058] = {.lex_state = 2},
  [2059] = {.lex_state = 2},
  [2060] = {.lex_state = 2},
  [2061] = {.lex_state = 2},
  [2062] = {.lex_state = 2},
  [2063] = {.lex_state = 2},
  [2064] = {.lex_state = 2},
  [2065] = {.lex_state = 2},
  [2066] = {.lex_state = 2},
  [2067] = {.lex_state = 2},
  [2068] = {.lex_state = 2},
  [2069] = {.lex_state = 2},
  [2070] = {.lex_state = 2},
  [2071] = {.lex_state = 2},
  [2072] = {.lex_state = 2},
  [2073] = {.lex_state = 2},
  [2074] = {.lex_state = 2},
  [2075] = {.lex_state = 2},
  [2076] = {.lex_state = 2},
  [2077] = {.lex_state = 2},
  [2078] = {.lex_state = 2},
  [2079] = {.lex_state = 2},
  [2080] = {.lex_state = 2},
  [2081] = {.lex_state = 2},
  [2082] = {.lex_state = 2},
  [2083] = {.lex_state = 2},
  [2084] = {.lex_state = 2},
  [2085] = {.lex_state = 2},
  [2086] = {.lex_state = 2},
  [2087] = {.lex_state = 2},
  [2088] = {.lex_state = 2},
  [2089] = {.lex_state = 2},
  [2090] = {.lex_state = 2},
  [2091] = {.lex_state = 2},
  [2092] = {.lex_state = 2},
  [2093] = {.lex_state = 2},
  [2094] = {.lex_state = 2},
  [2095] = {.lex_state = 2},
  [2096] = {.lex_state = 2},
  [2097] = {.lex_state = 2},
  [2098] = {.lex_state = 2},
  [2099] = {.lex_state = 2},
  [2100] = {.lex_state = 2},
  [2101] = {.lex_state = 2},
  [2102] = {.lex_state = 2},
  [2103] = {.lex_state = 2},
  [2104] = {.lex_state = 2},
  [2105] = {.lex_state = 2},
  [2106] = {.lex_state = 2},
  [2107] = {.lex_state = 2},
  [2108] = {.lex_state = 2},
  [2109] = {.lex_state = 2},
  [2110] = {.lex_state = 2},
  [2111] = {.lex_state = 2},
  [2112] = {.lex_state = 2},
  [2113] = {.lex_state = 2},
  [2114] = {.lex_state = 2},
  [2115] = {.lex_state = 2},
  [2116] = {.lex_state = 2},
  [2117] = {.lex_state = 2},
  [2118] = {.lex_state = 2},
  [2119] = {.lex_state = 2},
  [2120] = {.lex_state = 2},
  [2121] = {.lex_state = 2},
  [2122] = {.lex_state = 2},
  [2123] = {.lex_state = 2},
  [2124] = {.lex_state = 2},
  [2125] = {.lex_state = 2},
  [2126] = {.lex_state = 2},
  [2127] = {.lex_state = 2},
  [2128] = {.lex_state = 2},
  [2129] = {.lex_state = 2},
  [2130] = {.lex_state = 2},
  [2131] = {.lex_state = 2},
  [2132] = {.lex_state = 2},
  [2133] = {.lex_state = 2},
  [2134] = {.lex_state = 2},
  [2135] = {.lex_state = 2},
  [2136] = {.lex_state = 2},
  [2137] = {.lex_state = 2},
  [2138] = {.lex_state = 2},
  [2139] = {.lex_state = 2},
  [2140] = {.lex_state = 2},
  [2141] = {.lex_state = 2},
  [2142] = {.lex_state = 2},
  [2143] = {.lex_state = 2},
  [2144] = {.lex_state = 2},
  [2145] = {.lex_state = 2},
  [2146] = {.lex_state = 2},
  [2147] = {.lex_state = 2},
  [2148] = {.lex_state = 2},
  [2149] = {.lex_state = 2},
  [2150] = {.lex_state = 2},
  [2151] = {.lex_state = 2},
  [2152] = {.lex_state = 2},
  [2153] = {.lex_state = 2},
  [2154] = {.lex_state = 2},
  [2155] = {.lex_state = 2},
  [2156] = {.lex_state = 2},
  [2157] = {.lex_state = 2},
  [2158] = {.lex_state = 2},
  [2159] = {.lex_state = 2},
  [2160] = {.lex_state = 2},
  [2161] = {.lex_state = 2},
  [2162] = {.lex_state = 2},
  [2163] = {.lex_state = 2},
  [2164] = {.lex_state = 2},
  [2165] = {.lex_state = 2},
  [2166] = {.lex_state = 2},
  [2167] = {.lex_state = 2},
  [2168] = {.lex_state = 2},
  [2169] = {.lex_state = 2},
  [2170] = {.lex_state = 2},
  [2171] = {.lex_state = 2},
  [2172] = {.lex_state = 2},
  [2173] = {.lex_state = 2},
  [2174] = {.lex_state = 2},
  [2175] = {.lex_state = 2},
  [2176] = {.lex_state = 2},
  [2177] = {.lex_state = 2},
  [2178] = {.lex_state = 2},
  [2179] = {.lex_state = 2},
  [2180] = {.lex_state = 2},
  [2181] = {.lex_state = 2},
  [2182] = {.lex_state = 2},
  [2183] = {.lex_state = 2},
  [2184] = {.lex_state = 2},
  [2185] = {.lex_state = 2},
  [2186] = {.lex_state = 2},
  [2187] = {.lex_state = 2},
  [2188] = {.lex_state = 2},
  [2189] = {.lex_state = 2},
  [2190] = {.lex_state = 2},
  [2191] = {.lex_state = 2},
  [2192] = {.lex_state = 2},
  [2193] = {.lex_state = 2},
  [2194] = {.lex_state = 2},
  [2195] = {.lex_state = 2},
  [2196] = {.lex_state = 2},
  [2197] = {.lex_state = 2},
  [2198] = {.lex_state = 2},
  [2199] = {.lex_state = 2},
  [2200] = {.lex_state = 2},
  [2201] = {.lex_state = 2},
  [2202] = {.lex_state = 2},
  [2203] = {.lex_state = 2},
  [2204] = {.lex_state = 2},
  [2205] = {.lex_state = 2},
  [2206] = {.lex_state = 2},
  [2207] = {.lex_state = 2},
  [2208] = {.lex_state = 2},
  [2209] = {.lex_state = 2},
  [2210] = {.lex_state = 2},
  [2211] = {.lex_state = 2},
  [2212] = {.lex_state = 2},
  [2213] = {.lex_state = 2},
  [2214] = {.lex_state = 2},
  [2215] = {.lex_state = 2},
  [2216] = {.lex_state = 2},
  [2217] = {.lex_state = 2},
  [2218] = {.lex_state = 2},
  [2219] = {.lex_state = 2},
  [2220] = {.lex_state = 2},
  [2221] = {.lex_state = 2},
  [2222] = {.lex_state = 2},
  [2223] = {.lex_state = 2},
  [2224] = {.lex_state = 2},
  [2225] = {.lex_state = 2},
  [2226] = {.lex_state = 2},
  [2227] = {.lex_state = 2},
  [2228] = {.lex_state = 2},
  [2229] = {.lex_state = 2},
  [2230] = {.lex_state = 2},
  [2231] = {.lex_state = 2},
  [2232] = {.lex_state = 2},
  [2233] = {.lex_state = 2},
  [2234] = {.lex_state = 2},
  [2235] = {.lex_state = 2},
  [2236] = {.lex_state = 2},
  [2237] = {.lex_state = 2},
  [2238] = {.lex_state = 2},
  [2239] = {.lex_state = 2},
  [2240] = {.lex_state = 2},
  [2241] = {.lex_state = 2},
  [2242] = {.lex_state = 2},
  [2243] = {.lex_state = 2},
  [2244] = {.lex_state = 2},
  [2245] = {.lex_state = 2},
  [2246] = {.lex_state = 2},
  [2247] = {.lex_state = 2},
  [2248] = {.lex_state = 2},
  [2249] = {.lex_state = 2},
  [2250] = {.lex_state = 2},
  [2251] = {.lex_state = 2},
  [2252] = {.lex_state = 2},
  [2253] = {.lex_state = 2},
  [2254] = {.lex_state = 2},
  [2255] = {.lex_state = 2},
  [2256] = {.lex_state = 2},
  [2257] = {.lex_state = 2},
  [2258] = {.lex_state = 2},
  [2259] = {.lex_state = 2},
  [2260] = {.lex_state = 2},
  [2261] = {.lex_state = 2},
  [2262] = {.lex_state = 2},
  [2263] = {.lex_state = 2},
  [2264] = {.lex_state = 2},
  [2265] = {.lex_state = 2},
  [2266] = {.lex_state = 2},
  [2267] = {.lex_state = 2},
  [2268] = {.lex_state = 2},
  [2269] = {.lex_state = 2},
  [2270] = {.lex_state = 2},
  [2271] = {.lex_state = 2},
  [2272] = {.lex_state = 2},
  [2273] = {.lex_state = 2},
  [2274] = {.lex_state = 2},
  [2275] = {.lex_state = 2},
  [2276] = {.lex_state = 2},
  [2277] = {.lex_state = 2},
  [2278] = {.lex_state = 2},
  [2279] = {.lex_state = 2},
  [2280] = {.lex_state = 2},
  [2281] = {.lex_state = 2},
  [2282] = {.lex_state = 2},
  [2283] = {.lex_state = 2},
  [2284] = {.lex_state = 2},
  [2285] = {.lex_state = 2},
  [2286] = {.lex_state = 2},
  [2287] = {.lex_state = 2},
  [2288] = {.lex_state = 2},
  [2289] = {.lex_state = 2},
  [2290] = {.lex_state = 2},
  [2291] = {.lex_state = 2},
  [2292] = {.lex_state = 2},
  [2293] = {.lex_state = 2},
  [2294] = {.lex_state = 2},
  [2295] = {.lex_state = 2},
  [2296] = {.lex_state = 2},
  [2297] = {.lex_state = 2},
  [2298] = {.lex_state = 2},
  [2299] = {.lex_state = 2},
  [2300] = {.lex_state = 2},
  [2301] = {.lex_state = 2},
  [2302] = {.lex_state = 2},
  [2303] = {.lex_state = 2},
  [2304] = {.lex_state = 2},
  [2305] = {.lex_state = 2},
  [2306] = {.lex_state = 2},
  [2307] = {.lex_state = 2},
  [2308] = {.lex_state = 2},
  [2309] = {.lex_state = 2},
  [2310] = {.lex_state = 2},
  [2311] = {.lex_state = 2},
  [2312] = {.lex_state = 2},
  [2313] = {.lex_state = 2},
  [2314] = {.lex_state = 2},
  [2315] = {.lex_state = 2},
  [2316] = {.lex_state = 2},
  [2317] = {.lex_state = 2},
  [2318] = {.lex_state = 2},
  [2319] = {.lex_state = 2},
  [2320] = {.lex_state = 2},
  [2321] = {.lex_state = 2},
  [2322] = {.lex_state = 2},
  [2323] = {.lex_state = 2},
  [2324] = {.lex_state = 2},
  [2325] = {.lex_state = 2},
  [2326] = {.lex_state = 2},
  [2327] = {.lex_state = 2},
  [2328] = {.lex_state = 2},
  [2329] = {.lex_state = 2},
  [2330] = {.lex_state = 2},
  [2331] = {.lex_state = 2},
  [2332] = {.lex_state = 2},
  [2333] = {.lex_state = 2},
  [2334] = {.lex_state = 2},
  [2335] = {.lex_state = 2},
  [2336] = {.lex_state = 2},
  [2337] = {.lex_state = 2},
  [2338] = {.lex_state = 2},
  [2339] = {.lex_state = 2},
  [2340] = {.lex_state = 2},
  [2341] = {.lex_state = 2},
  [2342] = {.lex_state = 2},
  [2343] = {.lex_state = 2},
  [2344] = {.lex_state = 2},
  [2345] = {.lex_state = 2},
  [2346] = {.lex_state = 2},
  [2347] = {.lex_state = 2},
  [2348] = {.lex_state = 2},
  [2349] = {.lex_state = 2},
  [2350] = {.lex_state = 2},
  [2351] = {.lex_state = 2},
  [2352] = {.lex_state = 2},
  [2353] = {.lex_state = 2},
  [2354] = {.lex_state = 2},
  [2355] = {.lex_state = 2},
  [2356] = {.lex_state = 2},
  [2357] = {.lex_state = 2},
  [2358] = {.lex_state = 2},
  [2359] = {.lex_state = 2},
  [2360] = {.lex_state = 2},
  [2361] = {.lex_state = 2},
  [2362] = {.lex_state = 2},
  [2363] = {.lex_state = 2},
  [2364] = {.lex_state = 2},
  [2365] = {.lex_state = 2},
  [2366] = {.lex_state = 2},
  [2367] = {.lex_state = 2},
  [2368] = {.lex_state = 2},
  [2369] = {.lex_state = 2},
  [2370] = {.lex_state = 2},
  [2371] = {.lex_state = 2},
  [2372] = {.lex_state = 2},
  [2373] = {.lex_state = 2},
  [2374] = {.lex_state = 2},
  [2375] = {.lex_state = 2},
  [2376] = {.lex_state = 2},
  [2377] = {.lex_state = 2},
  [2378] = {.lex_state = 2},
  [2379] = {.lex_state = 2},
  [2380] = {.lex_state = 2},
  [2381] = {.lex_state = 2},
  [2382] = {.lex_state = 2},
  [2383] = {.lex_state = 2},
  [2384] = {.lex_state = 2},
  [2385] = {.lex_state = 2},
  [2386] = {.lex_state = 2},
  [2387] = {.lex_state = 2},
  [2388] = {.lex_state = 2},
  [2389] = {.lex_state = 2},
  [2390] = {.lex_state = 2},
  [2391] = {.lex_state = 2},
  [2392] = {.lex_state = 2},
  [2393] = {.lex_state = 2},
  [2394] = {.lex_state = 2},
  [2395] = {.lex_state = 2},
  [2396] = {.lex_state = 2},
  [2397] = {.lex_state = 2},
  [2398] = {.lex_state = 2},
  [2399] = {.lex_state = 2},
  [2400] = {.lex_state = 2},
  [2401] = {.lex_state = 2},
  [2402] = {.lex_state = 2},
  [2403] = {.lex_state = 2},
  [2404] = {.lex_state = 2},
  [2405] = {.lex_state = 2},
  [2406] = {.lex_state = 2},
  [2407] = {.lex_state = 2},
  [2408] = {.lex_state = 2},
  [2409] = {.lex_state = 2},
  [2410] = {.lex_state = 2},
  [2411] = {.lex_state = 2},
  [2412] = {.lex_state = 2},
  [2413] = {.lex_state = 2},
  [2414] = {.lex_state = 2},
  [2415] = {.lex_state = 2},
  [2416] = {.lex_state = 2},
  [2417] = {.lex_state = 2},
  [2418] = {.lex_state = 2},
  [2419] = {.lex_state = 2},
  [2420] = {.lex_state = 2},
  [2421] = {.lex_state = 2},
  [2422] = {.lex_state = 2},
  [2423] = {.lex_state = 2},
  [2424] = {.lex_state = 2},
  [2425] = {.lex_state = 2},
  [2426] = {.lex_state = 2},
  [2427] = {.lex_state = 2},
  [2428] = {.lex_state = 2},
  [2429] = {.lex_state = 2},
  [2430] = {.lex_state = 2},
  [2431] = {.lex_state = 2},
  [2432] = {.lex_state = 2},
  [2433] = {.lex_state = 2},
  [2434] = {.lex_state = 2},
  [2435] = {.lex_state = 2},
  [2436] = {.lex_state = 2},
  [2437] = {.lex_state = 2},
  [2438] = {.lex_state = 2},
  [2439] = {.lex_state = 2},
  [2440] = {.lex_state = 2},
  [2441] = {.lex_state = 2},
  [2442] = {.lex_state = 2},
  [2443] = {.lex_state = 2},
  [2444] = {.lex_state = 2},
  [2445] = {.lex_state = 2},
  [2446] = {.lex_state = 2},
  [2447] = {.lex_state = 2},
  [2448] = {.lex_state = 2},
  [2449] = {.lex_state = 2},
  [2450] = {.lex_state = 2},
  [2451] = {.lex_state = 2},
  [2452] = {.lex_state = 2},
  [2453] = {.lex_state = 2},
  [2454] = {.lex_state = 2},
  [2455] = {.lex_state = 2},
  [2456] = {.lex_state = 2},
  [2457] = {.lex_state = 2},
  [2458] = {.lex_state = 2},
  [2459] = {.lex_state = 2},
  [2460] = {.lex_state = 2},
  [2461] = {.lex_state = 2},
  [2462] = {.lex_state = 2},
  [2463] = {.lex_state = 2},
  [2464] = {.lex_state = 2},
  [2465] = {.lex_state = 2},
  [2466] = {.lex_state = 2},
  [2467] = {.lex_state = 2},
  [2468] = {.lex_state = 2},
  [2469] = {.lex_state = 2},
  [2470] = {.lex_state = 2},
  [2471] = {.lex_state = 2},
  [2472] = {.lex_state = 2},
  [2473] = {.lex_state = 2},
  [2474] = {.lex_state = 2},
  [2475] = {.lex_state = 2},
  [2476] = {.lex_state = 2},
  [2477] = {.lex_state = 2},
  [2478] = {.lex_state = 2},
  [2479] = {.lex_state = 2},
  [2480] = {.lex_state = 2},
  [2481] = {.lex_state = 2},
  [2482] = {.lex_state = 2},
  [2483] = {.lex_state = 2},
  [2484] = {.lex_state = 2},
  [2485] = {.lex_state = 2},
  [2486] = {.lex_state = 2},
  [2487] = {.lex_state = 2},
  [2488] = {.lex_state = 2},
  [2489] = {.lex_state = 2},
  [2490] = {.lex_state = 2},
  [2491] = {.lex_state = 2},
  [2492] = {.lex_state = 2},
  [2493] = {.lex_state = 2},
  [2494] = {.lex_state = 2},
  [2495] = {.lex_state = 2},
  [2496] = {.lex_state = 2},
  [2497] = {.lex_state = 2},
  [2498] = {.lex_state = 2},
  [2499] = {.lex_state = 2},
  [2500] = {.lex_state = 2},
  [2501] = {.lex_state = 2},
  [2502] = {.lex_state = 2},
  [2503] = {.lex_state = 2},
  [2504] = {.lex_state = 2},
  [2505] = {.lex_state = 2},
  [2506] = {.lex_state = 2},
  [2507] = {.lex_state = 2},
  [2508] = {.lex_state = 2},
  [2509] = {.lex_state = 2},
  [2510] = {.lex_state = 2},
  [2511] = {.lex_state = 2},
  [2512] = {.lex_state = 2},
  [2513] = {.lex_state = 2},
  [2514] = {.lex_state = 2},
  [2515] = {.lex_state = 2},
  [2516] = {.lex_state = 2},
  [2517] = {.lex_state = 2},
  [2518] = {.lex_state = 2},
  [2519] = {.lex_state = 2},
  [2520] = {.lex_state = 2},
  [2521] = {.lex_state = 2},
  [2522] = {.lex_state = 2},
  [2523] = {.lex_state = 2},
  [2524] = {.lex_state = 2},
  [2525] = {.lex_state = 2},
  [2526] = {.lex_state = 2},
  [2527] = {.lex_state = 2},
  [2528] = {.lex_state = 2},
  [2529] = {.lex_state = 2},
  [2530] = {.lex_state = 2},
  [2531] = {.lex_state = 2},
  [2532] = {.lex_state = 2},
  [2533] = {.lex_state = 2},
  [2534] = {.lex_state = 2},
  [2535] = {.lex_state = 2},
  [2536] = {.lex_state = 2},
  [2537] = {.lex_state = 2},
  [2538] = {.lex_state = 2},
  [2539] = {.lex_state = 2},
  [2540] = {.lex_state = 2},
  [2541] = {.lex_state = 2},
  [2542] = {.lex_state = 2},
  [2543] = {.lex_state = 2},
  [2544] = {.lex_state = 2},
  [2545] = {.lex_state = 2},
  [2546] = {.lex_state = 2},
  [2547] = {.lex_state = 2},
  [2548] = {.lex_state = 2},
  [2549] = {.lex_state = 2},
  [2550] = {.lex_state = 2},
  [2551] = {.lex_state = 2},
  [2552] = {.lex_state = 2},
  [2553] = {.lex_state = 2},
  [2554] = {.lex_state = 2},
  [2555] = {.lex_state = 2},
  [2556] = {.lex_state = 2},
  [2557] = {.lex_state = 2},
  [2558] = {.lex_state = 2},
  [2559] = {.lex_state = 2},
  [2560] = {.lex_state = 2},
  [2561] = {.lex_state = 2},
  [2562] = {.lex_state = 2},
  [2563] = {.lex_state = 2},
  [2564] = {.lex_state = 2},
  [2565] = {.lex_state = 2},
  [2566] = {.lex_state = 2},
  [2567] = {.lex_state = 2},
  [2568] = {.lex_state = 2},
  [2569] = {.lex_state = 2},
  [2570] = {.lex_state = 2},
  [2571] = {.lex_state = 2},
  [2572] = {.lex_state = 2},
  [2573] = {.lex_state = 2},
  [2574] = {.lex_state = 2},
  [2575] = {.lex_state = 2},
  [2576] = {.lex_state = 2},
  [2577] = {.lex_state = 2},
  [2578] = {.lex_state = 2},
  [2579] = {.lex_state = 2},
  [2580] = {.lex_state = 2},
  [2581] = {.lex_state = 2},
  [2582] = {.lex_state = 2},
  [2583] = {.lex_state = 2},
  [2584] = {.lex_state = 2},
  [2585] = {.lex_state = 2},
  [2586] = {.lex_state = 2},
  [2587] = {.lex_state = 2},
  [2588] = {.lex_state = 2},
  [2589] = {.lex_state = 2},
  [2590] = {.lex_state = 2},
  [2591] = {.lex_state = 2},
  [2592] = {.lex_state = 2},
  [2593] = {.lex_state = 2},
  [2594] = {.lex_state = 2},
  [2595] = {.lex_state = 2},
  [2596] = {.lex_state = 2},
  [2597] = {.lex_state = 2},
  [2598] = {.lex_state = 2},
  [2599] = {.lex_state = 2},
  [2600] = {.lex_state = 2},
  [2601] = {.lex_state = 2},
  [2602] = {.lex_state = 2},
  [2603] = {.lex_state = 2},
  [2604] = {.lex_state = 2},
  [2605] = {.lex_state = 2},
  [2606] = {.lex_state = 2},
  [2607] = {.lex_state = 2},
  [2608] = {.lex_state = 2},
  [2609] = {.lex_state = 2},
  [2610] = {.lex_state = 2},
  [2611] = {.lex_state = 2},
  [2612] = {.lex_state = 2},
  [2613] = {.lex_state = 2},
  [2614] = {.lex_state = 2},
  [2615] = {.lex_state = 2},
  [2616] = {.lex_state = 2},
  [2617] = {.lex_state = 2},
  [2618] = {.lex_state = 2},
  [2619] = {.lex_state = 2},
  [2620] = {.lex_state = 2},
  [2621] = {.lex_state = 2},
  [2622] = {.lex_state = 2},
  [2623] = {.lex_state = 2},
  [2624] = {.lex_state = 2},
  [2625] = {.lex_state = 2},
  [2626] = {.lex_state = 2},
  [2627] = {.lex_state = 2},
  [2628] = {.lex_state = 2},
  [2629] = {.lex_state = 2},
  [2630] = {.lex_state = 2},
  [2631] = {.lex_state = 2},
  [2632] = {.lex_state = 2},
  [2633] = {.lex_state = 2},
  [2634] = {.lex_state = 2},
  [2635] = {.lex_state = 2},
  [2636] = {.lex_state = 2},
  [2637] = {.lex_state = 2},
  [2638] = {.lex_state = 2},
  [2639] = {.lex_state = 2},
  [2640] = {.lex_state = 2},
  [2641] = {.lex_state = 2},
  [2642] = {.lex_state = 2},
  [2643] = {.lex_state = 2},
  [2644] = {.lex_state = 2},
  [2645] = {.lex_state = 2},
  [2646] = {.lex_state = 2},
  [2647] = {.lex_state = 2},
  [2648] = {.lex_state = 2},
  [2649] = {.lex_state = 2},
  [2650] = {.lex_state = 2},
  [2651] = {.lex_state = 2},
  [2652] = {.lex_state = 2},
  [2653] = {.lex_state = 2},
  [2654] = {.lex_state = 2},
  [2655] = {.lex_state = 2},
  [2656] = {.lex_state = 2},
  [2657] = {.lex_state = 2},
  [2658] = {.lex_state = 2},
  [2659] = {.lex_state = 2},
  [2660] = {.lex_state = 18},
  [2661] = {.lex_state = 18},
  [2662] = {.lex_state = 18},
  [2663] = {.lex_state = 185},
  [2664] = {.lex_state = 18},
  [2665] = {.lex_state = 18},
  [2666] = {.lex_state = 18},
  [2667] = {.lex_state = 18},
  [2668] = {.lex_state = 18},
  [2669] = {.lex_state = 18},
  [2670] = {.lex_state = 18},
  [2671] = {.lex_state = 18},
  [2672] = {.lex_state = 185},
  [2673] = {.lex_state = 18},
  [2674] = {.lex_state = 18},
  [2675] = {.lex_state = 18},
  [2676] = {.lex_state = 18},
  [2677] = {.lex_state = 18},
  [2678] = {.lex_state = 18},
  [2679] = {.lex_state = 185},
  [2680] = {.lex_state = 185},
  [2681] = {.lex_state = 185},
  [2682] = {.lex_state = 185},
  [2683] = {.lex_state = 185},
  [2684] = {.lex_state = 185},
  [2685] = {.lex_state = 18},
  [2686] = {.lex_state = 18},
  [2687] = {.lex_state = 18},
  [2688] = {.lex_state = 18},
  [2689] = {.lex_state = 18},
  [2690] = {.lex_state = 18},
  [2691] = {.lex_state = 18},
  [2692] = {.lex_state = 18},
  [2693] = {.lex_state = 185},
  [2694] = {.lex_state = 18},
  [2695] = {.lex_state = 18},
  [2696] = {.lex_state = 18},
  [2697] = {.lex_state = 18},
  [2698] = {.lex_state = 18},
  [2699] = {.lex_state = 18},
  [2700] = {.lex_state = 18},
  [2701] = {.lex_state = 18},
  [2702] = {.lex_state = 18},
  [2703] = {.lex_state = 185},
  [2704] = {.lex_state = 185},
  [2705] = {.lex_state = 18},
  [2706] = {.lex_state = 18},
  [2707] = {.lex_state = 185},
  [2708] = {.lex_state = 185},
  [2709] = {.lex_state = 18},
  [2710] = {.lex_state = 18},
  [2711] = {.lex_state = 185},
  [2712] = {.lex_state = 18},
  [2713] = {.lex_state = 18},
  [2714] = {.lex_state = 18},
  [2715] = {.lex_state = 18},
  [2716] = {.lex_state = 18},
  [2717] = {.lex_state = 18},
  [2718] = {.lex_state = 185},
  [2719] = {.lex_state = 18},
  [2720] = {.lex_state = 18},
  [2721] = {.lex_state = 185},
  [2722] = {.lex_state = 18},
  [2723] = {.lex_state = 18},
  [2724] = {.lex_state = 185},
  [2725] = {.lex_state = 185},
  [2726] = {.lex_state = 18},
  [2727] = {.lex_state = 18},
  [2728] = {.lex_state = 185},
  [2729] = {.lex_state = 185},
  [2730] = {.lex_state = 18},
  [2731] = {.lex_state = 18},
  [2732] = {.lex_state = 18},
  [2733] = {.lex_state = 18},
  [2734] = {.lex_state = 185},
  [2735] = {.lex_state = 185},
  [2736] = {.lex_state = 185},
  [2737] = {.lex_state = 185},
  [2738] = {.lex_state = 18},
  [2739] = {.lex_state = 18},
  [2740] = {.lex_state = 18},
  [2741] = {.lex_state = 18},
  [2742] = {.lex_state = 18},
  [2743] = {.lex_state = 18},
  [2744] = {.lex_state = 18},
  [2745] = {.lex_state = 18},
  [2746] = {.lex_state = 185},
  [2747] = {.lex_state = 185},
  [2748] = {.lex_state = 185},
  [2749] = {.lex_state = 185},
  [2750] = {.lex_state = 185},
  [2751] = {.lex_state = 18},
  [2752] = {.lex_state = 18},
  [2753] = {.lex_state = 18},
  [2754] = {.lex_state = 18},
  [2755] = {.lex_state = 185},
  [2756] = {.lex_state = 185},
  [2757] = {.lex_state = 185},
  [2758] = {.lex_state = 185},
  [2759] = {.lex_state = 18},
  [2760] = {.lex_state = 18},
  [2761] = {.lex_state = 185},
  [2762] = {.lex_state = 185},
  [2763] = {.lex_state = 18},
  [2764] = {.lex_state = 18},
  [2765] = {.lex_state = 185},
  [2766] = {.lex_state = 185},
  [2767] = {.lex_state = 18},
  [2768] = {.lex_state = 18},
  [2769] = {.lex_state = 18},
  [2770] = {.lex_state = 18},
  [2771] = {.lex_state = 185},
  [2772] = {.lex_state = 185},
  [2773] = {.lex_state = 18},
  [2774] = {.lex_state = 18},
  [2775] = {.lex_state = 18},
  [2776] = {.lex_state = 18},
  [2777] = {.lex_state = 18},
  [2778] = {.lex_state = 18},
  [2779] = {.lex_state = 185},
  [2780] = {.lex_state = 185},
  [2781] = {.lex_state = 185},
  [2782] = {.lex_state = 185},
  [2783] = {.lex_state = 185},
  [2784] = {.lex_state = 185},
  [2785] = {.lex_state = 18},
  [2786] = {.lex_state = 18},
  [2787] = {.lex_state = 18},
  [2788] = {.lex_state = 185},
  [2789] = {.lex_state = 18},
  [2790] = {.lex_state = 18},
  [2791] = {.lex_state = 18},
  [2792] = {.lex_state = 18},
  [2793] = {.lex_state = 18},
  [2794] = {.lex_state = 18},
  [2795] = {.lex_state = 185},
  [2796] = {.lex_state = 185},
  [2797] = {.lex_state = 18},
  [2798] = {.lex_state = 18},
  [2799] = {.lex_state = 18},
  [2800] = {.lex_state = 18},
  [2801] = {.lex_state = 185},
  [2802] = {.lex_state = 185},
  [2803] = {.lex_state = 18},
  [2804] = {.lex_state = 18},
  [2805] = {.lex_state = 185},
  [2806] = {.lex_state = 185},
  [2807] = {.lex_state = 185},
  [2808] = {.lex_state = 185},
  [2809] = {.lex_state = 185},
  [2810] = {.lex_state = 185},
  [2811] = {.lex_state = 18},
  [2812] = {.lex_state = 18},
  [2813] = {.lex_state = 18},
  [2814] = {.lex_state = 18},
  [2815] = {.lex_state = 18},
  [2816] = {.lex_state = 18},
  [2817] = {.lex_state = 18},
  [2818] = {.lex_state = 18},
  [2819] = {.lex_state = 185},
  [2820] = {.lex_state = 185},
  [2821] = {.lex_state = 18},
  [2822] = {.lex_state = 18},
  [2823] = {.lex_state = 185},
  [2824] = {.lex_state = 185},
  [2825] = {.lex_state = 18},
  [2826] = {.lex_state = 18},
  [2827] = {.lex_state = 18},
  [2828] = {.lex_state = 18},
  [2829] = {.lex_state = 18},
  [2830] = {.lex_state = 18},
  [2831] = {.lex_state = 18},
  [2832] = {.lex_state = 125},
  [2833] = {.lex_state = 125},
  [2834] = {.lex_state = 126},
  [2835] = {.lex_state = 125},
  [2836] = {.lex_state = 126},
  [2837] = {.lex_state = 18},
  [2838] = {.lex_state = 125},
  [2839] = {.lex_state = 126},
  [2840] = {.lex_state = 125},
  [2841] = {.lex_state = 126},
  [2842] = {.lex_state = 18},
  [2843] = {.lex_state = 125},
  [2844] = {.lex_state = 125},
  [2845] = {.lex_state = 126},
  [2846] = {.lex_state = 126},
  [2847] = {.lex_state = 125},
  [2848] = {.lex_state = 126},
  [2849] = {.lex_state = 18},
  [2850] = {.lex_state = 18},
  [2851] = {.lex_state = 125},
  [2852] = {.lex_state = 126},
  [2853] = {.lex_state = 125},
  [2854] = {.lex_state = 126},
  [2855] = {.lex_state = 18},
  [2856] = {.lex_state = 125},
  [2857] = {.lex_state = 126},
  [2858] = {.lex_state = 125},
  [2859] = {.lex_state = 126},
  [2860] = {.lex_state = 18},
  [2861] = {.lex_state = 125},
  [2862] = {.lex_state = 126},
  [2863] = {.lex_state = 125},
  [2864] = {.lex_state = 126},
  [2865] = {.lex_state = 18},
  [2866] = {.lex_state = 125},
  [2867] = {.lex_state = 126},
  [2868] = {.lex_state = 125},
  [2869] = {.lex_state = 126},
  [2870] = {.lex_state = 18},
  [2871] = {.lex_state = 126},
  [2872] = {.lex_state = 125},
  [2873] = {.lex_state = 126},
  [2874] = {.lex_state = 18},
  [2875] = {.lex_state = 125},
  [2876] = {.lex_state = 126},
  [2877] = {.lex_state = 125},
  [2878] = {.lex_state = 126},
  [2879] = {.lex_state = 18},
  [2880] = {.lex_state = 125},
  [2881] = {.lex_state = 126},
  [2882] = {.lex_state = 125},
  [2883] = {.lex_state = 126},
  [2884] = {.lex_state = 18},
  [2885] = {.lex_state = 125},
  [2886] = {.lex_state = 126},
  [2887] = {.lex_state = 125},
  [2888] = {.lex_state = 126},
  [2889] = {.lex_state = 18},
  [2890] = {.lex_state = 125},
  [2891] = {.lex_state = 126},
  [2892] = {.lex_state = 125},
  [2893] = {.lex_state = 126},
  [2894] = {.lex_state = 18},
  [2895] = {.lex_state = 125},
  [2896] = {.lex_state = 126},
  [2897] = {.lex_state = 125},
  [2898] = {.lex_state = 126},
  [2899] = {.lex_state = 18},
  [2900] = {.lex_state = 125},
  [2901] = {.lex_state = 126},
  [2902] = {.lex_state = 125},
  [2903] = {.lex_state = 126},
  [2904] = {.lex_state = 18},
  [2905] = {.lex_state = 125},
  [2906] = {.lex_state = 126},
  [2907] = {.lex_state = 125},
  [2908] = {.lex_state = 126},
  [2909] = {.lex_state = 18},
  [2910] = {.lex_state = 125},
  [2911] = {.lex_state = 125},
  [2912] = {.lex_state = 126},
  [2913] = {.lex_state = 126},
  [2914] = {.lex_state = 125},
  [2915] = {.lex_state = 126},
  [2916] = {.lex_state = 18},
  [2917] = {.lex_state = 125},
  [2918] = {.lex_state = 126},
  [2919] = {.lex_state = 125},
  [2920] = {.lex_state = 126},
  [2921] = {.lex_state = 18},
  [2922] = {.lex_state = 125},
  [2923] = {.lex_state = 126},
  [2924] = {.lex_state = 125},
  [2925] = {.lex_state = 126},
  [2926] = {.lex_state = 18},
  [2927] = {.lex_state = 125},
  [2928] = {.lex_state = 126},
  [2929] = {.lex_state = 125},
  [2930] = {.lex_state = 126},
  [2931] = {.lex_state = 18},
  [2932] = {.lex_state = 125},
  [2933] = {.lex_state = 126},
  [2934] = {.lex_state = 125},
  [2935] = {.lex_state = 126},
  [2936] = {.lex_state = 18},
  [2937] = {.lex_state = 125},
  [2938] = {.lex_state = 126},
  [2939] = {.lex_state = 125},
  [2940] = {.lex_state = 126},
  [2941] = {.lex_state = 18},
  [2942] = {.lex_state = 125},
  [2943] = {.lex_state = 126},
  [2944] = {.lex_state = 125},
  [2945] = {.lex_state = 126},
  [2946] = {.lex_state = 18},
  [2947] = {.lex_state = 125},
  [2948] = {.lex_state = 126},
  [2949] = {.lex_state = 125},
  [2950] = {.lex_state = 126},
  [2951] = {.lex_state = 18},
  [2952] = {.lex_state = 125},
  [2953] = {.lex_state = 126},
  [2954] = {.lex_state = 125},
  [2955] = {.lex_state = 126},
  [2956] = {.lex_state = 18},
  [2957] = {.lex_state = 125},
  [2958] = {.lex_state = 125},
  [2959] = {.lex_state = 126},
  [2960] = {.lex_state = 126},
  [2961] = {.lex_state = 125},
  [2962] = {.lex_state = 126},
  [2963] = {.lex_state = 18},
  [2964] = {.lex_state = 114, .external_lex_state = 2},
  [2965] = {.lex_state = 18},
  [2966] = {.lex_state = 125},
  [2967] = {.lex_state = 126},
  [2968] = {.lex_state = 125},
  [2969] = {.lex_state = 126},
  [2970] = {.lex_state = 18},
  [2971] = {.lex_state = 125},
  [2972] = {.lex_state = 126},
  [2973] = {.lex_state = 125},
  [2974] = {.lex_state = 18},
  [2975] = {.lex_state = 18},
  [2976] = {.lex_state = 125},
  [2977] = {.lex_state = 126},
  [2978] = {.lex_state = 125},
  [2979] = {.lex_state = 126},
  [2980] = {.lex_state = 18},
  [2981] = {.lex_state = 125},
  [2982] = {.lex_state = 126},
  [2983] = {.lex_state = 125},
  [2984] = {.lex_state = 126},
  [2985] = {.lex_state = 18},
  [2986] = {.lex_state = 125},
  [2987] = {.lex_state = 126},
  [2988] = {.lex_state = 125},
  [2989] = {.lex_state = 126},
  [2990] = {.lex_state = 18},
  [2991] = {.lex_state = 18},
  [2992] = {.lex_state = 125},
  [2993] = {.lex_state = 125},
  [2994] = {.lex_state = 126},
  [2995] = {.lex_state = 125},
  [2996] = {.lex_state = 126},
  [2997] = {.lex_state = 18},
  [2998] = {.lex_state = 125},
  [2999] = {.lex_state = 126},
  [3000] = {.lex_state = 125},
  [3001] = {.lex_state = 126},
  [3002] = {.lex_state = 18},
  [3003] = {.lex_state = 125},
  [3004] = {.lex_state = 126},
  [3005] = {.lex_state = 125},
  [3006] = {.lex_state = 126},
  [3007] = {.lex_state = 18},
  [3008] = {.lex_state = 126},
  [3009] = {.lex_state = 125},
  [3010] = {.lex_state = 126},
  [3011] = {.lex_state = 125},
  [3012] = {.lex_state = 126},
  [3013] = {.lex_state = 18},
  [3014] = {.lex_state = 125},
  [3015] = {.lex_state = 126},
  [3016] = {.lex_state = 125},
  [3017] = {.lex_state = 126},
  [3018] = {.lex_state = 18},
  [3019] = {.lex_state = 125},
  [3020] = {.lex_state = 126},
  [3021] = {.lex_state = 125},
  [3022] = {.lex_state = 126},
  [3023] = {.lex_state = 18},
  [3024] = {.lex_state = 125},
  [3025] = {.lex_state = 126},
  [3026] = {.lex_state = 125},
  [3027] = {.lex_state = 126},
  [3028] = {.lex_state = 125},
  [3029] = {.lex_state = 126},
  [3030] = {.lex_state = 18},
  [3031] = {.lex_state = 125},
  [3032] = {.lex_state = 126},
  [3033] = {.lex_state = 125},
  [3034] = {.lex_state = 126},
  [3035] = {.lex_state = 18},
  [3036] = {.lex_state = 125},
  [3037] = {.lex_state = 126},
  [3038] = {.lex_state = 125},
  [3039] = {.lex_state = 126},
  [3040] = {.lex_state = 18},
  [3041] = {.lex_state = 125},
  [3042] = {.lex_state = 126},
  [3043] = {.lex_state = 125},
  [3044] = {.lex_state = 126},
  [3045] = {.lex_state = 125},
  [3046] = {.lex_state = 126},
  [3047] = {.lex_state = 18},
  [3048] = {.lex_state = 18},
  [3049] = {.lex_state = 125},
  [3050] = {.lex_state = 126},
  [3051] = {.lex_state = 125},
  [3052] = {.lex_state = 126},
  [3053] = {.lex_state = 18},
  [3054] = {.lex_state = 125},
  [3055] = {.lex_state = 126},
  [3056] = {.lex_state = 125},
  [3057] = {.lex_state = 126},
  [3058] = {.lex_state = 18},
  [3059] = {.lex_state = 125},
  [3060] = {.lex_state = 126},
  [3061] = {.lex_state = 125},
  [3062] = {.lex_state = 126},
  [3063] = {.lex_state = 18},
  [3064] = {.lex_state = 125},
  [3065] = {.lex_state = 126},
  [3066] = {.lex_state = 125},
  [3067] = {.lex_state = 126},
  [3068] = {.lex_state = 18},
  [3069] = {.lex_state = 125},
  [3070] = {.lex_state = 126},
  [3071] = {.lex_state = 125},
  [3072] = {.lex_state = 126},
  [3073] = {.lex_state = 18},
  [3074] = {.lex_state = 125},
  [3075] = {.lex_state = 126},
  [3076] = {.lex_state = 125},
  [3077] = {.lex_state = 126},
  [3078] = {.lex_state = 18},
  [3079] = {.lex_state = 125},
  [3080] = {.lex_state = 126},
  [3081] = {.lex_state = 125},
  [3082] = {.lex_state = 126},
  [3083] = {.lex_state = 18},
  [3084] = {.lex_state = 125},
  [3085] = {.lex_state = 126},
  [3086] = {.lex_state = 125},
  [3087] = {.lex_state = 126},
  [3088] = {.lex_state = 18},
  [3089] = {.lex_state = 125},
  [3090] = {.lex_state = 126},
  [3091] = {.lex_state = 125},
  [3092] = {.lex_state = 126},
  [3093] = {.lex_state = 18},
  [3094] = {.lex_state = 125},
  [3095] = {.lex_state = 126},
  [3096] = {.lex_state = 125},
  [3097] = {.lex_state = 126},
  [3098] = {.lex_state = 126},
  [3099] = {.lex_state = 18},
  [3100] = {.lex_state = 18},
  [3101] = {.lex_state = 18},
  [3102] = {.lex_state = 18},
  [3103] = {.lex_state = 18},
  [3104] = {.lex_state = 18},
  [3105] = {.lex_state = 18},
  [3106] = {.lex_state = 18},
  [3107] = {.lex_state = 18},
  [3108] = {.lex_state = 18},
  [3109] = {.lex_state = 18},
  [3110] = {.lex_state = 18},
  [3111] = {.lex_state = 18},
  [3112] = {.lex_state = 18},
  [3113] = {.lex_state = 18},
  [3114] = {.lex_state = 18},
  [3115] = {.lex_state = 18},
  [3116] = {.lex_state = 18},
  [3117] = {.lex_state = 18},
  [3118] = {.lex_state = 18},
  [3119] = {.lex_state = 117},
  [3120] = {.lex_state = 18},
  [3121] = {.lex_state = 182},
  [3122] = {.lex_state = 115, .external_lex_state = 2},
  [3123] = {.lex_state = 115, .external_lex_state = 2},
  [3124] = {.lex_state = 115, .external_lex_state = 2},
  [3125] = {.lex_state = 117},
  [3126] = {.lex_state = 117},
  [3127] = {.lex_state = 115, .external_lex_state = 2},
  [3128] = {.lex_state = 117},
  [3129] = {.lex_state = 115, .external_lex_state = 2},
  [3130] = {.lex_state = 115},
  [3131] = {.lex_state = 115},
  [3132] = {.lex_state = 115},
  [3133] = {.lex_state = 115},
  [3134] = {.lex_state = 182},
  [3135] = {.lex_state = 115},
  [3136] = {.lex_state = 115},
  [3137] = {.lex_state = 182},
  [3138] = {.lex_state = 115},
  [3139] = {.lex_state = 115},
  [3140] = {.lex_state = 115},
  [3141] = {.lex_state = 115},
  [3142] = {.lex_state = 183},
  [3143] = {.lex_state = 115},
  [3144] = {.lex_state = 115},
  [3145] = {.lex_state = 182},
  [3146] = {.lex_state = 115},
  [3147] = {.lex_state = 183},
  [3148] = {.lex_state = 115},
  [3149] = {.lex_state = 182},
  [3150] = {.lex_state = 182},
  [3151] = {.lex_state = 115},
  [3152] = {.lex_state = 115},
  [3153] = {.lex_state = 115},
  [3154] = {.lex_state = 115},
  [3155] = {.lex_state = 115},
  [3156] = {.lex_state = 182},
  [3157] = {.lex_state = 183},
  [3158] = {.lex_state = 115},
  [3159] = {.lex_state = 183},
  [3160] = {.lex_state = 115},
  [3161] = {.lex_state = 115},
  [3162] = {.lex_state = 115},
  [3163] = {.lex_state = 183},
  [3164] = {.lex_state = 115},
  [3165] = {.lex_state = 182},
  [3166] = {.lex_state = 115},
  [3167] = {.lex_state = 115},
  [3168] = {.lex_state = 115},
  [3169] = {.lex_state = 115},
  [3170] = {.lex_state = 182},
  [3171] = {.lex_state = 182},
  [3172] = {.lex_state = 115},
  [3173] = {.lex_state = 115},
  [3174] = {.lex_state = 182},
  [3175] = {.lex_state = 182},
  [3176] = {.lex_state = 183},
  [3177] = {.lex_state = 183},
  [3178] = {.lex_state = 182},
  [3179] = {.lex_state = 115},
  [3180] = {.lex_state = 115},
  [3181] = {.lex_state = 182},
  [3182] = {.lex_state = 182},
  [3183] = {.lex_state = 183},
  [3184] = {.lex_state = 182},
  [3185] = {.lex_state = 183},
  [3186] = {.lex_state = 115},
  [3187] = {.lex_state = 182},
  [3188] = {.lex_state = 115},
  [3189] = {.lex_state = 115},
  [3190] = {.lex_state = 115},
  [3191] = {.lex_state = 182},
  [3192] = {.lex_state = 182},
  [3193] = {.lex_state = 182},
  [3194] = {.lex_state = 182},
  [3195] = {.lex_state = 182},
  [3196] = {.lex_state = 183},
  [3197] = {.lex_state = 182},
  [3198] = {.lex_state = 115},
  [3199] = {.lex_state = 115},
  [3200] = {.lex_state = 115},
  [3201] = {.lex_state = 182},
  [3202] = {.lex_state = 182},
  [3203] = {.lex_state = 183},
  [3204] = {.lex_state = 183},
  [3205] = {.lex_state = 115},
  [3206] = {.lex_state = 183},
  [3207] = {.lex_state = 115},
  [3208] = {.lex_state = 115},
  [3209] = {.lex_state = 182},
  [3210] = {.lex_state = 115},
  [3211] = {.lex_state = 115},
  [3212] = {.lex_state = 115},
  [3213] = {.lex_state = 115},
  [3214] = {.lex_state = 182},
  [3215] = {.lex_state = 115},
  [3216] = {.lex_state = 183},
  [3217] = {.lex_state = 115},
  [3218] = {.lex_state = 115},
  [3219] = {.lex_state = 115},
  [3220] = {.lex_state = 115},
  [3221] = {.lex_state = 115},
  [3222] = {.lex_state = 115},
  [3223] = {.lex_state = 115},
  [3224] = {.lex_state = 115},
  [3225] = {.lex_state = 115},
  [3226] = {.lex_state = 183},
  [3227] = {.lex_state = 182},
  [3228] = {.lex_state = 115},
  [3229] = {.lex_state = 115},
  [3230] = {.lex_state = 115},
  [3231] = {.lex_state = 115},
  [3232] = {.lex_state = 115},
  [3233] = {.lex_state = 115},
  [3234] = {.lex_state = 115},
  [3235] = {.lex_state = 115},
  [3236] = {.lex_state = 182},
  [3237] = {.lex_state = 183},
  [3238] = {.lex_state = 115},
  [3239] = {.lex_state = 115},
  [3240] = {.lex_state = 183},
  [3241] = {.lex_state = 115},
  [3242] = {.lex_state = 115},
  [3243] = {.lex_state = 182},
  [3244] = {.lex_state = 182},
  [3245] = {.lex_state = 115},
  [3246] = {.lex_state = 115},
  [3247] = {.lex_state = 115},
  [3248] = {.lex_state = 115},
  [3249] = {.lex_state = 182},
  [3250] = {.lex_state = 115},
  [3251] = {.lex_state = 115},
  [3252] = {.lex_state = 115},
  [3253] = {.lex_state = 115},
  [3254] = {.lex_state = 115},
  [3255] = {.lex_state = 115},
  [3256] = {.lex_state = 115},
  [3257] = {.lex_state = 115},
  [3258] = {.lex_state = 115},
  [3259] = {.lex_state = 115},
  [3260] = {.lex_state = 183},
  [3261] = {.lex_state = 182},
  [3262] = {.lex_state = 183},
  [3263] = {.lex_state = 183},
  [3264] = {.lex_state = 115},
  [3265] = {.lex_state = 115},
  [3266] = {.lex_state = 182},
  [3267] = {.lex_state = 182},
  [3268] = {.lex_state = 115},
  [3269] = {.lex_state = 115},
  [3270] = {.lex_state = 115},
  [3271] = {.lex_state = 115},
  [3272] = {.lex_state = 115},
  [3273] = {.lex_state = 115},
  [3274] = {.lex_state = 115},
  [3275] = {.lex_state = 115},
  [3276] = {.lex_state = 182},
  [3277] = {.lex_state = 182},
  [3278] = {.lex_state = 115},
  [3279] = {.lex_state = 115},
  [3280] = {.lex_state = 115},
  [3281] = {.lex_state = 183},
  [3282] = {.lex_state = 115},
  [3283] = {.lex_state = 183},
  [3284] = {.lex_state = 115},
  [3285] = {.lex_state = 115},
  [3286] = {.lex_state = 115},
  [3287] = {.lex_state = 182},
  [3288] = {.lex_state = 183},
  [3289] = {.lex_state = 183},
  [3290] = {.lex_state = 115},
  [3291] = {.lex_state = 115},
  [3292] = {.lex_state = 115},
  [3293] = {.lex_state = 115},
  [3294] = {.lex_state = 115},
  [3295] = {.lex_state = 182},
  [3296] = {.lex_state = 115},
  [3297] = {.lex_state = 115},
  [3298] = {.lex_state = 115},
  [3299] = {.lex_state = 115},
  [3300] = {.lex_state = 115},
  [3301] = {.lex_state = 182},
  [3302] = {.lex_state = 182},
  [3303] = {.lex_state = 183},
  [3304] = {.lex_state = 182},
  [3305] = {.lex_state = 182},
  [3306] = {.lex_state = 115},
  [3307] = {.lex_state = 115},
  [3308] = {.lex_state = 115},
  [3309] = {.lex_state = 115},
  [3310] = {.lex_state = 115},
  [3311] = {.lex_state = 115},
  [3312] = {.lex_state = 115},
  [3313] = {.lex_state = 182},
  [3314] = {.lex_state = 183},
  [3315] = {.lex_state = 115},
  [3316] = {.lex_state = 183},
  [3317] = {.lex_state = 183},
  [3318] = {.lex_state = 183},
  [3319] = {.lex_state = 115},
  [3320] = {.lex_state = 115},
  [3321] = {.lex_state = 115},
  [3322] = {.lex_state = 115},
  [3323] = {.lex_state = 115},
  [3324] = {.lex_state = 182},
  [3325] = {.lex_state = 182},
  [3326] = {.lex_state = 115},
  [3327] = {.lex_state = 115},
  [3328] = {.lex_state = 115},
  [3329] = {.lex_state = 115},
  [3330] = {.lex_state = 115},
  [3331] = {.lex_state = 115},
  [3332] = {.lex_state = 115},
  [3333] = {.lex_state = 182},
  [3334] = {.lex_state = 115},
  [3335] = {.lex_state = 182},
  [3336] = {.lex_state = 115},
  [3337] = {.lex_state = 115},
  [3338] = {.lex_state = 182},
  [3339] = {.lex_state = 183},
  [3340] = {.lex_state = 182},
  [3341] = {.lex_state = 115},
  [3342] = {.lex_state = 115},
  [3343] = {.lex_state = 115},
  [3344] = {.lex_state = 115},
  [3345] = {.lex_state = 115},
  [3346] = {.lex_state = 115},
  [3347] = {.lex_state = 182},
  [3348] = {.lex_state = 117},
  [3349] = {.lex_state = 18},
  [3350] = {.lex_state = 18},
  [3351] = {.lex_state = 18},
  [3352] = {.lex_state = 18},
  [3353] = {.lex_state = 18},
  [3354] = {.lex_state = 18},
  [3355] = {.lex_state = 18},
  [3356] = {.lex_state = 183},
  [3357] = {.lex_state = 18},
  [3358] = {.lex_state = 18},
  [3359] = {.lex_state = 18},
  [3360] = {.lex_state = 18},
  [3361] = {.lex_state = 18},
  [3362] = {.lex_state = 18},
  [3363] = {.lex_state = 18},
  [3364] = {.lex_state = 18},
  [3365] = {.lex_state = 18},
  [3366] = {.lex_state = 18},
  [3367] = {.lex_state = 18},
  [3368] = {.lex_state = 18},
  [3369] = {.lex_state = 18},
  [3370] = {.lex_state = 18},
  [3371] = {.lex_state = 18},
  [3372] = {.lex_state = 18},
  [3373] = {.lex_state = 18},
  [3374] = {.lex_state = 18},
  [3375] = {.lex_state = 18},
  [3376] = {.lex_state = 18},
  [3377] = {.lex_state = 18},
  [3378] = {.lex_state = 18},
  [3379] = {.lex_state = 18},
  [3380] = {.lex_state = 18},
  [3381] = {.lex_state = 18},
  [3382] = {.lex_state = 18},
  [3383] = {.lex_state = 18},
  [3384] = {.lex_state = 18},
  [3385] = {.lex_state = 18},
  [3386] = {.lex_state = 18},
  [3387] = {.lex_state = 18},
  [3388] = {.lex_state = 18},
  [3389] = {.lex_state = 18},
  [3390] = {.lex_state = 18},
  [3391] = {.lex_state = 18},
  [3392] = {.lex_state = 18},
  [3393] = {.lex_state = 18},
  [3394] = {.lex_state = 18},
  [3395] = {.lex_state = 183},
  [3396] = {.lex_state = 18},
  [3397] = {.lex_state = 18},
  [3398] = {.lex_state = 18},
  [3399] = {.lex_state = 18},
  [3400] = {.lex_state = 18},
  [3401] = {.lex_state = 183},
  [3402] = {.lex_state = 183},
  [3403] = {.lex_state = 18},
  [3404] = {.lex_state = 183},
  [3405] = {.lex_state = 117},
  [3406] = {.lex_state = 183},
  [3407] = {.lex_state = 18},
  [3408] = {.lex_state = 18},
  [3409] = {.lex_state = 18},
  [3410] = {.lex_state = 18},
  [3411] = {.lex_state = 18},
  [3412] = {.lex_state = 18},
  [3413] = {.lex_state = 18},
  [3414] = {.lex_state = 18},
  [3415] = {.lex_state = 18},
  [3416] = {.lex_state = 117},
  [3417] = {.lex_state = 183},
  [3418] = {.lex_state = 183},
  [3419] = {.lex_state = 117},
  [3420] = {.lex_state = 183},
  [3421] = {.lex_state = 18},
  [3422] = {.lex_state = 18},
  [3423] = {.lex_state = 18},
  [3424] = {.lex_state = 18},
  [3425] = {.lex_state = 117},
  [3426] = {.lex_state = 18},
  [3427] = {.lex_state = 183},
  [3428] = {.lex_state = 18},
  [3429] = {.lex_state = 18},
  [3430] = {.lex_state = 18},
  [3431] = {.lex_state = 18},
  [3432] = {.lex_state = 18},
  [3433] = {.lex_state = 18},
  [3434] = {.lex_state = 18},
  [3435] = {.lex_state = 183},
  [3436] = {.lex_state = 18},
  [3437] = {.lex_state = 18},
  [3438] = {.lex_state = 183},
  [3439] = {.lex_state = 18},
  [3440] = {.lex_state = 18},
  [3441] = {.lex_state = 18},
  [3442] = {.lex_state = 18},
  [3443] = {.lex_state = 18},
  [3444] = {.lex_state = 18},
  [3445] = {.lex_state = 18},
  [3446] = {.lex_state = 18},
  [3447] = {.lex_state = 18},
  [3448] = {.lex_state = 183},
  [3449] = {.lex_state = 18},
  [3450] = {.lex_state = 18},
  [3451] = {.lex_state = 450, .external_lex_state = 2},
  [3452] = {.lex_state = 183},
  [3453] = {.lex_state = 117},
  [3454] = {.lex_state = 18},
  [3455] = {.lex_state = 18},
  [3456] = {.lex_state = 18},
  [3457] = {.lex_state = 18},
  [3458] = {.lex_state = 18},
  [3459] = {.lex_state = 18},
  [3460] = {.lex_state = 183},
  [3461] = {.lex_state = 183},
  [3462] = {.lex_state = 117},
  [3463] = {.lex_state = 18},
  [3464] = {.lex_state = 183},
  [3465] = {.lex_state = 18},
  [3466] = {.lex_state = 18},
  [3467] = {.lex_state = 18},
  [3468] = {.lex_state = 18},
  [3469] = {.lex_state = 18},
  [3470] = {.lex_state = 18},
  [3471] = {.lex_state = 18},
  [3472] = {.lex_state = 18},
  [3473] = {.lex_state = 18},
  [3474] = {.lex_state = 18},
  [3475] = {.lex_state = 117},
  [3476] = {.lex_state = 18},
  [3477] = {.lex_state = 18},
  [3478] = {.lex_state = 117},
  [3479] = {.lex_state = 117},
  [3480] = {.lex_state = 18},
  [3481] = {.lex_state = 183},
  [3482] = {.lex_state = 18},
  [3483] = {.lex_state = 18},
  [3484] = {.lex_state = 183},
  [3485] = {.lex_state = 183},
  [3486] = {.lex_state = 117},
  [3487] = {.lex_state = 183},
  [3488] = {.lex_state = 18},
  [3489] = {.lex_state = 18},
  [3490] = {.lex_state = 18},
  [3491] = {.lex_state = 18},
  [3492] = {.lex_state = 18},
  [3493] = {.lex_state = 18},
  [3494] = {.lex_state = 183},
  [3495] = {.lex_state = 183},
  [3496] = {.lex_state = 117},
  [3497] = {.lex_state = 18},
  [3498] = {.lex_state = 183},
  [3499] = {.lex_state = 183},
  [3500] = {.lex_state = 18},
  [3501] = {.lex_state = 450},
  [3502] = {.lex_state = 183},
  [3503] = {.lex_state = 117},
  [3504] = {.lex_state = 117},
  [3505] = {.lex_state = 18},
  [3506] = {.lex_state = 117},
  [3507] = {.lex_state = 183},
  [3508] = {.lex_state = 183},
  [3509] = {.lex_state = 18},
  [3510] = {.lex_state = 183},
  [3511] = {.lex_state = 18},
  [3512] = {.lex_state = 18},
  [3513] = {.lex_state = 18},
  [3514] = {.lex_state = 18},
  [3515] = {.lex_state = 18},
  [3516] = {.lex_state = 18},
  [3517] = {.lex_state = 117},
  [3518] = {.lex_state = 117},
  [3519] = {.lex_state = 18},
  [3520] = {.lex_state = 18},
  [3521] = {.lex_state = 18},
  [3522] = {.lex_state = 18},
  [3523] = {.lex_state = 117},
  [3524] = {.lex_state = 18},
  [3525] = {.lex_state = 18},
  [3526] = {.lex_state = 18},
  [3527] = {.lex_state = 18},
  [3528] = {.lex_state = 117},
  [3529] = {.lex_state = 18},
  [3530] = {.lex_state = 18},
  [3531] = {.lex_state = 18},
  [3532] = {.lex_state = 18},
  [3533] = {.lex_state = 18},
  [3534] = {.lex_state = 18},
  [3535] = {.lex_state = 18},
  [3536] = {.lex_state = 18},
  [3537] = {.lex_state = 117},
  [3538] = {.lex_state = 183},
  [3539] = {.lex_state = 117},
  [3540] = {.lex_state = 183},
  [3541] = {.lex_state = 183},
  [3542] = {.lex_state = 183},
  [3543] = {.lex_state = 183},
  [3544] = {.lex_state = 117},
  [3545] = {.lex_state = 117},
  [3546] = {.lex_state = 117},
  [3547] = {.lex_state = 18},
  [3548] = {.lex_state = 183},
  [3549] = {.lex_state = 18},
  [3550] = {.lex_state = 18},
  [3551] = {.lex_state = 117},
  [3552] = {.lex_state = 18},
  [3553] = {.lex_state = 183},
  [3554] = {.lex_state = 183},
  [3555] = {.lex_state = 18},
  [3556] = {.lex_state = 18},
  [3557] = {.lex_state = 18},
  [3558] = {.lex_state = 18},
  [3559] = {.lex_state = 117},
  [3560] = {.lex_state = 18},
  [3561] = {.lex_state = 18},
  [3562] = {.lex_state = 183},
  [3563] = {.lex_state = 18},
  [3564] = {.lex_state = 18},
  [3565] = {.lex_state = 18},
  [3566] = {.lex_state = 117},
  [3567] = {.lex_state = 183},
  [3568] = {.lex_state = 18},
  [3569] = {.lex_state = 18},
  [3570] = {.lex_state = 18},
  [3571] = {.lex_state = 18},
  [3572] = {.lex_state = 18},
  [3573] = {.lex_state = 18},
  [3574] = {.lex_state = 183},
  [3575] = {.lex_state = 18},
  [3576] = {.lex_state = 18},
  [3577] = {.lex_state = 18},
  [3578] = {.lex_state = 183},
  [3579] = {.lex_state = 117},
  [3580] = {.lex_state = 183},
  [3581] = {.lex_state = 117},
  [3582] = {.lex_state = 183},
  [3583] = {.lex_state = 18},
  [3584] = {.lex_state = 18},
  [3585] = {.lex_state = 18},
  [3586] = {.lex_state = 18},
  [3587] = {.lex_state = 117},
  [3588] = {.lex_state = 183},
  [3589] = {.lex_state = 18},
  [3590] = {.lex_state = 18},
  [3591] = {.lex_state = 18},
  [3592] = {.lex_state = 117},
  [3593] = {.lex_state = 18},
  [3594] = {.lex_state = 18},
  [3595] = {.lex_state = 18},
  [3596] = {.lex_state = 117},
  [3597] = {.lex_state = 117},
  [3598] = {.lex_state = 117},
  [3599] = {.lex_state = 18},
  [3600] = {.lex_state = 18},
  [3601] = {.lex_state = 18},
  [3602] = {.lex_state = 117},
  [3603] = {.lex_state = 183},
  [3604] = {.lex_state = 18},
  [3605] = {.lex_state = 183},
  [3606] = {.lex_state = 18},
  [3607] = {.lex_state = 18},
  [3608] = {.lex_state = 18},
  [3609] = {.lex_state = 18},
  [3610] = {.lex_state = 18},
  [3611] = {.lex_state = 117},
  [3612] = {.lex_state = 117},
  [3613] = {.lex_state = 117},
  [3614] = {.lex_state = 18},
  [3615] = {.lex_state = 18},
  [3616] = {.lex_state = 18},
  [3617] = {.lex_state = 183},
  [3618] = {.lex_state = 18},
  [3619] = {.lex_state = 117},
  [3620] = {.lex_state = 18},
  [3621] = {.lex_state = 117},
  [3622] = {.lex_state = 183},
  [3623] = {.lex_state = 117},
  [3624] = {.lex_state = 18},
  [3625] = {.lex_state = 18},
  [3626] = {.lex_state = 18},
  [3627] = {.lex_state = 18},
  [3628] = {.lex_state = 18},
  [3629] = {.lex_state = 18},
  [3630] = {.lex_state = 18},
  [3631] = {.lex_state = 183},
  [3632] = {.lex_state = 117},
  [3633] = {.lex_state = 18},
  [3634] = {.lex_state = 18},
  [3635] = {.lex_state = 117},
  [3636] = {.lex_state = 18},
  [3637] = {.lex_state = 18},
  [3638] = {.lex_state = 183},
  [3639] = {.lex_state = 183},
  [3640] = {.lex_state = 18},
  [3641] = {.lex_state = 18},
  [3642] = {.lex_state = 18},
  [3643] = {.lex_state = 18},
  [3644] = {.lex_state = 117},
  [3645] = {.lex_state = 183},
  [3646] = {.lex_state = 18},
  [3647] = {.lex_state = 18},
  [3648] = {.lex_state = 183},
  [3649] = {.lex_state = 18},
  [3650] = {.lex_state = 183},
  [3651] = {.lex_state = 183},
  [3652] = {.lex_state = 117},
  [3653] = {.lex_state = 18},
  [3654] = {.lex_state = 18},
  [3655] = {.lex_state = 18},
  [3656] = {.lex_state = 18},
  [3657] = {.lex_state = 183},
  [3658] = {.lex_state = 18},
  [3659] = {.lex_state = 18},
  [3660] = {.lex_state = 117},
  [3661] = {.lex_state = 183},
  [3662] = {.lex_state = 183},
  [3663] = {.lex_state = 117},
  [3664] = {.lex_state = 117},
  [3665] = {.lex_state = 183},
  [3666] = {.lex_state = 18},
  [3667] = {.lex_state = 18},
  [3668] = {.lex_state = 18},
  [3669] = {.lex_state = 183},
  [3670] = {.lex_state = 18},
  [3671] = {.lex_state = 183},
  [3672] = {.lex_state = 18},
  [3673] = {.lex_state = 117},
  [3674] = {.lex_state = 18},
  [3675] = {.lex_state = 18},
  [3676] = {.lex_state = 18},
  [3677] = {.lex_state = 18},
  [3678] = {.lex_state = 18},
  [3679] = {.lex_state = 18},
  [3680] = {.lex_state = 18},
  [3681] = {.lex_state = 117},
  [3682] = {.lex_state = 117},
  [3683] = {.lex_state = 117},
  [3684] = {.lex_state = 18},
  [3685] = {.lex_state = 117},
  [3686] = {.lex_state = 116},
  [3687] = {.lex_state = 18},
  [3688] = {.lex_state = 117},
  [3689] = {.lex_state = 18},
  [3690] = {.lex_state = 18},
  [3691] = {.lex_state = 117},
  [3692] = {.lex_state = 117},
  [3693] = {.lex_state = 18},
  [3694] = {.lex_state = 183},
  [3695] = {.lex_state = 117},
  [3696] = {.lex_state = 117},
  [3697] = {.lex_state = 183},
  [3698] = {.lex_state = 18},
  [3699] = {.lex_state = 18},
  [3700] = {.lex_state = 18},
  [3701] = {.lex_state = 18},
  [3702] = {.lex_state = 117},
  [3703] = {.lex_state = 183},
  [3704] = {.lex_state = 183},
  [3705] = {.lex_state = 117},
  [3706] = {.lex_state = 117},
  [3707] = {.lex_state = 117},
  [3708] = {.lex_state = 117},
  [3709] = {.lex_state = 117},
  [3710] = {.lex_state = 117},
  [3711] = {.lex_state = 117},
  [3712] = {.lex_state = 450},
  [3713] = {.lex_state = 117},
  [3714] = {.lex_state = 117},
  [3715] = {.lex_state = 117},
  [3716] = {.lex_state = 117},
  [3717] = {.lex_state = 117},
  [3718] = {.lex_state = 117},
  [3719] = {.lex_state = 117},
  [3720] = {.lex_state = 117},
  [3721] = {.lex_state = 117},
  [3722] = {.lex_state = 117},
  [3723] = {.lex_state = 117},
  [3724] = {.lex_state = 117},
  [3725] = {.lex_state = 117},
  [3726] = {.lex_state = 117},
  [3727] = {.lex_state = 117},
  [3728] = {.lex_state = 117},
  [3729] = {.lex_state = 117},
  [3730] = {.lex_state = 117},
  [3731] = {.lex_state = 117},
  [3732] = {.lex_state = 117},
  [3733] = {.lex_state = 117},
  [3734] = {.lex_state = 117},
  [3735] = {.lex_state = 117},
  [3736] = {.lex_state = 117},
  [3737] = {.lex_state = 117},
  [3738] = {.lex_state = 117},
  [3739] = {.lex_state = 117},
  [3740] = {.lex_state = 117},
  [3741] = {.lex_state = 117},
  [3742] = {.lex_state = 117},
  [3743] = {.lex_state = 117},
  [3744] = {.lex_state = 127, .external_lex_state = 4},
  [3745] = {.lex_state = 117},
  [3746] = {.lex_state = 117},
  [3747] = {.lex_state = 117},
  [3748] = {.lex_state = 117},
  [3749] = {.lex_state = 117},
  [3750] = {.lex_state = 117},
  [3751] = {.lex_state = 117},
  [3752] = {.lex_state = 117},
  [3753] = {.lex_state = 117},
  [3754] = {.lex_state = 117},
  [3755] = {.lex_state = 117},
  [3756] = {.lex_state = 117},
  [3757] = {.lex_state = 117},
  [3758] = {.lex_state = 117},
  [3759] = {.lex_state = 117},
  [3760] = {.lex_state = 117},
  [3761] = {.lex_state = 117},
  [3762] = {.lex_state = 117},
  [3763] = {.lex_state = 117},
  [3764] = {.lex_state = 116},
  [3765] = {.lex_state = 116},
  [3766] = {.lex_state = 117},
  [3767] = {.lex_state = 116},
  [3768] = {.lex_state = 116},
  [3769] = {.lex_state = 116},
  [3770] = {.lex_state = 116},
  [3771] = {.lex_state = 116},
  [3772] = {.lex_state = 116},
  [3773] = {.lex_state = 116},
  [3774] = {.lex_state = 116},
  [3775] = {.lex_state = 116},
  [3776] = {.lex_state = 116},
  [3777] = {.lex_state = 116},
  [3778] = {.lex_state = 117},
  [3779] = {.lex_state = 116},
  [3780] = {.lex_state = 116},
  [3781] = {.lex_state = 116},
  [3782] = {.lex_state = 116},
  [3783] = {.lex_state = 116},
  [3784] = {.lex_state = 116},
  [3785] = {.lex_state = 117},
  [3786] = {.lex_state = 116},
  [3787] = {.lex_state = 116},
  [3788] = {.lex_state = 116},
  [3789] = {.lex_state = 116},
  [3790] = {.lex_state = 116},
  [3791] = {.lex_state = 116},
  [3792] = {.lex_state = 116},
  [3793] = {.lex_state = 116},
  [3794] = {.lex_state = 116},
  [3795] = {.lex_state = 116},
  [3796] = {.lex_state = 116},
  [3797] = {.lex_state = 116},
  [3798] = {.lex_state = 116},
  [3799] = {.lex_state = 116},
  [3800] = {.lex_state = 116},
  [3801] = {.lex_state = 116},
  [3802] = {.lex_state = 116},
  [3803] = {.lex_state = 116},
  [3804] = {.lex_state = 116},
  [3805] = {.lex_state = 116},
  [3806] = {.lex_state = 116},
  [3807] = {.lex_state = 117},
  [3808] = {.lex_state = 116},
  [3809] = {.lex_state = 128, .external_lex_state = 4},
  [3810] = {.lex_state = 116},
  [3811] = {.lex_state = 129, .external_lex_state = 4},
  [3812] = {.lex_state = 116},
  [3813] = {.lex_state = 116},
  [3814] = {.lex_state = 116},
  [3815] = {.lex_state = 133, .external_lex_state = 4},
  [3816] = {.lex_state = 116},
  [3817] = {.lex_state = 144, .external_lex_state = 4},
  [3818] = {.lex_state = 116},
  [3819] = {.lex_state = 116},
  [3820] = {.lex_state = 117},
  [3821] = {.lex_state = 116},
  [3822] = {.lex_state = 116},
  [3823] = {.lex_state = 116},
  [3824] = {.lex_state = 116},
  [3825] = {.lex_state = 116},
  [3826] = {.lex_state = 116},
  [3827] = {.lex_state = 116},
  [3828] = {.lex_state = 116},
  [3829] = {.lex_state = 117},
  [3830] = {.lex_state = 117},
  [3831] = {.lex_state = 117},
  [3832] = {.lex_state = 117},
  [3833] = {.lex_state = 117},
  [3834] = {.lex_state = 117},
  [3835] = {.lex_state = 117},
  [3836] = {.lex_state = 117},
  [3837] = {.lex_state = 117},
  [3838] = {.lex_state = 117},
  [3839] = {.lex_state = 117},
  [3840] = {.lex_state = 117},
  [3841] = {.lex_state = 117},
  [3842] = {.lex_state = 117},
  [3843] = {.lex_state = 117},
  [3844] = {.lex_state = 117},
  [3845] = {.lex_state = 117},
  [3846] = {.lex_state = 117},
  [3847] = {.lex_state = 117},
  [3848] = {.lex_state = 117},
  [3849] = {.lex_state = 117},
  [3850] = {.lex_state = 117},
  [3851] = {.lex_state = 117},
  [3852] = {.lex_state = 117},
  [3853] = {.lex_state = 117},
  [3854] = {.lex_state = 117},
  [3855] = {.lex_state = 117},
  [3856] = {.lex_state = 117},
  [3857] = {.lex_state = 117},
  [3858] = {.lex_state = 117},
  [3859] = {.lex_state = 117},
  [3860] = {.lex_state = 117},
  [3861] = {.lex_state = 117},
  [3862] = {.lex_state = 117},
  [3863] = {.lex_state = 117},
  [3864] = {.lex_state = 117},
  [3865] = {.lex_state = 117},
  [3866] = {.lex_state = 117},
  [3867] = {.lex_state = 117},
  [3868] = {.lex_state = 117},
  [3869] = {.lex_state = 117},
  [3870] = {.lex_state = 117},
  [3871] = {.lex_state = 117},
  [3872] = {.lex_state = 117},
  [3873] = {.lex_state = 117},
  [3874] = {.lex_state = 117},
  [3875] = {.lex_state = 117},
  [3876] = {.lex_state = 117},
  [3877] = {.lex_state = 117},
  [3878] = {.lex_state = 117},
  [3879] = {.lex_state = 117},
  [3880] = {.lex_state = 117},
  [3881] = {.lex_state = 117},
  [3882] = {.lex_state = 116},
  [3883] = {.lex_state = 131, .external_lex_state = 4},
  [3884] = {.lex_state = 117},
  [3885] = {.lex_state = 130, .external_lex_state = 4},
  [3886] = {.lex_state = 145, .external_lex_state = 4},
  [3887] = {.lex_state = 147, .external_lex_state = 4},
  [3888] = {.lex_state = 30, .external_lex_state = 4},
  [3889] = {.lex_state = 117},
  [3890] = {.lex_state = 117},
  [3891] = {.lex_state = 117},
  [3892] = {.lex_state = 135, .external_lex_state = 4},
  [3893] = {.lex_state = 134, .external_lex_state = 4},
  [3894] = {.lex_state = 146, .external_lex_state = 4},
  [3895] = {.lex_state = 50, .external_lex_state = 4},
  [3896] = {.lex_state = 136, .external_lex_state = 4},
  [3897] = {.lex_state = 33, .external_lex_state = 4},
  [3898] = {.lex_state = 154, .external_lex_state = 4},
  [3899] = {.lex_state = 137, .external_lex_state = 4},
  [3900] = {.lex_state = 132, .external_lex_state = 4},
  [3901] = {.lex_state = 31, .external_lex_state = 4},
  [3902] = {.lex_state = 148, .external_lex_state = 4},
  [3903] = {.lex_state = 53, .external_lex_state = 4},
  [3904] = {.lex_state = 32, .external_lex_state = 4},
  [3905] = {.lex_state = 160, .external_lex_state = 4},
  [3906] = {.lex_state = 149, .external_lex_state = 4},
  [3907] = {.lex_state = 173, .external_lex_state = 4},
  [3908] = {.lex_state = 51, .external_lex_state = 4},
  [3909] = {.lex_state = 19},
  [3910] = {.lex_state = 34, .external_lex_state = 4},
  [3911] = {.lex_state = 138, .external_lex_state = 4},
  [3912] = {.lex_state = 156, .external_lex_state = 4},
  [3913] = {.lex_state = 155, .external_lex_state = 4},
  [3914] = {.lex_state = 161, .external_lex_state = 4},
  [3915] = {.lex_state = 158, .external_lex_state = 4},
  [3916] = {.lex_state = 35, .external_lex_state = 4},
  [3917] = {.lex_state = 23},
  [3918] = {.lex_state = 174, .external_lex_state = 4},
  [3919] = {.lex_state = 52, .external_lex_state = 4},
  [3920] = {.lex_state = 139},
  [3921] = {.lex_state = 157, .external_lex_state = 4},
  [3922] = {.lex_state = 24},
  [3923] = {.lex_state = 176, .external_lex_state = 4},
  [3924] = {.lex_state = 54, .external_lex_state = 4},
  [3925] = {.lex_state = 162, .external_lex_state = 4},
  [3926] = {.lex_state = 140},
  [3927] = {.lex_state = 74, .external_lex_state = 4},
  [3928] = {.lex_state = 150},
  [3929] = {.lex_state = 166},
  [3930] = {.lex_state = 151},
  [3931] = {.lex_state = 75, .external_lex_state = 4},
  [3932] = {.lex_state = 167},
  [3933] = {.lex_state = 163, .external_lex_state = 4},
  [3934] = {.lex_state = 22},
  [3935] = {.lex_state = 77, .external_lex_state = 4},
  [3936] = {.lex_state = 55, .external_lex_state = 4},
  [3937] = {.lex_state = 21},
  [3938] = {.lex_state = 175, .external_lex_state = 4},
  [3939] = {.lex_state = 21},
  [3940] = {.lex_state = 96, .external_lex_state = 4},
  [3941] = {.lex_state = 24, .external_lex_state = 4},
  [3942] = {.lex_state = 20},
  [3943] = {.lex_state = 164},
  [3944] = {.lex_state = 159, .external_lex_state = 4},
  [3945] = {.lex_state = 3},
  [3946] = {.lex_state = 165},
  [3947] = {.lex_state = 26},
  [3948] = {.lex_state = 177, .external_lex_state = 4},
  [3949] = {.lex_state = 162},
  [3950] = {.lex_state = 25},
  [3951] = {.lex_state = 141},
  [3952] = {.lex_state = 78, .external_lex_state = 4},
  [3953] = {.lex_state = 142},
  [3954] = {.lex_state = 97, .external_lex_state = 4},
  [3955] = {.lex_state = 37},
  [3956] = {.lex_state = 177},
  [3957] = {.lex_state = 26, .external_lex_state = 4},
  [3958] = {.lex_state = 76, .external_lex_state = 4},
  [3959] = {.lex_state = 181},
  [3960] = {.lex_state = 168},
  [3961] = {.lex_state = 180},
  [3962] = {.lex_state = 13},
  [3963] = {.lex_state = 5},
  [3964] = {.lex_state = 143},
  [3965] = {.lex_state = 25, .external_lex_state = 4},
  [3966] = {.lex_state = 179},
  [3967] = {.lex_state = 99, .external_lex_state = 4},
  [3968] = {.lex_state = 36},
  [3969] = {.lex_state = 171},
  [3970] = {.lex_state = 170},
  [3971] = {.lex_state = 169},
  [3972] = {.lex_state = 178},
  [3973] = {.lex_state = 163},
  [3974] = {.lex_state = 7},
  [3975] = {.lex_state = 100, .external_lex_state = 4},
  [3976] = {.lex_state = 15},
  [3977] = {.lex_state = 172},
  [3978] = {.lex_state = 57},
  [3979] = {.lex_state = 82},
  [3980] = {.lex_state = 81},
  [3981] = {.lex_state = 10},
  [3982] = {.lex_state = 13, .external_lex_state = 4},
  [3983] = {.lex_state = 47},
  [3984] = {.lex_state = 46},
  [3985] = {.lex_state = 172, .external_lex_state = 4},
  [3986] = {.lex_state = 56},
  [3987] = {.lex_state = 182},
  [3988] = {.lex_state = 79},
  [3989] = {.lex_state = 80},
  [3990] = {.lex_state = 78},
  [3991] = {.lex_state = 98, .external_lex_state = 4},
  [3992] = {.lex_state = 11},
  [3993] = {.lex_state = 68},
  [3994] = {.lex_state = 93},
  [3995] = {.lex_state = 127, .external_lex_state = 4},
  [3996] = {.lex_state = 93, .external_lex_state = 4},
  [3997] = {.lex_state = 15, .external_lex_state = 4},
  [3998] = {.lex_state = 153},
  [3999] = {.lex_state = 38, .external_lex_state = 4},
  [4000] = {.lex_state = 100},
  [4001] = {.lex_state = 102},
  [4002] = {.lex_state = 183},
  [4003] = {.lex_state = 103},
  [4004] = {.lex_state = 182},
  [4005] = {.lex_state = 69},
  [4006] = {.lex_state = 104},
  [4007] = {.lex_state = 101},
  [4008] = {.lex_state = 38, .external_lex_state = 4},
  [4009] = {.lex_state = 127, .external_lex_state = 4},
  [4010] = {.lex_state = 127, .external_lex_state = 4},
  [4011] = {.lex_state = 39, .external_lex_state = 4},
  [4012] = {.lex_state = 40, .external_lex_state = 4},
  [4013] = {.lex_state = 127, .external_lex_state = 4},
  [4014] = {.lex_state = 128, .external_lex_state = 4},
  [4015] = {.lex_state = 183},
  [4016] = {.lex_state = 127, .external_lex_state = 4},
  [4017] = {.lex_state = 127, .external_lex_state = 4},
  [4018] = {.lex_state = 60, .external_lex_state = 4},
  [4019] = {.lex_state = 39, .external_lex_state = 4},
  [4020] = {.lex_state = 127, .external_lex_state = 4},
  [4021] = {.lex_state = 40, .external_lex_state = 4},
  [4022] = {.lex_state = 127, .external_lex_state = 4},
  [4023] = {.lex_state = 127, .external_lex_state = 4},
  [4024] = {.lex_state = 71},
  [4025] = {.lex_state = 127, .external_lex_state = 4},
  [4026] = {.lex_state = 144, .external_lex_state = 4},
  [4027] = {.lex_state = 127, .external_lex_state = 4},
  [4028] = {.lex_state = 127, .external_lex_state = 4},
  [4029] = {.lex_state = 60, .external_lex_state = 4},
  [4030] = {.lex_state = 129, .external_lex_state = 4},
  [4031] = {.lex_state = 127, .external_lex_state = 4},
  [4032] = {.lex_state = 117},
  [4033] = {.lex_state = 127, .external_lex_state = 4},
  [4034] = {.lex_state = 38, .external_lex_state = 4},
  [4035] = {.lex_state = 133, .external_lex_state = 4},
  [4036] = {.lex_state = 127, .external_lex_state = 4},
  [4037] = {.lex_state = 70},
  [4038] = {.lex_state = 127, .external_lex_state = 4},
  [4039] = {.lex_state = 116},
  [4040] = {.lex_state = 116},
  [4041] = {.lex_state = 144, .external_lex_state = 4},
  [4042] = {.lex_state = 128, .external_lex_state = 4},
  [4043] = {.lex_state = 128, .external_lex_state = 4},
  [4044] = {.lex_state = 128, .external_lex_state = 4},
  [4045] = {.lex_state = 144, .external_lex_state = 4},
  [4046] = {.lex_state = 145, .external_lex_state = 4},
  [4047] = {.lex_state = 128, .external_lex_state = 4},
  [4048] = {.lex_state = 41, .external_lex_state = 4},
  [4049] = {.lex_state = 42, .external_lex_state = 4},
  [4050] = {.lex_state = 129, .external_lex_state = 4},
  [4051] = {.lex_state = 144, .external_lex_state = 4},
  [4052] = {.lex_state = 129, .external_lex_state = 4},
  [4053] = {.lex_state = 144, .external_lex_state = 4},
  [4054] = {.lex_state = 144, .external_lex_state = 4},
  [4055] = {.lex_state = 131, .external_lex_state = 4},
  [4056] = {.lex_state = 129, .external_lex_state = 4},
  [4057] = {.lex_state = 129, .external_lex_state = 4},
  [4058] = {.lex_state = 147, .external_lex_state = 4},
  [4059] = {.lex_state = 133, .external_lex_state = 4},
  [4060] = {.lex_state = 129, .external_lex_state = 4},
  [4061] = {.lex_state = 61, .external_lex_state = 4},
  [4062] = {.lex_state = 144, .external_lex_state = 4},
  [4063] = {.lex_state = 129, .external_lex_state = 4},
  [4064] = {.lex_state = 129, .external_lex_state = 4},
  [4065] = {.lex_state = 61, .external_lex_state = 4},
  [4066] = {.lex_state = 144, .external_lex_state = 4},
  [4067] = {.lex_state = 128, .external_lex_state = 4},
  [4068] = {.lex_state = 62, .external_lex_state = 4},
  [4069] = {.lex_state = 144, .external_lex_state = 4},
  [4070] = {.lex_state = 42, .external_lex_state = 4},
  [4071] = {.lex_state = 128, .external_lex_state = 4},
  [4072] = {.lex_state = 128, .external_lex_state = 4},
  [4073] = {.lex_state = 134, .external_lex_state = 4},
  [4074] = {.lex_state = 144, .external_lex_state = 4},
  [4075] = {.lex_state = 144, .external_lex_state = 4},
  [4076] = {.lex_state = 144, .external_lex_state = 4},
  [4077] = {.lex_state = 118, .external_lex_state = 4},
  [4078] = {.lex_state = 128, .external_lex_state = 4},
  [4079] = {.lex_state = 39, .external_lex_state = 4},
  [4080] = {.lex_state = 128, .external_lex_state = 4},
  [4081] = {.lex_state = 129, .external_lex_state = 4},
  [4082] = {.lex_state = 144, .external_lex_state = 4},
  [4083] = {.lex_state = 133, .external_lex_state = 4},
  [4084] = {.lex_state = 62, .external_lex_state = 4},
  [4085] = {.lex_state = 94},
  [4086] = {.lex_state = 133, .external_lex_state = 4},
  [4087] = {.lex_state = 133, .external_lex_state = 4},
  [4088] = {.lex_state = 133, .external_lex_state = 4},
  [4089] = {.lex_state = 133, .external_lex_state = 4},
  [4090] = {.lex_state = 133, .external_lex_state = 4},
  [4091] = {.lex_state = 144, .external_lex_state = 4},
  [4092] = {.lex_state = 144, .external_lex_state = 4},
  [4093] = {.lex_state = 135, .external_lex_state = 4},
  [4094] = {.lex_state = 60, .external_lex_state = 4},
  [4095] = {.lex_state = 133, .external_lex_state = 4},
  [4096] = {.lex_state = 30, .external_lex_state = 4},
  [4097] = {.lex_state = 94},
  [4098] = {.lex_state = 133, .external_lex_state = 4},
  [4099] = {.lex_state = 133, .external_lex_state = 4},
  [4100] = {.lex_state = 133, .external_lex_state = 4},
  [4101] = {.lex_state = 129, .external_lex_state = 4},
  [4102] = {.lex_state = 133, .external_lex_state = 4},
  [4103] = {.lex_state = 128, .external_lex_state = 4},
  [4104] = {.lex_state = 144, .external_lex_state = 4},
  [4105] = {.lex_state = 128, .external_lex_state = 4},
  [4106] = {.lex_state = 129, .external_lex_state = 4},
  [4107] = {.lex_state = 128, .external_lex_state = 4},
  [4108] = {.lex_state = 41, .external_lex_state = 4},
  [4109] = {.lex_state = 133, .external_lex_state = 4},
  [4110] = {.lex_state = 128, .external_lex_state = 4},
  [4111] = {.lex_state = 118, .external_lex_state = 4},
  [4112] = {.lex_state = 130, .external_lex_state = 4},
  [4113] = {.lex_state = 117},
  [4114] = {.lex_state = 129, .external_lex_state = 4},
  [4115] = {.lex_state = 129, .external_lex_state = 4},
  [4116] = {.lex_state = 133, .external_lex_state = 4},
  [4117] = {.lex_state = 40, .external_lex_state = 4},
  [4118] = {.lex_state = 128, .external_lex_state = 4},
  [4119] = {.lex_state = 128, .external_lex_state = 4},
  [4120] = {.lex_state = 133, .external_lex_state = 4},
  [4121] = {.lex_state = 129, .external_lex_state = 4},
  [4122] = {.lex_state = 129, .external_lex_state = 4},
  [4123] = {.lex_state = 129, .external_lex_state = 4},
  [4124] = {.lex_state = 135, .external_lex_state = 4},
  [4125] = {.lex_state = 136, .external_lex_state = 4},
  [4126] = {.lex_state = 131, .external_lex_state = 4},
  [4127] = {.lex_state = 131, .external_lex_state = 4},
  [4128] = {.lex_state = 131, .external_lex_state = 4},
  [4129] = {.lex_state = 131, .external_lex_state = 4},
  [4130] = {.lex_state = 131, .external_lex_state = 4},
  [4131] = {.lex_state = 131, .external_lex_state = 4},
  [4132] = {.lex_state = 131, .external_lex_state = 4},
  [4133] = {.lex_state = 131, .external_lex_state = 4},
  [4134] = {.lex_state = 131, .external_lex_state = 4},
  [4135] = {.lex_state = 131, .external_lex_state = 4},
  [4136] = {.lex_state = 131, .external_lex_state = 4},
  [4137] = {.lex_state = 145, .external_lex_state = 4},
  [4138] = {.lex_state = 145, .external_lex_state = 4},
  [4139] = {.lex_state = 135, .external_lex_state = 4},
  [4140] = {.lex_state = 145, .external_lex_state = 4},
  [4141] = {.lex_state = 145, .external_lex_state = 4},
  [4142] = {.lex_state = 145, .external_lex_state = 4},
  [4143] = {.lex_state = 145, .external_lex_state = 4},
  [4144] = {.lex_state = 145, .external_lex_state = 4},
  [4145] = {.lex_state = 145, .external_lex_state = 4},
  [4146] = {.lex_state = 145, .external_lex_state = 4},
  [4147] = {.lex_state = 145, .external_lex_state = 4},
  [4148] = {.lex_state = 41, .external_lex_state = 4},
  [4149] = {.lex_state = 154, .external_lex_state = 4},
  [4150] = {.lex_state = 131, .external_lex_state = 4},
  [4151] = {.lex_state = 131, .external_lex_state = 4},
  [4152] = {.lex_state = 17},
  [4153] = {.lex_state = 145, .external_lex_state = 4},
  [4154] = {.lex_state = 17},
  [4155] = {.lex_state = 145, .external_lex_state = 4},
  [4156] = {.lex_state = 62, .external_lex_state = 4},
  [4157] = {.lex_state = 131, .external_lex_state = 4},
  [4158] = {.lex_state = 145, .external_lex_state = 4},
  [4159] = {.lex_state = 50, .external_lex_state = 4},
  [4160] = {.lex_state = 42, .external_lex_state = 4},
  [4161] = {.lex_state = 131, .external_lex_state = 4},
  [4162] = {.lex_state = 31, .external_lex_state = 4},
  [4163] = {.lex_state = 145, .external_lex_state = 4},
  [4164] = {.lex_state = 134, .external_lex_state = 4},
  [4165] = {.lex_state = 63, .external_lex_state = 4},
  [4166] = {.lex_state = 134, .external_lex_state = 4},
  [4167] = {.lex_state = 134, .external_lex_state = 4},
  [4168] = {.lex_state = 64, .external_lex_state = 4},
  [4169] = {.lex_state = 63, .external_lex_state = 4},
  [4170] = {.lex_state = 134, .external_lex_state = 4},
  [4171] = {.lex_state = 134, .external_lex_state = 4},
  [4172] = {.lex_state = 147, .external_lex_state = 4},
  [4173] = {.lex_state = 134, .external_lex_state = 4},
  [4174] = {.lex_state = 134, .external_lex_state = 4},
  [4175] = {.lex_state = 134, .external_lex_state = 4},
  [4176] = {.lex_state = 134, .external_lex_state = 4},
  [4177] = {.lex_state = 134, .external_lex_state = 4},
  [4178] = {.lex_state = 134, .external_lex_state = 4},
  [4179] = {.lex_state = 134, .external_lex_state = 4},
  [4180] = {.lex_state = 30, .external_lex_state = 4},
  [4181] = {.lex_state = 134, .external_lex_state = 4},
  [4182] = {.lex_state = 30, .external_lex_state = 4},
  [4183] = {.lex_state = 30, .external_lex_state = 4},
  [4184] = {.lex_state = 30, .external_lex_state = 4},
  [4185] = {.lex_state = 30, .external_lex_state = 4},
  [4186] = {.lex_state = 30, .external_lex_state = 4},
  [4187] = {.lex_state = 30, .external_lex_state = 4},
  [4188] = {.lex_state = 30, .external_lex_state = 4},
  [4189] = {.lex_state = 30, .external_lex_state = 4},
  [4190] = {.lex_state = 30, .external_lex_state = 4},
  [4191] = {.lex_state = 30, .external_lex_state = 4},
  [4192] = {.lex_state = 134, .external_lex_state = 4},
  [4193] = {.lex_state = 17, .external_lex_state = 4},
  [4194] = {.lex_state = 33, .external_lex_state = 4},
  [4195] = {.lex_state = 61, .external_lex_state = 4},
  [4196] = {.lex_state = 17, .external_lex_state = 4},
  [4197] = {.lex_state = 130, .external_lex_state = 4},
  [4198] = {.lex_state = 30, .external_lex_state = 4},
  [4199] = {.lex_state = 130, .external_lex_state = 4},
  [4200] = {.lex_state = 130, .external_lex_state = 4},
  [4201] = {.lex_state = 130, .external_lex_state = 4},
  [4202] = {.lex_state = 130, .external_lex_state = 4},
  [4203] = {.lex_state = 130, .external_lex_state = 4},
  [4204] = {.lex_state = 30, .external_lex_state = 4},
  [4205] = {.lex_state = 130, .external_lex_state = 4},
  [4206] = {.lex_state = 130, .external_lex_state = 4},
  [4207] = {.lex_state = 130, .external_lex_state = 4},
  [4208] = {.lex_state = 130, .external_lex_state = 4},
  [4209] = {.lex_state = 130, .external_lex_state = 4},
  [4210] = {.lex_state = 134, .external_lex_state = 4},
  [4211] = {.lex_state = 130, .external_lex_state = 4},
  [4212] = {.lex_state = 130, .external_lex_state = 4},
  [4213] = {.lex_state = 132, .external_lex_state = 4},
  [4214] = {.lex_state = 64, .external_lex_state = 4},
  [4215] = {.lex_state = 30, .external_lex_state = 4},
  [4216] = {.lex_state = 43, .external_lex_state = 4},
  [4217] = {.lex_state = 130, .external_lex_state = 4},
  [4218] = {.lex_state = 83, .external_lex_state = 4},
  [4219] = {.lex_state = 147, .external_lex_state = 4},
  [4220] = {.lex_state = 147, .external_lex_state = 4},
  [4221] = {.lex_state = 147, .external_lex_state = 4},
  [4222] = {.lex_state = 147, .external_lex_state = 4},
  [4223] = {.lex_state = 147, .external_lex_state = 4},
  [4224] = {.lex_state = 147, .external_lex_state = 4},
  [4225] = {.lex_state = 147, .external_lex_state = 4},
  [4226] = {.lex_state = 147, .external_lex_state = 4},
  [4227] = {.lex_state = 147, .external_lex_state = 4},
  [4228] = {.lex_state = 147, .external_lex_state = 4},
  [4229] = {.lex_state = 147, .external_lex_state = 4},
  [4230] = {.lex_state = 147, .external_lex_state = 4},
  [4231] = {.lex_state = 43, .external_lex_state = 4},
  [4232] = {.lex_state = 147, .external_lex_state = 4},
  [4233] = {.lex_state = 117},
  [4234] = {.lex_state = 83, .external_lex_state = 4},
  [4235] = {.lex_state = 146, .external_lex_state = 4},
  [4236] = {.lex_state = 135, .external_lex_state = 4},
  [4237] = {.lex_state = 147, .external_lex_state = 4},
  [4238] = {.lex_state = 135, .external_lex_state = 4},
  [4239] = {.lex_state = 135, .external_lex_state = 4},
  [4240] = {.lex_state = 135, .external_lex_state = 4},
  [4241] = {.lex_state = 135, .external_lex_state = 4},
  [4242] = {.lex_state = 135, .external_lex_state = 4},
  [4243] = {.lex_state = 135, .external_lex_state = 4},
  [4244] = {.lex_state = 135, .external_lex_state = 4},
  [4245] = {.lex_state = 135, .external_lex_state = 4},
  [4246] = {.lex_state = 135, .external_lex_state = 4},
  [4247] = {.lex_state = 135, .external_lex_state = 4},
  [4248] = {.lex_state = 137, .external_lex_state = 4},
  [4249] = {.lex_state = 30, .external_lex_state = 4},
  [4250] = {.lex_state = 130, .external_lex_state = 4},
  [4251] = {.lex_state = 148, .external_lex_state = 4},
  [4252] = {.lex_state = 135, .external_lex_state = 4},
  [4253] = {.lex_state = 135, .external_lex_state = 4},
  [4254] = {.lex_state = 145, .external_lex_state = 4},
  [4255] = {.lex_state = 136, .external_lex_state = 4},
  [4256] = {.lex_state = 31, .external_lex_state = 4},
  [4257] = {.lex_state = 31, .external_lex_state = 4},
  [4258] = {.lex_state = 50, .external_lex_state = 4},
  [4259] = {.lex_state = 32, .external_lex_state = 4},
  [4260] = {.lex_state = 43, .external_lex_state = 4},
  [4261] = {.lex_state = 94},
  [4262] = {.lex_state = 65, .external_lex_state = 4},
  [4263] = {.lex_state = 33, .external_lex_state = 4},
  [4264] = {.lex_state = 31, .external_lex_state = 4},
  [4265] = {.lex_state = 33, .external_lex_state = 4},
  [4266] = {.lex_state = 154, .external_lex_state = 4},
  [4267] = {.lex_state = 33, .external_lex_state = 4},
  [4268] = {.lex_state = 33, .external_lex_state = 4},
  [4269] = {.lex_state = 33, .external_lex_state = 4},
  [4270] = {.lex_state = 118, .external_lex_state = 4},
  [4271] = {.lex_state = 33, .external_lex_state = 4},
  [4272] = {.lex_state = 33, .external_lex_state = 4},
  [4273] = {.lex_state = 33, .external_lex_state = 4},
  [4274] = {.lex_state = 33, .external_lex_state = 4},
  [4275] = {.lex_state = 33, .external_lex_state = 4},
  [4276] = {.lex_state = 105, .external_lex_state = 4},
  [4277] = {.lex_state = 65, .external_lex_state = 4},
  [4278] = {.lex_state = 154, .external_lex_state = 4},
  [4279] = {.lex_state = 154, .external_lex_state = 4},
  [4280] = {.lex_state = 154, .external_lex_state = 4},
  [4281] = {.lex_state = 33, .external_lex_state = 4},
  [4282] = {.lex_state = 19},
  [4283] = {.lex_state = 154, .external_lex_state = 4},
  [4284] = {.lex_state = 64, .external_lex_state = 4},
  [4285] = {.lex_state = 33, .external_lex_state = 4},
  [4286] = {.lex_state = 154, .external_lex_state = 4},
  [4287] = {.lex_state = 118, .external_lex_state = 4},
  [4288] = {.lex_state = 154, .external_lex_state = 4},
  [4289] = {.lex_state = 53, .external_lex_state = 4},
  [4290] = {.lex_state = 154, .external_lex_state = 4},
  [4291] = {.lex_state = 50, .external_lex_state = 4},
  [4292] = {.lex_state = 118, .external_lex_state = 4},
  [4293] = {.lex_state = 154, .external_lex_state = 4},
  [4294] = {.lex_state = 149, .external_lex_state = 4},
  [4295] = {.lex_state = 132, .external_lex_state = 4},
  [4296] = {.lex_state = 132, .external_lex_state = 4},
  [4297] = {.lex_state = 132, .external_lex_state = 4},
  [4298] = {.lex_state = 132, .external_lex_state = 4},
  [4299] = {.lex_state = 132, .external_lex_state = 4},
  [4300] = {.lex_state = 132, .external_lex_state = 4},
  [4301] = {.lex_state = 132, .external_lex_state = 4},
  [4302] = {.lex_state = 132, .external_lex_state = 4},
  [4303] = {.lex_state = 132, .external_lex_state = 4},
  [4304] = {.lex_state = 132, .external_lex_state = 4},
  [4305] = {.lex_state = 132, .external_lex_state = 4},
  [4306] = {.lex_state = 50, .external_lex_state = 4},
  [4307] = {.lex_state = 50, .external_lex_state = 4},
  [4308] = {.lex_state = 34, .external_lex_state = 4},
  [4309] = {.lex_state = 83, .external_lex_state = 4},
  [4310] = {.lex_state = 50, .external_lex_state = 4},
  [4311] = {.lex_state = 146, .external_lex_state = 4},
  [4312] = {.lex_state = 50, .external_lex_state = 4},
  [4313] = {.lex_state = 132, .external_lex_state = 4},
  [4314] = {.lex_state = 132, .external_lex_state = 4},
  [4315] = {.lex_state = 155, .external_lex_state = 4},
  [4316] = {.lex_state = 154, .external_lex_state = 4},
  [4317] = {.lex_state = 136, .external_lex_state = 4},
  [4318] = {.lex_state = 50, .external_lex_state = 4},
  [4319] = {.lex_state = 105, .external_lex_state = 4},
  [4320] = {.lex_state = 136, .external_lex_state = 4},
  [4321] = {.lex_state = 136, .external_lex_state = 4},
  [4322] = {.lex_state = 136, .external_lex_state = 4},
  [4323] = {.lex_state = 136, .external_lex_state = 4},
  [4324] = {.lex_state = 84, .external_lex_state = 4},
  [4325] = {.lex_state = 136, .external_lex_state = 4},
  [4326] = {.lex_state = 136, .external_lex_state = 4},
  [4327] = {.lex_state = 132, .external_lex_state = 4},
  [4328] = {.lex_state = 136, .external_lex_state = 4},
  [4329] = {.lex_state = 136, .external_lex_state = 4},
  [4330] = {.lex_state = 154, .external_lex_state = 4},
  [4331] = {.lex_state = 136, .external_lex_state = 4},
  [4332] = {.lex_state = 4},
  [4333] = {.lex_state = 136, .external_lex_state = 4},
  [4334] = {.lex_state = 137, .external_lex_state = 4},
  [4335] = {.lex_state = 137, .external_lex_state = 4},
  [4336] = {.lex_state = 137, .external_lex_state = 4},
  [4337] = {.lex_state = 137, .external_lex_state = 4},
  [4338] = {.lex_state = 137, .external_lex_state = 4},
  [4339] = {.lex_state = 137, .external_lex_state = 4},
  [4340] = {.lex_state = 50, .external_lex_state = 4},
  [4341] = {.lex_state = 50, .external_lex_state = 4},
  [4342] = {.lex_state = 137, .external_lex_state = 4},
  [4343] = {.lex_state = 50, .external_lex_state = 4},
  [4344] = {.lex_state = 50, .external_lex_state = 4},
  [4345] = {.lex_state = 50, .external_lex_state = 4},
  [4346] = {.lex_state = 50, .external_lex_state = 4},
  [4347] = {.lex_state = 50, .external_lex_state = 4},
  [4348] = {.lex_state = 137, .external_lex_state = 4},
  [4349] = {.lex_state = 85, .external_lex_state = 4},
  [4350] = {.lex_state = 137, .external_lex_state = 4},
  [4351] = {.lex_state = 137, .external_lex_state = 4},
  [4352] = {.lex_state = 84, .external_lex_state = 4},
  [4353] = {.lex_state = 137, .external_lex_state = 4},
  [4354] = {.lex_state = 148, .external_lex_state = 4},
  [4355] = {.lex_state = 148, .external_lex_state = 4},
  [4356] = {.lex_state = 148, .external_lex_state = 4},
  [4357] = {.lex_state = 148, .external_lex_state = 4},
  [4358] = {.lex_state = 148, .external_lex_state = 4},
  [4359] = {.lex_state = 148, .external_lex_state = 4},
  [4360] = {.lex_state = 146, .external_lex_state = 4},
  [4361] = {.lex_state = 148, .external_lex_state = 4},
  [4362] = {.lex_state = 148, .external_lex_state = 4},
  [4363] = {.lex_state = 146, .external_lex_state = 4},
  [4364] = {.lex_state = 146, .external_lex_state = 4},
  [4365] = {.lex_state = 146, .external_lex_state = 4},
  [4366] = {.lex_state = 146, .external_lex_state = 4},
  [4367] = {.lex_state = 146, .external_lex_state = 4},
  [4368] = {.lex_state = 146, .external_lex_state = 4},
  [4369] = {.lex_state = 146, .external_lex_state = 4},
  [4370] = {.lex_state = 146, .external_lex_state = 4},
  [4371] = {.lex_state = 146, .external_lex_state = 4},
  [4372] = {.lex_state = 146, .external_lex_state = 4},
  [4373] = {.lex_state = 173, .external_lex_state = 4},
  [4374] = {.lex_state = 148, .external_lex_state = 4},
  [4375] = {.lex_state = 148, .external_lex_state = 4},
  [4376] = {.lex_state = 31, .external_lex_state = 4},
  [4377] = {.lex_state = 154, .external_lex_state = 4},
  [4378] = {.lex_state = 148, .external_lex_state = 4},
  [4379] = {.lex_state = 31, .external_lex_state = 4},
  [4380] = {.lex_state = 51, .external_lex_state = 4},
  [4381] = {.lex_state = 160, .external_lex_state = 4},
  [4382] = {.lex_state = 31, .external_lex_state = 4},
  [4383] = {.lex_state = 146, .external_lex_state = 4},
  [4384] = {.lex_state = 137, .external_lex_state = 4},
  [4385] = {.lex_state = 85, .external_lex_state = 4},
  [4386] = {.lex_state = 146, .external_lex_state = 4},
  [4387] = {.lex_state = 31, .external_lex_state = 4},
  [4388] = {.lex_state = 31, .external_lex_state = 4},
  [4389] = {.lex_state = 31, .external_lex_state = 4},
  [4390] = {.lex_state = 31, .external_lex_state = 4},
  [4391] = {.lex_state = 31, .external_lex_state = 4},
  [4392] = {.lex_state = 137, .external_lex_state = 4},
  [4393] = {.lex_state = 154, .external_lex_state = 4},
  [4394] = {.lex_state = 31, .external_lex_state = 4},
  [4395] = {.lex_state = 31, .external_lex_state = 4},
  [4396] = {.lex_state = 50, .external_lex_state = 4},
  [4397] = {.lex_state = 148, .external_lex_state = 4},
  [4398] = {.lex_state = 148, .external_lex_state = 4},
  [4399] = {.lex_state = 33, .external_lex_state = 4},
  [4400] = {.lex_state = 146, .external_lex_state = 4},
  [4401] = {.lex_state = 31, .external_lex_state = 4},
  [4402] = {.lex_state = 136, .external_lex_state = 4},
  [4403] = {.lex_state = 63, .external_lex_state = 4},
  [4404] = {.lex_state = 156, .external_lex_state = 4},
  [4405] = {.lex_state = 132, .external_lex_state = 4},
  [4406] = {.lex_state = 154, .external_lex_state = 4},
  [4407] = {.lex_state = 137, .external_lex_state = 4},
  [4408] = {.lex_state = 148, .external_lex_state = 4},
  [4409] = {.lex_state = 136, .external_lex_state = 4},
  [4410] = {.lex_state = 136, .external_lex_state = 4},
  [4411] = {.lex_state = 138, .external_lex_state = 4},
  [4412] = {.lex_state = 33, .external_lex_state = 4},
  [4413] = {.lex_state = 31, .external_lex_state = 4},
  [4414] = {.lex_state = 137, .external_lex_state = 4},
  [4415] = {.lex_state = 148, .external_lex_state = 4},
  [4416] = {.lex_state = 154, .external_lex_state = 4},
  [4417] = {.lex_state = 33, .external_lex_state = 4},
  [4418] = {.lex_state = 51, .external_lex_state = 4},
  [4419] = {.lex_state = 53, .external_lex_state = 4},
  [4420] = {.lex_state = 34, .external_lex_state = 4},
  [4421] = {.lex_state = 34, .external_lex_state = 4},
  [4422] = {.lex_state = 156, .external_lex_state = 4},
  [4423] = {.lex_state = 162, .external_lex_state = 4},
  [4424] = {.lex_state = 138, .external_lex_state = 4},
  [4425] = {.lex_state = 149, .external_lex_state = 4},
  [4426] = {.lex_state = 4},
  [4427] = {.lex_state = 14},
  [4428] = {.lex_state = 155, .external_lex_state = 4},
  [4429] = {.lex_state = 34, .external_lex_state = 4},
  [4430] = {.lex_state = 34, .external_lex_state = 4},
  [4431] = {.lex_state = 32, .external_lex_state = 4},
  [4432] = {.lex_state = 32, .external_lex_state = 4},
  [4433] = {.lex_state = 106, .external_lex_state = 4},
  [4434] = {.lex_state = 9},
  [4435] = {.lex_state = 160, .external_lex_state = 4},
  [4436] = {.lex_state = 32, .external_lex_state = 4},
  [4437] = {.lex_state = 156, .external_lex_state = 4},
  [4438] = {.lex_state = 85, .external_lex_state = 4},
  [4439] = {.lex_state = 155, .external_lex_state = 4},
  [4440] = {.lex_state = 160, .external_lex_state = 4},
  [4441] = {.lex_state = 160, .external_lex_state = 4},
  [4442] = {.lex_state = 160, .external_lex_state = 4},
  [4443] = {.lex_state = 160, .external_lex_state = 4},
  [4444] = {.lex_state = 160, .external_lex_state = 4},
  [4445] = {.lex_state = 160, .external_lex_state = 4},
  [4446] = {.lex_state = 160, .external_lex_state = 4},
  [4447] = {.lex_state = 160, .external_lex_state = 4},
  [4448] = {.lex_state = 34, .external_lex_state = 4},
  [4449] = {.lex_state = 149, .external_lex_state = 4},
  [4450] = {.lex_state = 160, .external_lex_state = 4},
  [4451] = {.lex_state = 160, .external_lex_state = 4},
  [4452] = {.lex_state = 94},
  [4453] = {.lex_state = 44},
  [4454] = {.lex_state = 149, .external_lex_state = 4},
  [4455] = {.lex_state = 86, .external_lex_state = 4},
  [4456] = {.lex_state = 139},
  [4457] = {.lex_state = 155, .external_lex_state = 4},
  [4458] = {.lex_state = 155, .external_lex_state = 4},
  [4459] = {.lex_state = 138, .external_lex_state = 4},
  [4460] = {.lex_state = 32, .external_lex_state = 4},
  [4461] = {.lex_state = 107, .external_lex_state = 4},
  [4462] = {.lex_state = 156, .external_lex_state = 4},
  [4463] = {.lex_state = 155, .external_lex_state = 4},
  [4464] = {.lex_state = 87, .external_lex_state = 4},
  [4465] = {.lex_state = 32, .external_lex_state = 4},
  [4466] = {.lex_state = 32, .external_lex_state = 4},
  [4467] = {.lex_state = 155, .external_lex_state = 4},
  [4468] = {.lex_state = 155, .external_lex_state = 4},
  [4469] = {.lex_state = 155, .external_lex_state = 4},
  [4470] = {.lex_state = 155, .external_lex_state = 4},
  [4471] = {.lex_state = 156, .external_lex_state = 4},
  [4472] = {.lex_state = 155, .external_lex_state = 4},
  [4473] = {.lex_state = 156, .external_lex_state = 4},
  [4474] = {.lex_state = 32, .external_lex_state = 4},
  [4475] = {.lex_state = 149, .external_lex_state = 4},
  [4476] = {.lex_state = 44},
  [4477] = {.lex_state = 149, .external_lex_state = 4},
  [4478] = {.lex_state = 149, .external_lex_state = 4},
  [4479] = {.lex_state = 149, .external_lex_state = 4},
  [4480] = {.lex_state = 155, .external_lex_state = 4},
  [4481] = {.lex_state = 155, .external_lex_state = 4},
  [4482] = {.lex_state = 32, .external_lex_state = 4},
  [4483] = {.lex_state = 17, .external_lex_state = 4},
  [4484] = {.lex_state = 32, .external_lex_state = 4},
  [4485] = {.lex_state = 32, .external_lex_state = 4},
  [4486] = {.lex_state = 149, .external_lex_state = 4},
  [4487] = {.lex_state = 149, .external_lex_state = 4},
  [4488] = {.lex_state = 160, .external_lex_state = 4},
  [4489] = {.lex_state = 156, .external_lex_state = 4},
  [4490] = {.lex_state = 53, .external_lex_state = 4},
  [4491] = {.lex_state = 156, .external_lex_state = 4},
  [4492] = {.lex_state = 53, .external_lex_state = 4},
  [4493] = {.lex_state = 149, .external_lex_state = 4},
  [4494] = {.lex_state = 140},
  [4495] = {.lex_state = 173, .external_lex_state = 4},
  [4496] = {.lex_state = 53, .external_lex_state = 4},
  [4497] = {.lex_state = 173, .external_lex_state = 4},
  [4498] = {.lex_state = 173, .external_lex_state = 4},
  [4499] = {.lex_state = 173, .external_lex_state = 4},
  [4500] = {.lex_state = 45},
  [4501] = {.lex_state = 173, .external_lex_state = 4},
  [4502] = {.lex_state = 173, .external_lex_state = 4},
  [4503] = {.lex_state = 173, .external_lex_state = 4},
  [4504] = {.lex_state = 173, .external_lex_state = 4},
  [4505] = {.lex_state = 173, .external_lex_state = 4},
  [4506] = {.lex_state = 173, .external_lex_state = 4},
  [4507] = {.lex_state = 173, .external_lex_state = 4},
  [4508] = {.lex_state = 156, .external_lex_state = 4},
  [4509] = {.lex_state = 160, .external_lex_state = 4},
  [4510] = {.lex_state = 19},
  [4511] = {.lex_state = 156, .external_lex_state = 4},
  [4512] = {.lex_state = 158, .external_lex_state = 4},
  [4513] = {.lex_state = 54, .external_lex_state = 4},
  [4514] = {.lex_state = 53, .external_lex_state = 4},
  [4515] = {.lex_state = 149, .external_lex_state = 4},
  [4516] = {.lex_state = 86, .external_lex_state = 4},
  [4517] = {.lex_state = 34, .external_lex_state = 4},
  [4518] = {.lex_state = 138, .external_lex_state = 4},
  [4519] = {.lex_state = 138, .external_lex_state = 4},
  [4520] = {.lex_state = 157, .external_lex_state = 4},
  [4521] = {.lex_state = 34, .external_lex_state = 4},
  [4522] = {.lex_state = 105, .external_lex_state = 4},
  [4523] = {.lex_state = 4},
  [4524] = {.lex_state = 51, .external_lex_state = 4},
  [4525] = {.lex_state = 17, .external_lex_state = 4},
  [4526] = {.lex_state = 34, .external_lex_state = 4},
  [4527] = {.lex_state = 156, .external_lex_state = 4},
  [4528] = {.lex_state = 51, .external_lex_state = 4},
  [4529] = {.lex_state = 149, .external_lex_state = 4},
  [4530] = {.lex_state = 53, .external_lex_state = 4},
  [4531] = {.lex_state = 32, .external_lex_state = 4},
  [4532] = {.lex_state = 51, .external_lex_state = 4},
  [4533] = {.lex_state = 138, .external_lex_state = 4},
  [4534] = {.lex_state = 51, .external_lex_state = 4},
  [4535] = {.lex_state = 51, .external_lex_state = 4},
  [4536] = {.lex_state = 51, .external_lex_state = 4},
  [4537] = {.lex_state = 51, .external_lex_state = 4},
  [4538] = {.lex_state = 51, .external_lex_state = 4},
  [4539] = {.lex_state = 51, .external_lex_state = 4},
  [4540] = {.lex_state = 138, .external_lex_state = 4},
  [4541] = {.lex_state = 34, .external_lex_state = 4},
  [4542] = {.lex_state = 156, .external_lex_state = 4},
  [4543] = {.lex_state = 149, .external_lex_state = 4},
  [4544] = {.lex_state = 173, .external_lex_state = 4},
  [4545] = {.lex_state = 118, .external_lex_state = 4},
  [4546] = {.lex_state = 156, .external_lex_state = 4},
  [4547] = {.lex_state = 173, .external_lex_state = 4},
  [4548] = {.lex_state = 173, .external_lex_state = 4},
  [4549] = {.lex_state = 107, .external_lex_state = 4},
  [4550] = {.lex_state = 156, .external_lex_state = 4},
  [4551] = {.lex_state = 156, .external_lex_state = 4},
  [4552] = {.lex_state = 138, .external_lex_state = 4},
  [4553] = {.lex_state = 51, .external_lex_state = 4},
  [4554] = {.lex_state = 51, .external_lex_state = 4},
  [4555] = {.lex_state = 138, .external_lex_state = 4},
  [4556] = {.lex_state = 149, .external_lex_state = 4},
  [4557] = {.lex_state = 156, .external_lex_state = 4},
  [4558] = {.lex_state = 35, .external_lex_state = 4},
  [4559] = {.lex_state = 6},
  [4560] = {.lex_state = 53, .external_lex_state = 4},
  [4561] = {.lex_state = 34, .external_lex_state = 4},
  [4562] = {.lex_state = 34, .external_lex_state = 4},
  [4563] = {.lex_state = 34, .external_lex_state = 4},
  [4564] = {.lex_state = 53, .external_lex_state = 4},
  [4565] = {.lex_state = 52, .external_lex_state = 4},
  [4566] = {.lex_state = 155, .external_lex_state = 4},
  [4567] = {.lex_state = 138, .external_lex_state = 4},
  [4568] = {.lex_state = 106, .external_lex_state = 4},
  [4569] = {.lex_state = 87, .external_lex_state = 4},
  [4570] = {.lex_state = 173, .external_lex_state = 4},
  [4571] = {.lex_state = 45},
  [4572] = {.lex_state = 155, .external_lex_state = 4},
  [4573] = {.lex_state = 17},
  [4574] = {.lex_state = 51, .external_lex_state = 4},
  [4575] = {.lex_state = 138, .external_lex_state = 4},
  [4576] = {.lex_state = 51, .external_lex_state = 4},
  [4577] = {.lex_state = 24},
  [4578] = {.lex_state = 19},
  [4579] = {.lex_state = 65, .external_lex_state = 4},
  [4580] = {.lex_state = 138, .external_lex_state = 4},
  [4581] = {.lex_state = 138, .external_lex_state = 4},
  [4582] = {.lex_state = 155, .external_lex_state = 4},
  [4583] = {.lex_state = 53, .external_lex_state = 4},
  [4584] = {.lex_state = 23},
  [4585] = {.lex_state = 32, .external_lex_state = 4},
  [4586] = {.lex_state = 32, .external_lex_state = 4},
  [4587] = {.lex_state = 160, .external_lex_state = 4},
  [4588] = {.lex_state = 34, .external_lex_state = 4},
  [4589] = {.lex_state = 53, .external_lex_state = 4},
  [4590] = {.lex_state = 174, .external_lex_state = 4},
  [4591] = {.lex_state = 53, .external_lex_state = 4},
  [4592] = {.lex_state = 138, .external_lex_state = 4},
  [4593] = {.lex_state = 4},
  [4594] = {.lex_state = 160, .external_lex_state = 4},
  [4595] = {.lex_state = 161, .external_lex_state = 4},
  [4596] = {.lex_state = 138, .external_lex_state = 4},
  [4597] = {.lex_state = 138, .external_lex_state = 4},
  [4598] = {.lex_state = 19},
  [4599] = {.lex_state = 53, .external_lex_state = 4},
  [4600] = {.lex_state = 176, .external_lex_state = 4},
  [4601] = {.lex_state = 32, .external_lex_state = 4},
  [4602] = {.lex_state = 19},
  [4603] = {.lex_state = 19},
  [4604] = {.lex_state = 19},
  [4605] = {.lex_state = 19},
  [4606] = {.lex_state = 19},
  [4607] = {.lex_state = 19},
  [4608] = {.lex_state = 19},
  [4609] = {.lex_state = 19},
  [4610] = {.lex_state = 19},
  [4611] = {.lex_state = 19},
  [4612] = {.lex_state = 74, .external_lex_state = 4},
  [4613] = {.lex_state = 17, .external_lex_state = 4},
  [4614] = {.lex_state = 34, .external_lex_state = 4},
  [4615] = {.lex_state = 19},
  [4616] = {.lex_state = 19},
  [4617] = {.lex_state = 53, .external_lex_state = 4},
  [4618] = {.lex_state = 53, .external_lex_state = 4},
  [4619] = {.lex_state = 53, .external_lex_state = 4},
  [4620] = {.lex_state = 34, .external_lex_state = 4},
  [4621] = {.lex_state = 149, .external_lex_state = 4},
  [4622] = {.lex_state = 32, .external_lex_state = 4},
  [4623] = {.lex_state = 84, .external_lex_state = 4},
  [4624] = {.lex_state = 51, .external_lex_state = 4},
  [4625] = {.lex_state = 158, .external_lex_state = 4},
  [4626] = {.lex_state = 161, .external_lex_state = 4},
  [4627] = {.lex_state = 161, .external_lex_state = 4},
  [4628] = {.lex_state = 74, .external_lex_state = 4},
  [4629] = {.lex_state = 87},
  [4630] = {.lex_state = 23},
  [4631] = {.lex_state = 140},
  [4632] = {.lex_state = 25},
  [4633] = {.lex_state = 9},
  [4634] = {.lex_state = 74, .external_lex_state = 4},
  [4635] = {.lex_state = 162, .external_lex_state = 4},
  [4636] = {.lex_state = 74, .external_lex_state = 4},
  [4637] = {.lex_state = 23},
  [4638] = {.lex_state = 161, .external_lex_state = 4},
  [4639] = {.lex_state = 14, .external_lex_state = 4},
  [4640] = {.lex_state = 74, .external_lex_state = 4},
  [4641] = {.lex_state = 176, .external_lex_state = 4},
  [4642] = {.lex_state = 52, .external_lex_state = 4},
  [4643] = {.lex_state = 21},
  [4644] = {.lex_state = 176, .external_lex_state = 4},
  [4645] = {.lex_state = 176, .external_lex_state = 4},
  [4646] = {.lex_state = 176, .external_lex_state = 4},
  [4647] = {.lex_state = 6},
  [4648] = {.lex_state = 158, .external_lex_state = 4},
  [4649] = {.lex_state = 157, .external_lex_state = 4},
  [4650] = {.lex_state = 54, .external_lex_state = 4},
  [4651] = {.lex_state = 16},
  [4652] = {.lex_state = 161, .external_lex_state = 4},
  [4653] = {.lex_state = 161, .external_lex_state = 4},
  [4654] = {.lex_state = 23},
  [4655] = {.lex_state = 52, .external_lex_state = 4},
  [4656] = {.lex_state = 74, .external_lex_state = 4},
  [4657] = {.lex_state = 66},
  [4658] = {.lex_state = 52, .external_lex_state = 4},
  [4659] = {.lex_state = 21},
  [4660] = {.lex_state = 75, .external_lex_state = 4},
  [4661] = {.lex_state = 52, .external_lex_state = 4},
  [4662] = {.lex_state = 163, .external_lex_state = 4},
  [4663] = {.lex_state = 48},
  [4664] = {.lex_state = 35, .external_lex_state = 4},
  [4665] = {.lex_state = 161, .external_lex_state = 4},
  [4666] = {.lex_state = 49},
  [4667] = {.lex_state = 54, .external_lex_state = 4},
  [4668] = {.lex_state = 67},
  [4669] = {.lex_state = 66},
  [4670] = {.lex_state = 150},
  [4671] = {.lex_state = 88},
  [4672] = {.lex_state = 35, .external_lex_state = 4},
  [4673] = {.lex_state = 35, .external_lex_state = 4},
  [4674] = {.lex_state = 77, .external_lex_state = 4},
  [4675] = {.lex_state = 174, .external_lex_state = 4},
  [4676] = {.lex_state = 35, .external_lex_state = 4},
  [4677] = {.lex_state = 54, .external_lex_state = 4},
  [4678] = {.lex_state = 89},
  [4679] = {.lex_state = 35, .external_lex_state = 4},
  [4680] = {.lex_state = 86, .external_lex_state = 4},
  [4681] = {.lex_state = 35, .external_lex_state = 4},
  [4682] = {.lex_state = 35, .external_lex_state = 4},
  [4683] = {.lex_state = 35, .external_lex_state = 4},
  [4684] = {.lex_state = 158, .external_lex_state = 4},
  [4685] = {.lex_state = 35, .external_lex_state = 4},
  [4686] = {.lex_state = 175, .external_lex_state = 4},
  [4687] = {.lex_state = 176, .external_lex_state = 4},
  [4688] = {.lex_state = 14},
  [4689] = {.lex_state = 35, .external_lex_state = 4},
  [4690] = {.lex_state = 108, .external_lex_state = 4},
  [4691] = {.lex_state = 54, .external_lex_state = 4},
  [4692] = {.lex_state = 35, .external_lex_state = 4},
  [4693] = {.lex_state = 87},
  [4694] = {.lex_state = 176, .external_lex_state = 4},
  [4695] = {.lex_state = 88},
  [4696] = {.lex_state = 35, .external_lex_state = 4},
  [4697] = {.lex_state = 54, .external_lex_state = 4},
  [4698] = {.lex_state = 35, .external_lex_state = 4},
  [4699] = {.lex_state = 12},
  [4700] = {.lex_state = 14, .external_lex_state = 4},
  [4701] = {.lex_state = 158, .external_lex_state = 4},
  [4702] = {.lex_state = 54, .external_lex_state = 4},
  [4703] = {.lex_state = 90},
  [4704] = {.lex_state = 54, .external_lex_state = 4},
  [4705] = {.lex_state = 176, .external_lex_state = 4},
  [4706] = {.lex_state = 52, .external_lex_state = 4},
  [4707] = {.lex_state = 54, .external_lex_state = 4},
  [4708] = {.lex_state = 90},
  [4709] = {.lex_state = 91},
  [4710] = {.lex_state = 139},
  [4711] = {.lex_state = 109, .external_lex_state = 4},
  [4712] = {.lex_state = 52, .external_lex_state = 4},
  [4713] = {.lex_state = 139},
  [4714] = {.lex_state = 139},
  [4715] = {.lex_state = 45},
  [4716] = {.lex_state = 139},
  [4717] = {.lex_state = 54, .external_lex_state = 4},
  [4718] = {.lex_state = 54, .external_lex_state = 4},
  [4719] = {.lex_state = 54, .external_lex_state = 4},
  [4720] = {.lex_state = 54, .external_lex_state = 4},
  [4721] = {.lex_state = 139},
  [4722] = {.lex_state = 139},
  [4723] = {.lex_state = 139},
  [4724] = {.lex_state = 139},
  [4725] = {.lex_state = 139},
  [4726] = {.lex_state = 177, .external_lex_state = 4},
  [4727] = {.lex_state = 139},
  [4728] = {.lex_state = 139},
  [4729] = {.lex_state = 91},
  [4730] = {.lex_state = 23},
  [4731] = {.lex_state = 54, .external_lex_state = 4},
  [4732] = {.lex_state = 52, .external_lex_state = 4},
  [4733] = {.lex_state = 174, .external_lex_state = 4},
  [4734] = {.lex_state = 140},
  [4735] = {.lex_state = 52, .external_lex_state = 4},
  [4736] = {.lex_state = 9},
  [4737] = {.lex_state = 139},
  [4738] = {.lex_state = 139},
  [4739] = {.lex_state = 52, .external_lex_state = 4},
  [4740] = {.lex_state = 96, .external_lex_state = 4},
  [4741] = {.lex_state = 159, .external_lex_state = 4},
  [4742] = {.lex_state = 158, .external_lex_state = 4},
  [4743] = {.lex_state = 74, .external_lex_state = 4},
  [4744] = {.lex_state = 52, .external_lex_state = 4},
  [4745] = {.lex_state = 26},
  [4746] = {.lex_state = 109, .external_lex_state = 4},
  [4747] = {.lex_state = 54, .external_lex_state = 4},
  [4748] = {.lex_state = 87, .external_lex_state = 4},
  [4749] = {.lex_state = 20},
  [4750] = {.lex_state = 157, .external_lex_state = 4},
  [4751] = {.lex_state = 67},
  [4752] = {.lex_state = 23},
  [4753] = {.lex_state = 23},
  [4754] = {.lex_state = 139},
  [4755] = {.lex_state = 108, .external_lex_state = 4},
  [4756] = {.lex_state = 74, .external_lex_state = 4},
  [4757] = {.lex_state = 162, .external_lex_state = 4},
  [4758] = {.lex_state = 52, .external_lex_state = 4},
  [4759] = {.lex_state = 162, .external_lex_state = 4},
  [4760] = {.lex_state = 162, .external_lex_state = 4},
  [4761] = {.lex_state = 161, .external_lex_state = 4},
  [4762] = {.lex_state = 23},
  [4763] = {.lex_state = 162, .external_lex_state = 4},
  [4764] = {.lex_state = 23},
  [4765] = {.lex_state = 52, .external_lex_state = 4},
  [4766] = {.lex_state = 89},
  [4767] = {.lex_state = 24},
  [4768] = {.lex_state = 162, .external_lex_state = 4},
  [4769] = {.lex_state = 24},
  [4770] = {.lex_state = 24},
  [4771] = {.lex_state = 24},
  [4772] = {.lex_state = 24},
  [4773] = {.lex_state = 162, .external_lex_state = 4},
  [4774] = {.lex_state = 24},
  [4775] = {.lex_state = 24},
  [4776] = {.lex_state = 24},
  [4777] = {.lex_state = 24},
  [4778] = {.lex_state = 24},
  [4779] = {.lex_state = 24},
  [4780] = {.lex_state = 74, .external_lex_state = 4},
  [4781] = {.lex_state = 161, .external_lex_state = 4},
  [4782] = {.lex_state = 162, .external_lex_state = 4},
  [4783] = {.lex_state = 162, .external_lex_state = 4},
  [4784] = {.lex_state = 162, .external_lex_state = 4},
  [4785] = {.lex_state = 161, .external_lex_state = 4},
  [4786] = {.lex_state = 162, .external_lex_state = 4},
  [4787] = {.lex_state = 24},
  [4788] = {.lex_state = 24},
  [4789] = {.lex_state = 162, .external_lex_state = 4},
  [4790] = {.lex_state = 74, .external_lex_state = 4},
  [4791] = {.lex_state = 6},
  [4792] = {.lex_state = 140},
  [4793] = {.lex_state = 21},
  [4794] = {.lex_state = 55, .external_lex_state = 4},
  [4795] = {.lex_state = 106, .external_lex_state = 4},
  [4796] = {.lex_state = 21},
  [4797] = {.lex_state = 21},
  [4798] = {.lex_state = 21},
  [4799] = {.lex_state = 21},
  [4800] = {.lex_state = 21},
  [4801] = {.lex_state = 21},
  [4802] = {.lex_state = 21},
  [4803] = {.lex_state = 21},
  [4804] = {.lex_state = 21},
  [4805] = {.lex_state = 21},
  [4806] = {.lex_state = 24},
  [4807] = {.lex_state = 52, .external_lex_state = 4},
  [4808] = {.lex_state = 21},
  [4809] = {.lex_state = 20},
  [4810] = {.lex_state = 21},
  [4811] = {.lex_state = 21},
  [4812] = {.lex_state = 141},
  [4813] = {.lex_state = 35, .external_lex_state = 4},
  [4814] = {.lex_state = 17},
  [4815] = {.lex_state = 35, .external_lex_state = 4},
  [4816] = {.lex_state = 164},
  [4817] = {.lex_state = 20},
  [4818] = {.lex_state = 48},
  [4819] = {.lex_state = 165},
  [4820] = {.lex_state = 161, .external_lex_state = 4},
  [4821] = {.lex_state = 162, .external_lex_state = 4},
  [4822] = {.lex_state = 174, .external_lex_state = 4},
  [4823] = {.lex_state = 174, .external_lex_state = 4},
  [4824] = {.lex_state = 174, .external_lex_state = 4},
  [4825] = {.lex_state = 174, .external_lex_state = 4},
  [4826] = {.lex_state = 174, .external_lex_state = 4},
  [4827] = {.lex_state = 174, .external_lex_state = 4},
  [4828] = {.lex_state = 174, .external_lex_state = 4},
  [4829] = {.lex_state = 174, .external_lex_state = 4},
  [4830] = {.lex_state = 174, .external_lex_state = 4},
  [4831] = {.lex_state = 174, .external_lex_state = 4},
  [4832] = {.lex_state = 174, .external_lex_state = 4},
  [4833] = {.lex_state = 14},
  [4834] = {.lex_state = 167},
  [4835] = {.lex_state = 176, .external_lex_state = 4},
  [4836] = {.lex_state = 161, .external_lex_state = 4},
  [4837] = {.lex_state = 162, .external_lex_state = 4},
  [4838] = {.lex_state = 166},
  [4839] = {.lex_state = 174, .external_lex_state = 4},
  [4840] = {.lex_state = 24, .external_lex_state = 4},
  [4841] = {.lex_state = 174, .external_lex_state = 4},
  [4842] = {.lex_state = 162, .external_lex_state = 4},
  [4843] = {.lex_state = 52, .external_lex_state = 4},
  [4844] = {.lex_state = 176, .external_lex_state = 4},
  [4845] = {.lex_state = 49},
  [4846] = {.lex_state = 176, .external_lex_state = 4},
  [4847] = {.lex_state = 74, .external_lex_state = 4},
  [4848] = {.lex_state = 176, .external_lex_state = 4},
  [4849] = {.lex_state = 74, .external_lex_state = 4},
  [4850] = {.lex_state = 17, .external_lex_state = 4},
  [4851] = {.lex_state = 24},
  [4852] = {.lex_state = 161, .external_lex_state = 4},
  [4853] = {.lex_state = 161, .external_lex_state = 4},
  [4854] = {.lex_state = 161, .external_lex_state = 4},
  [4855] = {.lex_state = 107, .external_lex_state = 4},
  [4856] = {.lex_state = 74, .external_lex_state = 4},
  [4857] = {.lex_state = 54, .external_lex_state = 4},
  [4858] = {.lex_state = 140},
  [4859] = {.lex_state = 44},
  [4860] = {.lex_state = 139},
  [4861] = {.lex_state = 176, .external_lex_state = 4},
  [4862] = {.lex_state = 23},
  [4863] = {.lex_state = 23},
  [4864] = {.lex_state = 23},
  [4865] = {.lex_state = 23},
  [4866] = {.lex_state = 176, .external_lex_state = 4},
  [4867] = {.lex_state = 23},
  [4868] = {.lex_state = 140},
  [4869] = {.lex_state = 74, .external_lex_state = 4},
  [4870] = {.lex_state = 140},
  [4871] = {.lex_state = 140},
  [4872] = {.lex_state = 140},
  [4873] = {.lex_state = 140},
  [4874] = {.lex_state = 140},
  [4875] = {.lex_state = 52, .external_lex_state = 4},
  [4876] = {.lex_state = 140},
  [4877] = {.lex_state = 140},
  [4878] = {.lex_state = 140},
  [4879] = {.lex_state = 140},
  [4880] = {.lex_state = 140},
  [4881] = {.lex_state = 161, .external_lex_state = 4},
  [4882] = {.lex_state = 74, .external_lex_state = 4},
  [4883] = {.lex_state = 9},
  [4884] = {.lex_state = 176, .external_lex_state = 4},
  [4885] = {.lex_state = 74, .external_lex_state = 4},
  [4886] = {.lex_state = 157, .external_lex_state = 4},
  [4887] = {.lex_state = 157, .external_lex_state = 4},
  [4888] = {.lex_state = 157, .external_lex_state = 4},
  [4889] = {.lex_state = 157, .external_lex_state = 4},
  [4890] = {.lex_state = 157, .external_lex_state = 4},
  [4891] = {.lex_state = 157, .external_lex_state = 4},
  [4892] = {.lex_state = 6},
  [4893] = {.lex_state = 14},
  [4894] = {.lex_state = 157, .external_lex_state = 4},
  [4895] = {.lex_state = 157, .external_lex_state = 4},
  [4896] = {.lex_state = 157, .external_lex_state = 4},
  [4897] = {.lex_state = 157, .external_lex_state = 4},
  [4898] = {.lex_state = 157, .external_lex_state = 4},
  [4899] = {.lex_state = 162},
  [4900] = {.lex_state = 176, .external_lex_state = 4},
  [4901] = {.lex_state = 158, .external_lex_state = 4},
  [4902] = {.lex_state = 3},
  [4903] = {.lex_state = 23},
  [4904] = {.lex_state = 158, .external_lex_state = 4},
  [4905] = {.lex_state = 23},
  [4906] = {.lex_state = 158, .external_lex_state = 4},
  [4907] = {.lex_state = 158, .external_lex_state = 4},
  [4908] = {.lex_state = 158, .external_lex_state = 4},
  [4909] = {.lex_state = 158, .external_lex_state = 4},
  [4910] = {.lex_state = 158, .external_lex_state = 4},
  [4911] = {.lex_state = 158, .external_lex_state = 4},
  [4912] = {.lex_state = 158, .external_lex_state = 4},
  [4913] = {.lex_state = 158, .external_lex_state = 4},
  [4914] = {.lex_state = 157, .external_lex_state = 4},
  [4915] = {.lex_state = 151},
  [4916] = {.lex_state = 157, .external_lex_state = 4},
  [4917] = {.lex_state = 22},
  [4918] = {.lex_state = 25},
  [4919] = {.lex_state = 108},
  [4920] = {.lex_state = 22},
  [4921] = {.lex_state = 109, .external_lex_state = 4},
  [4922] = {.lex_state = 159, .external_lex_state = 4},
  [4923] = {.lex_state = 143},
  [4924] = {.lex_state = 22},
  [4925] = {.lex_state = 184},
  [4926] = {.lex_state = 184},
  [4927] = {.lex_state = 75, .external_lex_state = 4},
  [4928] = {.lex_state = 159, .external_lex_state = 4},
  [4929] = {.lex_state = 159, .external_lex_state = 4},
  [4930] = {.lex_state = 159, .external_lex_state = 4},
  [4931] = {.lex_state = 159, .external_lex_state = 4},
  [4932] = {.lex_state = 159, .external_lex_state = 4},
  [4933] = {.lex_state = 22},
  [4934] = {.lex_state = 95},
  [4935] = {.lex_state = 22},
  [4936] = {.lex_state = 22},
  [4937] = {.lex_state = 22},
  [4938] = {.lex_state = 159, .external_lex_state = 4},
  [4939] = {.lex_state = 22},
  [4940] = {.lex_state = 22},
  [4941] = {.lex_state = 22},
  [4942] = {.lex_state = 159, .external_lex_state = 4},
  [4943] = {.lex_state = 159, .external_lex_state = 4},
  [4944] = {.lex_state = 159, .external_lex_state = 4},
  [4945] = {.lex_state = 159, .external_lex_state = 4},
  [4946] = {.lex_state = 26},
  [4947] = {.lex_state = 184},
  [4948] = {.lex_state = 26},
  [4949] = {.lex_state = 26},
  [4950] = {.lex_state = 179},
  [4951] = {.lex_state = 3},
  [4952] = {.lex_state = 151},
  [4953] = {.lex_state = 184},
  [4954] = {.lex_state = 77, .external_lex_state = 4},
  [4955] = {.lex_state = 77, .external_lex_state = 4},
  [4956] = {.lex_state = 110},
  [4957] = {.lex_state = 184},
  [4958] = {.lex_state = 77, .external_lex_state = 4},
  [4959] = {.lex_state = 166},
  [4960] = {.lex_state = 184},
  [4961] = {.lex_state = 184},
  [4962] = {.lex_state = 77, .external_lex_state = 4},
  [4963] = {.lex_state = 77, .external_lex_state = 4},
  [4964] = {.lex_state = 22},
  [4965] = {.lex_state = 175, .external_lex_state = 4},
  [4966] = {.lex_state = 77, .external_lex_state = 4},
  [4967] = {.lex_state = 77, .external_lex_state = 4},
  [4968] = {.lex_state = 77, .external_lex_state = 4},
  [4969] = {.lex_state = 110},
  [4970] = {.lex_state = 184},
  [4971] = {.lex_state = 77, .external_lex_state = 4},
  [4972] = {.lex_state = 77, .external_lex_state = 4},
  [4973] = {.lex_state = 24, .external_lex_state = 4},
  [4974] = {.lex_state = 24, .external_lex_state = 4},
  [4975] = {.lex_state = 26},
  [4976] = {.lex_state = 167},
  [4977] = {.lex_state = 22},
  [4978] = {.lex_state = 184},
  [4979] = {.lex_state = 16},
  [4980] = {.lex_state = 159, .external_lex_state = 4},
  [4981] = {.lex_state = 24, .external_lex_state = 4},
  [4982] = {.lex_state = 163, .external_lex_state = 4},
  [4983] = {.lex_state = 16, .external_lex_state = 4},
  [4984] = {.lex_state = 177, .external_lex_state = 4},
  [4985] = {.lex_state = 184},
  [4986] = {.lex_state = 111},
  [4987] = {.lex_state = 26},
  [4988] = {.lex_state = 184},
  [4989] = {.lex_state = 24, .external_lex_state = 4},
  [4990] = {.lex_state = 24, .external_lex_state = 4},
  [4991] = {.lex_state = 159, .external_lex_state = 4},
  [4992] = {.lex_state = 24, .external_lex_state = 4},
  [4993] = {.lex_state = 77, .external_lex_state = 4},
  [4994] = {.lex_state = 24, .external_lex_state = 4},
  [4995] = {.lex_state = 24, .external_lex_state = 4},
  [4996] = {.lex_state = 96, .external_lex_state = 4},
  [4997] = {.lex_state = 97, .external_lex_state = 4},
  [4998] = {.lex_state = 96, .external_lex_state = 4},
  [4999] = {.lex_state = 184},
  [5000] = {.lex_state = 76, .external_lex_state = 4},
  [5001] = {.lex_state = 91},
  [5002] = {.lex_state = 162},
  [5003] = {.lex_state = 184},
  [5004] = {.lex_state = 184},
  [5005] = {.lex_state = 26},
  [5006] = {.lex_state = 151},
  [5007] = {.lex_state = 26},
  [5008] = {.lex_state = 151},
  [5009] = {.lex_state = 184},
  [5010] = {.lex_state = 12},
  [5011] = {.lex_state = 24, .external_lex_state = 4},
  [5012] = {.lex_state = 184},
  [5013] = {.lex_state = 112},
  [5014] = {.lex_state = 163, .external_lex_state = 4},
  [5015] = {.lex_state = 151},
  [5016] = {.lex_state = 184},
  [5017] = {.lex_state = 163, .external_lex_state = 4},
  [5018] = {.lex_state = 177},
  [5019] = {.lex_state = 184},
  [5020] = {.lex_state = 111},
  [5021] = {.lex_state = 184},
  [5022] = {.lex_state = 26},
  [5023] = {.lex_state = 95, .external_lex_state = 4},
  [5024] = {.lex_state = 184},
  [5025] = {.lex_state = 151},
  [5026] = {.lex_state = 181},
  [5027] = {.lex_state = 26},
  [5028] = {.lex_state = 75, .external_lex_state = 4},
  [5029] = {.lex_state = 184},
  [5030] = {.lex_state = 163, .external_lex_state = 4},
  [5031] = {.lex_state = 14, .external_lex_state = 4},
  [5032] = {.lex_state = 184},
  [5033] = {.lex_state = 184},
  [5034] = {.lex_state = 151},
  [5035] = {.lex_state = 72},
  [5036] = {.lex_state = 151},
  [5037] = {.lex_state = 151},
  [5038] = {.lex_state = 184},
  [5039] = {.lex_state = 75, .external_lex_state = 4},
  [5040] = {.lex_state = 75, .external_lex_state = 4},
  [5041] = {.lex_state = 75, .external_lex_state = 4},
  [5042] = {.lex_state = 159, .external_lex_state = 4},
  [5043] = {.lex_state = 75, .external_lex_state = 4},
  [5044] = {.lex_state = 75, .external_lex_state = 4},
  [5045] = {.lex_state = 75, .external_lex_state = 4},
  [5046] = {.lex_state = 75, .external_lex_state = 4},
  [5047] = {.lex_state = 75, .external_lex_state = 4},
  [5048] = {.lex_state = 184},
  [5049] = {.lex_state = 75, .external_lex_state = 4},
  [5050] = {.lex_state = 75, .external_lex_state = 4},
  [5051] = {.lex_state = 78, .external_lex_state = 4},
  [5052] = {.lex_state = 163, .external_lex_state = 4},
  [5053] = {.lex_state = 184},
  [5054] = {.lex_state = 24, .external_lex_state = 4},
  [5055] = {.lex_state = 151},
  [5056] = {.lex_state = 95},
  [5057] = {.lex_state = 151},
  [5058] = {.lex_state = 25},
  [5059] = {.lex_state = 151},
  [5060] = {.lex_state = 25},
  [5061] = {.lex_state = 151},
  [5062] = {.lex_state = 151},
  [5063] = {.lex_state = 184},
  [5064] = {.lex_state = 25},
  [5065] = {.lex_state = 25},
  [5066] = {.lex_state = 25},
  [5067] = {.lex_state = 151},
  [5068] = {.lex_state = 184},
  [5069] = {.lex_state = 25},
  [5070] = {.lex_state = 184},
  [5071] = {.lex_state = 25},
  [5072] = {.lex_state = 25},
  [5073] = {.lex_state = 177, .external_lex_state = 4},
  [5074] = {.lex_state = 25},
  [5075] = {.lex_state = 25},
  [5076] = {.lex_state = 55, .external_lex_state = 4},
  [5077] = {.lex_state = 13},
  [5078] = {.lex_state = 184},
  [5079] = {.lex_state = 150},
  [5080] = {.lex_state = 184},
  [5081] = {.lex_state = 150},
  [5082] = {.lex_state = 77, .external_lex_state = 4},
  [5083] = {.lex_state = 184},
  [5084] = {.lex_state = 170},
  [5085] = {.lex_state = 25},
  [5086] = {.lex_state = 66},
  [5087] = {.lex_state = 141},
  [5088] = {.lex_state = 16},
  [5089] = {.lex_state = 25},
  [5090] = {.lex_state = 150},
  [5091] = {.lex_state = 67},
  [5092] = {.lex_state = 164},
  [5093] = {.lex_state = 150},
  [5094] = {.lex_state = 184},
  [5095] = {.lex_state = 95, .external_lex_state = 4},
  [5096] = {.lex_state = 150},
  [5097] = {.lex_state = 163, .external_lex_state = 4},
  [5098] = {.lex_state = 150},
  [5099] = {.lex_state = 150},
  [5100] = {.lex_state = 165},
  [5101] = {.lex_state = 184},
  [5102] = {.lex_state = 184},
  [5103] = {.lex_state = 184},
  [5104] = {.lex_state = 113},
  [5105] = {.lex_state = 150},
  [5106] = {.lex_state = 168},
  [5107] = {.lex_state = 150},
  [5108] = {.lex_state = 167},
  [5109] = {.lex_state = 150},
  [5110] = {.lex_state = 150},
  [5111] = {.lex_state = 175, .external_lex_state = 4},
  [5112] = {.lex_state = 171},
  [5113] = {.lex_state = 166},
  [5114] = {.lex_state = 175, .external_lex_state = 4},
  [5115] = {.lex_state = 175, .external_lex_state = 4},
  [5116] = {.lex_state = 175, .external_lex_state = 4},
  [5117] = {.lex_state = 73},
  [5118] = {.lex_state = 175, .external_lex_state = 4},
  [5119] = {.lex_state = 75, .external_lex_state = 4},
  [5120] = {.lex_state = 175, .external_lex_state = 4},
  [5121] = {.lex_state = 175, .external_lex_state = 4},
  [5122] = {.lex_state = 175, .external_lex_state = 4},
  [5123] = {.lex_state = 175, .external_lex_state = 4},
  [5124] = {.lex_state = 175, .external_lex_state = 4},
  [5125] = {.lex_state = 175, .external_lex_state = 4},
  [5126] = {.lex_state = 75, .external_lex_state = 4},
  [5127] = {.lex_state = 5},
  [5128] = {.lex_state = 163, .external_lex_state = 4},
  [5129] = {.lex_state = 25},
  [5130] = {.lex_state = 151},
  [5131] = {.lex_state = 77, .external_lex_state = 4},
  [5132] = {.lex_state = 150},
  [5133] = {.lex_state = 150},
  [5134] = {.lex_state = 178},
  [5135] = {.lex_state = 184},
  [5136] = {.lex_state = 163, .external_lex_state = 4},
  [5137] = {.lex_state = 16, .external_lex_state = 4},
  [5138] = {.lex_state = 175, .external_lex_state = 4},
  [5139] = {.lex_state = 26, .external_lex_state = 4},
  [5140] = {.lex_state = 22},
  [5141] = {.lex_state = 26},
  [5142] = {.lex_state = 175, .external_lex_state = 4},
  [5143] = {.lex_state = 20},
  [5144] = {.lex_state = 96, .external_lex_state = 4},
  [5145] = {.lex_state = 108},
  [5146] = {.lex_state = 20},
  [5147] = {.lex_state = 184},
  [5148] = {.lex_state = 163, .external_lex_state = 4},
  [5149] = {.lex_state = 113},
  [5150] = {.lex_state = 20},
  [5151] = {.lex_state = 175, .external_lex_state = 4},
  [5152] = {.lex_state = 20},
  [5153] = {.lex_state = 163, .external_lex_state = 4},
  [5154] = {.lex_state = 20},
  [5155] = {.lex_state = 20},
  [5156] = {.lex_state = 73},
  [5157] = {.lex_state = 20},
  [5158] = {.lex_state = 37},
  [5159] = {.lex_state = 20},
  [5160] = {.lex_state = 20},
  [5161] = {.lex_state = 20},
  [5162] = {.lex_state = 20},
  [5163] = {.lex_state = 24, .external_lex_state = 4},
  [5164] = {.lex_state = 75, .external_lex_state = 4},
  [5165] = {.lex_state = 96, .external_lex_state = 4},
  [5166] = {.lex_state = 24, .external_lex_state = 4},
  [5167] = {.lex_state = 108, .external_lex_state = 4},
  [5168] = {.lex_state = 163, .external_lex_state = 4},
  [5169] = {.lex_state = 26},
  [5170] = {.lex_state = 26},
  [5171] = {.lex_state = 163, .external_lex_state = 4},
  [5172] = {.lex_state = 163, .external_lex_state = 4},
  [5173] = {.lex_state = 162},
  [5174] = {.lex_state = 184},
  [5175] = {.lex_state = 12},
  [5176] = {.lex_state = 184},
  [5177] = {.lex_state = 162},
  [5178] = {.lex_state = 163, .external_lex_state = 4},
  [5179] = {.lex_state = 55, .external_lex_state = 4},
  [5180] = {.lex_state = 162},
  [5181] = {.lex_state = 55, .external_lex_state = 4},
  [5182] = {.lex_state = 55, .external_lex_state = 4},
  [5183] = {.lex_state = 55, .external_lex_state = 4},
  [5184] = {.lex_state = 55, .external_lex_state = 4},
  [5185] = {.lex_state = 55, .external_lex_state = 4},
  [5186] = {.lex_state = 55, .external_lex_state = 4},
  [5187] = {.lex_state = 55, .external_lex_state = 4},
  [5188] = {.lex_state = 55, .external_lex_state = 4},
  [5189] = {.lex_state = 55, .external_lex_state = 4},
  [5190] = {.lex_state = 55, .external_lex_state = 4},
  [5191] = {.lex_state = 162},
  [5192] = {.lex_state = 99, .external_lex_state = 4},
  [5193] = {.lex_state = 162},
  [5194] = {.lex_state = 162},
  [5195] = {.lex_state = 55, .external_lex_state = 4},
  [5196] = {.lex_state = 162},
  [5197] = {.lex_state = 55, .external_lex_state = 4},
  [5198] = {.lex_state = 22},
  [5199] = {.lex_state = 169},
  [5200] = {.lex_state = 72},
  [5201] = {.lex_state = 20},
  [5202] = {.lex_state = 141},
  [5203] = {.lex_state = 162},
  [5204] = {.lex_state = 24, .external_lex_state = 4},
  [5205] = {.lex_state = 141},
  [5206] = {.lex_state = 141},
  [5207] = {.lex_state = 141},
  [5208] = {.lex_state = 141},
  [5209] = {.lex_state = 141},
  [5210] = {.lex_state = 141},
  [5211] = {.lex_state = 141},
  [5212] = {.lex_state = 141},
  [5213] = {.lex_state = 141},
  [5214] = {.lex_state = 141},
  [5215] = {.lex_state = 180},
  [5216] = {.lex_state = 164},
  [5217] = {.lex_state = 162},
  [5218] = {.lex_state = 164},
  [5219] = {.lex_state = 164},
  [5220] = {.lex_state = 164},
  [5221] = {.lex_state = 164},
  [5222] = {.lex_state = 164},
  [5223] = {.lex_state = 164},
  [5224] = {.lex_state = 164},
  [5225] = {.lex_state = 164},
  [5226] = {.lex_state = 164},
  [5227] = {.lex_state = 164},
  [5228] = {.lex_state = 177, .external_lex_state = 4},
  [5229] = {.lex_state = 165},
  [5230] = {.lex_state = 20},
  [5231] = {.lex_state = 141},
  [5232] = {.lex_state = 159, .external_lex_state = 4},
  [5233] = {.lex_state = 165},
  [5234] = {.lex_state = 165},
  [5235] = {.lex_state = 165},
  [5236] = {.lex_state = 165},
  [5237] = {.lex_state = 165},
  [5238] = {.lex_state = 141},
  [5239] = {.lex_state = 165},
  [5240] = {.lex_state = 165},
  [5241] = {.lex_state = 165},
  [5242] = {.lex_state = 165},
  [5243] = {.lex_state = 165},
  [5244] = {.lex_state = 3},
  [5245] = {.lex_state = 162},
  [5246] = {.lex_state = 177, .external_lex_state = 4},
  [5247] = {.lex_state = 55, .external_lex_state = 4},
  [5248] = {.lex_state = 164},
  [5249] = {.lex_state = 26},
  [5250] = {.lex_state = 164},
  [5251] = {.lex_state = 167},
  [5252] = {.lex_state = 96, .external_lex_state = 4},
  [5253] = {.lex_state = 162},
  [5254] = {.lex_state = 167},
  [5255] = {.lex_state = 167},
  [5256] = {.lex_state = 167},
  [5257] = {.lex_state = 167},
  [5258] = {.lex_state = 167},
  [5259] = {.lex_state = 167},
  [5260] = {.lex_state = 167},
  [5261] = {.lex_state = 167},
  [5262] = {.lex_state = 167},
  [5263] = {.lex_state = 167},
  [5264] = {.lex_state = 165},
  [5265] = {.lex_state = 3},
  [5266] = {.lex_state = 26},
  [5267] = {.lex_state = 165},
  [5268] = {.lex_state = 166},
  [5269] = {.lex_state = 177, .external_lex_state = 4},
  [5270] = {.lex_state = 150},
  [5271] = {.lex_state = 24, .external_lex_state = 4},
  [5272] = {.lex_state = 166},
  [5273] = {.lex_state = 166},
  [5274] = {.lex_state = 166},
  [5275] = {.lex_state = 166},
  [5276] = {.lex_state = 166},
  [5277] = {.lex_state = 166},
  [5278] = {.lex_state = 166},
  [5279] = {.lex_state = 166},
  [5280] = {.lex_state = 166},
  [5281] = {.lex_state = 166},
  [5282] = {.lex_state = 25, .external_lex_state = 4},
  [5283] = {.lex_state = 21},
  [5284] = {.lex_state = 184},
  [5285] = {.lex_state = 87},
  [5286] = {.lex_state = 26},
  [5287] = {.lex_state = 141},
  [5288] = {.lex_state = 167},
  [5289] = {.lex_state = 177, .external_lex_state = 4},
  [5290] = {.lex_state = 167},
  [5291] = {.lex_state = 164},
  [5292] = {.lex_state = 166},
  [5293] = {.lex_state = 88},
  [5294] = {.lex_state = 3},
  [5295] = {.lex_state = 3},
  [5296] = {.lex_state = 3},
  [5297] = {.lex_state = 184},
  [5298] = {.lex_state = 3},
  [5299] = {.lex_state = 166},
  [5300] = {.lex_state = 3},
  [5301] = {.lex_state = 25},
  [5302] = {.lex_state = 3},
  [5303] = {.lex_state = 3},
  [5304] = {.lex_state = 3},
  [5305] = {.lex_state = 177, .external_lex_state = 4},
  [5306] = {.lex_state = 3},
  [5307] = {.lex_state = 177, .external_lex_state = 4},
  [5308] = {.lex_state = 3},
  [5309] = {.lex_state = 165},
  [5310] = {.lex_state = 89},
  [5311] = {.lex_state = 48},
  [5312] = {.lex_state = 177, .external_lex_state = 4},
  [5313] = {.lex_state = 96, .external_lex_state = 4},
  [5314] = {.lex_state = 90},
  [5315] = {.lex_state = 162},
  [5316] = {.lex_state = 96, .external_lex_state = 4},
  [5317] = {.lex_state = 96, .external_lex_state = 4},
  [5318] = {.lex_state = 177, .external_lex_state = 4},
  [5319] = {.lex_state = 96, .external_lex_state = 4},
  [5320] = {.lex_state = 96, .external_lex_state = 4},
  [5321] = {.lex_state = 96, .external_lex_state = 4},
  [5322] = {.lex_state = 162},
  [5323] = {.lex_state = 177, .external_lex_state = 4},
  [5324] = {.lex_state = 184},
  [5325] = {.lex_state = 184},
  [5326] = {.lex_state = 177, .external_lex_state = 4},
  [5327] = {.lex_state = 177, .external_lex_state = 4},
  [5328] = {.lex_state = 163},
  [5329] = {.lex_state = 96, .external_lex_state = 4},
  [5330] = {.lex_state = 7},
  [5331] = {.lex_state = 184},
  [5332] = {.lex_state = 177, .external_lex_state = 4},
  [5333] = {.lex_state = 163, .external_lex_state = 4},
  [5334] = {.lex_state = 96, .external_lex_state = 4},
  [5335] = {.lex_state = 184},
  [5336] = {.lex_state = 16},
  [5337] = {.lex_state = 12},
  [5338] = {.lex_state = 162},
  [5339] = {.lex_state = 3},
  [5340] = {.lex_state = 49},
  [5341] = {.lex_state = 36},
  [5342] = {.lex_state = 3},
  [5343] = {.lex_state = 177, .external_lex_state = 4},
  [5344] = {.lex_state = 142},
  [5345] = {.lex_state = 77, .external_lex_state = 4},
  [5346] = {.lex_state = 96, .external_lex_state = 4},
  [5347] = {.lex_state = 77, .external_lex_state = 4},
  [5348] = {.lex_state = 150},
  [5349] = {.lex_state = 184},
  [5350] = {.lex_state = 112},
  [5351] = {.lex_state = 24, .external_lex_state = 4},
  [5352] = {.lex_state = 96, .external_lex_state = 4},
  [5353] = {.lex_state = 22},
  [5354] = {.lex_state = 22},
  [5355] = {.lex_state = 20},
  [5356] = {.lex_state = 20},
  [5357] = {.lex_state = 76, .external_lex_state = 4},
  [5358] = {.lex_state = 97, .external_lex_state = 4},
  [5359] = {.lex_state = 168},
  [5360] = {.lex_state = 163},
  [5361] = {.lex_state = 163},
  [5362] = {.lex_state = 168},
  [5363] = {.lex_state = 168},
  [5364] = {.lex_state = 143},
  [5365] = {.lex_state = 168},
  [5366] = {.lex_state = 143},
  [5367] = {.lex_state = 168},
  [5368] = {.lex_state = 170},
  [5369] = {.lex_state = 168},
  [5370] = {.lex_state = 168},
  [5371] = {.lex_state = 168},
  [5372] = {.lex_state = 168},
  [5373] = {.lex_state = 168},
  [5374] = {.lex_state = 171},
  [5375] = {.lex_state = 143},
  [5376] = {.lex_state = 163},
  [5377] = {.lex_state = 25, .external_lex_state = 4},
  [5378] = {.lex_state = 171},
  [5379] = {.lex_state = 171},
  [5380] = {.lex_state = 171},
  [5381] = {.lex_state = 7},
  [5382] = {.lex_state = 171},
  [5383] = {.lex_state = 26, .external_lex_state = 4},
  [5384] = {.lex_state = 171},
  [5385] = {.lex_state = 171},
  [5386] = {.lex_state = 171},
  [5387] = {.lex_state = 171},
  [5388] = {.lex_state = 171},
  [5389] = {.lex_state = 171},
  [5390] = {.lex_state = 163},
  [5391] = {.lex_state = 163},
  [5392] = {.lex_state = 76, .external_lex_state = 4},
  [5393] = {.lex_state = 142},
  [5394] = {.lex_state = 81},
  [5395] = {.lex_state = 168},
  [5396] = {.lex_state = 142},
  [5397] = {.lex_state = 46},
  [5398] = {.lex_state = 76, .external_lex_state = 4},
  [5399] = {.lex_state = 142},
  [5400] = {.lex_state = 142},
  [5401] = {.lex_state = 163},
  [5402] = {.lex_state = 179},
  [5403] = {.lex_state = 13},
  [5404] = {.lex_state = 76, .external_lex_state = 4},
  [5405] = {.lex_state = 177},
  [5406] = {.lex_state = 168},
  [5407] = {.lex_state = 16, .external_lex_state = 4},
  [5408] = {.lex_state = 163},
  [5409] = {.lex_state = 177},
  [5410] = {.lex_state = 178},
  [5411] = {.lex_state = 168},
  [5412] = {.lex_state = 47},
  [5413] = {.lex_state = 7},
  [5414] = {.lex_state = 171},
  [5415] = {.lex_state = 97, .external_lex_state = 4},
  [5416] = {.lex_state = 178},
  [5417] = {.lex_state = 178},
  [5418] = {.lex_state = 177},
  [5419] = {.lex_state = 171},
  [5420] = {.lex_state = 177},
  [5421] = {.lex_state = 142},
  [5422] = {.lex_state = 169},
  [5423] = {.lex_state = 97, .external_lex_state = 4},
  [5424] = {.lex_state = 181},
  [5425] = {.lex_state = 26, .external_lex_state = 4},
  [5426] = {.lex_state = 26, .external_lex_state = 4},
  [5427] = {.lex_state = 78, .external_lex_state = 4},
  [5428] = {.lex_state = 26, .external_lex_state = 4},
  [5429] = {.lex_state = 169},
  [5430] = {.lex_state = 169},
  [5431] = {.lex_state = 26, .external_lex_state = 4},
  [5432] = {.lex_state = 170},
  [5433] = {.lex_state = 112},
  [5434] = {.lex_state = 97, .external_lex_state = 4},
  [5435] = {.lex_state = 169},
  [5436] = {.lex_state = 169},
  [5437] = {.lex_state = 169},
  [5438] = {.lex_state = 169},
  [5439] = {.lex_state = 169},
  [5440] = {.lex_state = 169},
  [5441] = {.lex_state = 169},
  [5442] = {.lex_state = 169},
  [5443] = {.lex_state = 80},
  [5444] = {.lex_state = 76, .external_lex_state = 4},
  [5445] = {.lex_state = 26, .external_lex_state = 4},
  [5446] = {.lex_state = 181},
  [5447] = {.lex_state = 184},
  [5448] = {.lex_state = 26, .external_lex_state = 4},
  [5449] = {.lex_state = 181},
  [5450] = {.lex_state = 7},
  [5451] = {.lex_state = 181},
  [5452] = {.lex_state = 26, .external_lex_state = 4},
  [5453] = {.lex_state = 100, .external_lex_state = 4},
  [5454] = {.lex_state = 168},
  [5455] = {.lex_state = 26, .external_lex_state = 4},
  [5456] = {.lex_state = 26, .external_lex_state = 4},
  [5457] = {.lex_state = 7},
  [5458] = {.lex_state = 26, .external_lex_state = 4},
  [5459] = {.lex_state = 171},
  [5460] = {.lex_state = 180},
  [5461] = {.lex_state = 142},
  [5462] = {.lex_state = 142},
  [5463] = {.lex_state = 26, .external_lex_state = 4},
  [5464] = {.lex_state = 177},
  [5465] = {.lex_state = 143},
  [5466] = {.lex_state = 181},
  [5467] = {.lex_state = 76, .external_lex_state = 4},
  [5468] = {.lex_state = 7},
  [5469] = {.lex_state = 177},
  [5470] = {.lex_state = 181},
  [5471] = {.lex_state = 181},
  [5472] = {.lex_state = 179},
  [5473] = {.lex_state = 79},
  [5474] = {.lex_state = 142},
  [5475] = {.lex_state = 142},
  [5476] = {.lex_state = 7},
  [5477] = {.lex_state = 169},
  [5478] = {.lex_state = 142},
  [5479] = {.lex_state = 180},
  [5480] = {.lex_state = 13},
  [5481] = {.lex_state = 169},
  [5482] = {.lex_state = 26, .external_lex_state = 4},
  [5483] = {.lex_state = 113},
  [5484] = {.lex_state = 181},
  [5485] = {.lex_state = 177},
  [5486] = {.lex_state = 172, .external_lex_state = 4},
  [5487] = {.lex_state = 7},
  [5488] = {.lex_state = 177},
  [5489] = {.lex_state = 26, .external_lex_state = 4},
  [5490] = {.lex_state = 142},
  [5491] = {.lex_state = 37},
  [5492] = {.lex_state = 95, .external_lex_state = 4},
  [5493] = {.lex_state = 97, .external_lex_state = 4},
  [5494] = {.lex_state = 177},
  [5495] = {.lex_state = 177},
  [5496] = {.lex_state = 99, .external_lex_state = 4},
  [5497] = {.lex_state = 78, .external_lex_state = 4},
  [5498] = {.lex_state = 72},
  [5499] = {.lex_state = 178},
  [5500] = {.lex_state = 99, .external_lex_state = 4},
  [5501] = {.lex_state = 99, .external_lex_state = 4},
  [5502] = {.lex_state = 99, .external_lex_state = 4},
  [5503] = {.lex_state = 99, .external_lex_state = 4},
  [5504] = {.lex_state = 99, .external_lex_state = 4},
  [5505] = {.lex_state = 99, .external_lex_state = 4},
  [5506] = {.lex_state = 99, .external_lex_state = 4},
  [5507] = {.lex_state = 99, .external_lex_state = 4},
  [5508] = {.lex_state = 99, .external_lex_state = 4},
  [5509] = {.lex_state = 99, .external_lex_state = 4},
  [5510] = {.lex_state = 73},
  [5511] = {.lex_state = 163},
  [5512] = {.lex_state = 142},
  [5513] = {.lex_state = 181},
  [5514] = {.lex_state = 142},
  [5515] = {.lex_state = 7},
  [5516] = {.lex_state = 78, .external_lex_state = 4},
  [5517] = {.lex_state = 177},
  [5518] = {.lex_state = 172},
  [5519] = {.lex_state = 76, .external_lex_state = 4},
  [5520] = {.lex_state = 180},
  [5521] = {.lex_state = 99, .external_lex_state = 4},
  [5522] = {.lex_state = 99, .external_lex_state = 4},
  [5523] = {.lex_state = 143},
  [5524] = {.lex_state = 97, .external_lex_state = 4},
  [5525] = {.lex_state = 177},
  [5526] = {.lex_state = 97, .external_lex_state = 4},
  [5527] = {.lex_state = 181},
  [5528] = {.lex_state = 82},
  [5529] = {.lex_state = 78, .external_lex_state = 4},
  [5530] = {.lex_state = 180},
  [5531] = {.lex_state = 142},
  [5532] = {.lex_state = 76, .external_lex_state = 4},
  [5533] = {.lex_state = 179},
  [5534] = {.lex_state = 177},
  [5535] = {.lex_state = 5},
  [5536] = {.lex_state = 179},
  [5537] = {.lex_state = 179},
  [5538] = {.lex_state = 13},
  [5539] = {.lex_state = 169},
  [5540] = {.lex_state = 110},
  [5541] = {.lex_state = 97, .external_lex_state = 4},
  [5542] = {.lex_state = 178},
  [5543] = {.lex_state = 5},
  [5544] = {.lex_state = 97, .external_lex_state = 4},
  [5545] = {.lex_state = 99, .external_lex_state = 4},
  [5546] = {.lex_state = 5},
  [5547] = {.lex_state = 108},
  [5548] = {.lex_state = 177},
  [5549] = {.lex_state = 152},
  [5550] = {.lex_state = 5},
  [5551] = {.lex_state = 5},
  [5552] = {.lex_state = 5},
  [5553] = {.lex_state = 5},
  [5554] = {.lex_state = 5},
  [5555] = {.lex_state = 179},
  [5556] = {.lex_state = 76, .external_lex_state = 4},
  [5557] = {.lex_state = 179},
  [5558] = {.lex_state = 25, .external_lex_state = 4},
  [5559] = {.lex_state = 180},
  [5560] = {.lex_state = 5},
  [5561] = {.lex_state = 25, .external_lex_state = 4},
  [5562] = {.lex_state = 25, .external_lex_state = 4},
  [5563] = {.lex_state = 97, .external_lex_state = 4},
  [5564] = {.lex_state = 25, .external_lex_state = 4},
  [5565] = {.lex_state = 25, .external_lex_state = 4},
  [5566] = {.lex_state = 25, .external_lex_state = 4},
  [5567] = {.lex_state = 25, .external_lex_state = 4},
  [5568] = {.lex_state = 25, .external_lex_state = 4},
  [5569] = {.lex_state = 25, .external_lex_state = 4},
  [5570] = {.lex_state = 25, .external_lex_state = 4},
  [5571] = {.lex_state = 5},
  [5572] = {.lex_state = 5},
  [5573] = {.lex_state = 10},
  [5574] = {.lex_state = 13},
  [5575] = {.lex_state = 180},
  [5576] = {.lex_state = 36},
  [5577] = {.lex_state = 57},
  [5578] = {.lex_state = 143},
  [5579] = {.lex_state = 99, .external_lex_state = 4},
  [5580] = {.lex_state = 180},
  [5581] = {.lex_state = 179},
  [5582] = {.lex_state = 13, .external_lex_state = 4},
  [5583] = {.lex_state = 179},
  [5584] = {.lex_state = 178},
  [5585] = {.lex_state = 178},
  [5586] = {.lex_state = 178},
  [5587] = {.lex_state = 180},
  [5588] = {.lex_state = 180},
  [5589] = {.lex_state = 143},
  [5590] = {.lex_state = 171},
  [5591] = {.lex_state = 142},
  [5592] = {.lex_state = 25, .external_lex_state = 4},
  [5593] = {.lex_state = 178},
  [5594] = {.lex_state = 143},
  [5595] = {.lex_state = 143},
  [5596] = {.lex_state = 179},
  [5597] = {.lex_state = 181},
  [5598] = {.lex_state = 143},
  [5599] = {.lex_state = 25, .external_lex_state = 4},
  [5600] = {.lex_state = 163},
  [5601] = {.lex_state = 180},
  [5602] = {.lex_state = 76, .external_lex_state = 4},
  [5603] = {.lex_state = 181},
  [5604] = {.lex_state = 178},
  [5605] = {.lex_state = 13},
  [5606] = {.lex_state = 5},
  [5607] = {.lex_state = 76, .external_lex_state = 4},
  [5608] = {.lex_state = 13},
  [5609] = {.lex_state = 78, .external_lex_state = 4},
  [5610] = {.lex_state = 78, .external_lex_state = 4},
  [5611] = {.lex_state = 78, .external_lex_state = 4},
  [5612] = {.lex_state = 78, .external_lex_state = 4},
  [5613] = {.lex_state = 78, .external_lex_state = 4},
  [5614] = {.lex_state = 179},
  [5615] = {.lex_state = 5},
  [5616] = {.lex_state = 179},
  [5617] = {.lex_state = 178},
  [5618] = {.lex_state = 78, .external_lex_state = 4},
  [5619] = {.lex_state = 26, .external_lex_state = 4},
  [5620] = {.lex_state = 5},
  [5621] = {.lex_state = 163},
  [5622] = {.lex_state = 178},
  [5623] = {.lex_state = 78, .external_lex_state = 4},
  [5624] = {.lex_state = 178},
  [5625] = {.lex_state = 5},
  [5626] = {.lex_state = 170},
  [5627] = {.lex_state = 178},
  [5628] = {.lex_state = 178},
  [5629] = {.lex_state = 170},
  [5630] = {.lex_state = 170},
  [5631] = {.lex_state = 170},
  [5632] = {.lex_state = 181},
  [5633] = {.lex_state = 78, .external_lex_state = 4},
  [5634] = {.lex_state = 170},
  [5635] = {.lex_state = 97, .external_lex_state = 4},
  [5636] = {.lex_state = 76, .external_lex_state = 4},
  [5637] = {.lex_state = 78, .external_lex_state = 4},
  [5638] = {.lex_state = 37},
  [5639] = {.lex_state = 76, .external_lex_state = 4},
  [5640] = {.lex_state = 37},
  [5641] = {.lex_state = 37},
  [5642] = {.lex_state = 37},
  [5643] = {.lex_state = 37},
  [5644] = {.lex_state = 37},
  [5645] = {.lex_state = 37},
  [5646] = {.lex_state = 37},
  [5647] = {.lex_state = 37},
  [5648] = {.lex_state = 25, .external_lex_state = 4},
  [5649] = {.lex_state = 170},
  [5650] = {.lex_state = 37},
  [5651] = {.lex_state = 7},
  [5652] = {.lex_state = 7},
  [5653] = {.lex_state = 170},
  [5654] = {.lex_state = 98, .external_lex_state = 4},
  [5655] = {.lex_state = 37},
  [5656] = {.lex_state = 13},
  [5657] = {.lex_state = 170},
  [5658] = {.lex_state = 170},
  [5659] = {.lex_state = 170},
  [5660] = {.lex_state = 170},
  [5661] = {.lex_state = 177},
  [5662] = {.lex_state = 180},
  [5663] = {.lex_state = 7},
  [5664] = {.lex_state = 7},
  [5665] = {.lex_state = 7},
  [5666] = {.lex_state = 181},
  [5667] = {.lex_state = 143},
  [5668] = {.lex_state = 36},
  [5669] = {.lex_state = 56},
  [5670] = {.lex_state = 36},
  [5671] = {.lex_state = 36},
  [5672] = {.lex_state = 163},
  [5673] = {.lex_state = 13},
  [5674] = {.lex_state = 13},
  [5675] = {.lex_state = 143},
  [5676] = {.lex_state = 36},
  [5677] = {.lex_state = 36},
  [5678] = {.lex_state = 36},
  [5679] = {.lex_state = 163},
  [5680] = {.lex_state = 13},
  [5681] = {.lex_state = 13},
  [5682] = {.lex_state = 13},
  [5683] = {.lex_state = 36},
  [5684] = {.lex_state = 143},
  [5685] = {.lex_state = 7},
  [5686] = {.lex_state = 8},
  [5687] = {.lex_state = 7},
  [5688] = {.lex_state = 163},
  [5689] = {.lex_state = 13},
  [5690] = {.lex_state = 180},
  [5691] = {.lex_state = 111},
  [5692] = {.lex_state = 179},
  [5693] = {.lex_state = 170},
  [5694] = {.lex_state = 76, .external_lex_state = 4},
  [5695] = {.lex_state = 179},
  [5696] = {.lex_state = 36},
  [5697] = {.lex_state = 36},
  [5698] = {.lex_state = 36},
  [5699] = {.lex_state = 15},
  [5700] = {.lex_state = 181},
  [5701] = {.lex_state = 36},
  [5702] = {.lex_state = 78, .external_lex_state = 4},
  [5703] = {.lex_state = 95},
  [5704] = {.lex_state = 179},
  [5705] = {.lex_state = 76, .external_lex_state = 4},
  [5706] = {.lex_state = 78},
  [5707] = {.lex_state = 13},
  [5708] = {.lex_state = 78, .external_lex_state = 4},
  [5709] = {.lex_state = 36},
  [5710] = {.lex_state = 36},
  [5711] = {.lex_state = 169},
  [5712] = {.lex_state = 180},
  [5713] = {.lex_state = 37},
  [5714] = {.lex_state = 163},
  [5715] = {.lex_state = 13},
  [5716] = {.lex_state = 95},
  [5717] = {.lex_state = 163},
  [5718] = {.lex_state = 37},
  [5719] = {.lex_state = 37},
  [5720] = {.lex_state = 180},
  [5721] = {.lex_state = 143},
  [5722] = {.lex_state = 143},
  [5723] = {.lex_state = 26},
  [5724] = {.lex_state = 179},
  [5725] = {.lex_state = 180},
  [5726] = {.lex_state = 36},
  [5727] = {.lex_state = 168},
  [5728] = {.lex_state = 27},
  [5729] = {.lex_state = 97, .external_lex_state = 4},
  [5730] = {.lex_state = 97, .external_lex_state = 4},
  [5731] = {.lex_state = 97, .external_lex_state = 4},
  [5732] = {.lex_state = 170},
  [5733] = {.lex_state = 97, .external_lex_state = 4},
  [5734] = {.lex_state = 25, .external_lex_state = 4},
  [5735] = {.lex_state = 78},
  [5736] = {.lex_state = 78},
  [5737] = {.lex_state = 172},
  [5738] = {.lex_state = 47},
  [5739] = {.lex_state = 82},
  [5740] = {.lex_state = 56},
  [5741] = {.lex_state = 172},
  [5742] = {.lex_state = 81},
  [5743] = {.lex_state = 172},
  [5744] = {.lex_state = 172},
  [5745] = {.lex_state = 172},
  [5746] = {.lex_state = 172},
  [5747] = {.lex_state = 172},
  [5748] = {.lex_state = 172, .external_lex_state = 4},
  [5749] = {.lex_state = 172},
  [5750] = {.lex_state = 172},
  [5751] = {.lex_state = 172},
  [5752] = {.lex_state = 119},
  [5753] = {.lex_state = 172},
  [5754] = {.lex_state = 47},
  [5755] = {.lex_state = 82},
  [5756] = {.lex_state = 46},
  [5757] = {.lex_state = 78},
  [5758] = {.lex_state = 46},
  [5759] = {.lex_state = 172, .external_lex_state = 4},
  [5760] = {.lex_state = 47},
  [5761] = {.lex_state = 18},
  [5762] = {.lex_state = 101},
  [5763] = {.lex_state = 10},
  [5764] = {.lex_state = 80},
  [5765] = {.lex_state = 47},
  [5766] = {.lex_state = 172, .external_lex_state = 4},
  [5767] = {.lex_state = 102},
  [5768] = {.lex_state = 100, .external_lex_state = 4},
  [5769] = {.lex_state = 172, .external_lex_state = 4},
  [5770] = {.lex_state = 79},
  [5771] = {.lex_state = 82},
  [5772] = {.lex_state = 10},
  [5773] = {.lex_state = 98, .external_lex_state = 4},
  [5774] = {.lex_state = 46},
  [5775] = {.lex_state = 11},
  [5776] = {.lex_state = 82},
  [5777] = {.lex_state = 100, .external_lex_state = 4},
  [5778] = {.lex_state = 100, .external_lex_state = 4},
  [5779] = {.lex_state = 100, .external_lex_state = 4},
  [5780] = {.lex_state = 15},
  [5781] = {.lex_state = 69},
  [5782] = {.lex_state = 100, .external_lex_state = 4},
  [5783] = {.lex_state = 100, .external_lex_state = 4},
  [5784] = {.lex_state = 46},
  [5785] = {.lex_state = 15},
  [5786] = {.lex_state = 10},
  [5787] = {.lex_state = 98, .external_lex_state = 4},
  [5788] = {.lex_state = 100, .external_lex_state = 4},
  [5789] = {.lex_state = 172},
  [5790] = {.lex_state = 81},
  [5791] = {.lex_state = 98, .external_lex_state = 4},
  [5792] = {.lex_state = 98, .external_lex_state = 4},
  [5793] = {.lex_state = 98, .external_lex_state = 4},
  [5794] = {.lex_state = 98, .external_lex_state = 4},
  [5795] = {.lex_state = 98, .external_lex_state = 4},
  [5796] = {.lex_state = 98, .external_lex_state = 4},
  [5797] = {.lex_state = 98, .external_lex_state = 4},
  [5798] = {.lex_state = 98, .external_lex_state = 4},
  [5799] = {.lex_state = 98, .external_lex_state = 4},
  [5800] = {.lex_state = 98, .external_lex_state = 4},
  [5801] = {.lex_state = 100, .external_lex_state = 4},
  [5802] = {.lex_state = 81},
  [5803] = {.lex_state = 82},
  [5804] = {.lex_state = 82},
  [5805] = {.lex_state = 10},
  [5806] = {.lex_state = 172, .external_lex_state = 4},
  [5807] = {.lex_state = 10},
  [5808] = {.lex_state = 100, .external_lex_state = 4},
  [5809] = {.lex_state = 82},
  [5810] = {.lex_state = 172},
  [5811] = {.lex_state = 10},
  [5812] = {.lex_state = 100, .external_lex_state = 4},
  [5813] = {.lex_state = 82},
  [5814] = {.lex_state = 93, .external_lex_state = 4},
  [5815] = {.lex_state = 10},
  [5816] = {.lex_state = 10},
  [5817] = {.lex_state = 10},
  [5818] = {.lex_state = 100, .external_lex_state = 4},
  [5819] = {.lex_state = 100, .external_lex_state = 4},
  [5820] = {.lex_state = 79},
  [5821] = {.lex_state = 56},
  [5822] = {.lex_state = 47},
  [5823] = {.lex_state = 100, .external_lex_state = 4},
  [5824] = {.lex_state = 81},
  [5825] = {.lex_state = 172, .external_lex_state = 4},
  [5826] = {.lex_state = 56},
  [5827] = {.lex_state = 57},
  [5828] = {.lex_state = 47},
  [5829] = {.lex_state = 78},
  [5830] = {.lex_state = 10},
  [5831] = {.lex_state = 56},
  [5832] = {.lex_state = 10},
  [5833] = {.lex_state = 10},
  [5834] = {.lex_state = 80},
  [5835] = {.lex_state = 79},
  [5836] = {.lex_state = 47},
  [5837] = {.lex_state = 56},
  [5838] = {.lex_state = 98, .external_lex_state = 4},
  [5839] = {.lex_state = 56},
  [5840] = {.lex_state = 78},
  [5841] = {.lex_state = 56},
  [5842] = {.lex_state = 80},
  [5843] = {.lex_state = 79},
  [5844] = {.lex_state = 98, .external_lex_state = 4},
  [5845] = {.lex_state = 56},
  [5846] = {.lex_state = 56},
  [5847] = {.lex_state = 56},
  [5848] = {.lex_state = 56},
  [5849] = {.lex_state = 56},
  [5850] = {.lex_state = 15},
  [5851] = {.lex_state = 78},
  [5852] = {.lex_state = 13, .external_lex_state = 4},
  [5853] = {.lex_state = 79},
  [5854] = {.lex_state = 10},
  [5855] = {.lex_state = 103},
  [5856] = {.lex_state = 182},
  [5857] = {.lex_state = 15},
  [5858] = {.lex_state = 80},
  [5859] = {.lex_state = 80},
  [5860] = {.lex_state = 80},
  [5861] = {.lex_state = 172, .external_lex_state = 4},
  [5862] = {.lex_state = 78},
  [5863] = {.lex_state = 13, .external_lex_state = 4},
  [5864] = {.lex_state = 13, .external_lex_state = 4},
  [5865] = {.lex_state = 13, .external_lex_state = 4},
  [5866] = {.lex_state = 13, .external_lex_state = 4},
  [5867] = {.lex_state = 80},
  [5868] = {.lex_state = 81},
  [5869] = {.lex_state = 56},
  [5870] = {.lex_state = 15},
  [5871] = {.lex_state = 13, .external_lex_state = 4},
  [5872] = {.lex_state = 15},
  [5873] = {.lex_state = 119},
  [5874] = {.lex_state = 57},
  [5875] = {.lex_state = 46},
  [5876] = {.lex_state = 98, .external_lex_state = 4},
  [5877] = {.lex_state = 79},
  [5878] = {.lex_state = 13, .external_lex_state = 4},
  [5879] = {.lex_state = 153},
  [5880] = {.lex_state = 172, .external_lex_state = 4},
  [5881] = {.lex_state = 80},
  [5882] = {.lex_state = 46},
  [5883] = {.lex_state = 79},
  [5884] = {.lex_state = 82},
  [5885] = {.lex_state = 172, .external_lex_state = 4},
  [5886] = {.lex_state = 100},
  [5887] = {.lex_state = 172},
  [5888] = {.lex_state = 15},
  [5889] = {.lex_state = 10},
  [5890] = {.lex_state = 81},
  [5891] = {.lex_state = 57},
  [5892] = {.lex_state = 81},
  [5893] = {.lex_state = 81},
  [5894] = {.lex_state = 82},
  [5895] = {.lex_state = 80},
  [5896] = {.lex_state = 57},
  [5897] = {.lex_state = 57},
  [5898] = {.lex_state = 57},
  [5899] = {.lex_state = 57},
  [5900] = {.lex_state = 57},
  [5901] = {.lex_state = 8},
  [5902] = {.lex_state = 57},
  [5903] = {.lex_state = 57},
  [5904] = {.lex_state = 57},
  [5905] = {.lex_state = 57},
  [5906] = {.lex_state = 57},
  [5907] = {.lex_state = 10},
  [5908] = {.lex_state = 172, .external_lex_state = 4},
  [5909] = {.lex_state = 13, .external_lex_state = 4},
  [5910] = {.lex_state = 47},
  [5911] = {.lex_state = 80},
  [5912] = {.lex_state = 78},
  [5913] = {.lex_state = 81},
  [5914] = {.lex_state = 46},
  [5915] = {.lex_state = 81},
  [5916] = {.lex_state = 47},
  [5917] = {.lex_state = 59},
  [5918] = {.lex_state = 100, .external_lex_state = 4},
  [5919] = {.lex_state = 172, .external_lex_state = 4},
  [5920] = {.lex_state = 78},
  [5921] = {.lex_state = 152},
  [5922] = {.lex_state = 78},
  [5923] = {.lex_state = 78},
  [5924] = {.lex_state = 93},
  [5925] = {.lex_state = 46},
  [5926] = {.lex_state = 79},
  [5927] = {.lex_state = 82},
  [5928] = {.lex_state = 57},
  [5929] = {.lex_state = 47},
  [5930] = {.lex_state = 47},
  [5931] = {.lex_state = 79},
  [5932] = {.lex_state = 79},
  [5933] = {.lex_state = 79},
  [5934] = {.lex_state = 79},
  [5935] = {.lex_state = 79},
  [5936] = {.lex_state = 57},
  [5937] = {.lex_state = 79},
  [5938] = {.lex_state = 47},
  [5939] = {.lex_state = 56},
  [5940] = {.lex_state = 82},
  [5941] = {.lex_state = 46},
  [5942] = {.lex_state = 82},
  [5943] = {.lex_state = 100, .external_lex_state = 4},
  [5944] = {.lex_state = 47},
  [5945] = {.lex_state = 68},
  [5946] = {.lex_state = 47},
  [5947] = {.lex_state = 13, .external_lex_state = 4},
  [5948] = {.lex_state = 13, .external_lex_state = 4},
  [5949] = {.lex_state = 13, .external_lex_state = 4},
  [5950] = {.lex_state = 13, .external_lex_state = 4},
  [5951] = {.lex_state = 13, .external_lex_state = 4},
  [5952] = {.lex_state = 15},
  [5953] = {.lex_state = 172, .external_lex_state = 4},
  [5954] = {.lex_state = 15},
  [5955] = {.lex_state = 46},
  [5956] = {.lex_state = 82},
  [5957] = {.lex_state = 172},
  [5958] = {.lex_state = 81},
  [5959] = {.lex_state = 15},
  [5960] = {.lex_state = 15},
  [5961] = {.lex_state = 80},
  [5962] = {.lex_state = 58},
  [5963] = {.lex_state = 80},
  [5964] = {.lex_state = 81},
  [5965] = {.lex_state = 15},
  [5966] = {.lex_state = 78},
  [5967] = {.lex_state = 78},
  [5968] = {.lex_state = 172, .external_lex_state = 4},
  [5969] = {.lex_state = 56},
  [5970] = {.lex_state = 81},
  [5971] = {.lex_state = 46},
  [5972] = {.lex_state = 46},
  [5973] = {.lex_state = 46},
  [5974] = {.lex_state = 15},
  [5975] = {.lex_state = 46},
  [5976] = {.lex_state = 15},
  [5977] = {.lex_state = 172, .external_lex_state = 4},
  [5978] = {.lex_state = 13, .external_lex_state = 4},
  [5979] = {.lex_state = 15},
  [5980] = {.lex_state = 172, .external_lex_state = 4},
  [5981] = {.lex_state = 81},
  [5982] = {.lex_state = 81},
  [5983] = {.lex_state = 104},
  [5984] = {.lex_state = 8},
  [5985] = {.lex_state = 79},
  [5986] = {.lex_state = 47},
  [5987] = {.lex_state = 152},
  [5988] = {.lex_state = 13, .external_lex_state = 4},
  [5989] = {.lex_state = 78},
  [5990] = {.lex_state = 15, .external_lex_state = 4},
  [5991] = {.lex_state = 46},
  [5992] = {.lex_state = 80},
  [5993] = {.lex_state = 80},
  [5994] = {.lex_state = 184},
  [5995] = {.lex_state = 78},
  [5996] = {.lex_state = 58},
  [5997] = {.lex_state = 80},
  [5998] = {.lex_state = 82},
  [5999] = {.lex_state = 18},
  [6000] = {.lex_state = 120},
  [6001] = {.lex_state = 120},
  [6002] = {.lex_state = 69},
  [6003] = {.lex_state = 120},
  [6004] = {.lex_state = 103},
  [6005] = {.lex_state = 120},
  [6006] = {.lex_state = 120},
  [6007] = {.lex_state = 120},
  [6008] = {.lex_state = 120},
  [6009] = {.lex_state = 11},
  [6010] = {.lex_state = 120},
  [6011] = {.lex_state = 38, .external_lex_state = 4},
  [6012] = {.lex_state = 120},
  [6013] = {.lex_state = 102},
  [6014] = {.lex_state = 102},
  [6015] = {.lex_state = 120},
  [6016] = {.lex_state = 102},
  [6017] = {.lex_state = 102},
  [6018] = {.lex_state = 120},
  [6019] = {.lex_state = 102},
  [6020] = {.lex_state = 102},
  [6021] = {.lex_state = 102},
  [6022] = {.lex_state = 102},
  [6023] = {.lex_state = 120},
  [6024] = {.lex_state = 102},
  [6025] = {.lex_state = 102},
  [6026] = {.lex_state = 102},
  [6027] = {.lex_state = 120},
  [6028] = {.lex_state = 120},
  [6029] = {.lex_state = 93},
  [6030] = {.lex_state = 102},
  [6031] = {.lex_state = 104},
  [6032] = {.lex_state = 104},
  [6033] = {.lex_state = 120},
  [6034] = {.lex_state = 102},
  [6035] = {.lex_state = 104},
  [6036] = {.lex_state = 120},
  [6037] = {.lex_state = 104},
  [6038] = {.lex_state = 104},
  [6039] = {.lex_state = 120},
  [6040] = {.lex_state = 104},
  [6041] = {.lex_state = 104},
  [6042] = {.lex_state = 104},
  [6043] = {.lex_state = 183},
  [6044] = {.lex_state = 104},
  [6045] = {.lex_state = 104},
  [6046] = {.lex_state = 104},
  [6047] = {.lex_state = 120},
  [6048] = {.lex_state = 2, .external_lex_state = 2},
  [6049] = {.lex_state = 103},
  [6050] = {.lex_state = 103},
  [6051] = {.lex_state = 103},
  [6052] = {.lex_state = 120},
  [6053] = {.lex_state = 103},
  [6054] = {.lex_state = 104},
  [6055] = {.lex_state = 103},
  [6056] = {.lex_state = 120},
  [6057] = {.lex_state = 103},
  [6058] = {.lex_state = 103},
  [6059] = {.lex_state = 104},
  [6060] = {.lex_state = 103},
  [6061] = {.lex_state = 103},
  [6062] = {.lex_state = 120},
  [6063] = {.lex_state = 103},
  [6064] = {.lex_state = 103},
  [6065] = {.lex_state = 102},
  [6066] = {.lex_state = 153},
  [6067] = {.lex_state = 120},
  [6068] = {.lex_state = 93, .external_lex_state = 4},
  [6069] = {.lex_state = 103},
  [6070] = {.lex_state = 185},
  [6071] = {.lex_state = 11},
  [6072] = {.lex_state = 11},
  [6073] = {.lex_state = 120},
  [6074] = {.lex_state = 103},
  [6075] = {.lex_state = 11},
  [6076] = {.lex_state = 11},
  [6077] = {.lex_state = 120},
  [6078] = {.lex_state = 120},
  [6079] = {.lex_state = 11},
  [6080] = {.lex_state = 11},
  [6081] = {.lex_state = 120},
  [6082] = {.lex_state = 11},
  [6083] = {.lex_state = 11},
  [6084] = {.lex_state = 11},
  [6085] = {.lex_state = 11},
  [6086] = {.lex_state = 120},
  [6087] = {.lex_state = 101},
  [6088] = {.lex_state = 11},
  [6089] = {.lex_state = 120},
  [6090] = {.lex_state = 104},
  [6091] = {.lex_state = 117},
  [6092] = {.lex_state = 15, .external_lex_state = 4},
  [6093] = {.lex_state = 120},
  [6094] = {.lex_state = 120},
  [6095] = {.lex_state = 120},
  [6096] = {.lex_state = 11},
  [6097] = {.lex_state = 11},
  [6098] = {.lex_state = 117},
  [6099] = {.lex_state = 103},
  [6100] = {.lex_state = 68},
  [6101] = {.lex_state = 69},
  [6102] = {.lex_state = 69},
  [6103] = {.lex_state = 69},
  [6104] = {.lex_state = 69},
  [6105] = {.lex_state = 69},
  [6106] = {.lex_state = 69},
  [6107] = {.lex_state = 69},
  [6108] = {.lex_state = 69},
  [6109] = {.lex_state = 69},
  [6110] = {.lex_state = 69},
  [6111] = {.lex_state = 69},
  [6112] = {.lex_state = 69},
  [6113] = {.lex_state = 69},
  [6114] = {.lex_state = 59},
  [6115] = {.lex_state = 69},
  [6116] = {.lex_state = 153},
  [6117] = {.lex_state = 153},
  [6118] = {.lex_state = 153},
  [6119] = {.lex_state = 153},
  [6120] = {.lex_state = 153},
  [6121] = {.lex_state = 153},
  [6122] = {.lex_state = 153},
  [6123] = {.lex_state = 153},
  [6124] = {.lex_state = 153},
  [6125] = {.lex_state = 153},
  [6126] = {.lex_state = 153},
  [6127] = {.lex_state = 119},
  [6128] = {.lex_state = 120},
  [6129] = {.lex_state = 120},
  [6130] = {.lex_state = 93},
  [6131] = {.lex_state = 120},
  [6132] = {.lex_state = 93},
  [6133] = {.lex_state = 93},
  [6134] = {.lex_state = 93},
  [6135] = {.lex_state = 93},
  [6136] = {.lex_state = 93},
  [6137] = {.lex_state = 93},
  [6138] = {.lex_state = 93},
  [6139] = {.lex_state = 93},
  [6140] = {.lex_state = 93},
  [6141] = {.lex_state = 93},
  [6142] = {.lex_state = 182},
  [6143] = {.lex_state = 153},
  [6144] = {.lex_state = 182},
  [6145] = {.lex_state = 182},
  [6146] = {.lex_state = 182},
  [6147] = {.lex_state = 182},
  [6148] = {.lex_state = 182},
  [6149] = {.lex_state = 153},
  [6150] = {.lex_state = 182},
  [6151] = {.lex_state = 182},
  [6152] = {.lex_state = 182},
  [6153] = {.lex_state = 182},
  [6154] = {.lex_state = 182},
  [6155] = {.lex_state = 93},
  [6156] = {.lex_state = 93},
  [6157] = {.lex_state = 100},
  [6158] = {.lex_state = 15, .external_lex_state = 4},
  [6159] = {.lex_state = 15, .external_lex_state = 4},
  [6160] = {.lex_state = 15, .external_lex_state = 4},
  [6161] = {.lex_state = 15, .external_lex_state = 4},
  [6162] = {.lex_state = 15, .external_lex_state = 4},
  [6163] = {.lex_state = 15, .external_lex_state = 4},
  [6164] = {.lex_state = 15, .external_lex_state = 4},
  [6165] = {.lex_state = 15, .external_lex_state = 4},
  [6166] = {.lex_state = 15, .external_lex_state = 4},
  [6167] = {.lex_state = 15, .external_lex_state = 4},
  [6168] = {.lex_state = 104},
  [6169] = {.lex_state = 93},
  [6170] = {.lex_state = 182},
  [6171] = {.lex_state = 93, .external_lex_state = 4},
  [6172] = {.lex_state = 93, .external_lex_state = 4},
  [6173] = {.lex_state = 93, .external_lex_state = 4},
  [6174] = {.lex_state = 93, .external_lex_state = 4},
  [6175] = {.lex_state = 93, .external_lex_state = 4},
  [6176] = {.lex_state = 93, .external_lex_state = 4},
  [6177] = {.lex_state = 93, .external_lex_state = 4},
  [6178] = {.lex_state = 93, .external_lex_state = 4},
  [6179] = {.lex_state = 93, .external_lex_state = 4},
  [6180] = {.lex_state = 93, .external_lex_state = 4},
  [6181] = {.lex_state = 93, .external_lex_state = 4},
  [6182] = {.lex_state = 182},
  [6183] = {.lex_state = 153},
  [6184] = {.lex_state = 93, .external_lex_state = 4},
  [6185] = {.lex_state = 93, .external_lex_state = 4},
  [6186] = {.lex_state = 15, .external_lex_state = 4},
  [6187] = {.lex_state = 101},
  [6188] = {.lex_state = 101},
  [6189] = {.lex_state = 101},
  [6190] = {.lex_state = 101},
  [6191] = {.lex_state = 101},
  [6192] = {.lex_state = 101},
  [6193] = {.lex_state = 101},
  [6194] = {.lex_state = 101},
  [6195] = {.lex_state = 101},
  [6196] = {.lex_state = 101},
  [6197] = {.lex_state = 101},
  [6198] = {.lex_state = 15, .external_lex_state = 4},
  [6199] = {.lex_state = 93, .external_lex_state = 4},
  [6200] = {.lex_state = 101},
  [6201] = {.lex_state = 101},
  [6202] = {.lex_state = 11},
  [6203] = {.lex_state = 68},
  [6204] = {.lex_state = 68},
  [6205] = {.lex_state = 68},
  [6206] = {.lex_state = 68},
  [6207] = {.lex_state = 68},
  [6208] = {.lex_state = 68},
  [6209] = {.lex_state = 68},
  [6210] = {.lex_state = 68},
  [6211] = {.lex_state = 68},
  [6212] = {.lex_state = 68},
  [6213] = {.lex_state = 68},
  [6214] = {.lex_state = 101},
  [6215] = {.lex_state = 58},
  [6216] = {.lex_state = 68},
  [6217] = {.lex_state = 68},
  [6218] = {.lex_state = 68},
  [6219] = {.lex_state = 120},
  [6220] = {.lex_state = 182},
  [6221] = {.lex_state = 120},
  [6222] = {.lex_state = 15, .external_lex_state = 4},
  [6223] = {.lex_state = 120},
  [6224] = {.lex_state = 120},
  [6225] = {.lex_state = 120},
  [6226] = {.lex_state = 120},
  [6227] = {.lex_state = 71},
  [6228] = {.lex_state = 59},
  [6229] = {.lex_state = 120},
  [6230] = {.lex_state = 70},
  [6231] = {.lex_state = 120},
  [6232] = {.lex_state = 120},
  [6233] = {.lex_state = 120},
  [6234] = {.lex_state = 120},
  [6235] = {.lex_state = 120},
  [6236] = {.lex_state = 120},
  [6237] = {.lex_state = 100},
  [6238] = {.lex_state = 120},
  [6239] = {.lex_state = 100},
  [6240] = {.lex_state = 100},
  [6241] = {.lex_state = 100},
  [6242] = {.lex_state = 100},
  [6243] = {.lex_state = 100},
  [6244] = {.lex_state = 100},
  [6245] = {.lex_state = 100},
  [6246] = {.lex_state = 100},
  [6247] = {.lex_state = 100},
  [6248] = {.lex_state = 100},
  [6249] = {.lex_state = 120},
  [6250] = {.lex_state = 58},
  [6251] = {.lex_state = 120},
  [6252] = {.lex_state = 120},
  [6253] = {.lex_state = 100},
  [6254] = {.lex_state = 100},
  [6255] = {.lex_state = 120},
  [6256] = {.lex_state = 102},
  [6257] = {.lex_state = 120},
  [6258] = {.lex_state = 120},
  [6259] = {.lex_state = 120},
  [6260] = {.lex_state = 120},
  [6261] = {.lex_state = 120},
  [6262] = {.lex_state = 120},
  [6263] = {.lex_state = 120},
  [6264] = {.lex_state = 120},
  [6265] = {.lex_state = 120},
  [6266] = {.lex_state = 120},
  [6267] = {.lex_state = 120},
  [6268] = {.lex_state = 120},
  [6269] = {.lex_state = 120},
  [6270] = {.lex_state = 120},
  [6271] = {.lex_state = 120},
  [6272] = {.lex_state = 120},
  [6273] = {.lex_state = 120},
  [6274] = {.lex_state = 120},
  [6275] = {.lex_state = 120},
  [6276] = {.lex_state = 120},
  [6277] = {.lex_state = 120},
  [6278] = {.lex_state = 120},
  [6279] = {.lex_state = 120},
  [6280] = {.lex_state = 120},
  [6281] = {.lex_state = 120},
  [6282] = {.lex_state = 120},
  [6283] = {.lex_state = 120},
  [6284] = {.lex_state = 120},
  [6285] = {.lex_state = 120},
  [6286] = {.lex_state = 120},
  [6287] = {.lex_state = 120},
  [6288] = {.lex_state = 120},
  [6289] = {.lex_state = 120},
  [6290] = {.lex_state = 120},
  [6291] = {.lex_state = 120},
  [6292] = {.lex_state = 120},
  [6293] = {.lex_state = 120},
  [6294] = {.lex_state = 120},
  [6295] = {.lex_state = 120},
  [6296] = {.lex_state = 120},
  [6297] = {.lex_state = 120},
  [6298] = {.lex_state = 120},
  [6299] = {.lex_state = 120},
  [6300] = {.lex_state = 120},
  [6301] = {.lex_state = 120},
  [6302] = {.lex_state = 120},
  [6303] = {.lex_state = 120},
  [6304] = {.lex_state = 120},
  [6305] = {.lex_state = 120},
  [6306] = {.lex_state = 120},
  [6307] = {.lex_state = 120},
  [6308] = {.lex_state = 120},
  [6309] = {.lex_state = 100},
  [6310] = {.lex_state = 15, .external_lex_state = 4},
  [6311] = {.lex_state = 71},
  [6312] = {.lex_state = 120},
  [6313] = {.lex_state = 71},
  [6314] = {.lex_state = 120},
  [6315] = {.lex_state = 120},
  [6316] = {.lex_state = 120},
  [6317] = {.lex_state = 120},
  [6318] = {.lex_state = 120},
  [6319] = {.lex_state = 71},
  [6320] = {.lex_state = 120},
  [6321] = {.lex_state = 71},
  [6322] = {.lex_state = 70},
  [6323] = {.lex_state = 120},
  [6324] = {.lex_state = 71},
  [6325] = {.lex_state = 120},
  [6326] = {.lex_state = 120},
  [6327] = {.lex_state = 71},
  [6328] = {.lex_state = 71},
  [6329] = {.lex_state = 120},
  [6330] = {.lex_state = 71},
  [6331] = {.lex_state = 120},
  [6332] = {.lex_state = 71},
  [6333] = {.lex_state = 120},
  [6334] = {.lex_state = 120},
  [6335] = {.lex_state = 120},
  [6336] = {.lex_state = 71},
  [6337] = {.lex_state = 120},
  [6338] = {.lex_state = 120},
  [6339] = {.lex_state = 120},
  [6340] = {.lex_state = 120},
  [6341] = {.lex_state = 120},
  [6342] = {.lex_state = 120},
  [6343] = {.lex_state = 120},
  [6344] = {.lex_state = 120},
  [6345] = {.lex_state = 120},
  [6346] = {.lex_state = 120},
  [6347] = {.lex_state = 120},
  [6348] = {.lex_state = 120},
  [6349] = {.lex_state = 120},
  [6350] = {.lex_state = 120},
  [6351] = {.lex_state = 120},
  [6352] = {.lex_state = 71},
  [6353] = {.lex_state = 120},
  [6354] = {.lex_state = 120},
  [6355] = {.lex_state = 120},
  [6356] = {.lex_state = 120},
  [6357] = {.lex_state = 120},
  [6358] = {.lex_state = 120},
  [6359] = {.lex_state = 71},
  [6360] = {.lex_state = 120},
  [6361] = {.lex_state = 120},
  [6362] = {.lex_state = 120},
  [6363] = {.lex_state = 120},
  [6364] = {.lex_state = 120},
  [6365] = {.lex_state = 120},
  [6366] = {.lex_state = 120},
  [6367] = {.lex_state = 120},
  [6368] = {.lex_state = 120},
  [6369] = {.lex_state = 120},
  [6370] = {.lex_state = 120},
  [6371] = {.lex_state = 120},
  [6372] = {.lex_state = 120},
  [6373] = {.lex_state = 120},
  [6374] = {.lex_state = 120},
  [6375] = {.lex_state = 120},
  [6376] = {.lex_state = 120},
  [6377] = {.lex_state = 120},
  [6378] = {.lex_state = 120},
  [6379] = {.lex_state = 120},
  [6380] = {.lex_state = 120},
  [6381] = {.lex_state = 120},
  [6382] = {.lex_state = 120},
  [6383] = {.lex_state = 120},
  [6384] = {.lex_state = 120},
  [6385] = {.lex_state = 183},
  [6386] = {.lex_state = 120},
  [6387] = {.lex_state = 120},
  [6388] = {.lex_state = 120},
  [6389] = {.lex_state = 120},
  [6390] = {.lex_state = 120},
  [6391] = {.lex_state = 120},
  [6392] = {.lex_state = 120},
  [6393] = {.lex_state = 120},
  [6394] = {.lex_state = 120},
  [6395] = {.lex_state = 120},
  [6396] = {.lex_state = 120},
  [6397] = {.lex_state = 120},
  [6398] = {.lex_state = 120},
  [6399] = {.lex_state = 120},
  [6400] = {.lex_state = 120},
  [6401] = {.lex_state = 120},
  [6402] = {.lex_state = 120},
  [6403] = {.lex_state = 120},
  [6404] = {.lex_state = 120},
  [6405] = {.lex_state = 120},
  [6406] = {.lex_state = 120},
  [6407] = {.lex_state = 120},
  [6408] = {.lex_state = 120},
  [6409] = {.lex_state = 120},
  [6410] = {.lex_state = 120},
  [6411] = {.lex_state = 120},
  [6412] = {.lex_state = 120},
  [6413] = {.lex_state = 120},
  [6414] = {.lex_state = 120},
  [6415] = {.lex_state = 120},
  [6416] = {.lex_state = 120},
  [6417] = {.lex_state = 120},
  [6418] = {.lex_state = 120},
  [6419] = {.lex_state = 120},
  [6420] = {.lex_state = 120},
  [6421] = {.lex_state = 120},
  [6422] = {.lex_state = 120},
  [6423] = {.lex_state = 120},
  [6424] = {.lex_state = 120},
  [6425] = {.lex_state = 120},
  [6426] = {.lex_state = 120},
  [6427] = {.lex_state = 120},
  [6428] = {.lex_state = 120},
  [6429] = {.lex_state = 120},
  [6430] = {.lex_state = 120},
  [6431] = {.lex_state = 120},
  [6432] = {.lex_state = 116},
  [6433] = {.lex_state = 120},
  [6434] = {.lex_state = 120},
  [6435] = {.lex_state = 120},
  [6436] = {.lex_state = 120},
  [6437] = {.lex_state = 120},
  [6438] = {.lex_state = 120},
  [6439] = {.lex_state = 120},
  [6440] = {.lex_state = 120},
  [6441] = {.lex_state = 120},
  [6442] = {.lex_state = 120},
  [6443] = {.lex_state = 120},
  [6444] = {.lex_state = 120},
  [6445] = {.lex_state = 120},
  [6446] = {.lex_state = 120},
  [6447] = {.lex_state = 120},
  [6448] = {.lex_state = 120},
  [6449] = {.lex_state = 120},
  [6450] = {.lex_state = 120},
  [6451] = {.lex_state = 120},
  [6452] = {.lex_state = 120},
  [6453] = {.lex_state = 120},
  [6454] = {.lex_state = 120},
  [6455] = {.lex_state = 120},
  [6456] = {.lex_state = 120},
  [6457] = {.lex_state = 120},
  [6458] = {.lex_state = 120},
  [6459] = {.lex_state = 120},
  [6460] = {.lex_state = 120},
  [6461] = {.lex_state = 120},
  [6462] = {.lex_state = 120},
  [6463] = {.lex_state = 120},
  [6464] = {.lex_state = 120},
  [6465] = {.lex_state = 120},
  [6466] = {.lex_state = 120},
  [6467] = {.lex_state = 120},
  [6468] = {.lex_state = 120},
  [6469] = {.lex_state = 120},
  [6470] = {.lex_state = 120},
  [6471] = {.lex_state = 120},
  [6472] = {.lex_state = 120},
  [6473] = {.lex_state = 120},
  [6474] = {.lex_state = 120},
  [6475] = {.lex_state = 120},
  [6476] = {.lex_state = 120},
  [6477] = {.lex_state = 120},
  [6478] = {.lex_state = 120},
  [6479] = {.lex_state = 120},
  [6480] = {.lex_state = 120},
  [6481] = {.lex_state = 120},
  [6482] = {.lex_state = 120},
  [6483] = {.lex_state = 120},
  [6484] = {.lex_state = 120},
  [6485] = {.lex_state = 120},
  [6486] = {.lex_state = 120},
  [6487] = {.lex_state = 120},
  [6488] = {.lex_state = 120},
  [6489] = {.lex_state = 120},
  [6490] = {.lex_state = 120},
  [6491] = {.lex_state = 120},
  [6492] = {.lex_state = 120},
  [6493] = {.lex_state = 120},
  [6494] = {.lex_state = 120},
  [6495] = {.lex_state = 120},
  [6496] = {.lex_state = 120},
  [6497] = {.lex_state = 120},
  [6498] = {.lex_state = 120},
  [6499] = {.lex_state = 120},
  [6500] = {.lex_state = 120},
  [6501] = {.lex_state = 120},
  [6502] = {.lex_state = 120},
  [6503] = {.lex_state = 120},
  [6504] = {.lex_state = 120},
  [6505] = {.lex_state = 120},
  [6506] = {.lex_state = 120},
  [6507] = {.lex_state = 120},
  [6508] = {.lex_state = 120},
  [6509] = {.lex_state = 120},
  [6510] = {.lex_state = 120},
  [6511] = {.lex_state = 120},
  [6512] = {.lex_state = 120},
  [6513] = {.lex_state = 120},
  [6514] = {.lex_state = 120},
  [6515] = {.lex_state = 120},
  [6516] = {.lex_state = 120},
  [6517] = {.lex_state = 120},
  [6518] = {.lex_state = 38, .external_lex_state = 4},
  [6519] = {.lex_state = 120},
  [6520] = {.lex_state = 120},
  [6521] = {.lex_state = 120},
  [6522] = {.lex_state = 120},
  [6523] = {.lex_state = 120},
  [6524] = {.lex_state = 120},
  [6525] = {.lex_state = 120},
  [6526] = {.lex_state = 120},
  [6527] = {.lex_state = 120},
  [6528] = {.lex_state = 120},
  [6529] = {.lex_state = 120},
  [6530] = {.lex_state = 120},
  [6531] = {.lex_state = 120},
  [6532] = {.lex_state = 120},
  [6533] = {.lex_state = 120},
  [6534] = {.lex_state = 120},
  [6535] = {.lex_state = 120},
  [6536] = {.lex_state = 120},
  [6537] = {.lex_state = 120},
  [6538] = {.lex_state = 120},
  [6539] = {.lex_state = 120},
  [6540] = {.lex_state = 120},
  [6541] = {.lex_state = 120},
  [6542] = {.lex_state = 38, .external_lex_state = 4},
  [6543] = {.lex_state = 38, .external_lex_state = 4},
  [6544] = {.lex_state = 120},
  [6545] = {.lex_state = 120},
  [6546] = {.lex_state = 38, .external_lex_state = 4},
  [6547] = {.lex_state = 38, .external_lex_state = 4},
  [6548] = {.lex_state = 120},
  [6549] = {.lex_state = 120},
  [6550] = {.lex_state = 120},
  [6551] = {.lex_state = 120},
  [6552] = {.lex_state = 120},
  [6553] = {.lex_state = 38, .external_lex_state = 4},
  [6554] = {.lex_state = 120},
  [6555] = {.lex_state = 120},
  [6556] = {.lex_state = 183},
  [6557] = {.lex_state = 120},
  [6558] = {.lex_state = 120},
  [6559] = {.lex_state = 39, .external_lex_state = 4},
  [6560] = {.lex_state = 120},
  [6561] = {.lex_state = 120},
  [6562] = {.lex_state = 183},
  [6563] = {.lex_state = 183},
  [6564] = {.lex_state = 183},
  [6565] = {.lex_state = 38, .external_lex_state = 4},
  [6566] = {.lex_state = 120},
  [6567] = {.lex_state = 183},
  [6568] = {.lex_state = 183},
  [6569] = {.lex_state = 120},
  [6570] = {.lex_state = 120},
  [6571] = {.lex_state = 18},
  [6572] = {.lex_state = 183},
  [6573] = {.lex_state = 120},
  [6574] = {.lex_state = 120},
  [6575] = {.lex_state = 18},
  [6576] = {.lex_state = 120},
  [6577] = {.lex_state = 120},
  [6578] = {.lex_state = 120},
  [6579] = {.lex_state = 120},
  [6580] = {.lex_state = 183},
  [6581] = {.lex_state = 120},
  [6582] = {.lex_state = 183},
  [6583] = {.lex_state = 183},
  [6584] = {.lex_state = 183},
  [6585] = {.lex_state = 120},
  [6586] = {.lex_state = 120},
  [6587] = {.lex_state = 38, .external_lex_state = 4},
  [6588] = {.lex_state = 120},
  [6589] = {.lex_state = 120},
  [6590] = {.lex_state = 120},
  [6591] = {.lex_state = 38, .external_lex_state = 4},
  [6592] = {.lex_state = 38, .external_lex_state = 4},
  [6593] = {.lex_state = 120},
  [6594] = {.lex_state = 120},
  [6595] = {.lex_state = 38, .external_lex_state = 4},
  [6596] = {.lex_state = 120},
  [6597] = {.lex_state = 120},
  [6598] = {.lex_state = 120},
  [6599] = {.lex_state = 120},
  [6600] = {.lex_state = 120},
  [6601] = {.lex_state = 120},
  [6602] = {.lex_state = 120},
  [6603] = {.lex_state = 120},
  [6604] = {.lex_state = 183},
  [6605] = {.lex_state = 120},
  [6606] = {.lex_state = 120},
  [6607] = {.lex_state = 183},
  [6608] = {.lex_state = 120},
  [6609] = {.lex_state = 120},
  [6610] = {.lex_state = 120},
  [6611] = {.lex_state = 120},
  [6612] = {.lex_state = 120},
  [6613] = {.lex_state = 120},
  [6614] = {.lex_state = 120},
  [6615] = {.lex_state = 18},
  [6616] = {.lex_state = 120},
  [6617] = {.lex_state = 120},
  [6618] = {.lex_state = 120},
  [6619] = {.lex_state = 120},
  [6620] = {.lex_state = 120},
  [6621] = {.lex_state = 120},
  [6622] = {.lex_state = 120},
  [6623] = {.lex_state = 120},
  [6624] = {.lex_state = 120},
  [6625] = {.lex_state = 120},
  [6626] = {.lex_state = 120},
  [6627] = {.lex_state = 120},
  [6628] = {.lex_state = 70},
  [6629] = {.lex_state = 120},
  [6630] = {.lex_state = 70},
  [6631] = {.lex_state = 70},
  [6632] = {.lex_state = 70},
  [6633] = {.lex_state = 120},
  [6634] = {.lex_state = 70},
  [6635] = {.lex_state = 70},
  [6636] = {.lex_state = 70},
  [6637] = {.lex_state = 70},
  [6638] = {.lex_state = 70},
  [6639] = {.lex_state = 70},
  [6640] = {.lex_state = 70},
  [6641] = {.lex_state = 120},
  [6642] = {.lex_state = 120},
  [6643] = {.lex_state = 120},
  [6644] = {.lex_state = 70},
  [6645] = {.lex_state = 120},
  [6646] = {.lex_state = 70},
  [6647] = {.lex_state = 120},
  [6648] = {.lex_state = 120},
  [6649] = {.lex_state = 120},
  [6650] = {.lex_state = 120},
  [6651] = {.lex_state = 120},
  [6652] = {.lex_state = 120},
  [6653] = {.lex_state = 120},
  [6654] = {.lex_state = 120},
  [6655] = {.lex_state = 120},
  [6656] = {.lex_state = 120},
  [6657] = {.lex_state = 120},
  [6658] = {.lex_state = 120},
  [6659] = {.lex_state = 120},
  [6660] = {.lex_state = 120},
  [6661] = {.lex_state = 120},
  [6662] = {.lex_state = 120},
  [6663] = {.lex_state = 120},
  [6664] = {.lex_state = 120},
  [6665] = {.lex_state = 120},
  [6666] = {.lex_state = 120},
  [6667] = {.lex_state = 120},
  [6668] = {.lex_state = 70},
  [6669] = {.lex_state = 120},
  [6670] = {.lex_state = 120},
  [6671] = {.lex_state = 120},
  [6672] = {.lex_state = 120},
  [6673] = {.lex_state = 120},
  [6674] = {.lex_state = 120},
  [6675] = {.lex_state = 120},
  [6676] = {.lex_state = 18},
  [6677] = {.lex_state = 120},
  [6678] = {.lex_state = 120},
  [6679] = {.lex_state = 120},
  [6680] = {.lex_state = 120},
  [6681] = {.lex_state = 120},
  [6682] = {.lex_state = 120},
  [6683] = {.lex_state = 120},
  [6684] = {.lex_state = 120},
  [6685] = {.lex_state = 120},
  [6686] = {.lex_state = 120},
  [6687] = {.lex_state = 120},
  [6688] = {.lex_state = 120},
  [6689] = {.lex_state = 120},
  [6690] = {.lex_state = 120},
  [6691] = {.lex_state = 120},
  [6692] = {.lex_state = 120},
  [6693] = {.lex_state = 120},
  [6694] = {.lex_state = 120},
  [6695] = {.lex_state = 120},
  [6696] = {.lex_state = 120},
  [6697] = {.lex_state = 120},
  [6698] = {.lex_state = 120},
  [6699] = {.lex_state = 120},
  [6700] = {.lex_state = 120},
  [6701] = {.lex_state = 120},
  [6702] = {.lex_state = 120},
  [6703] = {.lex_state = 120},
  [6704] = {.lex_state = 40, .external_lex_state = 4},
  [6705] = {.lex_state = 120},
  [6706] = {.lex_state = 120},
  [6707] = {.lex_state = 120},
  [6708] = {.lex_state = 120},
  [6709] = {.lex_state = 38, .external_lex_state = 4},
  [6710] = {.lex_state = 120},
  [6711] = {.lex_state = 120},
  [6712] = {.lex_state = 120},
  [6713] = {.lex_state = 120},
  [6714] = {.lex_state = 120},
  [6715] = {.lex_state = 120},
  [6716] = {.lex_state = 120},
  [6717] = {.lex_state = 120},
  [6718] = {.lex_state = 120},
  [6719] = {.lex_state = 120},
  [6720] = {.lex_state = 120},
  [6721] = {.lex_state = 71},
  [6722] = {.lex_state = 120},
  [6723] = {.lex_state = 120},
  [6724] = {.lex_state = 120},
  [6725] = {.lex_state = 120},
  [6726] = {.lex_state = 120},
  [6727] = {.lex_state = 120},
  [6728] = {.lex_state = 120},
  [6729] = {.lex_state = 120},
  [6730] = {.lex_state = 120},
  [6731] = {.lex_state = 120},
  [6732] = {.lex_state = 120},
  [6733] = {.lex_state = 183},
  [6734] = {.lex_state = 60, .external_lex_state = 4},
  [6735] = {.lex_state = 120},
  [6736] = {.lex_state = 120},
  [6737] = {.lex_state = 120},
  [6738] = {.lex_state = 120},
  [6739] = {.lex_state = 120},
  [6740] = {.lex_state = 120},
  [6741] = {.lex_state = 120},
  [6742] = {.lex_state = 120},
  [6743] = {.lex_state = 120},
  [6744] = {.lex_state = 120},
  [6745] = {.lex_state = 120},
  [6746] = {.lex_state = 120},
  [6747] = {.lex_state = 120},
  [6748] = {.lex_state = 38, .external_lex_state = 4},
  [6749] = {.lex_state = 120},
  [6750] = {.lex_state = 120},
  [6751] = {.lex_state = 120},
  [6752] = {.lex_state = 120},
  [6753] = {.lex_state = 120},
  [6754] = {.lex_state = 120},
  [6755] = {.lex_state = 120},
  [6756] = {.lex_state = 120},
  [6757] = {.lex_state = 120},
  [6758] = {.lex_state = 120},
  [6759] = {.lex_state = 120},
  [6760] = {.lex_state = 120},
  [6761] = {.lex_state = 120},
  [6762] = {.lex_state = 120},
  [6763] = {.lex_state = 120},
  [6764] = {.lex_state = 120},
  [6765] = {.lex_state = 120},
  [6766] = {.lex_state = 120},
  [6767] = {.lex_state = 120},
  [6768] = {.lex_state = 120},
  [6769] = {.lex_state = 120},
  [6770] = {.lex_state = 120},
  [6771] = {.lex_state = 120},
  [6772] = {.lex_state = 120},
  [6773] = {.lex_state = 120},
  [6774] = {.lex_state = 120},
  [6775] = {.lex_state = 120},
  [6776] = {.lex_state = 120},
  [6777] = {.lex_state = 120},
  [6778] = {.lex_state = 120},
  [6779] = {.lex_state = 120},
  [6780] = {.lex_state = 120},
  [6781] = {.lex_state = 120},
  [6782] = {.lex_state = 120},
  [6783] = {.lex_state = 120},
  [6784] = {.lex_state = 71},
  [6785] = {.lex_state = 120},
  [6786] = {.lex_state = 71},
  [6787] = {.lex_state = 120},
  [6788] = {.lex_state = 120},
  [6789] = {.lex_state = 120},
  [6790] = {.lex_state = 38, .external_lex_state = 4},
  [6791] = {.lex_state = 60, .external_lex_state = 4},
  [6792] = {.lex_state = 60, .external_lex_state = 4},
  [6793] = {.lex_state = 40, .external_lex_state = 4},
  [6794] = {.lex_state = 40, .external_lex_state = 4},
  [6795] = {.lex_state = 40, .external_lex_state = 4},
  [6796] = {.lex_state = 40, .external_lex_state = 4},
  [6797] = {.lex_state = 40, .external_lex_state = 4},
  [6798] = {.lex_state = 116},
  [6799] = {.lex_state = 117},
  [6800] = {.lex_state = 42, .external_lex_state = 4},
  [6801] = {.lex_state = 116},
  [6802] = {.lex_state = 116},
  [6803] = {.lex_state = 60, .external_lex_state = 4},
  [6804] = {.lex_state = 60, .external_lex_state = 4},
  [6805] = {.lex_state = 116},
  [6806] = {.lex_state = 116},
  [6807] = {.lex_state = 39, .external_lex_state = 4},
  [6808] = {.lex_state = 116},
  [6809] = {.lex_state = 116},
  [6810] = {.lex_state = 41, .external_lex_state = 4},
  [6811] = {.lex_state = 116},
  [6812] = {.lex_state = 40, .external_lex_state = 4},
  [6813] = {.lex_state = 116},
  [6814] = {.lex_state = 116},
  [6815] = {.lex_state = 40, .external_lex_state = 4},
  [6816] = {.lex_state = 39, .external_lex_state = 4},
  [6817] = {.lex_state = 61, .external_lex_state = 4},
  [6818] = {.lex_state = 60, .external_lex_state = 4},
  [6819] = {.lex_state = 39, .external_lex_state = 4},
  [6820] = {.lex_state = 39, .external_lex_state = 4},
  [6821] = {.lex_state = 39, .external_lex_state = 4},
  [6822] = {.lex_state = 39, .external_lex_state = 4},
  [6823] = {.lex_state = 39, .external_lex_state = 4},
  [6824] = {.lex_state = 116},
  [6825] = {.lex_state = 39, .external_lex_state = 4},
  [6826] = {.lex_state = 60, .external_lex_state = 4},
  [6827] = {.lex_state = 116},
  [6828] = {.lex_state = 60, .external_lex_state = 4},
  [6829] = {.lex_state = 117},
  [6830] = {.lex_state = 60, .external_lex_state = 4},
  [6831] = {.lex_state = 60, .external_lex_state = 4},
  [6832] = {.lex_state = 117},
  [6833] = {.lex_state = 39, .external_lex_state = 4},
  [6834] = {.lex_state = 60, .external_lex_state = 4},
  [6835] = {.lex_state = 117},
  [6836] = {.lex_state = 117},
  [6837] = {.lex_state = 60, .external_lex_state = 4},
  [6838] = {.lex_state = 39, .external_lex_state = 4},
  [6839] = {.lex_state = 39, .external_lex_state = 4},
  [6840] = {.lex_state = 39, .external_lex_state = 4},
  [6841] = {.lex_state = 39, .external_lex_state = 4},
  [6842] = {.lex_state = 39, .external_lex_state = 4},
  [6843] = {.lex_state = 116},
  [6844] = {.lex_state = 60, .external_lex_state = 4},
  [6845] = {.lex_state = 60, .external_lex_state = 4},
  [6846] = {.lex_state = 40, .external_lex_state = 4},
  [6847] = {.lex_state = 40, .external_lex_state = 4},
  [6848] = {.lex_state = 40, .external_lex_state = 4},
  [6849] = {.lex_state = 40, .external_lex_state = 4},
  [6850] = {.lex_state = 40, .external_lex_state = 4},
  [6851] = {.lex_state = 116},
  [6852] = {.lex_state = 40, .external_lex_state = 4},
  [6853] = {.lex_state = 60, .external_lex_state = 4},
  [6854] = {.lex_state = 40, .external_lex_state = 4},
  [6855] = {.lex_state = 62, .external_lex_state = 4},
  [6856] = {.lex_state = 120},
  [6857] = {.lex_state = 61, .external_lex_state = 4},
  [6858] = {.lex_state = 120},
  [6859] = {.lex_state = 120},
  [6860] = {.lex_state = 41, .external_lex_state = 4},
  [6861] = {.lex_state = 120},
  [6862] = {.lex_state = 117},
  [6863] = {.lex_state = 117},
  [6864] = {.lex_state = 120},
  [6865] = {.lex_state = 117},
  [6866] = {.lex_state = 120},
  [6867] = {.lex_state = 120},
  [6868] = {.lex_state = 117},
  [6869] = {.lex_state = 117},
  [6870] = {.lex_state = 120},
  [6871] = {.lex_state = 117},
  [6872] = {.lex_state = 117},
  [6873] = {.lex_state = 117},
  [6874] = {.lex_state = 42, .external_lex_state = 4},
  [6875] = {.lex_state = 117},
  [6876] = {.lex_state = 42, .external_lex_state = 4},
  [6877] = {.lex_state = 42, .external_lex_state = 4},
  [6878] = {.lex_state = 42, .external_lex_state = 4},
  [6879] = {.lex_state = 64, .external_lex_state = 4},
  [6880] = {.lex_state = 42, .external_lex_state = 4},
  [6881] = {.lex_state = 42, .external_lex_state = 4},
  [6882] = {.lex_state = 120},
  [6883] = {.lex_state = 120},
  [6884] = {.lex_state = 42, .external_lex_state = 4},
  [6885] = {.lex_state = 120},
  [6886] = {.lex_state = 42, .external_lex_state = 4},
  [6887] = {.lex_state = 62, .external_lex_state = 4},
  [6888] = {.lex_state = 42, .external_lex_state = 4},
  [6889] = {.lex_state = 62, .external_lex_state = 4},
  [6890] = {.lex_state = 120},
  [6891] = {.lex_state = 42, .external_lex_state = 4},
  [6892] = {.lex_state = 42, .external_lex_state = 4},
  [6893] = {.lex_state = 120},
  [6894] = {.lex_state = 120},
  [6895] = {.lex_state = 120},
  [6896] = {.lex_state = 120},
  [6897] = {.lex_state = 62, .external_lex_state = 4},
  [6898] = {.lex_state = 61, .external_lex_state = 4},
  [6899] = {.lex_state = 41, .external_lex_state = 4},
  [6900] = {.lex_state = 120},
  [6901] = {.lex_state = 62, .external_lex_state = 4},
  [6902] = {.lex_state = 120},
  [6903] = {.lex_state = 120},
  [6904] = {.lex_state = 62, .external_lex_state = 4},
  [6905] = {.lex_state = 120},
  [6906] = {.lex_state = 83, .external_lex_state = 4},
  [6907] = {.lex_state = 42, .external_lex_state = 4},
  [6908] = {.lex_state = 41, .external_lex_state = 4},
  [6909] = {.lex_state = 62, .external_lex_state = 4},
  [6910] = {.lex_state = 120},
  [6911] = {.lex_state = 41, .external_lex_state = 4},
  [6912] = {.lex_state = 120},
  [6913] = {.lex_state = 41, .external_lex_state = 4},
  [6914] = {.lex_state = 41, .external_lex_state = 4},
  [6915] = {.lex_state = 42, .external_lex_state = 4},
  [6916] = {.lex_state = 61, .external_lex_state = 4},
  [6917] = {.lex_state = 120},
  [6918] = {.lex_state = 41, .external_lex_state = 4},
  [6919] = {.lex_state = 41, .external_lex_state = 4},
  [6920] = {.lex_state = 41, .external_lex_state = 4},
  [6921] = {.lex_state = 41, .external_lex_state = 4},
  [6922] = {.lex_state = 120},
  [6923] = {.lex_state = 62, .external_lex_state = 4},
  [6924] = {.lex_state = 41, .external_lex_state = 4},
  [6925] = {.lex_state = 120},
  [6926] = {.lex_state = 62, .external_lex_state = 4},
  [6927] = {.lex_state = 41, .external_lex_state = 4},
  [6928] = {.lex_state = 62, .external_lex_state = 4},
  [6929] = {.lex_state = 62, .external_lex_state = 4},
  [6930] = {.lex_state = 120},
  [6931] = {.lex_state = 62, .external_lex_state = 4},
  [6932] = {.lex_state = 120},
  [6933] = {.lex_state = 61, .external_lex_state = 4},
  [6934] = {.lex_state = 120},
  [6935] = {.lex_state = 120},
  [6936] = {.lex_state = 61, .external_lex_state = 4},
  [6937] = {.lex_state = 62, .external_lex_state = 4},
  [6938] = {.lex_state = 120},
  [6939] = {.lex_state = 120},
  [6940] = {.lex_state = 120},
  [6941] = {.lex_state = 61, .external_lex_state = 4},
  [6942] = {.lex_state = 43, .external_lex_state = 4},
  [6943] = {.lex_state = 120},
  [6944] = {.lex_state = 62, .external_lex_state = 4},
  [6945] = {.lex_state = 120},
  [6946] = {.lex_state = 61, .external_lex_state = 4},
  [6947] = {.lex_state = 120},
  [6948] = {.lex_state = 120},
  [6949] = {.lex_state = 120},
  [6950] = {.lex_state = 117},
  [6951] = {.lex_state = 120},
  [6952] = {.lex_state = 120},
  [6953] = {.lex_state = 41, .external_lex_state = 4},
  [6954] = {.lex_state = 120},
  [6955] = {.lex_state = 120},
  [6956] = {.lex_state = 117},
  [6957] = {.lex_state = 120},
  [6958] = {.lex_state = 41, .external_lex_state = 4},
  [6959] = {.lex_state = 120},
  [6960] = {.lex_state = 120},
  [6961] = {.lex_state = 120},
  [6962] = {.lex_state = 120},
  [6963] = {.lex_state = 120},
  [6964] = {.lex_state = 120},
  [6965] = {.lex_state = 120},
  [6966] = {.lex_state = 120},
  [6967] = {.lex_state = 61, .external_lex_state = 4},
  [6968] = {.lex_state = 120},
  [6969] = {.lex_state = 61, .external_lex_state = 4},
  [6970] = {.lex_state = 120},
  [6971] = {.lex_state = 120},
  [6972] = {.lex_state = 120},
  [6973] = {.lex_state = 42, .external_lex_state = 4},
  [6974] = {.lex_state = 120},
  [6975] = {.lex_state = 120},
  [6976] = {.lex_state = 120},
  [6977] = {.lex_state = 120},
  [6978] = {.lex_state = 120},
  [6979] = {.lex_state = 62, .external_lex_state = 4},
  [6980] = {.lex_state = 120},
  [6981] = {.lex_state = 120},
  [6982] = {.lex_state = 120},
  [6983] = {.lex_state = 120},
  [6984] = {.lex_state = 63, .external_lex_state = 4},
  [6985] = {.lex_state = 120},
  [6986] = {.lex_state = 120},
  [6987] = {.lex_state = 120},
  [6988] = {.lex_state = 120},
  [6989] = {.lex_state = 61, .external_lex_state = 4},
  [6990] = {.lex_state = 120},
  [6991] = {.lex_state = 120},
  [6992] = {.lex_state = 120},
  [6993] = {.lex_state = 120},
  [6994] = {.lex_state = 120},
  [6995] = {.lex_state = 120},
  [6996] = {.lex_state = 120},
  [6997] = {.lex_state = 120},
  [6998] = {.lex_state = 120},
  [6999] = {.lex_state = 120},
  [7000] = {.lex_state = 120},
  [7001] = {.lex_state = 120},
  [7002] = {.lex_state = 120},
  [7003] = {.lex_state = 120},
  [7004] = {.lex_state = 120},
  [7005] = {.lex_state = 120},
  [7006] = {.lex_state = 120},
  [7007] = {.lex_state = 120},
  [7008] = {.lex_state = 120},
  [7009] = {.lex_state = 120},
  [7010] = {.lex_state = 120},
  [7011] = {.lex_state = 120},
  [7012] = {.lex_state = 120},
  [7013] = {.lex_state = 120},
  [7014] = {.lex_state = 120},
  [7015] = {.lex_state = 120},
  [7016] = {.lex_state = 120},
  [7017] = {.lex_state = 120},
  [7018] = {.lex_state = 120},
  [7019] = {.lex_state = 120},
  [7020] = {.lex_state = 120},
  [7021] = {.lex_state = 120},
  [7022] = {.lex_state = 120},
  [7023] = {.lex_state = 120},
  [7024] = {.lex_state = 120},
  [7025] = {.lex_state = 120},
  [7026] = {.lex_state = 120},
  [7027] = {.lex_state = 120},
  [7028] = {.lex_state = 120},
  [7029] = {.lex_state = 120},
  [7030] = {.lex_state = 120},
  [7031] = {.lex_state = 120},
  [7032] = {.lex_state = 120},
  [7033] = {.lex_state = 120},
  [7034] = {.lex_state = 120},
  [7035] = {.lex_state = 120},
  [7036] = {.lex_state = 120},
  [7037] = {.lex_state = 120},
  [7038] = {.lex_state = 120},
  [7039] = {.lex_state = 120},
  [7040] = {.lex_state = 120},
  [7041] = {.lex_state = 120},
  [7042] = {.lex_state = 120},
  [7043] = {.lex_state = 120},
  [7044] = {.lex_state = 61, .external_lex_state = 4},
  [7045] = {.lex_state = 120},
  [7046] = {.lex_state = 120},
  [7047] = {.lex_state = 120},
  [7048] = {.lex_state = 120},
  [7049] = {.lex_state = 120},
  [7050] = {.lex_state = 120},
  [7051] = {.lex_state = 120},
  [7052] = {.lex_state = 120},
  [7053] = {.lex_state = 120},
  [7054] = {.lex_state = 120},
  [7055] = {.lex_state = 120},
  [7056] = {.lex_state = 120},
  [7057] = {.lex_state = 120},
  [7058] = {.lex_state = 120},
  [7059] = {.lex_state = 120},
  [7060] = {.lex_state = 120},
  [7061] = {.lex_state = 120},
  [7062] = {.lex_state = 120},
  [7063] = {.lex_state = 120},
  [7064] = {.lex_state = 120},
  [7065] = {.lex_state = 120},
  [7066] = {.lex_state = 120},
  [7067] = {.lex_state = 61, .external_lex_state = 4},
  [7068] = {.lex_state = 120},
  [7069] = {.lex_state = 120},
  [7070] = {.lex_state = 120},
  [7071] = {.lex_state = 120},
  [7072] = {.lex_state = 120},
  [7073] = {.lex_state = 120},
  [7074] = {.lex_state = 120},
  [7075] = {.lex_state = 120},
  [7076] = {.lex_state = 120},
  [7077] = {.lex_state = 120},
  [7078] = {.lex_state = 120},
  [7079] = {.lex_state = 120},
  [7080] = {.lex_state = 120},
  [7081] = {.lex_state = 120},
  [7082] = {.lex_state = 120},
  [7083] = {.lex_state = 120},
  [7084] = {.lex_state = 120},
  [7085] = {.lex_state = 120},
  [7086] = {.lex_state = 120},
  [7087] = {.lex_state = 120},
  [7088] = {.lex_state = 120},
  [7089] = {.lex_state = 120},
  [7090] = {.lex_state = 120},
  [7091] = {.lex_state = 120},
  [7092] = {.lex_state = 120},
  [7093] = {.lex_state = 120},
  [7094] = {.lex_state = 120},
  [7095] = {.lex_state = 120},
  [7096] = {.lex_state = 120},
  [7097] = {.lex_state = 120},
  [7098] = {.lex_state = 120},
  [7099] = {.lex_state = 120},
  [7100] = {.lex_state = 120},
  [7101] = {.lex_state = 120},
  [7102] = {.lex_state = 120},
  [7103] = {.lex_state = 120},
  [7104] = {.lex_state = 120},
  [7105] = {.lex_state = 120},
  [7106] = {.lex_state = 120},
  [7107] = {.lex_state = 120},
  [7108] = {.lex_state = 120},
  [7109] = {.lex_state = 117},
  [7110] = {.lex_state = 61, .external_lex_state = 4},
  [7111] = {.lex_state = 61, .external_lex_state = 4},
  [7112] = {.lex_state = 120},
  [7113] = {.lex_state = 120},
  [7114] = {.lex_state = 43, .external_lex_state = 4},
  [7115] = {.lex_state = 83, .external_lex_state = 4},
  [7116] = {.lex_state = 63, .external_lex_state = 4},
  [7117] = {.lex_state = 43, .external_lex_state = 4},
  [7118] = {.lex_state = 63, .external_lex_state = 4},
  [7119] = {.lex_state = 83, .external_lex_state = 4},
  [7120] = {.lex_state = 64, .external_lex_state = 4},
  [7121] = {.lex_state = 83, .external_lex_state = 4},
  [7122] = {.lex_state = 83, .external_lex_state = 4},
  [7123] = {.lex_state = 83, .external_lex_state = 4},
  [7124] = {.lex_state = 83, .external_lex_state = 4},
  [7125] = {.lex_state = 105, .external_lex_state = 4},
  [7126] = {.lex_state = 83, .external_lex_state = 4},
  [7127] = {.lex_state = 43, .external_lex_state = 4},
  [7128] = {.lex_state = 83, .external_lex_state = 4},
  [7129] = {.lex_state = 63, .external_lex_state = 4},
  [7130] = {.lex_state = 43, .external_lex_state = 4},
  [7131] = {.lex_state = 64, .external_lex_state = 4},
  [7132] = {.lex_state = 63, .external_lex_state = 4},
  [7133] = {.lex_state = 63, .external_lex_state = 4},
  [7134] = {.lex_state = 63, .external_lex_state = 4},
  [7135] = {.lex_state = 92},
  [7136] = {.lex_state = 63, .external_lex_state = 4},
  [7137] = {.lex_state = 63, .external_lex_state = 4},
  [7138] = {.lex_state = 63, .external_lex_state = 4},
  [7139] = {.lex_state = 63, .external_lex_state = 4},
  [7140] = {.lex_state = 63, .external_lex_state = 4},
  [7141] = {.lex_state = 43, .external_lex_state = 4},
  [7142] = {.lex_state = 83, .external_lex_state = 4},
  [7143] = {.lex_state = 43, .external_lex_state = 4},
  [7144] = {.lex_state = 63, .external_lex_state = 4},
  [7145] = {.lex_state = 83, .external_lex_state = 4},
  [7146] = {.lex_state = 83, .external_lex_state = 4},
  [7147] = {.lex_state = 43, .external_lex_state = 4},
  [7148] = {.lex_state = 94},
  [7149] = {.lex_state = 64, .external_lex_state = 4},
  [7150] = {.lex_state = 64, .external_lex_state = 4},
  [7151] = {.lex_state = 64, .external_lex_state = 4},
  [7152] = {.lex_state = 64, .external_lex_state = 4},
  [7153] = {.lex_state = 83, .external_lex_state = 4},
  [7154] = {.lex_state = 118, .external_lex_state = 4},
  [7155] = {.lex_state = 64, .external_lex_state = 4},
  [7156] = {.lex_state = 83, .external_lex_state = 4},
  [7157] = {.lex_state = 63, .external_lex_state = 4},
  [7158] = {.lex_state = 43, .external_lex_state = 4},
  [7159] = {.lex_state = 43, .external_lex_state = 4},
  [7160] = {.lex_state = 43, .external_lex_state = 4},
  [7161] = {.lex_state = 43, .external_lex_state = 4},
  [7162] = {.lex_state = 85, .external_lex_state = 4},
  [7163] = {.lex_state = 83, .external_lex_state = 4},
  [7164] = {.lex_state = 4},
  [7165] = {.lex_state = 64, .external_lex_state = 4},
  [7166] = {.lex_state = 64, .external_lex_state = 4},
  [7167] = {.lex_state = 65, .external_lex_state = 4},
  [7168] = {.lex_state = 64, .external_lex_state = 4},
  [7169] = {.lex_state = 64, .external_lex_state = 4},
  [7170] = {.lex_state = 64, .external_lex_state = 4},
  [7171] = {.lex_state = 43, .external_lex_state = 4},
  [7172] = {.lex_state = 64, .external_lex_state = 4},
  [7173] = {.lex_state = 43, .external_lex_state = 4},
  [7174] = {.lex_state = 43, .external_lex_state = 4},
  [7175] = {.lex_state = 64, .external_lex_state = 4},
  [7176] = {.lex_state = 84, .external_lex_state = 4},
  [7177] = {.lex_state = 63, .external_lex_state = 4},
  [7178] = {.lex_state = 85, .external_lex_state = 4},
  [7179] = {.lex_state = 65, .external_lex_state = 4},
  [7180] = {.lex_state = 94},
  [7181] = {.lex_state = 94},
  [7182] = {.lex_state = 94},
  [7183] = {.lex_state = 105, .external_lex_state = 4},
  [7184] = {.lex_state = 94},
  [7185] = {.lex_state = 85, .external_lex_state = 4},
  [7186] = {.lex_state = 118, .external_lex_state = 4},
  [7187] = {.lex_state = 105, .external_lex_state = 4},
  [7188] = {.lex_state = 4},
  [7189] = {.lex_state = 85, .external_lex_state = 4},
  [7190] = {.lex_state = 118, .external_lex_state = 4},
  [7191] = {.lex_state = 85, .external_lex_state = 4},
  [7192] = {.lex_state = 85, .external_lex_state = 4},
  [7193] = {.lex_state = 4},
  [7194] = {.lex_state = 94},
  [7195] = {.lex_state = 84, .external_lex_state = 4},
  [7196] = {.lex_state = 4},
  [7197] = {.lex_state = 85, .external_lex_state = 4},
  [7198] = {.lex_state = 105, .external_lex_state = 4},
  [7199] = {.lex_state = 105, .external_lex_state = 4},
  [7200] = {.lex_state = 4},
  [7201] = {.lex_state = 4},
  [7202] = {.lex_state = 85, .external_lex_state = 4},
  [7203] = {.lex_state = 85, .external_lex_state = 4},
  [7204] = {.lex_state = 118, .external_lex_state = 4},
  [7205] = {.lex_state = 45},
  [7206] = {.lex_state = 4},
  [7207] = {.lex_state = 118, .external_lex_state = 4},
  [7208] = {.lex_state = 85, .external_lex_state = 4},
  [7209] = {.lex_state = 105, .external_lex_state = 4},
  [7210] = {.lex_state = 85, .external_lex_state = 4},
  [7211] = {.lex_state = 107, .external_lex_state = 4},
  [7212] = {.lex_state = 4},
  [7213] = {.lex_state = 85, .external_lex_state = 4},
  [7214] = {.lex_state = 85, .external_lex_state = 4},
  [7215] = {.lex_state = 118, .external_lex_state = 4},
  [7216] = {.lex_state = 84, .external_lex_state = 4},
  [7217] = {.lex_state = 4},
  [7218] = {.lex_state = 17, .external_lex_state = 4},
  [7219] = {.lex_state = 4},
  [7220] = {.lex_state = 17},
  [7221] = {.lex_state = 105, .external_lex_state = 4},
  [7222] = {.lex_state = 118, .external_lex_state = 4},
  [7223] = {.lex_state = 4},
  [7224] = {.lex_state = 118, .external_lex_state = 4},
  [7225] = {.lex_state = 94},
  [7226] = {.lex_state = 118, .external_lex_state = 4},
  [7227] = {.lex_state = 84, .external_lex_state = 4},
  [7228] = {.lex_state = 84, .external_lex_state = 4},
  [7229] = {.lex_state = 118, .external_lex_state = 4},
  [7230] = {.lex_state = 105, .external_lex_state = 4},
  [7231] = {.lex_state = 84, .external_lex_state = 4},
  [7232] = {.lex_state = 94},
  [7233] = {.lex_state = 118, .external_lex_state = 4},
  [7234] = {.lex_state = 65, .external_lex_state = 4},
  [7235] = {.lex_state = 6},
  [7236] = {.lex_state = 84, .external_lex_state = 4},
  [7237] = {.lex_state = 118, .external_lex_state = 4},
  [7238] = {.lex_state = 84, .external_lex_state = 4},
  [7239] = {.lex_state = 65, .external_lex_state = 4},
  [7240] = {.lex_state = 65, .external_lex_state = 4},
  [7241] = {.lex_state = 85, .external_lex_state = 4},
  [7242] = {.lex_state = 65, .external_lex_state = 4},
  [7243] = {.lex_state = 65, .external_lex_state = 4},
  [7244] = {.lex_state = 65, .external_lex_state = 4},
  [7245] = {.lex_state = 65, .external_lex_state = 4},
  [7246] = {.lex_state = 65, .external_lex_state = 4},
  [7247] = {.lex_state = 65, .external_lex_state = 4},
  [7248] = {.lex_state = 105, .external_lex_state = 4},
  [7249] = {.lex_state = 65, .external_lex_state = 4},
  [7250] = {.lex_state = 65, .external_lex_state = 4},
  [7251] = {.lex_state = 65, .external_lex_state = 4},
  [7252] = {.lex_state = 118, .external_lex_state = 4},
  [7253] = {.lex_state = 84, .external_lex_state = 4},
  [7254] = {.lex_state = 118, .external_lex_state = 4},
  [7255] = {.lex_state = 84, .external_lex_state = 4},
  [7256] = {.lex_state = 105, .external_lex_state = 4},
  [7257] = {.lex_state = 118, .external_lex_state = 4},
  [7258] = {.lex_state = 84, .external_lex_state = 4},
  [7259] = {.lex_state = 86, .external_lex_state = 4},
  [7260] = {.lex_state = 105, .external_lex_state = 4},
  [7261] = {.lex_state = 118, .external_lex_state = 4},
  [7262] = {.lex_state = 84, .external_lex_state = 4},
  [7263] = {.lex_state = 94},
  [7264] = {.lex_state = 85, .external_lex_state = 4},
  [7265] = {.lex_state = 105, .external_lex_state = 4},
  [7266] = {.lex_state = 105, .external_lex_state = 4},
  [7267] = {.lex_state = 94},
  [7268] = {.lex_state = 14},
  [7269] = {.lex_state = 118, .external_lex_state = 4},
  [7270] = {.lex_state = 94},
  [7271] = {.lex_state = 4},
  [7272] = {.lex_state = 4},
  [7273] = {.lex_state = 94},
  [7274] = {.lex_state = 84, .external_lex_state = 4},
  [7275] = {.lex_state = 4},
  [7276] = {.lex_state = 9},
  [7277] = {.lex_state = 106, .external_lex_state = 4},
  [7278] = {.lex_state = 84, .external_lex_state = 4},
  [7279] = {.lex_state = 4},
  [7280] = {.lex_state = 94},
  [7281] = {.lex_state = 94},
  [7282] = {.lex_state = 94},
  [7283] = {.lex_state = 87, .external_lex_state = 4},
  [7284] = {.lex_state = 65, .external_lex_state = 4},
  [7285] = {.lex_state = 92},
  [7286] = {.lex_state = 105, .external_lex_state = 4},
  [7287] = {.lex_state = 44},
  [7288] = {.lex_state = 105, .external_lex_state = 4},
  [7289] = {.lex_state = 94},
  [7290] = {.lex_state = 84, .external_lex_state = 4},
  [7291] = {.lex_state = 44},
  [7292] = {.lex_state = 107, .external_lex_state = 4},
  [7293] = {.lex_state = 87, .external_lex_state = 4},
  [7294] = {.lex_state = 45},
  [7295] = {.lex_state = 45},
  [7296] = {.lex_state = 17},
  [7297] = {.lex_state = 86, .external_lex_state = 4},
  [7298] = {.lex_state = 107, .external_lex_state = 4},
  [7299] = {.lex_state = 9},
  [7300] = {.lex_state = 45},
  [7301] = {.lex_state = 45},
  [7302] = {.lex_state = 45},
  [7303] = {.lex_state = 17, .external_lex_state = 4},
  [7304] = {.lex_state = 87, .external_lex_state = 4},
  [7305] = {.lex_state = 6},
  [7306] = {.lex_state = 87, .external_lex_state = 4},
  [7307] = {.lex_state = 17},
  [7308] = {.lex_state = 106, .external_lex_state = 4},
  [7309] = {.lex_state = 17},
  [7310] = {.lex_state = 14},
  [7311] = {.lex_state = 106, .external_lex_state = 4},
  [7312] = {.lex_state = 89},
  [7313] = {.lex_state = 106, .external_lex_state = 4},
  [7314] = {.lex_state = 14, .external_lex_state = 4},
  [7315] = {.lex_state = 106, .external_lex_state = 4},
  [7316] = {.lex_state = 106, .external_lex_state = 4},
  [7317] = {.lex_state = 66},
  [7318] = {.lex_state = 91},
  [7319] = {.lex_state = 17, .external_lex_state = 4},
  [7320] = {.lex_state = 86, .external_lex_state = 4},
  [7321] = {.lex_state = 106, .external_lex_state = 4},
  [7322] = {.lex_state = 106, .external_lex_state = 4},
  [7323] = {.lex_state = 106, .external_lex_state = 4},
  [7324] = {.lex_state = 107, .external_lex_state = 4},
  [7325] = {.lex_state = 106, .external_lex_state = 4},
  [7326] = {.lex_state = 106, .external_lex_state = 4},
  [7327] = {.lex_state = 106, .external_lex_state = 4},
  [7328] = {.lex_state = 106, .external_lex_state = 4},
  [7329] = {.lex_state = 45},
  [7330] = {.lex_state = 17, .external_lex_state = 4},
  [7331] = {.lex_state = 6},
  [7332] = {.lex_state = 17, .external_lex_state = 4},
  [7333] = {.lex_state = 17, .external_lex_state = 4},
  [7334] = {.lex_state = 9},
  [7335] = {.lex_state = 44},
  [7336] = {.lex_state = 6},
  [7337] = {.lex_state = 17},
  [7338] = {.lex_state = 9},
  [7339] = {.lex_state = 17, .external_lex_state = 4},
  [7340] = {.lex_state = 17},
  [7341] = {.lex_state = 17},
  [7342] = {.lex_state = 107, .external_lex_state = 4},
  [7343] = {.lex_state = 17},
  [7344] = {.lex_state = 17},
  [7345] = {.lex_state = 86, .external_lex_state = 4},
  [7346] = {.lex_state = 9},
  [7347] = {.lex_state = 45},
  [7348] = {.lex_state = 45},
  [7349] = {.lex_state = 17},
  [7350] = {.lex_state = 17, .external_lex_state = 4},
  [7351] = {.lex_state = 17, .external_lex_state = 4},
  [7352] = {.lex_state = 17, .external_lex_state = 4},
  [7353] = {.lex_state = 107, .external_lex_state = 4},
  [7354] = {.lex_state = 107, .external_lex_state = 4},
  [7355] = {.lex_state = 87, .external_lex_state = 4},
  [7356] = {.lex_state = 87, .external_lex_state = 4},
  [7357] = {.lex_state = 17, .external_lex_state = 4},
  [7358] = {.lex_state = 17, .external_lex_state = 4},
  [7359] = {.lex_state = 17},
  [7360] = {.lex_state = 17},
  [7361] = {.lex_state = 14},
  [7362] = {.lex_state = 9},
  [7363] = {.lex_state = 44},
  [7364] = {.lex_state = 14},
  [7365] = {.lex_state = 6},
  [7366] = {.lex_state = 107, .external_lex_state = 4},
  [7367] = {.lex_state = 14},
  [7368] = {.lex_state = 17, .external_lex_state = 4},
  [7369] = {.lex_state = 87, .external_lex_state = 4},
  [7370] = {.lex_state = 6},
  [7371] = {.lex_state = 17},
  [7372] = {.lex_state = 14},
  [7373] = {.lex_state = 6},
  [7374] = {.lex_state = 14},
  [7375] = {.lex_state = 45},
  [7376] = {.lex_state = 87, .external_lex_state = 4},
  [7377] = {.lex_state = 17},
  [7378] = {.lex_state = 106, .external_lex_state = 4},
  [7379] = {.lex_state = 6},
  [7380] = {.lex_state = 14},
  [7381] = {.lex_state = 14},
  [7382] = {.lex_state = 44},
  [7383] = {.lex_state = 107, .external_lex_state = 4},
  [7384] = {.lex_state = 17, .external_lex_state = 4},
  [7385] = {.lex_state = 17, .external_lex_state = 4},
  [7386] = {.lex_state = 45},
  [7387] = {.lex_state = 17},
  [7388] = {.lex_state = 6},
  [7389] = {.lex_state = 9},
  [7390] = {.lex_state = 14},
  [7391] = {.lex_state = 14},
  [7392] = {.lex_state = 17},
  [7393] = {.lex_state = 6},
  [7394] = {.lex_state = 106, .external_lex_state = 4},
  [7395] = {.lex_state = 107, .external_lex_state = 4},
  [7396] = {.lex_state = 6},
  [7397] = {.lex_state = 14},
  [7398] = {.lex_state = 6},
  [7399] = {.lex_state = 87, .external_lex_state = 4},
  [7400] = {.lex_state = 14},
  [7401] = {.lex_state = 44},
  [7402] = {.lex_state = 6},
  [7403] = {.lex_state = 44},
  [7404] = {.lex_state = 87, .external_lex_state = 4},
  [7405] = {.lex_state = 87},
  [7406] = {.lex_state = 44},
  [7407] = {.lex_state = 17, .external_lex_state = 4},
  [7408] = {.lex_state = 44},
  [7409] = {.lex_state = 6},
  [7410] = {.lex_state = 87, .external_lex_state = 4},
  [7411] = {.lex_state = 44},
  [7412] = {.lex_state = 107, .external_lex_state = 4},
  [7413] = {.lex_state = 44},
  [7414] = {.lex_state = 44},
  [7415] = {.lex_state = 44},
  [7416] = {.lex_state = 44},
  [7417] = {.lex_state = 9},
  [7418] = {.lex_state = 14},
  [7419] = {.lex_state = 88},
  [7420] = {.lex_state = 86, .external_lex_state = 4},
  [7421] = {.lex_state = 45},
  [7422] = {.lex_state = 17, .external_lex_state = 4},
  [7423] = {.lex_state = 108, .external_lex_state = 4},
  [7424] = {.lex_state = 9},
  [7425] = {.lex_state = 87, .external_lex_state = 4},
  [7426] = {.lex_state = 9},
  [7427] = {.lex_state = 67},
  [7428] = {.lex_state = 9},
  [7429] = {.lex_state = 6},
  [7430] = {.lex_state = 107, .external_lex_state = 4},
  [7431] = {.lex_state = 9},
  [7432] = {.lex_state = 9},
  [7433] = {.lex_state = 17},
  [7434] = {.lex_state = 87, .external_lex_state = 4},
  [7435] = {.lex_state = 107, .external_lex_state = 4},
  [7436] = {.lex_state = 48},
  [7437] = {.lex_state = 49},
  [7438] = {.lex_state = 9},
  [7439] = {.lex_state = 107, .external_lex_state = 4},
  [7440] = {.lex_state = 90},
  [7441] = {.lex_state = 86, .external_lex_state = 4},
  [7442] = {.lex_state = 44},
  [7443] = {.lex_state = 86, .external_lex_state = 4},
  [7444] = {.lex_state = 86, .external_lex_state = 4},
  [7445] = {.lex_state = 109, .external_lex_state = 4},
  [7446] = {.lex_state = 107, .external_lex_state = 4},
  [7447] = {.lex_state = 86, .external_lex_state = 4},
  [7448] = {.lex_state = 86, .external_lex_state = 4},
  [7449] = {.lex_state = 45},
  [7450] = {.lex_state = 87, .external_lex_state = 4},
  [7451] = {.lex_state = 86, .external_lex_state = 4},
  [7452] = {.lex_state = 12},
  [7453] = {.lex_state = 45},
  [7454] = {.lex_state = 86, .external_lex_state = 4},
  [7455] = {.lex_state = 9},
  [7456] = {.lex_state = 16},
  [7457] = {.lex_state = 45},
  [7458] = {.lex_state = 86, .external_lex_state = 4},
  [7459] = {.lex_state = 86, .external_lex_state = 4},
  [7460] = {.lex_state = 87, .external_lex_state = 4},
  [7461] = {.lex_state = 86, .external_lex_state = 4},
  [7462] = {.lex_state = 14},
  [7463] = {.lex_state = 109, .external_lex_state = 4},
  [7464] = {.lex_state = 87},
  [7465] = {.lex_state = 87},
  [7466] = {.lex_state = 87},
  [7467] = {.lex_state = 87},
  [7468] = {.lex_state = 87},
  [7469] = {.lex_state = 87},
  [7470] = {.lex_state = 87},
  [7471] = {.lex_state = 87},
  [7472] = {.lex_state = 87},
  [7473] = {.lex_state = 87},
  [7474] = {.lex_state = 16},
  [7475] = {.lex_state = 49},
  [7476] = {.lex_state = 112},
  [7477] = {.lex_state = 90},
  [7478] = {.lex_state = 109, .external_lex_state = 4},
  [7479] = {.lex_state = 87},
  [7480] = {.lex_state = 87},
  [7481] = {.lex_state = 88},
  [7482] = {.lex_state = 109, .external_lex_state = 4},
  [7483] = {.lex_state = 109, .external_lex_state = 4},
  [7484] = {.lex_state = 109, .external_lex_state = 4},
  [7485] = {.lex_state = 109, .external_lex_state = 4},
  [7486] = {.lex_state = 109, .external_lex_state = 4},
  [7487] = {.lex_state = 109, .external_lex_state = 4},
  [7488] = {.lex_state = 109, .external_lex_state = 4},
  [7489] = {.lex_state = 109, .external_lex_state = 4},
  [7490] = {.lex_state = 109, .external_lex_state = 4},
  [7491] = {.lex_state = 87},
  [7492] = {.lex_state = 109, .external_lex_state = 4},
  [7493] = {.lex_state = 66},
  [7494] = {.lex_state = 66},
  [7495] = {.lex_state = 66},
  [7496] = {.lex_state = 66},
  [7497] = {.lex_state = 66},
  [7498] = {.lex_state = 66},
  [7499] = {.lex_state = 66},
  [7500] = {.lex_state = 66},
  [7501] = {.lex_state = 66},
  [7502] = {.lex_state = 66},
  [7503] = {.lex_state = 14, .external_lex_state = 4},
  [7504] = {.lex_state = 66},
  [7505] = {.lex_state = 14, .external_lex_state = 4},
  [7506] = {.lex_state = 14, .external_lex_state = 4},
  [7507] = {.lex_state = 14, .external_lex_state = 4},
  [7508] = {.lex_state = 14, .external_lex_state = 4},
  [7509] = {.lex_state = 14, .external_lex_state = 4},
  [7510] = {.lex_state = 14, .external_lex_state = 4},
  [7511] = {.lex_state = 14, .external_lex_state = 4},
  [7512] = {.lex_state = 14, .external_lex_state = 4},
  [7513] = {.lex_state = 14, .external_lex_state = 4},
  [7514] = {.lex_state = 14, .external_lex_state = 4},
  [7515] = {.lex_state = 109, .external_lex_state = 4},
  [7516] = {.lex_state = 91},
  [7517] = {.lex_state = 66},
  [7518] = {.lex_state = 66},
  [7519] = {.lex_state = 14, .external_lex_state = 4},
  [7520] = {.lex_state = 16, .external_lex_state = 4},
  [7521] = {.lex_state = 16},
  [7522] = {.lex_state = 14, .external_lex_state = 4},
  [7523] = {.lex_state = 67},
  [7524] = {.lex_state = 67},
  [7525] = {.lex_state = 67},
  [7526] = {.lex_state = 67},
  [7527] = {.lex_state = 67},
  [7528] = {.lex_state = 67},
  [7529] = {.lex_state = 67},
  [7530] = {.lex_state = 67},
  [7531] = {.lex_state = 67},
  [7532] = {.lex_state = 67},
  [7533] = {.lex_state = 67},
  [7534] = {.lex_state = 109, .external_lex_state = 4},
  [7535] = {.lex_state = 113},
  [7536] = {.lex_state = 66},
  [7537] = {.lex_state = 67},
  [7538] = {.lex_state = 67},
  [7539] = {.lex_state = 89},
  [7540] = {.lex_state = 89},
  [7541] = {.lex_state = 89},
  [7542] = {.lex_state = 89},
  [7543] = {.lex_state = 89},
  [7544] = {.lex_state = 89},
  [7545] = {.lex_state = 89},
  [7546] = {.lex_state = 89},
  [7547] = {.lex_state = 89},
  [7548] = {.lex_state = 89},
  [7549] = {.lex_state = 89},
  [7550] = {.lex_state = 73},
  [7551] = {.lex_state = 89},
  [7552] = {.lex_state = 16},
  [7553] = {.lex_state = 89},
  [7554] = {.lex_state = 67},
  [7555] = {.lex_state = 90},
  [7556] = {.lex_state = 89},
  [7557] = {.lex_state = 91},
  [7558] = {.lex_state = 108, .external_lex_state = 4},
  [7559] = {.lex_state = 108, .external_lex_state = 4},
  [7560] = {.lex_state = 108, .external_lex_state = 4},
  [7561] = {.lex_state = 108, .external_lex_state = 4},
  [7562] = {.lex_state = 108, .external_lex_state = 4},
  [7563] = {.lex_state = 108, .external_lex_state = 4},
  [7564] = {.lex_state = 108, .external_lex_state = 4},
  [7565] = {.lex_state = 108, .external_lex_state = 4},
  [7566] = {.lex_state = 108, .external_lex_state = 4},
  [7567] = {.lex_state = 108, .external_lex_state = 4},
  [7568] = {.lex_state = 108, .external_lex_state = 4},
  [7569] = {.lex_state = 12},
  [7570] = {.lex_state = 12},
  [7571] = {.lex_state = 16},
  [7572] = {.lex_state = 12},
  [7573] = {.lex_state = 12},
  [7574] = {.lex_state = 12},
  [7575] = {.lex_state = 90},
  [7576] = {.lex_state = 14, .external_lex_state = 4},
  [7577] = {.lex_state = 12},
  [7578] = {.lex_state = 12},
  [7579] = {.lex_state = 12},
  [7580] = {.lex_state = 12},
  [7581] = {.lex_state = 12},
  [7582] = {.lex_state = 108, .external_lex_state = 4},
  [7583] = {.lex_state = 108, .external_lex_state = 4},
  [7584] = {.lex_state = 110},
  [7585] = {.lex_state = 16},
  [7586] = {.lex_state = 72},
  [7587] = {.lex_state = 12},
  [7588] = {.lex_state = 12},
  [7589] = {.lex_state = 108, .external_lex_state = 4},
  [7590] = {.lex_state = 12},
  [7591] = {.lex_state = 16},
  [7592] = {.lex_state = 48},
  [7593] = {.lex_state = 48},
  [7594] = {.lex_state = 48},
  [7595] = {.lex_state = 48},
  [7596] = {.lex_state = 48},
  [7597] = {.lex_state = 48},
  [7598] = {.lex_state = 48},
  [7599] = {.lex_state = 48},
  [7600] = {.lex_state = 48},
  [7601] = {.lex_state = 48},
  [7602] = {.lex_state = 48},
  [7603] = {.lex_state = 16},
  [7604] = {.lex_state = 49},
  [7605] = {.lex_state = 49},
  [7606] = {.lex_state = 49},
  [7607] = {.lex_state = 49},
  [7608] = {.lex_state = 49},
  [7609] = {.lex_state = 49},
  [7610] = {.lex_state = 49},
  [7611] = {.lex_state = 49},
  [7612] = {.lex_state = 49},
  [7613] = {.lex_state = 49},
  [7614] = {.lex_state = 49},
  [7615] = {.lex_state = 95, .external_lex_state = 4},
  [7616] = {.lex_state = 48},
  [7617] = {.lex_state = 108},
  [7618] = {.lex_state = 48},
  [7619] = {.lex_state = 16},
  [7620] = {.lex_state = 16},
  [7621] = {.lex_state = 49},
  [7622] = {.lex_state = 88},
  [7623] = {.lex_state = 49},
  [7624] = {.lex_state = 16},
  [7625] = {.lex_state = 88},
  [7626] = {.lex_state = 88},
  [7627] = {.lex_state = 88},
  [7628] = {.lex_state = 88},
  [7629] = {.lex_state = 88},
  [7630] = {.lex_state = 88},
  [7631] = {.lex_state = 88},
  [7632] = {.lex_state = 88},
  [7633] = {.lex_state = 88},
  [7634] = {.lex_state = 88},
  [7635] = {.lex_state = 111},
  [7636] = {.lex_state = 91},
  [7637] = {.lex_state = 16},
  [7638] = {.lex_state = 16},
  [7639] = {.lex_state = 90},
  [7640] = {.lex_state = 90},
  [7641] = {.lex_state = 95},
  [7642] = {.lex_state = 90},
  [7643] = {.lex_state = 90},
  [7644] = {.lex_state = 90},
  [7645] = {.lex_state = 90},
  [7646] = {.lex_state = 90},
  [7647] = {.lex_state = 90},
  [7648] = {.lex_state = 90},
  [7649] = {.lex_state = 90},
  [7650] = {.lex_state = 90},
  [7651] = {.lex_state = 88},
  [7652] = {.lex_state = 88},
  [7653] = {.lex_state = 91},
  [7654] = {.lex_state = 91},
  [7655] = {.lex_state = 91},
  [7656] = {.lex_state = 91},
  [7657] = {.lex_state = 91},
  [7658] = {.lex_state = 91},
  [7659] = {.lex_state = 91},
  [7660] = {.lex_state = 91},
  [7661] = {.lex_state = 48},
  [7662] = {.lex_state = 91},
  [7663] = {.lex_state = 91},
  [7664] = {.lex_state = 91},
  [7665] = {.lex_state = 87},
  [7666] = {.lex_state = 16},
  [7667] = {.lex_state = 16},
  [7668] = {.lex_state = 12},
  [7669] = {.lex_state = 111},
  [7670] = {.lex_state = 112},
  [7671] = {.lex_state = 73},
  [7672] = {.lex_state = 73},
  [7673] = {.lex_state = 73},
  [7674] = {.lex_state = 73},
  [7675] = {.lex_state = 73},
  [7676] = {.lex_state = 73},
  [7677] = {.lex_state = 73},
  [7678] = {.lex_state = 73},
  [7679] = {.lex_state = 73},
  [7680] = {.lex_state = 73},
  [7681] = {.lex_state = 112},
  [7682] = {.lex_state = 110},
  [7683] = {.lex_state = 110},
  [7684] = {.lex_state = 112},
  [7685] = {.lex_state = 112},
  [7686] = {.lex_state = 120},
  [7687] = {.lex_state = 73},
  [7688] = {.lex_state = 73},
  [7689] = {.lex_state = 113},
  [7690] = {.lex_state = 95},
  [7691] = {.lex_state = 111},
  [7692] = {.lex_state = 73},
  [7693] = {.lex_state = 112},
  [7694] = {.lex_state = 112},
  [7695] = {.lex_state = 16, .external_lex_state = 4},
  [7696] = {.lex_state = 112},
  [7697] = {.lex_state = 120},
  [7698] = {.lex_state = 16, .external_lex_state = 4},
  [7699] = {.lex_state = 16, .external_lex_state = 4},
  [7700] = {.lex_state = 16, .external_lex_state = 4},
  [7701] = {.lex_state = 16, .external_lex_state = 4},
  [7702] = {.lex_state = 16, .external_lex_state = 4},
  [7703] = {.lex_state = 72},
  [7704] = {.lex_state = 72},
  [7705] = {.lex_state = 72},
  [7706] = {.lex_state = 72},
  [7707] = {.lex_state = 72},
  [7708] = {.lex_state = 72},
  [7709] = {.lex_state = 72},
  [7710] = {.lex_state = 72},
  [7711] = {.lex_state = 72},
  [7712] = {.lex_state = 72},
  [7713] = {.lex_state = 72},
  [7714] = {.lex_state = 16, .external_lex_state = 4},
  [7715] = {.lex_state = 110},
  [7716] = {.lex_state = 184},
  [7717] = {.lex_state = 16, .external_lex_state = 4},
  [7718] = {.lex_state = 112},
  [7719] = {.lex_state = 16, .external_lex_state = 4},
  [7720] = {.lex_state = 112},
  [7721] = {.lex_state = 110},
  [7722] = {.lex_state = 16, .external_lex_state = 4},
  [7723] = {.lex_state = 72},
  [7724] = {.lex_state = 110},
  [7725] = {.lex_state = 72},
  [7726] = {.lex_state = 95},
  [7727] = {.lex_state = 95, .external_lex_state = 4},
  [7728] = {.lex_state = 95, .external_lex_state = 4},
  [7729] = {.lex_state = 95, .external_lex_state = 4},
  [7730] = {.lex_state = 95, .external_lex_state = 4},
  [7731] = {.lex_state = 95, .external_lex_state = 4},
  [7732] = {.lex_state = 95, .external_lex_state = 4},
  [7733] = {.lex_state = 16, .external_lex_state = 4},
  [7734] = {.lex_state = 95, .external_lex_state = 4},
  [7735] = {.lex_state = 110},
  [7736] = {.lex_state = 95, .external_lex_state = 4},
  [7737] = {.lex_state = 95, .external_lex_state = 4},
  [7738] = {.lex_state = 95, .external_lex_state = 4},
  [7739] = {.lex_state = 95, .external_lex_state = 4},
  [7740] = {.lex_state = 95},
  [7741] = {.lex_state = 95},
  [7742] = {.lex_state = 95},
  [7743] = {.lex_state = 95},
  [7744] = {.lex_state = 95},
  [7745] = {.lex_state = 16, .external_lex_state = 4},
  [7746] = {.lex_state = 95},
  [7747] = {.lex_state = 95},
  [7748] = {.lex_state = 95},
  [7749] = {.lex_state = 108},
  [7750] = {.lex_state = 95},
  [7751] = {.lex_state = 72},
  [7752] = {.lex_state = 108},
  [7753] = {.lex_state = 108},
  [7754] = {.lex_state = 108},
  [7755] = {.lex_state = 108},
  [7756] = {.lex_state = 108},
  [7757] = {.lex_state = 108},
  [7758] = {.lex_state = 108},
  [7759] = {.lex_state = 108},
  [7760] = {.lex_state = 108},
  [7761] = {.lex_state = 95},
  [7762] = {.lex_state = 110},
  [7763] = {.lex_state = 95, .external_lex_state = 4},
  [7764] = {.lex_state = 110},
  [7765] = {.lex_state = 110},
  [7766] = {.lex_state = 95, .external_lex_state = 4},
  [7767] = {.lex_state = 110},
  [7768] = {.lex_state = 108},
  [7769] = {.lex_state = 108},
  [7770] = {.lex_state = 111},
  [7771] = {.lex_state = 111},
  [7772] = {.lex_state = 111},
  [7773] = {.lex_state = 95},
  [7774] = {.lex_state = 16, .external_lex_state = 4},
  [7775] = {.lex_state = 16, .external_lex_state = 4},
  [7776] = {.lex_state = 113},
  [7777] = {.lex_state = 95},
  [7778] = {.lex_state = 113},
  [7779] = {.lex_state = 113},
  [7780] = {.lex_state = 111},
  [7781] = {.lex_state = 113},
  [7782] = {.lex_state = 110},
  [7783] = {.lex_state = 113},
  [7784] = {.lex_state = 113},
  [7785] = {.lex_state = 112},
  [7786] = {.lex_state = 111},
  [7787] = {.lex_state = 95, .external_lex_state = 4},
  [7788] = {.lex_state = 111},
  [7789] = {.lex_state = 113},
  [7790] = {.lex_state = 110},
  [7791] = {.lex_state = 111},
  [7792] = {.lex_state = 113},
  [7793] = {.lex_state = 113},
  [7794] = {.lex_state = 113},
  [7795] = {.lex_state = 113},
  [7796] = {.lex_state = 112},
  [7797] = {.lex_state = 110},
  [7798] = {.lex_state = 110},
  [7799] = {.lex_state = 111},
  [7800] = {.lex_state = 111},
  [7801] = {.lex_state = 111},
  [7802] = {.lex_state = 113},
  [7803] = {.lex_state = 108},
  [7804] = {.lex_state = 111},
  [7805] = {.lex_state = 112},
  [7806] = {.lex_state = 113},
  [7807] = {.lex_state = 112},
  [7808] = {.lex_state = 112},
  [7809] = {.lex_state = 111},
  [7810] = {.lex_state = 73},
  [7811] = {.lex_state = 108},
  [7812] = {.lex_state = 184},
  [7813] = {.lex_state = 184},
  [7814] = {.lex_state = 184},
  [7815] = {.lex_state = 184},
  [7816] = {.lex_state = 184},
  [7817] = {.lex_state = 184},
  [7818] = {.lex_state = 184},
  [7819] = {.lex_state = 119},
  [7820] = {.lex_state = 184},
  [7821] = {.lex_state = 184},
  [7822] = {.lex_state = 184},
  [7823] = {.lex_state = 184},
  [7824] = {.lex_state = 184},
  [7825] = {.lex_state = 184},
  [7826] = {.lex_state = 184},
  [7827] = {.lex_state = 120},
  [7828] = {.lex_state = 119},
  [7829] = {.lex_state = 119},
  [7830] = {.lex_state = 120},
  [7831] = {.lex_state = 119},
  [7832] = {.lex_state = 119},
  [7833] = {.lex_state = 120},
  [7834] = {.lex_state = 119},
  [7835] = {.lex_state = 119},
  [7836] = {.lex_state = 119},
  [7837] = {.lex_state = 120},
  [7838] = {.lex_state = 119},
  [7839] = {.lex_state = 119},
  [7840] = {.lex_state = 119},
  [7841] = {.lex_state = 119},
  [7842] = {.lex_state = 119},
  [7843] = {.lex_state = 119},
  [7844] = {.lex_state = 119},
  [7845] = {.lex_state = 197, .external_lex_state = 4},
  [7846] = {.lex_state = 197, .external_lex_state = 4},
  [7847] = {.lex_state = 197, .external_lex_state = 4},
  [7848] = {.lex_state = 197, .external_lex_state = 4},
  [7849] = {.lex_state = 240, .external_lex_state = 2},
  [7850] = {.lex_state = 197, .external_lex_state = 4},
  [7851] = {.lex_state = 197, .external_lex_state = 4},
  [7852] = {.lex_state = 240, .external_lex_state = 2},
  [7853] = {.lex_state = 197, .external_lex_state = 4},
  [7854] = {.lex_state = 197, .external_lex_state = 4},
  [7855] = {.lex_state = 197, .external_lex_state = 4},
  [7856] = {.lex_state = 197, .external_lex_state = 4},
  [7857] = {.lex_state = 197, .external_lex_state = 4},
  [7858] = {.lex_state = 207, .external_lex_state = 4},
  [7859] = {.lex_state = 207, .external_lex_state = 4},
  [7860] = {.lex_state = 198, .external_lex_state = 4},
  [7861] = {.lex_state = 198, .external_lex_state = 4},
  [7862] = {.lex_state = 207, .external_lex_state = 4},
  [7863] = {.lex_state = 199, .external_lex_state = 4},
  [7864] = {.lex_state = 199, .external_lex_state = 4},
  [7865] = {.lex_state = 199, .external_lex_state = 4},
  [7866] = {.lex_state = 199, .external_lex_state = 4},
  [7867] = {.lex_state = 207, .external_lex_state = 4},
  [7868] = {.lex_state = 198, .external_lex_state = 4},
  [7869] = {.lex_state = 199, .external_lex_state = 4},
  [7870] = {.lex_state = 207, .external_lex_state = 4},
  [7871] = {.lex_state = 207, .external_lex_state = 4},
  [7872] = {.lex_state = 199, .external_lex_state = 4},
  [7873] = {.lex_state = 240},
  [7874] = {.lex_state = 207, .external_lex_state = 4},
  [7875] = {.lex_state = 198, .external_lex_state = 4},
  [7876] = {.lex_state = 198, .external_lex_state = 4},
  [7877] = {.lex_state = 207, .external_lex_state = 4},
  [7878] = {.lex_state = 199, .external_lex_state = 4},
  [7879] = {.lex_state = 198, .external_lex_state = 4},
  [7880] = {.lex_state = 198, .external_lex_state = 4},
  [7881] = {.lex_state = 198, .external_lex_state = 4},
  [7882] = {.lex_state = 199, .external_lex_state = 4},
  [7883] = {.lex_state = 199, .external_lex_state = 4},
  [7884] = {.lex_state = 199, .external_lex_state = 4},
  [7885] = {.lex_state = 198, .external_lex_state = 4},
  [7886] = {.lex_state = 207, .external_lex_state = 4},
  [7887] = {.lex_state = 198, .external_lex_state = 4},
  [7888] = {.lex_state = 198, .external_lex_state = 4},
  [7889] = {.lex_state = 207, .external_lex_state = 4},
  [7890] = {.lex_state = 199, .external_lex_state = 4},
  [7891] = {.lex_state = 207, .external_lex_state = 4},
  [7892] = {.lex_state = 200, .external_lex_state = 4},
  [7893] = {.lex_state = 208, .external_lex_state = 4},
  [7894] = {.lex_state = 208, .external_lex_state = 4},
  [7895] = {.lex_state = 201, .external_lex_state = 4},
  [7896] = {.lex_state = 201, .external_lex_state = 4},
  [7897] = {.lex_state = 208, .external_lex_state = 4},
  [7898] = {.lex_state = 200, .external_lex_state = 4},
  [7899] = {.lex_state = 201, .external_lex_state = 4},
  [7900] = {.lex_state = 200, .external_lex_state = 4},
  [7901] = {.lex_state = 200, .external_lex_state = 4},
  [7902] = {.lex_state = 201, .external_lex_state = 4},
  [7903] = {.lex_state = 209, .external_lex_state = 4},
  [7904] = {.lex_state = 200, .external_lex_state = 4},
  [7905] = {.lex_state = 209, .external_lex_state = 4},
  [7906] = {.lex_state = 208, .external_lex_state = 4},
  [7907] = {.lex_state = 200, .external_lex_state = 4},
  [7908] = {.lex_state = 200, .external_lex_state = 4},
  [7909] = {.lex_state = 200, .external_lex_state = 4},
  [7910] = {.lex_state = 201, .external_lex_state = 4},
  [7911] = {.lex_state = 200, .external_lex_state = 4},
  [7912] = {.lex_state = 208, .external_lex_state = 4},
  [7913] = {.lex_state = 200, .external_lex_state = 4},
  [7914] = {.lex_state = 200, .external_lex_state = 4},
  [7915] = {.lex_state = 201, .external_lex_state = 4},
  [7916] = {.lex_state = 209, .external_lex_state = 4},
  [7917] = {.lex_state = 208, .external_lex_state = 4},
  [7918] = {.lex_state = 208, .external_lex_state = 4},
  [7919] = {.lex_state = 208, .external_lex_state = 4},
  [7920] = {.lex_state = 209, .external_lex_state = 4},
  [7921] = {.lex_state = 208, .external_lex_state = 4},
  [7922] = {.lex_state = 209, .external_lex_state = 4},
  [7923] = {.lex_state = 201, .external_lex_state = 4},
  [7924] = {.lex_state = 201, .external_lex_state = 4},
  [7925] = {.lex_state = 201, .external_lex_state = 4},
  [7926] = {.lex_state = 209, .external_lex_state = 4},
  [7927] = {.lex_state = 209, .external_lex_state = 4},
  [7928] = {.lex_state = 201, .external_lex_state = 4},
  [7929] = {.lex_state = 209, .external_lex_state = 4},
  [7930] = {.lex_state = 208, .external_lex_state = 4},
  [7931] = {.lex_state = 209, .external_lex_state = 4},
  [7932] = {.lex_state = 209, .external_lex_state = 4},
  [7933] = {.lex_state = 209, .external_lex_state = 4},
  [7934] = {.lex_state = 208, .external_lex_state = 4},
  [7935] = {.lex_state = 201, .external_lex_state = 4},
  [7936] = {.lex_state = 236},
  [7937] = {.lex_state = 236},
  [7938] = {.lex_state = 236},
  [7939] = {.lex_state = 210, .external_lex_state = 4},
  [7940] = {.lex_state = 236},
  [7941] = {.lex_state = 217, .external_lex_state = 4},
  [7942] = {.lex_state = 236},
  [7943] = {.lex_state = 202, .external_lex_state = 4},
  [7944] = {.lex_state = 211, .external_lex_state = 4},
  [7945] = {.lex_state = 236},
  [7946] = {.lex_state = 202, .external_lex_state = 4},
  [7947] = {.lex_state = 236},
  [7948] = {.lex_state = 202, .external_lex_state = 4},
  [7949] = {.lex_state = 236},
  [7950] = {.lex_state = 217, .external_lex_state = 4},
  [7951] = {.lex_state = 210, .external_lex_state = 4},
  [7952] = {.lex_state = 236},
  [7953] = {.lex_state = 236},
  [7954] = {.lex_state = 217, .external_lex_state = 4},
  [7955] = {.lex_state = 236},
  [7956] = {.lex_state = 202, .external_lex_state = 4},
  [7957] = {.lex_state = 236},
  [7958] = {.lex_state = 236},
  [7959] = {.lex_state = 236},
  [7960] = {.lex_state = 211, .external_lex_state = 4},
  [7961] = {.lex_state = 202, .external_lex_state = 4},
  [7962] = {.lex_state = 236},
  [7963] = {.lex_state = 211, .external_lex_state = 4},
  [7964] = {.lex_state = 211, .external_lex_state = 4},
  [7965] = {.lex_state = 236},
  [7966] = {.lex_state = 217, .external_lex_state = 4},
  [7967] = {.lex_state = 236},
  [7968] = {.lex_state = 236},
  [7969] = {.lex_state = 236},
  [7970] = {.lex_state = 236},
  [7971] = {.lex_state = 236},
  [7972] = {.lex_state = 236},
  [7973] = {.lex_state = 217, .external_lex_state = 4},
  [7974] = {.lex_state = 236},
  [7975] = {.lex_state = 210, .external_lex_state = 4},
  [7976] = {.lex_state = 210, .external_lex_state = 4},
  [7977] = {.lex_state = 236},
  [7978] = {.lex_state = 236},
  [7979] = {.lex_state = 202, .external_lex_state = 4},
  [7980] = {.lex_state = 236},
  [7981] = {.lex_state = 210, .external_lex_state = 4},
  [7982] = {.lex_state = 237},
  [7983] = {.lex_state = 236},
  [7984] = {.lex_state = 202, .external_lex_state = 4},
  [7985] = {.lex_state = 236},
  [7986] = {.lex_state = 236},
  [7987] = {.lex_state = 236},
  [7988] = {.lex_state = 217, .external_lex_state = 4},
  [7989] = {.lex_state = 217, .external_lex_state = 4},
  [7990] = {.lex_state = 210, .external_lex_state = 4},
  [7991] = {.lex_state = 210, .external_lex_state = 4},
  [7992] = {.lex_state = 236},
  [7993] = {.lex_state = 217, .external_lex_state = 4},
  [7994] = {.lex_state = 217, .external_lex_state = 4},
  [7995] = {.lex_state = 210, .external_lex_state = 4},
  [7996] = {.lex_state = 237},
  [7997] = {.lex_state = 236},
  [7998] = {.lex_state = 236},
  [7999] = {.lex_state = 211, .external_lex_state = 4},
  [8000] = {.lex_state = 211, .external_lex_state = 4},
  [8001] = {.lex_state = 236},
  [8002] = {.lex_state = 237},
  [8003] = {.lex_state = 236},
  [8004] = {.lex_state = 217, .external_lex_state = 4},
  [8005] = {.lex_state = 236},
  [8006] = {.lex_state = 237},
  [8007] = {.lex_state = 236},
  [8008] = {.lex_state = 236},
  [8009] = {.lex_state = 202, .external_lex_state = 4},
  [8010] = {.lex_state = 236},
  [8011] = {.lex_state = 236},
  [8012] = {.lex_state = 236},
  [8013] = {.lex_state = 236},
  [8014] = {.lex_state = 211, .external_lex_state = 4},
  [8015] = {.lex_state = 202, .external_lex_state = 4},
  [8016] = {.lex_state = 236},
  [8017] = {.lex_state = 236},
  [8018] = {.lex_state = 211, .external_lex_state = 4},
  [8019] = {.lex_state = 210, .external_lex_state = 4},
  [8020] = {.lex_state = 210, .external_lex_state = 4},
  [8021] = {.lex_state = 202, .external_lex_state = 4},
  [8022] = {.lex_state = 211, .external_lex_state = 4},
  [8023] = {.lex_state = 211, .external_lex_state = 4},
  [8024] = {.lex_state = 236},
  [8025] = {.lex_state = 236},
  [8026] = {.lex_state = 211, .external_lex_state = 4},
  [8027] = {.lex_state = 210, .external_lex_state = 4},
  [8028] = {.lex_state = 217, .external_lex_state = 4},
  [8029] = {.lex_state = 202, .external_lex_state = 4},
  [8030] = {.lex_state = 218, .external_lex_state = 4},
  [8031] = {.lex_state = 238},
  [8032] = {.lex_state = 241},
  [8033] = {.lex_state = 219, .external_lex_state = 4},
  [8034] = {.lex_state = 237},
  [8035] = {.lex_state = 212, .external_lex_state = 4},
  [8036] = {.lex_state = 219, .external_lex_state = 4},
  [8037] = {.lex_state = 219, .external_lex_state = 4},
  [8038] = {.lex_state = 237},
  [8039] = {.lex_state = 241},
  [8040] = {.lex_state = 212, .external_lex_state = 4},
  [8041] = {.lex_state = 239},
  [8042] = {.lex_state = 241},
  [8043] = {.lex_state = 227, .external_lex_state = 4},
  [8044] = {.lex_state = 241},
  [8045] = {.lex_state = 241},
  [8046] = {.lex_state = 219, .external_lex_state = 4},
  [8047] = {.lex_state = 241},
  [8048] = {.lex_state = 238},
  [8049] = {.lex_state = 219, .external_lex_state = 4},
  [8050] = {.lex_state = 237},
  [8051] = {.lex_state = 219, .external_lex_state = 4},
  [8052] = {.lex_state = 219, .external_lex_state = 4},
  [8053] = {.lex_state = 227, .external_lex_state = 4},
  [8054] = {.lex_state = 227, .external_lex_state = 4},
  [8055] = {.lex_state = 241},
  [8056] = {.lex_state = 241},
  [8057] = {.lex_state = 241},
  [8058] = {.lex_state = 191},
  [8059] = {.lex_state = 219, .external_lex_state = 4},
  [8060] = {.lex_state = 241},
  [8061] = {.lex_state = 241},
  [8062] = {.lex_state = 241},
  [8063] = {.lex_state = 241},
  [8064] = {.lex_state = 219, .external_lex_state = 4},
  [8065] = {.lex_state = 218, .external_lex_state = 4},
  [8066] = {.lex_state = 219, .external_lex_state = 4},
  [8067] = {.lex_state = 241},
  [8068] = {.lex_state = 218, .external_lex_state = 4},
  [8069] = {.lex_state = 191},
  [8070] = {.lex_state = 241},
  [8071] = {.lex_state = 241},
  [8072] = {.lex_state = 241},
  [8073] = {.lex_state = 241},
  [8074] = {.lex_state = 239},
  [8075] = {.lex_state = 241},
  [8076] = {.lex_state = 236},
  [8077] = {.lex_state = 241},
  [8078] = {.lex_state = 191},
  [8079] = {.lex_state = 237},
  [8080] = {.lex_state = 241},
  [8081] = {.lex_state = 241},
  [8082] = {.lex_state = 241},
  [8083] = {.lex_state = 241},
  [8084] = {.lex_state = 241},
  [8085] = {.lex_state = 191},
  [8086] = {.lex_state = 237},
  [8087] = {.lex_state = 191},
  [8088] = {.lex_state = 241},
  [8089] = {.lex_state = 212, .external_lex_state = 4},
  [8090] = {.lex_state = 241},
  [8091] = {.lex_state = 191},
  [8092] = {.lex_state = 241},
  [8093] = {.lex_state = 241},
  [8094] = {.lex_state = 241},
  [8095] = {.lex_state = 241},
  [8096] = {.lex_state = 191},
  [8097] = {.lex_state = 241},
  [8098] = {.lex_state = 241},
  [8099] = {.lex_state = 241},
  [8100] = {.lex_state = 241},
  [8101] = {.lex_state = 238},
  [8102] = {.lex_state = 227, .external_lex_state = 4},
  [8103] = {.lex_state = 191},
  [8104] = {.lex_state = 241},
  [8105] = {.lex_state = 237},
  [8106] = {.lex_state = 212, .external_lex_state = 4},
  [8107] = {.lex_state = 241},
  [8108] = {.lex_state = 237},
  [8109] = {.lex_state = 241},
  [8110] = {.lex_state = 227, .external_lex_state = 4},
  [8111] = {.lex_state = 241},
  [8112] = {.lex_state = 241},
  [8113] = {.lex_state = 227, .external_lex_state = 4},
  [8114] = {.lex_state = 227, .external_lex_state = 4},
  [8115] = {.lex_state = 212, .external_lex_state = 4},
  [8116] = {.lex_state = 241},
  [8117] = {.lex_state = 241},
  [8118] = {.lex_state = 241},
  [8119] = {.lex_state = 212, .external_lex_state = 4},
  [8120] = {.lex_state = 191},
  [8121] = {.lex_state = 212, .external_lex_state = 4},
  [8122] = {.lex_state = 241},
  [8123] = {.lex_state = 241},
  [8124] = {.lex_state = 241},
  [8125] = {.lex_state = 212, .external_lex_state = 4},
  [8126] = {.lex_state = 227, .external_lex_state = 4},
  [8127] = {.lex_state = 227, .external_lex_state = 4},
  [8128] = {.lex_state = 227, .external_lex_state = 4},
  [8129] = {.lex_state = 227, .external_lex_state = 4},
  [8130] = {.lex_state = 238},
  [8131] = {.lex_state = 241},
  [8132] = {.lex_state = 241},
  [8133] = {.lex_state = 212, .external_lex_state = 4},
  [8134] = {.lex_state = 238},
  [8135] = {.lex_state = 212, .external_lex_state = 4},
  [8136] = {.lex_state = 241},
  [8137] = {.lex_state = 241},
  [8138] = {.lex_state = 241},
  [8139] = {.lex_state = 191},
  [8140] = {.lex_state = 241},
  [8141] = {.lex_state = 241},
  [8142] = {.lex_state = 212, .external_lex_state = 4},
  [8143] = {.lex_state = 218, .external_lex_state = 4},
  [8144] = {.lex_state = 241},
  [8145] = {.lex_state = 218, .external_lex_state = 4},
  [8146] = {.lex_state = 218, .external_lex_state = 4},
  [8147] = {.lex_state = 218, .external_lex_state = 4},
  [8148] = {.lex_state = 219, .external_lex_state = 4},
  [8149] = {.lex_state = 241},
  [8150] = {.lex_state = 241},
  [8151] = {.lex_state = 241},
  [8152] = {.lex_state = 218, .external_lex_state = 4},
  [8153] = {.lex_state = 218, .external_lex_state = 4},
  [8154] = {.lex_state = 218, .external_lex_state = 4},
  [8155] = {.lex_state = 218, .external_lex_state = 4},
  [8156] = {.lex_state = 191},
  [8157] = {.lex_state = 228, .external_lex_state = 4},
  [8158] = {.lex_state = 193},
  [8159] = {.lex_state = 192},
  [8160] = {.lex_state = 229, .external_lex_state = 4},
  [8161] = {.lex_state = 203},
  [8162] = {.lex_state = 228, .external_lex_state = 4},
  [8163] = {.lex_state = 220, .external_lex_state = 4},
  [8164] = {.lex_state = 228, .external_lex_state = 4},
  [8165] = {.lex_state = 228, .external_lex_state = 4},
  [8166] = {.lex_state = 204},
  [8167] = {.lex_state = 193},
  [8168] = {.lex_state = 204},
  [8169] = {.lex_state = 228, .external_lex_state = 4},
  [8170] = {.lex_state = 204},
  [8171] = {.lex_state = 203},
  [8172] = {.lex_state = 195},
  [8173] = {.lex_state = 192},
  [8174] = {.lex_state = 228, .external_lex_state = 4},
  [8175] = {.lex_state = 220, .external_lex_state = 4},
  [8176] = {.lex_state = 193},
  [8177] = {.lex_state = 195},
  [8178] = {.lex_state = 204},
  [8179] = {.lex_state = 239},
  [8180] = {.lex_state = 204},
  [8181] = {.lex_state = 193},
  [8182] = {.lex_state = 240},
  [8183] = {.lex_state = 229, .external_lex_state = 4},
  [8184] = {.lex_state = 220, .external_lex_state = 4},
  [8185] = {.lex_state = 228, .external_lex_state = 4},
  [8186] = {.lex_state = 220, .external_lex_state = 4},
  [8187] = {.lex_state = 195},
  [8188] = {.lex_state = 204},
  [8189] = {.lex_state = 193},
  [8190] = {.lex_state = 239},
  [8191] = {.lex_state = 195},
  [8192] = {.lex_state = 193},
  [8193] = {.lex_state = 220, .external_lex_state = 4},
  [8194] = {.lex_state = 220, .external_lex_state = 4},
  [8195] = {.lex_state = 195},
  [8196] = {.lex_state = 195},
  [8197] = {.lex_state = 204},
  [8198] = {.lex_state = 221, .external_lex_state = 4},
  [8199] = {.lex_state = 221, .external_lex_state = 4},
  [8200] = {.lex_state = 195},
  [8201] = {.lex_state = 228, .external_lex_state = 4},
  [8202] = {.lex_state = 221, .external_lex_state = 4},
  [8203] = {.lex_state = 192},
  [8204] = {.lex_state = 193},
  [8205] = {.lex_state = 221, .external_lex_state = 4},
  [8206] = {.lex_state = 192},
  [8207] = {.lex_state = 195},
  [8208] = {.lex_state = 203},
  [8209] = {.lex_state = 192},
  [8210] = {.lex_state = 192},
  [8211] = {.lex_state = 221, .external_lex_state = 4},
  [8212] = {.lex_state = 241},
  [8213] = {.lex_state = 203},
  [8214] = {.lex_state = 241},
  [8215] = {.lex_state = 192},
  [8216] = {.lex_state = 239},
  [8217] = {.lex_state = 229, .external_lex_state = 4},
  [8218] = {.lex_state = 195},
  [8219] = {.lex_state = 203},
  [8220] = {.lex_state = 204},
  [8221] = {.lex_state = 220, .external_lex_state = 4},
  [8222] = {.lex_state = 241},
  [8223] = {.lex_state = 195},
  [8224] = {.lex_state = 229, .external_lex_state = 4},
  [8225] = {.lex_state = 228, .external_lex_state = 4},
  [8226] = {.lex_state = 204},
  [8227] = {.lex_state = 229, .external_lex_state = 4},
  [8228] = {.lex_state = 203},
  [8229] = {.lex_state = 220, .external_lex_state = 4},
  [8230] = {.lex_state = 220, .external_lex_state = 4},
  [8231] = {.lex_state = 221, .external_lex_state = 4},
  [8232] = {.lex_state = 221, .external_lex_state = 4},
  [8233] = {.lex_state = 229, .external_lex_state = 4},
  [8234] = {.lex_state = 203},
  [8235] = {.lex_state = 193},
  [8236] = {.lex_state = 228, .external_lex_state = 4},
  [8237] = {.lex_state = 204},
  [8238] = {.lex_state = 228, .external_lex_state = 4},
  [8239] = {.lex_state = 229, .external_lex_state = 4},
  [8240] = {.lex_state = 192},
  [8241] = {.lex_state = 229, .external_lex_state = 4},
  [8242] = {.lex_state = 221, .external_lex_state = 4},
  [8243] = {.lex_state = 221, .external_lex_state = 4},
  [8244] = {.lex_state = 229, .external_lex_state = 4},
  [8245] = {.lex_state = 229, .external_lex_state = 4},
  [8246] = {.lex_state = 220, .external_lex_state = 4},
  [8247] = {.lex_state = 203},
  [8248] = {.lex_state = 193},
  [8249] = {.lex_state = 229, .external_lex_state = 4},
  [8250] = {.lex_state = 193},
  [8251] = {.lex_state = 203},
  [8252] = {.lex_state = 192},
  [8253] = {.lex_state = 221, .external_lex_state = 4},
  [8254] = {.lex_state = 221, .external_lex_state = 4},
  [8255] = {.lex_state = 204},
  [8256] = {.lex_state = 192},
  [8257] = {.lex_state = 239},
  [8258] = {.lex_state = 203},
  [8259] = {.lex_state = 192},
  [8260] = {.lex_state = 203},
  [8261] = {.lex_state = 239},
  [8262] = {.lex_state = 193},
  [8263] = {.lex_state = 220, .external_lex_state = 4},
  [8264] = {.lex_state = 195},
  [8265] = {.lex_state = 222},
  [8266] = {.lex_state = 223},
  [8267] = {.lex_state = 240},
  [8268] = {.lex_state = 220},
  [8269] = {.lex_state = 222},
  [8270] = {.lex_state = 220},
  [8271] = {.lex_state = 240},
  [8272] = {.lex_state = 240},
  [8273] = {.lex_state = 213},
  [8274] = {.lex_state = 240},
  [8275] = {.lex_state = 194},
  [8276] = {.lex_state = 196},
  [8277] = {.lex_state = 213},
  [8278] = {.lex_state = 213},
  [8279] = {.lex_state = 220},
  [8280] = {.lex_state = 240},
  [8281] = {.lex_state = 240},
  [8282] = {.lex_state = 240},
  [8283] = {.lex_state = 223},
  [8284] = {.lex_state = 222},
  [8285] = {.lex_state = 194},
  [8286] = {.lex_state = 240},
  [8287] = {.lex_state = 213},
  [8288] = {.lex_state = 240},
  [8289] = {.lex_state = 196},
  [8290] = {.lex_state = 205},
  [8291] = {.lex_state = 213},
  [8292] = {.lex_state = 213},
  [8293] = {.lex_state = 194},
  [8294] = {.lex_state = 196},
  [8295] = {.lex_state = 220},
  [8296] = {.lex_state = 196},
  [8297] = {.lex_state = 223},
  [8298] = {.lex_state = 205},
  [8299] = {.lex_state = 214},
  [8300] = {.lex_state = 240},
  [8301] = {.lex_state = 195, .external_lex_state = 4},
  [8302] = {.lex_state = 230, .external_lex_state = 4},
  [8303] = {.lex_state = 230, .external_lex_state = 4},
  [8304] = {.lex_state = 240},
  [8305] = {.lex_state = 213},
  [8306] = {.lex_state = 214},
  [8307] = {.lex_state = 220},
  [8308] = {.lex_state = 240},
  [8309] = {.lex_state = 214},
  [8310] = {.lex_state = 224},
  [8311] = {.lex_state = 195, .external_lex_state = 4},
  [8312] = {.lex_state = 196},
  [8313] = {.lex_state = 240},
  [8314] = {.lex_state = 224},
  [8315] = {.lex_state = 194},
  [8316] = {.lex_state = 240},
  [8317] = {.lex_state = 205},
  [8318] = {.lex_state = 224},
  [8319] = {.lex_state = 240},
  [8320] = {.lex_state = 195, .external_lex_state = 4},
  [8321] = {.lex_state = 224},
  [8322] = {.lex_state = 240},
  [8323] = {.lex_state = 206},
  [8324] = {.lex_state = 195, .external_lex_state = 4},
  [8325] = {.lex_state = 214},
  [8326] = {.lex_state = 225},
  [8327] = {.lex_state = 195, .external_lex_state = 4},
  [8328] = {.lex_state = 240},
  [8329] = {.lex_state = 196},
  [8330] = {.lex_state = 195, .external_lex_state = 4},
  [8331] = {.lex_state = 225},
  [8332] = {.lex_state = 231, .external_lex_state = 4},
  [8333] = {.lex_state = 213},
  [8334] = {.lex_state = 240},
  [8335] = {.lex_state = 213},
  [8336] = {.lex_state = 222},
  [8337] = {.lex_state = 194},
  [8338] = {.lex_state = 214},
  [8339] = {.lex_state = 230, .external_lex_state = 4},
  [8340] = {.lex_state = 196},
  [8341] = {.lex_state = 240},
  [8342] = {.lex_state = 205},
  [8343] = {.lex_state = 240},
  [8344] = {.lex_state = 240},
  [8345] = {.lex_state = 231, .external_lex_state = 4},
  [8346] = {.lex_state = 231, .external_lex_state = 4},
  [8347] = {.lex_state = 223},
  [8348] = {.lex_state = 230, .external_lex_state = 4},
  [8349] = {.lex_state = 225},
  [8350] = {.lex_state = 223},
  [8351] = {.lex_state = 195, .external_lex_state = 4},
  [8352] = {.lex_state = 225},
  [8353] = {.lex_state = 206},
  [8354] = {.lex_state = 214},
  [8355] = {.lex_state = 223},
  [8356] = {.lex_state = 225},
  [8357] = {.lex_state = 231, .external_lex_state = 4},
  [8358] = {.lex_state = 225},
  [8359] = {.lex_state = 220},
  [8360] = {.lex_state = 240},
  [8361] = {.lex_state = 225},
  [8362] = {.lex_state = 224},
  [8363] = {.lex_state = 240},
  [8364] = {.lex_state = 206},
  [8365] = {.lex_state = 222},
  [8366] = {.lex_state = 225},
  [8367] = {.lex_state = 220},
  [8368] = {.lex_state = 240},
  [8369] = {.lex_state = 240},
  [8370] = {.lex_state = 240},
  [8371] = {.lex_state = 206},
  [8372] = {.lex_state = 220},
  [8373] = {.lex_state = 240},
  [8374] = {.lex_state = 206},
  [8375] = {.lex_state = 231, .external_lex_state = 4},
  [8376] = {.lex_state = 195, .external_lex_state = 4},
  [8377] = {.lex_state = 230, .external_lex_state = 4},
  [8378] = {.lex_state = 240},
  [8379] = {.lex_state = 214},
  [8380] = {.lex_state = 240},
  [8381] = {.lex_state = 225},
  [8382] = {.lex_state = 196},
  [8383] = {.lex_state = 196},
  [8384] = {.lex_state = 240},
  [8385] = {.lex_state = 222},
  [8386] = {.lex_state = 225},
  [8387] = {.lex_state = 196},
  [8388] = {.lex_state = 196},
  [8389] = {.lex_state = 240},
  [8390] = {.lex_state = 231, .external_lex_state = 4},
  [8391] = {.lex_state = 231, .external_lex_state = 4},
  [8392] = {.lex_state = 240},
  [8393] = {.lex_state = 206},
  [8394] = {.lex_state = 194},
  [8395] = {.lex_state = 240},
  [8396] = {.lex_state = 230, .external_lex_state = 4},
  [8397] = {.lex_state = 240},
  [8398] = {.lex_state = 240},
  [8399] = {.lex_state = 194},
  [8400] = {.lex_state = 195, .external_lex_state = 4},
  [8401] = {.lex_state = 240},
  [8402] = {.lex_state = 240},
  [8403] = {.lex_state = 240},
  [8404] = {.lex_state = 231, .external_lex_state = 4},
  [8405] = {.lex_state = 205},
  [8406] = {.lex_state = 222},
  [8407] = {.lex_state = 240},
  [8408] = {.lex_state = 230, .external_lex_state = 4},
  [8409] = {.lex_state = 224},
  [8410] = {.lex_state = 224},
  [8411] = {.lex_state = 222},
  [8412] = {.lex_state = 240},
  [8413] = {.lex_state = 231, .external_lex_state = 4},
  [8414] = {.lex_state = 195, .external_lex_state = 4},
  [8415] = {.lex_state = 224},
  [8416] = {.lex_state = 224},
  [8417] = {.lex_state = 240},
  [8418] = {.lex_state = 205},
  [8419] = {.lex_state = 240},
  [8420] = {.lex_state = 214},
  [8421] = {.lex_state = 230, .external_lex_state = 4},
  [8422] = {.lex_state = 230, .external_lex_state = 4},
  [8423] = {.lex_state = 240},
  [8424] = {.lex_state = 194},
  [8425] = {.lex_state = 240},
  [8426] = {.lex_state = 240},
  [8427] = {.lex_state = 240},
  [8428] = {.lex_state = 240},
  [8429] = {.lex_state = 225},
  [8430] = {.lex_state = 240},
  [8431] = {.lex_state = 205},
  [8432] = {.lex_state = 240},
  [8433] = {.lex_state = 224},
  [8434] = {.lex_state = 240},
  [8435] = {.lex_state = 240},
  [8436] = {.lex_state = 240},
  [8437] = {.lex_state = 230, .external_lex_state = 4},
  [8438] = {.lex_state = 240},
  [8439] = {.lex_state = 240},
  [8440] = {.lex_state = 240},
  [8441] = {.lex_state = 240},
  [8442] = {.lex_state = 240},
  [8443] = {.lex_state = 222},
  [8444] = {.lex_state = 224},
  [8445] = {.lex_state = 240},
  [8446] = {.lex_state = 206},
  [8447] = {.lex_state = 240},
  [8448] = {.lex_state = 230, .external_lex_state = 4},
  [8449] = {.lex_state = 240},
  [8450] = {.lex_state = 205},
  [8451] = {.lex_state = 240},
  [8452] = {.lex_state = 240},
  [8453] = {.lex_state = 240},
  [8454] = {.lex_state = 206},
  [8455] = {.lex_state = 240},
  [8456] = {.lex_state = 214},
  [8457] = {.lex_state = 240},
  [8458] = {.lex_state = 194},
  [8459] = {.lex_state = 240},
  [8460] = {.lex_state = 240},
  [8461] = {.lex_state = 240},
  [8462] = {.lex_state = 240},
  [8463] = {.lex_state = 240},
  [8464] = {.lex_state = 240},
  [8465] = {.lex_state = 206},
  [8466] = {.lex_state = 240},
  [8467] = {.lex_state = 240},
  [8468] = {.lex_state = 205},
  [8469] = {.lex_state = 223},
  [8470] = {.lex_state = 240},
  [8471] = {.lex_state = 240},
  [8472] = {.lex_state = 223},
  [8473] = {.lex_state = 240},
  [8474] = {.lex_state = 206},
  [8475] = {.lex_state = 240},
  [8476] = {.lex_state = 240},
  [8477] = {.lex_state = 240},
  [8478] = {.lex_state = 240},
  [8479] = {.lex_state = 240},
  [8480] = {.lex_state = 240},
  [8481] = {.lex_state = 206},
  [8482] = {.lex_state = 240},
  [8483] = {.lex_state = 220},
  [8484] = {.lex_state = 240},
  [8485] = {.lex_state = 240},
  [8486] = {.lex_state = 240},
  [8487] = {.lex_state = 240},
  [8488] = {.lex_state = 240},
  [8489] = {.lex_state = 240},
  [8490] = {.lex_state = 240},
  [8491] = {.lex_state = 231, .external_lex_state = 4},
  [8492] = {.lex_state = 240},
  [8493] = {.lex_state = 222},
  [8494] = {.lex_state = 240},
  [8495] = {.lex_state = 214},
  [8496] = {.lex_state = 240},
  [8497] = {.lex_state = 240},
  [8498] = {.lex_state = 240},
  [8499] = {.lex_state = 240},
  [8500] = {.lex_state = 240},
  [8501] = {.lex_state = 240},
  [8502] = {.lex_state = 223},
  [8503] = {.lex_state = 222},
  [8504] = {.lex_state = 223},
  [8505] = {.lex_state = 214},
  [8506] = {.lex_state = 194},
  [8507] = {.lex_state = 223},
  [8508] = {.lex_state = 195, .external_lex_state = 4},
  [8509] = {.lex_state = 213},
  [8510] = {.lex_state = 240},
  [8511] = {.lex_state = 240},
  [8512] = {.lex_state = 220},
  [8513] = {.lex_state = 231, .external_lex_state = 4},
  [8514] = {.lex_state = 240},
  [8515] = {.lex_state = 220},
  [8516] = {.lex_state = 194},
  [8517] = {.lex_state = 213},
  [8518] = {.lex_state = 205},
  [8519] = {.lex_state = 205},
  [8520] = {.lex_state = 196, .external_lex_state = 4},
  [8521] = {.lex_state = 226},
  [8522] = {.lex_state = 232},
  [8523] = {.lex_state = 230},
  [8524] = {.lex_state = 215},
  [8525] = {.lex_state = 226},
  [8526] = {.lex_state = 226},
  [8527] = {.lex_state = 233},
  [8528] = {.lex_state = 226},
  [8529] = {.lex_state = 196, .external_lex_state = 4},
  [8530] = {.lex_state = 233},
  [8531] = {.lex_state = 226, .external_lex_state = 4},
  [8532] = {.lex_state = 196, .external_lex_state = 4},
  [8533] = {.lex_state = 230},
  [8534] = {.lex_state = 215},
  [8535] = {.lex_state = 234},
  [8536] = {.lex_state = 234},
  [8537] = {.lex_state = 226},
  [8538] = {.lex_state = 215},
  [8539] = {.lex_state = 234},
  [8540] = {.lex_state = 216},
  [8541] = {.lex_state = 234},
  [8542] = {.lex_state = 234},
  [8543] = {.lex_state = 226},
  [8544] = {.lex_state = 216},
  [8545] = {.lex_state = 215},
  [8546] = {.lex_state = 215},
  [8547] = {.lex_state = 234},
  [8548] = {.lex_state = 196, .external_lex_state = 4},
  [8549] = {.lex_state = 234},
  [8550] = {.lex_state = 230},
  [8551] = {.lex_state = 234},
  [8552] = {.lex_state = 234},
  [8553] = {.lex_state = 234},
  [8554] = {.lex_state = 234},
  [8555] = {.lex_state = 230},
  [8556] = {.lex_state = 215},
  [8557] = {.lex_state = 232},
  [8558] = {.lex_state = 196, .external_lex_state = 4},
  [8559] = {.lex_state = 196, .external_lex_state = 4},
  [8560] = {.lex_state = 215},
  [8561] = {.lex_state = 226, .external_lex_state = 4},
  [8562] = {.lex_state = 235},
  [8563] = {.lex_state = 232},
  [8564] = {.lex_state = 215},
  [8565] = {.lex_state = 235},
  [8566] = {.lex_state = 232},
  [8567] = {.lex_state = 232},
  [8568] = {.lex_state = 235},
  [8569] = {.lex_state = 230},
  [8570] = {.lex_state = 226, .external_lex_state = 4},
  [8571] = {.lex_state = 226, .external_lex_state = 4},
  [8572] = {.lex_state = 235},
  [8573] = {.lex_state = 232},
  [8574] = {.lex_state = 226, .external_lex_state = 4},
  [8575] = {.lex_state = 233},
  [8576] = {.lex_state = 235},
  [8577] = {.lex_state = 196, .external_lex_state = 4},
  [8578] = {.lex_state = 235},
  [8579] = {.lex_state = 235},
  [8580] = {.lex_state = 233},
  [8581] = {.lex_state = 196, .external_lex_state = 4},
  [8582] = {.lex_state = 232},
  [8583] = {.lex_state = 233},
  [8584] = {.lex_state = 232},
  [8585] = {.lex_state = 233},
  [8586] = {.lex_state = 232},
  [8587] = {.lex_state = 232},
  [8588] = {.lex_state = 216},
  [8589] = {.lex_state = 216},
  [8590] = {.lex_state = 216},
  [8591] = {.lex_state = 216},
  [8592] = {.lex_state = 230},
  [8593] = {.lex_state = 215},
  [8594] = {.lex_state = 226, .external_lex_state = 4},
  [8595] = {.lex_state = 233},
  [8596] = {.lex_state = 230},
  [8597] = {.lex_state = 235},
  [8598] = {.lex_state = 226},
  [8599] = {.lex_state = 216},
  [8600] = {.lex_state = 216},
  [8601] = {.lex_state = 196, .external_lex_state = 4},
  [8602] = {.lex_state = 216},
  [8603] = {.lex_state = 233},
  [8604] = {.lex_state = 216},
  [8605] = {.lex_state = 226, .external_lex_state = 4},
  [8606] = {.lex_state = 226},
  [8607] = {.lex_state = 226},
  [8608] = {.lex_state = 233},
  [8609] = {.lex_state = 230},
  [8610] = {.lex_state = 196, .external_lex_state = 4},
  [8611] = {.lex_state = 226, .external_lex_state = 4},
  [8612] = {.lex_state = 233},
  [8613] = {.lex_state = 215},
  [8614] = {.lex_state = 235},
  [8615] = {.lex_state = 230},
  [8616] = {.lex_state = 230},
  [8617] = {.lex_state = 226, .external_lex_state = 4},
  [8618] = {.lex_state = 226, .external_lex_state = 4},
  [8619] = {.lex_state = 226, .external_lex_state = 4},
  [8620] = {.lex_state = 196, .external_lex_state = 4},
  [8621] = {.lex_state = 215},
  [8622] = {.lex_state = 226},
  [8623] = {.lex_state = 216},
  [8624] = {.lex_state = 232},
  [8625] = {.lex_state = 230},
  [8626] = {.lex_state = 235},
  [8627] = {.lex_state = 233},
  [8628] = {.lex_state = 226},
  [8629] = {.lex_state = 451, .external_lex_state = 4},
  [8630] = {.lex_state = 235},
  [8631] = {.lex_state = 451},
  [8632] = {.lex_state = 451},
  [8633] = {.lex_state = 451, .external_lex_state = 4},
  [8634] = {.lex_state = 451},
  [8635] = {.lex_state = 451},
  [8636] = {.lex_state = 252},
  [8637] = {.lex_state = 451},
  [8638] = {.lex_state = 451},
  [8639] = {.lex_state = 451},
  [8640] = {.lex_state = 451},
  [8641] = {.lex_state = 451, .external_lex_state = 4},
  [8642] = {.lex_state = 451},
  [8643] = {.lex_state = 451},
  [8644] = {.lex_state = 252},
  [8645] = {.lex_state = 451},
  [8646] = {.lex_state = 451},
  [8647] = {.lex_state = 451},
  [8648] = {.lex_state = 451},
  [8649] = {.lex_state = 237},
  [8650] = {.lex_state = 451, .external_lex_state = 4},
  [8651] = {.lex_state = 451, .external_lex_state = 4},
  [8652] = {.lex_state = 451},
  [8653] = {.lex_state = 451},
  [8654] = {.lex_state = 451},
  [8655] = {.lex_state = 451},
  [8656] = {.lex_state = 451},
  [8657] = {.lex_state = 451, .external_lex_state = 4},
  [8658] = {.lex_state = 451},
  [8659] = {.lex_state = 451},
  [8660] = {.lex_state = 451},
  [8661] = {.lex_state = 451},
  [8662] = {.lex_state = 451},
  [8663] = {.lex_state = 451},
  [8664] = {.lex_state = 451},
  [8665] = {.lex_state = 252},
  [8666] = {.lex_state = 451},
  [8667] = {.lex_state = 451},
  [8668] = {.lex_state = 451},
  [8669] = {.lex_state = 451},
  [8670] = {.lex_state = 451},
  [8671] = {.lex_state = 451},
  [8672] = {.lex_state = 451},
  [8673] = {.lex_state = 451},
  [8674] = {.lex_state = 451},
  [8675] = {.lex_state = 451},
  [8676] = {.lex_state = 451},
  [8677] = {.lex_state = 451},
  [8678] = {.lex_state = 451},
  [8679] = {.lex_state = 451},
  [8680] = {.lex_state = 451},
  [8681] = {.lex_state = 451},
  [8682] = {.lex_state = 451},
  [8683] = {.lex_state = 451},
  [8684] = {.lex_state = 451},
  [8685] = {.lex_state = 451},
  [8686] = {.lex_state = 451},
  [8687] = {.lex_state = 451},
  [8688] = {.lex_state = 451},
  [8689] = {.lex_state = 186},
  [8690] = {.lex_state = 186},
  [8691] = {.lex_state = 236},
  [8692] = {.lex_state = 186},
  [8693] = {.lex_state = 186},
  [8694] = {.lex_state = 237},
  [8695] = {.lex_state = 186},
  [8696] = {.lex_state = 186},
  [8697] = {.lex_state = 186},
  [8698] = {.lex_state = 186},
  [8699] = {.lex_state = 451, .external_lex_state = 4},
  [8700] = {.lex_state = 237},
  [8701] = {.lex_state = 186},
  [8702] = {.lex_state = 186},
  [8703] = {.lex_state = 186},
  [8704] = {.lex_state = 186},
  [8705] = {.lex_state = 237},
  [8706] = {.lex_state = 186},
  [8707] = {.lex_state = 186},
  [8708] = {.lex_state = 237},
  [8709] = {.lex_state = 186},
  [8710] = {.lex_state = 186},
  [8711] = {.lex_state = 186},
  [8712] = {.lex_state = 186},
  [8713] = {.lex_state = 186},
  [8714] = {.lex_state = 186},
  [8715] = {.lex_state = 186},
  [8716] = {.lex_state = 186},
  [8717] = {.lex_state = 186},
  [8718] = {.lex_state = 186},
  [8719] = {.lex_state = 236},
  [8720] = {.lex_state = 186},
  [8721] = {.lex_state = 186},
  [8722] = {.lex_state = 186},
  [8723] = {.lex_state = 186},
  [8724] = {.lex_state = 186},
  [8725] = {.lex_state = 186},
  [8726] = {.lex_state = 186},
  [8727] = {.lex_state = 186},
  [8728] = {.lex_state = 186},
  [8729] = {.lex_state = 186},
  [8730] = {.lex_state = 186},
  [8731] = {.lex_state = 237},
  [8732] = {.lex_state = 186},
  [8733] = {.lex_state = 186},
  [8734] = {.lex_state = 186},
  [8735] = {.lex_state = 237},
  [8736] = {.lex_state = 186},
  [8737] = {.lex_state = 186},
  [8738] = {.lex_state = 186},
  [8739] = {.lex_state = 237},
  [8740] = {.lex_state = 186},
  [8741] = {.lex_state = 186},
  [8742] = {.lex_state = 186},
  [8743] = {.lex_state = 186},
  [8744] = {.lex_state = 186},
  [8745] = {.lex_state = 186},
  [8746] = {.lex_state = 186},
  [8747] = {.lex_state = 238},
  [8748] = {.lex_state = 238},
  [8749] = {.lex_state = 186},
  [8750] = {.lex_state = 186},
  [8751] = {.lex_state = 186},
  [8752] = {.lex_state = 237},
  [8753] = {.lex_state = 186},
  [8754] = {.lex_state = 186},
  [8755] = {.lex_state = 186},
  [8756] = {.lex_state = 186},
  [8757] = {.lex_state = 186},
  [8758] = {.lex_state = 238},
  [8759] = {.lex_state = 186},
  [8760] = {.lex_state = 236},
  [8761] = {.lex_state = 186},
  [8762] = {.lex_state = 186},
  [8763] = {.lex_state = 186},
  [8764] = {.lex_state = 186},
  [8765] = {.lex_state = 186},
  [8766] = {.lex_state = 186},
  [8767] = {.lex_state = 186},
  [8768] = {.lex_state = 186},
  [8769] = {.lex_state = 237},
  [8770] = {.lex_state = 186},
  [8771] = {.lex_state = 238},
  [8772] = {.lex_state = 186},
  [8773] = {.lex_state = 186},
  [8774] = {.lex_state = 237},
  [8775] = {.lex_state = 186},
  [8776] = {.lex_state = 186},
  [8777] = {.lex_state = 186},
  [8778] = {.lex_state = 186},
  [8779] = {.lex_state = 186},
  [8780] = {.lex_state = 238},
  [8781] = {.lex_state = 186},
  [8782] = {.lex_state = 186},
  [8783] = {.lex_state = 186},
  [8784] = {.lex_state = 186},
  [8785] = {.lex_state = 451, .external_lex_state = 4},
  [8786] = {.lex_state = 186},
  [8787] = {.lex_state = 186},
  [8788] = {.lex_state = 236},
  [8789] = {.lex_state = 186},
  [8790] = {.lex_state = 186},
  [8791] = {.lex_state = 237},
  [8792] = {.lex_state = 186},
  [8793] = {.lex_state = 186},
  [8794] = {.lex_state = 186},
  [8795] = {.lex_state = 451},
  [8796] = {.lex_state = 186},
  [8797] = {.lex_state = 237},
  [8798] = {.lex_state = 186},
  [8799] = {.lex_state = 186},
  [8800] = {.lex_state = 186},
  [8801] = {.lex_state = 236},
  [8802] = {.lex_state = 186},
  [8803] = {.lex_state = 237},
  [8804] = {.lex_state = 451, .external_lex_state = 4},
  [8805] = {.lex_state = 186},
  [8806] = {.lex_state = 186},
  [8807] = {.lex_state = 186},
  [8808] = {.lex_state = 238},
  [8809] = {.lex_state = 451, .external_lex_state = 4},
  [8810] = {.lex_state = 186},
  [8811] = {.lex_state = 186},
  [8812] = {.lex_state = 186},
  [8813] = {.lex_state = 186},
  [8814] = {.lex_state = 238},
  [8815] = {.lex_state = 237},
  [8816] = {.lex_state = 186},
  [8817] = {.lex_state = 186},
  [8818] = {.lex_state = 186},
  [8819] = {.lex_state = 186},
  [8820] = {.lex_state = 186},
  [8821] = {.lex_state = 186},
  [8822] = {.lex_state = 186},
  [8823] = {.lex_state = 186},
  [8824] = {.lex_state = 237},
  [8825] = {.lex_state = 186},
  [8826] = {.lex_state = 186},
  [8827] = {.lex_state = 186},
  [8828] = {.lex_state = 237},
  [8829] = {.lex_state = 186},
  [8830] = {.lex_state = 238},
  [8831] = {.lex_state = 186},
  [8832] = {.lex_state = 186},
  [8833] = {.lex_state = 186},
  [8834] = {.lex_state = 238},
  [8835] = {.lex_state = 186},
  [8836] = {.lex_state = 186},
  [8837] = {.lex_state = 240, .external_lex_state = 2},
  [8838] = {.lex_state = 186},
  [8839] = {.lex_state = 186},
  [8840] = {.lex_state = 186},
  [8841] = {.lex_state = 186},
  [8842] = {.lex_state = 186},
  [8843] = {.lex_state = 237},
  [8844] = {.lex_state = 186},
  [8845] = {.lex_state = 186},
  [8846] = {.lex_state = 186},
  [8847] = {.lex_state = 186},
  [8848] = {.lex_state = 186},
  [8849] = {.lex_state = 186},
  [8850] = {.lex_state = 186},
  [8851] = {.lex_state = 186},
  [8852] = {.lex_state = 186},
  [8853] = {.lex_state = 186},
  [8854] = {.lex_state = 186},
  [8855] = {.lex_state = 186},
  [8856] = {.lex_state = 186},
  [8857] = {.lex_state = 186},
  [8858] = {.lex_state = 186},
  [8859] = {.lex_state = 186},
  [8860] = {.lex_state = 186},
  [8861] = {.lex_state = 236},
  [8862] = {.lex_state = 451, .external_lex_state = 4},
  [8863] = {.lex_state = 237},
  [8864] = {.lex_state = 186},
  [8865] = {.lex_state = 186},
  [8866] = {.lex_state = 186},
  [8867] = {.lex_state = 186},
  [8868] = {.lex_state = 186},
  [8869] = {.lex_state = 186},
  [8870] = {.lex_state = 236},
  [8871] = {.lex_state = 186},
  [8872] = {.lex_state = 237},
  [8873] = {.lex_state = 186},
  [8874] = {.lex_state = 186},
  [8875] = {.lex_state = 186},
  [8876] = {.lex_state = 186},
  [8877] = {.lex_state = 186},
  [8878] = {.lex_state = 186},
  [8879] = {.lex_state = 186},
  [8880] = {.lex_state = 186},
  [8881] = {.lex_state = 186},
  [8882] = {.lex_state = 186},
  [8883] = {.lex_state = 186},
  [8884] = {.lex_state = 186},
  [8885] = {.lex_state = 186},
  [8886] = {.lex_state = 186},
  [8887] = {.lex_state = 186},
  [8888] = {.lex_state = 186},
  [8889] = {.lex_state = 238},
  [8890] = {.lex_state = 186},
  [8891] = {.lex_state = 186},
  [8892] = {.lex_state = 186},
  [8893] = {.lex_state = 186},
  [8894] = {.lex_state = 186},
  [8895] = {.lex_state = 186},
  [8896] = {.lex_state = 237},
  [8897] = {.lex_state = 237},
  [8898] = {.lex_state = 186},
  [8899] = {.lex_state = 186},
  [8900] = {.lex_state = 186},
  [8901] = {.lex_state = 237},
  [8902] = {.lex_state = 186},
  [8903] = {.lex_state = 186},
  [8904] = {.lex_state = 186},
  [8905] = {.lex_state = 186},
  [8906] = {.lex_state = 186},
  [8907] = {.lex_state = 186},
  [8908] = {.lex_state = 186},
  [8909] = {.lex_state = 237},
  [8910] = {.lex_state = 186},
  [8911] = {.lex_state = 186},
  [8912] = {.lex_state = 186},
  [8913] = {.lex_state = 186},
  [8914] = {.lex_state = 186},
  [8915] = {.lex_state = 186},
  [8916] = {.lex_state = 186},
  [8917] = {.lex_state = 236},
  [8918] = {.lex_state = 186},
  [8919] = {.lex_state = 186},
  [8920] = {.lex_state = 237},
  [8921] = {.lex_state = 236},
  [8922] = {.lex_state = 186},
  [8923] = {.lex_state = 239},
  [8924] = {.lex_state = 451},
  [8925] = {.lex_state = 239},
  [8926] = {.lex_state = 239},
  [8927] = {.lex_state = 451},
  [8928] = {.lex_state = 451, .external_lex_state = 4},
  [8929] = {.lex_state = 451, .external_lex_state = 4},
  [8930] = {.lex_state = 240},
  [8931] = {.lex_state = 451, .external_lex_state = 4},
  [8932] = {.lex_state = 451},
  [8933] = {.lex_state = 241},
  [8934] = {.lex_state = 451, .external_lex_state = 4},
  [8935] = {.lex_state = 241},
  [8936] = {.lex_state = 451},
  [8937] = {.lex_state = 241},
  [8938] = {.lex_state = 241},
  [8939] = {.lex_state = 451},
  [8940] = {.lex_state = 241},
  [8941] = {.lex_state = 239},
  [8942] = {.lex_state = 241},
  [8943] = {.lex_state = 451},
  [8944] = {.lex_state = 240},
  [8945] = {.lex_state = 239},
  [8946] = {.lex_state = 451},
  [8947] = {.lex_state = 451},
  [8948] = {.lex_state = 451, .external_lex_state = 4},
  [8949] = {.lex_state = 451},
  [8950] = {.lex_state = 451, .external_lex_state = 4},
  [8951] = {.lex_state = 451, .external_lex_state = 4},
  [8952] = {.lex_state = 239},
  [8953] = {.lex_state = 451},
  [8954] = {.lex_state = 242},
  [8955] = {.lex_state = 451, .external_lex_state = 4},
  [8956] = {.lex_state = 239},
  [8957] = {.lex_state = 451, .external_lex_state = 4},
  [8958] = {.lex_state = 451, .external_lex_state = 4},
  [8959] = {.lex_state = 451, .external_lex_state = 4},
  [8960] = {.lex_state = 242},
  [8961] = {.lex_state = 451, .external_lex_state = 4},
  [8962] = {.lex_state = 451},
  [8963] = {.lex_state = 451},
  [8964] = {.lex_state = 239},
  [8965] = {.lex_state = 239},
  [8966] = {.lex_state = 451, .external_lex_state = 4},
  [8967] = {.lex_state = 241},
  [8968] = {.lex_state = 239},
  [8969] = {.lex_state = 239},
  [8970] = {.lex_state = 239},
  [8971] = {.lex_state = 239},
  [8972] = {.lex_state = 451, .external_lex_state = 4},
  [8973] = {.lex_state = 451},
  [8974] = {.lex_state = 451, .external_lex_state = 4},
  [8975] = {.lex_state = 242},
  [8976] = {.lex_state = 239},
  [8977] = {.lex_state = 451, .external_lex_state = 4},
  [8978] = {.lex_state = 451, .external_lex_state = 4},
  [8979] = {.lex_state = 451, .external_lex_state = 4},
  [8980] = {.lex_state = 240},
  [8981] = {.lex_state = 242},
  [8982] = {.lex_state = 241},
  [8983] = {.lex_state = 451, .external_lex_state = 4},
  [8984] = {.lex_state = 451},
  [8985] = {.lex_state = 242},
  [8986] = {.lex_state = 242},
  [8987] = {.lex_state = 451, .external_lex_state = 4},
  [8988] = {.lex_state = 451, .external_lex_state = 4},
  [8989] = {.lex_state = 451, .external_lex_state = 4},
  [8990] = {.lex_state = 451, .external_lex_state = 4},
  [8991] = {.lex_state = 242},
  [8992] = {.lex_state = 451, .external_lex_state = 4},
  [8993] = {.lex_state = 451, .external_lex_state = 4},
  [8994] = {.lex_state = 451},
  [8995] = {.lex_state = 451, .external_lex_state = 4},
  [8996] = {.lex_state = 451, .external_lex_state = 4},
  [8997] = {.lex_state = 451, .external_lex_state = 4},
  [8998] = {.lex_state = 242},
  [8999] = {.lex_state = 451},
  [9000] = {.lex_state = 451},
  [9001] = {.lex_state = 241},
  [9002] = {.lex_state = 451, .external_lex_state = 4},
  [9003] = {.lex_state = 451, .external_lex_state = 4},
  [9004] = {.lex_state = 186},
  [9005] = {.lex_state = 451, .external_lex_state = 4},
  [9006] = {.lex_state = 451},
  [9007] = {.lex_state = 240},
  [9008] = {.lex_state = 186},
  [9009] = {.lex_state = 451, .external_lex_state = 4},
  [9010] = {.lex_state = 451, .external_lex_state = 4},
  [9011] = {.lex_state = 240},
  [9012] = {.lex_state = 240},
  [9013] = {.lex_state = 451, .external_lex_state = 4},
  [9014] = {.lex_state = 451, .external_lex_state = 4},
  [9015] = {.lex_state = 240},
  [9016] = {.lex_state = 451, .external_lex_state = 4},
  [9017] = {.lex_state = 451, .external_lex_state = 4},
  [9018] = {.lex_state = 240},
  [9019] = {.lex_state = 451},
  [9020] = {.lex_state = 240},
  [9021] = {.lex_state = 451, .external_lex_state = 4},
  [9022] = {.lex_state = 451, .external_lex_state = 4},
  [9023] = {.lex_state = 242},
  [9024] = {.lex_state = 240},
  [9025] = {.lex_state = 451, .external_lex_state = 4},
  [9026] = {.lex_state = 451, .external_lex_state = 4},
  [9027] = {.lex_state = 451, .external_lex_state = 4},
  [9028] = {.lex_state = 451, .external_lex_state = 4},
  [9029] = {.lex_state = 240},
  [9030] = {.lex_state = 451, .external_lex_state = 4},
  [9031] = {.lex_state = 186},
  [9032] = {.lex_state = 451, .external_lex_state = 4},
  [9033] = {.lex_state = 451, .external_lex_state = 4},
  [9034] = {.lex_state = 186},
  [9035] = {.lex_state = 451, .external_lex_state = 4},
  [9036] = {.lex_state = 451, .external_lex_state = 4},
  [9037] = {.lex_state = 240},
  [9038] = {.lex_state = 451, .external_lex_state = 4},
  [9039] = {.lex_state = 186},
  [9040] = {.lex_state = 451},
  [9041] = {.lex_state = 186},
  [9042] = {.lex_state = 242},
  [9043] = {.lex_state = 451},
  [9044] = {.lex_state = 451, .external_lex_state = 4},
  [9045] = {.lex_state = 242},
  [9046] = {.lex_state = 240},
  [9047] = {.lex_state = 240},
  [9048] = {.lex_state = 240},
  [9049] = {.lex_state = 451, .external_lex_state = 4},
  [9050] = {.lex_state = 240},
  [9051] = {.lex_state = 240},
  [9052] = {.lex_state = 451, .external_lex_state = 4},
  [9053] = {.lex_state = 451, .external_lex_state = 4},
  [9054] = {.lex_state = 240},
  [9055] = {.lex_state = 240},
  [9056] = {.lex_state = 451, .external_lex_state = 4},
  [9057] = {.lex_state = 240},
  [9058] = {.lex_state = 240},
  [9059] = {.lex_state = 240},
  [9060] = {.lex_state = 240},
  [9061] = {.lex_state = 240},
  [9062] = {.lex_state = 240},
  [9063] = {.lex_state = 242},
  [9064] = {.lex_state = 451},
  [9065] = {.lex_state = 240},
  [9066] = {.lex_state = 240},
  [9067] = {.lex_state = 242},
  [9068] = {.lex_state = 451},
  [9069] = {.lex_state = 240},
  [9070] = {.lex_state = 253},
  [9071] = {.lex_state = 240},
  [9072] = {.lex_state = 254},
  [9073] = {.lex_state = 240},
  [9074] = {.lex_state = 255},
  [9075] = {.lex_state = 252},
  [9076] = {.lex_state = 240},
  [9077] = {.lex_state = 240},
  [9078] = {.lex_state = 240},
  [9079] = {.lex_state = 240},
  [9080] = {.lex_state = 240},
  [9081] = {.lex_state = 240},
  [9082] = {.lex_state = 240},
  [9083] = {.lex_state = 240},
  [9084] = {.lex_state = 240},
  [9085] = {.lex_state = 240},
  [9086] = {.lex_state = 255},
  [9087] = {.lex_state = 240},
  [9088] = {.lex_state = 252},
  [9089] = {.lex_state = 254},
  [9090] = {.lex_state = 451},
  [9091] = {.lex_state = 240},
  [9092] = {.lex_state = 240},
  [9093] = {.lex_state = 240},
  [9094] = {.lex_state = 240},
  [9095] = {.lex_state = 240},
  [9096] = {.lex_state = 242},
  [9097] = {.lex_state = 240},
  [9098] = {.lex_state = 240},
  [9099] = {.lex_state = 451, .external_lex_state = 4},
  [9100] = {.lex_state = 451, .external_lex_state = 4},
  [9101] = {.lex_state = 451, .external_lex_state = 4},
  [9102] = {.lex_state = 451, .external_lex_state = 4},
  [9103] = {.lex_state = 240},
  [9104] = {.lex_state = 240},
  [9105] = {.lex_state = 240},
  [9106] = {.lex_state = 451, .external_lex_state = 4},
  [9107] = {.lex_state = 240},
  [9108] = {.lex_state = 240},
  [9109] = {.lex_state = 240},
  [9110] = {.lex_state = 240},
  [9111] = {.lex_state = 451},
  [9112] = {.lex_state = 253},
  [9113] = {.lex_state = 242},
  [9114] = {.lex_state = 240},
  [9115] = {.lex_state = 240},
  [9116] = {.lex_state = 240},
  [9117] = {.lex_state = 240},
  [9118] = {.lex_state = 451, .external_lex_state = 4},
  [9119] = {.lex_state = 240},
  [9120] = {.lex_state = 240},
  [9121] = {.lex_state = 240},
  [9122] = {.lex_state = 451, .external_lex_state = 4},
  [9123] = {.lex_state = 240},
  [9124] = {.lex_state = 240},
  [9125] = {.lex_state = 252},
  [9126] = {.lex_state = 451},
  [9127] = {.lex_state = 240},
  [9128] = {.lex_state = 451, .external_lex_state = 4},
  [9129] = {.lex_state = 251},
  [9130] = {.lex_state = 240},
  [9131] = {.lex_state = 240},
  [9132] = {.lex_state = 251},
  [9133] = {.lex_state = 451, .external_lex_state = 4},
  [9134] = {.lex_state = 240},
  [9135] = {.lex_state = 240},
  [9136] = {.lex_state = 451, .external_lex_state = 4},
  [9137] = {.lex_state = 240},
  [9138] = {.lex_state = 252},
  [9139] = {.lex_state = 240},
  [9140] = {.lex_state = 240},
  [9141] = {.lex_state = 253},
  [9142] = {.lex_state = 242},
  [9143] = {.lex_state = 259, .external_lex_state = 4},
  [9144] = {.lex_state = 451},
  [9145] = {.lex_state = 451, .external_lex_state = 4},
  [9146] = {.lex_state = 451},
  [9147] = {.lex_state = 239},
  [9148] = {.lex_state = 253, .external_lex_state = 2},
  [9149] = {.lex_state = 451},
  [9150] = {.lex_state = 239},
  [9151] = {.lex_state = 451, .external_lex_state = 4},
  [9152] = {.lex_state = 451, .external_lex_state = 4},
  [9153] = {.lex_state = 239},
  [9154] = {.lex_state = 451, .external_lex_state = 4},
  [9155] = {.lex_state = 451, .external_lex_state = 4},
  [9156] = {.lex_state = 451, .external_lex_state = 4},
  [9157] = {.lex_state = 451, .external_lex_state = 4},
  [9158] = {.lex_state = 242},
  [9159] = {.lex_state = 451},
  [9160] = {.lex_state = 451},
  [9161] = {.lex_state = 253},
  [9162] = {.lex_state = 451, .external_lex_state = 4},
  [9163] = {.lex_state = 451, .external_lex_state = 4},
  [9164] = {.lex_state = 451, .external_lex_state = 4},
  [9165] = {.lex_state = 451, .external_lex_state = 4},
  [9166] = {.lex_state = 239},
  [9167] = {.lex_state = 253, .external_lex_state = 2},
  [9168] = {.lex_state = 451, .external_lex_state = 4},
  [9169] = {.lex_state = 242},
  [9170] = {.lex_state = 253},
  [9171] = {.lex_state = 242},
  [9172] = {.lex_state = 451, .external_lex_state = 4},
  [9173] = {.lex_state = 451},
  [9174] = {.lex_state = 451, .external_lex_state = 4},
  [9175] = {.lex_state = 451},
  [9176] = {.lex_state = 451, .external_lex_state = 4},
  [9177] = {.lex_state = 451, .external_lex_state = 4},
  [9178] = {.lex_state = 451},
  [9179] = {.lex_state = 259, .external_lex_state = 4},
  [9180] = {.lex_state = 451, .external_lex_state = 4},
  [9181] = {.lex_state = 451, .external_lex_state = 4},
  [9182] = {.lex_state = 451},
  [9183] = {.lex_state = 186},
  [9184] = {.lex_state = 451, .external_lex_state = 4},
  [9185] = {.lex_state = 254},
  [9186] = {.lex_state = 254},
  [9187] = {.lex_state = 254},
  [9188] = {.lex_state = 254},
  [9189] = {.lex_state = 254},
  [9190] = {.lex_state = 254},
  [9191] = {.lex_state = 254},
  [9192] = {.lex_state = 254},
  [9193] = {.lex_state = 254},
  [9194] = {.lex_state = 254},
  [9195] = {.lex_state = 254},
  [9196] = {.lex_state = 254},
  [9197] = {.lex_state = 254},
  [9198] = {.lex_state = 254},
  [9199] = {.lex_state = 254},
  [9200] = {.lex_state = 254},
  [9201] = {.lex_state = 254},
  [9202] = {.lex_state = 254},
  [9203] = {.lex_state = 254},
  [9204] = {.lex_state = 254},
  [9205] = {.lex_state = 258},
  [9206] = {.lex_state = 254},
  [9207] = {.lex_state = 451, .external_lex_state = 4},
  [9208] = {.lex_state = 451, .external_lex_state = 4},
  [9209] = {.lex_state = 254},
  [9210] = {.lex_state = 254},
  [9211] = {.lex_state = 253, .external_lex_state = 4},
  [9212] = {.lex_state = 254},
  [9213] = {.lex_state = 254},
  [9214] = {.lex_state = 254},
  [9215] = {.lex_state = 258},
  [9216] = {.lex_state = 254},
  [9217] = {.lex_state = 254},
  [9218] = {.lex_state = 254},
  [9219] = {.lex_state = 258},
  [9220] = {.lex_state = 254},
  [9221] = {.lex_state = 254},
  [9222] = {.lex_state = 254},
  [9223] = {.lex_state = 254},
  [9224] = {.lex_state = 254},
  [9225] = {.lex_state = 186},
  [9226] = {.lex_state = 254},
  [9227] = {.lex_state = 254},
  [9228] = {.lex_state = 254},
  [9229] = {.lex_state = 254},
  [9230] = {.lex_state = 254},
  [9231] = {.lex_state = 254},
  [9232] = {.lex_state = 254},
  [9233] = {.lex_state = 254},
  [9234] = {.lex_state = 451, .external_lex_state = 4},
  [9235] = {.lex_state = 451, .external_lex_state = 4},
  [9236] = {.lex_state = 258},
  [9237] = {.lex_state = 254},
  [9238] = {.lex_state = 254},
  [9239] = {.lex_state = 254},
  [9240] = {.lex_state = 254},
  [9241] = {.lex_state = 451},
  [9242] = {.lex_state = 254},
  [9243] = {.lex_state = 254},
  [9244] = {.lex_state = 254},
  [9245] = {.lex_state = 254},
  [9246] = {.lex_state = 254},
  [9247] = {.lex_state = 254},
  [9248] = {.lex_state = 254},
  [9249] = {.lex_state = 254},
  [9250] = {.lex_state = 254},
  [9251] = {.lex_state = 254},
  [9252] = {.lex_state = 254},
  [9253] = {.lex_state = 254},
  [9254] = {.lex_state = 254},
  [9255] = {.lex_state = 254},
  [9256] = {.lex_state = 254},
  [9257] = {.lex_state = 243},
  [9258] = {.lex_state = 254},
  [9259] = {.lex_state = 240},
  [9260] = {.lex_state = 254},
  [9261] = {.lex_state = 254},
  [9262] = {.lex_state = 254},
  [9263] = {.lex_state = 254},
  [9264] = {.lex_state = 254},
  [9265] = {.lex_state = 451},
  [9266] = {.lex_state = 254},
  [9267] = {.lex_state = 254},
  [9268] = {.lex_state = 254},
  [9269] = {.lex_state = 254},
  [9270] = {.lex_state = 254},
  [9271] = {.lex_state = 254},
  [9272] = {.lex_state = 254},
  [9273] = {.lex_state = 254},
  [9274] = {.lex_state = 254},
  [9275] = {.lex_state = 254},
  [9276] = {.lex_state = 254},
  [9277] = {.lex_state = 254},
  [9278] = {.lex_state = 254},
  [9279] = {.lex_state = 254},
  [9280] = {.lex_state = 254},
  [9281] = {.lex_state = 254},
  [9282] = {.lex_state = 254},
  [9283] = {.lex_state = 254},
  [9284] = {.lex_state = 254},
  [9285] = {.lex_state = 254},
  [9286] = {.lex_state = 254},
  [9287] = {.lex_state = 254},
  [9288] = {.lex_state = 451, .external_lex_state = 4},
  [9289] = {.lex_state = 254},
  [9290] = {.lex_state = 254},
  [9291] = {.lex_state = 451},
  [9292] = {.lex_state = 254},
  [9293] = {.lex_state = 254},
  [9294] = {.lex_state = 254},
  [9295] = {.lex_state = 254},
  [9296] = {.lex_state = 186},
  [9297] = {.lex_state = 254},
  [9298] = {.lex_state = 254},
  [9299] = {.lex_state = 254},
  [9300] = {.lex_state = 242},
  [9301] = {.lex_state = 254},
  [9302] = {.lex_state = 254},
  [9303] = {.lex_state = 254},
  [9304] = {.lex_state = 254},
  [9305] = {.lex_state = 254},
  [9306] = {.lex_state = 254},
  [9307] = {.lex_state = 254},
  [9308] = {.lex_state = 254},
  [9309] = {.lex_state = 254},
  [9310] = {.lex_state = 254},
  [9311] = {.lex_state = 254},
  [9312] = {.lex_state = 254},
  [9313] = {.lex_state = 254},
  [9314] = {.lex_state = 254},
  [9315] = {.lex_state = 186},
  [9316] = {.lex_state = 254},
  [9317] = {.lex_state = 254},
  [9318] = {.lex_state = 254},
  [9319] = {.lex_state = 254},
  [9320] = {.lex_state = 451},
  [9321] = {.lex_state = 451},
  [9322] = {.lex_state = 451, .external_lex_state = 4},
  [9323] = {.lex_state = 254},
  [9324] = {.lex_state = 254},
  [9325] = {.lex_state = 254},
  [9326] = {.lex_state = 254},
  [9327] = {.lex_state = 254},
  [9328] = {.lex_state = 451, .external_lex_state = 4},
  [9329] = {.lex_state = 254},
  [9330] = {.lex_state = 254},
  [9331] = {.lex_state = 254},
  [9332] = {.lex_state = 254},
  [9333] = {.lex_state = 254},
  [9334] = {.lex_state = 186},
  [9335] = {.lex_state = 254},
  [9336] = {.lex_state = 254},
  [9337] = {.lex_state = 254},
  [9338] = {.lex_state = 254},
  [9339] = {.lex_state = 254},
  [9340] = {.lex_state = 186},
  [9341] = {.lex_state = 243},
  [9342] = {.lex_state = 253},
  [9343] = {.lex_state = 253, .external_lex_state = 4},
  [9344] = {.lex_state = 254},
  [9345] = {.lex_state = 254},
  [9346] = {.lex_state = 254},
  [9347] = {.lex_state = 254},
  [9348] = {.lex_state = 254},
  [9349] = {.lex_state = 254},
  [9350] = {.lex_state = 186},
  [9351] = {.lex_state = 254},
  [9352] = {.lex_state = 254},
  [9353] = {.lex_state = 254},
  [9354] = {.lex_state = 254},
  [9355] = {.lex_state = 254},
  [9356] = {.lex_state = 254},
  [9357] = {.lex_state = 254},
  [9358] = {.lex_state = 254},
  [9359] = {.lex_state = 254},
  [9360] = {.lex_state = 254},
  [9361] = {.lex_state = 254},
  [9362] = {.lex_state = 451},
  [9363] = {.lex_state = 244},
  [9364] = {.lex_state = 254},
  [9365] = {.lex_state = 254},
  [9366] = {.lex_state = 254},
  [9367] = {.lex_state = 254},
  [9368] = {.lex_state = 254},
  [9369] = {.lex_state = 258},
  [9370] = {.lex_state = 254},
  [9371] = {.lex_state = 254},
  [9372] = {.lex_state = 254},
  [9373] = {.lex_state = 254},
  [9374] = {.lex_state = 186},
  [9375] = {.lex_state = 254},
  [9376] = {.lex_state = 254},
  [9377] = {.lex_state = 254},
  [9378] = {.lex_state = 254},
  [9379] = {.lex_state = 254},
  [9380] = {.lex_state = 254},
  [9381] = {.lex_state = 254},
  [9382] = {.lex_state = 254},
  [9383] = {.lex_state = 254},
  [9384] = {.lex_state = 254},
  [9385] = {.lex_state = 254},
  [9386] = {.lex_state = 254},
  [9387] = {.lex_state = 254},
  [9388] = {.lex_state = 254},
  [9389] = {.lex_state = 254},
  [9390] = {.lex_state = 258},
  [9391] = {.lex_state = 254},
  [9392] = {.lex_state = 254},
  [9393] = {.lex_state = 254},
  [9394] = {.lex_state = 254},
  [9395] = {.lex_state = 254},
  [9396] = {.lex_state = 254},
  [9397] = {.lex_state = 186},
  [9398] = {.lex_state = 254},
  [9399] = {.lex_state = 254},
  [9400] = {.lex_state = 254},
  [9401] = {.lex_state = 254},
  [9402] = {.lex_state = 254},
  [9403] = {.lex_state = 254},
  [9404] = {.lex_state = 242},
  [9405] = {.lex_state = 254},
  [9406] = {.lex_state = 242},
  [9407] = {.lex_state = 451, .external_lex_state = 5},
  [9408] = {.lex_state = 451, .external_lex_state = 5},
  [9409] = {.lex_state = 186},
  [9410] = {.lex_state = 242},
  [9411] = {.lex_state = 242},
  [9412] = {.lex_state = 451},
  [9413] = {.lex_state = 451, .external_lex_state = 2},
  [9414] = {.lex_state = 256},
  [9415] = {.lex_state = 242},
  [9416] = {.lex_state = 253},
  [9417] = {.lex_state = 451},
  [9418] = {.lex_state = 451},
  [9419] = {.lex_state = 451, .external_lex_state = 4},
  [9420] = {.lex_state = 451, .external_lex_state = 4},
  [9421] = {.lex_state = 242},
  [9422] = {.lex_state = 186},
  [9423] = {.lex_state = 451},
  [9424] = {.lex_state = 451},
  [9425] = {.lex_state = 186},
  [9426] = {.lex_state = 451, .external_lex_state = 5},
  [9427] = {.lex_state = 255},
  [9428] = {.lex_state = 451},
  [9429] = {.lex_state = 259, .external_lex_state = 4},
  [9430] = {.lex_state = 451, .external_lex_state = 5},
  [9431] = {.lex_state = 242},
  [9432] = {.lex_state = 451, .external_lex_state = 5},
  [9433] = {.lex_state = 242},
  [9434] = {.lex_state = 451, .external_lex_state = 4},
  [9435] = {.lex_state = 186},
  [9436] = {.lex_state = 451, .external_lex_state = 4},
  [9437] = {.lex_state = 451},
  [9438] = {.lex_state = 242},
  [9439] = {.lex_state = 242},
  [9440] = {.lex_state = 186},
  [9441] = {.lex_state = 242},
  [9442] = {.lex_state = 451},
  [9443] = {.lex_state = 451},
  [9444] = {.lex_state = 254},
  [9445] = {.lex_state = 451},
  [9446] = {.lex_state = 242},
  [9447] = {.lex_state = 451, .external_lex_state = 4},
  [9448] = {.lex_state = 451, .external_lex_state = 2},
  [9449] = {.lex_state = 253},
  [9450] = {.lex_state = 242},
  [9451] = {.lex_state = 243},
  [9452] = {.lex_state = 186},
  [9453] = {.lex_state = 451},
  [9454] = {.lex_state = 242},
  [9455] = {.lex_state = 451, .external_lex_state = 4},
  [9456] = {.lex_state = 451, .external_lex_state = 5},
  [9457] = {.lex_state = 451, .external_lex_state = 5},
  [9458] = {.lex_state = 259, .external_lex_state = 4},
  [9459] = {.lex_state = 451},
  [9460] = {.lex_state = 186},
  [9461] = {.lex_state = 242},
  [9462] = {.lex_state = 259, .external_lex_state = 4},
  [9463] = {.lex_state = 255},
  [9464] = {.lex_state = 451, .external_lex_state = 5},
  [9465] = {.lex_state = 253},
  [9466] = {.lex_state = 451},
  [9467] = {.lex_state = 451, .external_lex_state = 5},
  [9468] = {.lex_state = 253},
  [9469] = {.lex_state = 253},
  [9470] = {.lex_state = 253},
  [9471] = {.lex_state = 186},
  [9472] = {.lex_state = 255},
  [9473] = {.lex_state = 255},
  [9474] = {.lex_state = 451, .external_lex_state = 4},
  [9475] = {.lex_state = 451, .external_lex_state = 4},
  [9476] = {.lex_state = 242},
  [9477] = {.lex_state = 243},
  [9478] = {.lex_state = 254},
  [9479] = {.lex_state = 242},
  [9480] = {.lex_state = 242},
  [9481] = {.lex_state = 256},
  [9482] = {.lex_state = 451, .external_lex_state = 5},
  [9483] = {.lex_state = 451, .external_lex_state = 5},
  [9484] = {.lex_state = 451, .external_lex_state = 5},
  [9485] = {.lex_state = 451, .external_lex_state = 5},
  [9486] = {.lex_state = 451, .external_lex_state = 5},
  [9487] = {.lex_state = 451, .external_lex_state = 5},
  [9488] = {.lex_state = 451, .external_lex_state = 5},
  [9489] = {.lex_state = 254},
  [9490] = {.lex_state = 451, .external_lex_state = 4},
  [9491] = {.lex_state = 451},
  [9492] = {.lex_state = 451, .external_lex_state = 4},
  [9493] = {.lex_state = 253, .external_lex_state = 4},
  [9494] = {.lex_state = 451, .external_lex_state = 4},
  [9495] = {.lex_state = 451},
  [9496] = {.lex_state = 451, .external_lex_state = 4},
  [9497] = {.lex_state = 451, .external_lex_state = 4},
  [9498] = {.lex_state = 451, .external_lex_state = 4},
  [9499] = {.lex_state = 451},
  [9500] = {.lex_state = 451, .external_lex_state = 4},
  [9501] = {.lex_state = 451, .external_lex_state = 4},
  [9502] = {.lex_state = 451, .external_lex_state = 4},
  [9503] = {.lex_state = 451, .external_lex_state = 4},
  [9504] = {.lex_state = 186},
  [9505] = {.lex_state = 451, .external_lex_state = 4},
  [9506] = {.lex_state = 451, .external_lex_state = 4},
  [9507] = {.lex_state = 451, .external_lex_state = 4},
  [9508] = {.lex_state = 451, .external_lex_state = 4},
  [9509] = {.lex_state = 253},
  [9510] = {.lex_state = 451, .external_lex_state = 4},
  [9511] = {.lex_state = 451, .external_lex_state = 4},
  [9512] = {.lex_state = 451, .external_lex_state = 4},
  [9513] = {.lex_state = 242},
  [9514] = {.lex_state = 451, .external_lex_state = 4},
  [9515] = {.lex_state = 451, .external_lex_state = 4},
  [9516] = {.lex_state = 451, .external_lex_state = 4},
  [9517] = {.lex_state = 451, .external_lex_state = 4},
  [9518] = {.lex_state = 451, .external_lex_state = 4},
  [9519] = {.lex_state = 242},
  [9520] = {.lex_state = 451, .external_lex_state = 4},
  [9521] = {.lex_state = 451, .external_lex_state = 4},
  [9522] = {.lex_state = 451, .external_lex_state = 4},
  [9523] = {.lex_state = 451, .external_lex_state = 4},
  [9524] = {.lex_state = 451, .external_lex_state = 4},
  [9525] = {.lex_state = 451, .external_lex_state = 4},
  [9526] = {.lex_state = 451, .external_lex_state = 4},
  [9527] = {.lex_state = 451, .external_lex_state = 4},
  [9528] = {.lex_state = 451, .external_lex_state = 4},
  [9529] = {.lex_state = 451, .external_lex_state = 4},
  [9530] = {.lex_state = 451},
  [9531] = {.lex_state = 451, .external_lex_state = 4},
  [9532] = {.lex_state = 253},
  [9533] = {.lex_state = 451},
  [9534] = {.lex_state = 253},
  [9535] = {.lex_state = 451, .external_lex_state = 4},
  [9536] = {.lex_state = 451, .external_lex_state = 4},
  [9537] = {.lex_state = 451, .external_lex_state = 4},
  [9538] = {.lex_state = 451, .external_lex_state = 4},
  [9539] = {.lex_state = 253, .external_lex_state = 4},
  [9540] = {.lex_state = 451},
  [9541] = {.lex_state = 451, .external_lex_state = 4},
  [9542] = {.lex_state = 451, .external_lex_state = 4},
  [9543] = {.lex_state = 451, .external_lex_state = 4},
  [9544] = {.lex_state = 451, .external_lex_state = 4},
  [9545] = {.lex_state = 257},
  [9546] = {.lex_state = 243},
  [9547] = {.lex_state = 451, .external_lex_state = 4},
  [9548] = {.lex_state = 451},
  [9549] = {.lex_state = 451, .external_lex_state = 4},
  [9550] = {.lex_state = 451, .external_lex_state = 4},
  [9551] = {.lex_state = 451, .external_lex_state = 4},
  [9552] = {.lex_state = 451, .external_lex_state = 4},
  [9553] = {.lex_state = 451, .external_lex_state = 4},
  [9554] = {.lex_state = 451, .external_lex_state = 4},
  [9555] = {.lex_state = 451, .external_lex_state = 4},
  [9556] = {.lex_state = 451, .external_lex_state = 4},
  [9557] = {.lex_state = 451, .external_lex_state = 4},
  [9558] = {.lex_state = 451, .external_lex_state = 4},
  [9559] = {.lex_state = 451, .external_lex_state = 4},
  [9560] = {.lex_state = 451, .external_lex_state = 4},
  [9561] = {.lex_state = 451, .external_lex_state = 4},
  [9562] = {.lex_state = 253},
  [9563] = {.lex_state = 451, .external_lex_state = 4},
  [9564] = {.lex_state = 451, .external_lex_state = 4},
  [9565] = {.lex_state = 451, .external_lex_state = 4},
  [9566] = {.lex_state = 451, .external_lex_state = 4},
  [9567] = {.lex_state = 451, .external_lex_state = 4},
  [9568] = {.lex_state = 451, .external_lex_state = 4},
  [9569] = {.lex_state = 451},
  [9570] = {.lex_state = 451, .external_lex_state = 4},
  [9571] = {.lex_state = 451},
  [9572] = {.lex_state = 451, .external_lex_state = 4},
  [9573] = {.lex_state = 451, .external_lex_state = 4},
  [9574] = {.lex_state = 451, .external_lex_state = 4},
  [9575] = {.lex_state = 451, .external_lex_state = 4},
  [9576] = {.lex_state = 451},
  [9577] = {.lex_state = 451, .external_lex_state = 4},
  [9578] = {.lex_state = 451, .external_lex_state = 5},
  [9579] = {.lex_state = 451},
  [9580] = {.lex_state = 451, .external_lex_state = 4},
  [9581] = {.lex_state = 451, .external_lex_state = 4},
  [9582] = {.lex_state = 451, .external_lex_state = 4},
  [9583] = {.lex_state = 451, .external_lex_state = 4},
  [9584] = {.lex_state = 451, .external_lex_state = 4},
  [9585] = {.lex_state = 253},
  [9586] = {.lex_state = 451, .external_lex_state = 4},
  [9587] = {.lex_state = 451},
  [9588] = {.lex_state = 243},
  [9589] = {.lex_state = 451, .external_lex_state = 4},
  [9590] = {.lex_state = 451, .external_lex_state = 4},
  [9591] = {.lex_state = 451, .external_lex_state = 4},
  [9592] = {.lex_state = 451, .external_lex_state = 4},
  [9593] = {.lex_state = 451, .external_lex_state = 4},
  [9594] = {.lex_state = 451, .external_lex_state = 4},
  [9595] = {.lex_state = 451, .external_lex_state = 4},
  [9596] = {.lex_state = 451, .external_lex_state = 4},
  [9597] = {.lex_state = 451, .external_lex_state = 4},
  [9598] = {.lex_state = 451, .external_lex_state = 4},
  [9599] = {.lex_state = 186},
  [9600] = {.lex_state = 257},
  [9601] = {.lex_state = 451, .external_lex_state = 4},
  [9602] = {.lex_state = 451, .external_lex_state = 4},
  [9603] = {.lex_state = 451, .external_lex_state = 4},
  [9604] = {.lex_state = 451, .external_lex_state = 4},
  [9605] = {.lex_state = 451, .external_lex_state = 4},
  [9606] = {.lex_state = 451, .external_lex_state = 4},
  [9607] = {.lex_state = 451, .external_lex_state = 4},
  [9608] = {.lex_state = 451, .external_lex_state = 4},
  [9609] = {.lex_state = 451, .external_lex_state = 4},
  [9610] = {.lex_state = 451, .external_lex_state = 4},
  [9611] = {.lex_state = 257},
  [9612] = {.lex_state = 451, .external_lex_state = 4},
  [9613] = {.lex_state = 451, .external_lex_state = 4},
  [9614] = {.lex_state = 451, .external_lex_state = 4},
  [9615] = {.lex_state = 451, .external_lex_state = 4},
  [9616] = {.lex_state = 451, .external_lex_state = 4},
  [9617] = {.lex_state = 451, .external_lex_state = 4},
  [9618] = {.lex_state = 451, .external_lex_state = 4},
  [9619] = {.lex_state = 451, .external_lex_state = 4},
  [9620] = {.lex_state = 253, .external_lex_state = 4},
  [9621] = {.lex_state = 451, .external_lex_state = 4},
  [9622] = {.lex_state = 451, .external_lex_state = 4},
  [9623] = {.lex_state = 451, .external_lex_state = 4},
  [9624] = {.lex_state = 451, .external_lex_state = 4},
  [9625] = {.lex_state = 451},
  [9626] = {.lex_state = 451},
  [9627] = {.lex_state = 451, .external_lex_state = 4},
  [9628] = {.lex_state = 451, .external_lex_state = 4},
  [9629] = {.lex_state = 451, .external_lex_state = 4},
  [9630] = {.lex_state = 451, .external_lex_state = 4},
  [9631] = {.lex_state = 451, .external_lex_state = 4},
  [9632] = {.lex_state = 451, .external_lex_state = 4},
  [9633] = {.lex_state = 451, .external_lex_state = 4},
  [9634] = {.lex_state = 451, .external_lex_state = 4},
  [9635] = {.lex_state = 242},
  [9636] = {.lex_state = 451, .external_lex_state = 4},
  [9637] = {.lex_state = 451, .external_lex_state = 4},
  [9638] = {.lex_state = 451, .external_lex_state = 4},
  [9639] = {.lex_state = 451, .external_lex_state = 4},
  [9640] = {.lex_state = 451, .external_lex_state = 4},
  [9641] = {.lex_state = 451, .external_lex_state = 4},
  [9642] = {.lex_state = 451, .external_lex_state = 4},
  [9643] = {.lex_state = 451, .external_lex_state = 4},
  [9644] = {.lex_state = 451},
  [9645] = {.lex_state = 451, .external_lex_state = 4},
  [9646] = {.lex_state = 451, .external_lex_state = 4},
  [9647] = {.lex_state = 451, .external_lex_state = 4},
  [9648] = {.lex_state = 451, .external_lex_state = 4},
  [9649] = {.lex_state = 451, .external_lex_state = 4},
  [9650] = {.lex_state = 451, .external_lex_state = 4},
  [9651] = {.lex_state = 451, .external_lex_state = 4},
  [9652] = {.lex_state = 451},
  [9653] = {.lex_state = 451, .external_lex_state = 4},
  [9654] = {.lex_state = 451, .external_lex_state = 4},
  [9655] = {.lex_state = 451, .external_lex_state = 4},
  [9656] = {.lex_state = 451, .external_lex_state = 4},
  [9657] = {.lex_state = 253},
  [9658] = {.lex_state = 451, .external_lex_state = 4},
  [9659] = {.lex_state = 257},
  [9660] = {.lex_state = 451},
  [9661] = {.lex_state = 451, .external_lex_state = 4},
  [9662] = {.lex_state = 451},
  [9663] = {.lex_state = 451, .external_lex_state = 4},
  [9664] = {.lex_state = 451},
  [9665] = {.lex_state = 451, .external_lex_state = 4},
  [9666] = {.lex_state = 451, .external_lex_state = 4},
  [9667] = {.lex_state = 242},
  [9668] = {.lex_state = 451, .external_lex_state = 4},
  [9669] = {.lex_state = 253},
  [9670] = {.lex_state = 451, .external_lex_state = 4},
  [9671] = {.lex_state = 451},
  [9672] = {.lex_state = 253},
  [9673] = {.lex_state = 451, .external_lex_state = 4},
  [9674] = {.lex_state = 451, .external_lex_state = 4},
  [9675] = {.lex_state = 451},
  [9676] = {.lex_state = 451, .external_lex_state = 4},
  [9677] = {.lex_state = 451, .external_lex_state = 4},
  [9678] = {.lex_state = 451, .external_lex_state = 4},
  [9679] = {.lex_state = 451, .external_lex_state = 4},
  [9680] = {.lex_state = 451, .external_lex_state = 4},
  [9681] = {.lex_state = 451, .external_lex_state = 4},
  [9682] = {.lex_state = 451, .external_lex_state = 4},
  [9683] = {.lex_state = 451},
  [9684] = {.lex_state = 451, .external_lex_state = 4},
  [9685] = {.lex_state = 451},
  [9686] = {.lex_state = 253},
  [9687] = {.lex_state = 451},
  [9688] = {.lex_state = 451, .external_lex_state = 4},
  [9689] = {.lex_state = 451, .external_lex_state = 4},
  [9690] = {.lex_state = 451, .external_lex_state = 4},
  [9691] = {.lex_state = 451, .external_lex_state = 4},
  [9692] = {.lex_state = 257},
  [9693] = {.lex_state = 263},
  [9694] = {.lex_state = 451, .external_lex_state = 4},
  [9695] = {.lex_state = 186},
  [9696] = {.lex_state = 451},
  [9697] = {.lex_state = 451},
  [9698] = {.lex_state = 242},
  [9699] = {.lex_state = 451},
  [9700] = {.lex_state = 451},
  [9701] = {.lex_state = 242},
  [9702] = {.lex_state = 451},
  [9703] = {.lex_state = 451},
  [9704] = {.lex_state = 242},
  [9705] = {.lex_state = 451},
  [9706] = {.lex_state = 451},
  [9707] = {.lex_state = 242},
  [9708] = {.lex_state = 451},
  [9709] = {.lex_state = 451},
  [9710] = {.lex_state = 451},
  [9711] = {.lex_state = 242},
  [9712] = {.lex_state = 242},
  [9713] = {.lex_state = 451},
  [9714] = {.lex_state = 451},
  [9715] = {.lex_state = 451, .external_lex_state = 4},
  [9716] = {.lex_state = 451},
  [9717] = {.lex_state = 451},
  [9718] = {.lex_state = 451},
  [9719] = {.lex_state = 451},
  [9720] = {.lex_state = 242},
  [9721] = {.lex_state = 451, .external_lex_state = 4},
  [9722] = {.lex_state = 242},
  [9723] = {.lex_state = 451},
  [9724] = {.lex_state = 451},
  [9725] = {.lex_state = 451},
  [9726] = {.lex_state = 242},
  [9727] = {.lex_state = 451, .external_lex_state = 4},
  [9728] = {.lex_state = 451},
  [9729] = {.lex_state = 451},
  [9730] = {.lex_state = 242},
  [9731] = {.lex_state = 451},
  [9732] = {.lex_state = 451},
  [9733] = {.lex_state = 451},
  [9734] = {.lex_state = 242},
  [9735] = {.lex_state = 242},
  [9736] = {.lex_state = 451},
  [9737] = {.lex_state = 451},
  [9738] = {.lex_state = 242},
  [9739] = {.lex_state = 451},
  [9740] = {.lex_state = 451},
  [9741] = {.lex_state = 242},
  [9742] = {.lex_state = 451},
  [9743] = {.lex_state = 451},
  [9744] = {.lex_state = 242},
  [9745] = {.lex_state = 451, .external_lex_state = 4},
  [9746] = {.lex_state = 451, .external_lex_state = 4},
  [9747] = {.lex_state = 451, .external_lex_state = 4},
  [9748] = {.lex_state = 451},
  [9749] = {.lex_state = 451},
  [9750] = {.lex_state = 451},
  [9751] = {.lex_state = 242},
  [9752] = {.lex_state = 451},
  [9753] = {.lex_state = 451},
  [9754] = {.lex_state = 451},
  [9755] = {.lex_state = 451},
  [9756] = {.lex_state = 242},
  [9757] = {.lex_state = 242},
  [9758] = {.lex_state = 242},
  [9759] = {.lex_state = 451},
  [9760] = {.lex_state = 451, .external_lex_state = 4},
  [9761] = {.lex_state = 451},
  [9762] = {.lex_state = 242},
  [9763] = {.lex_state = 451},
  [9764] = {.lex_state = 242},
  [9765] = {.lex_state = 242},
  [9766] = {.lex_state = 451},
  [9767] = {.lex_state = 451, .external_lex_state = 4},
  [9768] = {.lex_state = 256},
  [9769] = {.lex_state = 451},
  [9770] = {.lex_state = 451},
  [9771] = {.lex_state = 242},
  [9772] = {.lex_state = 451, .external_lex_state = 4},
  [9773] = {.lex_state = 451},
  [9774] = {.lex_state = 451},
  [9775] = {.lex_state = 451, .external_lex_state = 3},
  [9776] = {.lex_state = 242},
  [9777] = {.lex_state = 451},
  [9778] = {.lex_state = 451},
  [9779] = {.lex_state = 242},
  [9780] = {.lex_state = 451},
  [9781] = {.lex_state = 451},
  [9782] = {.lex_state = 451, .external_lex_state = 4},
  [9783] = {.lex_state = 451},
  [9784] = {.lex_state = 242},
  [9785] = {.lex_state = 451},
  [9786] = {.lex_state = 451},
  [9787] = {.lex_state = 242},
  [9788] = {.lex_state = 451},
  [9789] = {.lex_state = 451},
  [9790] = {.lex_state = 451},
  [9791] = {.lex_state = 242},
  [9792] = {.lex_state = 451},
  [9793] = {.lex_state = 242},
  [9794] = {.lex_state = 451, .external_lex_state = 4},
  [9795] = {.lex_state = 451},
  [9796] = {.lex_state = 451},
  [9797] = {.lex_state = 451, .external_lex_state = 4},
  [9798] = {.lex_state = 242},
  [9799] = {.lex_state = 242},
  [9800] = {.lex_state = 451, .external_lex_state = 4},
  [9801] = {.lex_state = 451},
  [9802] = {.lex_state = 451},
  [9803] = {.lex_state = 242},
  [9804] = {.lex_state = 451},
  [9805] = {.lex_state = 451},
  [9806] = {.lex_state = 451},
  [9807] = {.lex_state = 451},
  [9808] = {.lex_state = 451},
  [9809] = {.lex_state = 242},
  [9810] = {.lex_state = 451, .external_lex_state = 4},
  [9811] = {.lex_state = 451},
  [9812] = {.lex_state = 451},
  [9813] = {.lex_state = 242},
  [9814] = {.lex_state = 242},
  [9815] = {.lex_state = 451},
  [9816] = {.lex_state = 451},
  [9817] = {.lex_state = 451},
  [9818] = {.lex_state = 242},
  [9819] = {.lex_state = 242},
  [9820] = {.lex_state = 451},
  [9821] = {.lex_state = 451},
  [9822] = {.lex_state = 242},
  [9823] = {.lex_state = 451},
  [9824] = {.lex_state = 451},
  [9825] = {.lex_state = 451, .external_lex_state = 4},
  [9826] = {.lex_state = 451},
  [9827] = {.lex_state = 242},
  [9828] = {.lex_state = 451},
  [9829] = {.lex_state = 451},
  [9830] = {.lex_state = 451},
  [9831] = {.lex_state = 242},
  [9832] = {.lex_state = 253},
  [9833] = {.lex_state = 451},
  [9834] = {.lex_state = 242},
  [9835] = {.lex_state = 242},
  [9836] = {.lex_state = 253, .external_lex_state = 2},
  [9837] = {.lex_state = 242},
  [9838] = {.lex_state = 451, .external_lex_state = 4},
  [9839] = {.lex_state = 451, .external_lex_state = 4},
  [9840] = {.lex_state = 253},
  [9841] = {.lex_state = 451},
  [9842] = {.lex_state = 451},
  [9843] = {.lex_state = 451},
  [9844] = {.lex_state = 242},
  [9845] = {.lex_state = 451},
  [9846] = {.lex_state = 242},
  [9847] = {.lex_state = 451},
  [9848] = {.lex_state = 451},
  [9849] = {.lex_state = 451},
  [9850] = {.lex_state = 242},
  [9851] = {.lex_state = 451, .external_lex_state = 4},
  [9852] = {.lex_state = 451},
  [9853] = {.lex_state = 242},
  [9854] = {.lex_state = 451, .external_lex_state = 4},
  [9855] = {.lex_state = 451},
  [9856] = {.lex_state = 451},
  [9857] = {.lex_state = 242},
  [9858] = {.lex_state = 451, .external_lex_state = 4},
  [9859] = {.lex_state = 451, .external_lex_state = 4},
  [9860] = {.lex_state = 253},
  [9861] = {.lex_state = 451},
  [9862] = {.lex_state = 451},
  [9863] = {.lex_state = 242},
  [9864] = {.lex_state = 451, .external_lex_state = 4},
  [9865] = {.lex_state = 253},
  [9866] = {.lex_state = 451, .external_lex_state = 4},
  [9867] = {.lex_state = 451},
  [9868] = {.lex_state = 451},
  [9869] = {.lex_state = 242},
  [9870] = {.lex_state = 451, .external_lex_state = 4},
  [9871] = {.lex_state = 451, .external_lex_state = 4},
  [9872] = {.lex_state = 253},
  [9873] = {.lex_state = 451, .external_lex_state = 4},
  [9874] = {.lex_state = 451},
  [9875] = {.lex_state = 451},
  [9876] = {.lex_state = 451, .external_lex_state = 4},
  [9877] = {.lex_state = 451},
  [9878] = {.lex_state = 242},
  [9879] = {.lex_state = 451},
  [9880] = {.lex_state = 451},
  [9881] = {.lex_state = 242},
  [9882] = {.lex_state = 253},
  [9883] = {.lex_state = 253},
  [9884] = {.lex_state = 451},
  [9885] = {.lex_state = 451},
  [9886] = {.lex_state = 451},
  [9887] = {.lex_state = 242},
  [9888] = {.lex_state = 451},
  [9889] = {.lex_state = 242},
  [9890] = {.lex_state = 451},
  [9891] = {.lex_state = 451},
  [9892] = {.lex_state = 242},
  [9893] = {.lex_state = 242},
  [9894] = {.lex_state = 451},
  [9895] = {.lex_state = 451},
  [9896] = {.lex_state = 242},
  [9897] = {.lex_state = 451},
  [9898] = {.lex_state = 451},
  [9899] = {.lex_state = 451},
  [9900] = {.lex_state = 242},
  [9901] = {.lex_state = 451},
  [9902] = {.lex_state = 451, .external_lex_state = 4},
  [9903] = {.lex_state = 242},
  [9904] = {.lex_state = 451, .external_lex_state = 4},
  [9905] = {.lex_state = 451},
  [9906] = {.lex_state = 451},
  [9907] = {.lex_state = 451},
  [9908] = {.lex_state = 242},
  [9909] = {.lex_state = 451},
  [9910] = {.lex_state = 451},
  [9911] = {.lex_state = 451},
  [9912] = {.lex_state = 451},
  [9913] = {.lex_state = 242},
  [9914] = {.lex_state = 242},
  [9915] = {.lex_state = 451},
  [9916] = {.lex_state = 242},
  [9917] = {.lex_state = 451},
  [9918] = {.lex_state = 451},
  [9919] = {.lex_state = 242},
  [9920] = {.lex_state = 451},
  [9921] = {.lex_state = 451},
  [9922] = {.lex_state = 242},
  [9923] = {.lex_state = 451},
  [9924] = {.lex_state = 451},
  [9925] = {.lex_state = 242},
  [9926] = {.lex_state = 451},
  [9927] = {.lex_state = 451},
  [9928] = {.lex_state = 242},
  [9929] = {.lex_state = 253},
  [9930] = {.lex_state = 451},
  [9931] = {.lex_state = 451},
  [9932] = {.lex_state = 242},
  [9933] = {.lex_state = 451},
  [9934] = {.lex_state = 451},
  [9935] = {.lex_state = 242},
  [9936] = {.lex_state = 451},
  [9937] = {.lex_state = 451},
  [9938] = {.lex_state = 242},
  [9939] = {.lex_state = 451},
  [9940] = {.lex_state = 451},
  [9941] = {.lex_state = 451},
  [9942] = {.lex_state = 242},
  [9943] = {.lex_state = 451, .external_lex_state = 4},
  [9944] = {.lex_state = 451},
  [9945] = {.lex_state = 451},
  [9946] = {.lex_state = 242},
  [9947] = {.lex_state = 451},
  [9948] = {.lex_state = 242},
  [9949] = {.lex_state = 451},
  [9950] = {.lex_state = 451},
  [9951] = {.lex_state = 242},
  [9952] = {.lex_state = 451},
  [9953] = {.lex_state = 242},
  [9954] = {.lex_state = 451},
  [9955] = {.lex_state = 451},
  [9956] = {.lex_state = 242},
  [9957] = {.lex_state = 451, .external_lex_state = 4},
  [9958] = {.lex_state = 451},
  [9959] = {.lex_state = 451},
  [9960] = {.lex_state = 242},
  [9961] = {.lex_state = 451},
  [9962] = {.lex_state = 451},
  [9963] = {.lex_state = 242},
  [9964] = {.lex_state = 451},
  [9965] = {.lex_state = 451},
  [9966] = {.lex_state = 242},
  [9967] = {.lex_state = 451},
  [9968] = {.lex_state = 451},
  [9969] = {.lex_state = 451},
  [9970] = {.lex_state = 451},
  [9971] = {.lex_state = 451},
  [9972] = {.lex_state = 451},
  [9973] = {.lex_state = 451},
  [9974] = {.lex_state = 242},
  [9975] = {.lex_state = 242},
  [9976] = {.lex_state = 451},
  [9977] = {.lex_state = 451},
  [9978] = {.lex_state = 451},
  [9979] = {.lex_state = 242},
  [9980] = {.lex_state = 242},
  [9981] = {.lex_state = 451},
  [9982] = {.lex_state = 451},
  [9983] = {.lex_state = 242},
  [9984] = {.lex_state = 451},
  [9985] = {.lex_state = 451},
  [9986] = {.lex_state = 451, .external_lex_state = 4},
  [9987] = {.lex_state = 451},
  [9988] = {.lex_state = 242},
  [9989] = {.lex_state = 451},
  [9990] = {.lex_state = 451},
  [9991] = {.lex_state = 451},
  [9992] = {.lex_state = 242},
  [9993] = {.lex_state = 242},
  [9994] = {.lex_state = 451},
  [9995] = {.lex_state = 451},
  [9996] = {.lex_state = 242},
  [9997] = {.lex_state = 451},
  [9998] = {.lex_state = 451},
  [9999] = {.lex_state = 242},
  [10000] = {.lex_state = 451},
  [10001] = {.lex_state = 451},
  [10002] = {.lex_state = 242},
  [10003] = {.lex_state = 451},
  [10004] = {.lex_state = 451},
  [10005] = {.lex_state = 242},
  [10006] = {.lex_state = 451},
  [10007] = {.lex_state = 451},
  [10008] = {.lex_state = 242},
  [10009] = {.lex_state = 451},
  [10010] = {.lex_state = 451},
  [10011] = {.lex_state = 242},
  [10012] = {.lex_state = 451},
  [10013] = {.lex_state = 451},
  [10014] = {.lex_state = 242},
  [10015] = {.lex_state = 451, .external_lex_state = 4},
  [10016] = {.lex_state = 451, .external_lex_state = 4},
  [10017] = {.lex_state = 451},
  [10018] = {.lex_state = 451},
  [10019] = {.lex_state = 242},
  [10020] = {.lex_state = 451},
  [10021] = {.lex_state = 451},
  [10022] = {.lex_state = 242},
  [10023] = {.lex_state = 242},
  [10024] = {.lex_state = 451},
  [10025] = {.lex_state = 451},
  [10026] = {.lex_state = 451},
  [10027] = {.lex_state = 242},
  [10028] = {.lex_state = 451},
  [10029] = {.lex_state = 242},
  [10030] = {.lex_state = 451, .external_lex_state = 4},
  [10031] = {.lex_state = 451, .external_lex_state = 4},
  [10032] = {.lex_state = 451, .external_lex_state = 4},
  [10033] = {.lex_state = 451, .external_lex_state = 4},
  [10034] = {.lex_state = 451},
  [10035] = {.lex_state = 451},
  [10036] = {.lex_state = 242},
  [10037] = {.lex_state = 451},
  [10038] = {.lex_state = 451},
  [10039] = {.lex_state = 242},
  [10040] = {.lex_state = 451},
  [10041] = {.lex_state = 451},
  [10042] = {.lex_state = 242},
  [10043] = {.lex_state = 451, .external_lex_state = 3},
  [10044] = {.lex_state = 451},
  [10045] = {.lex_state = 451},
  [10046] = {.lex_state = 451},
  [10047] = {.lex_state = 242},
  [10048] = {.lex_state = 451},
  [10049] = {.lex_state = 451},
  [10050] = {.lex_state = 242},
  [10051] = {.lex_state = 451},
  [10052] = {.lex_state = 451},
  [10053] = {.lex_state = 451},
  [10054] = {.lex_state = 242},
  [10055] = {.lex_state = 451},
  [10056] = {.lex_state = 451},
  [10057] = {.lex_state = 451},
  [10058] = {.lex_state = 242},
  [10059] = {.lex_state = 253},
  [10060] = {.lex_state = 451},
  [10061] = {.lex_state = 451},
  [10062] = {.lex_state = 242},
  [10063] = {.lex_state = 451},
  [10064] = {.lex_state = 451},
  [10065] = {.lex_state = 242},
  [10066] = {.lex_state = 451},
  [10067] = {.lex_state = 451},
  [10068] = {.lex_state = 242},
  [10069] = {.lex_state = 451},
  [10070] = {.lex_state = 451},
  [10071] = {.lex_state = 242},
  [10072] = {.lex_state = 451},
  [10073] = {.lex_state = 253},
  [10074] = {.lex_state = 253},
  [10075] = {.lex_state = 451},
  [10076] = {.lex_state = 451},
  [10077] = {.lex_state = 451},
  [10078] = {.lex_state = 242},
  [10079] = {.lex_state = 451},
  [10080] = {.lex_state = 451},
  [10081] = {.lex_state = 451},
  [10082] = {.lex_state = 242},
  [10083] = {.lex_state = 451},
  [10084] = {.lex_state = 451},
  [10085] = {.lex_state = 242},
  [10086] = {.lex_state = 451},
  [10087] = {.lex_state = 451},
  [10088] = {.lex_state = 242},
  [10089] = {.lex_state = 451},
  [10090] = {.lex_state = 451},
  [10091] = {.lex_state = 451, .external_lex_state = 4},
  [10092] = {.lex_state = 451},
  [10093] = {.lex_state = 451},
  [10094] = {.lex_state = 451},
  [10095] = {.lex_state = 451},
  [10096] = {.lex_state = 451},
  [10097] = {.lex_state = 451},
  [10098] = {.lex_state = 451, .external_lex_state = 4},
  [10099] = {.lex_state = 451},
  [10100] = {.lex_state = 451},
  [10101] = {.lex_state = 451, .external_lex_state = 4},
  [10102] = {.lex_state = 451},
  [10103] = {.lex_state = 451},
  [10104] = {.lex_state = 451},
  [10105] = {.lex_state = 451},
  [10106] = {.lex_state = 451},
  [10107] = {.lex_state = 451},
  [10108] = {.lex_state = 451},
  [10109] = {.lex_state = 451},
  [10110] = {.lex_state = 451},
  [10111] = {.lex_state = 451},
  [10112] = {.lex_state = 451, .external_lex_state = 4},
  [10113] = {.lex_state = 451},
  [10114] = {.lex_state = 451},
  [10115] = {.lex_state = 242},
  [10116] = {.lex_state = 451},
  [10117] = {.lex_state = 451},
  [10118] = {.lex_state = 451},
  [10119] = {.lex_state = 451},
  [10120] = {.lex_state = 451},
  [10121] = {.lex_state = 451},
  [10122] = {.lex_state = 242},
  [10123] = {.lex_state = 451},
  [10124] = {.lex_state = 451},
  [10125] = {.lex_state = 451},
  [10126] = {.lex_state = 451},
  [10127] = {.lex_state = 451},
  [10128] = {.lex_state = 451},
  [10129] = {.lex_state = 451},
  [10130] = {.lex_state = 451},
  [10131] = {.lex_state = 451},
  [10132] = {.lex_state = 451},
  [10133] = {.lex_state = 451},
  [10134] = {.lex_state = 451},
  [10135] = {.lex_state = 242},
  [10136] = {.lex_state = 451},
  [10137] = {.lex_state = 451},
  [10138] = {.lex_state = 451},
  [10139] = {.lex_state = 451},
  [10140] = {.lex_state = 451},
  [10141] = {.lex_state = 451},
  [10142] = {.lex_state = 451},
  [10143] = {.lex_state = 451},
  [10144] = {.lex_state = 242},
  [10145] = {.lex_state = 451},
  [10146] = {.lex_state = 451},
  [10147] = {.lex_state = 451},
  [10148] = {.lex_state = 451},
  [10149] = {.lex_state = 451},
  [10150] = {.lex_state = 451},
  [10151] = {.lex_state = 451},
  [10152] = {.lex_state = 451},
  [10153] = {.lex_state = 451},
  [10154] = {.lex_state = 451},
  [10155] = {.lex_state = 451},
  [10156] = {.lex_state = 451},
  [10157] = {.lex_state = 451},
  [10158] = {.lex_state = 451},
  [10159] = {.lex_state = 451},
  [10160] = {.lex_state = 451},
  [10161] = {.lex_state = 242},
  [10162] = {.lex_state = 451},
  [10163] = {.lex_state = 451},
  [10164] = {.lex_state = 451},
  [10165] = {.lex_state = 451},
  [10166] = {.lex_state = 451},
  [10167] = {.lex_state = 451},
  [10168] = {.lex_state = 451},
  [10169] = {.lex_state = 451},
  [10170] = {.lex_state = 451},
  [10171] = {.lex_state = 451},
  [10172] = {.lex_state = 451},
  [10173] = {.lex_state = 451},
  [10174] = {.lex_state = 451},
  [10175] = {.lex_state = 451},
  [10176] = {.lex_state = 451},
  [10177] = {.lex_state = 451},
  [10178] = {.lex_state = 451},
  [10179] = {.lex_state = 451},
  [10180] = {.lex_state = 451},
  [10181] = {.lex_state = 451},
  [10182] = {.lex_state = 451},
  [10183] = {.lex_state = 451},
  [10184] = {.lex_state = 451},
  [10185] = {.lex_state = 451},
  [10186] = {.lex_state = 451},
  [10187] = {.lex_state = 451},
  [10188] = {.lex_state = 451},
  [10189] = {.lex_state = 451},
  [10190] = {.lex_state = 451},
  [10191] = {.lex_state = 451, .external_lex_state = 4},
  [10192] = {.lex_state = 451, .external_lex_state = 4},
  [10193] = {.lex_state = 451},
  [10194] = {.lex_state = 451},
  [10195] = {.lex_state = 451},
  [10196] = {.lex_state = 451},
  [10197] = {.lex_state = 451},
  [10198] = {.lex_state = 451},
  [10199] = {.lex_state = 451},
  [10200] = {.lex_state = 451},
  [10201] = {.lex_state = 451},
  [10202] = {.lex_state = 451},
  [10203] = {.lex_state = 451},
  [10204] = {.lex_state = 451},
  [10205] = {.lex_state = 451},
  [10206] = {.lex_state = 451},
  [10207] = {.lex_state = 451},
  [10208] = {.lex_state = 451},
  [10209] = {.lex_state = 451},
  [10210] = {.lex_state = 451},
  [10211] = {.lex_state = 451},
  [10212] = {.lex_state = 451},
  [10213] = {.lex_state = 451},
  [10214] = {.lex_state = 451},
  [10215] = {.lex_state = 451},
  [10216] = {.lex_state = 451},
  [10217] = {.lex_state = 451},
  [10218] = {.lex_state = 451},
  [10219] = {.lex_state = 451},
  [10220] = {.lex_state = 451},
  [10221] = {.lex_state = 451},
  [10222] = {.lex_state = 242},
  [10223] = {.lex_state = 451, .external_lex_state = 4},
  [10224] = {.lex_state = 451, .external_lex_state = 4},
  [10225] = {.lex_state = 451},
  [10226] = {.lex_state = 451},
  [10227] = {.lex_state = 242},
  [10228] = {.lex_state = 451, .external_lex_state = 2},
  [10229] = {.lex_state = 451},
  [10230] = {.lex_state = 451},
  [10231] = {.lex_state = 242},
  [10232] = {.lex_state = 451},
  [10233] = {.lex_state = 451},
  [10234] = {.lex_state = 242},
  [10235] = {.lex_state = 451},
  [10236] = {.lex_state = 451},
  [10237] = {.lex_state = 451},
  [10238] = {.lex_state = 242},
  [10239] = {.lex_state = 451},
  [10240] = {.lex_state = 451},
  [10241] = {.lex_state = 242},
  [10242] = {.lex_state = 451},
  [10243] = {.lex_state = 242},
  [10244] = {.lex_state = 451},
  [10245] = {.lex_state = 451},
  [10246] = {.lex_state = 242},
  [10247] = {.lex_state = 451},
  [10248] = {.lex_state = 451},
  [10249] = {.lex_state = 451},
  [10250] = {.lex_state = 451},
  [10251] = {.lex_state = 451},
  [10252] = {.lex_state = 451},
  [10253] = {.lex_state = 242},
  [10254] = {.lex_state = 451},
  [10255] = {.lex_state = 451},
  [10256] = {.lex_state = 242},
  [10257] = {.lex_state = 242},
  [10258] = {.lex_state = 242},
  [10259] = {.lex_state = 451},
  [10260] = {.lex_state = 242},
  [10261] = {.lex_state = 242},
  [10262] = {.lex_state = 451},
  [10263] = {.lex_state = 451, .external_lex_state = 4},
  [10264] = {.lex_state = 451},
  [10265] = {.lex_state = 451},
  [10266] = {.lex_state = 451},
  [10267] = {.lex_state = 451},
  [10268] = {.lex_state = 451},
  [10269] = {.lex_state = 242},
  [10270] = {.lex_state = 451},
  [10271] = {.lex_state = 451},
  [10272] = {.lex_state = 242},
  [10273] = {.lex_state = 451},
  [10274] = {.lex_state = 451},
  [10275] = {.lex_state = 242},
  [10276] = {.lex_state = 451},
  [10277] = {.lex_state = 242},
  [10278] = {.lex_state = 451},
  [10279] = {.lex_state = 242},
  [10280] = {.lex_state = 451},
  [10281] = {.lex_state = 451},
  [10282] = {.lex_state = 451},
  [10283] = {.lex_state = 242},
  [10284] = {.lex_state = 451},
  [10285] = {.lex_state = 451},
  [10286] = {.lex_state = 242},
  [10287] = {.lex_state = 451},
  [10288] = {.lex_state = 451},
  [10289] = {.lex_state = 242},
  [10290] = {.lex_state = 451},
  [10291] = {.lex_state = 242},
  [10292] = {.lex_state = 242},
  [10293] = {.lex_state = 451},
  [10294] = {.lex_state = 451},
  [10295] = {.lex_state = 451},
  [10296] = {.lex_state = 242},
  [10297] = {.lex_state = 451},
  [10298] = {.lex_state = 451},
  [10299] = {.lex_state = 451},
  [10300] = {.lex_state = 451},
  [10301] = {.lex_state = 242},
  [10302] = {.lex_state = 451},
  [10303] = {.lex_state = 451},
  [10304] = {.lex_state = 242},
  [10305] = {.lex_state = 451},
  [10306] = {.lex_state = 242},
  [10307] = {.lex_state = 451},
  [10308] = {.lex_state = 242},
  [10309] = {.lex_state = 242},
  [10310] = {.lex_state = 242},
  [10311] = {.lex_state = 451},
  [10312] = {.lex_state = 451},
  [10313] = {.lex_state = 451},
  [10314] = {.lex_state = 451},
  [10315] = {.lex_state = 451},
  [10316] = {.lex_state = 451},
  [10317] = {.lex_state = 242},
  [10318] = {.lex_state = 451},
  [10319] = {.lex_state = 451},
  [10320] = {.lex_state = 242},
  [10321] = {.lex_state = 451},
  [10322] = {.lex_state = 242},
  [10323] = {.lex_state = 242},
  [10324] = {.lex_state = 451},
  [10325] = {.lex_state = 451},
  [10326] = {.lex_state = 451},
  [10327] = {.lex_state = 451},
  [10328] = {.lex_state = 451},
  [10329] = {.lex_state = 451},
  [10330] = {.lex_state = 451},
  [10331] = {.lex_state = 451},
  [10332] = {.lex_state = 242},
  [10333] = {.lex_state = 451},
  [10334] = {.lex_state = 451},
  [10335] = {.lex_state = 242},
  [10336] = {.lex_state = 451},
  [10337] = {.lex_state = 451},
  [10338] = {.lex_state = 242},
  [10339] = {.lex_state = 451},
  [10340] = {.lex_state = 451},
  [10341] = {.lex_state = 242},
  [10342] = {.lex_state = 242},
  [10343] = {.lex_state = 451},
  [10344] = {.lex_state = 451},
  [10345] = {.lex_state = 242},
  [10346] = {.lex_state = 242},
  [10347] = {.lex_state = 451},
  [10348] = {.lex_state = 451},
  [10349] = {.lex_state = 451},
  [10350] = {.lex_state = 242},
  [10351] = {.lex_state = 451},
  [10352] = {.lex_state = 451},
  [10353] = {.lex_state = 242},
  [10354] = {.lex_state = 451},
  [10355] = {.lex_state = 242},
  [10356] = {.lex_state = 451},
  [10357] = {.lex_state = 451},
  [10358] = {.lex_state = 451},
  [10359] = {.lex_state = 242},
  [10360] = {.lex_state = 451, .external_lex_state = 4},
  [10361] = {.lex_state = 451},
  [10362] = {.lex_state = 451},
  [10363] = {.lex_state = 451},
  [10364] = {.lex_state = 451},
  [10365] = {.lex_state = 242},
  [10366] = {.lex_state = 451},
  [10367] = {.lex_state = 451},
  [10368] = {.lex_state = 242},
  [10369] = {.lex_state = 451},
  [10370] = {.lex_state = 242},
  [10371] = {.lex_state = 451},
  [10372] = {.lex_state = 242},
  [10373] = {.lex_state = 451},
  [10374] = {.lex_state = 451},
  [10375] = {.lex_state = 451},
  [10376] = {.lex_state = 451},
  [10377] = {.lex_state = 451},
  [10378] = {.lex_state = 451},
  [10379] = {.lex_state = 451},
  [10380] = {.lex_state = 451},
  [10381] = {.lex_state = 242},
  [10382] = {.lex_state = 451},
  [10383] = {.lex_state = 451},
  [10384] = {.lex_state = 242},
  [10385] = {.lex_state = 242},
  [10386] = {.lex_state = 242},
  [10387] = {.lex_state = 451},
  [10388] = {.lex_state = 451, .external_lex_state = 4},
  [10389] = {.lex_state = 451, .external_lex_state = 4},
  [10390] = {.lex_state = 242},
  [10391] = {.lex_state = 451},
  [10392] = {.lex_state = 451},
  [10393] = {.lex_state = 451},
  [10394] = {.lex_state = 451},
  [10395] = {.lex_state = 451},
  [10396] = {.lex_state = 451},
  [10397] = {.lex_state = 242},
  [10398] = {.lex_state = 451},
  [10399] = {.lex_state = 451},
  [10400] = {.lex_state = 451},
  [10401] = {.lex_state = 242},
  [10402] = {.lex_state = 242},
  [10403] = {.lex_state = 451},
  [10404] = {.lex_state = 242},
  [10405] = {.lex_state = 451},
  [10406] = {.lex_state = 451},
  [10407] = {.lex_state = 451},
  [10408] = {.lex_state = 242},
  [10409] = {.lex_state = 451},
  [10410] = {.lex_state = 451},
  [10411] = {.lex_state = 451},
  [10412] = {.lex_state = 451},
  [10413] = {.lex_state = 451},
  [10414] = {.lex_state = 242},
  [10415] = {.lex_state = 451},
  [10416] = {.lex_state = 451},
  [10417] = {.lex_state = 242},
  [10418] = {.lex_state = 242},
  [10419] = {.lex_state = 242},
  [10420] = {.lex_state = 451},
  [10421] = {.lex_state = 451},
  [10422] = {.lex_state = 242},
  [10423] = {.lex_state = 451},
  [10424] = {.lex_state = 451},
  [10425] = {.lex_state = 451},
  [10426] = {.lex_state = 451},
  [10427] = {.lex_state = 451},
  [10428] = {.lex_state = 451},
  [10429] = {.lex_state = 242},
  [10430] = {.lex_state = 451},
  [10431] = {.lex_state = 451},
  [10432] = {.lex_state = 242},
  [10433] = {.lex_state = 451},
  [10434] = {.lex_state = 242},
  [10435] = {.lex_state = 242},
  [10436] = {.lex_state = 451},
  [10437] = {.lex_state = 451},
  [10438] = {.lex_state = 451, .external_lex_state = 4},
  [10439] = {.lex_state = 451},
  [10440] = {.lex_state = 451},
  [10441] = {.lex_state = 451},
  [10442] = {.lex_state = 451},
  [10443] = {.lex_state = 451},
  [10444] = {.lex_state = 242},
  [10445] = {.lex_state = 451},
  [10446] = {.lex_state = 451},
  [10447] = {.lex_state = 451},
  [10448] = {.lex_state = 242},
  [10449] = {.lex_state = 451},
  [10450] = {.lex_state = 242},
  [10451] = {.lex_state = 242},
  [10452] = {.lex_state = 451},
  [10453] = {.lex_state = 242},
  [10454] = {.lex_state = 451},
  [10455] = {.lex_state = 242},
  [10456] = {.lex_state = 242},
  [10457] = {.lex_state = 451},
  [10458] = {.lex_state = 451},
  [10459] = {.lex_state = 451},
  [10460] = {.lex_state = 451},
  [10461] = {.lex_state = 242},
  [10462] = {.lex_state = 451},
  [10463] = {.lex_state = 451},
  [10464] = {.lex_state = 242},
  [10465] = {.lex_state = 242},
  [10466] = {.lex_state = 242},
  [10467] = {.lex_state = 242},
  [10468] = {.lex_state = 451},
  [10469] = {.lex_state = 242},
  [10470] = {.lex_state = 242},
  [10471] = {.lex_state = 451},
  [10472] = {.lex_state = 451},
  [10473] = {.lex_state = 451},
  [10474] = {.lex_state = 451},
  [10475] = {.lex_state = 451},
  [10476] = {.lex_state = 242},
  [10477] = {.lex_state = 451},
  [10478] = {.lex_state = 451},
  [10479] = {.lex_state = 242},
  [10480] = {.lex_state = 451},
  [10481] = {.lex_state = 242},
  [10482] = {.lex_state = 451},
  [10483] = {.lex_state = 451},
  [10484] = {.lex_state = 451},
  [10485] = {.lex_state = 242},
  [10486] = {.lex_state = 451},
  [10487] = {.lex_state = 451},
  [10488] = {.lex_state = 451},
  [10489] = {.lex_state = 451},
  [10490] = {.lex_state = 451},
  [10491] = {.lex_state = 451},
  [10492] = {.lex_state = 242},
  [10493] = {.lex_state = 451},
  [10494] = {.lex_state = 451},
  [10495] = {.lex_state = 451},
  [10496] = {.lex_state = 242},
  [10497] = {.lex_state = 451},
  [10498] = {.lex_state = 242},
  [10499] = {.lex_state = 451},
  [10500] = {.lex_state = 451},
  [10501] = {.lex_state = 242},
  [10502] = {.lex_state = 451},
  [10503] = {.lex_state = 451},
  [10504] = {.lex_state = 451},
  [10505] = {.lex_state = 451},
  [10506] = {.lex_state = 451},
  [10507] = {.lex_state = 451},
  [10508] = {.lex_state = 451},
  [10509] = {.lex_state = 242},
  [10510] = {.lex_state = 242},
  [10511] = {.lex_state = 451},
  [10512] = {.lex_state = 451},
  [10513] = {.lex_state = 451},
  [10514] = {.lex_state = 242},
  [10515] = {.lex_state = 242},
  [10516] = {.lex_state = 242},
  [10517] = {.lex_state = 451},
  [10518] = {.lex_state = 242},
  [10519] = {.lex_state = 451},
  [10520] = {.lex_state = 451},
  [10521] = {.lex_state = 451},
  [10522] = {.lex_state = 242},
  [10523] = {.lex_state = 451},
  [10524] = {.lex_state = 451},
  [10525] = {.lex_state = 451},
  [10526] = {.lex_state = 242},
  [10527] = {.lex_state = 451},
  [10528] = {.lex_state = 451},
  [10529] = {.lex_state = 242},
  [10530] = {.lex_state = 451},
  [10531] = {.lex_state = 242},
  [10532] = {.lex_state = 242},
  [10533] = {.lex_state = 451},
  [10534] = {.lex_state = 451},
  [10535] = {.lex_state = 451},
  [10536] = {.lex_state = 451},
  [10537] = {.lex_state = 451},
  [10538] = {.lex_state = 451},
  [10539] = {.lex_state = 451},
  [10540] = {.lex_state = 451},
  [10541] = {.lex_state = 242},
  [10542] = {.lex_state = 451},
  [10543] = {.lex_state = 451},
  [10544] = {.lex_state = 242},
  [10545] = {.lex_state = 242},
  [10546] = {.lex_state = 451},
  [10547] = {.lex_state = 242},
  [10548] = {.lex_state = 451},
  [10549] = {.lex_state = 451},
  [10550] = {.lex_state = 242},
  [10551] = {.lex_state = 451},
  [10552] = {.lex_state = 451},
  [10553] = {.lex_state = 451},
  [10554] = {.lex_state = 242},
  [10555] = {.lex_state = 451},
  [10556] = {.lex_state = 451},
  [10557] = {.lex_state = 451},
  [10558] = {.lex_state = 451},
  [10559] = {.lex_state = 242},
  [10560] = {.lex_state = 451},
  [10561] = {.lex_state = 451},
  [10562] = {.lex_state = 242},
  [10563] = {.lex_state = 242},
  [10564] = {.lex_state = 242},
  [10565] = {.lex_state = 242},
  [10566] = {.lex_state = 451},
  [10567] = {.lex_state = 451},
  [10568] = {.lex_state = 242},
  [10569] = {.lex_state = 451},
  [10570] = {.lex_state = 451, .external_lex_state = 4},
  [10571] = {.lex_state = 451},
  [10572] = {.lex_state = 451},
  [10573] = {.lex_state = 451},
  [10574] = {.lex_state = 451},
  [10575] = {.lex_state = 242},
  [10576] = {.lex_state = 451},
  [10577] = {.lex_state = 451},
  [10578] = {.lex_state = 242},
  [10579] = {.lex_state = 451},
  [10580] = {.lex_state = 451},
  [10581] = {.lex_state = 242},
  [10582] = {.lex_state = 451},
  [10583] = {.lex_state = 242},
  [10584] = {.lex_state = 451},
  [10585] = {.lex_state = 451},
  [10586] = {.lex_state = 451},
  [10587] = {.lex_state = 242},
  [10588] = {.lex_state = 451},
  [10589] = {.lex_state = 451},
  [10590] = {.lex_state = 451},
  [10591] = {.lex_state = 451},
  [10592] = {.lex_state = 242},
  [10593] = {.lex_state = 451},
  [10594] = {.lex_state = 451},
  [10595] = {.lex_state = 451},
  [10596] = {.lex_state = 242},
  [10597] = {.lex_state = 451},
  [10598] = {.lex_state = 242},
  [10599] = {.lex_state = 451},
  [10600] = {.lex_state = 451},
  [10601] = {.lex_state = 451},
  [10602] = {.lex_state = 451},
  [10603] = {.lex_state = 451},
  [10604] = {.lex_state = 451},
  [10605] = {.lex_state = 451},
  [10606] = {.lex_state = 451},
  [10607] = {.lex_state = 451},
  [10608] = {.lex_state = 451},
  [10609] = {.lex_state = 242},
  [10610] = {.lex_state = 451},
  [10611] = {.lex_state = 451},
  [10612] = {.lex_state = 242},
  [10613] = {.lex_state = 451},
  [10614] = {.lex_state = 242},
  [10615] = {.lex_state = 242},
  [10616] = {.lex_state = 242},
  [10617] = {.lex_state = 451},
  [10618] = {.lex_state = 451},
  [10619] = {.lex_state = 451},
  [10620] = {.lex_state = 242},
  [10621] = {.lex_state = 451},
  [10622] = {.lex_state = 451},
  [10623] = {.lex_state = 451},
  [10624] = {.lex_state = 451},
  [10625] = {.lex_state = 242},
  [10626] = {.lex_state = 451},
  [10627] = {.lex_state = 451},
  [10628] = {.lex_state = 242},
  [10629] = {.lex_state = 451},
  [10630] = {.lex_state = 242},
  [10631] = {.lex_state = 451},
  [10632] = {.lex_state = 451},
  [10633] = {.lex_state = 242},
  [10634] = {.lex_state = 451},
  [10635] = {.lex_state = 451},
  [10636] = {.lex_state = 451},
  [10637] = {.lex_state = 451},
  [10638] = {.lex_state = 451},
  [10639] = {.lex_state = 451},
  [10640] = {.lex_state = 242},
  [10641] = {.lex_state = 451},
  [10642] = {.lex_state = 451},
  [10643] = {.lex_state = 242},
  [10644] = {.lex_state = 451},
  [10645] = {.lex_state = 451},
  [10646] = {.lex_state = 242},
  [10647] = {.lex_state = 242},
  [10648] = {.lex_state = 451},
  [10649] = {.lex_state = 451},
  [10650] = {.lex_state = 451},
  [10651] = {.lex_state = 242},
  [10652] = {.lex_state = 242},
  [10653] = {.lex_state = 451},
  [10654] = {.lex_state = 451},
  [10655] = {.lex_state = 451},
  [10656] = {.lex_state = 242},
  [10657] = {.lex_state = 451},
  [10658] = {.lex_state = 451},
  [10659] = {.lex_state = 451},
  [10660] = {.lex_state = 242},
  [10661] = {.lex_state = 451},
  [10662] = {.lex_state = 242},
  [10663] = {.lex_state = 451},
  [10664] = {.lex_state = 242},
  [10665] = {.lex_state = 451},
  [10666] = {.lex_state = 451},
  [10667] = {.lex_state = 242},
  [10668] = {.lex_state = 242},
  [10669] = {.lex_state = 451},
  [10670] = {.lex_state = 451},
  [10671] = {.lex_state = 451},
  [10672] = {.lex_state = 451},
  [10673] = {.lex_state = 242},
  [10674] = {.lex_state = 451},
  [10675] = {.lex_state = 451},
  [10676] = {.lex_state = 242},
  [10677] = {.lex_state = 451},
  [10678] = {.lex_state = 242},
  [10679] = {.lex_state = 451},
  [10680] = {.lex_state = 242},
  [10681] = {.lex_state = 451},
  [10682] = {.lex_state = 451},
  [10683] = {.lex_state = 451, .external_lex_state = 4},
  [10684] = {.lex_state = 451},
  [10685] = {.lex_state = 451},
  [10686] = {.lex_state = 451},
  [10687] = {.lex_state = 451},
  [10688] = {.lex_state = 451},
  [10689] = {.lex_state = 242},
  [10690] = {.lex_state = 451},
  [10691] = {.lex_state = 451},
  [10692] = {.lex_state = 242},
  [10693] = {.lex_state = 451},
  [10694] = {.lex_state = 451},
  [10695] = {.lex_state = 242},
  [10696] = {.lex_state = 451},
  [10697] = {.lex_state = 451},
  [10698] = {.lex_state = 451},
  [10699] = {.lex_state = 242},
  [10700] = {.lex_state = 242},
  [10701] = {.lex_state = 451},
  [10702] = {.lex_state = 451},
  [10703] = {.lex_state = 451},
  [10704] = {.lex_state = 451},
  [10705] = {.lex_state = 451},
  [10706] = {.lex_state = 451},
  [10707] = {.lex_state = 451},
  [10708] = {.lex_state = 451},
  [10709] = {.lex_state = 451},
  [10710] = {.lex_state = 242},
  [10711] = {.lex_state = 451},
  [10712] = {.lex_state = 451},
  [10713] = {.lex_state = 451},
  [10714] = {.lex_state = 242},
  [10715] = {.lex_state = 242},
  [10716] = {.lex_state = 242},
  [10717] = {.lex_state = 451},
  [10718] = {.lex_state = 451},
  [10719] = {.lex_state = 451},
  [10720] = {.lex_state = 451},
  [10721] = {.lex_state = 242},
  [10722] = {.lex_state = 451},
  [10723] = {.lex_state = 242},
  [10724] = {.lex_state = 451},
  [10725] = {.lex_state = 451},
  [10726] = {.lex_state = 451},
  [10727] = {.lex_state = 242},
  [10728] = {.lex_state = 242},
  [10729] = {.lex_state = 451},
  [10730] = {.lex_state = 451},
  [10731] = {.lex_state = 451},
  [10732] = {.lex_state = 451},
  [10733] = {.lex_state = 242},
  [10734] = {.lex_state = 451},
  [10735] = {.lex_state = 242},
  [10736] = {.lex_state = 451},
  [10737] = {.lex_state = 451},
  [10738] = {.lex_state = 242},
  [10739] = {.lex_state = 451},
  [10740] = {.lex_state = 451},
  [10741] = {.lex_state = 451},
  [10742] = {.lex_state = 451},
  [10743] = {.lex_state = 451},
  [10744] = {.lex_state = 451},
  [10745] = {.lex_state = 242},
  [10746] = {.lex_state = 451},
  [10747] = {.lex_state = 451},
  [10748] = {.lex_state = 451},
  [10749] = {.lex_state = 242},
  [10750] = {.lex_state = 242},
  [10751] = {.lex_state = 451},
  [10752] = {.lex_state = 451},
  [10753] = {.lex_state = 451},
  [10754] = {.lex_state = 242},
  [10755] = {.lex_state = 451},
  [10756] = {.lex_state = 451},
  [10757] = {.lex_state = 451},
  [10758] = {.lex_state = 242},
  [10759] = {.lex_state = 242},
  [10760] = {.lex_state = 451},
  [10761] = {.lex_state = 451},
  [10762] = {.lex_state = 242},
  [10763] = {.lex_state = 451},
  [10764] = {.lex_state = 451},
  [10765] = {.lex_state = 451},
  [10766] = {.lex_state = 451},
  [10767] = {.lex_state = 451},
  [10768] = {.lex_state = 242},
  [10769] = {.lex_state = 451},
  [10770] = {.lex_state = 451},
  [10771] = {.lex_state = 451},
  [10772] = {.lex_state = 242},
  [10773] = {.lex_state = 451},
  [10774] = {.lex_state = 242},
  [10775] = {.lex_state = 242},
  [10776] = {.lex_state = 242},
  [10777] = {.lex_state = 451},
  [10778] = {.lex_state = 242},
  [10779] = {.lex_state = 451},
  [10780] = {.lex_state = 451},
  [10781] = {.lex_state = 451},
  [10782] = {.lex_state = 451},
  [10783] = {.lex_state = 451},
  [10784] = {.lex_state = 451},
  [10785] = {.lex_state = 451},
  [10786] = {.lex_state = 242},
  [10787] = {.lex_state = 451},
  [10788] = {.lex_state = 451},
  [10789] = {.lex_state = 451},
  [10790] = {.lex_state = 451},
  [10791] = {.lex_state = 451},
  [10792] = {.lex_state = 242},
  [10793] = {.lex_state = 451},
  [10794] = {.lex_state = 242},
  [10795] = {.lex_state = 451},
  [10796] = {.lex_state = 451},
  [10797] = {.lex_state = 242},
  [10798] = {.lex_state = 451},
  [10799] = {.lex_state = 242},
  [10800] = {.lex_state = 242},
  [10801] = {.lex_state = 451},
  [10802] = {.lex_state = 242},
  [10803] = {.lex_state = 451},
  [10804] = {.lex_state = 451},
  [10805] = {.lex_state = 451},
  [10806] = {.lex_state = 451},
  [10807] = {.lex_state = 451},
  [10808] = {.lex_state = 451},
  [10809] = {.lex_state = 242},
  [10810] = {.lex_state = 451},
  [10811] = {.lex_state = 451},
  [10812] = {.lex_state = 242},
  [10813] = {.lex_state = 451},
  [10814] = {.lex_state = 451},
  [10815] = {.lex_state = 451},
  [10816] = {.lex_state = 451},
  [10817] = {.lex_state = 451},
  [10818] = {.lex_state = 451},
  [10819] = {.lex_state = 451},
  [10820] = {.lex_state = 242},
  [10821] = {.lex_state = 242},
  [10822] = {.lex_state = 253},
  [10823] = {.lex_state = 451},
  [10824] = {.lex_state = 451},
  [10825] = {.lex_state = 242},
  [10826] = {.lex_state = 242},
  [10827] = {.lex_state = 451},
  [10828] = {.lex_state = 242},
  [10829] = {.lex_state = 451},
  [10830] = {.lex_state = 451},
  [10831] = {.lex_state = 451},
  [10832] = {.lex_state = 242},
  [10833] = {.lex_state = 451},
  [10834] = {.lex_state = 451},
  [10835] = {.lex_state = 451},
  [10836] = {.lex_state = 451},
  [10837] = {.lex_state = 451},
  [10838] = {.lex_state = 451},
  [10839] = {.lex_state = 242},
  [10840] = {.lex_state = 451, .external_lex_state = 4},
  [10841] = {.lex_state = 451},
  [10842] = {.lex_state = 451},
  [10843] = {.lex_state = 242},
  [10844] = {.lex_state = 242},
  [10845] = {.lex_state = 242},
  [10846] = {.lex_state = 451},
  [10847] = {.lex_state = 451},
  [10848] = {.lex_state = 451},
  [10849] = {.lex_state = 242},
  [10850] = {.lex_state = 451},
  [10851] = {.lex_state = 451},
  [10852] = {.lex_state = 242},
  [10853] = {.lex_state = 451},
  [10854] = {.lex_state = 451},
  [10855] = {.lex_state = 451},
  [10856] = {.lex_state = 242},
  [10857] = {.lex_state = 242},
  [10858] = {.lex_state = 451},
  [10859] = {.lex_state = 451},
  [10860] = {.lex_state = 451},
  [10861] = {.lex_state = 242},
  [10862] = {.lex_state = 451},
  [10863] = {.lex_state = 451},
  [10864] = {.lex_state = 451},
  [10865] = {.lex_state = 242},
  [10866] = {.lex_state = 242},
  [10867] = {.lex_state = 451},
  [10868] = {.lex_state = 451},
  [10869] = {.lex_state = 242},
  [10870] = {.lex_state = 451},
  [10871] = {.lex_state = 451},
  [10872] = {.lex_state = 451},
  [10873] = {.lex_state = 451},
  [10874] = {.lex_state = 242},
  [10875] = {.lex_state = 253},
  [10876] = {.lex_state = 451},
  [10877] = {.lex_state = 451},
  [10878] = {.lex_state = 242},
  [10879] = {.lex_state = 451},
  [10880] = {.lex_state = 451},
  [10881] = {.lex_state = 451},
  [10882] = {.lex_state = 451},
  [10883] = {.lex_state = 242},
  [10884] = {.lex_state = 451},
  [10885] = {.lex_state = 242},
  [10886] = {.lex_state = 242},
  [10887] = {.lex_state = 451},
  [10888] = {.lex_state = 451},
  [10889] = {.lex_state = 242},
  [10890] = {.lex_state = 451},
  [10891] = {.lex_state = 451},
  [10892] = {.lex_state = 242},
  [10893] = {.lex_state = 242},
  [10894] = {.lex_state = 242},
  [10895] = {.lex_state = 451},
  [10896] = {.lex_state = 242},
  [10897] = {.lex_state = 451},
  [10898] = {.lex_state = 451},
  [10899] = {.lex_state = 451},
  [10900] = {.lex_state = 451},
  [10901] = {.lex_state = 242},
  [10902] = {.lex_state = 451},
  [10903] = {.lex_state = 451},
  [10904] = {.lex_state = 451},
  [10905] = {.lex_state = 451},
  [10906] = {.lex_state = 451},
  [10907] = {.lex_state = 451},
  [10908] = {.lex_state = 451},
  [10909] = {.lex_state = 451, .external_lex_state = 4},
  [10910] = {.lex_state = 242},
  [10911] = {.lex_state = 451},
  [10912] = {.lex_state = 451},
  [10913] = {.lex_state = 451},
  [10914] = {.lex_state = 242},
  [10915] = {.lex_state = 451},
  [10916] = {.lex_state = 242},
  [10917] = {.lex_state = 451},
  [10918] = {.lex_state = 451},
  [10919] = {.lex_state = 451},
  [10920] = {.lex_state = 242},
  [10921] = {.lex_state = 242},
  [10922] = {.lex_state = 242},
  [10923] = {.lex_state = 451},
  [10924] = {.lex_state = 451},
  [10925] = {.lex_state = 451},
  [10926] = {.lex_state = 451},
  [10927] = {.lex_state = 451},
  [10928] = {.lex_state = 451},
  [10929] = {.lex_state = 242},
  [10930] = {.lex_state = 242},
  [10931] = {.lex_state = 451},
  [10932] = {.lex_state = 451},
  [10933] = {.lex_state = 451},
  [10934] = {.lex_state = 451},
  [10935] = {.lex_state = 242},
  [10936] = {.lex_state = 451},
  [10937] = {.lex_state = 451},
  [10938] = {.lex_state = 242},
  [10939] = {.lex_state = 451},
  [10940] = {.lex_state = 242},
  [10941] = {.lex_state = 451},
  [10942] = {.lex_state = 242},
  [10943] = {.lex_state = 451},
  [10944] = {.lex_state = 451},
  [10945] = {.lex_state = 451},
  [10946] = {.lex_state = 451},
  [10947] = {.lex_state = 451},
  [10948] = {.lex_state = 451},
  [10949] = {.lex_state = 451},
  [10950] = {.lex_state = 242},
  [10951] = {.lex_state = 451},
  [10952] = {.lex_state = 451},
  [10953] = {.lex_state = 451},
  [10954] = {.lex_state = 451},
  [10955] = {.lex_state = 242},
  [10956] = {.lex_state = 451},
  [10957] = {.lex_state = 451},
  [10958] = {.lex_state = 451},
  [10959] = {.lex_state = 242},
  [10960] = {.lex_state = 451},
  [10961] = {.lex_state = 451},
  [10962] = {.lex_state = 242},
  [10963] = {.lex_state = 451},
  [10964] = {.lex_state = 451},
  [10965] = {.lex_state = 242},
  [10966] = {.lex_state = 451},
  [10967] = {.lex_state = 451},
  [10968] = {.lex_state = 451},
  [10969] = {.lex_state = 451},
  [10970] = {.lex_state = 242},
  [10971] = {.lex_state = 242},
  [10972] = {.lex_state = 451},
  [10973] = {.lex_state = 451},
  [10974] = {.lex_state = 451},
  [10975] = {.lex_state = 242},
  [10976] = {.lex_state = 451},
  [10977] = {.lex_state = 451},
  [10978] = {.lex_state = 451},
  [10979] = {.lex_state = 451},
  [10980] = {.lex_state = 253},
  [10981] = {.lex_state = 451, .external_lex_state = 4},
  [10982] = {.lex_state = 242},
  [10983] = {.lex_state = 451},
  [10984] = {.lex_state = 242},
  [10985] = {.lex_state = 451},
  [10986] = {.lex_state = 451},
  [10987] = {.lex_state = 242},
  [10988] = {.lex_state = 242},
  [10989] = {.lex_state = 242},
  [10990] = {.lex_state = 451},
  [10991] = {.lex_state = 451},
  [10992] = {.lex_state = 451},
  [10993] = {.lex_state = 451},
  [10994] = {.lex_state = 451},
  [10995] = {.lex_state = 451},
  [10996] = {.lex_state = 451},
  [10997] = {.lex_state = 451},
  [10998] = {.lex_state = 451},
  [10999] = {.lex_state = 451},
  [11000] = {.lex_state = 242},
  [11001] = {.lex_state = 451},
  [11002] = {.lex_state = 451},
  [11003] = {.lex_state = 451},
  [11004] = {.lex_state = 242},
  [11005] = {.lex_state = 451},
  [11006] = {.lex_state = 451},
  [11007] = {.lex_state = 242},
  [11008] = {.lex_state = 451},
  [11009] = {.lex_state = 242},
  [11010] = {.lex_state = 242},
  [11011] = {.lex_state = 451},
  [11012] = {.lex_state = 451},
  [11013] = {.lex_state = 451},
  [11014] = {.lex_state = 451},
  [11015] = {.lex_state = 242},
  [11016] = {.lex_state = 451},
  [11017] = {.lex_state = 451},
  [11018] = {.lex_state = 242},
  [11019] = {.lex_state = 242},
  [11020] = {.lex_state = 451},
  [11021] = {.lex_state = 451},
  [11022] = {.lex_state = 451},
  [11023] = {.lex_state = 451},
  [11024] = {.lex_state = 451},
  [11025] = {.lex_state = 451},
  [11026] = {.lex_state = 242},
  [11027] = {.lex_state = 451},
  [11028] = {.lex_state = 451},
  [11029] = {.lex_state = 242},
  [11030] = {.lex_state = 451},
  [11031] = {.lex_state = 242},
  [11032] = {.lex_state = 451},
  [11033] = {.lex_state = 451},
  [11034] = {.lex_state = 253},
  [11035] = {.lex_state = 242},
  [11036] = {.lex_state = 451},
  [11037] = {.lex_state = 451},
  [11038] = {.lex_state = 451},
  [11039] = {.lex_state = 451},
  [11040] = {.lex_state = 242},
  [11041] = {.lex_state = 242},
  [11042] = {.lex_state = 451},
  [11043] = {.lex_state = 451},
  [11044] = {.lex_state = 451},
  [11045] = {.lex_state = 451},
  [11046] = {.lex_state = 242},
  [11047] = {.lex_state = 451},
  [11048] = {.lex_state = 451},
  [11049] = {.lex_state = 451},
  [11050] = {.lex_state = 242},
  [11051] = {.lex_state = 451},
  [11052] = {.lex_state = 451},
  [11053] = {.lex_state = 451},
  [11054] = {.lex_state = 242},
  [11055] = {.lex_state = 451},
  [11056] = {.lex_state = 242},
  [11057] = {.lex_state = 242},
  [11058] = {.lex_state = 451},
  [11059] = {.lex_state = 451},
  [11060] = {.lex_state = 242},
  [11061] = {.lex_state = 242},
  [11062] = {.lex_state = 451},
  [11063] = {.lex_state = 451},
  [11064] = {.lex_state = 451},
  [11065] = {.lex_state = 451},
  [11066] = {.lex_state = 451},
  [11067] = {.lex_state = 242},
  [11068] = {.lex_state = 451},
  [11069] = {.lex_state = 451},
  [11070] = {.lex_state = 451},
  [11071] = {.lex_state = 242},
  [11072] = {.lex_state = 451},
  [11073] = {.lex_state = 451},
  [11074] = {.lex_state = 242},
  [11075] = {.lex_state = 451},
  [11076] = {.lex_state = 242},
  [11077] = {.lex_state = 451},
  [11078] = {.lex_state = 242},
  [11079] = {.lex_state = 451},
  [11080] = {.lex_state = 451},
  [11081] = {.lex_state = 451},
  [11082] = {.lex_state = 242},
  [11083] = {.lex_state = 451},
  [11084] = {.lex_state = 253},
  [11085] = {.lex_state = 451},
  [11086] = {.lex_state = 451},
  [11087] = {.lex_state = 451},
  [11088] = {.lex_state = 451},
  [11089] = {.lex_state = 451},
  [11090] = {.lex_state = 242},
  [11091] = {.lex_state = 451},
  [11092] = {.lex_state = 451},
  [11093] = {.lex_state = 451},
  [11094] = {.lex_state = 451},
  [11095] = {.lex_state = 242},
  [11096] = {.lex_state = 242},
  [11097] = {.lex_state = 451},
  [11098] = {.lex_state = 451},
  [11099] = {.lex_state = 242},
  [11100] = {.lex_state = 451},
  [11101] = {.lex_state = 451},
  [11102] = {.lex_state = 451},
  [11103] = {.lex_state = 242},
  [11104] = {.lex_state = 451},
  [11105] = {.lex_state = 451},
  [11106] = {.lex_state = 242},
  [11107] = {.lex_state = 451},
  [11108] = {.lex_state = 242},
  [11109] = {.lex_state = 451},
  [11110] = {.lex_state = 242},
  [11111] = {.lex_state = 451},
  [11112] = {.lex_state = 242},
  [11113] = {.lex_state = 451},
  [11114] = {.lex_state = 451},
  [11115] = {.lex_state = 451},
  [11116] = {.lex_state = 451},
  [11117] = {.lex_state = 451},
  [11118] = {.lex_state = 242},
  [11119] = {.lex_state = 451},
  [11120] = {.lex_state = 451},
  [11121] = {.lex_state = 242},
  [11122] = {.lex_state = 451},
  [11123] = {.lex_state = 451},
  [11124] = {.lex_state = 242},
  [11125] = {.lex_state = 451},
  [11126] = {.lex_state = 451},
  [11127] = {.lex_state = 451},
  [11128] = {.lex_state = 451},
  [11129] = {.lex_state = 242},
  [11130] = {.lex_state = 242},
  [11131] = {.lex_state = 451},
  [11132] = {.lex_state = 451},
  [11133] = {.lex_state = 451},
  [11134] = {.lex_state = 242},
  [11135] = {.lex_state = 451},
  [11136] = {.lex_state = 451},
  [11137] = {.lex_state = 451},
  [11138] = {.lex_state = 451},
  [11139] = {.lex_state = 242},
  [11140] = {.lex_state = 451},
  [11141] = {.lex_state = 451},
  [11142] = {.lex_state = 451},
  [11143] = {.lex_state = 242},
  [11144] = {.lex_state = 451},
  [11145] = {.lex_state = 451},
  [11146] = {.lex_state = 242},
  [11147] = {.lex_state = 451},
  [11148] = {.lex_state = 451},
  [11149] = {.lex_state = 451},
  [11150] = {.lex_state = 451},
  [11151] = {.lex_state = 242},
  [11152] = {.lex_state = 242},
  [11153] = {.lex_state = 242},
  [11154] = {.lex_state = 242},
  [11155] = {.lex_state = 451},
  [11156] = {.lex_state = 451},
  [11157] = {.lex_state = 451},
  [11158] = {.lex_state = 242},
  [11159] = {.lex_state = 451},
  [11160] = {.lex_state = 451},
  [11161] = {.lex_state = 451},
  [11162] = {.lex_state = 451},
  [11163] = {.lex_state = 242},
  [11164] = {.lex_state = 242},
  [11165] = {.lex_state = 242},
  [11166] = {.lex_state = 451},
  [11167] = {.lex_state = 451},
  [11168] = {.lex_state = 451},
  [11169] = {.lex_state = 242},
  [11170] = {.lex_state = 451},
  [11171] = {.lex_state = 451},
  [11172] = {.lex_state = 451},
  [11173] = {.lex_state = 451},
  [11174] = {.lex_state = 242},
  [11175] = {.lex_state = 242},
  [11176] = {.lex_state = 451},
  [11177] = {.lex_state = 451},
  [11178] = {.lex_state = 451},
  [11179] = {.lex_state = 242},
  [11180] = {.lex_state = 451},
  [11181] = {.lex_state = 451},
  [11182] = {.lex_state = 451},
  [11183] = {.lex_state = 451},
  [11184] = {.lex_state = 451},
  [11185] = {.lex_state = 451},
  [11186] = {.lex_state = 451},
  [11187] = {.lex_state = 451},
  [11188] = {.lex_state = 451},
  [11189] = {.lex_state = 242},
  [11190] = {.lex_state = 242},
  [11191] = {.lex_state = 242},
  [11192] = {.lex_state = 451},
  [11193] = {.lex_state = 451},
  [11194] = {.lex_state = 451},
  [11195] = {.lex_state = 242},
  [11196] = {.lex_state = 451},
  [11197] = {.lex_state = 451},
  [11198] = {.lex_state = 242},
  [11199] = {.lex_state = 451},
  [11200] = {.lex_state = 242},
  [11201] = {.lex_state = 451},
  [11202] = {.lex_state = 451},
  [11203] = {.lex_state = 451},
  [11204] = {.lex_state = 242},
  [11205] = {.lex_state = 451},
  [11206] = {.lex_state = 451},
  [11207] = {.lex_state = 451},
  [11208] = {.lex_state = 451},
  [11209] = {.lex_state = 451},
  [11210] = {.lex_state = 451},
  [11211] = {.lex_state = 242},
  [11212] = {.lex_state = 242},
  [11213] = {.lex_state = 451},
  [11214] = {.lex_state = 451},
  [11215] = {.lex_state = 451},
  [11216] = {.lex_state = 451},
  [11217] = {.lex_state = 242},
  [11218] = {.lex_state = 451},
  [11219] = {.lex_state = 451},
  [11220] = {.lex_state = 242},
  [11221] = {.lex_state = 451},
  [11222] = {.lex_state = 242},
  [11223] = {.lex_state = 451},
  [11224] = {.lex_state = 242},
  [11225] = {.lex_state = 451},
  [11226] = {.lex_state = 242},
  [11227] = {.lex_state = 451},
  [11228] = {.lex_state = 242},
  [11229] = {.lex_state = 451},
  [11230] = {.lex_state = 242},
  [11231] = {.lex_state = 451},
  [11232] = {.lex_state = 451},
  [11233] = {.lex_state = 242},
  [11234] = {.lex_state = 451},
  [11235] = {.lex_state = 451},
  [11236] = {.lex_state = 451},
  [11237] = {.lex_state = 451, .external_lex_state = 4},
  [11238] = {.lex_state = 451, .external_lex_state = 4},
  [11239] = {.lex_state = 451},
  [11240] = {.lex_state = 451},
  [11241] = {.lex_state = 451},
  [11242] = {.lex_state = 451},
  [11243] = {.lex_state = 242},
  [11244] = {.lex_state = 451},
  [11245] = {.lex_state = 451},
  [11246] = {.lex_state = 242},
  [11247] = {.lex_state = 242},
  [11248] = {.lex_state = 451},
  [11249] = {.lex_state = 451},
  [11250] = {.lex_state = 242},
  [11251] = {.lex_state = 451},
  [11252] = {.lex_state = 451},
  [11253] = {.lex_state = 451},
  [11254] = {.lex_state = 451},
  [11255] = {.lex_state = 242},
  [11256] = {.lex_state = 451},
  [11257] = {.lex_state = 451},
  [11258] = {.lex_state = 242},
  [11259] = {.lex_state = 451},
  [11260] = {.lex_state = 451},
  [11261] = {.lex_state = 242},
  [11262] = {.lex_state = 451},
  [11263] = {.lex_state = 451},
  [11264] = {.lex_state = 451},
  [11265] = {.lex_state = 451},
  [11266] = {.lex_state = 242},
  [11267] = {.lex_state = 451},
  [11268] = {.lex_state = 451},
  [11269] = {.lex_state = 451},
  [11270] = {.lex_state = 451},
  [11271] = {.lex_state = 451},
  [11272] = {.lex_state = 242},
  [11273] = {.lex_state = 451},
  [11274] = {.lex_state = 242},
  [11275] = {.lex_state = 451},
  [11276] = {.lex_state = 451},
  [11277] = {.lex_state = 242},
  [11278] = {.lex_state = 451},
  [11279] = {.lex_state = 242},
  [11280] = {.lex_state = 242},
  [11281] = {.lex_state = 242},
  [11282] = {.lex_state = 242},
  [11283] = {.lex_state = 451},
  [11284] = {.lex_state = 451},
  [11285] = {.lex_state = 242},
  [11286] = {.lex_state = 451},
  [11287] = {.lex_state = 242},
  [11288] = {.lex_state = 451},
  [11289] = {.lex_state = 451},
  [11290] = {.lex_state = 451},
  [11291] = {.lex_state = 242},
  [11292] = {.lex_state = 451},
  [11293] = {.lex_state = 451},
  [11294] = {.lex_state = 242},
  [11295] = {.lex_state = 451},
  [11296] = {.lex_state = 242},
  [11297] = {.lex_state = 451},
  [11298] = {.lex_state = 451},
  [11299] = {.lex_state = 242},
  [11300] = {.lex_state = 451},
  [11301] = {.lex_state = 451},
  [11302] = {.lex_state = 451},
  [11303] = {.lex_state = 451},
  [11304] = {.lex_state = 242},
  [11305] = {.lex_state = 451},
  [11306] = {.lex_state = 451},
  [11307] = {.lex_state = 451},
  [11308] = {.lex_state = 451},
  [11309] = {.lex_state = 242},
  [11310] = {.lex_state = 451},
  [11311] = {.lex_state = 451},
  [11312] = {.lex_state = 242},
  [11313] = {.lex_state = 451},
  [11314] = {.lex_state = 451},
  [11315] = {.lex_state = 451},
  [11316] = {.lex_state = 451},
  [11317] = {.lex_state = 242},
  [11318] = {.lex_state = 451},
  [11319] = {.lex_state = 451},
  [11320] = {.lex_state = 451},
  [11321] = {.lex_state = 242},
  [11322] = {.lex_state = 242},
  [11323] = {.lex_state = 451},
  [11324] = {.lex_state = 451},
  [11325] = {.lex_state = 242},
  [11326] = {.lex_state = 451},
  [11327] = {.lex_state = 451},
  [11328] = {.lex_state = 242},
  [11329] = {.lex_state = 451},
  [11330] = {.lex_state = 242},
  [11331] = {.lex_state = 451},
  [11332] = {.lex_state = 451},
  [11333] = {.lex_state = 451},
  [11334] = {.lex_state = 242},
  [11335] = {.lex_state = 451},
  [11336] = {.lex_state = 242},
  [11337] = {.lex_state = 451},
  [11338] = {.lex_state = 451},
  [11339] = {.lex_state = 451},
  [11340] = {.lex_state = 242},
  [11341] = {.lex_state = 451},
  [11342] = {.lex_state = 451},
  [11343] = {.lex_state = 242},
  [11344] = {.lex_state = 451},
  [11345] = {.lex_state = 451},
  [11346] = {.lex_state = 451},
  [11347] = {.lex_state = 451},
  [11348] = {.lex_state = 451},
  [11349] = {.lex_state = 451},
  [11350] = {.lex_state = 451},
  [11351] = {.lex_state = 451},
  [11352] = {.lex_state = 451},
  [11353] = {.lex_state = 242},
  [11354] = {.lex_state = 451},
  [11355] = {.lex_state = 242},
  [11356] = {.lex_state = 451},
  [11357] = {.lex_state = 451},
  [11358] = {.lex_state = 451},
  [11359] = {.lex_state = 242},
  [11360] = {.lex_state = 451},
  [11361] = {.lex_state = 242},
  [11362] = {.lex_state = 451},
  [11363] = {.lex_state = 451},
  [11364] = {.lex_state = 242},
  [11365] = {.lex_state = 242},
  [11366] = {.lex_state = 451},
  [11367] = {.lex_state = 253},
  [11368] = {.lex_state = 451},
  [11369] = {.lex_state = 451},
  [11370] = {.lex_state = 451},
  [11371] = {.lex_state = 451},
  [11372] = {.lex_state = 451},
  [11373] = {.lex_state = 242},
  [11374] = {.lex_state = 451},
  [11375] = {.lex_state = 451},
  [11376] = {.lex_state = 242},
  [11377] = {.lex_state = 451},
  [11378] = {.lex_state = 242},
  [11379] = {.lex_state = 242},
  [11380] = {.lex_state = 451},
  [11381] = {.lex_state = 451},
  [11382] = {.lex_state = 451},
  [11383] = {.lex_state = 253},
  [11384] = {.lex_state = 451},
  [11385] = {.lex_state = 451},
  [11386] = {.lex_state = 451},
  [11387] = {.lex_state = 242},
  [11388] = {.lex_state = 451},
  [11389] = {.lex_state = 451},
  [11390] = {.lex_state = 451},
  [11391] = {.lex_state = 242},
  [11392] = {.lex_state = 451},
  [11393] = {.lex_state = 451},
  [11394] = {.lex_state = 451},
  [11395] = {.lex_state = 451},
  [11396] = {.lex_state = 242},
  [11397] = {.lex_state = 451},
  [11398] = {.lex_state = 451},
  [11399] = {.lex_state = 451},
  [11400] = {.lex_state = 242},
  [11401] = {.lex_state = 451},
  [11402] = {.lex_state = 451},
  [11403] = {.lex_state = 242},
  [11404] = {.lex_state = 451},
  [11405] = {.lex_state = 242},
  [11406] = {.lex_state = 451},
  [11407] = {.lex_state = 451},
  [11408] = {.lex_state = 451},
  [11409] = {.lex_state = 242},
  [11410] = {.lex_state = 451},
  [11411] = {.lex_state = 242},
  [11412] = {.lex_state = 451},
  [11413] = {.lex_state = 451},
  [11414] = {.lex_state = 451},
  [11415] = {.lex_state = 451},
  [11416] = {.lex_state = 242},
  [11417] = {.lex_state = 451},
  [11418] = {.lex_state = 451, .external_lex_state = 4},
  [11419] = {.lex_state = 451},
  [11420] = {.lex_state = 451},
  [11421] = {.lex_state = 242},
  [11422] = {.lex_state = 451},
  [11423] = {.lex_state = 451},
  [11424] = {.lex_state = 451},
  [11425] = {.lex_state = 242},
  [11426] = {.lex_state = 451},
  [11427] = {.lex_state = 451},
  [11428] = {.lex_state = 451},
  [11429] = {.lex_state = 451},
  [11430] = {.lex_state = 242},
  [11431] = {.lex_state = 242},
  [11432] = {.lex_state = 451},
  [11433] = {.lex_state = 242},
  [11434] = {.lex_state = 451},
  [11435] = {.lex_state = 242},
  [11436] = {.lex_state = 242},
  [11437] = {.lex_state = 451},
  [11438] = {.lex_state = 451},
  [11439] = {.lex_state = 451},
  [11440] = {.lex_state = 242},
  [11441] = {.lex_state = 451},
  [11442] = {.lex_state = 242},
  [11443] = {.lex_state = 451},
  [11444] = {.lex_state = 451},
  [11445] = {.lex_state = 451},
  [11446] = {.lex_state = 242},
  [11447] = {.lex_state = 451},
  [11448] = {.lex_state = 451},
  [11449] = {.lex_state = 451},
  [11450] = {.lex_state = 242},
  [11451] = {.lex_state = 451},
  [11452] = {.lex_state = 451},
  [11453] = {.lex_state = 242},
  [11454] = {.lex_state = 451},
  [11455] = {.lex_state = 451},
  [11456] = {.lex_state = 242},
  [11457] = {.lex_state = 451},
  [11458] = {.lex_state = 451},
  [11459] = {.lex_state = 451},
  [11460] = {.lex_state = 242},
  [11461] = {.lex_state = 242},
  [11462] = {.lex_state = 242},
  [11463] = {.lex_state = 451},
  [11464] = {.lex_state = 451},
  [11465] = {.lex_state = 451},
  [11466] = {.lex_state = 242},
  [11467] = {.lex_state = 451},
  [11468] = {.lex_state = 451},
  [11469] = {.lex_state = 451},
  [11470] = {.lex_state = 451},
  [11471] = {.lex_state = 242},
  [11472] = {.lex_state = 451},
  [11473] = {.lex_state = 451},
  [11474] = {.lex_state = 242},
  [11475] = {.lex_state = 242},
  [11476] = {.lex_state = 451},
  [11477] = {.lex_state = 451},
  [11478] = {.lex_state = 242},
  [11479] = {.lex_state = 451},
  [11480] = {.lex_state = 451},
  [11481] = {.lex_state = 451},
  [11482] = {.lex_state = 451},
  [11483] = {.lex_state = 242},
  [11484] = {.lex_state = 451},
  [11485] = {.lex_state = 451},
  [11486] = {.lex_state = 242},
  [11487] = {.lex_state = 451},
  [11488] = {.lex_state = 451},
  [11489] = {.lex_state = 242},
  [11490] = {.lex_state = 242},
  [11491] = {.lex_state = 451},
  [11492] = {.lex_state = 451},
  [11493] = {.lex_state = 242},
  [11494] = {.lex_state = 451},
  [11495] = {.lex_state = 451},
  [11496] = {.lex_state = 451},
  [11497] = {.lex_state = 242},
  [11498] = {.lex_state = 451},
  [11499] = {.lex_state = 242},
  [11500] = {.lex_state = 451},
  [11501] = {.lex_state = 451},
  [11502] = {.lex_state = 451},
  [11503] = {.lex_state = 451},
  [11504] = {.lex_state = 451},
  [11505] = {.lex_state = 451},
  [11506] = {.lex_state = 451},
  [11507] = {.lex_state = 451},
  [11508] = {.lex_state = 242},
  [11509] = {.lex_state = 451},
  [11510] = {.lex_state = 451},
  [11511] = {.lex_state = 242},
  [11512] = {.lex_state = 451},
  [11513] = {.lex_state = 451},
  [11514] = {.lex_state = 451},
  [11515] = {.lex_state = 451},
  [11516] = {.lex_state = 242},
  [11517] = {.lex_state = 451},
  [11518] = {.lex_state = 242},
  [11519] = {.lex_state = 242},
  [11520] = {.lex_state = 242},
  [11521] = {.lex_state = 242},
  [11522] = {.lex_state = 451},
  [11523] = {.lex_state = 242},
  [11524] = {.lex_state = 451},
  [11525] = {.lex_state = 451},
  [11526] = {.lex_state = 451},
  [11527] = {.lex_state = 242},
  [11528] = {.lex_state = 451},
  [11529] = {.lex_state = 451},
  [11530] = {.lex_state = 451},
  [11531] = {.lex_state = 451},
  [11532] = {.lex_state = 451},
  [11533] = {.lex_state = 242},
  [11534] = {.lex_state = 451},
  [11535] = {.lex_state = 242},
  [11536] = {.lex_state = 242},
  [11537] = {.lex_state = 451, .external_lex_state = 4},
  [11538] = {.lex_state = 451},
  [11539] = {.lex_state = 451},
  [11540] = {.lex_state = 451},
  [11541] = {.lex_state = 242},
  [11542] = {.lex_state = 451},
  [11543] = {.lex_state = 242},
  [11544] = {.lex_state = 451},
  [11545] = {.lex_state = 451},
  [11546] = {.lex_state = 242},
  [11547] = {.lex_state = 451},
  [11548] = {.lex_state = 242},
  [11549] = {.lex_state = 451},
  [11550] = {.lex_state = 242},
  [11551] = {.lex_state = 451},
  [11552] = {.lex_state = 451},
  [11553] = {.lex_state = 451},
  [11554] = {.lex_state = 451},
  [11555] = {.lex_state = 451},
  [11556] = {.lex_state = 451},
  [11557] = {.lex_state = 451},
  [11558] = {.lex_state = 451},
  [11559] = {.lex_state = 451},
  [11560] = {.lex_state = 451},
  [11561] = {.lex_state = 451},
  [11562] = {.lex_state = 242},
  [11563] = {.lex_state = 242},
  [11564] = {.lex_state = 451},
  [11565] = {.lex_state = 242},
  [11566] = {.lex_state = 451},
  [11567] = {.lex_state = 451},
  [11568] = {.lex_state = 451},
  [11569] = {.lex_state = 451},
  [11570] = {.lex_state = 242},
  [11571] = {.lex_state = 451},
  [11572] = {.lex_state = 242},
  [11573] = {.lex_state = 451},
  [11574] = {.lex_state = 242},
  [11575] = {.lex_state = 451},
  [11576] = {.lex_state = 451},
  [11577] = {.lex_state = 242},
  [11578] = {.lex_state = 451},
  [11579] = {.lex_state = 451},
  [11580] = {.lex_state = 253},
  [11581] = {.lex_state = 451},
  [11582] = {.lex_state = 451},
  [11583] = {.lex_state = 451},
  [11584] = {.lex_state = 451},
  [11585] = {.lex_state = 242},
  [11586] = {.lex_state = 242},
  [11587] = {.lex_state = 242},
  [11588] = {.lex_state = 451},
  [11589] = {.lex_state = 451},
  [11590] = {.lex_state = 242},
  [11591] = {.lex_state = 451},
  [11592] = {.lex_state = 451},
  [11593] = {.lex_state = 242},
  [11594] = {.lex_state = 451},
  [11595] = {.lex_state = 242},
  [11596] = {.lex_state = 451},
  [11597] = {.lex_state = 242},
  [11598] = {.lex_state = 242},
  [11599] = {.lex_state = 451},
  [11600] = {.lex_state = 451},
  [11601] = {.lex_state = 451},
  [11602] = {.lex_state = 451},
  [11603] = {.lex_state = 451},
  [11604] = {.lex_state = 451},
  [11605] = {.lex_state = 451},
  [11606] = {.lex_state = 242},
  [11607] = {.lex_state = 451},
  [11608] = {.lex_state = 451},
  [11609] = {.lex_state = 242},
  [11610] = {.lex_state = 451},
  [11611] = {.lex_state = 451},
  [11612] = {.lex_state = 451},
  [11613] = {.lex_state = 242},
  [11614] = {.lex_state = 242},
  [11615] = {.lex_state = 451},
  [11616] = {.lex_state = 451},
  [11617] = {.lex_state = 451},
  [11618] = {.lex_state = 451},
  [11619] = {.lex_state = 242},
  [11620] = {.lex_state = 253},
  [11621] = {.lex_state = 451},
  [11622] = {.lex_state = 451},
  [11623] = {.lex_state = 242},
  [11624] = {.lex_state = 242},
  [11625] = {.lex_state = 451},
  [11626] = {.lex_state = 451},
  [11627] = {.lex_state = 242},
  [11628] = {.lex_state = 451},
  [11629] = {.lex_state = 242},
  [11630] = {.lex_state = 451},
  [11631] = {.lex_state = 451},
  [11632] = {.lex_state = 451},
  [11633] = {.lex_state = 451},
  [11634] = {.lex_state = 451},
  [11635] = {.lex_state = 242},
  [11636] = {.lex_state = 451},
  [11637] = {.lex_state = 451},
  [11638] = {.lex_state = 451},
  [11639] = {.lex_state = 451},
  [11640] = {.lex_state = 242},
  [11641] = {.lex_state = 242},
  [11642] = {.lex_state = 451},
  [11643] = {.lex_state = 451},
  [11644] = {.lex_state = 451},
  [11645] = {.lex_state = 242},
  [11646] = {.lex_state = 451},
  [11647] = {.lex_state = 451},
  [11648] = {.lex_state = 451},
  [11649] = {.lex_state = 242},
  [11650] = {.lex_state = 242},
  [11651] = {.lex_state = 451},
  [11652] = {.lex_state = 242},
  [11653] = {.lex_state = 242},
  [11654] = {.lex_state = 451},
  [11655] = {.lex_state = 451},
  [11656] = {.lex_state = 451},
  [11657] = {.lex_state = 242},
  [11658] = {.lex_state = 242},
  [11659] = {.lex_state = 451},
  [11660] = {.lex_state = 451},
  [11661] = {.lex_state = 451},
  [11662] = {.lex_state = 451},
  [11663] = {.lex_state = 451},
  [11664] = {.lex_state = 242},
  [11665] = {.lex_state = 451},
  [11666] = {.lex_state = 451},
  [11667] = {.lex_state = 451},
  [11668] = {.lex_state = 242},
  [11669] = {.lex_state = 242},
  [11670] = {.lex_state = 451},
  [11671] = {.lex_state = 451},
  [11672] = {.lex_state = 242},
  [11673] = {.lex_state = 451},
  [11674] = {.lex_state = 242},
  [11675] = {.lex_state = 242},
  [11676] = {.lex_state = 451},
  [11677] = {.lex_state = 242},
  [11678] = {.lex_state = 451},
  [11679] = {.lex_state = 451},
  [11680] = {.lex_state = 451},
  [11681] = {.lex_state = 451},
  [11682] = {.lex_state = 451},
  [11683] = {.lex_state = 242},
  [11684] = {.lex_state = 451},
  [11685] = {.lex_state = 451},
  [11686] = {.lex_state = 451},
  [11687] = {.lex_state = 451},
  [11688] = {.lex_state = 242},
  [11689] = {.lex_state = 451},
  [11690] = {.lex_state = 451},
  [11691] = {.lex_state = 451},
  [11692] = {.lex_state = 242},
  [11693] = {.lex_state = 451},
  [11694] = {.lex_state = 451},
  [11695] = {.lex_state = 451},
  [11696] = {.lex_state = 242},
  [11697] = {.lex_state = 242},
  [11698] = {.lex_state = 451},
  [11699] = {.lex_state = 451},
  [11700] = {.lex_state = 451},
  [11701] = {.lex_state = 242},
  [11702] = {.lex_state = 451},
  [11703] = {.lex_state = 451},
  [11704] = {.lex_state = 242},
  [11705] = {.lex_state = 451},
  [11706] = {.lex_state = 242},
  [11707] = {.lex_state = 451},
  [11708] = {.lex_state = 242},
  [11709] = {.lex_state = 242},
  [11710] = {.lex_state = 451},
  [11711] = {.lex_state = 451},
  [11712] = {.lex_state = 242},
  [11713] = {.lex_state = 451},
  [11714] = {.lex_state = 451},
  [11715] = {.lex_state = 451},
  [11716] = {.lex_state = 451},
  [11717] = {.lex_state = 451},
  [11718] = {.lex_state = 451},
  [11719] = {.lex_state = 451},
  [11720] = {.lex_state = 242},
  [11721] = {.lex_state = 451},
  [11722] = {.lex_state = 451},
  [11723] = {.lex_state = 242},
  [11724] = {.lex_state = 451},
  [11725] = {.lex_state = 451},
  [11726] = {.lex_state = 242},
  [11727] = {.lex_state = 242},
  [11728] = {.lex_state = 451},
  [11729] = {.lex_state = 242},
  [11730] = {.lex_state = 242},
  [11731] = {.lex_state = 242},
  [11732] = {.lex_state = 451},
  [11733] = {.lex_state = 242},
  [11734] = {.lex_state = 451},
  [11735] = {.lex_state = 451},
  [11736] = {.lex_state = 451},
  [11737] = {.lex_state = 451},
  [11738] = {.lex_state = 451},
  [11739] = {.lex_state = 451},
  [11740] = {.lex_state = 451},
  [11741] = {.lex_state = 451},
  [11742] = {.lex_state = 451},
  [11743] = {.lex_state = 242},
  [11744] = {.lex_state = 451},
  [11745] = {.lex_state = 451},
  [11746] = {.lex_state = 242},
  [11747] = {.lex_state = 451},
  [11748] = {.lex_state = 451},
  [11749] = {.lex_state = 242},
  [11750] = {.lex_state = 451},
  [11751] = {.lex_state = 451},
  [11752] = {.lex_state = 242},
  [11753] = {.lex_state = 451},
  [11754] = {.lex_state = 451},
  [11755] = {.lex_state = 451},
  [11756] = {.lex_state = 242},
  [11757] = {.lex_state = 451},
  [11758] = {.lex_state = 242},
  [11759] = {.lex_state = 451},
  [11760] = {.lex_state = 242},
  [11761] = {.lex_state = 242},
  [11762] = {.lex_state = 451},
  [11763] = {.lex_state = 451},
  [11764] = {.lex_state = 451},
  [11765] = {.lex_state = 242},
  [11766] = {.lex_state = 451},
  [11767] = {.lex_state = 451},
  [11768] = {.lex_state = 451},
  [11769] = {.lex_state = 451},
  [11770] = {.lex_state = 451},
  [11771] = {.lex_state = 242},
  [11772] = {.lex_state = 242},
  [11773] = {.lex_state = 451},
  [11774] = {.lex_state = 451},
  [11775] = {.lex_state = 451},
  [11776] = {.lex_state = 451},
  [11777] = {.lex_state = 242},
  [11778] = {.lex_state = 242},
  [11779] = {.lex_state = 451},
  [11780] = {.lex_state = 451},
  [11781] = {.lex_state = 242},
  [11782] = {.lex_state = 242},
  [11783] = {.lex_state = 242},
  [11784] = {.lex_state = 451},
  [11785] = {.lex_state = 451},
  [11786] = {.lex_state = 451},
  [11787] = {.lex_state = 242},
  [11788] = {.lex_state = 451},
  [11789] = {.lex_state = 242},
  [11790] = {.lex_state = 451},
  [11791] = {.lex_state = 451},
  [11792] = {.lex_state = 451},
  [11793] = {.lex_state = 451},
  [11794] = {.lex_state = 242},
  [11795] = {.lex_state = 451},
  [11796] = {.lex_state = 451},
  [11797] = {.lex_state = 242},
  [11798] = {.lex_state = 451},
  [11799] = {.lex_state = 451},
  [11800] = {.lex_state = 242},
  [11801] = {.lex_state = 451},
  [11802] = {.lex_state = 242},
  [11803] = {.lex_state = 451},
  [11804] = {.lex_state = 451},
  [11805] = {.lex_state = 242},
  [11806] = {.lex_state = 451},
  [11807] = {.lex_state = 242},
  [11808] = {.lex_state = 242},
  [11809] = {.lex_state = 242},
  [11810] = {.lex_state = 451},
  [11811] = {.lex_state = 242},
  [11812] = {.lex_state = 451},
  [11813] = {.lex_state = 451},
  [11814] = {.lex_state = 451},
  [11815] = {.lex_state = 451},
  [11816] = {.lex_state = 242},
  [11817] = {.lex_state = 242},
  [11818] = {.lex_state = 451},
  [11819] = {.lex_state = 451},
  [11820] = {.lex_state = 451},
  [11821] = {.lex_state = 242},
  [11822] = {.lex_state = 242},
  [11823] = {.lex_state = 451},
  [11824] = {.lex_state = 242},
  [11825] = {.lex_state = 242},
  [11826] = {.lex_state = 242},
  [11827] = {.lex_state = 451},
  [11828] = {.lex_state = 242},
  [11829] = {.lex_state = 451},
  [11830] = {.lex_state = 451},
  [11831] = {.lex_state = 242},
  [11832] = {.lex_state = 242},
  [11833] = {.lex_state = 451},
  [11834] = {.lex_state = 451},
  [11835] = {.lex_state = 242},
  [11836] = {.lex_state = 242},
  [11837] = {.lex_state = 451},
  [11838] = {.lex_state = 451},
  [11839] = {.lex_state = 451},
  [11840] = {.lex_state = 242},
  [11841] = {.lex_state = 451},
  [11842] = {.lex_state = 451},
  [11843] = {.lex_state = 242},
  [11844] = {.lex_state = 242},
  [11845] = {.lex_state = 451},
  [11846] = {.lex_state = 451},
  [11847] = {.lex_state = 451},
  [11848] = {.lex_state = 242},
  [11849] = {.lex_state = 451},
  [11850] = {.lex_state = 451},
  [11851] = {.lex_state = 451},
  [11852] = {.lex_state = 242},
  [11853] = {.lex_state = 451},
  [11854] = {.lex_state = 242},
  [11855] = {.lex_state = 451},
  [11856] = {.lex_state = 242},
  [11857] = {.lex_state = 451},
  [11858] = {.lex_state = 451},
  [11859] = {.lex_state = 451},
  [11860] = {.lex_state = 242},
  [11861] = {.lex_state = 451},
  [11862] = {.lex_state = 451},
  [11863] = {.lex_state = 242},
  [11864] = {.lex_state = 242},
  [11865] = {.lex_state = 451},
  [11866] = {.lex_state = 242},
  [11867] = {.lex_state = 451},
  [11868] = {.lex_state = 242},
  [11869] = {.lex_state = 451},
  [11870] = {.lex_state = 451},
  [11871] = {.lex_state = 242},
  [11872] = {.lex_state = 242},
  [11873] = {.lex_state = 242},
  [11874] = {.lex_state = 242},
  [11875] = {.lex_state = 242},
  [11876] = {.lex_state = 242},
  [11877] = {.lex_state = 451},
  [11878] = {.lex_state = 451},
  [11879] = {.lex_state = 242},
  [11880] = {.lex_state = 242},
  [11881] = {.lex_state = 451, .external_lex_state = 4},
  [11882] = {.lex_state = 451},
  [11883] = {.lex_state = 242},
  [11884] = {.lex_state = 242},
  [11885] = {.lex_state = 451},
  [11886] = {.lex_state = 451},
  [11887] = {.lex_state = 451},
  [11888] = {.lex_state = 242},
  [11889] = {.lex_state = 242},
  [11890] = {.lex_state = 451},
  [11891] = {.lex_state = 451},
  [11892] = {.lex_state = 242},
  [11893] = {.lex_state = 242},
  [11894] = {.lex_state = 242},
  [11895] = {.lex_state = 242},
  [11896] = {.lex_state = 242},
  [11897] = {.lex_state = 242},
  [11898] = {.lex_state = 451},
  [11899] = {.lex_state = 242},
  [11900] = {.lex_state = 242},
  [11901] = {.lex_state = 242},
  [11902] = {.lex_state = 451},
  [11903] = {.lex_state = 451},
  [11904] = {.lex_state = 242},
  [11905] = {.lex_state = 451},
  [11906] = {.lex_state = 451},
  [11907] = {.lex_state = 451},
  [11908] = {.lex_state = 242},
  [11909] = {.lex_state = 451},
  [11910] = {.lex_state = 242},
  [11911] = {.lex_state = 451},
  [11912] = {.lex_state = 242},
  [11913] = {.lex_state = 451},
  [11914] = {.lex_state = 451},
  [11915] = {.lex_state = 451},
  [11916] = {.lex_state = 242},
  [11917] = {.lex_state = 451},
  [11918] = {.lex_state = 242},
  [11919] = {.lex_state = 451},
  [11920] = {.lex_state = 242},
  [11921] = {.lex_state = 242},
  [11922] = {.lex_state = 451},
  [11923] = {.lex_state = 451},
  [11924] = {.lex_state = 242},
  [11925] = {.lex_state = 242},
  [11926] = {.lex_state = 242},
  [11927] = {.lex_state = 242},
  [11928] = {.lex_state = 242},
  [11929] = {.lex_state = 242},
  [11930] = {.lex_state = 451},
  [11931] = {.lex_state = 242},
  [11932] = {.lex_state = 242},
  [11933] = {.lex_state = 451, .external_lex_state = 3},
  [11934] = {.lex_state = 242},
  [11935] = {.lex_state = 242},
  [11936] = {.lex_state = 242},
  [11937] = {.lex_state = 451},
  [11938] = {.lex_state = 451},
  [11939] = {.lex_state = 451},
  [11940] = {.lex_state = 242},
  [11941] = {.lex_state = 451},
  [11942] = {.lex_state = 451},
  [11943] = {.lex_state = 451},
  [11944] = {.lex_state = 242},
  [11945] = {.lex_state = 242},
  [11946] = {.lex_state = 451},
  [11947] = {.lex_state = 451},
  [11948] = {.lex_state = 242},
  [11949] = {.lex_state = 242},
  [11950] = {.lex_state = 451},
  [11951] = {.lex_state = 451},
  [11952] = {.lex_state = 242},
  [11953] = {.lex_state = 242},
  [11954] = {.lex_state = 242},
  [11955] = {.lex_state = 242},
  [11956] = {.lex_state = 242},
  [11957] = {.lex_state = 451},
  [11958] = {.lex_state = 451},
  [11959] = {.lex_state = 451},
  [11960] = {.lex_state = 242},
  [11961] = {.lex_state = 242},
  [11962] = {.lex_state = 451},
  [11963] = {.lex_state = 242},
  [11964] = {.lex_state = 242},
  [11965] = {.lex_state = 451},
  [11966] = {.lex_state = 451},
  [11967] = {.lex_state = 451},
  [11968] = {.lex_state = 242},
  [11969] = {.lex_state = 451},
  [11970] = {.lex_state = 451},
  [11971] = {.lex_state = 451},
  [11972] = {.lex_state = 242},
  [11973] = {.lex_state = 451},
  [11974] = {.lex_state = 451},
  [11975] = {.lex_state = 242},
  [11976] = {.lex_state = 242},
  [11977] = {.lex_state = 451},
  [11978] = {.lex_state = 451},
  [11979] = {.lex_state = 451},
  [11980] = {.lex_state = 242},
  [11981] = {.lex_state = 242},
  [11982] = {.lex_state = 451},
  [11983] = {.lex_state = 451},
  [11984] = {.lex_state = 242},
  [11985] = {.lex_state = 451},
  [11986] = {.lex_state = 451},
  [11987] = {.lex_state = 242},
  [11988] = {.lex_state = 242},
  [11989] = {.lex_state = 242},
  [11990] = {.lex_state = 451},
  [11991] = {.lex_state = 242},
  [11992] = {.lex_state = 242},
  [11993] = {.lex_state = 451},
  [11994] = {.lex_state = 451},
  [11995] = {.lex_state = 451},
  [11996] = {.lex_state = 242},
  [11997] = {.lex_state = 451},
  [11998] = {.lex_state = 451},
  [11999] = {.lex_state = 451},
  [12000] = {.lex_state = 242},
  [12001] = {.lex_state = 242},
  [12002] = {.lex_state = 451},
  [12003] = {.lex_state = 451},
  [12004] = {.lex_state = 242},
  [12005] = {.lex_state = 451},
  [12006] = {.lex_state = 451},
  [12007] = {.lex_state = 242},
  [12008] = {.lex_state = 242},
  [12009] = {.lex_state = 451},
  [12010] = {.lex_state = 451},
  [12011] = {.lex_state = 242},
  [12012] = {.lex_state = 242},
  [12013] = {.lex_state = 242},
  [12014] = {.lex_state = 242},
  [12015] = {.lex_state = 242},
  [12016] = {.lex_state = 242},
  [12017] = {.lex_state = 242},
  [12018] = {.lex_state = 451},
  [12019] = {.lex_state = 451},
  [12020] = {.lex_state = 242},
  [12021] = {.lex_state = 242},
  [12022] = {.lex_state = 451},
  [12023] = {.lex_state = 451},
  [12024] = {.lex_state = 242},
  [12025] = {.lex_state = 451},
  [12026] = {.lex_state = 242},
  [12027] = {.lex_state = 451},
  [12028] = {.lex_state = 242},
  [12029] = {.lex_state = 451},
  [12030] = {.lex_state = 451},
  [12031] = {.lex_state = 242},
  [12032] = {.lex_state = 242},
  [12033] = {.lex_state = 451},
  [12034] = {.lex_state = 451},
  [12035] = {.lex_state = 242},
  [12036] = {.lex_state = 242},
  [12037] = {.lex_state = 451},
  [12038] = {.lex_state = 242},
  [12039] = {.lex_state = 242},
  [12040] = {.lex_state = 242},
  [12041] = {.lex_state = 451},
  [12042] = {.lex_state = 451},
  [12043] = {.lex_state = 242},
  [12044] = {.lex_state = 242},
  [12045] = {.lex_state = 242},
  [12046] = {.lex_state = 451},
  [12047] = {.lex_state = 451},
  [12048] = {.lex_state = 242},
  [12049] = {.lex_state = 451},
  [12050] = {.lex_state = 451},
  [12051] = {.lex_state = 253},
  [12052] = {.lex_state = 242},
  [12053] = {.lex_state = 451},
  [12054] = {.lex_state = 242},
  [12055] = {.lex_state = 451},
  [12056] = {.lex_state = 242},
  [12057] = {.lex_state = 451},
  [12058] = {.lex_state = 451},
  [12059] = {.lex_state = 451},
  [12060] = {.lex_state = 242},
  [12061] = {.lex_state = 451},
  [12062] = {.lex_state = 242},
  [12063] = {.lex_state = 451},
  [12064] = {.lex_state = 242},
  [12065] = {.lex_state = 451},
  [12066] = {.lex_state = 242},
  [12067] = {.lex_state = 242},
  [12068] = {.lex_state = 242},
  [12069] = {.lex_state = 242},
  [12070] = {.lex_state = 451},
  [12071] = {.lex_state = 451},
  [12072] = {.lex_state = 242},
  [12073] = {.lex_state = 451},
  [12074] = {.lex_state = 242},
  [12075] = {.lex_state = 451},
  [12076] = {.lex_state = 242},
  [12077] = {.lex_state = 451},
  [12078] = {.lex_state = 451},
  [12079] = {.lex_state = 242},
  [12080] = {.lex_state = 242},
  [12081] = {.lex_state = 242},
  [12082] = {.lex_state = 451},
  [12083] = {.lex_state = 242},
  [12084] = {.lex_state = 242},
  [12085] = {.lex_state = 451},
  [12086] = {.lex_state = 451},
  [12087] = {.lex_state = 451},
  [12088] = {.lex_state = 242},
  [12089] = {.lex_state = 242},
  [12090] = {.lex_state = 451},
  [12091] = {.lex_state = 451},
  [12092] = {.lex_state = 242},
  [12093] = {.lex_state = 242},
  [12094] = {.lex_state = 242},
  [12095] = {.lex_state = 451},
  [12096] = {.lex_state = 242},
  [12097] = {.lex_state = 451},
  [12098] = {.lex_state = 242},
  [12099] = {.lex_state = 451},
  [12100] = {.lex_state = 242},
  [12101] = {.lex_state = 451},
  [12102] = {.lex_state = 451},
  [12103] = {.lex_state = 451},
  [12104] = {.lex_state = 242},
  [12105] = {.lex_state = 451, .external_lex_state = 4},
  [12106] = {.lex_state = 242},
  [12107] = {.lex_state = 451},
  [12108] = {.lex_state = 242},
  [12109] = {.lex_state = 451},
  [12110] = {.lex_state = 451},
  [12111] = {.lex_state = 242},
  [12112] = {.lex_state = 242},
  [12113] = {.lex_state = 451},
  [12114] = {.lex_state = 451},
  [12115] = {.lex_state = 451},
  [12116] = {.lex_state = 242},
  [12117] = {.lex_state = 451},
  [12118] = {.lex_state = 451},
  [12119] = {.lex_state = 451},
  [12120] = {.lex_state = 242},
  [12121] = {.lex_state = 242},
  [12122] = {.lex_state = 242},
  [12123] = {.lex_state = 451},
  [12124] = {.lex_state = 242},
  [12125] = {.lex_state = 451},
  [12126] = {.lex_state = 451},
  [12127] = {.lex_state = 451},
  [12128] = {.lex_state = 242},
  [12129] = {.lex_state = 451},
  [12130] = {.lex_state = 242},
  [12131] = {.lex_state = 242},
  [12132] = {.lex_state = 242},
  [12133] = {.lex_state = 451},
  [12134] = {.lex_state = 242},
  [12135] = {.lex_state = 451},
  [12136] = {.lex_state = 242},
  [12137] = {.lex_state = 451},
  [12138] = {.lex_state = 451},
  [12139] = {.lex_state = 451},
  [12140] = {.lex_state = 242},
  [12141] = {.lex_state = 451},
  [12142] = {.lex_state = 451},
  [12143] = {.lex_state = 451},
  [12144] = {.lex_state = 242},
  [12145] = {.lex_state = 451},
  [12146] = {.lex_state = 451},
  [12147] = {.lex_state = 242},
  [12148] = {.lex_state = 242},
  [12149] = {.lex_state = 451},
  [12150] = {.lex_state = 451},
  [12151] = {.lex_state = 242},
  [12152] = {.lex_state = 242},
  [12153] = {.lex_state = 451},
  [12154] = {.lex_state = 242},
  [12155] = {.lex_state = 242},
  [12156] = {.lex_state = 242},
  [12157] = {.lex_state = 451},
  [12158] = {.lex_state = 451},
  [12159] = {.lex_state = 451},
  [12160] = {.lex_state = 242},
  [12161] = {.lex_state = 242},
  [12162] = {.lex_state = 451},
  [12163] = {.lex_state = 242},
  [12164] = {.lex_state = 242},
  [12165] = {.lex_state = 451},
  [12166] = {.lex_state = 451},
  [12167] = {.lex_state = 451},
  [12168] = {.lex_state = 242},
  [12169] = {.lex_state = 451},
  [12170] = {.lex_state = 451},
  [12171] = {.lex_state = 242},
  [12172] = {.lex_state = 242},
  [12173] = {.lex_state = 451},
  [12174] = {.lex_state = 242},
  [12175] = {.lex_state = 451},
  [12176] = {.lex_state = 242},
  [12177] = {.lex_state = 451},
  [12178] = {.lex_state = 451},
  [12179] = {.lex_state = 451},
  [12180] = {.lex_state = 242},
  [12181] = {.lex_state = 242},
  [12182] = {.lex_state = 451},
  [12183] = {.lex_state = 242},
  [12184] = {.lex_state = 242},
  [12185] = {.lex_state = 242},
  [12186] = {.lex_state = 451},
  [12187] = {.lex_state = 451},
  [12188] = {.lex_state = 242},
  [12189] = {.lex_state = 451, .external_lex_state = 4},
  [12190] = {.lex_state = 451},
  [12191] = {.lex_state = 451},
  [12192] = {.lex_state = 242},
  [12193] = {.lex_state = 451},
  [12194] = {.lex_state = 242},
  [12195] = {.lex_state = 451},
  [12196] = {.lex_state = 242},
  [12197] = {.lex_state = 242},
  [12198] = {.lex_state = 242},
  [12199] = {.lex_state = 451},
  [12200] = {.lex_state = 242},
  [12201] = {.lex_state = 451},
  [12202] = {.lex_state = 451},
  [12203] = {.lex_state = 451},
  [12204] = {.lex_state = 242},
  [12205] = {.lex_state = 451},
  [12206] = {.lex_state = 451},
  [12207] = {.lex_state = 242},
  [12208] = {.lex_state = 242},
  [12209] = {.lex_state = 242},
  [12210] = {.lex_state = 451},
  [12211] = {.lex_state = 451},
  [12212] = {.lex_state = 242},
  [12213] = {.lex_state = 242},
  [12214] = {.lex_state = 242},
  [12215] = {.lex_state = 242},
  [12216] = {.lex_state = 242},
  [12217] = {.lex_state = 451},
  [12218] = {.lex_state = 451},
  [12219] = {.lex_state = 242},
  [12220] = {.lex_state = 242},
  [12221] = {.lex_state = 451},
  [12222] = {.lex_state = 451},
  [12223] = {.lex_state = 451},
  [12224] = {.lex_state = 242},
  [12225] = {.lex_state = 242},
  [12226] = {.lex_state = 451},
  [12227] = {.lex_state = 451},
  [12228] = {.lex_state = 242},
  [12229] = {.lex_state = 451},
  [12230] = {.lex_state = 451},
  [12231] = {.lex_state = 242},
  [12232] = {.lex_state = 242},
  [12233] = {.lex_state = 451},
  [12234] = {.lex_state = 451},
  [12235] = {.lex_state = 451},
  [12236] = {.lex_state = 242},
  [12237] = {.lex_state = 242},
  [12238] = {.lex_state = 242},
  [12239] = {.lex_state = 451},
  [12240] = {.lex_state = 242},
  [12241] = {.lex_state = 242},
  [12242] = {.lex_state = 451},
  [12243] = {.lex_state = 242},
  [12244] = {.lex_state = 242},
  [12245] = {.lex_state = 451},
  [12246] = {.lex_state = 451},
  [12247] = {.lex_state = 451},
  [12248] = {.lex_state = 242},
  [12249] = {.lex_state = 451},
  [12250] = {.lex_state = 242},
  [12251] = {.lex_state = 242},
  [12252] = {.lex_state = 242},
  [12253] = {.lex_state = 451},
  [12254] = {.lex_state = 451},
  [12255] = {.lex_state = 451},
  [12256] = {.lex_state = 242},
  [12257] = {.lex_state = 451},
  [12258] = {.lex_state = 451},
  [12259] = {.lex_state = 451},
  [12260] = {.lex_state = 242},
  [12261] = {.lex_state = 242},
  [12262] = {.lex_state = 242},
  [12263] = {.lex_state = 451},
  [12264] = {.lex_state = 242},
  [12265] = {.lex_state = 451},
  [12266] = {.lex_state = 451},
  [12267] = {.lex_state = 242},
  [12268] = {.lex_state = 242},
  [12269] = {.lex_state = 451},
  [12270] = {.lex_state = 451},
  [12271] = {.lex_state = 242},
  [12272] = {.lex_state = 242},
  [12273] = {.lex_state = 451},
  [12274] = {.lex_state = 242},
  [12275] = {.lex_state = 451},
  [12276] = {.lex_state = 242},
  [12277] = {.lex_state = 451, .external_lex_state = 4},
  [12278] = {.lex_state = 242},
  [12279] = {.lex_state = 242},
  [12280] = {.lex_state = 242},
  [12281] = {.lex_state = 451},
  [12282] = {.lex_state = 242},
  [12283] = {.lex_state = 451},
  [12284] = {.lex_state = 242},
  [12285] = {.lex_state = 451},
  [12286] = {.lex_state = 451},
  [12287] = {.lex_state = 242},
  [12288] = {.lex_state = 242},
  [12289] = {.lex_state = 451},
  [12290] = {.lex_state = 451},
  [12291] = {.lex_state = 242},
  [12292] = {.lex_state = 242},
  [12293] = {.lex_state = 253},
  [12294] = {.lex_state = 242},
  [12295] = {.lex_state = 451},
  [12296] = {.lex_state = 242},
  [12297] = {.lex_state = 451},
  [12298] = {.lex_state = 451},
  [12299] = {.lex_state = 242},
  [12300] = {.lex_state = 242},
  [12301] = {.lex_state = 451},
  [12302] = {.lex_state = 451},
  [12303] = {.lex_state = 451},
  [12304] = {.lex_state = 242},
  [12305] = {.lex_state = 242},
  [12306] = {.lex_state = 451},
  [12307] = {.lex_state = 451},
  [12308] = {.lex_state = 242},
  [12309] = {.lex_state = 451},
  [12310] = {.lex_state = 451},
  [12311] = {.lex_state = 451},
  [12312] = {.lex_state = 242},
  [12313] = {.lex_state = 451},
  [12314] = {.lex_state = 242},
  [12315] = {.lex_state = 451},
  [12316] = {.lex_state = 242},
  [12317] = {.lex_state = 451},
  [12318] = {.lex_state = 242},
  [12319] = {.lex_state = 451},
  [12320] = {.lex_state = 242},
  [12321] = {.lex_state = 451},
  [12322] = {.lex_state = 242},
  [12323] = {.lex_state = 451},
  [12324] = {.lex_state = 242},
  [12325] = {.lex_state = 242},
  [12326] = {.lex_state = 242},
  [12327] = {.lex_state = 451},
  [12328] = {.lex_state = 242},
  [12329] = {.lex_state = 451},
  [12330] = {.lex_state = 451},
  [12331] = {.lex_state = 253},
  [12332] = {.lex_state = 451},
  [12333] = {.lex_state = 253},
  [12334] = {.lex_state = 451},
  [12335] = {.lex_state = 451, .external_lex_state = 3},
  [12336] = {.lex_state = 242},
  [12337] = {.lex_state = 242},
  [12338] = {.lex_state = 451},
  [12339] = {.lex_state = 451},
  [12340] = {.lex_state = 451},
  [12341] = {.lex_state = 451},
  [12342] = {.lex_state = 451},
  [12343] = {.lex_state = 451},
  [12344] = {.lex_state = 242},
  [12345] = {.lex_state = 451},
  [12346] = {.lex_state = 451},
  [12347] = {.lex_state = 242},
  [12348] = {.lex_state = 451},
  [12349] = {.lex_state = 451},
  [12350] = {.lex_state = 451},
  [12351] = {.lex_state = 242},
  [12352] = {.lex_state = 451},
  [12353] = {.lex_state = 242},
  [12354] = {.lex_state = 451},
  [12355] = {.lex_state = 451},
  [12356] = {.lex_state = 242},
  [12357] = {.lex_state = 242},
  [12358] = {.lex_state = 451},
  [12359] = {.lex_state = 242},
  [12360] = {.lex_state = 451},
  [12361] = {.lex_state = 451},
  [12362] = {.lex_state = 451},
  [12363] = {.lex_state = 451},
  [12364] = {.lex_state = 242},
  [12365] = {.lex_state = 451},
  [12366] = {.lex_state = 451},
  [12367] = {.lex_state = 451},
  [12368] = {.lex_state = 451},
  [12369] = {.lex_state = 242},
  [12370] = {.lex_state = 451},
  [12371] = {.lex_state = 451},
  [12372] = {.lex_state = 451},
  [12373] = {.lex_state = 451},
  [12374] = {.lex_state = 242},
  [12375] = {.lex_state = 451},
  [12376] = {.lex_state = 242},
  [12377] = {.lex_state = 451},
  [12378] = {.lex_state = 242},
  [12379] = {.lex_state = 242},
  [12380] = {.lex_state = 451},
  [12381] = {.lex_state = 451},
  [12382] = {.lex_state = 451},
  [12383] = {.lex_state = 451},
  [12384] = {.lex_state = 242},
  [12385] = {.lex_state = 451},
  [12386] = {.lex_state = 451},
  [12387] = {.lex_state = 451, .external_lex_state = 3},
  [12388] = {.lex_state = 253},
  [12389] = {.lex_state = 242},
  [12390] = {.lex_state = 451, .external_lex_state = 3},
  [12391] = {.lex_state = 242},
  [12392] = {.lex_state = 451},
  [12393] = {.lex_state = 451},
  [12394] = {.lex_state = 451},
  [12395] = {.lex_state = 451},
  [12396] = {.lex_state = 451},
  [12397] = {.lex_state = 451},
  [12398] = {.lex_state = 253},
  [12399] = {.lex_state = 242},
  [12400] = {.lex_state = 451},
  [12401] = {.lex_state = 451},
  [12402] = {.lex_state = 242},
  [12403] = {.lex_state = 451},
  [12404] = {.lex_state = 242},
  [12405] = {.lex_state = 451},
  [12406] = {.lex_state = 451},
  [12407] = {.lex_state = 253},
  [12408] = {.lex_state = 451},
  [12409] = {.lex_state = 242},
  [12410] = {.lex_state = 451},
  [12411] = {.lex_state = 451},
  [12412] = {.lex_state = 242},
  [12413] = {.lex_state = 451},
  [12414] = {.lex_state = 451},
  [12415] = {.lex_state = 242},
  [12416] = {.lex_state = 253},
  [12417] = {.lex_state = 451},
  [12418] = {.lex_state = 451},
  [12419] = {.lex_state = 451},
  [12420] = {.lex_state = 451},
  [12421] = {.lex_state = 451},
  [12422] = {.lex_state = 451},
  [12423] = {.lex_state = 451},
  [12424] = {.lex_state = 451},
  [12425] = {.lex_state = 253},
  [12426] = {.lex_state = 451},
  [12427] = {.lex_state = 242},
  [12428] = {.lex_state = 451},
  [12429] = {.lex_state = 242},
  [12430] = {.lex_state = 451},
  [12431] = {.lex_state = 451},
  [12432] = {.lex_state = 451},
  [12433] = {.lex_state = 242},
  [12434] = {.lex_state = 253},
  [12435] = {.lex_state = 242},
  [12436] = {.lex_state = 242},
  [12437] = {.lex_state = 242},
  [12438] = {.lex_state = 451},
  [12439] = {.lex_state = 451},
  [12440] = {.lex_state = 451},
  [12441] = {.lex_state = 451},
  [12442] = {.lex_state = 242},
  [12443] = {.lex_state = 253},
  [12444] = {.lex_state = 451},
  [12445] = {.lex_state = 451},
  [12446] = {.lex_state = 451},
  [12447] = {.lex_state = 451},
  [12448] = {.lex_state = 242},
  [12449] = {.lex_state = 253},
  [12450] = {.lex_state = 451},
  [12451] = {.lex_state = 451},
  [12452] = {.lex_state = 253},
  [12453] = {.lex_state = 451},
  [12454] = {.lex_state = 451},
  [12455] = {.lex_state = 451},
  [12456] = {.lex_state = 451},
  [12457] = {.lex_state = 451},
  [12458] = {.lex_state = 451},
  [12459] = {.lex_state = 451},
  [12460] = {.lex_state = 451},
  [12461] = {.lex_state = 253},
  [12462] = {.lex_state = 451},
  [12463] = {.lex_state = 451},
  [12464] = {.lex_state = 451},
  [12465] = {.lex_state = 242},
  [12466] = {.lex_state = 451},
  [12467] = {.lex_state = 242},
  [12468] = {.lex_state = 451},
  [12469] = {.lex_state = 451},
  [12470] = {.lex_state = 253},
  [12471] = {.lex_state = 451},
  [12472] = {.lex_state = 242},
  [12473] = {.lex_state = 451},
  [12474] = {.lex_state = 451},
  [12475] = {.lex_state = 242},
  [12476] = {.lex_state = 242},
  [12477] = {.lex_state = 451},
  [12478] = {.lex_state = 451},
  [12479] = {.lex_state = 253},
  [12480] = {.lex_state = 242},
  [12481] = {.lex_state = 242},
  [12482] = {.lex_state = 451},
  [12483] = {.lex_state = 451},
  [12484] = {.lex_state = 451},
  [12485] = {.lex_state = 451},
  [12486] = {.lex_state = 451},
  [12487] = {.lex_state = 242},
  [12488] = {.lex_state = 253},
  [12489] = {.lex_state = 242},
  [12490] = {.lex_state = 451},
  [12491] = {.lex_state = 451},
  [12492] = {.lex_state = 451},
  [12493] = {.lex_state = 451},
  [12494] = {.lex_state = 451},
  [12495] = {.lex_state = 451},
  [12496] = {.lex_state = 451},
  [12497] = {.lex_state = 253},
  [12498] = {.lex_state = 451},
  [12499] = {.lex_state = 451},
  [12500] = {.lex_state = 451},
  [12501] = {.lex_state = 451},
  [12502] = {.lex_state = 451, .external_lex_state = 3},
  [12503] = {.lex_state = 451},
  [12504] = {.lex_state = 451},
  [12505] = {.lex_state = 451},
  [12506] = {.lex_state = 253},
  [12507] = {.lex_state = 451},
  [12508] = {.lex_state = 242},
  [12509] = {.lex_state = 451},
  [12510] = {.lex_state = 451},
  [12511] = {.lex_state = 242},
  [12512] = {.lex_state = 242},
  [12513] = {.lex_state = 451},
  [12514] = {.lex_state = 451},
  [12515] = {.lex_state = 253},
  [12516] = {.lex_state = 451},
  [12517] = {.lex_state = 242},
  [12518] = {.lex_state = 451},
  [12519] = {.lex_state = 242},
  [12520] = {.lex_state = 451},
  [12521] = {.lex_state = 451},
  [12522] = {.lex_state = 451},
  [12523] = {.lex_state = 242},
  [12524] = {.lex_state = 253},
  [12525] = {.lex_state = 242},
  [12526] = {.lex_state = 451},
  [12527] = {.lex_state = 451},
  [12528] = {.lex_state = 451},
  [12529] = {.lex_state = 451},
  [12530] = {.lex_state = 451},
  [12531] = {.lex_state = 451},
  [12532] = {.lex_state = 242},
  [12533] = {.lex_state = 253},
  [12534] = {.lex_state = 451},
  [12535] = {.lex_state = 451},
  [12536] = {.lex_state = 451},
  [12537] = {.lex_state = 451},
  [12538] = {.lex_state = 451},
  [12539] = {.lex_state = 242},
  [12540] = {.lex_state = 451},
  [12541] = {.lex_state = 451},
  [12542] = {.lex_state = 253},
  [12543] = {.lex_state = 451},
  [12544] = {.lex_state = 242},
  [12545] = {.lex_state = 451},
  [12546] = {.lex_state = 451},
  [12547] = {.lex_state = 451},
  [12548] = {.lex_state = 451},
  [12549] = {.lex_state = 451},
  [12550] = {.lex_state = 451},
  [12551] = {.lex_state = 253},
  [12552] = {.lex_state = 242},
  [12553] = {.lex_state = 242},
  [12554] = {.lex_state = 242},
  [12555] = {.lex_state = 451},
  [12556] = {.lex_state = 451},
  [12557] = {.lex_state = 451},
  [12558] = {.lex_state = 451},
  [12559] = {.lex_state = 451},
  [12560] = {.lex_state = 253},
  [12561] = {.lex_state = 451},
  [12562] = {.lex_state = 451},
  [12563] = {.lex_state = 451},
  [12564] = {.lex_state = 242},
  [12565] = {.lex_state = 451},
  [12566] = {.lex_state = 451},
  [12567] = {.lex_state = 451},
  [12568] = {.lex_state = 242},
  [12569] = {.lex_state = 253},
  [12570] = {.lex_state = 451},
  [12571] = {.lex_state = 451},
  [12572] = {.lex_state = 451},
  [12573] = {.lex_state = 451},
  [12574] = {.lex_state = 451},
  [12575] = {.lex_state = 242},
  [12576] = {.lex_state = 451},
  [12577] = {.lex_state = 242},
  [12578] = {.lex_state = 253},
  [12579] = {.lex_state = 242},
  [12580] = {.lex_state = 242},
  [12581] = {.lex_state = 451},
  [12582] = {.lex_state = 451},
  [12583] = {.lex_state = 451},
  [12584] = {.lex_state = 242},
  [12585] = {.lex_state = 451},
  [12586] = {.lex_state = 451},
  [12587] = {.lex_state = 253},
  [12588] = {.lex_state = 242},
  [12589] = {.lex_state = 451},
  [12590] = {.lex_state = 451},
  [12591] = {.lex_state = 451},
  [12592] = {.lex_state = 451},
  [12593] = {.lex_state = 253},
  [12594] = {.lex_state = 451},
  [12595] = {.lex_state = 242},
  [12596] = {.lex_state = 451},
  [12597] = {.lex_state = 451},
  [12598] = {.lex_state = 242},
  [12599] = {.lex_state = 253},
  [12600] = {.lex_state = 451},
  [12601] = {.lex_state = 242},
  [12602] = {.lex_state = 242},
  [12603] = {.lex_state = 451},
  [12604] = {.lex_state = 451},
  [12605] = {.lex_state = 253},
  [12606] = {.lex_state = 242},
  [12607] = {.lex_state = 451},
  [12608] = {.lex_state = 451},
  [12609] = {.lex_state = 451},
  [12610] = {.lex_state = 451},
  [12611] = {.lex_state = 253},
  [12612] = {.lex_state = 451},
  [12613] = {.lex_state = 451},
  [12614] = {.lex_state = 242},
  [12615] = {.lex_state = 451},
  [12616] = {.lex_state = 451},
  [12617] = {.lex_state = 253},
  [12618] = {.lex_state = 451},
  [12619] = {.lex_state = 242},
  [12620] = {.lex_state = 451},
  [12621] = {.lex_state = 451},
  [12622] = {.lex_state = 242},
  [12623] = {.lex_state = 253},
  [12624] = {.lex_state = 451},
  [12625] = {.lex_state = 451},
  [12626] = {.lex_state = 451},
  [12627] = {.lex_state = 451},
  [12628] = {.lex_state = 242},
  [12629] = {.lex_state = 253},
  [12630] = {.lex_state = 451},
  [12631] = {.lex_state = 242},
  [12632] = {.lex_state = 451},
  [12633] = {.lex_state = 451},
  [12634] = {.lex_state = 242},
  [12635] = {.lex_state = 253},
  [12636] = {.lex_state = 451},
  [12637] = {.lex_state = 451},
  [12638] = {.lex_state = 451},
  [12639] = {.lex_state = 451},
  [12640] = {.lex_state = 451},
  [12641] = {.lex_state = 253},
  [12642] = {.lex_state = 242},
  [12643] = {.lex_state = 451},
  [12644] = {.lex_state = 451},
  [12645] = {.lex_state = 451},
  [12646] = {.lex_state = 451},
  [12647] = {.lex_state = 253},
  [12648] = {.lex_state = 242},
  [12649] = {.lex_state = 451},
  [12650] = {.lex_state = 451},
  [12651] = {.lex_state = 451},
  [12652] = {.lex_state = 451},
  [12653] = {.lex_state = 253},
  [12654] = {.lex_state = 451},
  [12655] = {.lex_state = 242},
  [12656] = {.lex_state = 242},
  [12657] = {.lex_state = 451},
  [12658] = {.lex_state = 451},
  [12659] = {.lex_state = 253},
  [12660] = {.lex_state = 451},
  [12661] = {.lex_state = 451},
  [12662] = {.lex_state = 242},
  [12663] = {.lex_state = 451},
  [12664] = {.lex_state = 451},
  [12665] = {.lex_state = 253},
  [12666] = {.lex_state = 451},
  [12667] = {.lex_state = 451},
  [12668] = {.lex_state = 242},
  [12669] = {.lex_state = 451},
  [12670] = {.lex_state = 242},
  [12671] = {.lex_state = 253},
  [12672] = {.lex_state = 451},
  [12673] = {.lex_state = 451},
  [12674] = {.lex_state = 451},
  [12675] = {.lex_state = 451},
  [12676] = {.lex_state = 451},
  [12677] = {.lex_state = 253},
  [12678] = {.lex_state = 242},
  [12679] = {.lex_state = 451},
  [12680] = {.lex_state = 451},
  [12681] = {.lex_state = 451},
  [12682] = {.lex_state = 242},
  [12683] = {.lex_state = 253},
  [12684] = {.lex_state = 451},
  [12685] = {.lex_state = 242},
  [12686] = {.lex_state = 451},
  [12687] = {.lex_state = 451},
  [12688] = {.lex_state = 451},
  [12689] = {.lex_state = 253},
  [12690] = {.lex_state = 451},
  [12691] = {.lex_state = 242},
  [12692] = {.lex_state = 451},
  [12693] = {.lex_state = 451},
  [12694] = {.lex_state = 451},
  [12695] = {.lex_state = 253},
  [12696] = {.lex_state = 242},
  [12697] = {.lex_state = 451},
  [12698] = {.lex_state = 242},
  [12699] = {.lex_state = 451},
  [12700] = {.lex_state = 451},
  [12701] = {.lex_state = 253},
  [12702] = {.lex_state = 451},
  [12703] = {.lex_state = 242},
  [12704] = {.lex_state = 451},
  [12705] = {.lex_state = 451},
  [12706] = {.lex_state = 242},
  [12707] = {.lex_state = 253},
  [12708] = {.lex_state = 451},
  [12709] = {.lex_state = 242},
  [12710] = {.lex_state = 451},
  [12711] = {.lex_state = 451},
  [12712] = {.lex_state = 451},
  [12713] = {.lex_state = 253},
  [12714] = {.lex_state = 451},
  [12715] = {.lex_state = 451},
  [12716] = {.lex_state = 451},
  [12717] = {.lex_state = 242},
  [12718] = {.lex_state = 242},
  [12719] = {.lex_state = 451},
  [12720] = {.lex_state = 451},
  [12721] = {.lex_state = 451},
  [12722] = {.lex_state = 451},
  [12723] = {.lex_state = 451},
  [12724] = {.lex_state = 242},
  [12725] = {.lex_state = 451},
  [12726] = {.lex_state = 451},
  [12727] = {.lex_state = 451},
  [12728] = {.lex_state = 451},
  [12729] = {.lex_state = 451},
  [12730] = {.lex_state = 242},
  [12731] = {.lex_state = 451},
  [12732] = {.lex_state = 451},
  [12733] = {.lex_state = 242},
  [12734] = {.lex_state = 451},
  [12735] = {.lex_state = 451},
  [12736] = {.lex_state = 242},
  [12737] = {.lex_state = 451},
  [12738] = {.lex_state = 451},
  [12739] = {.lex_state = 451},
  [12740] = {.lex_state = 451},
  [12741] = {.lex_state = 451},
  [12742] = {.lex_state = 451},
  [12743] = {.lex_state = 451},
  [12744] = {.lex_state = 451},
  [12745] = {.lex_state = 451},
  [12746] = {.lex_state = 451},
  [12747] = {.lex_state = 242},
  [12748] = {.lex_state = 451},
  [12749] = {.lex_state = 253},
  [12750] = {.lex_state = 451},
  [12751] = {.lex_state = 451},
  [12752] = {.lex_state = 451},
  [12753] = {.lex_state = 242},
  [12754] = {.lex_state = 451},
  [12755] = {.lex_state = 451},
  [12756] = {.lex_state = 242},
  [12757] = {.lex_state = 451},
  [12758] = {.lex_state = 242},
  [12759] = {.lex_state = 242},
  [12760] = {.lex_state = 242},
  [12761] = {.lex_state = 451},
  [12762] = {.lex_state = 451},
  [12763] = {.lex_state = 451},
  [12764] = {.lex_state = 451},
  [12765] = {.lex_state = 451},
  [12766] = {.lex_state = 451},
  [12767] = {.lex_state = 451},
  [12768] = {.lex_state = 451},
  [12769] = {.lex_state = 242},
  [12770] = {.lex_state = 451},
  [12771] = {.lex_state = 451},
  [12772] = {.lex_state = 451},
  [12773] = {.lex_state = 451},
  [12774] = {.lex_state = 242},
  [12775] = {.lex_state = 451},
  [12776] = {.lex_state = 451},
  [12777] = {.lex_state = 451},
  [12778] = {.lex_state = 242},
  [12779] = {.lex_state = 242},
  [12780] = {.lex_state = 451},
  [12781] = {.lex_state = 451},
  [12782] = {.lex_state = 242},
  [12783] = {.lex_state = 451},
  [12784] = {.lex_state = 451},
  [12785] = {.lex_state = 242},
  [12786] = {.lex_state = 451},
  [12787] = {.lex_state = 451},
  [12788] = {.lex_state = 451},
  [12789] = {.lex_state = 242},
  [12790] = {.lex_state = 242},
  [12791] = {.lex_state = 242},
  [12792] = {.lex_state = 451},
  [12793] = {.lex_state = 451},
  [12794] = {.lex_state = 451},
  [12795] = {.lex_state = 451},
  [12796] = {.lex_state = 451},
  [12797] = {.lex_state = 242},
  [12798] = {.lex_state = 451},
  [12799] = {.lex_state = 242},
  [12800] = {.lex_state = 451},
  [12801] = {.lex_state = 451},
  [12802] = {.lex_state = 242},
  [12803] = {.lex_state = 451},
  [12804] = {.lex_state = 451},
  [12805] = {.lex_state = 451},
  [12806] = {.lex_state = 451},
  [12807] = {.lex_state = 451},
  [12808] = {.lex_state = 242},
  [12809] = {.lex_state = 451},
  [12810] = {.lex_state = 451},
  [12811] = {.lex_state = 451},
  [12812] = {.lex_state = 242},
  [12813] = {.lex_state = 242},
  [12814] = {.lex_state = 451},
  [12815] = {.lex_state = 451},
  [12816] = {.lex_state = 242},
  [12817] = {.lex_state = 242},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_id] = ACTIONS(1),
    [anon_sym_forall] = ACTIONS(1),
    [anon_sym_u2200] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_u2192] = ACTIONS(1),
    [anon_sym_u03bb] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_u2026] = ACTIONS(1),
    [anon_sym_field] = ACTIONS(1),
    [anon_sym_overlap] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_instance] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_rewrite] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_where] = ACTIONS(1),
    [anon_sym_data] = ACTIONS(1),
    [anon_sym_codata] = ACTIONS(1),
    [anon_sym_record] = ACTIONS(1),
    [anon_sym_constructor] = ACTIONS(1),
    [anon_sym_inductive] = ACTIONS(1),
    [anon_sym_coinductive] = ACTIONS(1),
    [anon_sym_eta_DASHequality] = ACTIONS(1),
    [anon_sym_no_DASHeta_DASHequality] = ACTIONS(1),
    [anon_sym_infix] = ACTIONS(1),
    [anon_sym_infixl] = ACTIONS(1),
    [anon_sym_infixr] = ACTIONS(1),
    [anon_sym_variable] = ACTIONS(1),
    [anon_sym_mutual] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_macro] = ACTIONS(1),
    [anon_sym_postulate] = ACTIONS(1),
    [anon_sym_primitive] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_hiding] = ACTIONS(1),
    [anon_sym_renaming] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_to] = ACTIONS(1),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(1),
    [anon_sym_u2983] = ACTIONS(1),
    [anon_sym_u2984] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [sym_pragma] = ACTIONS(3),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(1),
    [anon_sym_CATCHALL] = ACTIONS(1),
    [anon_sym_POUND_DASH_RBRACE] = ACTIONS(1),
    [anon_sym_syntax] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_pattern] = ACTIONS(1),
    [anon_sym_unquoteDecl] = ACTIONS(1),
    [anon_sym_unquoteDef] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_quoteGoal] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_tactic] = ACTIONS(1),
    [anon_sym_Prop] = ACTIONS(1),
    [anon_sym_quote] = ACTIONS(1),
    [anon_sym_quoteTerm] = ACTIONS(1),
    [anon_sym_quoteContext] = ACTIONS(1),
    [anon_sym_unquote] = ACTIONS(1),
    [anon_sym_LPAREN_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RPAREN] = ACTIONS(1),
    [anon_sym_u2987] = ACTIONS(1),
    [anon_sym_u2988] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [aux_sym_integer_token1] = ACTIONS(1),
    [aux_sym_literal_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(1),
    [sym_PropN] = ACTIONS(1),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(12807),
    [sym__FORALL] = STATE(8267),
    [sym__LAMBDA] = STATE(8100),
    [sym__ELLIPSIS] = STATE(4530),
    [sym__declaration] = STATE(12277),
    [sym_fields] = STATE(12277),
    [sym_function] = STATE(12277),
    [sym_lhs_decl] = STATE(9172),
    [sym_lhs_defn] = STATE(9176),
    [sym_data] = STATE(12277),
    [sym_data_signature] = STATE(12277),
    [sym_record] = STATE(12277),
    [sym_record_signature] = STATE(12277),
    [sym_infix] = STATE(12277),
    [sym_generalize] = STATE(12277),
    [sym_mutual] = STATE(12277),
    [sym_abstract] = STATE(12277),
    [sym_private] = STATE(12277),
    [sym_instance] = STATE(12277),
    [sym_macro] = STATE(12277),
    [sym_postulate] = STATE(12277),
    [sym_primitive] = STATE(12277),
    [sym_open] = STATE(12277),
    [sym_import] = STATE(12277),
    [sym_module_macro] = STATE(12277),
    [sym_module] = STATE(12277),
    [sym_syntax] = STATE(12277),
    [sym_pattern] = STATE(12277),
    [sym_unquote_decl] = STATE(12277),
    [sym__qid] = STATE(4530),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3128),
    [sym__with_exprs] = STATE(8972),
    [sym__expr_or_attr] = STATE(4530),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4617),
    [aux_sym__atoms] = STATE(3780),
    [sym__atom_curly] = STATE(4564),
    [sym__atom_no_curly] = STATE(4564),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4530),
    [sym_field_assignments] = STATE(4530),
    [sym_literal] = STATE(4530),
    [sym_SetN] = STATE(4530),
    [aux_sym_source_file_repeat1] = STATE(86),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3729),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_id] = ACTIONS(9),
    [anon_sym_forall] = ACTIONS(11),
    [anon_sym_u2200] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(13),
    [anon_sym_u03bb] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(17),
    [anon_sym_u2026] = ACTIONS(17),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(23),
    [anon_sym_data] = ACTIONS(25),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(29),
    [anon_sym_infix] = ACTIONS(31),
    [anon_sym_infixl] = ACTIONS(31),
    [anon_sym_infixr] = ACTIONS(31),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(47),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(53),
    [anon_sym_u2983] = ACTIONS(55),
    [anon_sym__] = ACTIONS(17),
    [sym_pragma] = ACTIONS(57),
    [anon_sym_syntax] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_pattern] = ACTIONS(63),
    [anon_sym_unquoteDecl] = ACTIONS(65),
    [anon_sym_unquoteDef] = ACTIONS(67),
    [aux_sym__qid_token1] = ACTIONS(69),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(75),
    [anon_sym_tactic] = ACTIONS(77),
    [anon_sym_Prop] = ACTIONS(17),
    [anon_sym_quote] = ACTIONS(17),
    [anon_sym_quoteTerm] = ACTIONS(17),
    [anon_sym_quoteContext] = ACTIONS(17),
    [anon_sym_unquote] = ACTIONS(17),
    [anon_sym_LPAREN_PIPE] = ACTIONS(79),
    [anon_sym_u2987] = ACTIONS(81),
    [anon_sym_let] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(87),
    [aux_sym_literal_token1] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(89),
    [sym_PropN] = ACTIONS(17),
  },
  [2] = {
    [sym__FORALL] = STATE(8267),
    [sym__LAMBDA] = STATE(8100),
    [sym__ELLIPSIS] = STATE(4530),
    [sym__declaration] = STATE(10683),
    [sym_fields] = STATE(10683),
    [sym_function] = STATE(10683),
    [sym_lhs_decl] = STATE(9172),
    [sym_lhs_defn] = STATE(9176),
    [sym_data] = STATE(10683),
    [sym_data_signature] = STATE(10683),
    [sym_record] = STATE(10683),
    [sym__record_directive] = STATE(11238),
    [sym_record_constructor] = STATE(11238),
    [sym_record_constructor_instance] = STATE(11238),
    [sym_record_induction] = STATE(11238),
    [sym_record_eta] = STATE(11238),
    [sym_record_signature] = STATE(10683),
    [sym_infix] = STATE(10683),
    [sym_generalize] = STATE(10683),
    [sym_mutual] = STATE(10683),
    [sym_abstract] = STATE(10683),
    [sym_private] = STATE(10683),
    [sym_instance] = STATE(10683),
    [sym_macro] = STATE(10683),
    [sym_postulate] = STATE(10683),
    [sym_primitive] = STATE(10683),
    [sym_open] = STATE(10683),
    [sym_import] = STATE(10683),
    [sym_module_macro] = STATE(10683),
    [sym_module] = STATE(10683),
    [sym_syntax] = STATE(10683),
    [sym_pattern] = STATE(10683),
    [sym_unquote_decl] = STATE(10683),
    [sym__qid] = STATE(4530),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3128),
    [sym__with_exprs] = STATE(8972),
    [sym__expr_or_attr] = STATE(4530),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4617),
    [aux_sym__atoms] = STATE(3780),
    [sym__atom_curly] = STATE(4564),
    [sym__atom_no_curly] = STATE(4564),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4530),
    [sym_field_assignments] = STATE(4530),
    [sym_literal] = STATE(4530),
    [sym_SetN] = STATE(4530),
    [aux_sym_source_file_repeat1] = STATE(84),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym_record_declarations_block_repeat1] = STATE(3),
    [aux_sym__with_exprs_repeat1] = STATE(3729),
    [sym_id] = ACTIONS(9),
    [anon_sym_forall] = ACTIONS(11),
    [anon_sym_u2200] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(13),
    [anon_sym_u03bb] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(17),
    [anon_sym_u2026] = ACTIONS(17),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(23),
    [anon_sym_data] = ACTIONS(25),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(29),
    [anon_sym_constructor] = ACTIONS(93),
    [anon_sym_inductive] = ACTIONS(95),
    [anon_sym_coinductive] = ACTIONS(95),
    [anon_sym_eta_DASHequality] = ACTIONS(97),
    [anon_sym_no_DASHeta_DASHequality] = ACTIONS(97),
    [anon_sym_infix] = ACTIONS(31),
    [anon_sym_infixl] = ACTIONS(31),
    [anon_sym_infixr] = ACTIONS(31),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(47),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(53),
    [anon_sym_u2983] = ACTIONS(55),
    [anon_sym__] = ACTIONS(17),
    [sym_pragma] = ACTIONS(99),
    [anon_sym_syntax] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_pattern] = ACTIONS(63),
    [anon_sym_unquoteDecl] = ACTIONS(65),
    [anon_sym_unquoteDef] = ACTIONS(67),
    [aux_sym__qid_token1] = ACTIONS(69),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(75),
    [anon_sym_tactic] = ACTIONS(77),
    [anon_sym_Prop] = ACTIONS(17),
    [anon_sym_quote] = ACTIONS(17),
    [anon_sym_quoteTerm] = ACTIONS(17),
    [anon_sym_quoteContext] = ACTIONS(17),
    [anon_sym_unquote] = ACTIONS(17),
    [anon_sym_LPAREN_PIPE] = ACTIONS(79),
    [anon_sym_u2987] = ACTIONS(81),
    [anon_sym_let] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(87),
    [aux_sym_literal_token1] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(89),
    [sym_PropN] = ACTIONS(17),
    [sym__dedent] = ACTIONS(101),
  },
  [3] = {
    [sym__FORALL] = STATE(8267),
    [sym__LAMBDA] = STATE(8100),
    [sym__ELLIPSIS] = STATE(4530),
    [sym__declaration] = STATE(10683),
    [sym_fields] = STATE(10683),
    [sym_function] = STATE(10683),
    [sym_lhs_decl] = STATE(9172),
    [sym_lhs_defn] = STATE(9176),
    [sym_data] = STATE(10683),
    [sym_data_signature] = STATE(10683),
    [sym_record] = STATE(10683),
    [sym__record_directive] = STATE(11238),
    [sym_record_constructor] = STATE(11238),
    [sym_record_constructor_instance] = STATE(11238),
    [sym_record_induction] = STATE(11238),
    [sym_record_eta] = STATE(11238),
    [sym_record_signature] = STATE(10683),
    [sym_infix] = STATE(10683),
    [sym_generalize] = STATE(10683),
    [sym_mutual] = STATE(10683),
    [sym_abstract] = STATE(10683),
    [sym_private] = STATE(10683),
    [sym_instance] = STATE(10683),
    [sym_macro] = STATE(10683),
    [sym_postulate] = STATE(10683),
    [sym_primitive] = STATE(10683),
    [sym_open] = STATE(10683),
    [sym_import] = STATE(10683),
    [sym_module_macro] = STATE(10683),
    [sym_module] = STATE(10683),
    [sym_syntax] = STATE(10683),
    [sym_pattern] = STATE(10683),
    [sym_unquote_decl] = STATE(10683),
    [sym__qid] = STATE(4530),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3128),
    [sym__with_exprs] = STATE(8972),
    [sym__expr_or_attr] = STATE(4530),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4617),
    [aux_sym__atoms] = STATE(3780),
    [sym__atom_curly] = STATE(4564),
    [sym__atom_no_curly] = STATE(4564),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4530),
    [sym_field_assignments] = STATE(4530),
    [sym_literal] = STATE(4530),
    [sym_SetN] = STATE(4530),
    [aux_sym_source_file_repeat1] = STATE(73),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym_record_declarations_block_repeat1] = STATE(451),
    [aux_sym__with_exprs_repeat1] = STATE(3729),
    [sym_id] = ACTIONS(9),
    [anon_sym_forall] = ACTIONS(11),
    [anon_sym_u2200] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(13),
    [anon_sym_u03bb] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(17),
    [anon_sym_u2026] = ACTIONS(17),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(23),
    [anon_sym_data] = ACTIONS(25),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(29),
    [anon_sym_constructor] = ACTIONS(93),
    [anon_sym_inductive] = ACTIONS(95),
    [anon_sym_coinductive] = ACTIONS(95),
    [anon_sym_eta_DASHequality] = ACTIONS(97),
    [anon_sym_no_DASHeta_DASHequality] = ACTIONS(97),
    [anon_sym_infix] = ACTIONS(31),
    [anon_sym_infixl] = ACTIONS(31),
    [anon_sym_infixr] = ACTIONS(31),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(47),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(53),
    [anon_sym_u2983] = ACTIONS(55),
    [anon_sym__] = ACTIONS(17),
    [sym_pragma] = ACTIONS(99),
    [anon_sym_syntax] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_pattern] = ACTIONS(63),
    [anon_sym_unquoteDecl] = ACTIONS(65),
    [anon_sym_unquoteDef] = ACTIONS(67),
    [aux_sym__qid_token1] = ACTIONS(69),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(75),
    [anon_sym_tactic] = ACTIONS(77),
    [anon_sym_Prop] = ACTIONS(17),
    [anon_sym_quote] = ACTIONS(17),
    [anon_sym_quoteTerm] = ACTIONS(17),
    [anon_sym_quoteContext] = ACTIONS(17),
    [anon_sym_unquote] = ACTIONS(17),
    [anon_sym_LPAREN_PIPE] = ACTIONS(79),
    [anon_sym_u2987] = ACTIONS(81),
    [anon_sym_let] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(87),
    [aux_sym_literal_token1] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(89),
    [sym_PropN] = ACTIONS(17),
    [sym__dedent] = ACTIONS(103),
  },
  [4] = {
    [sym__FORALL] = STATE(8267),
    [sym__LAMBDA] = STATE(8100),
    [sym__ELLIPSIS] = STATE(4530),
    [sym__declaration] = STATE(10683),
    [sym_fields] = STATE(10683),
    [sym_function] = STATE(10683),
    [sym_lhs_decl] = STATE(9172),
    [sym_lhs_defn] = STATE(9176),
    [sym_data] = STATE(10683),
    [sym_data_signature] = STATE(10683),
    [sym_record] = STATE(10683),
    [sym_record_constructor] = STATE(11881),
    [sym_record_signature] = STATE(10683),
    [sym_infix] = STATE(10683),
    [sym_generalize] = STATE(10683),
    [sym_mutual] = STATE(10683),
    [sym_abstract] = STATE(10683),
    [sym_private] = STATE(10683),
    [sym_instance] = STATE(10683),
    [sym_macro] = STATE(10683),
    [sym_postulate] = STATE(10683),
    [sym_primitive] = STATE(10683),
    [sym_open] = STATE(10683),
    [sym_import] = STATE(10683),
    [sym_module_macro] = STATE(10683),
    [sym_module] = STATE(10683),
    [sym_syntax] = STATE(10683),
    [sym_pattern] = STATE(10683),
    [sym_unquote_decl] = STATE(10683),
    [sym__qid] = STATE(4530),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3128),
    [sym__with_exprs] = STATE(8972),
    [sym__expr_or_attr] = STATE(4530),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4617),
    [aux_sym__atoms] = STATE(3780),
    [sym__atom_curly] = STATE(4564),
    [sym__atom_no_curly] = STATE(4564),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4530),
    [sym_field_assignments] = STATE(4530),
    [sym_literal] = STATE(4530),
    [sym_SetN] = STATE(4530),
    [aux_sym_source_file_repeat1] = STATE(80),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym_record_constructor_instance_repeat1] = STATE(9448),
    [aux_sym__with_exprs_repeat1] = STATE(3729),
    [sym_id] = ACTIONS(9),
    [anon_sym_forall] = ACTIONS(11),
    [anon_sym_u2200] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(13),
    [anon_sym_u03bb] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(17),
    [anon_sym_u2026] = ACTIONS(17),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(23),
    [anon_sym_data] = ACTIONS(25),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(29),
    [anon_sym_constructor] = ACTIONS(93),
    [anon_sym_infix] = ACTIONS(31),
    [anon_sym_infixl] = ACTIONS(31),
    [anon_sym_infixr] = ACTIONS(31),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(47),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(53),
    [anon_sym_u2983] = ACTIONS(55),
    [anon_sym__] = ACTIONS(17),
    [sym_pragma] = ACTIONS(99),
    [anon_sym_syntax] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_pattern] = ACTIONS(63),
    [anon_sym_unquoteDecl] = ACTIONS(65),
    [anon_sym_unquoteDef] = ACTIONS(67),
    [aux_sym__qid_token1] = ACTIONS(69),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(75),
    [anon_sym_tactic] = ACTIONS(77),
    [anon_sym_Prop] = ACTIONS(17),
    [anon_sym_quote] = ACTIONS(17),
    [anon_sym_quoteTerm] = ACTIONS(17),
    [anon_sym_quoteContext] = ACTIONS(17),
    [anon_sym_unquote] = ACTIONS(17),
    [anon_sym_LPAREN_PIPE] = ACTIONS(79),
    [anon_sym_u2987] = ACTIONS(81),
    [anon_sym_let] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(87),
    [aux_sym_literal_token1] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(89),
    [sym_PropN] = ACTIONS(17),
  },
  [5] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11262),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [6] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(10902),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [7] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(10990),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [8] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11075),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [9] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11166),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [10] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11248),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [11] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11335),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [12] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11422),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [13] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11509),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [14] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11596),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [15] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11673),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [16] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11750),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [17] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11829),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [18] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11962),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [19] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(12097),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [20] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(12226),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [21] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(12360),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [22] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(12528),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [23] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(12800),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [24] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(10602),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [25] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(10324),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [26] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11973),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [27] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11838),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [28] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(12365),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [29] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(10629),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [30] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11384),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [31] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(10406),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [32] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(12686),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [33] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(10618),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [34] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(10761),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [35] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11155),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [36] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11710),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [37] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(12361),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [38] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11080),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [39] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(12493),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [40] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(10783),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [41] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(10262),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [42] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(10409),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [43] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(10551),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [44] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(10703),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [45] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(10895),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [46] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11107),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [47] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11283),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [48] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11467),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [49] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11654),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [50] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11818),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [51] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(12022),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [52] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(12217),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [53] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(12383),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [54] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(12607),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [55] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(10593),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [56] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(10392),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [57] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(10810),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [58] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11083),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [59] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11345),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [60] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(11601),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [61] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration_block] = STATE(10471),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(161),
  },
  [62] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9512),
    [sym_fields] = STATE(9512),
    [sym_function] = STATE(9512),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9512),
    [sym_data_signature] = STATE(9512),
    [sym_record] = STATE(9512),
    [sym_record_signature] = STATE(9512),
    [sym_infix] = STATE(9512),
    [sym_generalize] = STATE(9512),
    [sym_mutual] = STATE(9512),
    [sym_abstract] = STATE(9512),
    [sym_private] = STATE(9512),
    [sym_instance] = STATE(9512),
    [sym_macro] = STATE(9512),
    [sym_postulate] = STATE(9512),
    [sym_primitive] = STATE(9512),
    [sym_open] = STATE(9512),
    [sym_import] = STATE(9512),
    [sym_module_macro] = STATE(9512),
    [sym_module] = STATE(9512),
    [sym_syntax] = STATE(9512),
    [sym_pattern] = STATE(9512),
    [sym_unquote_decl] = STATE(9512),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(226),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(163),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(165),
  },
  [63] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9618),
    [sym_fields] = STATE(9618),
    [sym_function] = STATE(9618),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9618),
    [sym_data_signature] = STATE(9618),
    [sym_record] = STATE(9618),
    [sym_record_signature] = STATE(9618),
    [sym_infix] = STATE(9618),
    [sym_generalize] = STATE(9618),
    [sym_mutual] = STATE(9618),
    [sym_abstract] = STATE(9618),
    [sym_private] = STATE(9618),
    [sym_instance] = STATE(9618),
    [sym_macro] = STATE(9618),
    [sym_postulate] = STATE(9618),
    [sym_primitive] = STATE(9618),
    [sym_open] = STATE(9618),
    [sym_import] = STATE(9618),
    [sym_module_macro] = STATE(9618),
    [sym_module] = STATE(9618),
    [sym_syntax] = STATE(9618),
    [sym_pattern] = STATE(9618),
    [sym_unquote_decl] = STATE(9618),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(147),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(167),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(169),
  },
  [64] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9649),
    [sym_fields] = STATE(9649),
    [sym_function] = STATE(9649),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9649),
    [sym_data_signature] = STATE(9649),
    [sym_record] = STATE(9649),
    [sym_record_signature] = STATE(9649),
    [sym_infix] = STATE(9649),
    [sym_generalize] = STATE(9649),
    [sym_mutual] = STATE(9649),
    [sym_abstract] = STATE(9649),
    [sym_private] = STATE(9649),
    [sym_instance] = STATE(9649),
    [sym_macro] = STATE(9649),
    [sym_postulate] = STATE(9649),
    [sym_primitive] = STATE(9649),
    [sym_open] = STATE(9649),
    [sym_import] = STATE(9649),
    [sym_module_macro] = STATE(9649),
    [sym_module] = STATE(9649),
    [sym_syntax] = STATE(9649),
    [sym_pattern] = STATE(9649),
    [sym_unquote_decl] = STATE(9649),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(122),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(171),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(173),
  },
  [65] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9632),
    [sym_fields] = STATE(9632),
    [sym_function] = STATE(9632),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9632),
    [sym_data_signature] = STATE(9632),
    [sym_record] = STATE(9632),
    [sym_record_signature] = STATE(9632),
    [sym_infix] = STATE(9632),
    [sym_generalize] = STATE(9632),
    [sym_mutual] = STATE(9632),
    [sym_abstract] = STATE(9632),
    [sym_private] = STATE(9632),
    [sym_instance] = STATE(9632),
    [sym_macro] = STATE(9632),
    [sym_postulate] = STATE(9632),
    [sym_primitive] = STATE(9632),
    [sym_open] = STATE(9632),
    [sym_import] = STATE(9632),
    [sym_module_macro] = STATE(9632),
    [sym_module] = STATE(9632),
    [sym_syntax] = STATE(9632),
    [sym_pattern] = STATE(9632),
    [sym_unquote_decl] = STATE(9632),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(77),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(175),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__dedent] = ACTIONS(177),
  },
  [66] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9624),
    [sym_fields] = STATE(9624),
    [sym_function] = STATE(9624),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9624),
    [sym_data_signature] = STATE(9624),
    [sym_record] = STATE(9624),
    [sym_record_signature] = STATE(9624),
    [sym_infix] = STATE(9624),
    [sym_generalize] = STATE(9624),
    [sym_mutual] = STATE(9624),
    [sym_abstract] = STATE(9624),
    [sym_private] = STATE(9624),
    [sym_instance] = STATE(9624),
    [sym_macro] = STATE(9624),
    [sym_postulate] = STATE(9624),
    [sym_primitive] = STATE(9624),
    [sym_open] = STATE(9624),
    [sym_import] = STATE(9624),
    [sym_module_macro] = STATE(9624),
    [sym_module] = STATE(9624),
    [sym_syntax] = STATE(9624),
    [sym_pattern] = STATE(9624),
    [sym_unquote_decl] = STATE(9624),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(126),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(179),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(181),
  },
  [67] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9541),
    [sym_fields] = STATE(9541),
    [sym_function] = STATE(9541),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9541),
    [sym_data_signature] = STATE(9541),
    [sym_record] = STATE(9541),
    [sym_record_signature] = STATE(9541),
    [sym_infix] = STATE(9541),
    [sym_generalize] = STATE(9541),
    [sym_mutual] = STATE(9541),
    [sym_abstract] = STATE(9541),
    [sym_private] = STATE(9541),
    [sym_instance] = STATE(9541),
    [sym_macro] = STATE(9541),
    [sym_postulate] = STATE(9541),
    [sym_primitive] = STATE(9541),
    [sym_open] = STATE(9541),
    [sym_import] = STATE(9541),
    [sym_module_macro] = STATE(9541),
    [sym_module] = STATE(9541),
    [sym_syntax] = STATE(9541),
    [sym_pattern] = STATE(9541),
    [sym_unquote_decl] = STATE(9541),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(161),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(183),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(185),
  },
  [68] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9610),
    [sym_fields] = STATE(9610),
    [sym_function] = STATE(9610),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9610),
    [sym_data_signature] = STATE(9610),
    [sym_record] = STATE(9610),
    [sym_record_signature] = STATE(9610),
    [sym_infix] = STATE(9610),
    [sym_generalize] = STATE(9610),
    [sym_mutual] = STATE(9610),
    [sym_abstract] = STATE(9610),
    [sym_private] = STATE(9610),
    [sym_instance] = STATE(9610),
    [sym_macro] = STATE(9610),
    [sym_postulate] = STATE(9610),
    [sym_primitive] = STATE(9610),
    [sym_open] = STATE(9610),
    [sym_import] = STATE(9610),
    [sym_module_macro] = STATE(9610),
    [sym_module] = STATE(9610),
    [sym_syntax] = STATE(9610),
    [sym_pattern] = STATE(9610),
    [sym_unquote_decl] = STATE(9610),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(131),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(187),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(189),
  },
  [69] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9517),
    [sym_fields] = STATE(9517),
    [sym_function] = STATE(9517),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9517),
    [sym_data_signature] = STATE(9517),
    [sym_record] = STATE(9517),
    [sym_record_signature] = STATE(9517),
    [sym_infix] = STATE(9517),
    [sym_generalize] = STATE(9517),
    [sym_mutual] = STATE(9517),
    [sym_abstract] = STATE(9517),
    [sym_private] = STATE(9517),
    [sym_instance] = STATE(9517),
    [sym_macro] = STATE(9517),
    [sym_postulate] = STATE(9517),
    [sym_primitive] = STATE(9517),
    [sym_open] = STATE(9517),
    [sym_import] = STATE(9517),
    [sym_module_macro] = STATE(9517),
    [sym_module] = STATE(9517),
    [sym_syntax] = STATE(9517),
    [sym_pattern] = STATE(9517),
    [sym_unquote_decl] = STATE(9517),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(124),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(191),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(193),
  },
  [70] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9501),
    [sym_fields] = STATE(9501),
    [sym_function] = STATE(9501),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9501),
    [sym_data_signature] = STATE(9501),
    [sym_record] = STATE(9501),
    [sym_record_signature] = STATE(9501),
    [sym_infix] = STATE(9501),
    [sym_generalize] = STATE(9501),
    [sym_mutual] = STATE(9501),
    [sym_abstract] = STATE(9501),
    [sym_private] = STATE(9501),
    [sym_instance] = STATE(9501),
    [sym_macro] = STATE(9501),
    [sym_postulate] = STATE(9501),
    [sym_primitive] = STATE(9501),
    [sym_open] = STATE(9501),
    [sym_import] = STATE(9501),
    [sym_module_macro] = STATE(9501),
    [sym_module] = STATE(9501),
    [sym_syntax] = STATE(9501),
    [sym_pattern] = STATE(9501),
    [sym_unquote_decl] = STATE(9501),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(134),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(195),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(197),
  },
  [71] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9496),
    [sym_fields] = STATE(9496),
    [sym_function] = STATE(9496),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9496),
    [sym_data_signature] = STATE(9496),
    [sym_record] = STATE(9496),
    [sym_record_signature] = STATE(9496),
    [sym_infix] = STATE(9496),
    [sym_generalize] = STATE(9496),
    [sym_mutual] = STATE(9496),
    [sym_abstract] = STATE(9496),
    [sym_private] = STATE(9496),
    [sym_instance] = STATE(9496),
    [sym_macro] = STATE(9496),
    [sym_postulate] = STATE(9496),
    [sym_primitive] = STATE(9496),
    [sym_open] = STATE(9496),
    [sym_import] = STATE(9496),
    [sym_module_macro] = STATE(9496),
    [sym_module] = STATE(9496),
    [sym_syntax] = STATE(9496),
    [sym_pattern] = STATE(9496),
    [sym_unquote_decl] = STATE(9496),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(174),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(199),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(201),
  },
  [72] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9609),
    [sym_fields] = STATE(9609),
    [sym_function] = STATE(9609),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9609),
    [sym_data_signature] = STATE(9609),
    [sym_record] = STATE(9609),
    [sym_record_signature] = STATE(9609),
    [sym_infix] = STATE(9609),
    [sym_generalize] = STATE(9609),
    [sym_mutual] = STATE(9609),
    [sym_abstract] = STATE(9609),
    [sym_private] = STATE(9609),
    [sym_instance] = STATE(9609),
    [sym_macro] = STATE(9609),
    [sym_postulate] = STATE(9609),
    [sym_primitive] = STATE(9609),
    [sym_open] = STATE(9609),
    [sym_import] = STATE(9609),
    [sym_module_macro] = STATE(9609),
    [sym_module] = STATE(9609),
    [sym_syntax] = STATE(9609),
    [sym_pattern] = STATE(9609),
    [sym_unquote_decl] = STATE(9609),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(138),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(203),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(205),
  },
  [73] = {
    [sym__FORALL] = STATE(8267),
    [sym__LAMBDA] = STATE(8100),
    [sym__ELLIPSIS] = STATE(4530),
    [sym__declaration] = STATE(10683),
    [sym_fields] = STATE(10683),
    [sym_function] = STATE(10683),
    [sym_lhs_decl] = STATE(9172),
    [sym_lhs_defn] = STATE(9176),
    [sym_data] = STATE(10683),
    [sym_data_signature] = STATE(10683),
    [sym_record] = STATE(10683),
    [sym_record_signature] = STATE(10683),
    [sym_infix] = STATE(10683),
    [sym_generalize] = STATE(10683),
    [sym_mutual] = STATE(10683),
    [sym_abstract] = STATE(10683),
    [sym_private] = STATE(10683),
    [sym_instance] = STATE(10683),
    [sym_macro] = STATE(10683),
    [sym_postulate] = STATE(10683),
    [sym_primitive] = STATE(10683),
    [sym_open] = STATE(10683),
    [sym_import] = STATE(10683),
    [sym_module_macro] = STATE(10683),
    [sym_module] = STATE(10683),
    [sym_syntax] = STATE(10683),
    [sym_pattern] = STATE(10683),
    [sym_unquote_decl] = STATE(10683),
    [sym__qid] = STATE(4530),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3128),
    [sym__with_exprs] = STATE(8972),
    [sym__expr_or_attr] = STATE(4530),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4617),
    [aux_sym__atoms] = STATE(3780),
    [sym__atom_curly] = STATE(4564),
    [sym__atom_no_curly] = STATE(4564),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4530),
    [sym_field_assignments] = STATE(4530),
    [sym_literal] = STATE(4530),
    [sym_SetN] = STATE(4530),
    [aux_sym_source_file_repeat1] = STATE(77),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3729),
    [sym_id] = ACTIONS(9),
    [anon_sym_forall] = ACTIONS(11),
    [anon_sym_u2200] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(13),
    [anon_sym_u03bb] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(17),
    [anon_sym_u2026] = ACTIONS(17),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(23),
    [anon_sym_data] = ACTIONS(25),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(29),
    [anon_sym_infix] = ACTIONS(31),
    [anon_sym_infixl] = ACTIONS(31),
    [anon_sym_infixr] = ACTIONS(31),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(47),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(53),
    [anon_sym_u2983] = ACTIONS(55),
    [anon_sym__] = ACTIONS(17),
    [sym_pragma] = ACTIONS(99),
    [anon_sym_syntax] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_pattern] = ACTIONS(63),
    [anon_sym_unquoteDecl] = ACTIONS(65),
    [anon_sym_unquoteDef] = ACTIONS(67),
    [aux_sym__qid_token1] = ACTIONS(69),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(75),
    [anon_sym_tactic] = ACTIONS(77),
    [anon_sym_Prop] = ACTIONS(17),
    [anon_sym_quote] = ACTIONS(17),
    [anon_sym_quoteTerm] = ACTIONS(17),
    [anon_sym_quoteContext] = ACTIONS(17),
    [anon_sym_unquote] = ACTIONS(17),
    [anon_sym_LPAREN_PIPE] = ACTIONS(79),
    [anon_sym_u2987] = ACTIONS(81),
    [anon_sym_let] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(87),
    [aux_sym_literal_token1] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(89),
    [sym_PropN] = ACTIONS(17),
    [sym__dedent] = ACTIONS(207),
  },
  [74] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9518),
    [sym_fields] = STATE(9518),
    [sym_function] = STATE(9518),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9518),
    [sym_data_signature] = STATE(9518),
    [sym_record] = STATE(9518),
    [sym_record_signature] = STATE(9518),
    [sym_infix] = STATE(9518),
    [sym_generalize] = STATE(9518),
    [sym_mutual] = STATE(9518),
    [sym_abstract] = STATE(9518),
    [sym_private] = STATE(9518),
    [sym_instance] = STATE(9518),
    [sym_macro] = STATE(9518),
    [sym_postulate] = STATE(9518),
    [sym_primitive] = STATE(9518),
    [sym_open] = STATE(9518),
    [sym_import] = STATE(9518),
    [sym_module_macro] = STATE(9518),
    [sym_module] = STATE(9518),
    [sym_syntax] = STATE(9518),
    [sym_pattern] = STATE(9518),
    [sym_unquote_decl] = STATE(9518),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(141),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(209),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(211),
  },
  [75] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9622),
    [sym_fields] = STATE(9622),
    [sym_function] = STATE(9622),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9622),
    [sym_data_signature] = STATE(9622),
    [sym_record] = STATE(9622),
    [sym_record_signature] = STATE(9622),
    [sym_infix] = STATE(9622),
    [sym_generalize] = STATE(9622),
    [sym_mutual] = STATE(9622),
    [sym_abstract] = STATE(9622),
    [sym_private] = STATE(9622),
    [sym_instance] = STATE(9622),
    [sym_macro] = STATE(9622),
    [sym_postulate] = STATE(9622),
    [sym_primitive] = STATE(9622),
    [sym_open] = STATE(9622),
    [sym_import] = STATE(9622),
    [sym_module_macro] = STATE(9622),
    [sym_module] = STATE(9622),
    [sym_syntax] = STATE(9622),
    [sym_pattern] = STATE(9622),
    [sym_unquote_decl] = STATE(9622),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(192),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(213),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(215),
  },
  [76] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9521),
    [sym_fields] = STATE(9521),
    [sym_function] = STATE(9521),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9521),
    [sym_data_signature] = STATE(9521),
    [sym_record] = STATE(9521),
    [sym_record_signature] = STATE(9521),
    [sym_infix] = STATE(9521),
    [sym_generalize] = STATE(9521),
    [sym_mutual] = STATE(9521),
    [sym_abstract] = STATE(9521),
    [sym_private] = STATE(9521),
    [sym_instance] = STATE(9521),
    [sym_macro] = STATE(9521),
    [sym_postulate] = STATE(9521),
    [sym_primitive] = STATE(9521),
    [sym_open] = STATE(9521),
    [sym_import] = STATE(9521),
    [sym_module_macro] = STATE(9521),
    [sym_module] = STATE(9521),
    [sym_syntax] = STATE(9521),
    [sym_pattern] = STATE(9521),
    [sym_unquote_decl] = STATE(9521),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(146),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(217),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(219),
  },
  [77] = {
    [sym__FORALL] = STATE(8267),
    [sym__LAMBDA] = STATE(8100),
    [sym__ELLIPSIS] = STATE(4530),
    [sym__declaration] = STATE(10683),
    [sym_fields] = STATE(10683),
    [sym_function] = STATE(10683),
    [sym_lhs_decl] = STATE(9172),
    [sym_lhs_defn] = STATE(9176),
    [sym_data] = STATE(10683),
    [sym_data_signature] = STATE(10683),
    [sym_record] = STATE(10683),
    [sym_record_signature] = STATE(10683),
    [sym_infix] = STATE(10683),
    [sym_generalize] = STATE(10683),
    [sym_mutual] = STATE(10683),
    [sym_abstract] = STATE(10683),
    [sym_private] = STATE(10683),
    [sym_instance] = STATE(10683),
    [sym_macro] = STATE(10683),
    [sym_postulate] = STATE(10683),
    [sym_primitive] = STATE(10683),
    [sym_open] = STATE(10683),
    [sym_import] = STATE(10683),
    [sym_module_macro] = STATE(10683),
    [sym_module] = STATE(10683),
    [sym_syntax] = STATE(10683),
    [sym_pattern] = STATE(10683),
    [sym_unquote_decl] = STATE(10683),
    [sym__qid] = STATE(4530),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3128),
    [sym__with_exprs] = STATE(8972),
    [sym__expr_or_attr] = STATE(4530),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4617),
    [aux_sym__atoms] = STATE(3780),
    [sym__atom_curly] = STATE(4564),
    [sym__atom_no_curly] = STATE(4564),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4530),
    [sym_field_assignments] = STATE(4530),
    [sym_literal] = STATE(4530),
    [sym_SetN] = STATE(4530),
    [aux_sym_source_file_repeat1] = STATE(77),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3729),
    [sym_id] = ACTIONS(221),
    [anon_sym_forall] = ACTIONS(224),
    [anon_sym_u2200] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(227),
    [anon_sym_u03bb] = ACTIONS(230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(233),
    [anon_sym_u2026] = ACTIONS(233),
    [anon_sym_field] = ACTIONS(236),
    [anon_sym_instance] = ACTIONS(239),
    [anon_sym_module] = ACTIONS(242),
    [anon_sym_data] = ACTIONS(245),
    [anon_sym_codata] = ACTIONS(248),
    [anon_sym_record] = ACTIONS(251),
    [anon_sym_infix] = ACTIONS(254),
    [anon_sym_infixl] = ACTIONS(254),
    [anon_sym_infixr] = ACTIONS(254),
    [anon_sym_variable] = ACTIONS(257),
    [anon_sym_mutual] = ACTIONS(260),
    [anon_sym_abstract] = ACTIONS(263),
    [anon_sym_private] = ACTIONS(266),
    [anon_sym_macro] = ACTIONS(269),
    [anon_sym_postulate] = ACTIONS(272),
    [anon_sym_primitive] = ACTIONS(275),
    [anon_sym_open] = ACTIONS(278),
    [anon_sym_import] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(284),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(287),
    [anon_sym_u2983] = ACTIONS(290),
    [anon_sym__] = ACTIONS(233),
    [sym_pragma] = ACTIONS(293),
    [anon_sym_syntax] = ACTIONS(296),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_pattern] = ACTIONS(302),
    [anon_sym_unquoteDecl] = ACTIONS(305),
    [anon_sym_unquoteDef] = ACTIONS(308),
    [aux_sym__qid_token1] = ACTIONS(311),
    [anon_sym_DOT] = ACTIONS(314),
    [anon_sym_AT] = ACTIONS(317),
    [anon_sym_quoteGoal] = ACTIONS(320),
    [anon_sym_tactic] = ACTIONS(323),
    [anon_sym_Prop] = ACTIONS(233),
    [anon_sym_quote] = ACTIONS(233),
    [anon_sym_quoteTerm] = ACTIONS(233),
    [anon_sym_quoteContext] = ACTIONS(233),
    [anon_sym_unquote] = ACTIONS(233),
    [anon_sym_LPAREN_PIPE] = ACTIONS(326),
    [anon_sym_u2987] = ACTIONS(329),
    [anon_sym_let] = ACTIONS(332),
    [anon_sym_do] = ACTIONS(335),
    [aux_sym_integer_token1] = ACTIONS(338),
    [aux_sym_literal_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(341),
    [sym_PropN] = ACTIONS(233),
    [sym__dedent] = ACTIONS(344),
  },
  [78] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9572),
    [sym_fields] = STATE(9572),
    [sym_function] = STATE(9572),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9572),
    [sym_data_signature] = STATE(9572),
    [sym_record] = STATE(9572),
    [sym_record_signature] = STATE(9572),
    [sym_infix] = STATE(9572),
    [sym_generalize] = STATE(9572),
    [sym_mutual] = STATE(9572),
    [sym_abstract] = STATE(9572),
    [sym_private] = STATE(9572),
    [sym_instance] = STATE(9572),
    [sym_macro] = STATE(9572),
    [sym_postulate] = STATE(9572),
    [sym_primitive] = STATE(9572),
    [sym_open] = STATE(9572),
    [sym_import] = STATE(9572),
    [sym_module_macro] = STATE(9572),
    [sym_module] = STATE(9572),
    [sym_syntax] = STATE(9572),
    [sym_pattern] = STATE(9572),
    [sym_unquote_decl] = STATE(9572),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(150),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(346),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(348),
  },
  [79] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9524),
    [sym_fields] = STATE(9524),
    [sym_function] = STATE(9524),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9524),
    [sym_data_signature] = STATE(9524),
    [sym_record] = STATE(9524),
    [sym_record_signature] = STATE(9524),
    [sym_infix] = STATE(9524),
    [sym_generalize] = STATE(9524),
    [sym_mutual] = STATE(9524),
    [sym_abstract] = STATE(9524),
    [sym_private] = STATE(9524),
    [sym_instance] = STATE(9524),
    [sym_macro] = STATE(9524),
    [sym_postulate] = STATE(9524),
    [sym_primitive] = STATE(9524),
    [sym_open] = STATE(9524),
    [sym_import] = STATE(9524),
    [sym_module_macro] = STATE(9524),
    [sym_module] = STATE(9524),
    [sym_syntax] = STATE(9524),
    [sym_pattern] = STATE(9524),
    [sym_unquote_decl] = STATE(9524),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(195),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(350),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(352),
  },
  [80] = {
    [sym__FORALL] = STATE(8267),
    [sym__LAMBDA] = STATE(8100),
    [sym__ELLIPSIS] = STATE(4530),
    [sym__declaration] = STATE(10683),
    [sym_fields] = STATE(10683),
    [sym_function] = STATE(10683),
    [sym_lhs_decl] = STATE(9172),
    [sym_lhs_defn] = STATE(9176),
    [sym_data] = STATE(10683),
    [sym_data_signature] = STATE(10683),
    [sym_record] = STATE(10683),
    [sym_record_signature] = STATE(10683),
    [sym_infix] = STATE(10683),
    [sym_generalize] = STATE(10683),
    [sym_mutual] = STATE(10683),
    [sym_abstract] = STATE(10683),
    [sym_private] = STATE(10683),
    [sym_instance] = STATE(10683),
    [sym_macro] = STATE(10683),
    [sym_postulate] = STATE(10683),
    [sym_primitive] = STATE(10683),
    [sym_open] = STATE(10683),
    [sym_import] = STATE(10683),
    [sym_module_macro] = STATE(10683),
    [sym_module] = STATE(10683),
    [sym_syntax] = STATE(10683),
    [sym_pattern] = STATE(10683),
    [sym_unquote_decl] = STATE(10683),
    [sym__qid] = STATE(4530),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3128),
    [sym__with_exprs] = STATE(8972),
    [sym__expr_or_attr] = STATE(4530),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4617),
    [aux_sym__atoms] = STATE(3780),
    [sym__atom_curly] = STATE(4564),
    [sym__atom_no_curly] = STATE(4564),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4530),
    [sym_field_assignments] = STATE(4530),
    [sym_literal] = STATE(4530),
    [sym_SetN] = STATE(4530),
    [aux_sym_source_file_repeat1] = STATE(77),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3729),
    [sym_id] = ACTIONS(9),
    [anon_sym_forall] = ACTIONS(11),
    [anon_sym_u2200] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(13),
    [anon_sym_u03bb] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(17),
    [anon_sym_u2026] = ACTIONS(17),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(23),
    [anon_sym_data] = ACTIONS(25),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(29),
    [anon_sym_infix] = ACTIONS(31),
    [anon_sym_infixl] = ACTIONS(31),
    [anon_sym_infixr] = ACTIONS(31),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(47),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(53),
    [anon_sym_u2983] = ACTIONS(55),
    [anon_sym__] = ACTIONS(17),
    [sym_pragma] = ACTIONS(99),
    [anon_sym_syntax] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_pattern] = ACTIONS(63),
    [anon_sym_unquoteDecl] = ACTIONS(65),
    [anon_sym_unquoteDef] = ACTIONS(67),
    [aux_sym__qid_token1] = ACTIONS(69),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(75),
    [anon_sym_tactic] = ACTIONS(77),
    [anon_sym_Prop] = ACTIONS(17),
    [anon_sym_quote] = ACTIONS(17),
    [anon_sym_quoteTerm] = ACTIONS(17),
    [anon_sym_quoteContext] = ACTIONS(17),
    [anon_sym_unquote] = ACTIONS(17),
    [anon_sym_LPAREN_PIPE] = ACTIONS(79),
    [anon_sym_u2987] = ACTIONS(81),
    [anon_sym_let] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(87),
    [aux_sym_literal_token1] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(89),
    [sym_PropN] = ACTIONS(17),
    [sym__dedent] = ACTIONS(354),
  },
  [81] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9645),
    [sym_fields] = STATE(9645),
    [sym_function] = STATE(9645),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9645),
    [sym_data_signature] = STATE(9645),
    [sym_record] = STATE(9645),
    [sym_record_signature] = STATE(9645),
    [sym_infix] = STATE(9645),
    [sym_generalize] = STATE(9645),
    [sym_mutual] = STATE(9645),
    [sym_abstract] = STATE(9645),
    [sym_private] = STATE(9645),
    [sym_instance] = STATE(9645),
    [sym_macro] = STATE(9645),
    [sym_postulate] = STATE(9645),
    [sym_primitive] = STATE(9645),
    [sym_open] = STATE(9645),
    [sym_import] = STATE(9645),
    [sym_module_macro] = STATE(9645),
    [sym_module] = STATE(9645),
    [sym_syntax] = STATE(9645),
    [sym_pattern] = STATE(9645),
    [sym_unquote_decl] = STATE(9645),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(211),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(356),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(358),
  },
  [82] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9560),
    [sym_fields] = STATE(9560),
    [sym_function] = STATE(9560),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9560),
    [sym_data_signature] = STATE(9560),
    [sym_record] = STATE(9560),
    [sym_record_signature] = STATE(9560),
    [sym_infix] = STATE(9560),
    [sym_generalize] = STATE(9560),
    [sym_mutual] = STATE(9560),
    [sym_abstract] = STATE(9560),
    [sym_private] = STATE(9560),
    [sym_instance] = STATE(9560),
    [sym_macro] = STATE(9560),
    [sym_postulate] = STATE(9560),
    [sym_primitive] = STATE(9560),
    [sym_open] = STATE(9560),
    [sym_import] = STATE(9560),
    [sym_module_macro] = STATE(9560),
    [sym_module] = STATE(9560),
    [sym_syntax] = STATE(9560),
    [sym_pattern] = STATE(9560),
    [sym_unquote_decl] = STATE(9560),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(235),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(360),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(362),
  },
  [83] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9503),
    [sym_fields] = STATE(9503),
    [sym_function] = STATE(9503),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9503),
    [sym_data_signature] = STATE(9503),
    [sym_record] = STATE(9503),
    [sym_record_signature] = STATE(9503),
    [sym_infix] = STATE(9503),
    [sym_generalize] = STATE(9503),
    [sym_mutual] = STATE(9503),
    [sym_abstract] = STATE(9503),
    [sym_private] = STATE(9503),
    [sym_instance] = STATE(9503),
    [sym_macro] = STATE(9503),
    [sym_postulate] = STATE(9503),
    [sym_primitive] = STATE(9503),
    [sym_open] = STATE(9503),
    [sym_import] = STATE(9503),
    [sym_module_macro] = STATE(9503),
    [sym_module] = STATE(9503),
    [sym_syntax] = STATE(9503),
    [sym_pattern] = STATE(9503),
    [sym_unquote_decl] = STATE(9503),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(230),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(364),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(366),
  },
  [84] = {
    [sym__FORALL] = STATE(8267),
    [sym__LAMBDA] = STATE(8100),
    [sym__ELLIPSIS] = STATE(4530),
    [sym__declaration] = STATE(10683),
    [sym_fields] = STATE(10683),
    [sym_function] = STATE(10683),
    [sym_lhs_decl] = STATE(9172),
    [sym_lhs_defn] = STATE(9176),
    [sym_data] = STATE(10683),
    [sym_data_signature] = STATE(10683),
    [sym_record] = STATE(10683),
    [sym_record_signature] = STATE(10683),
    [sym_infix] = STATE(10683),
    [sym_generalize] = STATE(10683),
    [sym_mutual] = STATE(10683),
    [sym_abstract] = STATE(10683),
    [sym_private] = STATE(10683),
    [sym_instance] = STATE(10683),
    [sym_macro] = STATE(10683),
    [sym_postulate] = STATE(10683),
    [sym_primitive] = STATE(10683),
    [sym_open] = STATE(10683),
    [sym_import] = STATE(10683),
    [sym_module_macro] = STATE(10683),
    [sym_module] = STATE(10683),
    [sym_syntax] = STATE(10683),
    [sym_pattern] = STATE(10683),
    [sym_unquote_decl] = STATE(10683),
    [sym__qid] = STATE(4530),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3128),
    [sym__with_exprs] = STATE(8972),
    [sym__expr_or_attr] = STATE(4530),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4617),
    [aux_sym__atoms] = STATE(3780),
    [sym__atom_curly] = STATE(4564),
    [sym__atom_no_curly] = STATE(4564),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4530),
    [sym_field_assignments] = STATE(4530),
    [sym_literal] = STATE(4530),
    [sym_SetN] = STATE(4530),
    [aux_sym_source_file_repeat1] = STATE(77),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3729),
    [sym_id] = ACTIONS(9),
    [anon_sym_forall] = ACTIONS(11),
    [anon_sym_u2200] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(13),
    [anon_sym_u03bb] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(17),
    [anon_sym_u2026] = ACTIONS(17),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(23),
    [anon_sym_data] = ACTIONS(25),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(29),
    [anon_sym_infix] = ACTIONS(31),
    [anon_sym_infixl] = ACTIONS(31),
    [anon_sym_infixr] = ACTIONS(31),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(47),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(53),
    [anon_sym_u2983] = ACTIONS(55),
    [anon_sym__] = ACTIONS(17),
    [sym_pragma] = ACTIONS(99),
    [anon_sym_syntax] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_pattern] = ACTIONS(63),
    [anon_sym_unquoteDecl] = ACTIONS(65),
    [anon_sym_unquoteDef] = ACTIONS(67),
    [aux_sym__qid_token1] = ACTIONS(69),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(75),
    [anon_sym_tactic] = ACTIONS(77),
    [anon_sym_Prop] = ACTIONS(17),
    [anon_sym_quote] = ACTIONS(17),
    [anon_sym_quoteTerm] = ACTIONS(17),
    [anon_sym_quoteContext] = ACTIONS(17),
    [anon_sym_unquote] = ACTIONS(17),
    [anon_sym_LPAREN_PIPE] = ACTIONS(79),
    [anon_sym_u2987] = ACTIONS(81),
    [anon_sym_let] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(87),
    [aux_sym_literal_token1] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(89),
    [sym_PropN] = ACTIONS(17),
    [sym__dedent] = ACTIONS(103),
  },
  [85] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9647),
    [sym_fields] = STATE(9647),
    [sym_function] = STATE(9647),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9647),
    [sym_data_signature] = STATE(9647),
    [sym_record] = STATE(9647),
    [sym_record_signature] = STATE(9647),
    [sym_infix] = STATE(9647),
    [sym_generalize] = STATE(9647),
    [sym_mutual] = STATE(9647),
    [sym_abstract] = STATE(9647),
    [sym_private] = STATE(9647),
    [sym_instance] = STATE(9647),
    [sym_macro] = STATE(9647),
    [sym_postulate] = STATE(9647),
    [sym_primitive] = STATE(9647),
    [sym_open] = STATE(9647),
    [sym_import] = STATE(9647),
    [sym_module_macro] = STATE(9647),
    [sym_module] = STATE(9647),
    [sym_syntax] = STATE(9647),
    [sym_pattern] = STATE(9647),
    [sym_unquote_decl] = STATE(9647),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(248),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(368),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(370),
  },
  [86] = {
    [sym__FORALL] = STATE(8267),
    [sym__LAMBDA] = STATE(8100),
    [sym__ELLIPSIS] = STATE(4530),
    [sym__declaration] = STATE(12277),
    [sym_fields] = STATE(12277),
    [sym_function] = STATE(12277),
    [sym_lhs_decl] = STATE(9172),
    [sym_lhs_defn] = STATE(9176),
    [sym_data] = STATE(12277),
    [sym_data_signature] = STATE(12277),
    [sym_record] = STATE(12277),
    [sym_record_signature] = STATE(12277),
    [sym_infix] = STATE(12277),
    [sym_generalize] = STATE(12277),
    [sym_mutual] = STATE(12277),
    [sym_abstract] = STATE(12277),
    [sym_private] = STATE(12277),
    [sym_instance] = STATE(12277),
    [sym_macro] = STATE(12277),
    [sym_postulate] = STATE(12277),
    [sym_primitive] = STATE(12277),
    [sym_open] = STATE(12277),
    [sym_import] = STATE(12277),
    [sym_module_macro] = STATE(12277),
    [sym_module] = STATE(12277),
    [sym_syntax] = STATE(12277),
    [sym_pattern] = STATE(12277),
    [sym_unquote_decl] = STATE(12277),
    [sym__qid] = STATE(4530),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3128),
    [sym__with_exprs] = STATE(8972),
    [sym__expr_or_attr] = STATE(4530),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4617),
    [aux_sym__atoms] = STATE(3780),
    [sym__atom_curly] = STATE(4564),
    [sym__atom_no_curly] = STATE(4564),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4530),
    [sym_field_assignments] = STATE(4530),
    [sym_literal] = STATE(4530),
    [sym_SetN] = STATE(4530),
    [aux_sym_source_file_repeat1] = STATE(88),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3729),
    [ts_builtin_sym_end] = ACTIONS(372),
    [sym_id] = ACTIONS(9),
    [anon_sym_forall] = ACTIONS(11),
    [anon_sym_u2200] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(13),
    [anon_sym_u03bb] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(17),
    [anon_sym_u2026] = ACTIONS(17),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(23),
    [anon_sym_data] = ACTIONS(25),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(29),
    [anon_sym_infix] = ACTIONS(31),
    [anon_sym_infixl] = ACTIONS(31),
    [anon_sym_infixr] = ACTIONS(31),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(47),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(53),
    [anon_sym_u2983] = ACTIONS(55),
    [anon_sym__] = ACTIONS(17),
    [sym_pragma] = ACTIONS(57),
    [anon_sym_syntax] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_pattern] = ACTIONS(63),
    [anon_sym_unquoteDecl] = ACTIONS(65),
    [anon_sym_unquoteDef] = ACTIONS(67),
    [aux_sym__qid_token1] = ACTIONS(69),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(75),
    [anon_sym_tactic] = ACTIONS(77),
    [anon_sym_Prop] = ACTIONS(17),
    [anon_sym_quote] = ACTIONS(17),
    [anon_sym_quoteTerm] = ACTIONS(17),
    [anon_sym_quoteContext] = ACTIONS(17),
    [anon_sym_unquote] = ACTIONS(17),
    [anon_sym_LPAREN_PIPE] = ACTIONS(79),
    [anon_sym_u2987] = ACTIONS(81),
    [anon_sym_let] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(87),
    [aux_sym_literal_token1] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(89),
    [sym_PropN] = ACTIONS(17),
  },
  [87] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9650),
    [sym_fields] = STATE(9650),
    [sym_function] = STATE(9650),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9650),
    [sym_data_signature] = STATE(9650),
    [sym_record] = STATE(9650),
    [sym_record_signature] = STATE(9650),
    [sym_infix] = STATE(9650),
    [sym_generalize] = STATE(9650),
    [sym_mutual] = STATE(9650),
    [sym_abstract] = STATE(9650),
    [sym_private] = STATE(9650),
    [sym_instance] = STATE(9650),
    [sym_macro] = STATE(9650),
    [sym_postulate] = STATE(9650),
    [sym_primitive] = STATE(9650),
    [sym_open] = STATE(9650),
    [sym_import] = STATE(9650),
    [sym_module_macro] = STATE(9650),
    [sym_module] = STATE(9650),
    [sym_syntax] = STATE(9650),
    [sym_pattern] = STATE(9650),
    [sym_unquote_decl] = STATE(9650),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(185),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(131),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(374),
  },
  [88] = {
    [sym__FORALL] = STATE(8267),
    [sym__LAMBDA] = STATE(8100),
    [sym__ELLIPSIS] = STATE(4530),
    [sym__declaration] = STATE(12277),
    [sym_fields] = STATE(12277),
    [sym_function] = STATE(12277),
    [sym_lhs_decl] = STATE(9172),
    [sym_lhs_defn] = STATE(9176),
    [sym_data] = STATE(12277),
    [sym_data_signature] = STATE(12277),
    [sym_record] = STATE(12277),
    [sym_record_signature] = STATE(12277),
    [sym_infix] = STATE(12277),
    [sym_generalize] = STATE(12277),
    [sym_mutual] = STATE(12277),
    [sym_abstract] = STATE(12277),
    [sym_private] = STATE(12277),
    [sym_instance] = STATE(12277),
    [sym_macro] = STATE(12277),
    [sym_postulate] = STATE(12277),
    [sym_primitive] = STATE(12277),
    [sym_open] = STATE(12277),
    [sym_import] = STATE(12277),
    [sym_module_macro] = STATE(12277),
    [sym_module] = STATE(12277),
    [sym_syntax] = STATE(12277),
    [sym_pattern] = STATE(12277),
    [sym_unquote_decl] = STATE(12277),
    [sym__qid] = STATE(4530),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3128),
    [sym__with_exprs] = STATE(8972),
    [sym__expr_or_attr] = STATE(4530),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4617),
    [aux_sym__atoms] = STATE(3780),
    [sym__atom_curly] = STATE(4564),
    [sym__atom_no_curly] = STATE(4564),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4530),
    [sym_field_assignments] = STATE(4530),
    [sym_literal] = STATE(4530),
    [sym_SetN] = STATE(4530),
    [aux_sym_source_file_repeat1] = STATE(88),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3729),
    [ts_builtin_sym_end] = ACTIONS(344),
    [sym_id] = ACTIONS(221),
    [anon_sym_forall] = ACTIONS(224),
    [anon_sym_u2200] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(227),
    [anon_sym_u03bb] = ACTIONS(230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(233),
    [anon_sym_u2026] = ACTIONS(233),
    [anon_sym_field] = ACTIONS(236),
    [anon_sym_instance] = ACTIONS(239),
    [anon_sym_module] = ACTIONS(242),
    [anon_sym_data] = ACTIONS(245),
    [anon_sym_codata] = ACTIONS(248),
    [anon_sym_record] = ACTIONS(251),
    [anon_sym_infix] = ACTIONS(254),
    [anon_sym_infixl] = ACTIONS(254),
    [anon_sym_infixr] = ACTIONS(254),
    [anon_sym_variable] = ACTIONS(257),
    [anon_sym_mutual] = ACTIONS(260),
    [anon_sym_abstract] = ACTIONS(263),
    [anon_sym_private] = ACTIONS(266),
    [anon_sym_macro] = ACTIONS(269),
    [anon_sym_postulate] = ACTIONS(272),
    [anon_sym_primitive] = ACTIONS(275),
    [anon_sym_open] = ACTIONS(278),
    [anon_sym_import] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(284),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(287),
    [anon_sym_u2983] = ACTIONS(290),
    [anon_sym__] = ACTIONS(233),
    [sym_pragma] = ACTIONS(376),
    [anon_sym_syntax] = ACTIONS(296),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_pattern] = ACTIONS(302),
    [anon_sym_unquoteDecl] = ACTIONS(305),
    [anon_sym_unquoteDef] = ACTIONS(308),
    [aux_sym__qid_token1] = ACTIONS(311),
    [anon_sym_DOT] = ACTIONS(314),
    [anon_sym_AT] = ACTIONS(317),
    [anon_sym_quoteGoal] = ACTIONS(320),
    [anon_sym_tactic] = ACTIONS(323),
    [anon_sym_Prop] = ACTIONS(233),
    [anon_sym_quote] = ACTIONS(233),
    [anon_sym_quoteTerm] = ACTIONS(233),
    [anon_sym_quoteContext] = ACTIONS(233),
    [anon_sym_unquote] = ACTIONS(233),
    [anon_sym_LPAREN_PIPE] = ACTIONS(326),
    [anon_sym_u2987] = ACTIONS(329),
    [anon_sym_let] = ACTIONS(332),
    [anon_sym_do] = ACTIONS(335),
    [aux_sym_integer_token1] = ACTIONS(338),
    [aux_sym_literal_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(341),
    [sym_PropN] = ACTIONS(233),
  },
  [89] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9538),
    [sym_fields] = STATE(9538),
    [sym_function] = STATE(9538),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9538),
    [sym_data_signature] = STATE(9538),
    [sym_record] = STATE(9538),
    [sym_record_signature] = STATE(9538),
    [sym_infix] = STATE(9538),
    [sym_generalize] = STATE(9538),
    [sym_mutual] = STATE(9538),
    [sym_abstract] = STATE(9538),
    [sym_private] = STATE(9538),
    [sym_instance] = STATE(9538),
    [sym_macro] = STATE(9538),
    [sym_postulate] = STATE(9538),
    [sym_primitive] = STATE(9538),
    [sym_open] = STATE(9538),
    [sym_import] = STATE(9538),
    [sym_module_macro] = STATE(9538),
    [sym_module] = STATE(9538),
    [sym_syntax] = STATE(9538),
    [sym_pattern] = STATE(9538),
    [sym_unquote_decl] = STATE(9538),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(118),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(379),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(381),
  },
  [90] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9694),
    [sym_fields] = STATE(9694),
    [sym_function] = STATE(9694),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9694),
    [sym_data_signature] = STATE(9694),
    [sym_record] = STATE(9694),
    [sym_record_signature] = STATE(9694),
    [sym_infix] = STATE(9694),
    [sym_generalize] = STATE(9694),
    [sym_mutual] = STATE(9694),
    [sym_abstract] = STATE(9694),
    [sym_private] = STATE(9694),
    [sym_instance] = STATE(9694),
    [sym_macro] = STATE(9694),
    [sym_postulate] = STATE(9694),
    [sym_primitive] = STATE(9694),
    [sym_open] = STATE(9694),
    [sym_import] = STATE(9694),
    [sym_module_macro] = STATE(9694),
    [sym_module] = STATE(9694),
    [sym_syntax] = STATE(9694),
    [sym_pattern] = STATE(9694),
    [sym_unquote_decl] = STATE(9694),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(197),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(383),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(385),
  },
  [91] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9514),
    [sym_fields] = STATE(9514),
    [sym_function] = STATE(9514),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9514),
    [sym_data_signature] = STATE(9514),
    [sym_record] = STATE(9514),
    [sym_record_signature] = STATE(9514),
    [sym_infix] = STATE(9514),
    [sym_generalize] = STATE(9514),
    [sym_mutual] = STATE(9514),
    [sym_abstract] = STATE(9514),
    [sym_private] = STATE(9514),
    [sym_instance] = STATE(9514),
    [sym_macro] = STATE(9514),
    [sym_postulate] = STATE(9514),
    [sym_primitive] = STATE(9514),
    [sym_open] = STATE(9514),
    [sym_import] = STATE(9514),
    [sym_module_macro] = STATE(9514),
    [sym_module] = STATE(9514),
    [sym_syntax] = STATE(9514),
    [sym_pattern] = STATE(9514),
    [sym_unquote_decl] = STATE(9514),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(199),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(387),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(389),
  },
  [92] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9527),
    [sym_fields] = STATE(9527),
    [sym_function] = STATE(9527),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9527),
    [sym_data_signature] = STATE(9527),
    [sym_record] = STATE(9527),
    [sym_record_signature] = STATE(9527),
    [sym_infix] = STATE(9527),
    [sym_generalize] = STATE(9527),
    [sym_mutual] = STATE(9527),
    [sym_abstract] = STATE(9527),
    [sym_private] = STATE(9527),
    [sym_instance] = STATE(9527),
    [sym_macro] = STATE(9527),
    [sym_postulate] = STATE(9527),
    [sym_primitive] = STATE(9527),
    [sym_open] = STATE(9527),
    [sym_import] = STATE(9527),
    [sym_module_macro] = STATE(9527),
    [sym_module] = STATE(9527),
    [sym_syntax] = STATE(9527),
    [sym_pattern] = STATE(9527),
    [sym_unquote_decl] = STATE(9527),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(202),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(391),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(393),
  },
  [93] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9507),
    [sym_fields] = STATE(9507),
    [sym_function] = STATE(9507),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9507),
    [sym_data_signature] = STATE(9507),
    [sym_record] = STATE(9507),
    [sym_record_signature] = STATE(9507),
    [sym_infix] = STATE(9507),
    [sym_generalize] = STATE(9507),
    [sym_mutual] = STATE(9507),
    [sym_abstract] = STATE(9507),
    [sym_private] = STATE(9507),
    [sym_instance] = STATE(9507),
    [sym_macro] = STATE(9507),
    [sym_postulate] = STATE(9507),
    [sym_primitive] = STATE(9507),
    [sym_open] = STATE(9507),
    [sym_import] = STATE(9507),
    [sym_module_macro] = STATE(9507),
    [sym_module] = STATE(9507),
    [sym_syntax] = STATE(9507),
    [sym_pattern] = STATE(9507),
    [sym_unquote_decl] = STATE(9507),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(205),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(395),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(397),
  },
  [94] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9604),
    [sym_fields] = STATE(9604),
    [sym_function] = STATE(9604),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9604),
    [sym_data_signature] = STATE(9604),
    [sym_record] = STATE(9604),
    [sym_record_signature] = STATE(9604),
    [sym_infix] = STATE(9604),
    [sym_generalize] = STATE(9604),
    [sym_mutual] = STATE(9604),
    [sym_abstract] = STATE(9604),
    [sym_private] = STATE(9604),
    [sym_instance] = STATE(9604),
    [sym_macro] = STATE(9604),
    [sym_postulate] = STATE(9604),
    [sym_primitive] = STATE(9604),
    [sym_open] = STATE(9604),
    [sym_import] = STATE(9604),
    [sym_module_macro] = STATE(9604),
    [sym_module] = STATE(9604),
    [sym_syntax] = STATE(9604),
    [sym_pattern] = STATE(9604),
    [sym_unquote_decl] = STATE(9604),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(207),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(399),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(401),
  },
  [95] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9593),
    [sym_fields] = STATE(9593),
    [sym_function] = STATE(9593),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9593),
    [sym_data_signature] = STATE(9593),
    [sym_record] = STATE(9593),
    [sym_record_signature] = STATE(9593),
    [sym_infix] = STATE(9593),
    [sym_generalize] = STATE(9593),
    [sym_mutual] = STATE(9593),
    [sym_abstract] = STATE(9593),
    [sym_private] = STATE(9593),
    [sym_instance] = STATE(9593),
    [sym_macro] = STATE(9593),
    [sym_postulate] = STATE(9593),
    [sym_primitive] = STATE(9593),
    [sym_open] = STATE(9593),
    [sym_import] = STATE(9593),
    [sym_module_macro] = STATE(9593),
    [sym_module] = STATE(9593),
    [sym_syntax] = STATE(9593),
    [sym_pattern] = STATE(9593),
    [sym_unquote_decl] = STATE(9593),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(210),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(403),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(405),
  },
  [96] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9505),
    [sym_fields] = STATE(9505),
    [sym_function] = STATE(9505),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9505),
    [sym_data_signature] = STATE(9505),
    [sym_record] = STATE(9505),
    [sym_record_signature] = STATE(9505),
    [sym_infix] = STATE(9505),
    [sym_generalize] = STATE(9505),
    [sym_mutual] = STATE(9505),
    [sym_abstract] = STATE(9505),
    [sym_private] = STATE(9505),
    [sym_instance] = STATE(9505),
    [sym_macro] = STATE(9505),
    [sym_postulate] = STATE(9505),
    [sym_primitive] = STATE(9505),
    [sym_open] = STATE(9505),
    [sym_import] = STATE(9505),
    [sym_module_macro] = STATE(9505),
    [sym_module] = STATE(9505),
    [sym_syntax] = STATE(9505),
    [sym_pattern] = STATE(9505),
    [sym_unquote_decl] = STATE(9505),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(213),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(407),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(409),
  },
  [97] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9580),
    [sym_fields] = STATE(9580),
    [sym_function] = STATE(9580),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9580),
    [sym_data_signature] = STATE(9580),
    [sym_record] = STATE(9580),
    [sym_record_signature] = STATE(9580),
    [sym_infix] = STATE(9580),
    [sym_generalize] = STATE(9580),
    [sym_mutual] = STATE(9580),
    [sym_abstract] = STATE(9580),
    [sym_private] = STATE(9580),
    [sym_instance] = STATE(9580),
    [sym_macro] = STATE(9580),
    [sym_postulate] = STATE(9580),
    [sym_primitive] = STATE(9580),
    [sym_open] = STATE(9580),
    [sym_import] = STATE(9580),
    [sym_module_macro] = STATE(9580),
    [sym_module] = STATE(9580),
    [sym_syntax] = STATE(9580),
    [sym_pattern] = STATE(9580),
    [sym_unquote_decl] = STATE(9580),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(215),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(411),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(413),
  },
  [98] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9551),
    [sym_fields] = STATE(9551),
    [sym_function] = STATE(9551),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9551),
    [sym_data_signature] = STATE(9551),
    [sym_record] = STATE(9551),
    [sym_record_signature] = STATE(9551),
    [sym_infix] = STATE(9551),
    [sym_generalize] = STATE(9551),
    [sym_mutual] = STATE(9551),
    [sym_abstract] = STATE(9551),
    [sym_private] = STATE(9551),
    [sym_instance] = STATE(9551),
    [sym_macro] = STATE(9551),
    [sym_postulate] = STATE(9551),
    [sym_primitive] = STATE(9551),
    [sym_open] = STATE(9551),
    [sym_import] = STATE(9551),
    [sym_module_macro] = STATE(9551),
    [sym_module] = STATE(9551),
    [sym_syntax] = STATE(9551),
    [sym_pattern] = STATE(9551),
    [sym_unquote_decl] = STATE(9551),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(218),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(415),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(417),
  },
  [99] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9525),
    [sym_fields] = STATE(9525),
    [sym_function] = STATE(9525),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9525),
    [sym_data_signature] = STATE(9525),
    [sym_record] = STATE(9525),
    [sym_record_signature] = STATE(9525),
    [sym_infix] = STATE(9525),
    [sym_generalize] = STATE(9525),
    [sym_mutual] = STATE(9525),
    [sym_abstract] = STATE(9525),
    [sym_private] = STATE(9525),
    [sym_instance] = STATE(9525),
    [sym_macro] = STATE(9525),
    [sym_postulate] = STATE(9525),
    [sym_primitive] = STATE(9525),
    [sym_open] = STATE(9525),
    [sym_import] = STATE(9525),
    [sym_module_macro] = STATE(9525),
    [sym_module] = STATE(9525),
    [sym_syntax] = STATE(9525),
    [sym_pattern] = STATE(9525),
    [sym_unquote_decl] = STATE(9525),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(221),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(419),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(421),
  },
  [100] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9596),
    [sym_fields] = STATE(9596),
    [sym_function] = STATE(9596),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9596),
    [sym_data_signature] = STATE(9596),
    [sym_record] = STATE(9596),
    [sym_record_signature] = STATE(9596),
    [sym_infix] = STATE(9596),
    [sym_generalize] = STATE(9596),
    [sym_mutual] = STATE(9596),
    [sym_abstract] = STATE(9596),
    [sym_private] = STATE(9596),
    [sym_instance] = STATE(9596),
    [sym_macro] = STATE(9596),
    [sym_postulate] = STATE(9596),
    [sym_primitive] = STATE(9596),
    [sym_open] = STATE(9596),
    [sym_import] = STATE(9596),
    [sym_module_macro] = STATE(9596),
    [sym_module] = STATE(9596),
    [sym_syntax] = STATE(9596),
    [sym_pattern] = STATE(9596),
    [sym_unquote_decl] = STATE(9596),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(223),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(423),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(425),
  },
  [101] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9615),
    [sym_fields] = STATE(9615),
    [sym_function] = STATE(9615),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9615),
    [sym_data_signature] = STATE(9615),
    [sym_record] = STATE(9615),
    [sym_record_signature] = STATE(9615),
    [sym_infix] = STATE(9615),
    [sym_generalize] = STATE(9615),
    [sym_mutual] = STATE(9615),
    [sym_abstract] = STATE(9615),
    [sym_private] = STATE(9615),
    [sym_instance] = STATE(9615),
    [sym_macro] = STATE(9615),
    [sym_postulate] = STATE(9615),
    [sym_primitive] = STATE(9615),
    [sym_open] = STATE(9615),
    [sym_import] = STATE(9615),
    [sym_module_macro] = STATE(9615),
    [sym_module] = STATE(9615),
    [sym_syntax] = STATE(9615),
    [sym_pattern] = STATE(9615),
    [sym_unquote_decl] = STATE(9615),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(157),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(427),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(429),
  },
  [102] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9502),
    [sym_fields] = STATE(9502),
    [sym_function] = STATE(9502),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9502),
    [sym_data_signature] = STATE(9502),
    [sym_record] = STATE(9502),
    [sym_record_signature] = STATE(9502),
    [sym_infix] = STATE(9502),
    [sym_generalize] = STATE(9502),
    [sym_mutual] = STATE(9502),
    [sym_abstract] = STATE(9502),
    [sym_private] = STATE(9502),
    [sym_instance] = STATE(9502),
    [sym_macro] = STATE(9502),
    [sym_postulate] = STATE(9502),
    [sym_primitive] = STATE(9502),
    [sym_open] = STATE(9502),
    [sym_import] = STATE(9502),
    [sym_module_macro] = STATE(9502),
    [sym_module] = STATE(9502),
    [sym_syntax] = STATE(9502),
    [sym_pattern] = STATE(9502),
    [sym_unquote_decl] = STATE(9502),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(229),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(431),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(433),
  },
  [103] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9682),
    [sym_fields] = STATE(9682),
    [sym_function] = STATE(9682),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9682),
    [sym_data_signature] = STATE(9682),
    [sym_record] = STATE(9682),
    [sym_record_signature] = STATE(9682),
    [sym_infix] = STATE(9682),
    [sym_generalize] = STATE(9682),
    [sym_mutual] = STATE(9682),
    [sym_abstract] = STATE(9682),
    [sym_private] = STATE(9682),
    [sym_instance] = STATE(9682),
    [sym_macro] = STATE(9682),
    [sym_postulate] = STATE(9682),
    [sym_primitive] = STATE(9682),
    [sym_open] = STATE(9682),
    [sym_import] = STATE(9682),
    [sym_module_macro] = STATE(9682),
    [sym_module] = STATE(9682),
    [sym_syntax] = STATE(9682),
    [sym_pattern] = STATE(9682),
    [sym_unquote_decl] = STATE(9682),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(232),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(435),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(437),
  },
  [104] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9670),
    [sym_fields] = STATE(9670),
    [sym_function] = STATE(9670),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9670),
    [sym_data_signature] = STATE(9670),
    [sym_record] = STATE(9670),
    [sym_record_signature] = STATE(9670),
    [sym_infix] = STATE(9670),
    [sym_generalize] = STATE(9670),
    [sym_mutual] = STATE(9670),
    [sym_abstract] = STATE(9670),
    [sym_private] = STATE(9670),
    [sym_instance] = STATE(9670),
    [sym_macro] = STATE(9670),
    [sym_postulate] = STATE(9670),
    [sym_primitive] = STATE(9670),
    [sym_open] = STATE(9670),
    [sym_import] = STATE(9670),
    [sym_module_macro] = STATE(9670),
    [sym_module] = STATE(9670),
    [sym_syntax] = STATE(9670),
    [sym_pattern] = STATE(9670),
    [sym_unquote_decl] = STATE(9670),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(234),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(439),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(441),
  },
  [105] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9614),
    [sym_fields] = STATE(9614),
    [sym_function] = STATE(9614),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9614),
    [sym_data_signature] = STATE(9614),
    [sym_record] = STATE(9614),
    [sym_record_signature] = STATE(9614),
    [sym_infix] = STATE(9614),
    [sym_generalize] = STATE(9614),
    [sym_mutual] = STATE(9614),
    [sym_abstract] = STATE(9614),
    [sym_private] = STATE(9614),
    [sym_instance] = STATE(9614),
    [sym_macro] = STATE(9614),
    [sym_postulate] = STATE(9614),
    [sym_primitive] = STATE(9614),
    [sym_open] = STATE(9614),
    [sym_import] = STATE(9614),
    [sym_module_macro] = STATE(9614),
    [sym_module] = STATE(9614),
    [sym_syntax] = STATE(9614),
    [sym_pattern] = STATE(9614),
    [sym_unquote_decl] = STATE(9614),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(237),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(443),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(445),
  },
  [106] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9544),
    [sym_fields] = STATE(9544),
    [sym_function] = STATE(9544),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9544),
    [sym_data_signature] = STATE(9544),
    [sym_record] = STATE(9544),
    [sym_record_signature] = STATE(9544),
    [sym_infix] = STATE(9544),
    [sym_generalize] = STATE(9544),
    [sym_mutual] = STATE(9544),
    [sym_abstract] = STATE(9544),
    [sym_private] = STATE(9544),
    [sym_instance] = STATE(9544),
    [sym_macro] = STATE(9544),
    [sym_postulate] = STATE(9544),
    [sym_primitive] = STATE(9544),
    [sym_open] = STATE(9544),
    [sym_import] = STATE(9544),
    [sym_module_macro] = STATE(9544),
    [sym_module] = STATE(9544),
    [sym_syntax] = STATE(9544),
    [sym_pattern] = STATE(9544),
    [sym_unquote_decl] = STATE(9544),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(240),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(447),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(449),
  },
  [107] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9582),
    [sym_fields] = STATE(9582),
    [sym_function] = STATE(9582),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9582),
    [sym_data_signature] = STATE(9582),
    [sym_record] = STATE(9582),
    [sym_record_signature] = STATE(9582),
    [sym_infix] = STATE(9582),
    [sym_generalize] = STATE(9582),
    [sym_mutual] = STATE(9582),
    [sym_abstract] = STATE(9582),
    [sym_private] = STATE(9582),
    [sym_instance] = STATE(9582),
    [sym_macro] = STATE(9582),
    [sym_postulate] = STATE(9582),
    [sym_primitive] = STATE(9582),
    [sym_open] = STATE(9582),
    [sym_import] = STATE(9582),
    [sym_module_macro] = STATE(9582),
    [sym_module] = STATE(9582),
    [sym_syntax] = STATE(9582),
    [sym_pattern] = STATE(9582),
    [sym_unquote_decl] = STATE(9582),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(242),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(451),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(453),
  },
  [108] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9631),
    [sym_fields] = STATE(9631),
    [sym_function] = STATE(9631),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9631),
    [sym_data_signature] = STATE(9631),
    [sym_record] = STATE(9631),
    [sym_record_signature] = STATE(9631),
    [sym_infix] = STATE(9631),
    [sym_generalize] = STATE(9631),
    [sym_mutual] = STATE(9631),
    [sym_abstract] = STATE(9631),
    [sym_private] = STATE(9631),
    [sym_instance] = STATE(9631),
    [sym_macro] = STATE(9631),
    [sym_postulate] = STATE(9631),
    [sym_primitive] = STATE(9631),
    [sym_open] = STATE(9631),
    [sym_import] = STATE(9631),
    [sym_module_macro] = STATE(9631),
    [sym_module] = STATE(9631),
    [sym_syntax] = STATE(9631),
    [sym_pattern] = STATE(9631),
    [sym_unquote_decl] = STATE(9631),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(244),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(455),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(457),
  },
  [109] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9676),
    [sym_fields] = STATE(9676),
    [sym_function] = STATE(9676),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9676),
    [sym_data_signature] = STATE(9676),
    [sym_record] = STATE(9676),
    [sym_record_signature] = STATE(9676),
    [sym_infix] = STATE(9676),
    [sym_generalize] = STATE(9676),
    [sym_mutual] = STATE(9676),
    [sym_abstract] = STATE(9676),
    [sym_private] = STATE(9676),
    [sym_instance] = STATE(9676),
    [sym_macro] = STATE(9676),
    [sym_postulate] = STATE(9676),
    [sym_primitive] = STATE(9676),
    [sym_open] = STATE(9676),
    [sym_import] = STATE(9676),
    [sym_module_macro] = STATE(9676),
    [sym_module] = STATE(9676),
    [sym_syntax] = STATE(9676),
    [sym_pattern] = STATE(9676),
    [sym_unquote_decl] = STATE(9676),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(247),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(459),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(461),
  },
  [110] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9633),
    [sym_fields] = STATE(9633),
    [sym_function] = STATE(9633),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9633),
    [sym_data_signature] = STATE(9633),
    [sym_record] = STATE(9633),
    [sym_record_signature] = STATE(9633),
    [sym_infix] = STATE(9633),
    [sym_generalize] = STATE(9633),
    [sym_mutual] = STATE(9633),
    [sym_abstract] = STATE(9633),
    [sym_private] = STATE(9633),
    [sym_instance] = STATE(9633),
    [sym_macro] = STATE(9633),
    [sym_postulate] = STATE(9633),
    [sym_primitive] = STATE(9633),
    [sym_open] = STATE(9633),
    [sym_import] = STATE(9633),
    [sym_module_macro] = STATE(9633),
    [sym_module] = STATE(9633),
    [sym_syntax] = STATE(9633),
    [sym_pattern] = STATE(9633),
    [sym_unquote_decl] = STATE(9633),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(250),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(463),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(465),
  },
  [111] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9506),
    [sym_fields] = STATE(9506),
    [sym_function] = STATE(9506),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9506),
    [sym_data_signature] = STATE(9506),
    [sym_record] = STATE(9506),
    [sym_record_signature] = STATE(9506),
    [sym_infix] = STATE(9506),
    [sym_generalize] = STATE(9506),
    [sym_mutual] = STATE(9506),
    [sym_abstract] = STATE(9506),
    [sym_private] = STATE(9506),
    [sym_instance] = STATE(9506),
    [sym_macro] = STATE(9506),
    [sym_postulate] = STATE(9506),
    [sym_primitive] = STATE(9506),
    [sym_open] = STATE(9506),
    [sym_import] = STATE(9506),
    [sym_module_macro] = STATE(9506),
    [sym_module] = STATE(9506),
    [sym_syntax] = STATE(9506),
    [sym_pattern] = STATE(9506),
    [sym_unquote_decl] = STATE(9506),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(252),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(467),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(469),
  },
  [112] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9552),
    [sym_fields] = STATE(9552),
    [sym_function] = STATE(9552),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9552),
    [sym_data_signature] = STATE(9552),
    [sym_record] = STATE(9552),
    [sym_record_signature] = STATE(9552),
    [sym_infix] = STATE(9552),
    [sym_generalize] = STATE(9552),
    [sym_mutual] = STATE(9552),
    [sym_abstract] = STATE(9552),
    [sym_private] = STATE(9552),
    [sym_instance] = STATE(9552),
    [sym_macro] = STATE(9552),
    [sym_postulate] = STATE(9552),
    [sym_primitive] = STATE(9552),
    [sym_open] = STATE(9552),
    [sym_import] = STATE(9552),
    [sym_module_macro] = STATE(9552),
    [sym_module] = STATE(9552),
    [sym_syntax] = STATE(9552),
    [sym_pattern] = STATE(9552),
    [sym_unquote_decl] = STATE(9552),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(254),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(471),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(473),
  },
  [113] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9656),
    [sym_fields] = STATE(9656),
    [sym_function] = STATE(9656),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9656),
    [sym_data_signature] = STATE(9656),
    [sym_record] = STATE(9656),
    [sym_record_signature] = STATE(9656),
    [sym_infix] = STATE(9656),
    [sym_generalize] = STATE(9656),
    [sym_mutual] = STATE(9656),
    [sym_abstract] = STATE(9656),
    [sym_private] = STATE(9656),
    [sym_instance] = STATE(9656),
    [sym_macro] = STATE(9656),
    [sym_postulate] = STATE(9656),
    [sym_primitive] = STATE(9656),
    [sym_open] = STATE(9656),
    [sym_import] = STATE(9656),
    [sym_module_macro] = STATE(9656),
    [sym_module] = STATE(9656),
    [sym_syntax] = STATE(9656),
    [sym_pattern] = STATE(9656),
    [sym_unquote_decl] = STATE(9656),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(257),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(475),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(477),
  },
  [114] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9653),
    [sym_fields] = STATE(9653),
    [sym_function] = STATE(9653),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9653),
    [sym_data_signature] = STATE(9653),
    [sym_record] = STATE(9653),
    [sym_record_signature] = STATE(9653),
    [sym_infix] = STATE(9653),
    [sym_generalize] = STATE(9653),
    [sym_mutual] = STATE(9653),
    [sym_abstract] = STATE(9653),
    [sym_private] = STATE(9653),
    [sym_instance] = STATE(9653),
    [sym_macro] = STATE(9653),
    [sym_postulate] = STATE(9653),
    [sym_primitive] = STATE(9653),
    [sym_open] = STATE(9653),
    [sym_import] = STATE(9653),
    [sym_module_macro] = STATE(9653),
    [sym_module] = STATE(9653),
    [sym_syntax] = STATE(9653),
    [sym_pattern] = STATE(9653),
    [sym_unquote_decl] = STATE(9653),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(155),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(479),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(481),
  },
  [115] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9550),
    [sym_fields] = STATE(9550),
    [sym_function] = STATE(9550),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9550),
    [sym_data_signature] = STATE(9550),
    [sym_record] = STATE(9550),
    [sym_record_signature] = STATE(9550),
    [sym_infix] = STATE(9550),
    [sym_generalize] = STATE(9550),
    [sym_mutual] = STATE(9550),
    [sym_abstract] = STATE(9550),
    [sym_private] = STATE(9550),
    [sym_instance] = STATE(9550),
    [sym_macro] = STATE(9550),
    [sym_postulate] = STATE(9550),
    [sym_primitive] = STATE(9550),
    [sym_open] = STATE(9550),
    [sym_import] = STATE(9550),
    [sym_module_macro] = STATE(9550),
    [sym_module] = STATE(9550),
    [sym_syntax] = STATE(9550),
    [sym_pattern] = STATE(9550),
    [sym_unquote_decl] = STATE(9550),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(129),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(483),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
    [sym__indent] = ACTIONS(485),
  },
  [116] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9558),
    [sym_fields] = STATE(9558),
    [sym_function] = STATE(9558),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9558),
    [sym_data_signature] = STATE(9558),
    [sym_record] = STATE(9558),
    [sym_record_signature] = STATE(9558),
    [sym_infix] = STATE(9558),
    [sym_generalize] = STATE(9558),
    [sym_mutual] = STATE(9558),
    [sym_abstract] = STATE(9558),
    [sym_private] = STATE(9558),
    [sym_instance] = STATE(9558),
    [sym_macro] = STATE(9558),
    [sym_postulate] = STATE(9558),
    [sym_primitive] = STATE(9558),
    [sym_open] = STATE(9558),
    [sym_import] = STATE(9558),
    [sym_module_macro] = STATE(9558),
    [sym_module] = STATE(9558),
    [sym_syntax] = STATE(9558),
    [sym_pattern] = STATE(9558),
    [sym_unquote_decl] = STATE(9558),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(487),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [117] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9547),
    [sym_fields] = STATE(9547),
    [sym_function] = STATE(9547),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9547),
    [sym_data_signature] = STATE(9547),
    [sym_record] = STATE(9547),
    [sym_record_signature] = STATE(9547),
    [sym_infix] = STATE(9547),
    [sym_generalize] = STATE(9547),
    [sym_mutual] = STATE(9547),
    [sym_abstract] = STATE(9547),
    [sym_private] = STATE(9547),
    [sym_instance] = STATE(9547),
    [sym_macro] = STATE(9547),
    [sym_postulate] = STATE(9547),
    [sym_primitive] = STATE(9547),
    [sym_open] = STATE(9547),
    [sym_import] = STATE(9547),
    [sym_module_macro] = STATE(9547),
    [sym_module] = STATE(9547),
    [sym_syntax] = STATE(9547),
    [sym_pattern] = STATE(9547),
    [sym_unquote_decl] = STATE(9547),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(152),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(489),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [118] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9547),
    [sym_fields] = STATE(9547),
    [sym_function] = STATE(9547),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9547),
    [sym_data_signature] = STATE(9547),
    [sym_record] = STATE(9547),
    [sym_record_signature] = STATE(9547),
    [sym_infix] = STATE(9547),
    [sym_generalize] = STATE(9547),
    [sym_mutual] = STATE(9547),
    [sym_abstract] = STATE(9547),
    [sym_private] = STATE(9547),
    [sym_instance] = STATE(9547),
    [sym_macro] = STATE(9547),
    [sym_postulate] = STATE(9547),
    [sym_primitive] = STATE(9547),
    [sym_open] = STATE(9547),
    [sym_import] = STATE(9547),
    [sym_module_macro] = STATE(9547),
    [sym_module] = STATE(9547),
    [sym_syntax] = STATE(9547),
    [sym_pattern] = STATE(9547),
    [sym_unquote_decl] = STATE(9547),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(489),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [119] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9563),
    [sym_fields] = STATE(9563),
    [sym_function] = STATE(9563),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9563),
    [sym_data_signature] = STATE(9563),
    [sym_record] = STATE(9563),
    [sym_record_signature] = STATE(9563),
    [sym_infix] = STATE(9563),
    [sym_generalize] = STATE(9563),
    [sym_mutual] = STATE(9563),
    [sym_abstract] = STATE(9563),
    [sym_private] = STATE(9563),
    [sym_instance] = STATE(9563),
    [sym_macro] = STATE(9563),
    [sym_postulate] = STATE(9563),
    [sym_primitive] = STATE(9563),
    [sym_open] = STATE(9563),
    [sym_import] = STATE(9563),
    [sym_module_macro] = STATE(9563),
    [sym_module] = STATE(9563),
    [sym_syntax] = STATE(9563),
    [sym_pattern] = STATE(9563),
    [sym_unquote_decl] = STATE(9563),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(491),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [120] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9603),
    [sym_fields] = STATE(9603),
    [sym_function] = STATE(9603),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9603),
    [sym_data_signature] = STATE(9603),
    [sym_record] = STATE(9603),
    [sym_record_signature] = STATE(9603),
    [sym_infix] = STATE(9603),
    [sym_generalize] = STATE(9603),
    [sym_mutual] = STATE(9603),
    [sym_abstract] = STATE(9603),
    [sym_private] = STATE(9603),
    [sym_instance] = STATE(9603),
    [sym_macro] = STATE(9603),
    [sym_postulate] = STATE(9603),
    [sym_primitive] = STATE(9603),
    [sym_open] = STATE(9603),
    [sym_import] = STATE(9603),
    [sym_module_macro] = STATE(9603),
    [sym_module] = STATE(9603),
    [sym_syntax] = STATE(9603),
    [sym_pattern] = STATE(9603),
    [sym_unquote_decl] = STATE(9603),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(493),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [121] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9658),
    [sym_fields] = STATE(9658),
    [sym_function] = STATE(9658),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9658),
    [sym_data_signature] = STATE(9658),
    [sym_record] = STATE(9658),
    [sym_record_signature] = STATE(9658),
    [sym_infix] = STATE(9658),
    [sym_generalize] = STATE(9658),
    [sym_mutual] = STATE(9658),
    [sym_abstract] = STATE(9658),
    [sym_private] = STATE(9658),
    [sym_instance] = STATE(9658),
    [sym_macro] = STATE(9658),
    [sym_postulate] = STATE(9658),
    [sym_primitive] = STATE(9658),
    [sym_open] = STATE(9658),
    [sym_import] = STATE(9658),
    [sym_module_macro] = STATE(9658),
    [sym_module] = STATE(9658),
    [sym_syntax] = STATE(9658),
    [sym_pattern] = STATE(9658),
    [sym_unquote_decl] = STATE(9658),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(154),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(495),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [122] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9658),
    [sym_fields] = STATE(9658),
    [sym_function] = STATE(9658),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9658),
    [sym_data_signature] = STATE(9658),
    [sym_record] = STATE(9658),
    [sym_record_signature] = STATE(9658),
    [sym_infix] = STATE(9658),
    [sym_generalize] = STATE(9658),
    [sym_mutual] = STATE(9658),
    [sym_abstract] = STATE(9658),
    [sym_private] = STATE(9658),
    [sym_instance] = STATE(9658),
    [sym_macro] = STATE(9658),
    [sym_postulate] = STATE(9658),
    [sym_primitive] = STATE(9658),
    [sym_open] = STATE(9658),
    [sym_import] = STATE(9658),
    [sym_module_macro] = STATE(9658),
    [sym_module] = STATE(9658),
    [sym_syntax] = STATE(9658),
    [sym_pattern] = STATE(9658),
    [sym_unquote_decl] = STATE(9658),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(495),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [123] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9549),
    [sym_fields] = STATE(9549),
    [sym_function] = STATE(9549),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9549),
    [sym_data_signature] = STATE(9549),
    [sym_record] = STATE(9549),
    [sym_record_signature] = STATE(9549),
    [sym_infix] = STATE(9549),
    [sym_generalize] = STATE(9549),
    [sym_mutual] = STATE(9549),
    [sym_abstract] = STATE(9549),
    [sym_private] = STATE(9549),
    [sym_instance] = STATE(9549),
    [sym_macro] = STATE(9549),
    [sym_postulate] = STATE(9549),
    [sym_primitive] = STATE(9549),
    [sym_open] = STATE(9549),
    [sym_import] = STATE(9549),
    [sym_module_macro] = STATE(9549),
    [sym_module] = STATE(9549),
    [sym_syntax] = STATE(9549),
    [sym_pattern] = STATE(9549),
    [sym_unquote_decl] = STATE(9549),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(497),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [124] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9566),
    [sym_fields] = STATE(9566),
    [sym_function] = STATE(9566),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9566),
    [sym_data_signature] = STATE(9566),
    [sym_record] = STATE(9566),
    [sym_record_signature] = STATE(9566),
    [sym_infix] = STATE(9566),
    [sym_generalize] = STATE(9566),
    [sym_mutual] = STATE(9566),
    [sym_abstract] = STATE(9566),
    [sym_private] = STATE(9566),
    [sym_instance] = STATE(9566),
    [sym_macro] = STATE(9566),
    [sym_postulate] = STATE(9566),
    [sym_primitive] = STATE(9566),
    [sym_open] = STATE(9566),
    [sym_import] = STATE(9566),
    [sym_module_macro] = STATE(9566),
    [sym_module] = STATE(9566),
    [sym_syntax] = STATE(9566),
    [sym_pattern] = STATE(9566),
    [sym_unquote_decl] = STATE(9566),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(499),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [125] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9543),
    [sym_fields] = STATE(9543),
    [sym_function] = STATE(9543),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9543),
    [sym_data_signature] = STATE(9543),
    [sym_record] = STATE(9543),
    [sym_record_signature] = STATE(9543),
    [sym_infix] = STATE(9543),
    [sym_generalize] = STATE(9543),
    [sym_mutual] = STATE(9543),
    [sym_abstract] = STATE(9543),
    [sym_private] = STATE(9543),
    [sym_instance] = STATE(9543),
    [sym_macro] = STATE(9543),
    [sym_postulate] = STATE(9543),
    [sym_primitive] = STATE(9543),
    [sym_open] = STATE(9543),
    [sym_import] = STATE(9543),
    [sym_module_macro] = STATE(9543),
    [sym_module] = STATE(9543),
    [sym_syntax] = STATE(9543),
    [sym_pattern] = STATE(9543),
    [sym_unquote_decl] = STATE(9543),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(116),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(501),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [126] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9543),
    [sym_fields] = STATE(9543),
    [sym_function] = STATE(9543),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9543),
    [sym_data_signature] = STATE(9543),
    [sym_record] = STATE(9543),
    [sym_record_signature] = STATE(9543),
    [sym_infix] = STATE(9543),
    [sym_generalize] = STATE(9543),
    [sym_mutual] = STATE(9543),
    [sym_abstract] = STATE(9543),
    [sym_private] = STATE(9543),
    [sym_instance] = STATE(9543),
    [sym_macro] = STATE(9543),
    [sym_postulate] = STATE(9543),
    [sym_primitive] = STATE(9543),
    [sym_open] = STATE(9543),
    [sym_import] = STATE(9543),
    [sym_module_macro] = STATE(9543),
    [sym_module] = STATE(9543),
    [sym_syntax] = STATE(9543),
    [sym_pattern] = STATE(9543),
    [sym_unquote_decl] = STATE(9543),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(501),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [127] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9586),
    [sym_fields] = STATE(9586),
    [sym_function] = STATE(9586),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9586),
    [sym_data_signature] = STATE(9586),
    [sym_record] = STATE(9586),
    [sym_record_signature] = STATE(9586),
    [sym_infix] = STATE(9586),
    [sym_generalize] = STATE(9586),
    [sym_mutual] = STATE(9586),
    [sym_abstract] = STATE(9586),
    [sym_private] = STATE(9586),
    [sym_instance] = STATE(9586),
    [sym_macro] = STATE(9586),
    [sym_postulate] = STATE(9586),
    [sym_primitive] = STATE(9586),
    [sym_open] = STATE(9586),
    [sym_import] = STATE(9586),
    [sym_module_macro] = STATE(9586),
    [sym_module] = STATE(9586),
    [sym_syntax] = STATE(9586),
    [sym_pattern] = STATE(9586),
    [sym_unquote_decl] = STATE(9586),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(153),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(503),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [128] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9677),
    [sym_fields] = STATE(9677),
    [sym_function] = STATE(9677),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9677),
    [sym_data_signature] = STATE(9677),
    [sym_record] = STATE(9677),
    [sym_record_signature] = STATE(9677),
    [sym_infix] = STATE(9677),
    [sym_generalize] = STATE(9677),
    [sym_mutual] = STATE(9677),
    [sym_abstract] = STATE(9677),
    [sym_private] = STATE(9677),
    [sym_instance] = STATE(9677),
    [sym_macro] = STATE(9677),
    [sym_postulate] = STATE(9677),
    [sym_primitive] = STATE(9677),
    [sym_open] = STATE(9677),
    [sym_import] = STATE(9677),
    [sym_module_macro] = STATE(9677),
    [sym_module] = STATE(9677),
    [sym_syntax] = STATE(9677),
    [sym_pattern] = STATE(9677),
    [sym_unquote_decl] = STATE(9677),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(505),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [129] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9586),
    [sym_fields] = STATE(9586),
    [sym_function] = STATE(9586),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9586),
    [sym_data_signature] = STATE(9586),
    [sym_record] = STATE(9586),
    [sym_record_signature] = STATE(9586),
    [sym_infix] = STATE(9586),
    [sym_generalize] = STATE(9586),
    [sym_mutual] = STATE(9586),
    [sym_abstract] = STATE(9586),
    [sym_private] = STATE(9586),
    [sym_instance] = STATE(9586),
    [sym_macro] = STATE(9586),
    [sym_postulate] = STATE(9586),
    [sym_primitive] = STATE(9586),
    [sym_open] = STATE(9586),
    [sym_import] = STATE(9586),
    [sym_module_macro] = STATE(9586),
    [sym_module] = STATE(9586),
    [sym_syntax] = STATE(9586),
    [sym_pattern] = STATE(9586),
    [sym_unquote_decl] = STATE(9586),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(503),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [130] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9556),
    [sym_fields] = STATE(9556),
    [sym_function] = STATE(9556),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9556),
    [sym_data_signature] = STATE(9556),
    [sym_record] = STATE(9556),
    [sym_record_signature] = STATE(9556),
    [sym_infix] = STATE(9556),
    [sym_generalize] = STATE(9556),
    [sym_mutual] = STATE(9556),
    [sym_abstract] = STATE(9556),
    [sym_private] = STATE(9556),
    [sym_instance] = STATE(9556),
    [sym_macro] = STATE(9556),
    [sym_postulate] = STATE(9556),
    [sym_primitive] = STATE(9556),
    [sym_open] = STATE(9556),
    [sym_import] = STATE(9556),
    [sym_module_macro] = STATE(9556),
    [sym_module] = STATE(9556),
    [sym_syntax] = STATE(9556),
    [sym_pattern] = STATE(9556),
    [sym_unquote_decl] = STATE(9556),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(156),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(507),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [131] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9556),
    [sym_fields] = STATE(9556),
    [sym_function] = STATE(9556),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9556),
    [sym_data_signature] = STATE(9556),
    [sym_record] = STATE(9556),
    [sym_record_signature] = STATE(9556),
    [sym_infix] = STATE(9556),
    [sym_generalize] = STATE(9556),
    [sym_mutual] = STATE(9556),
    [sym_abstract] = STATE(9556),
    [sym_private] = STATE(9556),
    [sym_instance] = STATE(9556),
    [sym_macro] = STATE(9556),
    [sym_postulate] = STATE(9556),
    [sym_primitive] = STATE(9556),
    [sym_open] = STATE(9556),
    [sym_import] = STATE(9556),
    [sym_module_macro] = STATE(9556),
    [sym_module] = STATE(9556),
    [sym_syntax] = STATE(9556),
    [sym_pattern] = STATE(9556),
    [sym_unquote_decl] = STATE(9556),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(507),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [132] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9642),
    [sym_fields] = STATE(9642),
    [sym_function] = STATE(9642),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9642),
    [sym_data_signature] = STATE(9642),
    [sym_record] = STATE(9642),
    [sym_record_signature] = STATE(9642),
    [sym_infix] = STATE(9642),
    [sym_generalize] = STATE(9642),
    [sym_mutual] = STATE(9642),
    [sym_abstract] = STATE(9642),
    [sym_private] = STATE(9642),
    [sym_instance] = STATE(9642),
    [sym_macro] = STATE(9642),
    [sym_postulate] = STATE(9642),
    [sym_primitive] = STATE(9642),
    [sym_open] = STATE(9642),
    [sym_import] = STATE(9642),
    [sym_module_macro] = STATE(9642),
    [sym_module] = STATE(9642),
    [sym_syntax] = STATE(9642),
    [sym_pattern] = STATE(9642),
    [sym_unquote_decl] = STATE(9642),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(509),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [133] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9638),
    [sym_fields] = STATE(9638),
    [sym_function] = STATE(9638),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9638),
    [sym_data_signature] = STATE(9638),
    [sym_record] = STATE(9638),
    [sym_record_signature] = STATE(9638),
    [sym_infix] = STATE(9638),
    [sym_generalize] = STATE(9638),
    [sym_mutual] = STATE(9638),
    [sym_abstract] = STATE(9638),
    [sym_private] = STATE(9638),
    [sym_instance] = STATE(9638),
    [sym_macro] = STATE(9638),
    [sym_postulate] = STATE(9638),
    [sym_primitive] = STATE(9638),
    [sym_open] = STATE(9638),
    [sym_import] = STATE(9638),
    [sym_module_macro] = STATE(9638),
    [sym_module] = STATE(9638),
    [sym_syntax] = STATE(9638),
    [sym_pattern] = STATE(9638),
    [sym_unquote_decl] = STATE(9638),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(158),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(511),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [134] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9638),
    [sym_fields] = STATE(9638),
    [sym_function] = STATE(9638),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9638),
    [sym_data_signature] = STATE(9638),
    [sym_record] = STATE(9638),
    [sym_record_signature] = STATE(9638),
    [sym_infix] = STATE(9638),
    [sym_generalize] = STATE(9638),
    [sym_mutual] = STATE(9638),
    [sym_abstract] = STATE(9638),
    [sym_private] = STATE(9638),
    [sym_instance] = STATE(9638),
    [sym_macro] = STATE(9638),
    [sym_postulate] = STATE(9638),
    [sym_primitive] = STATE(9638),
    [sym_open] = STATE(9638),
    [sym_import] = STATE(9638),
    [sym_module_macro] = STATE(9638),
    [sym_module] = STATE(9638),
    [sym_syntax] = STATE(9638),
    [sym_pattern] = STATE(9638),
    [sym_unquote_decl] = STATE(9638),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(511),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [135] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9537),
    [sym_fields] = STATE(9537),
    [sym_function] = STATE(9537),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9537),
    [sym_data_signature] = STATE(9537),
    [sym_record] = STATE(9537),
    [sym_record_signature] = STATE(9537),
    [sym_infix] = STATE(9537),
    [sym_generalize] = STATE(9537),
    [sym_mutual] = STATE(9537),
    [sym_abstract] = STATE(9537),
    [sym_private] = STATE(9537),
    [sym_instance] = STATE(9537),
    [sym_macro] = STATE(9537),
    [sym_postulate] = STATE(9537),
    [sym_primitive] = STATE(9537),
    [sym_open] = STATE(9537),
    [sym_import] = STATE(9537),
    [sym_module_macro] = STATE(9537),
    [sym_module] = STATE(9537),
    [sym_syntax] = STATE(9537),
    [sym_pattern] = STATE(9537),
    [sym_unquote_decl] = STATE(9537),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(513),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [136] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9636),
    [sym_fields] = STATE(9636),
    [sym_function] = STATE(9636),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9636),
    [sym_data_signature] = STATE(9636),
    [sym_record] = STATE(9636),
    [sym_record_signature] = STATE(9636),
    [sym_infix] = STATE(9636),
    [sym_generalize] = STATE(9636),
    [sym_mutual] = STATE(9636),
    [sym_abstract] = STATE(9636),
    [sym_private] = STATE(9636),
    [sym_instance] = STATE(9636),
    [sym_macro] = STATE(9636),
    [sym_postulate] = STATE(9636),
    [sym_primitive] = STATE(9636),
    [sym_open] = STATE(9636),
    [sym_import] = STATE(9636),
    [sym_module_macro] = STATE(9636),
    [sym_module] = STATE(9636),
    [sym_syntax] = STATE(9636),
    [sym_pattern] = STATE(9636),
    [sym_unquote_decl] = STATE(9636),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(515),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [137] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9630),
    [sym_fields] = STATE(9630),
    [sym_function] = STATE(9630),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9630),
    [sym_data_signature] = STATE(9630),
    [sym_record] = STATE(9630),
    [sym_record_signature] = STATE(9630),
    [sym_infix] = STATE(9630),
    [sym_generalize] = STATE(9630),
    [sym_mutual] = STATE(9630),
    [sym_abstract] = STATE(9630),
    [sym_private] = STATE(9630),
    [sym_instance] = STATE(9630),
    [sym_macro] = STATE(9630),
    [sym_postulate] = STATE(9630),
    [sym_primitive] = STATE(9630),
    [sym_open] = STATE(9630),
    [sym_import] = STATE(9630),
    [sym_module_macro] = STATE(9630),
    [sym_module] = STATE(9630),
    [sym_syntax] = STATE(9630),
    [sym_pattern] = STATE(9630),
    [sym_unquote_decl] = STATE(9630),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(160),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(517),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [138] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9630),
    [sym_fields] = STATE(9630),
    [sym_function] = STATE(9630),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9630),
    [sym_data_signature] = STATE(9630),
    [sym_record] = STATE(9630),
    [sym_record_signature] = STATE(9630),
    [sym_infix] = STATE(9630),
    [sym_generalize] = STATE(9630),
    [sym_mutual] = STATE(9630),
    [sym_abstract] = STATE(9630),
    [sym_private] = STATE(9630),
    [sym_instance] = STATE(9630),
    [sym_macro] = STATE(9630),
    [sym_postulate] = STATE(9630),
    [sym_primitive] = STATE(9630),
    [sym_open] = STATE(9630),
    [sym_import] = STATE(9630),
    [sym_module_macro] = STATE(9630),
    [sym_module] = STATE(9630),
    [sym_syntax] = STATE(9630),
    [sym_pattern] = STATE(9630),
    [sym_unquote_decl] = STATE(9630),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(517),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [139] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9520),
    [sym_fields] = STATE(9520),
    [sym_function] = STATE(9520),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9520),
    [sym_data_signature] = STATE(9520),
    [sym_record] = STATE(9520),
    [sym_record_signature] = STATE(9520),
    [sym_infix] = STATE(9520),
    [sym_generalize] = STATE(9520),
    [sym_mutual] = STATE(9520),
    [sym_abstract] = STATE(9520),
    [sym_private] = STATE(9520),
    [sym_instance] = STATE(9520),
    [sym_macro] = STATE(9520),
    [sym_postulate] = STATE(9520),
    [sym_primitive] = STATE(9520),
    [sym_open] = STATE(9520),
    [sym_import] = STATE(9520),
    [sym_module_macro] = STATE(9520),
    [sym_module] = STATE(9520),
    [sym_syntax] = STATE(9520),
    [sym_pattern] = STATE(9520),
    [sym_unquote_decl] = STATE(9520),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(519),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [140] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9536),
    [sym_fields] = STATE(9536),
    [sym_function] = STATE(9536),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9536),
    [sym_data_signature] = STATE(9536),
    [sym_record] = STATE(9536),
    [sym_record_signature] = STATE(9536),
    [sym_infix] = STATE(9536),
    [sym_generalize] = STATE(9536),
    [sym_mutual] = STATE(9536),
    [sym_abstract] = STATE(9536),
    [sym_private] = STATE(9536),
    [sym_instance] = STATE(9536),
    [sym_macro] = STATE(9536),
    [sym_postulate] = STATE(9536),
    [sym_primitive] = STATE(9536),
    [sym_open] = STATE(9536),
    [sym_import] = STATE(9536),
    [sym_module_macro] = STATE(9536),
    [sym_module] = STATE(9536),
    [sym_syntax] = STATE(9536),
    [sym_pattern] = STATE(9536),
    [sym_unquote_decl] = STATE(9536),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(169),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(521),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [141] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9536),
    [sym_fields] = STATE(9536),
    [sym_function] = STATE(9536),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9536),
    [sym_data_signature] = STATE(9536),
    [sym_record] = STATE(9536),
    [sym_record_signature] = STATE(9536),
    [sym_infix] = STATE(9536),
    [sym_generalize] = STATE(9536),
    [sym_mutual] = STATE(9536),
    [sym_abstract] = STATE(9536),
    [sym_private] = STATE(9536),
    [sym_instance] = STATE(9536),
    [sym_macro] = STATE(9536),
    [sym_postulate] = STATE(9536),
    [sym_primitive] = STATE(9536),
    [sym_open] = STATE(9536),
    [sym_import] = STATE(9536),
    [sym_module_macro] = STATE(9536),
    [sym_module] = STATE(9536),
    [sym_syntax] = STATE(9536),
    [sym_pattern] = STATE(9536),
    [sym_unquote_decl] = STATE(9536),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(521),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [142] = {
    [sym__FORALL] = STATE(8267),
    [sym__LAMBDA] = STATE(8100),
    [sym__ELLIPSIS] = STATE(4530),
    [sym__declaration] = STATE(10683),
    [sym_fields] = STATE(10683),
    [sym_function] = STATE(10683),
    [sym_lhs_decl] = STATE(9172),
    [sym_lhs_defn] = STATE(9176),
    [sym_data] = STATE(10683),
    [sym_data_signature] = STATE(10683),
    [sym_record] = STATE(10683),
    [sym_record_signature] = STATE(10683),
    [sym_infix] = STATE(10683),
    [sym_generalize] = STATE(10683),
    [sym_mutual] = STATE(10683),
    [sym_abstract] = STATE(10683),
    [sym_private] = STATE(10683),
    [sym_instance] = STATE(10683),
    [sym_macro] = STATE(10683),
    [sym_postulate] = STATE(10683),
    [sym_primitive] = STATE(10683),
    [sym_open] = STATE(10683),
    [sym_import] = STATE(10683),
    [sym_module_macro] = STATE(10683),
    [sym_module] = STATE(10683),
    [sym_syntax] = STATE(10683),
    [sym_pattern] = STATE(10683),
    [sym_unquote_decl] = STATE(10683),
    [sym__qid] = STATE(4530),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3128),
    [sym__with_exprs] = STATE(8972),
    [sym__expr_or_attr] = STATE(4530),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4617),
    [aux_sym__atoms] = STATE(3780),
    [sym__atom_curly] = STATE(4564),
    [sym__atom_no_curly] = STATE(4564),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4530),
    [sym_field_assignments] = STATE(4530),
    [sym_literal] = STATE(4530),
    [sym_SetN] = STATE(4530),
    [aux_sym_source_file_repeat1] = STATE(80),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3729),
    [sym_id] = ACTIONS(9),
    [anon_sym_forall] = ACTIONS(11),
    [anon_sym_u2200] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(13),
    [anon_sym_u03bb] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(17),
    [anon_sym_u2026] = ACTIONS(17),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(23),
    [anon_sym_data] = ACTIONS(25),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(29),
    [anon_sym_infix] = ACTIONS(31),
    [anon_sym_infixl] = ACTIONS(31),
    [anon_sym_infixr] = ACTIONS(31),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(47),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(53),
    [anon_sym_u2983] = ACTIONS(55),
    [anon_sym__] = ACTIONS(17),
    [sym_pragma] = ACTIONS(99),
    [anon_sym_syntax] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_pattern] = ACTIONS(63),
    [anon_sym_unquoteDecl] = ACTIONS(65),
    [anon_sym_unquoteDef] = ACTIONS(67),
    [aux_sym__qid_token1] = ACTIONS(69),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(75),
    [anon_sym_tactic] = ACTIONS(77),
    [anon_sym_Prop] = ACTIONS(17),
    [anon_sym_quote] = ACTIONS(17),
    [anon_sym_quoteTerm] = ACTIONS(17),
    [anon_sym_quoteContext] = ACTIONS(17),
    [anon_sym_unquote] = ACTIONS(17),
    [anon_sym_LPAREN_PIPE] = ACTIONS(79),
    [anon_sym_u2987] = ACTIONS(81),
    [anon_sym_let] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(87),
    [aux_sym_literal_token1] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(89),
    [sym_PropN] = ACTIONS(17),
  },
  [143] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9595),
    [sym_fields] = STATE(9595),
    [sym_function] = STATE(9595),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9595),
    [sym_data_signature] = STATE(9595),
    [sym_record] = STATE(9595),
    [sym_record_signature] = STATE(9595),
    [sym_infix] = STATE(9595),
    [sym_generalize] = STATE(9595),
    [sym_mutual] = STATE(9595),
    [sym_abstract] = STATE(9595),
    [sym_private] = STATE(9595),
    [sym_instance] = STATE(9595),
    [sym_macro] = STATE(9595),
    [sym_postulate] = STATE(9595),
    [sym_primitive] = STATE(9595),
    [sym_open] = STATE(9595),
    [sym_import] = STATE(9595),
    [sym_module_macro] = STATE(9595),
    [sym_module] = STATE(9595),
    [sym_syntax] = STATE(9595),
    [sym_pattern] = STATE(9595),
    [sym_unquote_decl] = STATE(9595),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(523),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [144] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9641),
    [sym_fields] = STATE(9641),
    [sym_function] = STATE(9641),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9641),
    [sym_data_signature] = STATE(9641),
    [sym_record] = STATE(9641),
    [sym_record_signature] = STATE(9641),
    [sym_infix] = STATE(9641),
    [sym_generalize] = STATE(9641),
    [sym_mutual] = STATE(9641),
    [sym_abstract] = STATE(9641),
    [sym_private] = STATE(9641),
    [sym_instance] = STATE(9641),
    [sym_macro] = STATE(9641),
    [sym_postulate] = STATE(9641),
    [sym_primitive] = STATE(9641),
    [sym_open] = STATE(9641),
    [sym_import] = STATE(9641),
    [sym_module_macro] = STATE(9641),
    [sym_module] = STATE(9641),
    [sym_syntax] = STATE(9641),
    [sym_pattern] = STATE(9641),
    [sym_unquote_decl] = STATE(9641),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(166),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(525),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [145] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9529),
    [sym_fields] = STATE(9529),
    [sym_function] = STATE(9529),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9529),
    [sym_data_signature] = STATE(9529),
    [sym_record] = STATE(9529),
    [sym_record_signature] = STATE(9529),
    [sym_infix] = STATE(9529),
    [sym_generalize] = STATE(9529),
    [sym_mutual] = STATE(9529),
    [sym_abstract] = STATE(9529),
    [sym_private] = STATE(9529),
    [sym_instance] = STATE(9529),
    [sym_macro] = STATE(9529),
    [sym_postulate] = STATE(9529),
    [sym_primitive] = STATE(9529),
    [sym_open] = STATE(9529),
    [sym_import] = STATE(9529),
    [sym_module_macro] = STATE(9529),
    [sym_module] = STATE(9529),
    [sym_syntax] = STATE(9529),
    [sym_pattern] = STATE(9529),
    [sym_unquote_decl] = STATE(9529),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(171),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(527),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [146] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9529),
    [sym_fields] = STATE(9529),
    [sym_function] = STATE(9529),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9529),
    [sym_data_signature] = STATE(9529),
    [sym_record] = STATE(9529),
    [sym_record_signature] = STATE(9529),
    [sym_infix] = STATE(9529),
    [sym_generalize] = STATE(9529),
    [sym_mutual] = STATE(9529),
    [sym_abstract] = STATE(9529),
    [sym_private] = STATE(9529),
    [sym_instance] = STATE(9529),
    [sym_macro] = STATE(9529),
    [sym_postulate] = STATE(9529),
    [sym_primitive] = STATE(9529),
    [sym_open] = STATE(9529),
    [sym_import] = STATE(9529),
    [sym_module_macro] = STATE(9529),
    [sym_module] = STATE(9529),
    [sym_syntax] = STATE(9529),
    [sym_pattern] = STATE(9529),
    [sym_unquote_decl] = STATE(9529),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(527),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [147] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9641),
    [sym_fields] = STATE(9641),
    [sym_function] = STATE(9641),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9641),
    [sym_data_signature] = STATE(9641),
    [sym_record] = STATE(9641),
    [sym_record_signature] = STATE(9641),
    [sym_infix] = STATE(9641),
    [sym_generalize] = STATE(9641),
    [sym_mutual] = STATE(9641),
    [sym_abstract] = STATE(9641),
    [sym_private] = STATE(9641),
    [sym_instance] = STATE(9641),
    [sym_macro] = STATE(9641),
    [sym_postulate] = STATE(9641),
    [sym_primitive] = STATE(9641),
    [sym_open] = STATE(9641),
    [sym_import] = STATE(9641),
    [sym_module_macro] = STATE(9641),
    [sym_module] = STATE(9641),
    [sym_syntax] = STATE(9641),
    [sym_pattern] = STATE(9641),
    [sym_unquote_decl] = STATE(9641),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(525),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [148] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9688),
    [sym_fields] = STATE(9688),
    [sym_function] = STATE(9688),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9688),
    [sym_data_signature] = STATE(9688),
    [sym_record] = STATE(9688),
    [sym_record_signature] = STATE(9688),
    [sym_infix] = STATE(9688),
    [sym_generalize] = STATE(9688),
    [sym_mutual] = STATE(9688),
    [sym_abstract] = STATE(9688),
    [sym_private] = STATE(9688),
    [sym_instance] = STATE(9688),
    [sym_macro] = STATE(9688),
    [sym_postulate] = STATE(9688),
    [sym_primitive] = STATE(9688),
    [sym_open] = STATE(9688),
    [sym_import] = STATE(9688),
    [sym_module_macro] = STATE(9688),
    [sym_module] = STATE(9688),
    [sym_syntax] = STATE(9688),
    [sym_pattern] = STATE(9688),
    [sym_unquote_decl] = STATE(9688),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(529),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [149] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9575),
    [sym_fields] = STATE(9575),
    [sym_function] = STATE(9575),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9575),
    [sym_data_signature] = STATE(9575),
    [sym_record] = STATE(9575),
    [sym_record_signature] = STATE(9575),
    [sym_infix] = STATE(9575),
    [sym_generalize] = STATE(9575),
    [sym_mutual] = STATE(9575),
    [sym_abstract] = STATE(9575),
    [sym_private] = STATE(9575),
    [sym_instance] = STATE(9575),
    [sym_macro] = STATE(9575),
    [sym_postulate] = STATE(9575),
    [sym_primitive] = STATE(9575),
    [sym_open] = STATE(9575),
    [sym_import] = STATE(9575),
    [sym_module_macro] = STATE(9575),
    [sym_module] = STATE(9575),
    [sym_syntax] = STATE(9575),
    [sym_pattern] = STATE(9575),
    [sym_unquote_decl] = STATE(9575),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(182),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(531),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [150] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9575),
    [sym_fields] = STATE(9575),
    [sym_function] = STATE(9575),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9575),
    [sym_data_signature] = STATE(9575),
    [sym_record] = STATE(9575),
    [sym_record_signature] = STATE(9575),
    [sym_infix] = STATE(9575),
    [sym_generalize] = STATE(9575),
    [sym_mutual] = STATE(9575),
    [sym_abstract] = STATE(9575),
    [sym_private] = STATE(9575),
    [sym_instance] = STATE(9575),
    [sym_macro] = STATE(9575),
    [sym_postulate] = STATE(9575),
    [sym_primitive] = STATE(9575),
    [sym_open] = STATE(9575),
    [sym_import] = STATE(9575),
    [sym_module_macro] = STATE(9575),
    [sym_module] = STATE(9575),
    [sym_syntax] = STATE(9575),
    [sym_pattern] = STATE(9575),
    [sym_unquote_decl] = STATE(9575),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(531),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [151] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9628),
    [sym_fields] = STATE(9628),
    [sym_function] = STATE(9628),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9628),
    [sym_data_signature] = STATE(9628),
    [sym_record] = STATE(9628),
    [sym_record_signature] = STATE(9628),
    [sym_infix] = STATE(9628),
    [sym_generalize] = STATE(9628),
    [sym_mutual] = STATE(9628),
    [sym_abstract] = STATE(9628),
    [sym_private] = STATE(9628),
    [sym_instance] = STATE(9628),
    [sym_macro] = STATE(9628),
    [sym_postulate] = STATE(9628),
    [sym_primitive] = STATE(9628),
    [sym_open] = STATE(9628),
    [sym_import] = STATE(9628),
    [sym_module_macro] = STATE(9628),
    [sym_module] = STATE(9628),
    [sym_syntax] = STATE(9628),
    [sym_pattern] = STATE(9628),
    [sym_unquote_decl] = STATE(9628),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(170),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(533),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [152] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9691),
    [sym_fields] = STATE(9691),
    [sym_function] = STATE(9691),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9691),
    [sym_data_signature] = STATE(9691),
    [sym_record] = STATE(9691),
    [sym_record_signature] = STATE(9691),
    [sym_infix] = STATE(9691),
    [sym_generalize] = STATE(9691),
    [sym_mutual] = STATE(9691),
    [sym_abstract] = STATE(9691),
    [sym_private] = STATE(9691),
    [sym_instance] = STATE(9691),
    [sym_macro] = STATE(9691),
    [sym_postulate] = STATE(9691),
    [sym_primitive] = STATE(9691),
    [sym_open] = STATE(9691),
    [sym_import] = STATE(9691),
    [sym_module_macro] = STATE(9691),
    [sym_module] = STATE(9691),
    [sym_syntax] = STATE(9691),
    [sym_pattern] = STATE(9691),
    [sym_unquote_decl] = STATE(9691),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(535),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [153] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9665),
    [sym_fields] = STATE(9665),
    [sym_function] = STATE(9665),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9665),
    [sym_data_signature] = STATE(9665),
    [sym_record] = STATE(9665),
    [sym_record_signature] = STATE(9665),
    [sym_infix] = STATE(9665),
    [sym_generalize] = STATE(9665),
    [sym_mutual] = STATE(9665),
    [sym_abstract] = STATE(9665),
    [sym_private] = STATE(9665),
    [sym_instance] = STATE(9665),
    [sym_macro] = STATE(9665),
    [sym_postulate] = STATE(9665),
    [sym_primitive] = STATE(9665),
    [sym_open] = STATE(9665),
    [sym_import] = STATE(9665),
    [sym_module_macro] = STATE(9665),
    [sym_module] = STATE(9665),
    [sym_syntax] = STATE(9665),
    [sym_pattern] = STATE(9665),
    [sym_unquote_decl] = STATE(9665),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(537),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [154] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9679),
    [sym_fields] = STATE(9679),
    [sym_function] = STATE(9679),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9679),
    [sym_data_signature] = STATE(9679),
    [sym_record] = STATE(9679),
    [sym_record_signature] = STATE(9679),
    [sym_infix] = STATE(9679),
    [sym_generalize] = STATE(9679),
    [sym_mutual] = STATE(9679),
    [sym_abstract] = STATE(9679),
    [sym_private] = STATE(9679),
    [sym_instance] = STATE(9679),
    [sym_macro] = STATE(9679),
    [sym_postulate] = STATE(9679),
    [sym_primitive] = STATE(9679),
    [sym_open] = STATE(9679),
    [sym_import] = STATE(9679),
    [sym_module_macro] = STATE(9679),
    [sym_module] = STATE(9679),
    [sym_syntax] = STATE(9679),
    [sym_pattern] = STATE(9679),
    [sym_unquote_decl] = STATE(9679),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(539),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [155] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9492),
    [sym_fields] = STATE(9492),
    [sym_function] = STATE(9492),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9492),
    [sym_data_signature] = STATE(9492),
    [sym_record] = STATE(9492),
    [sym_record_signature] = STATE(9492),
    [sym_infix] = STATE(9492),
    [sym_generalize] = STATE(9492),
    [sym_mutual] = STATE(9492),
    [sym_abstract] = STATE(9492),
    [sym_private] = STATE(9492),
    [sym_instance] = STATE(9492),
    [sym_macro] = STATE(9492),
    [sym_postulate] = STATE(9492),
    [sym_primitive] = STATE(9492),
    [sym_open] = STATE(9492),
    [sym_import] = STATE(9492),
    [sym_module_macro] = STATE(9492),
    [sym_module] = STATE(9492),
    [sym_syntax] = STATE(9492),
    [sym_pattern] = STATE(9492),
    [sym_unquote_decl] = STATE(9492),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(541),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [156] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9663),
    [sym_fields] = STATE(9663),
    [sym_function] = STATE(9663),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9663),
    [sym_data_signature] = STATE(9663),
    [sym_record] = STATE(9663),
    [sym_record_signature] = STATE(9663),
    [sym_infix] = STATE(9663),
    [sym_generalize] = STATE(9663),
    [sym_mutual] = STATE(9663),
    [sym_abstract] = STATE(9663),
    [sym_private] = STATE(9663),
    [sym_instance] = STATE(9663),
    [sym_macro] = STATE(9663),
    [sym_postulate] = STATE(9663),
    [sym_primitive] = STATE(9663),
    [sym_open] = STATE(9663),
    [sym_import] = STATE(9663),
    [sym_module_macro] = STATE(9663),
    [sym_module] = STATE(9663),
    [sym_syntax] = STATE(9663),
    [sym_pattern] = STATE(9663),
    [sym_unquote_decl] = STATE(9663),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(543),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [157] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9628),
    [sym_fields] = STATE(9628),
    [sym_function] = STATE(9628),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9628),
    [sym_data_signature] = STATE(9628),
    [sym_record] = STATE(9628),
    [sym_record_signature] = STATE(9628),
    [sym_infix] = STATE(9628),
    [sym_generalize] = STATE(9628),
    [sym_mutual] = STATE(9628),
    [sym_abstract] = STATE(9628),
    [sym_private] = STATE(9628),
    [sym_instance] = STATE(9628),
    [sym_macro] = STATE(9628),
    [sym_postulate] = STATE(9628),
    [sym_primitive] = STATE(9628),
    [sym_open] = STATE(9628),
    [sym_import] = STATE(9628),
    [sym_module_macro] = STATE(9628),
    [sym_module] = STATE(9628),
    [sym_syntax] = STATE(9628),
    [sym_pattern] = STATE(9628),
    [sym_unquote_decl] = STATE(9628),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(533),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [158] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9577),
    [sym_fields] = STATE(9577),
    [sym_function] = STATE(9577),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9577),
    [sym_data_signature] = STATE(9577),
    [sym_record] = STATE(9577),
    [sym_record_signature] = STATE(9577),
    [sym_infix] = STATE(9577),
    [sym_generalize] = STATE(9577),
    [sym_mutual] = STATE(9577),
    [sym_abstract] = STATE(9577),
    [sym_private] = STATE(9577),
    [sym_instance] = STATE(9577),
    [sym_macro] = STATE(9577),
    [sym_postulate] = STATE(9577),
    [sym_primitive] = STATE(9577),
    [sym_open] = STATE(9577),
    [sym_import] = STATE(9577),
    [sym_module_macro] = STATE(9577),
    [sym_module] = STATE(9577),
    [sym_syntax] = STATE(9577),
    [sym_pattern] = STATE(9577),
    [sym_unquote_decl] = STATE(9577),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(545),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [159] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9612),
    [sym_fields] = STATE(9612),
    [sym_function] = STATE(9612),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9612),
    [sym_data_signature] = STATE(9612),
    [sym_record] = STATE(9612),
    [sym_record_signature] = STATE(9612),
    [sym_infix] = STATE(9612),
    [sym_generalize] = STATE(9612),
    [sym_mutual] = STATE(9612),
    [sym_abstract] = STATE(9612),
    [sym_private] = STATE(9612),
    [sym_instance] = STATE(9612),
    [sym_macro] = STATE(9612),
    [sym_postulate] = STATE(9612),
    [sym_primitive] = STATE(9612),
    [sym_open] = STATE(9612),
    [sym_import] = STATE(9612),
    [sym_module_macro] = STATE(9612),
    [sym_module] = STATE(9612),
    [sym_syntax] = STATE(9612),
    [sym_pattern] = STATE(9612),
    [sym_unquote_decl] = STATE(9612),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(177),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(547),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [160] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9565),
    [sym_fields] = STATE(9565),
    [sym_function] = STATE(9565),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9565),
    [sym_data_signature] = STATE(9565),
    [sym_record] = STATE(9565),
    [sym_record_signature] = STATE(9565),
    [sym_infix] = STATE(9565),
    [sym_generalize] = STATE(9565),
    [sym_mutual] = STATE(9565),
    [sym_abstract] = STATE(9565),
    [sym_private] = STATE(9565),
    [sym_instance] = STATE(9565),
    [sym_macro] = STATE(9565),
    [sym_postulate] = STATE(9565),
    [sym_primitive] = STATE(9565),
    [sym_open] = STATE(9565),
    [sym_import] = STATE(9565),
    [sym_module_macro] = STATE(9565),
    [sym_module] = STATE(9565),
    [sym_syntax] = STATE(9565),
    [sym_pattern] = STATE(9565),
    [sym_unquote_decl] = STATE(9565),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(549),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [161] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9612),
    [sym_fields] = STATE(9612),
    [sym_function] = STATE(9612),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9612),
    [sym_data_signature] = STATE(9612),
    [sym_record] = STATE(9612),
    [sym_record_signature] = STATE(9612),
    [sym_infix] = STATE(9612),
    [sym_generalize] = STATE(9612),
    [sym_mutual] = STATE(9612),
    [sym_abstract] = STATE(9612),
    [sym_private] = STATE(9612),
    [sym_instance] = STATE(9612),
    [sym_macro] = STATE(9612),
    [sym_postulate] = STATE(9612),
    [sym_primitive] = STATE(9612),
    [sym_open] = STATE(9612),
    [sym_import] = STATE(9612),
    [sym_module_macro] = STATE(9612),
    [sym_module] = STATE(9612),
    [sym_syntax] = STATE(9612),
    [sym_pattern] = STATE(9612),
    [sym_unquote_decl] = STATE(9612),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(547),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [162] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9654),
    [sym_fields] = STATE(9654),
    [sym_function] = STATE(9654),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9654),
    [sym_data_signature] = STATE(9654),
    [sym_record] = STATE(9654),
    [sym_record_signature] = STATE(9654),
    [sym_infix] = STATE(9654),
    [sym_generalize] = STATE(9654),
    [sym_mutual] = STATE(9654),
    [sym_abstract] = STATE(9654),
    [sym_private] = STATE(9654),
    [sym_instance] = STATE(9654),
    [sym_macro] = STATE(9654),
    [sym_postulate] = STATE(9654),
    [sym_primitive] = STATE(9654),
    [sym_open] = STATE(9654),
    [sym_import] = STATE(9654),
    [sym_module_macro] = STATE(9654),
    [sym_module] = STATE(9654),
    [sym_syntax] = STATE(9654),
    [sym_pattern] = STATE(9654),
    [sym_unquote_decl] = STATE(9654),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(551),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [163] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9584),
    [sym_fields] = STATE(9584),
    [sym_function] = STATE(9584),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9584),
    [sym_data_signature] = STATE(9584),
    [sym_record] = STATE(9584),
    [sym_record_signature] = STATE(9584),
    [sym_infix] = STATE(9584),
    [sym_generalize] = STATE(9584),
    [sym_mutual] = STATE(9584),
    [sym_abstract] = STATE(9584),
    [sym_private] = STATE(9584),
    [sym_instance] = STATE(9584),
    [sym_macro] = STATE(9584),
    [sym_postulate] = STATE(9584),
    [sym_primitive] = STATE(9584),
    [sym_open] = STATE(9584),
    [sym_import] = STATE(9584),
    [sym_module_macro] = STATE(9584),
    [sym_module] = STATE(9584),
    [sym_syntax] = STATE(9584),
    [sym_pattern] = STATE(9584),
    [sym_unquote_decl] = STATE(9584),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(553),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [164] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9561),
    [sym_fields] = STATE(9561),
    [sym_function] = STATE(9561),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9561),
    [sym_data_signature] = STATE(9561),
    [sym_record] = STATE(9561),
    [sym_record_signature] = STATE(9561),
    [sym_infix] = STATE(9561),
    [sym_generalize] = STATE(9561),
    [sym_mutual] = STATE(9561),
    [sym_abstract] = STATE(9561),
    [sym_private] = STATE(9561),
    [sym_instance] = STATE(9561),
    [sym_macro] = STATE(9561),
    [sym_postulate] = STATE(9561),
    [sym_primitive] = STATE(9561),
    [sym_open] = STATE(9561),
    [sym_import] = STATE(9561),
    [sym_module_macro] = STATE(9561),
    [sym_module] = STATE(9561),
    [sym_syntax] = STATE(9561),
    [sym_pattern] = STATE(9561),
    [sym_unquote_decl] = STATE(9561),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(555),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [165] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9627),
    [sym_fields] = STATE(9627),
    [sym_function] = STATE(9627),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9627),
    [sym_data_signature] = STATE(9627),
    [sym_record] = STATE(9627),
    [sym_record_signature] = STATE(9627),
    [sym_infix] = STATE(9627),
    [sym_generalize] = STATE(9627),
    [sym_mutual] = STATE(9627),
    [sym_abstract] = STATE(9627),
    [sym_private] = STATE(9627),
    [sym_instance] = STATE(9627),
    [sym_macro] = STATE(9627),
    [sym_postulate] = STATE(9627),
    [sym_primitive] = STATE(9627),
    [sym_open] = STATE(9627),
    [sym_import] = STATE(9627),
    [sym_module_macro] = STATE(9627),
    [sym_module] = STATE(9627),
    [sym_syntax] = STATE(9627),
    [sym_pattern] = STATE(9627),
    [sym_unquote_decl] = STATE(9627),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(557),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [166] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9648),
    [sym_fields] = STATE(9648),
    [sym_function] = STATE(9648),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9648),
    [sym_data_signature] = STATE(9648),
    [sym_record] = STATE(9648),
    [sym_record_signature] = STATE(9648),
    [sym_infix] = STATE(9648),
    [sym_generalize] = STATE(9648),
    [sym_mutual] = STATE(9648),
    [sym_abstract] = STATE(9648),
    [sym_private] = STATE(9648),
    [sym_instance] = STATE(9648),
    [sym_macro] = STATE(9648),
    [sym_postulate] = STATE(9648),
    [sym_primitive] = STATE(9648),
    [sym_open] = STATE(9648),
    [sym_import] = STATE(9648),
    [sym_module_macro] = STATE(9648),
    [sym_module] = STATE(9648),
    [sym_syntax] = STATE(9648),
    [sym_pattern] = STATE(9648),
    [sym_unquote_decl] = STATE(9648),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(559),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [167] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9589),
    [sym_fields] = STATE(9589),
    [sym_function] = STATE(9589),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9589),
    [sym_data_signature] = STATE(9589),
    [sym_record] = STATE(9589),
    [sym_record_signature] = STATE(9589),
    [sym_infix] = STATE(9589),
    [sym_generalize] = STATE(9589),
    [sym_mutual] = STATE(9589),
    [sym_abstract] = STATE(9589),
    [sym_private] = STATE(9589),
    [sym_instance] = STATE(9589),
    [sym_macro] = STATE(9589),
    [sym_postulate] = STATE(9589),
    [sym_primitive] = STATE(9589),
    [sym_open] = STATE(9589),
    [sym_import] = STATE(9589),
    [sym_module_macro] = STATE(9589),
    [sym_module] = STATE(9589),
    [sym_syntax] = STATE(9589),
    [sym_pattern] = STATE(9589),
    [sym_unquote_decl] = STATE(9589),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(561),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [168] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9655),
    [sym_fields] = STATE(9655),
    [sym_function] = STATE(9655),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9655),
    [sym_data_signature] = STATE(9655),
    [sym_record] = STATE(9655),
    [sym_record_signature] = STATE(9655),
    [sym_infix] = STATE(9655),
    [sym_generalize] = STATE(9655),
    [sym_mutual] = STATE(9655),
    [sym_abstract] = STATE(9655),
    [sym_private] = STATE(9655),
    [sym_instance] = STATE(9655),
    [sym_macro] = STATE(9655),
    [sym_postulate] = STATE(9655),
    [sym_primitive] = STATE(9655),
    [sym_open] = STATE(9655),
    [sym_import] = STATE(9655),
    [sym_module_macro] = STATE(9655),
    [sym_module] = STATE(9655),
    [sym_syntax] = STATE(9655),
    [sym_pattern] = STATE(9655),
    [sym_unquote_decl] = STATE(9655),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(563),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [169] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9640),
    [sym_fields] = STATE(9640),
    [sym_function] = STATE(9640),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9640),
    [sym_data_signature] = STATE(9640),
    [sym_record] = STATE(9640),
    [sym_record_signature] = STATE(9640),
    [sym_infix] = STATE(9640),
    [sym_generalize] = STATE(9640),
    [sym_mutual] = STATE(9640),
    [sym_abstract] = STATE(9640),
    [sym_private] = STATE(9640),
    [sym_instance] = STATE(9640),
    [sym_macro] = STATE(9640),
    [sym_postulate] = STATE(9640),
    [sym_primitive] = STATE(9640),
    [sym_open] = STATE(9640),
    [sym_import] = STATE(9640),
    [sym_module_macro] = STATE(9640),
    [sym_module] = STATE(9640),
    [sym_syntax] = STATE(9640),
    [sym_pattern] = STATE(9640),
    [sym_unquote_decl] = STATE(9640),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(565),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [170] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9567),
    [sym_fields] = STATE(9567),
    [sym_function] = STATE(9567),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9567),
    [sym_data_signature] = STATE(9567),
    [sym_record] = STATE(9567),
    [sym_record_signature] = STATE(9567),
    [sym_infix] = STATE(9567),
    [sym_generalize] = STATE(9567),
    [sym_mutual] = STATE(9567),
    [sym_abstract] = STATE(9567),
    [sym_private] = STATE(9567),
    [sym_instance] = STATE(9567),
    [sym_macro] = STATE(9567),
    [sym_postulate] = STATE(9567),
    [sym_primitive] = STATE(9567),
    [sym_open] = STATE(9567),
    [sym_import] = STATE(9567),
    [sym_module_macro] = STATE(9567),
    [sym_module] = STATE(9567),
    [sym_syntax] = STATE(9567),
    [sym_pattern] = STATE(9567),
    [sym_unquote_decl] = STATE(9567),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(567),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [171] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9494),
    [sym_fields] = STATE(9494),
    [sym_function] = STATE(9494),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9494),
    [sym_data_signature] = STATE(9494),
    [sym_record] = STATE(9494),
    [sym_record_signature] = STATE(9494),
    [sym_infix] = STATE(9494),
    [sym_generalize] = STATE(9494),
    [sym_mutual] = STATE(9494),
    [sym_abstract] = STATE(9494),
    [sym_private] = STATE(9494),
    [sym_instance] = STATE(9494),
    [sym_macro] = STATE(9494),
    [sym_postulate] = STATE(9494),
    [sym_primitive] = STATE(9494),
    [sym_open] = STATE(9494),
    [sym_import] = STATE(9494),
    [sym_module_macro] = STATE(9494),
    [sym_module] = STATE(9494),
    [sym_syntax] = STATE(9494),
    [sym_pattern] = STATE(9494),
    [sym_unquote_decl] = STATE(9494),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(569),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [172] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9666),
    [sym_fields] = STATE(9666),
    [sym_function] = STATE(9666),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9666),
    [sym_data_signature] = STATE(9666),
    [sym_record] = STATE(9666),
    [sym_record_signature] = STATE(9666),
    [sym_infix] = STATE(9666),
    [sym_generalize] = STATE(9666),
    [sym_mutual] = STATE(9666),
    [sym_abstract] = STATE(9666),
    [sym_private] = STATE(9666),
    [sym_instance] = STATE(9666),
    [sym_macro] = STATE(9666),
    [sym_postulate] = STATE(9666),
    [sym_primitive] = STATE(9666),
    [sym_open] = STATE(9666),
    [sym_import] = STATE(9666),
    [sym_module_macro] = STATE(9666),
    [sym_module] = STATE(9666),
    [sym_syntax] = STATE(9666),
    [sym_pattern] = STATE(9666),
    [sym_unquote_decl] = STATE(9666),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(189),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(571),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [173] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9684),
    [sym_fields] = STATE(9684),
    [sym_function] = STATE(9684),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9684),
    [sym_data_signature] = STATE(9684),
    [sym_record] = STATE(9684),
    [sym_record_signature] = STATE(9684),
    [sym_infix] = STATE(9684),
    [sym_generalize] = STATE(9684),
    [sym_mutual] = STATE(9684),
    [sym_abstract] = STATE(9684),
    [sym_private] = STATE(9684),
    [sym_instance] = STATE(9684),
    [sym_macro] = STATE(9684),
    [sym_postulate] = STATE(9684),
    [sym_primitive] = STATE(9684),
    [sym_open] = STATE(9684),
    [sym_import] = STATE(9684),
    [sym_module_macro] = STATE(9684),
    [sym_module] = STATE(9684),
    [sym_syntax] = STATE(9684),
    [sym_pattern] = STATE(9684),
    [sym_unquote_decl] = STATE(9684),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(573),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [174] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9666),
    [sym_fields] = STATE(9666),
    [sym_function] = STATE(9666),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9666),
    [sym_data_signature] = STATE(9666),
    [sym_record] = STATE(9666),
    [sym_record_signature] = STATE(9666),
    [sym_infix] = STATE(9666),
    [sym_generalize] = STATE(9666),
    [sym_mutual] = STATE(9666),
    [sym_abstract] = STATE(9666),
    [sym_private] = STATE(9666),
    [sym_instance] = STATE(9666),
    [sym_macro] = STATE(9666),
    [sym_postulate] = STATE(9666),
    [sym_primitive] = STATE(9666),
    [sym_open] = STATE(9666),
    [sym_import] = STATE(9666),
    [sym_module_macro] = STATE(9666),
    [sym_module] = STATE(9666),
    [sym_syntax] = STATE(9666),
    [sym_pattern] = STATE(9666),
    [sym_unquote_decl] = STATE(9666),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(571),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [175] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9598),
    [sym_fields] = STATE(9598),
    [sym_function] = STATE(9598),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9598),
    [sym_data_signature] = STATE(9598),
    [sym_record] = STATE(9598),
    [sym_record_signature] = STATE(9598),
    [sym_infix] = STATE(9598),
    [sym_generalize] = STATE(9598),
    [sym_mutual] = STATE(9598),
    [sym_abstract] = STATE(9598),
    [sym_private] = STATE(9598),
    [sym_instance] = STATE(9598),
    [sym_macro] = STATE(9598),
    [sym_postulate] = STATE(9598),
    [sym_primitive] = STATE(9598),
    [sym_open] = STATE(9598),
    [sym_import] = STATE(9598),
    [sym_module_macro] = STATE(9598),
    [sym_module] = STATE(9598),
    [sym_syntax] = STATE(9598),
    [sym_pattern] = STATE(9598),
    [sym_unquote_decl] = STATE(9598),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(575),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [176] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9623),
    [sym_fields] = STATE(9623),
    [sym_function] = STATE(9623),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9623),
    [sym_data_signature] = STATE(9623),
    [sym_record] = STATE(9623),
    [sym_record_signature] = STATE(9623),
    [sym_infix] = STATE(9623),
    [sym_generalize] = STATE(9623),
    [sym_mutual] = STATE(9623),
    [sym_abstract] = STATE(9623),
    [sym_private] = STATE(9623),
    [sym_instance] = STATE(9623),
    [sym_macro] = STATE(9623),
    [sym_postulate] = STATE(9623),
    [sym_primitive] = STATE(9623),
    [sym_open] = STATE(9623),
    [sym_import] = STATE(9623),
    [sym_module_macro] = STATE(9623),
    [sym_module] = STATE(9623),
    [sym_syntax] = STATE(9623),
    [sym_pattern] = STATE(9623),
    [sym_unquote_decl] = STATE(9623),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(577),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [177] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9634),
    [sym_fields] = STATE(9634),
    [sym_function] = STATE(9634),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9634),
    [sym_data_signature] = STATE(9634),
    [sym_record] = STATE(9634),
    [sym_record_signature] = STATE(9634),
    [sym_infix] = STATE(9634),
    [sym_generalize] = STATE(9634),
    [sym_mutual] = STATE(9634),
    [sym_abstract] = STATE(9634),
    [sym_private] = STATE(9634),
    [sym_instance] = STATE(9634),
    [sym_macro] = STATE(9634),
    [sym_postulate] = STATE(9634),
    [sym_primitive] = STATE(9634),
    [sym_open] = STATE(9634),
    [sym_import] = STATE(9634),
    [sym_module_macro] = STATE(9634),
    [sym_module] = STATE(9634),
    [sym_syntax] = STATE(9634),
    [sym_pattern] = STATE(9634),
    [sym_unquote_decl] = STATE(9634),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(579),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [178] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9568),
    [sym_fields] = STATE(9568),
    [sym_function] = STATE(9568),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9568),
    [sym_data_signature] = STATE(9568),
    [sym_record] = STATE(9568),
    [sym_record_signature] = STATE(9568),
    [sym_infix] = STATE(9568),
    [sym_generalize] = STATE(9568),
    [sym_mutual] = STATE(9568),
    [sym_abstract] = STATE(9568),
    [sym_private] = STATE(9568),
    [sym_instance] = STATE(9568),
    [sym_macro] = STATE(9568),
    [sym_postulate] = STATE(9568),
    [sym_primitive] = STATE(9568),
    [sym_open] = STATE(9568),
    [sym_import] = STATE(9568),
    [sym_module_macro] = STATE(9568),
    [sym_module] = STATE(9568),
    [sym_syntax] = STATE(9568),
    [sym_pattern] = STATE(9568),
    [sym_unquote_decl] = STATE(9568),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(581),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [179] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9566),
    [sym_fields] = STATE(9566),
    [sym_function] = STATE(9566),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9566),
    [sym_data_signature] = STATE(9566),
    [sym_record] = STATE(9566),
    [sym_record_signature] = STATE(9566),
    [sym_infix] = STATE(9566),
    [sym_generalize] = STATE(9566),
    [sym_mutual] = STATE(9566),
    [sym_abstract] = STATE(9566),
    [sym_private] = STATE(9566),
    [sym_instance] = STATE(9566),
    [sym_macro] = STATE(9566),
    [sym_postulate] = STATE(9566),
    [sym_primitive] = STATE(9566),
    [sym_open] = STATE(9566),
    [sym_import] = STATE(9566),
    [sym_module_macro] = STATE(9566),
    [sym_module] = STATE(9566),
    [sym_syntax] = STATE(9566),
    [sym_pattern] = STATE(9566),
    [sym_unquote_decl] = STATE(9566),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(164),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(499),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [180] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9646),
    [sym_fields] = STATE(9646),
    [sym_function] = STATE(9646),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9646),
    [sym_data_signature] = STATE(9646),
    [sym_record] = STATE(9646),
    [sym_record_signature] = STATE(9646),
    [sym_infix] = STATE(9646),
    [sym_generalize] = STATE(9646),
    [sym_mutual] = STATE(9646),
    [sym_abstract] = STATE(9646),
    [sym_private] = STATE(9646),
    [sym_instance] = STATE(9646),
    [sym_macro] = STATE(9646),
    [sym_postulate] = STATE(9646),
    [sym_primitive] = STATE(9646),
    [sym_open] = STATE(9646),
    [sym_import] = STATE(9646),
    [sym_module_macro] = STATE(9646),
    [sym_module] = STATE(9646),
    [sym_syntax] = STATE(9646),
    [sym_pattern] = STATE(9646),
    [sym_unquote_decl] = STATE(9646),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(583),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [181] = {
    [sym__FORALL] = STATE(8267),
    [sym__LAMBDA] = STATE(8100),
    [sym__ELLIPSIS] = STATE(4530),
    [sym__declaration] = STATE(10840),
    [sym_fields] = STATE(10840),
    [sym_function] = STATE(10840),
    [sym_lhs_decl] = STATE(9172),
    [sym_lhs_defn] = STATE(9176),
    [sym_data] = STATE(10840),
    [sym_data_signature] = STATE(10840),
    [sym_record] = STATE(10840),
    [sym_record_signature] = STATE(10840),
    [sym_infix] = STATE(10840),
    [sym_generalize] = STATE(10840),
    [sym_mutual] = STATE(10840),
    [sym_abstract] = STATE(10840),
    [sym_private] = STATE(10840),
    [sym_instance] = STATE(10840),
    [sym_macro] = STATE(10840),
    [sym_postulate] = STATE(10840),
    [sym_primitive] = STATE(10840),
    [sym_open] = STATE(10840),
    [sym_import] = STATE(10840),
    [sym_module_macro] = STATE(10840),
    [sym_module] = STATE(10840),
    [sym_syntax] = STATE(10840),
    [sym_pattern] = STATE(10840),
    [sym_unquote_decl] = STATE(10840),
    [sym__qid] = STATE(4530),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3128),
    [sym__with_exprs] = STATE(8972),
    [sym__expr_or_attr] = STATE(4530),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4617),
    [aux_sym__atoms] = STATE(3780),
    [sym__atom_curly] = STATE(4564),
    [sym__atom_no_curly] = STATE(4564),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4530),
    [sym_field_assignments] = STATE(4530),
    [sym_literal] = STATE(4530),
    [sym_SetN] = STATE(4530),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3729),
    [sym_id] = ACTIONS(221),
    [anon_sym_forall] = ACTIONS(224),
    [anon_sym_u2200] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(227),
    [anon_sym_u03bb] = ACTIONS(230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(233),
    [anon_sym_u2026] = ACTIONS(233),
    [anon_sym_field] = ACTIONS(236),
    [anon_sym_instance] = ACTIONS(239),
    [anon_sym_module] = ACTIONS(242),
    [anon_sym_data] = ACTIONS(245),
    [anon_sym_codata] = ACTIONS(248),
    [anon_sym_record] = ACTIONS(251),
    [anon_sym_infix] = ACTIONS(254),
    [anon_sym_infixl] = ACTIONS(254),
    [anon_sym_infixr] = ACTIONS(254),
    [anon_sym_variable] = ACTIONS(257),
    [anon_sym_mutual] = ACTIONS(260),
    [anon_sym_abstract] = ACTIONS(263),
    [anon_sym_private] = ACTIONS(266),
    [anon_sym_macro] = ACTIONS(269),
    [anon_sym_postulate] = ACTIONS(272),
    [anon_sym_primitive] = ACTIONS(275),
    [anon_sym_open] = ACTIONS(278),
    [anon_sym_import] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(284),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(287),
    [anon_sym_u2983] = ACTIONS(290),
    [anon_sym__] = ACTIONS(233),
    [sym_pragma] = ACTIONS(585),
    [anon_sym_syntax] = ACTIONS(296),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_pattern] = ACTIONS(302),
    [anon_sym_unquoteDecl] = ACTIONS(305),
    [anon_sym_unquoteDef] = ACTIONS(308),
    [aux_sym__qid_token1] = ACTIONS(311),
    [anon_sym_DOT] = ACTIONS(314),
    [anon_sym_AT] = ACTIONS(317),
    [anon_sym_quoteGoal] = ACTIONS(320),
    [anon_sym_tactic] = ACTIONS(323),
    [anon_sym_Prop] = ACTIONS(233),
    [anon_sym_quote] = ACTIONS(233),
    [anon_sym_quoteTerm] = ACTIONS(233),
    [anon_sym_quoteContext] = ACTIONS(233),
    [anon_sym_unquote] = ACTIONS(233),
    [anon_sym_LPAREN_PIPE] = ACTIONS(326),
    [anon_sym_u2987] = ACTIONS(329),
    [anon_sym_let] = ACTIONS(332),
    [anon_sym_do] = ACTIONS(335),
    [aux_sym_integer_token1] = ACTIONS(338),
    [aux_sym_literal_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(341),
    [sym_PropN] = ACTIONS(233),
  },
  [182] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9605),
    [sym_fields] = STATE(9605),
    [sym_function] = STATE(9605),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9605),
    [sym_data_signature] = STATE(9605),
    [sym_record] = STATE(9605),
    [sym_record_signature] = STATE(9605),
    [sym_infix] = STATE(9605),
    [sym_generalize] = STATE(9605),
    [sym_mutual] = STATE(9605),
    [sym_abstract] = STATE(9605),
    [sym_private] = STATE(9605),
    [sym_instance] = STATE(9605),
    [sym_macro] = STATE(9605),
    [sym_postulate] = STATE(9605),
    [sym_primitive] = STATE(9605),
    [sym_open] = STATE(9605),
    [sym_import] = STATE(9605),
    [sym_module_macro] = STATE(9605),
    [sym_module] = STATE(9605),
    [sym_syntax] = STATE(9605),
    [sym_pattern] = STATE(9605),
    [sym_unquote_decl] = STATE(9605),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(588),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [183] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9629),
    [sym_fields] = STATE(9629),
    [sym_function] = STATE(9629),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9629),
    [sym_data_signature] = STATE(9629),
    [sym_record] = STATE(9629),
    [sym_record_signature] = STATE(9629),
    [sym_infix] = STATE(9629),
    [sym_generalize] = STATE(9629),
    [sym_mutual] = STATE(9629),
    [sym_abstract] = STATE(9629),
    [sym_private] = STATE(9629),
    [sym_instance] = STATE(9629),
    [sym_macro] = STATE(9629),
    [sym_postulate] = STATE(9629),
    [sym_primitive] = STATE(9629),
    [sym_open] = STATE(9629),
    [sym_import] = STATE(9629),
    [sym_module_macro] = STATE(9629),
    [sym_module] = STATE(9629),
    [sym_syntax] = STATE(9629),
    [sym_pattern] = STATE(9629),
    [sym_unquote_decl] = STATE(9629),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(200),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(590),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [184] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9678),
    [sym_fields] = STATE(9678),
    [sym_function] = STATE(9678),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9678),
    [sym_data_signature] = STATE(9678),
    [sym_record] = STATE(9678),
    [sym_record_signature] = STATE(9678),
    [sym_infix] = STATE(9678),
    [sym_generalize] = STATE(9678),
    [sym_mutual] = STATE(9678),
    [sym_abstract] = STATE(9678),
    [sym_private] = STATE(9678),
    [sym_instance] = STATE(9678),
    [sym_macro] = STATE(9678),
    [sym_postulate] = STATE(9678),
    [sym_primitive] = STATE(9678),
    [sym_open] = STATE(9678),
    [sym_import] = STATE(9678),
    [sym_module_macro] = STATE(9678),
    [sym_module] = STATE(9678),
    [sym_syntax] = STATE(9678),
    [sym_pattern] = STATE(9678),
    [sym_unquote_decl] = STATE(9678),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(592),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [185] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9498),
    [sym_fields] = STATE(9498),
    [sym_function] = STATE(9498),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9498),
    [sym_data_signature] = STATE(9498),
    [sym_record] = STATE(9498),
    [sym_record_signature] = STATE(9498),
    [sym_infix] = STATE(9498),
    [sym_generalize] = STATE(9498),
    [sym_mutual] = STATE(9498),
    [sym_abstract] = STATE(9498),
    [sym_private] = STATE(9498),
    [sym_instance] = STATE(9498),
    [sym_macro] = STATE(9498),
    [sym_postulate] = STATE(9498),
    [sym_primitive] = STATE(9498),
    [sym_open] = STATE(9498),
    [sym_import] = STATE(9498),
    [sym_module_macro] = STATE(9498),
    [sym_module] = STATE(9498),
    [sym_syntax] = STATE(9498),
    [sym_pattern] = STATE(9498),
    [sym_unquote_decl] = STATE(9498),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(594),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [186] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9590),
    [sym_fields] = STATE(9590),
    [sym_function] = STATE(9590),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9590),
    [sym_data_signature] = STATE(9590),
    [sym_record] = STATE(9590),
    [sym_record_signature] = STATE(9590),
    [sym_infix] = STATE(9590),
    [sym_generalize] = STATE(9590),
    [sym_mutual] = STATE(9590),
    [sym_abstract] = STATE(9590),
    [sym_private] = STATE(9590),
    [sym_instance] = STATE(9590),
    [sym_macro] = STATE(9590),
    [sym_postulate] = STATE(9590),
    [sym_primitive] = STATE(9590),
    [sym_open] = STATE(9590),
    [sym_import] = STATE(9590),
    [sym_module_macro] = STATE(9590),
    [sym_module] = STATE(9590),
    [sym_syntax] = STATE(9590),
    [sym_pattern] = STATE(9590),
    [sym_unquote_decl] = STATE(9590),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(596),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [187] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9557),
    [sym_fields] = STATE(9557),
    [sym_function] = STATE(9557),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9557),
    [sym_data_signature] = STATE(9557),
    [sym_record] = STATE(9557),
    [sym_record_signature] = STATE(9557),
    [sym_infix] = STATE(9557),
    [sym_generalize] = STATE(9557),
    [sym_mutual] = STATE(9557),
    [sym_abstract] = STATE(9557),
    [sym_private] = STATE(9557),
    [sym_instance] = STATE(9557),
    [sym_macro] = STATE(9557),
    [sym_postulate] = STATE(9557),
    [sym_primitive] = STATE(9557),
    [sym_open] = STATE(9557),
    [sym_import] = STATE(9557),
    [sym_module_macro] = STATE(9557),
    [sym_module] = STATE(9557),
    [sym_syntax] = STATE(9557),
    [sym_pattern] = STATE(9557),
    [sym_unquote_decl] = STATE(9557),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(598),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [188] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9497),
    [sym_fields] = STATE(9497),
    [sym_function] = STATE(9497),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9497),
    [sym_data_signature] = STATE(9497),
    [sym_record] = STATE(9497),
    [sym_record_signature] = STATE(9497),
    [sym_infix] = STATE(9497),
    [sym_generalize] = STATE(9497),
    [sym_mutual] = STATE(9497),
    [sym_abstract] = STATE(9497),
    [sym_private] = STATE(9497),
    [sym_instance] = STATE(9497),
    [sym_macro] = STATE(9497),
    [sym_postulate] = STATE(9497),
    [sym_primitive] = STATE(9497),
    [sym_open] = STATE(9497),
    [sym_import] = STATE(9497),
    [sym_module_macro] = STATE(9497),
    [sym_module] = STATE(9497),
    [sym_syntax] = STATE(9497),
    [sym_pattern] = STATE(9497),
    [sym_unquote_decl] = STATE(9497),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(600),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [189] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9564),
    [sym_fields] = STATE(9564),
    [sym_function] = STATE(9564),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9564),
    [sym_data_signature] = STATE(9564),
    [sym_record] = STATE(9564),
    [sym_record_signature] = STATE(9564),
    [sym_infix] = STATE(9564),
    [sym_generalize] = STATE(9564),
    [sym_mutual] = STATE(9564),
    [sym_abstract] = STATE(9564),
    [sym_private] = STATE(9564),
    [sym_instance] = STATE(9564),
    [sym_macro] = STATE(9564),
    [sym_postulate] = STATE(9564),
    [sym_primitive] = STATE(9564),
    [sym_open] = STATE(9564),
    [sym_import] = STATE(9564),
    [sym_module_macro] = STATE(9564),
    [sym_module] = STATE(9564),
    [sym_syntax] = STATE(9564),
    [sym_pattern] = STATE(9564),
    [sym_unquote_decl] = STATE(9564),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(602),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [190] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9583),
    [sym_fields] = STATE(9583),
    [sym_function] = STATE(9583),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9583),
    [sym_data_signature] = STATE(9583),
    [sym_record] = STATE(9583),
    [sym_record_signature] = STATE(9583),
    [sym_infix] = STATE(9583),
    [sym_generalize] = STATE(9583),
    [sym_mutual] = STATE(9583),
    [sym_abstract] = STATE(9583),
    [sym_private] = STATE(9583),
    [sym_instance] = STATE(9583),
    [sym_macro] = STATE(9583),
    [sym_postulate] = STATE(9583),
    [sym_primitive] = STATE(9583),
    [sym_open] = STATE(9583),
    [sym_import] = STATE(9583),
    [sym_module_macro] = STATE(9583),
    [sym_module] = STATE(9583),
    [sym_syntax] = STATE(9583),
    [sym_pattern] = STATE(9583),
    [sym_unquote_decl] = STATE(9583),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(604),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [191] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9621),
    [sym_fields] = STATE(9621),
    [sym_function] = STATE(9621),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9621),
    [sym_data_signature] = STATE(9621),
    [sym_record] = STATE(9621),
    [sym_record_signature] = STATE(9621),
    [sym_infix] = STATE(9621),
    [sym_generalize] = STATE(9621),
    [sym_mutual] = STATE(9621),
    [sym_abstract] = STATE(9621),
    [sym_private] = STATE(9621),
    [sym_instance] = STATE(9621),
    [sym_macro] = STATE(9621),
    [sym_postulate] = STATE(9621),
    [sym_primitive] = STATE(9621),
    [sym_open] = STATE(9621),
    [sym_import] = STATE(9621),
    [sym_module_macro] = STATE(9621),
    [sym_module] = STATE(9621),
    [sym_syntax] = STATE(9621),
    [sym_pattern] = STATE(9621),
    [sym_unquote_decl] = STATE(9621),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(219),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(606),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [192] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9629),
    [sym_fields] = STATE(9629),
    [sym_function] = STATE(9629),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9629),
    [sym_data_signature] = STATE(9629),
    [sym_record] = STATE(9629),
    [sym_record_signature] = STATE(9629),
    [sym_infix] = STATE(9629),
    [sym_generalize] = STATE(9629),
    [sym_mutual] = STATE(9629),
    [sym_abstract] = STATE(9629),
    [sym_private] = STATE(9629),
    [sym_instance] = STATE(9629),
    [sym_macro] = STATE(9629),
    [sym_postulate] = STATE(9629),
    [sym_primitive] = STATE(9629),
    [sym_open] = STATE(9629),
    [sym_import] = STATE(9629),
    [sym_module_macro] = STATE(9629),
    [sym_module] = STATE(9629),
    [sym_syntax] = STATE(9629),
    [sym_pattern] = STATE(9629),
    [sym_unquote_decl] = STATE(9629),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(590),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [193] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9591),
    [sym_fields] = STATE(9591),
    [sym_function] = STATE(9591),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9591),
    [sym_data_signature] = STATE(9591),
    [sym_record] = STATE(9591),
    [sym_record_signature] = STATE(9591),
    [sym_infix] = STATE(9591),
    [sym_generalize] = STATE(9591),
    [sym_mutual] = STATE(9591),
    [sym_abstract] = STATE(9591),
    [sym_private] = STATE(9591),
    [sym_instance] = STATE(9591),
    [sym_macro] = STATE(9591),
    [sym_postulate] = STATE(9591),
    [sym_primitive] = STATE(9591),
    [sym_open] = STATE(9591),
    [sym_import] = STATE(9591),
    [sym_module_macro] = STATE(9591),
    [sym_module] = STATE(9591),
    [sym_syntax] = STATE(9591),
    [sym_pattern] = STATE(9591),
    [sym_unquote_decl] = STATE(9591),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(608),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [194] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9661),
    [sym_fields] = STATE(9661),
    [sym_function] = STATE(9661),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9661),
    [sym_data_signature] = STATE(9661),
    [sym_record] = STATE(9661),
    [sym_record_signature] = STATE(9661),
    [sym_infix] = STATE(9661),
    [sym_generalize] = STATE(9661),
    [sym_mutual] = STATE(9661),
    [sym_abstract] = STATE(9661),
    [sym_private] = STATE(9661),
    [sym_instance] = STATE(9661),
    [sym_macro] = STATE(9661),
    [sym_postulate] = STATE(9661),
    [sym_primitive] = STATE(9661),
    [sym_open] = STATE(9661),
    [sym_import] = STATE(9661),
    [sym_module_macro] = STATE(9661),
    [sym_module] = STATE(9661),
    [sym_syntax] = STATE(9661),
    [sym_pattern] = STATE(9661),
    [sym_unquote_decl] = STATE(9661),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(238),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(610),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [195] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9621),
    [sym_fields] = STATE(9621),
    [sym_function] = STATE(9621),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9621),
    [sym_data_signature] = STATE(9621),
    [sym_record] = STATE(9621),
    [sym_record_signature] = STATE(9621),
    [sym_infix] = STATE(9621),
    [sym_generalize] = STATE(9621),
    [sym_mutual] = STATE(9621),
    [sym_abstract] = STATE(9621),
    [sym_private] = STATE(9621),
    [sym_instance] = STATE(9621),
    [sym_macro] = STATE(9621),
    [sym_postulate] = STATE(9621),
    [sym_primitive] = STATE(9621),
    [sym_open] = STATE(9621),
    [sym_import] = STATE(9621),
    [sym_module_macro] = STATE(9621),
    [sym_module] = STATE(9621),
    [sym_syntax] = STATE(9621),
    [sym_pattern] = STATE(9621),
    [sym_unquote_decl] = STATE(9621),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(606),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [196] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9574),
    [sym_fields] = STATE(9574),
    [sym_function] = STATE(9574),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9574),
    [sym_data_signature] = STATE(9574),
    [sym_record] = STATE(9574),
    [sym_record_signature] = STATE(9574),
    [sym_infix] = STATE(9574),
    [sym_generalize] = STATE(9574),
    [sym_mutual] = STATE(9574),
    [sym_abstract] = STATE(9574),
    [sym_private] = STATE(9574),
    [sym_instance] = STATE(9574),
    [sym_macro] = STATE(9574),
    [sym_postulate] = STATE(9574),
    [sym_primitive] = STATE(9574),
    [sym_open] = STATE(9574),
    [sym_import] = STATE(9574),
    [sym_module_macro] = STATE(9574),
    [sym_module] = STATE(9574),
    [sym_syntax] = STATE(9574),
    [sym_pattern] = STATE(9574),
    [sym_unquote_decl] = STATE(9574),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(193),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(612),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [197] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9574),
    [sym_fields] = STATE(9574),
    [sym_function] = STATE(9574),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9574),
    [sym_data_signature] = STATE(9574),
    [sym_record] = STATE(9574),
    [sym_record_signature] = STATE(9574),
    [sym_infix] = STATE(9574),
    [sym_generalize] = STATE(9574),
    [sym_mutual] = STATE(9574),
    [sym_abstract] = STATE(9574),
    [sym_private] = STATE(9574),
    [sym_instance] = STATE(9574),
    [sym_macro] = STATE(9574),
    [sym_postulate] = STATE(9574),
    [sym_primitive] = STATE(9574),
    [sym_open] = STATE(9574),
    [sym_import] = STATE(9574),
    [sym_module_macro] = STATE(9574),
    [sym_module] = STATE(9574),
    [sym_syntax] = STATE(9574),
    [sym_pattern] = STATE(9574),
    [sym_unquote_decl] = STATE(9574),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(612),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [198] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9515),
    [sym_fields] = STATE(9515),
    [sym_function] = STATE(9515),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9515),
    [sym_data_signature] = STATE(9515),
    [sym_record] = STATE(9515),
    [sym_record_signature] = STATE(9515),
    [sym_infix] = STATE(9515),
    [sym_generalize] = STATE(9515),
    [sym_mutual] = STATE(9515),
    [sym_abstract] = STATE(9515),
    [sym_private] = STATE(9515),
    [sym_instance] = STATE(9515),
    [sym_macro] = STATE(9515),
    [sym_postulate] = STATE(9515),
    [sym_primitive] = STATE(9515),
    [sym_open] = STATE(9515),
    [sym_import] = STATE(9515),
    [sym_module_macro] = STATE(9515),
    [sym_module] = STATE(9515),
    [sym_syntax] = STATE(9515),
    [sym_pattern] = STATE(9515),
    [sym_unquote_decl] = STATE(9515),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(136),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(614),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [199] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9515),
    [sym_fields] = STATE(9515),
    [sym_function] = STATE(9515),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9515),
    [sym_data_signature] = STATE(9515),
    [sym_record] = STATE(9515),
    [sym_record_signature] = STATE(9515),
    [sym_infix] = STATE(9515),
    [sym_generalize] = STATE(9515),
    [sym_mutual] = STATE(9515),
    [sym_abstract] = STATE(9515),
    [sym_private] = STATE(9515),
    [sym_instance] = STATE(9515),
    [sym_macro] = STATE(9515),
    [sym_postulate] = STATE(9515),
    [sym_primitive] = STATE(9515),
    [sym_open] = STATE(9515),
    [sym_import] = STATE(9515),
    [sym_module_macro] = STATE(9515),
    [sym_module] = STATE(9515),
    [sym_syntax] = STATE(9515),
    [sym_pattern] = STATE(9515),
    [sym_unquote_decl] = STATE(9515),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(614),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [200] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9542),
    [sym_fields] = STATE(9542),
    [sym_function] = STATE(9542),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9542),
    [sym_data_signature] = STATE(9542),
    [sym_record] = STATE(9542),
    [sym_record_signature] = STATE(9542),
    [sym_infix] = STATE(9542),
    [sym_generalize] = STATE(9542),
    [sym_mutual] = STATE(9542),
    [sym_abstract] = STATE(9542),
    [sym_private] = STATE(9542),
    [sym_instance] = STATE(9542),
    [sym_macro] = STATE(9542),
    [sym_postulate] = STATE(9542),
    [sym_primitive] = STATE(9542),
    [sym_open] = STATE(9542),
    [sym_import] = STATE(9542),
    [sym_module_macro] = STATE(9542),
    [sym_module] = STATE(9542),
    [sym_syntax] = STATE(9542),
    [sym_pattern] = STATE(9542),
    [sym_unquote_decl] = STATE(9542),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(616),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [201] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9528),
    [sym_fields] = STATE(9528),
    [sym_function] = STATE(9528),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9528),
    [sym_data_signature] = STATE(9528),
    [sym_record] = STATE(9528),
    [sym_record_signature] = STATE(9528),
    [sym_infix] = STATE(9528),
    [sym_generalize] = STATE(9528),
    [sym_mutual] = STATE(9528),
    [sym_abstract] = STATE(9528),
    [sym_private] = STATE(9528),
    [sym_instance] = STATE(9528),
    [sym_macro] = STATE(9528),
    [sym_postulate] = STATE(9528),
    [sym_primitive] = STATE(9528),
    [sym_open] = STATE(9528),
    [sym_import] = STATE(9528),
    [sym_module_macro] = STATE(9528),
    [sym_module] = STATE(9528),
    [sym_syntax] = STATE(9528),
    [sym_pattern] = STATE(9528),
    [sym_unquote_decl] = STATE(9528),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(203),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(618),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [202] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9528),
    [sym_fields] = STATE(9528),
    [sym_function] = STATE(9528),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9528),
    [sym_data_signature] = STATE(9528),
    [sym_record] = STATE(9528),
    [sym_record_signature] = STATE(9528),
    [sym_infix] = STATE(9528),
    [sym_generalize] = STATE(9528),
    [sym_mutual] = STATE(9528),
    [sym_abstract] = STATE(9528),
    [sym_private] = STATE(9528),
    [sym_instance] = STATE(9528),
    [sym_macro] = STATE(9528),
    [sym_postulate] = STATE(9528),
    [sym_primitive] = STATE(9528),
    [sym_open] = STATE(9528),
    [sym_import] = STATE(9528),
    [sym_module_macro] = STATE(9528),
    [sym_module] = STATE(9528),
    [sym_syntax] = STATE(9528),
    [sym_pattern] = STATE(9528),
    [sym_unquote_decl] = STATE(9528),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(618),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [203] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9522),
    [sym_fields] = STATE(9522),
    [sym_function] = STATE(9522),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9522),
    [sym_data_signature] = STATE(9522),
    [sym_record] = STATE(9522),
    [sym_record_signature] = STATE(9522),
    [sym_infix] = STATE(9522),
    [sym_generalize] = STATE(9522),
    [sym_mutual] = STATE(9522),
    [sym_abstract] = STATE(9522),
    [sym_private] = STATE(9522),
    [sym_instance] = STATE(9522),
    [sym_macro] = STATE(9522),
    [sym_postulate] = STATE(9522),
    [sym_primitive] = STATE(9522),
    [sym_open] = STATE(9522),
    [sym_import] = STATE(9522),
    [sym_module_macro] = STATE(9522),
    [sym_module] = STATE(9522),
    [sym_syntax] = STATE(9522),
    [sym_pattern] = STATE(9522),
    [sym_unquote_decl] = STATE(9522),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(620),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [204] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9559),
    [sym_fields] = STATE(9559),
    [sym_function] = STATE(9559),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9559),
    [sym_data_signature] = STATE(9559),
    [sym_record] = STATE(9559),
    [sym_record_signature] = STATE(9559),
    [sym_infix] = STATE(9559),
    [sym_generalize] = STATE(9559),
    [sym_mutual] = STATE(9559),
    [sym_abstract] = STATE(9559),
    [sym_private] = STATE(9559),
    [sym_instance] = STATE(9559),
    [sym_macro] = STATE(9559),
    [sym_postulate] = STATE(9559),
    [sym_primitive] = STATE(9559),
    [sym_open] = STATE(9559),
    [sym_import] = STATE(9559),
    [sym_module_macro] = STATE(9559),
    [sym_module] = STATE(9559),
    [sym_syntax] = STATE(9559),
    [sym_pattern] = STATE(9559),
    [sym_unquote_decl] = STATE(9559),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(255),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(622),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [205] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9559),
    [sym_fields] = STATE(9559),
    [sym_function] = STATE(9559),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9559),
    [sym_data_signature] = STATE(9559),
    [sym_record] = STATE(9559),
    [sym_record_signature] = STATE(9559),
    [sym_infix] = STATE(9559),
    [sym_generalize] = STATE(9559),
    [sym_mutual] = STATE(9559),
    [sym_abstract] = STATE(9559),
    [sym_private] = STATE(9559),
    [sym_instance] = STATE(9559),
    [sym_macro] = STATE(9559),
    [sym_postulate] = STATE(9559),
    [sym_primitive] = STATE(9559),
    [sym_open] = STATE(9559),
    [sym_import] = STATE(9559),
    [sym_module_macro] = STATE(9559),
    [sym_module] = STATE(9559),
    [sym_syntax] = STATE(9559),
    [sym_pattern] = STATE(9559),
    [sym_unquote_decl] = STATE(9559),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(622),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [206] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9643),
    [sym_fields] = STATE(9643),
    [sym_function] = STATE(9643),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9643),
    [sym_data_signature] = STATE(9643),
    [sym_record] = STATE(9643),
    [sym_record_signature] = STATE(9643),
    [sym_infix] = STATE(9643),
    [sym_generalize] = STATE(9643),
    [sym_mutual] = STATE(9643),
    [sym_abstract] = STATE(9643),
    [sym_private] = STATE(9643),
    [sym_instance] = STATE(9643),
    [sym_macro] = STATE(9643),
    [sym_postulate] = STATE(9643),
    [sym_primitive] = STATE(9643),
    [sym_open] = STATE(9643),
    [sym_import] = STATE(9643),
    [sym_module_macro] = STATE(9643),
    [sym_module] = STATE(9643),
    [sym_syntax] = STATE(9643),
    [sym_pattern] = STATE(9643),
    [sym_unquote_decl] = STATE(9643),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(120),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(624),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [207] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9643),
    [sym_fields] = STATE(9643),
    [sym_function] = STATE(9643),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9643),
    [sym_data_signature] = STATE(9643),
    [sym_record] = STATE(9643),
    [sym_record_signature] = STATE(9643),
    [sym_infix] = STATE(9643),
    [sym_generalize] = STATE(9643),
    [sym_mutual] = STATE(9643),
    [sym_abstract] = STATE(9643),
    [sym_private] = STATE(9643),
    [sym_instance] = STATE(9643),
    [sym_macro] = STATE(9643),
    [sym_postulate] = STATE(9643),
    [sym_primitive] = STATE(9643),
    [sym_open] = STATE(9643),
    [sym_import] = STATE(9643),
    [sym_module_macro] = STATE(9643),
    [sym_module] = STATE(9643),
    [sym_syntax] = STATE(9643),
    [sym_pattern] = STATE(9643),
    [sym_unquote_decl] = STATE(9643),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(624),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [208] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9531),
    [sym_fields] = STATE(9531),
    [sym_function] = STATE(9531),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9531),
    [sym_data_signature] = STATE(9531),
    [sym_record] = STATE(9531),
    [sym_record_signature] = STATE(9531),
    [sym_infix] = STATE(9531),
    [sym_generalize] = STATE(9531),
    [sym_mutual] = STATE(9531),
    [sym_abstract] = STATE(9531),
    [sym_private] = STATE(9531),
    [sym_instance] = STATE(9531),
    [sym_macro] = STATE(9531),
    [sym_postulate] = STATE(9531),
    [sym_primitive] = STATE(9531),
    [sym_open] = STATE(9531),
    [sym_import] = STATE(9531),
    [sym_module_macro] = STATE(9531),
    [sym_module] = STATE(9531),
    [sym_syntax] = STATE(9531),
    [sym_pattern] = STATE(9531),
    [sym_unquote_decl] = STATE(9531),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(123),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(626),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [209] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9674),
    [sym_fields] = STATE(9674),
    [sym_function] = STATE(9674),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9674),
    [sym_data_signature] = STATE(9674),
    [sym_record] = STATE(9674),
    [sym_record_signature] = STATE(9674),
    [sym_infix] = STATE(9674),
    [sym_generalize] = STATE(9674),
    [sym_mutual] = STATE(9674),
    [sym_abstract] = STATE(9674),
    [sym_private] = STATE(9674),
    [sym_instance] = STATE(9674),
    [sym_macro] = STATE(9674),
    [sym_postulate] = STATE(9674),
    [sym_primitive] = STATE(9674),
    [sym_open] = STATE(9674),
    [sym_import] = STATE(9674),
    [sym_module_macro] = STATE(9674),
    [sym_module] = STATE(9674),
    [sym_syntax] = STATE(9674),
    [sym_pattern] = STATE(9674),
    [sym_unquote_decl] = STATE(9674),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(128),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(628),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [210] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9674),
    [sym_fields] = STATE(9674),
    [sym_function] = STATE(9674),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9674),
    [sym_data_signature] = STATE(9674),
    [sym_record] = STATE(9674),
    [sym_record_signature] = STATE(9674),
    [sym_infix] = STATE(9674),
    [sym_generalize] = STATE(9674),
    [sym_mutual] = STATE(9674),
    [sym_abstract] = STATE(9674),
    [sym_private] = STATE(9674),
    [sym_instance] = STATE(9674),
    [sym_macro] = STATE(9674),
    [sym_postulate] = STATE(9674),
    [sym_primitive] = STATE(9674),
    [sym_open] = STATE(9674),
    [sym_import] = STATE(9674),
    [sym_module_macro] = STATE(9674),
    [sym_module] = STATE(9674),
    [sym_syntax] = STATE(9674),
    [sym_pattern] = STATE(9674),
    [sym_unquote_decl] = STATE(9674),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(628),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [211] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9661),
    [sym_fields] = STATE(9661),
    [sym_function] = STATE(9661),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9661),
    [sym_data_signature] = STATE(9661),
    [sym_record] = STATE(9661),
    [sym_record_signature] = STATE(9661),
    [sym_infix] = STATE(9661),
    [sym_generalize] = STATE(9661),
    [sym_mutual] = STATE(9661),
    [sym_abstract] = STATE(9661),
    [sym_private] = STATE(9661),
    [sym_instance] = STATE(9661),
    [sym_macro] = STATE(9661),
    [sym_postulate] = STATE(9661),
    [sym_primitive] = STATE(9661),
    [sym_open] = STATE(9661),
    [sym_import] = STATE(9661),
    [sym_module_macro] = STATE(9661),
    [sym_module] = STATE(9661),
    [sym_syntax] = STATE(9661),
    [sym_pattern] = STATE(9661),
    [sym_unquote_decl] = STATE(9661),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(610),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [212] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9554),
    [sym_fields] = STATE(9554),
    [sym_function] = STATE(9554),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9554),
    [sym_data_signature] = STATE(9554),
    [sym_record] = STATE(9554),
    [sym_record_signature] = STATE(9554),
    [sym_infix] = STATE(9554),
    [sym_generalize] = STATE(9554),
    [sym_mutual] = STATE(9554),
    [sym_abstract] = STATE(9554),
    [sym_private] = STATE(9554),
    [sym_instance] = STATE(9554),
    [sym_macro] = STATE(9554),
    [sym_postulate] = STATE(9554),
    [sym_primitive] = STATE(9554),
    [sym_open] = STATE(9554),
    [sym_import] = STATE(9554),
    [sym_module_macro] = STATE(9554),
    [sym_module] = STATE(9554),
    [sym_syntax] = STATE(9554),
    [sym_pattern] = STATE(9554),
    [sym_unquote_decl] = STATE(9554),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(132),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(630),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [213] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9554),
    [sym_fields] = STATE(9554),
    [sym_function] = STATE(9554),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9554),
    [sym_data_signature] = STATE(9554),
    [sym_record] = STATE(9554),
    [sym_record_signature] = STATE(9554),
    [sym_infix] = STATE(9554),
    [sym_generalize] = STATE(9554),
    [sym_mutual] = STATE(9554),
    [sym_abstract] = STATE(9554),
    [sym_private] = STATE(9554),
    [sym_instance] = STATE(9554),
    [sym_macro] = STATE(9554),
    [sym_postulate] = STATE(9554),
    [sym_primitive] = STATE(9554),
    [sym_open] = STATE(9554),
    [sym_import] = STATE(9554),
    [sym_module_macro] = STATE(9554),
    [sym_module] = STATE(9554),
    [sym_syntax] = STATE(9554),
    [sym_pattern] = STATE(9554),
    [sym_unquote_decl] = STATE(9554),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(630),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [214] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9597),
    [sym_fields] = STATE(9597),
    [sym_function] = STATE(9597),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9597),
    [sym_data_signature] = STATE(9597),
    [sym_record] = STATE(9597),
    [sym_record_signature] = STATE(9597),
    [sym_infix] = STATE(9597),
    [sym_generalize] = STATE(9597),
    [sym_mutual] = STATE(9597),
    [sym_abstract] = STATE(9597),
    [sym_private] = STATE(9597),
    [sym_instance] = STATE(9597),
    [sym_macro] = STATE(9597),
    [sym_postulate] = STATE(9597),
    [sym_primitive] = STATE(9597),
    [sym_open] = STATE(9597),
    [sym_import] = STATE(9597),
    [sym_module_macro] = STATE(9597),
    [sym_module] = STATE(9597),
    [sym_syntax] = STATE(9597),
    [sym_pattern] = STATE(9597),
    [sym_unquote_decl] = STATE(9597),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(135),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(632),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [215] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9597),
    [sym_fields] = STATE(9597),
    [sym_function] = STATE(9597),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9597),
    [sym_data_signature] = STATE(9597),
    [sym_record] = STATE(9597),
    [sym_record_signature] = STATE(9597),
    [sym_infix] = STATE(9597),
    [sym_generalize] = STATE(9597),
    [sym_mutual] = STATE(9597),
    [sym_abstract] = STATE(9597),
    [sym_private] = STATE(9597),
    [sym_instance] = STATE(9597),
    [sym_macro] = STATE(9597),
    [sym_postulate] = STATE(9597),
    [sym_primitive] = STATE(9597),
    [sym_open] = STATE(9597),
    [sym_import] = STATE(9597),
    [sym_module_macro] = STATE(9597),
    [sym_module] = STATE(9597),
    [sym_syntax] = STATE(9597),
    [sym_pattern] = STATE(9597),
    [sym_unquote_decl] = STATE(9597),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(632),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [216] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9607),
    [sym_fields] = STATE(9607),
    [sym_function] = STATE(9607),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9607),
    [sym_data_signature] = STATE(9607),
    [sym_record] = STATE(9607),
    [sym_record_signature] = STATE(9607),
    [sym_infix] = STATE(9607),
    [sym_generalize] = STATE(9607),
    [sym_mutual] = STATE(9607),
    [sym_abstract] = STATE(9607),
    [sym_private] = STATE(9607),
    [sym_instance] = STATE(9607),
    [sym_macro] = STATE(9607),
    [sym_postulate] = STATE(9607),
    [sym_primitive] = STATE(9607),
    [sym_open] = STATE(9607),
    [sym_import] = STATE(9607),
    [sym_module_macro] = STATE(9607),
    [sym_module] = STATE(9607),
    [sym_syntax] = STATE(9607),
    [sym_pattern] = STATE(9607),
    [sym_unquote_decl] = STATE(9607),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(65),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(634),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [217] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9510),
    [sym_fields] = STATE(9510),
    [sym_function] = STATE(9510),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9510),
    [sym_data_signature] = STATE(9510),
    [sym_record] = STATE(9510),
    [sym_record_signature] = STATE(9510),
    [sym_infix] = STATE(9510),
    [sym_generalize] = STATE(9510),
    [sym_mutual] = STATE(9510),
    [sym_abstract] = STATE(9510),
    [sym_private] = STATE(9510),
    [sym_instance] = STATE(9510),
    [sym_macro] = STATE(9510),
    [sym_postulate] = STATE(9510),
    [sym_primitive] = STATE(9510),
    [sym_open] = STATE(9510),
    [sym_import] = STATE(9510),
    [sym_module_macro] = STATE(9510),
    [sym_module] = STATE(9510),
    [sym_syntax] = STATE(9510),
    [sym_pattern] = STATE(9510),
    [sym_unquote_decl] = STATE(9510),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(139),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(636),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [218] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9510),
    [sym_fields] = STATE(9510),
    [sym_function] = STATE(9510),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9510),
    [sym_data_signature] = STATE(9510),
    [sym_record] = STATE(9510),
    [sym_record_signature] = STATE(9510),
    [sym_infix] = STATE(9510),
    [sym_generalize] = STATE(9510),
    [sym_mutual] = STATE(9510),
    [sym_abstract] = STATE(9510),
    [sym_private] = STATE(9510),
    [sym_instance] = STATE(9510),
    [sym_macro] = STATE(9510),
    [sym_postulate] = STATE(9510),
    [sym_primitive] = STATE(9510),
    [sym_open] = STATE(9510),
    [sym_import] = STATE(9510),
    [sym_module_macro] = STATE(9510),
    [sym_module] = STATE(9510),
    [sym_syntax] = STATE(9510),
    [sym_pattern] = STATE(9510),
    [sym_unquote_decl] = STATE(9510),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(636),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [219] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9592),
    [sym_fields] = STATE(9592),
    [sym_function] = STATE(9592),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9592),
    [sym_data_signature] = STATE(9592),
    [sym_record] = STATE(9592),
    [sym_record_signature] = STATE(9592),
    [sym_infix] = STATE(9592),
    [sym_generalize] = STATE(9592),
    [sym_mutual] = STATE(9592),
    [sym_abstract] = STATE(9592),
    [sym_private] = STATE(9592),
    [sym_instance] = STATE(9592),
    [sym_macro] = STATE(9592),
    [sym_postulate] = STATE(9592),
    [sym_primitive] = STATE(9592),
    [sym_open] = STATE(9592),
    [sym_import] = STATE(9592),
    [sym_module_macro] = STATE(9592),
    [sym_module] = STATE(9592),
    [sym_syntax] = STATE(9592),
    [sym_pattern] = STATE(9592),
    [sym_unquote_decl] = STATE(9592),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(638),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [220] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9637),
    [sym_fields] = STATE(9637),
    [sym_function] = STATE(9637),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9637),
    [sym_data_signature] = STATE(9637),
    [sym_record] = STATE(9637),
    [sym_record_signature] = STATE(9637),
    [sym_infix] = STATE(9637),
    [sym_generalize] = STATE(9637),
    [sym_mutual] = STATE(9637),
    [sym_abstract] = STATE(9637),
    [sym_private] = STATE(9637),
    [sym_instance] = STATE(9637),
    [sym_macro] = STATE(9637),
    [sym_postulate] = STATE(9637),
    [sym_primitive] = STATE(9637),
    [sym_open] = STATE(9637),
    [sym_import] = STATE(9637),
    [sym_module_macro] = STATE(9637),
    [sym_module] = STATE(9637),
    [sym_syntax] = STATE(9637),
    [sym_pattern] = STATE(9637),
    [sym_unquote_decl] = STATE(9637),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(162),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(640),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [221] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9637),
    [sym_fields] = STATE(9637),
    [sym_function] = STATE(9637),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9637),
    [sym_data_signature] = STATE(9637),
    [sym_record] = STATE(9637),
    [sym_record_signature] = STATE(9637),
    [sym_infix] = STATE(9637),
    [sym_generalize] = STATE(9637),
    [sym_mutual] = STATE(9637),
    [sym_abstract] = STATE(9637),
    [sym_private] = STATE(9637),
    [sym_instance] = STATE(9637),
    [sym_macro] = STATE(9637),
    [sym_postulate] = STATE(9637),
    [sym_primitive] = STATE(9637),
    [sym_open] = STATE(9637),
    [sym_import] = STATE(9637),
    [sym_module_macro] = STATE(9637),
    [sym_module] = STATE(9637),
    [sym_syntax] = STATE(9637),
    [sym_pattern] = STATE(9637),
    [sym_unquote_decl] = STATE(9637),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(640),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [222] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9613),
    [sym_fields] = STATE(9613),
    [sym_function] = STATE(9613),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9613),
    [sym_data_signature] = STATE(9613),
    [sym_record] = STATE(9613),
    [sym_record_signature] = STATE(9613),
    [sym_infix] = STATE(9613),
    [sym_generalize] = STATE(9613),
    [sym_mutual] = STATE(9613),
    [sym_abstract] = STATE(9613),
    [sym_private] = STATE(9613),
    [sym_instance] = STATE(9613),
    [sym_macro] = STATE(9613),
    [sym_postulate] = STATE(9613),
    [sym_primitive] = STATE(9613),
    [sym_open] = STATE(9613),
    [sym_import] = STATE(9613),
    [sym_module_macro] = STATE(9613),
    [sym_module] = STATE(9613),
    [sym_syntax] = STATE(9613),
    [sym_pattern] = STATE(9613),
    [sym_unquote_decl] = STATE(9613),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(163),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(642),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [223] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9613),
    [sym_fields] = STATE(9613),
    [sym_function] = STATE(9613),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9613),
    [sym_data_signature] = STATE(9613),
    [sym_record] = STATE(9613),
    [sym_record_signature] = STATE(9613),
    [sym_infix] = STATE(9613),
    [sym_generalize] = STATE(9613),
    [sym_mutual] = STATE(9613),
    [sym_abstract] = STATE(9613),
    [sym_private] = STATE(9613),
    [sym_instance] = STATE(9613),
    [sym_macro] = STATE(9613),
    [sym_postulate] = STATE(9613),
    [sym_primitive] = STATE(9613),
    [sym_open] = STATE(9613),
    [sym_import] = STATE(9613),
    [sym_module_macro] = STATE(9613),
    [sym_module] = STATE(9613),
    [sym_syntax] = STATE(9613),
    [sym_pattern] = STATE(9613),
    [sym_unquote_decl] = STATE(9613),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(642),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [224] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9508),
    [sym_fields] = STATE(9508),
    [sym_function] = STATE(9508),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9508),
    [sym_data_signature] = STATE(9508),
    [sym_record] = STATE(9508),
    [sym_record_signature] = STATE(9508),
    [sym_infix] = STATE(9508),
    [sym_generalize] = STATE(9508),
    [sym_mutual] = STATE(9508),
    [sym_abstract] = STATE(9508),
    [sym_private] = STATE(9508),
    [sym_instance] = STATE(9508),
    [sym_macro] = STATE(9508),
    [sym_postulate] = STATE(9508),
    [sym_primitive] = STATE(9508),
    [sym_open] = STATE(9508),
    [sym_import] = STATE(9508),
    [sym_module_macro] = STATE(9508),
    [sym_module] = STATE(9508),
    [sym_syntax] = STATE(9508),
    [sym_pattern] = STATE(9508),
    [sym_unquote_decl] = STATE(9508),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(119),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(644),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [225] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9573),
    [sym_fields] = STATE(9573),
    [sym_function] = STATE(9573),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9573),
    [sym_data_signature] = STATE(9573),
    [sym_record] = STATE(9573),
    [sym_record_signature] = STATE(9573),
    [sym_infix] = STATE(9573),
    [sym_generalize] = STATE(9573),
    [sym_mutual] = STATE(9573),
    [sym_abstract] = STATE(9573),
    [sym_private] = STATE(9573),
    [sym_instance] = STATE(9573),
    [sym_macro] = STATE(9573),
    [sym_postulate] = STATE(9573),
    [sym_primitive] = STATE(9573),
    [sym_open] = STATE(9573),
    [sym_import] = STATE(9573),
    [sym_module_macro] = STATE(9573),
    [sym_module] = STATE(9573),
    [sym_syntax] = STATE(9573),
    [sym_pattern] = STATE(9573),
    [sym_unquote_decl] = STATE(9573),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(165),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(646),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [226] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9573),
    [sym_fields] = STATE(9573),
    [sym_function] = STATE(9573),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9573),
    [sym_data_signature] = STATE(9573),
    [sym_record] = STATE(9573),
    [sym_record_signature] = STATE(9573),
    [sym_infix] = STATE(9573),
    [sym_generalize] = STATE(9573),
    [sym_mutual] = STATE(9573),
    [sym_abstract] = STATE(9573),
    [sym_private] = STATE(9573),
    [sym_instance] = STATE(9573),
    [sym_macro] = STATE(9573),
    [sym_postulate] = STATE(9573),
    [sym_primitive] = STATE(9573),
    [sym_open] = STATE(9573),
    [sym_import] = STATE(9573),
    [sym_module_macro] = STATE(9573),
    [sym_module] = STATE(9573),
    [sym_syntax] = STATE(9573),
    [sym_pattern] = STATE(9573),
    [sym_unquote_decl] = STATE(9573),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(646),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [227] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9668),
    [sym_fields] = STATE(9668),
    [sym_function] = STATE(9668),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9668),
    [sym_data_signature] = STATE(9668),
    [sym_record] = STATE(9668),
    [sym_record_signature] = STATE(9668),
    [sym_infix] = STATE(9668),
    [sym_generalize] = STATE(9668),
    [sym_mutual] = STATE(9668),
    [sym_abstract] = STATE(9668),
    [sym_private] = STATE(9668),
    [sym_instance] = STATE(9668),
    [sym_macro] = STATE(9668),
    [sym_postulate] = STATE(9668),
    [sym_primitive] = STATE(9668),
    [sym_open] = STATE(9668),
    [sym_import] = STATE(9668),
    [sym_module_macro] = STATE(9668),
    [sym_module] = STATE(9668),
    [sym_syntax] = STATE(9668),
    [sym_pattern] = STATE(9668),
    [sym_unquote_decl] = STATE(9668),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(143),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(648),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [228] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9553),
    [sym_fields] = STATE(9553),
    [sym_function] = STATE(9553),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9553),
    [sym_data_signature] = STATE(9553),
    [sym_record] = STATE(9553),
    [sym_record_signature] = STATE(9553),
    [sym_infix] = STATE(9553),
    [sym_generalize] = STATE(9553),
    [sym_mutual] = STATE(9553),
    [sym_abstract] = STATE(9553),
    [sym_private] = STATE(9553),
    [sym_instance] = STATE(9553),
    [sym_macro] = STATE(9553),
    [sym_postulate] = STATE(9553),
    [sym_primitive] = STATE(9553),
    [sym_open] = STATE(9553),
    [sym_import] = STATE(9553),
    [sym_module_macro] = STATE(9553),
    [sym_module] = STATE(9553),
    [sym_syntax] = STATE(9553),
    [sym_pattern] = STATE(9553),
    [sym_unquote_decl] = STATE(9553),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(167),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(650),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [229] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9553),
    [sym_fields] = STATE(9553),
    [sym_function] = STATE(9553),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9553),
    [sym_data_signature] = STATE(9553),
    [sym_record] = STATE(9553),
    [sym_record_signature] = STATE(9553),
    [sym_infix] = STATE(9553),
    [sym_generalize] = STATE(9553),
    [sym_mutual] = STATE(9553),
    [sym_abstract] = STATE(9553),
    [sym_private] = STATE(9553),
    [sym_instance] = STATE(9553),
    [sym_macro] = STATE(9553),
    [sym_postulate] = STATE(9553),
    [sym_primitive] = STATE(9553),
    [sym_open] = STATE(9553),
    [sym_import] = STATE(9553),
    [sym_module_macro] = STATE(9553),
    [sym_module] = STATE(9553),
    [sym_syntax] = STATE(9553),
    [sym_pattern] = STATE(9553),
    [sym_unquote_decl] = STATE(9553),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(650),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [230] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9531),
    [sym_fields] = STATE(9531),
    [sym_function] = STATE(9531),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9531),
    [sym_data_signature] = STATE(9531),
    [sym_record] = STATE(9531),
    [sym_record_signature] = STATE(9531),
    [sym_infix] = STATE(9531),
    [sym_generalize] = STATE(9531),
    [sym_mutual] = STATE(9531),
    [sym_abstract] = STATE(9531),
    [sym_private] = STATE(9531),
    [sym_instance] = STATE(9531),
    [sym_macro] = STATE(9531),
    [sym_postulate] = STATE(9531),
    [sym_primitive] = STATE(9531),
    [sym_open] = STATE(9531),
    [sym_import] = STATE(9531),
    [sym_module_macro] = STATE(9531),
    [sym_module] = STATE(9531),
    [sym_syntax] = STATE(9531),
    [sym_pattern] = STATE(9531),
    [sym_unquote_decl] = STATE(9531),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(626),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [231] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9535),
    [sym_fields] = STATE(9535),
    [sym_function] = STATE(9535),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9535),
    [sym_data_signature] = STATE(9535),
    [sym_record] = STATE(9535),
    [sym_record_signature] = STATE(9535),
    [sym_infix] = STATE(9535),
    [sym_generalize] = STATE(9535),
    [sym_mutual] = STATE(9535),
    [sym_abstract] = STATE(9535),
    [sym_private] = STATE(9535),
    [sym_instance] = STATE(9535),
    [sym_macro] = STATE(9535),
    [sym_postulate] = STATE(9535),
    [sym_primitive] = STATE(9535),
    [sym_open] = STATE(9535),
    [sym_import] = STATE(9535),
    [sym_module_macro] = STATE(9535),
    [sym_module] = STATE(9535),
    [sym_syntax] = STATE(9535),
    [sym_pattern] = STATE(9535),
    [sym_unquote_decl] = STATE(9535),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(168),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(652),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [232] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9535),
    [sym_fields] = STATE(9535),
    [sym_function] = STATE(9535),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9535),
    [sym_data_signature] = STATE(9535),
    [sym_record] = STATE(9535),
    [sym_record_signature] = STATE(9535),
    [sym_infix] = STATE(9535),
    [sym_generalize] = STATE(9535),
    [sym_mutual] = STATE(9535),
    [sym_abstract] = STATE(9535),
    [sym_private] = STATE(9535),
    [sym_instance] = STATE(9535),
    [sym_macro] = STATE(9535),
    [sym_postulate] = STATE(9535),
    [sym_primitive] = STATE(9535),
    [sym_open] = STATE(9535),
    [sym_import] = STATE(9535),
    [sym_module_macro] = STATE(9535),
    [sym_module] = STATE(9535),
    [sym_syntax] = STATE(9535),
    [sym_pattern] = STATE(9535),
    [sym_unquote_decl] = STATE(9535),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(652),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [233] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9619),
    [sym_fields] = STATE(9619),
    [sym_function] = STATE(9619),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9619),
    [sym_data_signature] = STATE(9619),
    [sym_record] = STATE(9619),
    [sym_record_signature] = STATE(9619),
    [sym_infix] = STATE(9619),
    [sym_generalize] = STATE(9619),
    [sym_mutual] = STATE(9619),
    [sym_abstract] = STATE(9619),
    [sym_private] = STATE(9619),
    [sym_instance] = STATE(9619),
    [sym_macro] = STATE(9619),
    [sym_postulate] = STATE(9619),
    [sym_primitive] = STATE(9619),
    [sym_open] = STATE(9619),
    [sym_import] = STATE(9619),
    [sym_module_macro] = STATE(9619),
    [sym_module] = STATE(9619),
    [sym_syntax] = STATE(9619),
    [sym_pattern] = STATE(9619),
    [sym_unquote_decl] = STATE(9619),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(173),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(654),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [234] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9619),
    [sym_fields] = STATE(9619),
    [sym_function] = STATE(9619),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9619),
    [sym_data_signature] = STATE(9619),
    [sym_record] = STATE(9619),
    [sym_record_signature] = STATE(9619),
    [sym_infix] = STATE(9619),
    [sym_generalize] = STATE(9619),
    [sym_mutual] = STATE(9619),
    [sym_abstract] = STATE(9619),
    [sym_private] = STATE(9619),
    [sym_instance] = STATE(9619),
    [sym_macro] = STATE(9619),
    [sym_postulate] = STATE(9619),
    [sym_primitive] = STATE(9619),
    [sym_open] = STATE(9619),
    [sym_import] = STATE(9619),
    [sym_module_macro] = STATE(9619),
    [sym_module] = STATE(9619),
    [sym_syntax] = STATE(9619),
    [sym_pattern] = STATE(9619),
    [sym_unquote_decl] = STATE(9619),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(654),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [235] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9508),
    [sym_fields] = STATE(9508),
    [sym_function] = STATE(9508),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9508),
    [sym_data_signature] = STATE(9508),
    [sym_record] = STATE(9508),
    [sym_record_signature] = STATE(9508),
    [sym_infix] = STATE(9508),
    [sym_generalize] = STATE(9508),
    [sym_mutual] = STATE(9508),
    [sym_abstract] = STATE(9508),
    [sym_private] = STATE(9508),
    [sym_instance] = STATE(9508),
    [sym_macro] = STATE(9508),
    [sym_postulate] = STATE(9508),
    [sym_primitive] = STATE(9508),
    [sym_open] = STATE(9508),
    [sym_import] = STATE(9508),
    [sym_module_macro] = STATE(9508),
    [sym_module] = STATE(9508),
    [sym_syntax] = STATE(9508),
    [sym_pattern] = STATE(9508),
    [sym_unquote_decl] = STATE(9508),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(644),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [236] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9602),
    [sym_fields] = STATE(9602),
    [sym_function] = STATE(9602),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9602),
    [sym_data_signature] = STATE(9602),
    [sym_record] = STATE(9602),
    [sym_record_signature] = STATE(9602),
    [sym_infix] = STATE(9602),
    [sym_generalize] = STATE(9602),
    [sym_mutual] = STATE(9602),
    [sym_abstract] = STATE(9602),
    [sym_private] = STATE(9602),
    [sym_instance] = STATE(9602),
    [sym_macro] = STATE(9602),
    [sym_postulate] = STATE(9602),
    [sym_primitive] = STATE(9602),
    [sym_open] = STATE(9602),
    [sym_import] = STATE(9602),
    [sym_module_macro] = STATE(9602),
    [sym_module] = STATE(9602),
    [sym_syntax] = STATE(9602),
    [sym_pattern] = STATE(9602),
    [sym_unquote_decl] = STATE(9602),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(175),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(656),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [237] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9602),
    [sym_fields] = STATE(9602),
    [sym_function] = STATE(9602),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9602),
    [sym_data_signature] = STATE(9602),
    [sym_record] = STATE(9602),
    [sym_record_signature] = STATE(9602),
    [sym_infix] = STATE(9602),
    [sym_generalize] = STATE(9602),
    [sym_mutual] = STATE(9602),
    [sym_abstract] = STATE(9602),
    [sym_private] = STATE(9602),
    [sym_instance] = STATE(9602),
    [sym_macro] = STATE(9602),
    [sym_postulate] = STATE(9602),
    [sym_primitive] = STATE(9602),
    [sym_open] = STATE(9602),
    [sym_import] = STATE(9602),
    [sym_module_macro] = STATE(9602),
    [sym_module] = STATE(9602),
    [sym_syntax] = STATE(9602),
    [sym_pattern] = STATE(9602),
    [sym_unquote_decl] = STATE(9602),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(656),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [238] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9651),
    [sym_fields] = STATE(9651),
    [sym_function] = STATE(9651),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9651),
    [sym_data_signature] = STATE(9651),
    [sym_record] = STATE(9651),
    [sym_record_signature] = STATE(9651),
    [sym_infix] = STATE(9651),
    [sym_generalize] = STATE(9651),
    [sym_mutual] = STATE(9651),
    [sym_abstract] = STATE(9651),
    [sym_private] = STATE(9651),
    [sym_instance] = STATE(9651),
    [sym_macro] = STATE(9651),
    [sym_postulate] = STATE(9651),
    [sym_primitive] = STATE(9651),
    [sym_open] = STATE(9651),
    [sym_import] = STATE(9651),
    [sym_module_macro] = STATE(9651),
    [sym_module] = STATE(9651),
    [sym_syntax] = STATE(9651),
    [sym_pattern] = STATE(9651),
    [sym_unquote_decl] = STATE(9651),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(658),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [239] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9555),
    [sym_fields] = STATE(9555),
    [sym_function] = STATE(9555),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9555),
    [sym_data_signature] = STATE(9555),
    [sym_record] = STATE(9555),
    [sym_record_signature] = STATE(9555),
    [sym_infix] = STATE(9555),
    [sym_generalize] = STATE(9555),
    [sym_mutual] = STATE(9555),
    [sym_abstract] = STATE(9555),
    [sym_private] = STATE(9555),
    [sym_instance] = STATE(9555),
    [sym_macro] = STATE(9555),
    [sym_postulate] = STATE(9555),
    [sym_primitive] = STATE(9555),
    [sym_open] = STATE(9555),
    [sym_import] = STATE(9555),
    [sym_module_macro] = STATE(9555),
    [sym_module] = STATE(9555),
    [sym_syntax] = STATE(9555),
    [sym_pattern] = STATE(9555),
    [sym_unquote_decl] = STATE(9555),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(176),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(660),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [240] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9555),
    [sym_fields] = STATE(9555),
    [sym_function] = STATE(9555),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9555),
    [sym_data_signature] = STATE(9555),
    [sym_record] = STATE(9555),
    [sym_record_signature] = STATE(9555),
    [sym_infix] = STATE(9555),
    [sym_generalize] = STATE(9555),
    [sym_mutual] = STATE(9555),
    [sym_abstract] = STATE(9555),
    [sym_private] = STATE(9555),
    [sym_instance] = STATE(9555),
    [sym_macro] = STATE(9555),
    [sym_postulate] = STATE(9555),
    [sym_primitive] = STATE(9555),
    [sym_open] = STATE(9555),
    [sym_import] = STATE(9555),
    [sym_module_macro] = STATE(9555),
    [sym_module] = STATE(9555),
    [sym_syntax] = STATE(9555),
    [sym_pattern] = STATE(9555),
    [sym_unquote_decl] = STATE(9555),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(660),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [241] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9594),
    [sym_fields] = STATE(9594),
    [sym_function] = STATE(9594),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9594),
    [sym_data_signature] = STATE(9594),
    [sym_record] = STATE(9594),
    [sym_record_signature] = STATE(9594),
    [sym_infix] = STATE(9594),
    [sym_generalize] = STATE(9594),
    [sym_mutual] = STATE(9594),
    [sym_abstract] = STATE(9594),
    [sym_private] = STATE(9594),
    [sym_instance] = STATE(9594),
    [sym_macro] = STATE(9594),
    [sym_postulate] = STATE(9594),
    [sym_primitive] = STATE(9594),
    [sym_open] = STATE(9594),
    [sym_import] = STATE(9594),
    [sym_module_macro] = STATE(9594),
    [sym_module] = STATE(9594),
    [sym_syntax] = STATE(9594),
    [sym_pattern] = STATE(9594),
    [sym_unquote_decl] = STATE(9594),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(178),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(662),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [242] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9594),
    [sym_fields] = STATE(9594),
    [sym_function] = STATE(9594),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9594),
    [sym_data_signature] = STATE(9594),
    [sym_record] = STATE(9594),
    [sym_record_signature] = STATE(9594),
    [sym_infix] = STATE(9594),
    [sym_generalize] = STATE(9594),
    [sym_mutual] = STATE(9594),
    [sym_abstract] = STATE(9594),
    [sym_private] = STATE(9594),
    [sym_instance] = STATE(9594),
    [sym_macro] = STATE(9594),
    [sym_postulate] = STATE(9594),
    [sym_primitive] = STATE(9594),
    [sym_open] = STATE(9594),
    [sym_import] = STATE(9594),
    [sym_module_macro] = STATE(9594),
    [sym_module] = STATE(9594),
    [sym_syntax] = STATE(9594),
    [sym_pattern] = STATE(9594),
    [sym_unquote_decl] = STATE(9594),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(662),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [243] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9639),
    [sym_fields] = STATE(9639),
    [sym_function] = STATE(9639),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9639),
    [sym_data_signature] = STATE(9639),
    [sym_record] = STATE(9639),
    [sym_record_signature] = STATE(9639),
    [sym_infix] = STATE(9639),
    [sym_generalize] = STATE(9639),
    [sym_mutual] = STATE(9639),
    [sym_abstract] = STATE(9639),
    [sym_private] = STATE(9639),
    [sym_instance] = STATE(9639),
    [sym_macro] = STATE(9639),
    [sym_postulate] = STATE(9639),
    [sym_primitive] = STATE(9639),
    [sym_open] = STATE(9639),
    [sym_import] = STATE(9639),
    [sym_module_macro] = STATE(9639),
    [sym_module] = STATE(9639),
    [sym_syntax] = STATE(9639),
    [sym_pattern] = STATE(9639),
    [sym_unquote_decl] = STATE(9639),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(259),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(664),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [244] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9639),
    [sym_fields] = STATE(9639),
    [sym_function] = STATE(9639),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9639),
    [sym_data_signature] = STATE(9639),
    [sym_record] = STATE(9639),
    [sym_record_signature] = STATE(9639),
    [sym_infix] = STATE(9639),
    [sym_generalize] = STATE(9639),
    [sym_mutual] = STATE(9639),
    [sym_abstract] = STATE(9639),
    [sym_private] = STATE(9639),
    [sym_instance] = STATE(9639),
    [sym_macro] = STATE(9639),
    [sym_postulate] = STATE(9639),
    [sym_primitive] = STATE(9639),
    [sym_open] = STATE(9639),
    [sym_import] = STATE(9639),
    [sym_module_macro] = STATE(9639),
    [sym_module] = STATE(9639),
    [sym_syntax] = STATE(9639),
    [sym_pattern] = STATE(9639),
    [sym_unquote_decl] = STATE(9639),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(664),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [245] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9498),
    [sym_fields] = STATE(9498),
    [sym_function] = STATE(9498),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9498),
    [sym_data_signature] = STATE(9498),
    [sym_record] = STATE(9498),
    [sym_record_signature] = STATE(9498),
    [sym_infix] = STATE(9498),
    [sym_generalize] = STATE(9498),
    [sym_mutual] = STATE(9498),
    [sym_abstract] = STATE(9498),
    [sym_private] = STATE(9498),
    [sym_instance] = STATE(9498),
    [sym_macro] = STATE(9498),
    [sym_postulate] = STATE(9498),
    [sym_primitive] = STATE(9498),
    [sym_open] = STATE(9498),
    [sym_import] = STATE(9498),
    [sym_module_macro] = STATE(9498),
    [sym_module] = STATE(9498),
    [sym_syntax] = STATE(9498),
    [sym_pattern] = STATE(9498),
    [sym_unquote_decl] = STATE(9498),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(148),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(594),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [246] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9690),
    [sym_fields] = STATE(9690),
    [sym_function] = STATE(9690),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9690),
    [sym_data_signature] = STATE(9690),
    [sym_record] = STATE(9690),
    [sym_record_signature] = STATE(9690),
    [sym_infix] = STATE(9690),
    [sym_generalize] = STATE(9690),
    [sym_mutual] = STATE(9690),
    [sym_abstract] = STATE(9690),
    [sym_private] = STATE(9690),
    [sym_instance] = STATE(9690),
    [sym_macro] = STATE(9690),
    [sym_postulate] = STATE(9690),
    [sym_primitive] = STATE(9690),
    [sym_open] = STATE(9690),
    [sym_import] = STATE(9690),
    [sym_module_macro] = STATE(9690),
    [sym_module] = STATE(9690),
    [sym_syntax] = STATE(9690),
    [sym_pattern] = STATE(9690),
    [sym_unquote_decl] = STATE(9690),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(180),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(666),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [247] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9690),
    [sym_fields] = STATE(9690),
    [sym_function] = STATE(9690),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9690),
    [sym_data_signature] = STATE(9690),
    [sym_record] = STATE(9690),
    [sym_record_signature] = STATE(9690),
    [sym_infix] = STATE(9690),
    [sym_generalize] = STATE(9690),
    [sym_mutual] = STATE(9690),
    [sym_abstract] = STATE(9690),
    [sym_private] = STATE(9690),
    [sym_instance] = STATE(9690),
    [sym_macro] = STATE(9690),
    [sym_postulate] = STATE(9690),
    [sym_primitive] = STATE(9690),
    [sym_open] = STATE(9690),
    [sym_import] = STATE(9690),
    [sym_module_macro] = STATE(9690),
    [sym_module] = STATE(9690),
    [sym_syntax] = STATE(9690),
    [sym_pattern] = STATE(9690),
    [sym_unquote_decl] = STATE(9690),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(666),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [248] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9668),
    [sym_fields] = STATE(9668),
    [sym_function] = STATE(9668),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9668),
    [sym_data_signature] = STATE(9668),
    [sym_record] = STATE(9668),
    [sym_record_signature] = STATE(9668),
    [sym_infix] = STATE(9668),
    [sym_generalize] = STATE(9668),
    [sym_mutual] = STATE(9668),
    [sym_abstract] = STATE(9668),
    [sym_private] = STATE(9668),
    [sym_instance] = STATE(9668),
    [sym_macro] = STATE(9668),
    [sym_postulate] = STATE(9668),
    [sym_primitive] = STATE(9668),
    [sym_open] = STATE(9668),
    [sym_import] = STATE(9668),
    [sym_module_macro] = STATE(9668),
    [sym_module] = STATE(9668),
    [sym_syntax] = STATE(9668),
    [sym_pattern] = STATE(9668),
    [sym_unquote_decl] = STATE(9668),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(648),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [249] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9500),
    [sym_fields] = STATE(9500),
    [sym_function] = STATE(9500),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9500),
    [sym_data_signature] = STATE(9500),
    [sym_record] = STATE(9500),
    [sym_record_signature] = STATE(9500),
    [sym_infix] = STATE(9500),
    [sym_generalize] = STATE(9500),
    [sym_mutual] = STATE(9500),
    [sym_abstract] = STATE(9500),
    [sym_private] = STATE(9500),
    [sym_instance] = STATE(9500),
    [sym_macro] = STATE(9500),
    [sym_postulate] = STATE(9500),
    [sym_primitive] = STATE(9500),
    [sym_open] = STATE(9500),
    [sym_import] = STATE(9500),
    [sym_module_macro] = STATE(9500),
    [sym_module] = STATE(9500),
    [sym_syntax] = STATE(9500),
    [sym_pattern] = STATE(9500),
    [sym_unquote_decl] = STATE(9500),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(184),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(668),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [250] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9500),
    [sym_fields] = STATE(9500),
    [sym_function] = STATE(9500),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9500),
    [sym_data_signature] = STATE(9500),
    [sym_record] = STATE(9500),
    [sym_record_signature] = STATE(9500),
    [sym_infix] = STATE(9500),
    [sym_generalize] = STATE(9500),
    [sym_mutual] = STATE(9500),
    [sym_abstract] = STATE(9500),
    [sym_private] = STATE(9500),
    [sym_instance] = STATE(9500),
    [sym_macro] = STATE(9500),
    [sym_postulate] = STATE(9500),
    [sym_primitive] = STATE(9500),
    [sym_open] = STATE(9500),
    [sym_import] = STATE(9500),
    [sym_module_macro] = STATE(9500),
    [sym_module] = STATE(9500),
    [sym_syntax] = STATE(9500),
    [sym_pattern] = STATE(9500),
    [sym_unquote_decl] = STATE(9500),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(668),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [251] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9523),
    [sym_fields] = STATE(9523),
    [sym_function] = STATE(9523),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9523),
    [sym_data_signature] = STATE(9523),
    [sym_record] = STATE(9523),
    [sym_record_signature] = STATE(9523),
    [sym_infix] = STATE(9523),
    [sym_generalize] = STATE(9523),
    [sym_mutual] = STATE(9523),
    [sym_abstract] = STATE(9523),
    [sym_private] = STATE(9523),
    [sym_instance] = STATE(9523),
    [sym_macro] = STATE(9523),
    [sym_postulate] = STATE(9523),
    [sym_primitive] = STATE(9523),
    [sym_open] = STATE(9523),
    [sym_import] = STATE(9523),
    [sym_module_macro] = STATE(9523),
    [sym_module] = STATE(9523),
    [sym_syntax] = STATE(9523),
    [sym_pattern] = STATE(9523),
    [sym_unquote_decl] = STATE(9523),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(186),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(670),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [252] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9523),
    [sym_fields] = STATE(9523),
    [sym_function] = STATE(9523),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9523),
    [sym_data_signature] = STATE(9523),
    [sym_record] = STATE(9523),
    [sym_record_signature] = STATE(9523),
    [sym_infix] = STATE(9523),
    [sym_generalize] = STATE(9523),
    [sym_mutual] = STATE(9523),
    [sym_abstract] = STATE(9523),
    [sym_private] = STATE(9523),
    [sym_instance] = STATE(9523),
    [sym_macro] = STATE(9523),
    [sym_postulate] = STATE(9523),
    [sym_primitive] = STATE(9523),
    [sym_open] = STATE(9523),
    [sym_import] = STATE(9523),
    [sym_module_macro] = STATE(9523),
    [sym_module] = STATE(9523),
    [sym_syntax] = STATE(9523),
    [sym_pattern] = STATE(9523),
    [sym_unquote_decl] = STATE(9523),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(670),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [253] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9581),
    [sym_fields] = STATE(9581),
    [sym_function] = STATE(9581),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9581),
    [sym_data_signature] = STATE(9581),
    [sym_record] = STATE(9581),
    [sym_record_signature] = STATE(9581),
    [sym_infix] = STATE(9581),
    [sym_generalize] = STATE(9581),
    [sym_mutual] = STATE(9581),
    [sym_abstract] = STATE(9581),
    [sym_private] = STATE(9581),
    [sym_instance] = STATE(9581),
    [sym_macro] = STATE(9581),
    [sym_postulate] = STATE(9581),
    [sym_primitive] = STATE(9581),
    [sym_open] = STATE(9581),
    [sym_import] = STATE(9581),
    [sym_module_macro] = STATE(9581),
    [sym_module] = STATE(9581),
    [sym_syntax] = STATE(9581),
    [sym_pattern] = STATE(9581),
    [sym_unquote_decl] = STATE(9581),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(187),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(672),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [254] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9581),
    [sym_fields] = STATE(9581),
    [sym_function] = STATE(9581),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9581),
    [sym_data_signature] = STATE(9581),
    [sym_record] = STATE(9581),
    [sym_record_signature] = STATE(9581),
    [sym_infix] = STATE(9581),
    [sym_generalize] = STATE(9581),
    [sym_mutual] = STATE(9581),
    [sym_abstract] = STATE(9581),
    [sym_private] = STATE(9581),
    [sym_instance] = STATE(9581),
    [sym_macro] = STATE(9581),
    [sym_postulate] = STATE(9581),
    [sym_primitive] = STATE(9581),
    [sym_open] = STATE(9581),
    [sym_import] = STATE(9581),
    [sym_module_macro] = STATE(9581),
    [sym_module] = STATE(9581),
    [sym_syntax] = STATE(9581),
    [sym_pattern] = STATE(9581),
    [sym_unquote_decl] = STATE(9581),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(672),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [255] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9689),
    [sym_fields] = STATE(9689),
    [sym_function] = STATE(9689),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9689),
    [sym_data_signature] = STATE(9689),
    [sym_record] = STATE(9689),
    [sym_record_signature] = STATE(9689),
    [sym_infix] = STATE(9689),
    [sym_generalize] = STATE(9689),
    [sym_mutual] = STATE(9689),
    [sym_abstract] = STATE(9689),
    [sym_private] = STATE(9689),
    [sym_instance] = STATE(9689),
    [sym_macro] = STATE(9689),
    [sym_postulate] = STATE(9689),
    [sym_primitive] = STATE(9689),
    [sym_open] = STATE(9689),
    [sym_import] = STATE(9689),
    [sym_module_macro] = STATE(9689),
    [sym_module] = STATE(9689),
    [sym_syntax] = STATE(9689),
    [sym_pattern] = STATE(9689),
    [sym_unquote_decl] = STATE(9689),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(674),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [256] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9680),
    [sym_fields] = STATE(9680),
    [sym_function] = STATE(9680),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9680),
    [sym_data_signature] = STATE(9680),
    [sym_record] = STATE(9680),
    [sym_record_signature] = STATE(9680),
    [sym_infix] = STATE(9680),
    [sym_generalize] = STATE(9680),
    [sym_mutual] = STATE(9680),
    [sym_abstract] = STATE(9680),
    [sym_private] = STATE(9680),
    [sym_instance] = STATE(9680),
    [sym_macro] = STATE(9680),
    [sym_postulate] = STATE(9680),
    [sym_primitive] = STATE(9680),
    [sym_open] = STATE(9680),
    [sym_import] = STATE(9680),
    [sym_module_macro] = STATE(9680),
    [sym_module] = STATE(9680),
    [sym_syntax] = STATE(9680),
    [sym_pattern] = STATE(9680),
    [sym_unquote_decl] = STATE(9680),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(188),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(676),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [257] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9680),
    [sym_fields] = STATE(9680),
    [sym_function] = STATE(9680),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9680),
    [sym_data_signature] = STATE(9680),
    [sym_record] = STATE(9680),
    [sym_record_signature] = STATE(9680),
    [sym_infix] = STATE(9680),
    [sym_generalize] = STATE(9680),
    [sym_mutual] = STATE(9680),
    [sym_abstract] = STATE(9680),
    [sym_private] = STATE(9680),
    [sym_instance] = STATE(9680),
    [sym_macro] = STATE(9680),
    [sym_postulate] = STATE(9680),
    [sym_primitive] = STATE(9680),
    [sym_open] = STATE(9680),
    [sym_import] = STATE(9680),
    [sym_module_macro] = STATE(9680),
    [sym_module] = STATE(9680),
    [sym_syntax] = STATE(9680),
    [sym_pattern] = STATE(9680),
    [sym_unquote_decl] = STATE(9680),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(676),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [258] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9492),
    [sym_fields] = STATE(9492),
    [sym_function] = STATE(9492),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9492),
    [sym_data_signature] = STATE(9492),
    [sym_record] = STATE(9492),
    [sym_record_signature] = STATE(9492),
    [sym_infix] = STATE(9492),
    [sym_generalize] = STATE(9492),
    [sym_mutual] = STATE(9492),
    [sym_abstract] = STATE(9492),
    [sym_private] = STATE(9492),
    [sym_instance] = STATE(9492),
    [sym_macro] = STATE(9492),
    [sym_postulate] = STATE(9492),
    [sym_primitive] = STATE(9492),
    [sym_open] = STATE(9492),
    [sym_import] = STATE(9492),
    [sym_module_macro] = STATE(9492),
    [sym_module] = STATE(9492),
    [sym_syntax] = STATE(9492),
    [sym_pattern] = STATE(9492),
    [sym_unquote_decl] = STATE(9492),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(190),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(541),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [259] = {
    [sym__FORALL] = STATE(8432),
    [sym__LAMBDA] = STATE(8055),
    [sym__ELLIPSIS] = STATE(4312),
    [sym__declaration] = STATE(9673),
    [sym_fields] = STATE(9673),
    [sym_function] = STATE(9673),
    [sym_lhs_decl] = STATE(9133),
    [sym_lhs_defn] = STATE(9052),
    [sym_data] = STATE(9673),
    [sym_data_signature] = STATE(9673),
    [sym_record] = STATE(9673),
    [sym_record_signature] = STATE(9673),
    [sym_infix] = STATE(9673),
    [sym_generalize] = STATE(9673),
    [sym_mutual] = STATE(9673),
    [sym_abstract] = STATE(9673),
    [sym_private] = STATE(9673),
    [sym_instance] = STATE(9673),
    [sym_macro] = STATE(9673),
    [sym_postulate] = STATE(9673),
    [sym_primitive] = STATE(9673),
    [sym_open] = STATE(9673),
    [sym_import] = STATE(9673),
    [sym_module_macro] = STATE(9673),
    [sym_module] = STATE(9673),
    [sym_syntax] = STATE(9673),
    [sym_pattern] = STATE(9673),
    [sym_unquote_decl] = STATE(9673),
    [sym__qid] = STATE(4312),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3125),
    [sym__with_exprs] = STATE(8785),
    [sym__expr_or_attr] = STATE(4312),
    [sym__application] = STATE(8950),
    [sym__expr2_without_let] = STATE(8950),
    [sym__expr2] = STATE(8950),
    [sym_atom] = STATE(4291),
    [aux_sym__atoms] = STATE(3772),
    [sym__atom_curly] = STATE(4306),
    [sym__atom_no_curly] = STATE(4306),
    [sym_forall] = STATE(8950),
    [sym_let] = STATE(8950),
    [sym_lambda] = STATE(8950),
    [sym_lambda_extended_or_absurd] = STATE(8950),
    [sym_do] = STATE(8950),
    [sym_record_assignments] = STATE(4312),
    [sym_field_assignments] = STATE(4312),
    [sym_literal] = STATE(4312),
    [sym_SetN] = STATE(4312),
    [aux_sym_source_file_repeat1] = STATE(181),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3747),
    [sym_id] = ACTIONS(105),
    [anon_sym_forall] = ACTIONS(107),
    [anon_sym_u2200] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(109),
    [anon_sym_u03bb] = ACTIONS(111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_u2026] = ACTIONS(113),
    [anon_sym_field] = ACTIONS(19),
    [anon_sym_instance] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_data] = ACTIONS(117),
    [anon_sym_codata] = ACTIONS(27),
    [anon_sym_record] = ACTIONS(119),
    [anon_sym_infix] = ACTIONS(121),
    [anon_sym_infixl] = ACTIONS(121),
    [anon_sym_infixr] = ACTIONS(121),
    [anon_sym_variable] = ACTIONS(33),
    [anon_sym_mutual] = ACTIONS(35),
    [anon_sym_abstract] = ACTIONS(37),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_macro] = ACTIONS(41),
    [anon_sym_postulate] = ACTIONS(43),
    [anon_sym_primitive] = ACTIONS(45),
    [anon_sym_open] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(127),
    [anon_sym_u2983] = ACTIONS(129),
    [anon_sym__] = ACTIONS(113),
    [sym_pragma] = ACTIONS(678),
    [anon_sym_syntax] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_pattern] = ACTIONS(137),
    [anon_sym_unquoteDecl] = ACTIONS(139),
    [anon_sym_unquoteDef] = ACTIONS(141),
    [aux_sym__qid_token1] = ACTIONS(143),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(147),
    [anon_sym_tactic] = ACTIONS(149),
    [anon_sym_Prop] = ACTIONS(113),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_quoteTerm] = ACTIONS(113),
    [anon_sym_quoteContext] = ACTIONS(113),
    [anon_sym_unquote] = ACTIONS(113),
    [anon_sym_LPAREN_PIPE] = ACTIONS(151),
    [anon_sym_u2987] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(157),
    [aux_sym_literal_token1] = ACTIONS(157),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(159),
    [sym_PropN] = ACTIONS(113),
  },
  [260] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9922),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3610),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [261] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9903),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3400),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [262] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9844),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3354),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [263] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9822),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3701),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [264] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(10071),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3618),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [265] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9720),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3433),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [266] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(10022),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3606),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [267] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9791),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3670),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [268] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9803),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3693),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10892),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(732),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [269] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(10058),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3390),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [270] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9730),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3444),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [271] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9988),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3560),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [272] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9974),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3550),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [273] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(10222),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3515),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [274] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9741),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3457),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [275] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9757),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3465),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10892),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(732),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [276] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9916),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3593),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [277] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9762),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3437),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [278] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9751),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3469),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [279] = {
    [sym__FORALL] = STATE(8447),
    [sym__LAMBDA] = STATE(8084),
    [sym__ELLIPSIS] = STATE(5289),
    [sym__qid] = STATE(5289),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6233),
    [sym_stmt] = STATE(9516),
    [sym__with_exprs] = STATE(11398),
    [sym__with_exprs_stmt] = STATE(9957),
    [sym__expr_or_attr] = STATE(5289),
    [sym__application] = STATE(8949),
    [sym__application_stmt] = STATE(9957),
    [sym__expr2_without_let] = STATE(9526),
    [sym__expr2] = STATE(8949),
    [sym__expr2_stmt] = STATE(9957),
    [sym_atom] = STATE(5073),
    [aux_sym__atoms] = STATE(3121),
    [sym__atom_curly] = STATE(5228),
    [sym__atom_no_curly] = STATE(5228),
    [sym_forall] = STATE(9526),
    [sym_let] = STATE(8949),
    [sym_let_in_do] = STATE(9957),
    [sym_lambda] = STATE(9526),
    [sym_lambda_extended_or_absurd] = STATE(9526),
    [sym_do] = STATE(9526),
    [sym__do_stmt] = STATE(11418),
    [sym_record_assignments] = STATE(5289),
    [sym_field_assignments] = STATE(5289),
    [aux_sym__typed_bindings] = STATE(8664),
    [sym_typed_binding] = STATE(8664),
    [sym_literal] = STATE(5289),
    [sym_SetN] = STATE(5289),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3126),
    [aux_sym_do_repeat1] = STATE(309),
    [sym_id] = ACTIONS(734),
    [anon_sym_forall] = ACTIONS(736),
    [anon_sym_u2200] = ACTIONS(736),
    [anon_sym_BSLASH] = ACTIONS(738),
    [anon_sym_u03bb] = ACTIONS(740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(742),
    [anon_sym_u2026] = ACTIONS(742),
    [anon_sym_record] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(746),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(748),
    [anon_sym_u2983] = ACTIONS(750),
    [anon_sym__] = ACTIONS(742),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(752),
    [aux_sym__qid_token1] = ACTIONS(754),
    [anon_sym_DOT] = ACTIONS(756),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(762),
    [anon_sym_tactic] = ACTIONS(764),
    [anon_sym_Prop] = ACTIONS(742),
    [anon_sym_quote] = ACTIONS(742),
    [anon_sym_quoteTerm] = ACTIONS(742),
    [anon_sym_quoteContext] = ACTIONS(742),
    [anon_sym_unquote] = ACTIONS(742),
    [anon_sym_LPAREN_PIPE] = ACTIONS(766),
    [anon_sym_u2987] = ACTIONS(768),
    [anon_sym_let] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(772),
    [aux_sym_literal_token1] = ACTIONS(772),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(774),
    [sym_PropN] = ACTIONS(742),
    [sym__dedent] = ACTIONS(776),
  },
  [280] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(10042),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3386),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [281] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(10227),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3680),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10892),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(732),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [282] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9966),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3374),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [283] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(10078),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3583),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [284] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9878),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3362),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10892),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(732),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [285] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9722),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3637),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [286] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(10019),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3382),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [287] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(10082),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3394),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [288] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9835),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3474),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [289] = {
    [sym__FORALL] = STATE(8447),
    [sym__LAMBDA] = STATE(8084),
    [sym__ELLIPSIS] = STATE(5289),
    [sym__qid] = STATE(5289),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6233),
    [sym_stmt] = STATE(9516),
    [sym__with_exprs] = STATE(11398),
    [sym__with_exprs_stmt] = STATE(9957),
    [sym__expr_or_attr] = STATE(5289),
    [sym__application] = STATE(8949),
    [sym__application_stmt] = STATE(9957),
    [sym__expr2_without_let] = STATE(9526),
    [sym__expr2] = STATE(8949),
    [sym__expr2_stmt] = STATE(9957),
    [sym_atom] = STATE(5073),
    [aux_sym__atoms] = STATE(3121),
    [sym__atom_curly] = STATE(5228),
    [sym__atom_no_curly] = STATE(5228),
    [sym_forall] = STATE(9526),
    [sym_let] = STATE(8949),
    [sym_let_in_do] = STATE(9957),
    [sym_lambda] = STATE(9526),
    [sym_lambda_extended_or_absurd] = STATE(9526),
    [sym_do] = STATE(9526),
    [sym__do_stmt] = STATE(11418),
    [sym_record_assignments] = STATE(5289),
    [sym_field_assignments] = STATE(5289),
    [aux_sym__typed_bindings] = STATE(8664),
    [sym_typed_binding] = STATE(8664),
    [sym_literal] = STATE(5289),
    [sym_SetN] = STATE(5289),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3126),
    [aux_sym_do_repeat1] = STATE(309),
    [sym_id] = ACTIONS(734),
    [anon_sym_forall] = ACTIONS(736),
    [anon_sym_u2200] = ACTIONS(736),
    [anon_sym_BSLASH] = ACTIONS(738),
    [anon_sym_u03bb] = ACTIONS(740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(742),
    [anon_sym_u2026] = ACTIONS(742),
    [anon_sym_record] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(746),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(748),
    [anon_sym_u2983] = ACTIONS(750),
    [anon_sym__] = ACTIONS(742),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(752),
    [aux_sym__qid_token1] = ACTIONS(754),
    [anon_sym_DOT] = ACTIONS(756),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(762),
    [anon_sym_tactic] = ACTIONS(764),
    [anon_sym_Prop] = ACTIONS(742),
    [anon_sym_quote] = ACTIONS(742),
    [anon_sym_quoteTerm] = ACTIONS(742),
    [anon_sym_quoteContext] = ACTIONS(742),
    [anon_sym_unquote] = ACTIONS(742),
    [anon_sym_LPAREN_PIPE] = ACTIONS(766),
    [anon_sym_u2987] = ACTIONS(768),
    [anon_sym_let] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(772),
    [aux_sym_literal_token1] = ACTIONS(772),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(774),
    [sym_PropN] = ACTIONS(742),
    [sym__dedent] = ACTIONS(778),
  },
  [290] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9913),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3366),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [291] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(10122),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3627),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [292] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9946),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3677),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10892),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(732),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [293] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9784),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3534),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [294] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9764),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3403),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [295] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9757),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3465),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [296] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9993),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3604),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [297] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9803),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3693),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [298] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(10050),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3458),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [299] = {
    [sym__FORALL] = STATE(8447),
    [sym__LAMBDA] = STATE(8084),
    [sym__ELLIPSIS] = STATE(5289),
    [sym__qid] = STATE(5289),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6233),
    [sym_stmt] = STATE(9516),
    [sym__with_exprs] = STATE(11398),
    [sym__with_exprs_stmt] = STATE(9957),
    [sym__expr_or_attr] = STATE(5289),
    [sym__application] = STATE(8949),
    [sym__application_stmt] = STATE(9957),
    [sym__expr2_without_let] = STATE(9526),
    [sym__expr2] = STATE(8949),
    [sym__expr2_stmt] = STATE(9957),
    [sym_atom] = STATE(5073),
    [aux_sym__atoms] = STATE(3121),
    [sym__atom_curly] = STATE(5228),
    [sym__atom_no_curly] = STATE(5228),
    [sym_forall] = STATE(9526),
    [sym_let] = STATE(8949),
    [sym_let_in_do] = STATE(9957),
    [sym_lambda] = STATE(9526),
    [sym_lambda_extended_or_absurd] = STATE(9526),
    [sym_do] = STATE(9526),
    [sym__do_stmt] = STATE(11418),
    [sym_record_assignments] = STATE(5289),
    [sym_field_assignments] = STATE(5289),
    [aux_sym__typed_bindings] = STATE(8664),
    [sym_typed_binding] = STATE(8664),
    [sym_literal] = STATE(5289),
    [sym_SetN] = STATE(5289),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3126),
    [aux_sym_do_repeat1] = STATE(309),
    [sym_id] = ACTIONS(734),
    [anon_sym_forall] = ACTIONS(736),
    [anon_sym_u2200] = ACTIONS(736),
    [anon_sym_BSLASH] = ACTIONS(738),
    [anon_sym_u03bb] = ACTIONS(740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(742),
    [anon_sym_u2026] = ACTIONS(742),
    [anon_sym_record] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(746),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(748),
    [anon_sym_u2983] = ACTIONS(750),
    [anon_sym__] = ACTIONS(742),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(752),
    [aux_sym__qid_token1] = ACTIONS(754),
    [anon_sym_DOT] = ACTIONS(756),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(762),
    [anon_sym_tactic] = ACTIONS(764),
    [anon_sym_Prop] = ACTIONS(742),
    [anon_sym_quote] = ACTIONS(742),
    [anon_sym_quoteTerm] = ACTIONS(742),
    [anon_sym_quoteContext] = ACTIONS(742),
    [anon_sym_unquote] = ACTIONS(742),
    [anon_sym_LPAREN_PIPE] = ACTIONS(766),
    [anon_sym_u2987] = ACTIONS(768),
    [anon_sym_let] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(772),
    [aux_sym_literal_token1] = ACTIONS(772),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(774),
    [sym_PropN] = ACTIONS(742),
    [sym__dedent] = ACTIONS(780),
  },
  [300] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9935),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3370),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [301] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(10036),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3440),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10892),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(732),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [302] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(10011),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3646),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [303] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(10144),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3399),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [304] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9771),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3659),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [305] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9813),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3558),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10892),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(732),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [306] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9996),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3378),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [307] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(10002),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3536),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [308] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9948),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3500),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [309] = {
    [sym__FORALL] = STATE(8447),
    [sym__LAMBDA] = STATE(8084),
    [sym__ELLIPSIS] = STATE(5289),
    [sym__qid] = STATE(5289),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6233),
    [sym_stmt] = STATE(9516),
    [sym__with_exprs] = STATE(11398),
    [sym__with_exprs_stmt] = STATE(9957),
    [sym__expr_or_attr] = STATE(5289),
    [sym__application] = STATE(8949),
    [sym__application_stmt] = STATE(9957),
    [sym__expr2_without_let] = STATE(9526),
    [sym__expr2] = STATE(8949),
    [sym__expr2_stmt] = STATE(9957),
    [sym_atom] = STATE(5073),
    [aux_sym__atoms] = STATE(3121),
    [sym__atom_curly] = STATE(5228),
    [sym__atom_no_curly] = STATE(5228),
    [sym_forall] = STATE(9526),
    [sym_let] = STATE(8949),
    [sym_let_in_do] = STATE(9957),
    [sym_lambda] = STATE(9526),
    [sym_lambda_extended_or_absurd] = STATE(9526),
    [sym_do] = STATE(9526),
    [sym__do_stmt] = STATE(11418),
    [sym_record_assignments] = STATE(5289),
    [sym_field_assignments] = STATE(5289),
    [aux_sym__typed_bindings] = STATE(8664),
    [sym_typed_binding] = STATE(8664),
    [sym_literal] = STATE(5289),
    [sym_SetN] = STATE(5289),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3126),
    [aux_sym_do_repeat1] = STATE(309),
    [sym_id] = ACTIONS(782),
    [anon_sym_forall] = ACTIONS(785),
    [anon_sym_u2200] = ACTIONS(785),
    [anon_sym_BSLASH] = ACTIONS(788),
    [anon_sym_u03bb] = ACTIONS(791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(794),
    [anon_sym_u2026] = ACTIONS(794),
    [anon_sym_record] = ACTIONS(797),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(803),
    [anon_sym_u2983] = ACTIONS(806),
    [anon_sym__] = ACTIONS(794),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(809),
    [aux_sym__qid_token1] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DOT_DOT] = ACTIONS(818),
    [anon_sym_AT] = ACTIONS(821),
    [anon_sym_quoteGoal] = ACTIONS(824),
    [anon_sym_tactic] = ACTIONS(827),
    [anon_sym_Prop] = ACTIONS(794),
    [anon_sym_quote] = ACTIONS(794),
    [anon_sym_quoteTerm] = ACTIONS(794),
    [anon_sym_quoteContext] = ACTIONS(794),
    [anon_sym_unquote] = ACTIONS(794),
    [anon_sym_LPAREN_PIPE] = ACTIONS(830),
    [anon_sym_u2987] = ACTIONS(833),
    [anon_sym_let] = ACTIONS(836),
    [anon_sym_do] = ACTIONS(839),
    [aux_sym_integer_token1] = ACTIONS(842),
    [aux_sym_literal_token1] = ACTIONS(842),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(845),
    [sym_PropN] = ACTIONS(794),
    [sym__dedent] = ACTIONS(848),
  },
  [310] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9698),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3410),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [311] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9857),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3415),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [312] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(10062),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3527),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [313] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9853),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3569),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [314] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9932),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3643),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(10758),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(704),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [315] = {
    [sym__FORALL] = STATE(8451),
    [sym__ARROW] = STATE(1416),
    [sym__LAMBDA] = STATE(8123),
    [sym__ELLIPSIS] = STATE(4924),
    [sym_catchall_pragma] = STATE(3147),
    [sym__qid] = STATE(5146),
    [sym__binding_ids_and_absurds] = STATE(9707),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3424),
    [sym__expr_or_attr] = STATE(4924),
    [sym__application] = STATE(9667),
    [sym__expr2_without_let] = STATE(9667),
    [sym__expr2] = STATE(9667),
    [sym_atom] = STATE(5140),
    [aux_sym__atoms] = STATE(3554),
    [sym__atom_curly] = STATE(5353),
    [sym__atom_no_curly] = STATE(5353),
    [sym_forall] = STATE(9667),
    [sym_let] = STATE(9667),
    [sym_lambda] = STATE(9667),
    [sym_lambda_extended_or_absurd] = STATE(9667),
    [sym__lambda_clauses] = STATE(11669),
    [sym__lambda_clause_maybe_absurd] = STATE(8981),
    [sym_lambda_clause_absurd] = STATE(8981),
    [sym_lambda_clause] = STATE(8981),
    [sym_do] = STATE(9667),
    [sym_record_assignments] = STATE(4924),
    [sym_field_assignments] = STATE(4924),
    [sym_literal] = STATE(4924),
    [sym_SetN] = STATE(4924),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__lambda_clauses_repeat1] = STATE(2756),
    [sym_id] = ACTIONS(680),
    [anon_sym_forall] = ACTIONS(682),
    [anon_sym_u2200] = ACTIONS(682),
    [anon_sym_DASH_GT] = ACTIONS(684),
    [anon_sym_u2192] = ACTIONS(684),
    [anon_sym_BSLASH] = ACTIONS(686),
    [anon_sym_u03bb] = ACTIONS(688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(690),
    [anon_sym_u2026] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(696),
    [anon_sym_u2983] = ACTIONS(698),
    [anon_sym__] = ACTIONS(690),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE_DASH_POUND] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(730),
    [aux_sym__qid_token1] = ACTIONS(706),
    [anon_sym_DOT] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(714),
    [anon_sym_tactic] = ACTIONS(716),
    [anon_sym_Prop] = ACTIONS(690),
    [anon_sym_quote] = ACTIONS(690),
    [anon_sym_quoteTerm] = ACTIONS(690),
    [anon_sym_quoteContext] = ACTIONS(690),
    [anon_sym_unquote] = ACTIONS(690),
    [anon_sym_LPAREN_PIPE] = ACTIONS(718),
    [anon_sym_u2987] = ACTIONS(720),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(726),
    [aux_sym_literal_token1] = ACTIONS(726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(728),
    [sym_PropN] = ACTIONS(690),
  },
  [316] = {
    [sym__FORALL] = STATE(8447),
    [sym__LAMBDA] = STATE(8084),
    [sym__ELLIPSIS] = STATE(5289),
    [sym__qid] = STATE(5289),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6233),
    [sym_stmt] = STATE(9516),
    [sym__with_exprs] = STATE(11398),
    [sym__with_exprs_stmt] = STATE(9957),
    [sym__expr_or_attr] = STATE(5289),
    [sym__application] = STATE(8949),
    [sym__application_stmt] = STATE(9957),
    [sym__expr2_without_let] = STATE(9526),
    [sym__expr2] = STATE(8949),
    [sym__expr2_stmt] = STATE(9957),
    [sym_atom] = STATE(5073),
    [aux_sym__atoms] = STATE(3121),
    [sym__atom_curly] = STATE(5228),
    [sym__atom_no_curly] = STATE(5228),
    [sym_forall] = STATE(9526),
    [sym_let] = STATE(8949),
    [sym_let_in_do] = STATE(9957),
    [sym_lambda] = STATE(9526),
    [sym_lambda_extended_or_absurd] = STATE(9526),
    [sym_do] = STATE(9526),
    [sym__do_stmt] = STATE(11418),
    [sym_record_assignments] = STATE(5289),
    [sym_field_assignments] = STATE(5289),
    [aux_sym__typed_bindings] = STATE(8664),
    [sym_typed_binding] = STATE(8664),
    [sym_literal] = STATE(5289),
    [sym_SetN] = STATE(5289),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3126),
    [aux_sym_do_repeat1] = STATE(279),
    [sym_id] = ACTIONS(734),
    [anon_sym_forall] = ACTIONS(736),
    [anon_sym_u2200] = ACTIONS(736),
    [anon_sym_BSLASH] = ACTIONS(738),
    [anon_sym_u03bb] = ACTIONS(740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(742),
    [anon_sym_u2026] = ACTIONS(742),
    [anon_sym_record] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(746),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(748),
    [anon_sym_u2983] = ACTIONS(750),
    [anon_sym__] = ACTIONS(742),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(752),
    [aux_sym__qid_token1] = ACTIONS(754),
    [anon_sym_DOT] = ACTIONS(756),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(762),
    [anon_sym_tactic] = ACTIONS(764),
    [anon_sym_Prop] = ACTIONS(742),
    [anon_sym_quote] = ACTIONS(742),
    [anon_sym_quoteTerm] = ACTIONS(742),
    [anon_sym_quoteContext] = ACTIONS(742),
    [anon_sym_unquote] = ACTIONS(742),
    [anon_sym_LPAREN_PIPE] = ACTIONS(766),
    [anon_sym_u2987] = ACTIONS(768),
    [anon_sym_let] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(772),
    [aux_sym_literal_token1] = ACTIONS(772),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(774),
    [sym_PropN] = ACTIONS(742),
  },
  [317] = {
    [sym__FORALL] = STATE(8447),
    [sym__LAMBDA] = STATE(8084),
    [sym__ELLIPSIS] = STATE(5289),
    [sym__qid] = STATE(5289),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6233),
    [sym_stmt] = STATE(9516),
    [sym__with_exprs] = STATE(11398),
    [sym__with_exprs_stmt] = STATE(9957),
    [sym__expr_or_attr] = STATE(5289),
    [sym__application] = STATE(8949),
    [sym__application_stmt] = STATE(9957),
    [sym__expr2_without_let] = STATE(9526),
    [sym__expr2] = STATE(8949),
    [sym__expr2_stmt] = STATE(9957),
    [sym_atom] = STATE(5073),
    [aux_sym__atoms] = STATE(3121),
    [sym__atom_curly] = STATE(5228),
    [sym__atom_no_curly] = STATE(5228),
    [sym_forall] = STATE(9526),
    [sym_let] = STATE(8949),
    [sym_let_in_do] = STATE(9957),
    [sym_lambda] = STATE(9526),
    [sym_lambda_extended_or_absurd] = STATE(9526),
    [sym_do] = STATE(9526),
    [sym__do_stmt] = STATE(11418),
    [sym_record_assignments] = STATE(5289),
    [sym_field_assignments] = STATE(5289),
    [aux_sym__typed_bindings] = STATE(8664),
    [sym_typed_binding] = STATE(8664),
    [sym_literal] = STATE(5289),
    [sym_SetN] = STATE(5289),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3126),
    [aux_sym_do_repeat1] = STATE(289),
    [sym_id] = ACTIONS(734),
    [anon_sym_forall] = ACTIONS(736),
    [anon_sym_u2200] = ACTIONS(736),
    [anon_sym_BSLASH] = ACTIONS(738),
    [anon_sym_u03bb] = ACTIONS(740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(742),
    [anon_sym_u2026] = ACTIONS(742),
    [anon_sym_record] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(746),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(748),
    [anon_sym_u2983] = ACTIONS(750),
    [anon_sym__] = ACTIONS(742),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(752),
    [aux_sym__qid_token1] = ACTIONS(754),
    [anon_sym_DOT] = ACTIONS(756),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(762),
    [anon_sym_tactic] = ACTIONS(764),
    [anon_sym_Prop] = ACTIONS(742),
    [anon_sym_quote] = ACTIONS(742),
    [anon_sym_quoteTerm] = ACTIONS(742),
    [anon_sym_quoteContext] = ACTIONS(742),
    [anon_sym_unquote] = ACTIONS(742),
    [anon_sym_LPAREN_PIPE] = ACTIONS(766),
    [anon_sym_u2987] = ACTIONS(768),
    [anon_sym_let] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(772),
    [aux_sym_literal_token1] = ACTIONS(772),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(774),
    [sym_PropN] = ACTIONS(742),
  },
  [318] = {
    [sym__FORALL] = STATE(8447),
    [sym__LAMBDA] = STATE(8084),
    [sym__ELLIPSIS] = STATE(5289),
    [sym__qid] = STATE(5289),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6233),
    [sym_stmt] = STATE(9516),
    [sym__with_exprs] = STATE(11398),
    [sym__with_exprs_stmt] = STATE(9957),
    [sym__expr_or_attr] = STATE(5289),
    [sym__application] = STATE(8949),
    [sym__application_stmt] = STATE(9957),
    [sym__expr2_without_let] = STATE(9526),
    [sym__expr2] = STATE(8949),
    [sym__expr2_stmt] = STATE(9957),
    [sym_atom] = STATE(5073),
    [aux_sym__atoms] = STATE(3121),
    [sym__atom_curly] = STATE(5228),
    [sym__atom_no_curly] = STATE(5228),
    [sym_forall] = STATE(9526),
    [sym_let] = STATE(8949),
    [sym_let_in_do] = STATE(9957),
    [sym_lambda] = STATE(9526),
    [sym_lambda_extended_or_absurd] = STATE(9526),
    [sym_do] = STATE(9526),
    [sym__do_stmt] = STATE(11418),
    [sym_record_assignments] = STATE(5289),
    [sym_field_assignments] = STATE(5289),
    [aux_sym__typed_bindings] = STATE(8664),
    [sym_typed_binding] = STATE(8664),
    [sym_literal] = STATE(5289),
    [sym_SetN] = STATE(5289),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3126),
    [aux_sym_do_repeat1] = STATE(299),
    [sym_id] = ACTIONS(734),
    [anon_sym_forall] = ACTIONS(736),
    [anon_sym_u2200] = ACTIONS(736),
    [anon_sym_BSLASH] = ACTIONS(738),
    [anon_sym_u03bb] = ACTIONS(740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(742),
    [anon_sym_u2026] = ACTIONS(742),
    [anon_sym_record] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(746),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(748),
    [anon_sym_u2983] = ACTIONS(750),
    [anon_sym__] = ACTIONS(742),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(752),
    [aux_sym__qid_token1] = ACTIONS(754),
    [anon_sym_DOT] = ACTIONS(756),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(762),
    [anon_sym_tactic] = ACTIONS(764),
    [anon_sym_Prop] = ACTIONS(742),
    [anon_sym_quote] = ACTIONS(742),
    [anon_sym_quoteTerm] = ACTIONS(742),
    [anon_sym_quoteContext] = ACTIONS(742),
    [anon_sym_unquote] = ACTIONS(742),
    [anon_sym_LPAREN_PIPE] = ACTIONS(766),
    [anon_sym_u2987] = ACTIONS(768),
    [anon_sym_let] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(85),
    [aux_sym_integer_token1] = ACTIONS(772),
    [aux_sym_literal_token1] = ACTIONS(772),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(774),
    [sym_PropN] = ACTIONS(742),
  },
  [319] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(10850),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(866),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [320] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(10575),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(914),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [321] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(10686),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(942),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [322] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(10623),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(942),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [323] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(10624),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(942),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [324] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(10625),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(988),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [325] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(10623),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(942),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [326] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(10624),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(942),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [327] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(10625),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(988),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [328] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(10724),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(990),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [329] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(10654),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(990),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [330] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(10655),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(990),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [331] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(10656),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(992),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [332] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(10654),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(990),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [333] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(10655),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(990),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [334] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(10656),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(992),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [335] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(11192),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(994),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [336] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(11116),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(994),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [337] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(11117),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(994),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [338] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(11118),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(996),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [339] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(11116),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(994),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [340] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(11117),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(994),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [341] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(11118),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(996),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [342] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(11267),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(998),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [343] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(11193),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(998),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [344] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(11194),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(998),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [345] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(11195),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1000),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [346] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(11193),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(998),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [347] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(11194),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(998),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [348] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(11195),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1000),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [349] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(11337),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1002),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [350] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(11268),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1002),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [351] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(11273),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1002),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [352] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(11274),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1004),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [353] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(11268),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1002),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [354] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(11273),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1002),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [355] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(11274),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1004),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [356] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(11452),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1006),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [357] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(11371),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1006),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [358] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(11372),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1006),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [359] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(11373),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1008),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [360] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(11371),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1006),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [361] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(11372),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1006),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [362] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(11373),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1008),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [363] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(11742),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1010),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [364] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(11666),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1010),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [365] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(11667),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1010),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [366] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(11668),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [367] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(11666),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1010),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [368] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(11667),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1010),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [369] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(11668),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [370] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(12003),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1014),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [371] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(11915),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1014),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [372] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(11917),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1014),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [373] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(11918),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [374] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(11915),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1014),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [375] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(11917),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1014),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [376] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(11918),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [377] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(12058),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1018),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [378] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(11969),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1018),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [379] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(11971),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1018),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [380] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(11975),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1020),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [381] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(11969),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1018),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [382] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(11971),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1018),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [383] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(11975),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1020),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [384] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(12085),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1022),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [385] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(12005),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1022),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [386] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(12006),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1022),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [387] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(12007),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1024),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [388] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(12005),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1022),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [389] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(12006),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1022),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [390] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(12007),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1024),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [391] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(12143),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1026),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [392] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(12059),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1026),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [393] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(12061),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1026),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [394] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(12062),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1028),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [395] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(12059),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1026),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [396] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(12061),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1026),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [397] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(12062),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1028),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [398] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(12199),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1030),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [399] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(12115),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1030),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [400] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(12119),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1030),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [401] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(12122),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1032),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [402] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(12115),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1030),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [403] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(12119),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1030),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [404] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(12122),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1032),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [405] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(12392),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1034),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [406] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(12313),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1034),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [407] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(12315),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1034),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [408] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(12318),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1036),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [409] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(12313),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1034),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [410] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(12315),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1034),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [411] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(12318),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1036),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [412] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(12462),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1038),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [413] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(12367),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1038),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [414] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(12368),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1038),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [415] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(12369),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [416] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(12367),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1038),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [417] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(12368),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1038),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [418] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(12369),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [419] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(12534),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1042),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [420] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(12421),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1042),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [421] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(12426),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1042),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [422] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(12427),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1044),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [423] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(12421),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1042),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [424] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(12426),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1042),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [425] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(12427),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1044),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [426] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(12581),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1046),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [427] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(12463),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1046),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [428] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(12464),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1046),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [429] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(12472),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1048),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [430] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(12463),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1046),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [431] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(12464),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1046),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [432] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(12472),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1048),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [433] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(10851),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(866),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [434] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(12667),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1050),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [435] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(12535),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1050),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [436] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(12536),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1050),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [437] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(12544),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1052),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [438] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(12535),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1050),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [439] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(12536),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1050),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [440] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(12544),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1052),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [441] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(11788),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1054),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [442] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(10760),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1054),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [443] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(10770),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1054),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [444] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(10786),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [445] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(10760),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1054),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [446] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(10770),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1054),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [447] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(10786),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [448] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(10699),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1058),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [449] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(10847),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(866),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [450] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(10851),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(866),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [451] = {
    [sym__record_directive] = STATE(11238),
    [sym_record_constructor] = STATE(11238),
    [sym_record_constructor_instance] = STATE(11238),
    [sym_record_induction] = STATE(11238),
    [sym_record_eta] = STATE(11238),
    [aux_sym_record_declarations_block_repeat1] = STATE(451),
    [sym_id] = ACTIONS(1060),
    [anon_sym_forall] = ACTIONS(1060),
    [anon_sym_u2200] = ACTIONS(1060),
    [anon_sym_BSLASH] = ACTIONS(1062),
    [anon_sym_u03bb] = ACTIONS(1060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1060),
    [anon_sym_u2026] = ACTIONS(1060),
    [anon_sym_field] = ACTIONS(1060),
    [anon_sym_instance] = ACTIONS(1064),
    [anon_sym_module] = ACTIONS(1060),
    [anon_sym_data] = ACTIONS(1060),
    [anon_sym_codata] = ACTIONS(1060),
    [anon_sym_record] = ACTIONS(1060),
    [anon_sym_constructor] = ACTIONS(1067),
    [anon_sym_inductive] = ACTIONS(1070),
    [anon_sym_coinductive] = ACTIONS(1070),
    [anon_sym_eta_DASHequality] = ACTIONS(1073),
    [anon_sym_no_DASHeta_DASHequality] = ACTIONS(1073),
    [anon_sym_infix] = ACTIONS(1060),
    [anon_sym_infixl] = ACTIONS(1060),
    [anon_sym_infixr] = ACTIONS(1060),
    [anon_sym_variable] = ACTIONS(1060),
    [anon_sym_mutual] = ACTIONS(1060),
    [anon_sym_abstract] = ACTIONS(1060),
    [anon_sym_private] = ACTIONS(1060),
    [anon_sym_macro] = ACTIONS(1060),
    [anon_sym_postulate] = ACTIONS(1060),
    [anon_sym_primitive] = ACTIONS(1060),
    [anon_sym_open] = ACTIONS(1060),
    [anon_sym_import] = ACTIONS(1060),
    [anon_sym_LPAREN] = ACTIONS(1060),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(1060),
    [anon_sym_u2983] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1060),
    [sym_pragma] = ACTIONS(1060),
    [anon_sym_syntax] = ACTIONS(1060),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym_pattern] = ACTIONS(1060),
    [anon_sym_unquoteDecl] = ACTIONS(1060),
    [anon_sym_unquoteDef] = ACTIONS(1060),
    [aux_sym__qid_token1] = ACTIONS(1060),
    [anon_sym_DOT] = ACTIONS(1060),
    [anon_sym_AT] = ACTIONS(1060),
    [anon_sym_quoteGoal] = ACTIONS(1060),
    [anon_sym_tactic] = ACTIONS(1060),
    [anon_sym_Prop] = ACTIONS(1060),
    [anon_sym_quote] = ACTIONS(1060),
    [anon_sym_quoteTerm] = ACTIONS(1060),
    [anon_sym_quoteContext] = ACTIONS(1060),
    [anon_sym_unquote] = ACTIONS(1060),
    [anon_sym_LPAREN_PIPE] = ACTIONS(1060),
    [anon_sym_u2987] = ACTIONS(1060),
    [anon_sym_let] = ACTIONS(1060),
    [anon_sym_do] = ACTIONS(1060),
    [aux_sym_integer_token1] = ACTIONS(1060),
    [aux_sym_literal_token1] = ACTIONS(1060),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(1060),
    [sym_PropN] = ACTIONS(1060),
    [sym__dedent] = ACTIONS(1062),
  },
  [452] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(10699),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1058),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [453] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(10951),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1076),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [454] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(10953),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1076),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [455] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(10954),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1076),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [456] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(10852),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1078),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [457] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(10953),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1076),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [458] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(10954),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1076),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [459] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(10852),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1078),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [460] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(10850),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(866),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [461] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(11036),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1080),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [462] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(11038),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1080),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [463] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(11039),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [464] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(10955),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1082),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [465] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(11038),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1080),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [466] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(11039),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [467] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(10955),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1082),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [468] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(11300),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1084),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [469] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(11215),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1084),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [470] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(11216),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1084),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [471] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(11134),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1086),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [472] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(11215),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1084),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [473] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(11216),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1084),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [474] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(11134),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1086),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [475] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(11382),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1088),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [476] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(11302),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1088),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [477] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(11303),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [478] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(11217),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1090),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [479] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(10574),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1092),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [480] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(11303),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [481] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(11217),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1090),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [482] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(11716),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1094),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [483] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(11643),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1094),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [484] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(11644),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1094),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [485] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(11565),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1096),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [486] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(11643),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1094),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [487] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(11644),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1094),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [488] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(11565),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1096),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [489] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(11791),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1098),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [490] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(11718),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1098),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [491] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(11719),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1098),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [492] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(11645),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1100),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [493] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(11718),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1098),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [494] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(11719),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1098),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [495] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(11645),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1100),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [496] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(11902),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1102),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [497] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(11795),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1102),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [498] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(11796),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1102),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [499] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(11720),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1104),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [500] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(11795),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1102),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [501] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(11796),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1102),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [502] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(11720),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1104),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [503] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(10619),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1106),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [504] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(11089),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1106),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [505] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(11109),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1106),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [506] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(10467),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1108),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [507] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(11089),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1106),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [508] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(11109),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1106),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [509] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(10467),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1108),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [510] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(10327),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1110),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [511] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(12138),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1110),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [512] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(12195),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1110),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [513] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(11057),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [514] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(12138),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1110),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [515] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(12195),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1110),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [516] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(11057),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [517] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(12047),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1114),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [518] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(12107),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1114),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [519] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(12110),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1114),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [520] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(11435),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1116),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [521] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(12107),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1114),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [522] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(12110),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1114),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [523] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(11435),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1116),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [524] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(12715),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1118),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [525] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(11581),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1118),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [526] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(11607),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1118),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [527] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(12111),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1120),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [528] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(11581),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1118),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [529] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(11607),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1118),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [530] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(12111),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1120),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [531] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(10992),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1122),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [532] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(10497),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1122),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [533] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(10500),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1122),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [534] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(10345),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [535] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(10497),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1122),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [536] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(10500),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1122),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [537] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(10345),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [538] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(11251),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1126),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [539] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(12783),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1126),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [540] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(12784),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1126),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [541] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(12785),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [542] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(12783),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1126),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [543] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(12784),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1126),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [544] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(12785),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [545] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(12190),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1130),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [546] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(11252),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1130),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [547] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(11254),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1130),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [548] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(11258),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [549] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(11252),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1130),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [550] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(11254),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1130),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [551] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(11258),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [552] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(12403),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1134),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [553] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(11739),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1134),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [554] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(11755),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1134),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [555] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(11756),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [556] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(11739),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1134),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [557] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(11755),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1134),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [558] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(11756),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [559] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(12455),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1138),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [560] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(11999),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1138),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [561] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(12002),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1138),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [562] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(12015),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [563] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(11999),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1138),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [564] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(12002),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1138),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [565] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(12015),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [566] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(10235),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1142),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [567] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(12650),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1142),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [568] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(12652),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1142),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [569] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(12656),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [570] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(12650),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1142),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [571] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(12652),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1142),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [572] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(12656),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [573] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(10266),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1146),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [574] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(12721),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1146),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [575] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(12723),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1146),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [576] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(12724),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [577] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(12721),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1146),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [578] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(12723),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1146),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [579] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(12724),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [580] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(10488),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1150),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [581] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(10427),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1150),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [582] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(10428),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [583] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(10429),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1152),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [584] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(10427),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1150),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [585] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(10428),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [586] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(10429),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1152),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [587] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(10523),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1154),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [588] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(10459),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1154),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [589] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(10460),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1154),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [590] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(10461),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [591] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(10459),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1154),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [592] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(10460),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1154),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [593] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(10461),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [594] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(10588),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1158),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [595] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(10524),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1158),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [596] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(10525),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1158),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [597] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(10526),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [598] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(10524),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1158),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [599] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(10525),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1158),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [600] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(10526),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [601] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(10622),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1162),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [602] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(10557),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1162),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [603] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(10558),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1162),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [604] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(10559),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [605] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(10557),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1162),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [606] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(11737),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6259),
    [sym_expr] = STATE(10558),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1162),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [607] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(12640),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6261),
    [sym_expr] = STATE(10559),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [608] = {
    [sym__FORALL] = STATE(8435),
    [sym__LAMBDA] = STATE(8060),
    [sym__ELLIPSIS] = STATE(4764),
    [sym_open] = STATE(10491),
    [sym__qid] = STATE(4764),
    [sym_attribute] = STATE(6098),
    [sym_attributes] = STATE(3785),
    [sym_expr] = STATE(10637),
    [sym__with_exprs] = STATE(9952),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9548),
    [sym__expr2_without_let] = STATE(9548),
    [sym__expr2] = STATE(9548),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3244),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9548),
    [sym_let] = STATE(9548),
    [sym_lambda] = STATE(9548),
    [sym_lambda_extended_or_absurd] = STATE(9548),
    [sym_do] = STATE(9548),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8634),
    [sym_typed_binding] = STATE(8634),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(6098),
    [aux_sym__with_exprs_repeat1] = STATE(3724),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(934),
    [anon_sym_u2200] = ACTIONS(934),
    [anon_sym_BSLASH] = ACTIONS(936),
    [anon_sym_u03bb] = ACTIONS(938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(1092),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(73),
    [anon_sym_quoteGoal] = ACTIONS(944),
    [anon_sym_tactic] = ACTIONS(946),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [609] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(10546),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3620),
    [sym_expr] = STATE(10573),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1092),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [610] = {
    [sym__FORALL] = STATE(8439),
    [sym__LAMBDA] = STATE(8067),
    [sym__ELLIPSIS] = STATE(5025),
    [sym__qid] = STATE(5025),
    [sym__binding_ids_and_absurds] = STATE(10580),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3446),
    [sym_expr] = STATE(10574),
    [sym__with_exprs] = STATE(9716),
    [sym__expr_or_attr] = STATE(5025),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4952),
    [aux_sym__atoms] = STATE(3302),
    [sym__atom_curly] = STATE(5006),
    [sym__atom_no_curly] = STATE(5006),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(5025),
    [sym_field_assignments] = STATE(5025),
    [aux_sym__typed_bindings] = STATE(8688),
    [sym_typed_binding] = STATE(8688),
    [sym_literal] = STATE(5025),
    [sym_SetN] = STATE(5025),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3755),
    [sym_id] = ACTIONS(950),
    [anon_sym_forall] = ACTIONS(952),
    [anon_sym_u2200] = ACTIONS(952),
    [anon_sym_BSLASH] = ACTIONS(954),
    [anon_sym_u03bb] = ACTIONS(956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(958),
    [anon_sym_u2026] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(964),
    [anon_sym_u2983] = ACTIONS(966),
    [anon_sym_u2984] = ACTIONS(1092),
    [anon_sym__] = ACTIONS(958),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(968),
    [aux_sym__qid_token1] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(974),
    [anon_sym_tactic] = ACTIONS(976),
    [anon_sym_Prop] = ACTIONS(958),
    [anon_sym_quote] = ACTIONS(958),
    [anon_sym_quoteTerm] = ACTIONS(958),
    [anon_sym_quoteContext] = ACTIONS(958),
    [anon_sym_unquote] = ACTIONS(958),
    [anon_sym_LPAREN_PIPE] = ACTIONS(978),
    [anon_sym_u2987] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(984),
    [aux_sym_literal_token1] = ACTIONS(984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(986),
    [sym_PropN] = ACTIONS(958),
  },
  [611] = {
    [sym__FORALL] = STATE(8440),
    [sym__LAMBDA] = STATE(8072),
    [sym__ELLIPSIS] = STATE(5079),
    [sym__qid] = STATE(5079),
    [sym__binding_ids_and_absurds] = STATE(10590),
    [sym_attribute] = STATE(5761),
    [sym_attributes] = STATE(3470),
    [sym_expr] = STATE(10575),
    [sym__with_exprs] = STATE(9819),
    [sym__expr_or_attr] = STATE(5079),
    [sym__application] = STATE(9635),
    [sym__expr2_without_let] = STATE(9635),
    [sym__expr2] = STATE(9635),
    [sym_atom] = STATE(5348),
    [aux_sym__atoms] = STATE(3305),
    [sym__atom_curly] = STATE(5081),
    [sym__atom_no_curly] = STATE(5081),
    [sym_forall] = STATE(9635),
    [sym_let] = STATE(9635),
    [sym_lambda] = STATE(9635),
    [sym_lambda_extended_or_absurd] = STATE(9635),
    [sym_do] = STATE(9635),
    [sym_record_assignments] = STATE(5079),
    [sym_field_assignments] = STATE(5079),
    [aux_sym__typed_bindings] = STATE(8661),
    [sym_typed_binding] = STATE(8661),
    [sym_literal] = STATE(5079),
    [sym_SetN] = STATE(5079),
    [aux_sym__modal_arg_ids_repeat1] = STATE(5761),
    [aux_sym__with_exprs_repeat1] = STATE(3710),
    [sym_id] = ACTIONS(894),
    [anon_sym_forall] = ACTIONS(896),
    [anon_sym_u2200] = ACTIONS(896),
    [anon_sym_BSLASH] = ACTIONS(898),
    [anon_sym_u03bb] = ACTIONS(900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(902),
    [anon_sym_u2026] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(908),
    [anon_sym_u2983] = ACTIONS(910),
    [anon_sym__] = ACTIONS(902),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(914),
    [aux_sym__qid_token1] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(918),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_quoteGoal] = ACTIONS(920),
    [anon_sym_tactic] = ACTIONS(922),
    [anon_sym_Prop] = ACTIONS(902),
    [anon_sym_quote] = ACTIONS(902),
    [anon_sym_quoteTerm] = ACTIONS(902),
    [anon_sym_quoteContext] = ACTIONS(902),
    [anon_sym_unquote] = ACTIONS(902),
    [anon_sym_LPAREN_PIPE] = ACTIONS(924),
    [anon_sym_u2987] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(724),
    [aux_sym_integer_token1] = ACTIONS(930),
    [aux_sym_literal_token1] = ACTIONS(930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(932),
    [sym_PropN] = ACTIONS(902),
  },
  [612] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(10573),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1092),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
  [613] = {
    [sym__FORALL] = STATE(8436),
    [sym__LAMBDA] = STATE(8082),
    [sym__ELLIPSIS] = STATE(4764),
    [sym__qid] = STATE(4764),
    [sym__binding_ids_and_absurds] = STATE(11682),
    [sym_attribute] = STATE(7686),
    [sym_attributes] = STATE(6003),
    [sym_expr] = STATE(11302),
    [sym__with_exprs] = STATE(10220),
    [sym__expr_or_attr] = STATE(4764),
    [sym__application] = STATE(9453),
    [sym__expr2_without_let] = STATE(9453),
    [sym__expr2] = STATE(9453),
    [sym_atom] = STATE(4730),
    [aux_sym__atoms] = STATE(3338),
    [sym__atom_curly] = STATE(4752),
    [sym__atom_no_curly] = STATE(4752),
    [sym_forall] = STATE(9453),
    [sym_let] = STATE(9453),
    [sym_lambda] = STATE(9453),
    [sym_lambda_extended_or_absurd] = STATE(9453),
    [sym_do] = STATE(9453),
    [sym_record_assignments] = STATE(4764),
    [sym_field_assignments] = STATE(4764),
    [aux_sym__typed_bindings] = STATE(8678),
    [sym_typed_binding] = STATE(8678),
    [sym_literal] = STATE(4764),
    [sym_SetN] = STATE(4764),
    [aux_sym__modal_arg_ids_repeat1] = STATE(7686),
    [aux_sym__with_exprs_repeat1] = STATE(3759),
    [sym_id] = ACTIONS(850),
    [anon_sym_forall] = ACTIONS(852),
    [anon_sym_u2200] = ACTIONS(852),
    [anon_sym_BSLASH] = ACTIONS(854),
    [anon_sym_u03bb] = ACTIONS(856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(858),
    [anon_sym_u2026] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1088),
    [anon_sym_u2983] = ACTIONS(868),
    [anon_sym__] = ACTIONS(858),
    [sym_pragma] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(870),
    [aux_sym__qid_token1] = ACTIONS(872),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_quoteGoal] = ACTIONS(878),
    [anon_sym_tactic] = ACTIONS(880),
    [anon_sym_Prop] = ACTIONS(858),
    [anon_sym_quote] = ACTIONS(858),
    [anon_sym_quoteTerm] = ACTIONS(858),
    [anon_sym_quoteContext] = ACTIONS(858),
    [anon_sym_unquote] = ACTIONS(858),
    [anon_sym_LPAREN_PIPE] = ACTIONS(882),
    [anon_sym_u2987] = ACTIONS(884),
    [anon_sym_let] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(888),
    [aux_sym_integer_token1] = ACTIONS(890),
    [aux_sym_literal_token1] = ACTIONS(890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_Set] = ACTIONS(892),
    [sym_PropN] = ACTIONS(858),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1180), 1,
      anon_sym_RPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11943), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [139] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1114), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12047), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [278] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1114), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12107), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [417] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1114), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12110), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [556] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1116), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11435), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [695] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1294), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10314), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [834] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1294), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10251), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [973] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1294), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10252), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [1112] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1296), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10253), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [1251] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1298), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10329), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [1390] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1298), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10267), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [1529] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1298), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10268), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [1668] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1300), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10269), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [1807] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1118), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12715), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [1946] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1118), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11581), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [2085] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1118), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11607), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [2224] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1120), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12111), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [2363] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1302), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10347), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [2502] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1302), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10284), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [2641] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1302), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10285), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [2780] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1304), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10286), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [2919] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1306), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10362), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [3058] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1306), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10299), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [3197] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1306), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10300), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [3336] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1308), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10301), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [3475] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1310), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10378), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [3614] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1310), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10315), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [3753] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1310), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10316), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [3892] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1312), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10317), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [4031] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1122), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10992), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [4170] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1122), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10497), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [4309] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1122), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10500), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [4448] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1124), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10345), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [4587] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1314), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10394), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [4726] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1314), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10330), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [4865] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1314), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10331), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [5004] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1316), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10332), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [5143] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1318), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10411), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [5282] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1318), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10348), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [5421] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1318), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10349), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [5560] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1320), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10350), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [5699] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1322), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10426), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [5838] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1322), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10363), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [5977] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1322), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10364), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [6116] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1324), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10365), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [6255] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1326), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10441), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [6394] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1326), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10379), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [6533] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1326), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10380), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [6672] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1328), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10381), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [6811] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1330), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10458), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [6950] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1330), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10395), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [7089] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1330), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10396), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [7228] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1332), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10397), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [7367] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1334), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10473), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [7506] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1334), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10412), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [7645] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1334), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10413), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [7784] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1336), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10414), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [7923] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1338), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10506), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [8062] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1338), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10442), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [8201] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1338), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10443), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [8340] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1340), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10444), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [8479] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1342), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10538), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [8618] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1342), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10474), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [8757] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1342), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10475), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [8896] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1344), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10476), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [9035] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1346), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10556), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [9174] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1346), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10489), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [9313] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1346), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10490), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [9452] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1348), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10492), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [9591] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1126), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11251), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [9730] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1126), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12783), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [9869] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1126), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12784), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [10008] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1128), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12785), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [10147] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1350), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10572), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [10286] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1350), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10507), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [10425] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1350), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10508), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [10564] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1352), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10510), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [10703] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1354), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10606), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [10842] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1354), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10539), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [10981] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1354), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10540), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [11120] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1356), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10541), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [11259] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1358), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10653), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [11398] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1358), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10589), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [11537] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1358), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10591), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [11676] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1360), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10592), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [11815] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1130), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12190), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [11954] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1130), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11252), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [12093] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1130), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11254), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [12232] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1132), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11258), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [12371] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1362), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10670), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [12510] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1362), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10607), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [12649] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1362), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10608), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [12788] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1364), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10609), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [12927] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1366), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10707), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [13066] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1366), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10638), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [13205] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1366), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10639), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [13344] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1368), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10640), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [13483] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1370), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10742), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [13622] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1370), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10671), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [13761] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1370), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10672), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [13900] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1372), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10673), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [14039] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1134), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12403), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [14178] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1134), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11739), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [14317] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1134), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11755), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [14456] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1136), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11756), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [14595] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1374), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10765), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [14734] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1374), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10687), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [14873] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1374), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10688), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [15012] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1376), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10689), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [15151] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1378), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10784), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [15290] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1378), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10708), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [15429] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1378), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10709), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [15568] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1380), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10710), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [15707] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1138), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12455), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [15846] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1138), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11999), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [15985] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1138), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12002), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [16124] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1140), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12015), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [16263] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1382), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10814), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [16402] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1382), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10725), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [16541] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1382), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10726), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [16680] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1384), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10727), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [16819] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1386), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10836), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [16958] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1386), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10743), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [17097] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1386), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10744), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [17236] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1388), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10745), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [17375] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1390), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10858), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [17514] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1390), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10766), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [17653] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1390), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10767), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [17792] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1392), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10768), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [17931] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1394), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10879), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [18070] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1394), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10788), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [18209] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1394), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10789), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [18348] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1396), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10794), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [18487] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1398), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11127), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [18626] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1398), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10815), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [18765] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1398), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10818), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [18904] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1400), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10820), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [19043] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1402), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10903), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [19182] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1402), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10837), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [19321] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1402), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10838), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [19460] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1404), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10839), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [19599] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1406), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10932), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [19738] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1406), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10859), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [19877] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1406), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10860), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [20016] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1408), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10861), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [20155] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1142), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10235), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [20294] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1142), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12650), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [20433] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1142), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12652), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [20572] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1144), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12656), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [20711] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1410), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10947), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [20850] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1410), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10880), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [20989] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1410), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10881), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [21128] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1412), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10883), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [21267] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1414), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10972), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [21406] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1414), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10904), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [21545] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1414), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10905), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [21684] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1416), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10910), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [21823] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1146), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10266), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [21962] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1146), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12721), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [22101] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1146), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12723), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [22240] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1148), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12724), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [22379] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1418), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10993), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [22518] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1418), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10933), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [22657] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1418), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10934), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [22796] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1420), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10935), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [22935] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1422), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11023), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [23074] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1422), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10948), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [23213] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1422), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10949), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [23352] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1424), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10950), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [23491] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1426), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11045), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [23630] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1426), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10973), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [23769] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1426), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10974), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [23908] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1428), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10975), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [24047] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1430), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11068), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [24186] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1430), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10994), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [24325] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1430), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10999), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [24464] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1432), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11000), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [24603] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1434), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11094), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [24742] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1434), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11024), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [24881] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1434), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11025), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [25020] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1436), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11026), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [25159] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1438), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11115), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [25298] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1438), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11048), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [25437] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1438), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11049), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [25576] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1440), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11050), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [25715] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1442), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11138), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [25854] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1442), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11069), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [25993] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1442), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11070), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [26132] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1444), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11071), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [26271] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1446), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11160), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [26410] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1446), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11097), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [26549] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1446), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11098), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [26688] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1448), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11099), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [26827] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1450), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11207), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [26966] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1450), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11141), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [27105] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1450), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11142), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [27244] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1452), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11143), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [27383] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1454), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11240), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [27522] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1454), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11161), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [27661] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1454), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11162), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [27800] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1456), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11164), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [27939] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1458), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11288), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [28078] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1458), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11208), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [28217] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1458), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11210), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [28356] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1460), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11212), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [28495] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1462), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11314), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [28634] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1462), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11241), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [28773] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1462), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11242), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [28912] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1464), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11243), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [29051] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1150), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10488), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [29190] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1150), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10427), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [29329] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1150), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10428), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [29468] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1152), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10429), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [29607] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1466), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11370), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [29746] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1466), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11289), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [29885] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1466), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11290), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [30024] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1468), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11291), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [30163] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1154), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10523), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [30302] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1154), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10459), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [30441] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1154), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10460), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [30580] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1156), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10461), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [30719] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1470), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11388), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [30858] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1470), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11315), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [30997] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1470), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11316), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [31136] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1472), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11317), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [31275] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1474), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11420), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [31414] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1474), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11338), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [31553] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1474), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11339), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [31692] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1476), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11340), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [31831] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1158), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10588), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [31970] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1158), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10524), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [32109] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1158), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10525), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [32248] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1160), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10526), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [32387] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1478), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11470), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [32526] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1478), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11394), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [32665] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1478), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11395), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [32804] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1480), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11400), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [32943] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1162), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10622), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [33082] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1162), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10557), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [33221] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1162), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10558), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [33360] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1164), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10559), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [33499] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1482), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11506), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [33638] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1482), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11423), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [33777] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1482), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11424), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [33916] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1484), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11425), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [34055] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1486), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11538), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [34194] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1486), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11454), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [34333] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1486), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11455), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [34472] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1488), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11456), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [34611] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1092), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10637), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [34750] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1092), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10573), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [34889] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1092), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10574), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [35028] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(914), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10575), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [35167] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1490), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11557), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [35306] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1490), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10232), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [35445] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1490), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11472), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [35584] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1492), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11474), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [35723] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1494), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11584), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [35862] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1494), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11507), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [36001] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1494), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11510), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [36140] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1496), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11511), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [36279] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(942), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10686), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [36418] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(942), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10623), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [36557] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(942), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10624), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [36696] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(988), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10625), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [36835] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(990), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10724), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [36974] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(990), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10654), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [37113] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(990), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10655), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [37252] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(992), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10656), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [37391] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1498), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11615), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [37530] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1498), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11540), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [37669] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1498), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11542), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [37808] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1500), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11543), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [37947] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1502), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11636), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [38086] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1502), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11559), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [38225] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1502), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11560), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [38364] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1504), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11562), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [38503] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1506), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11665), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [38642] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1506), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11588), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [38781] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1506), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11589), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [38920] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1508), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11590), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [39059] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1510), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11698), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [39198] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1510), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11621), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [39337] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1510), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11622), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [39476] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1512), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11623), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [39615] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1514), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11714), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [39754] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1514), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11637), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [39893] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1514), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11638), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [40032] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1516), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11640), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [40171] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1518), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11774), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [40310] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1518), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11699), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [40449] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1518), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11700), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [40588] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1520), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11701), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [40727] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1522), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11790), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [40866] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1522), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11715), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [41005] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1522), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11717), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [41144] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1524), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11723), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [41283] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1526), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11819), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [41422] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1526), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11744), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [41561] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1526), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11745), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [41700] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1528), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11746), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [41839] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1530), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11855), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [41978] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1530), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11775), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [42117] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1530), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11776), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [42256] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1532), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11778), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [42395] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1534), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11885), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [42534] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1534), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11792), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [42673] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1534), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11793), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [42812] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1536), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11800), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [42951] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1538), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11911), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [43090] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1538), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11820), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [43229] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1538), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11823), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [43368] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1540), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11825), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [43507] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1542), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11414), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [43646] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1180), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11857), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [43785] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1180), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11859), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [43924] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1544), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11863), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [44063] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1546), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11967), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [44202] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1546), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11886), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [44341] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1546), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11887), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [44480] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1548), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11889), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [44619] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1550), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12027), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [44758] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1550), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11946), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [44897] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1550), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11947), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [45036] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1552), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11949), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [45175] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1554), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12113), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [45314] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1554), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12029), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [45453] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1554), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12030), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [45592] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1556), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12031), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [45731] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1558), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12165), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [45870] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1558), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12086), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [46009] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1558), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12087), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [46148] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1560), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12089), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [46287] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(994), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11192), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [46426] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(994), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11116), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [46565] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(994), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11117), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [46704] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(996), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11118), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [46843] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1562), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12227), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [46982] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1562), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12145), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [47121] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1562), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12146), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [47260] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1564), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12147), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [47399] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(998), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11267), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [47538] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(998), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11193), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [47677] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(998), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11194), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [47816] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1000), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11195), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [47955] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1566), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12263), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [48094] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1566), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12167), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [48233] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1566), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12169), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [48372] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1568), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12171), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [48511] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1002), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11337), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [48650] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11268), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [48789] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1002), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11273), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [48928] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1004), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11274), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [49067] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1570), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12283), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [49206] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1570), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12201), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [49345] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1570), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12203), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [49484] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1572), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12207), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [49623] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1006), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11452), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [49762] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11371), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [49901] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1006), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11372), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [50040] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1008), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11373), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [50179] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1574), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12311), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [50318] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1574), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12229), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [50457] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1574), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12230), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [50596] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1576), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12231), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [50735] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1578), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12338), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [50874] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1578), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12265), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [51013] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1578), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12266), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [51152] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1580), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12267), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [51291] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1582), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12362), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [51430] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1582), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12285), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [51569] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1582), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12286), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [51708] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1584), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12287), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [51847] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1586), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12420), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [51986] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1586), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12339), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [52125] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1586), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12340), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [52264] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1588), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12347), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [52403] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1590), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12499), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [52542] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1590), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12393), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [52681] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1590), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12394), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [52820] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1592), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12399), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [52959] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1594), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12624), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [53098] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1594), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12500), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [53237] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1594), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12507), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [53376] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1596), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12508), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [53515] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1010), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11742), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [53654] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1010), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11666), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [53793] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1010), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11667), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [53932] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1012), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11668), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [54071] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1598), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12714), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [54210] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1598), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12582), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [54349] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1598), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12583), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [54488] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1600), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12588), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [54627] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1602), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12765), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [54766] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1602), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12625), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [54905] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1602), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12630), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [55044] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1604), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12631), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [55183] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1014), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12003), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [55322] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1014), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11915), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [55461] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1014), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11917), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [55600] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1016), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11918), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [55739] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1606), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12794), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [55878] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1606), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12672), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [56017] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1606), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12673), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [56156] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1608), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12678), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [56295] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1018), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12058), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [56434] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1018), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11969), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [56573] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1018), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11971), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [56712] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1020), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11975), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [56851] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1610), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10793), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [56990] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1610), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12751), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [57129] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1610), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12752), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [57268] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1612), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12753), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [57407] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1022), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12085), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [57546] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1022), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12005), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [57685] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1022), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12006), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [57824] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1024), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12007), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [57963] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1026), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12143), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [58102] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1026), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12059), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [58241] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1026), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12061), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [58380] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1028), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12062), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [58519] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1614), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10756), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [58658] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1614), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12766), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [58797] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1614), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12767), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [58936] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1616), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12769), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [59075] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1030), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12199), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [59214] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1030), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12115), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [59353] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1030), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12119), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [59492] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1032), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12122), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [59631] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1618), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11077), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [59770] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1618), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12795), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [59909] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1618), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12796), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [60048] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1620), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12797), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [60187] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1622), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11368), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [60326] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1622), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10855), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [60465] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1622), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11732), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [60604] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1624), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11733), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [60743] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1034), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12392), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [60882] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1034), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12313), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [61021] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1034), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12315), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [61160] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1626), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10238), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [61299] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1628), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12496), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [61438] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1628), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11081), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [61577] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1628), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11086), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [61716] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1630), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11112), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [61855] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1038), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12462), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [61994] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1038), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12367), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [62133] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1038), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12368), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [62272] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1040), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12369), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [62411] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1632), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10247), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [62550] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1632), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11503), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [62689] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1632), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11514), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [62828] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1634), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11520), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [62967] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1042), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12534), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [63106] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1042), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12421), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [63245] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1042), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12426), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [63384] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1044), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12427), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [63523] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1636), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10407), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [63662] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1636), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11806), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [63801] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1636), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11815), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [63940] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1638), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11931), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [64079] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1046), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12581), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [64218] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1046), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12463), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [64357] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1046), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12464), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [64496] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1048), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12472), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [64635] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1050), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12667), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [64774] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1050), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12535), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [64913] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1050), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12536), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [65052] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1052), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12544), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [65191] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1640), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10534), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [65330] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1640), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12498), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [65469] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1640), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12538), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [65608] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1642), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12539), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [65747] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1644), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10599), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [65886] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1644), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10248), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [66025] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1644), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10259), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [66164] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1646), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10260), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [66303] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1648), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10681), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [66442] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1648), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10410), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [66581] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1648), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10421), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [66720] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1650), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10422), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [66859] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1652), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10682), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [66998] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1652), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10535), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [67137] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1652), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10536), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [67276] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1654), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10545), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [67415] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1054), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11788), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [67554] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1054), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10760), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [67693] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1054), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10770), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [67832] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1056), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10786), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [67971] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1656), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10684), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [68110] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1656), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10600), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [68249] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1656), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10601), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [68388] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1658), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10616), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [68527] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1660), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10343), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [68666] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1542), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11459), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [68805] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1026), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12143), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [68944] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1542), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11348), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [69083] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1660), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10344), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [69222] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1664), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10501), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [69361] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1666), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10631), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [69500] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1668), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11489), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [69639] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1670), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10694), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [69778] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1670), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10696), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [69917] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1670), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10698), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [70056] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1672), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11041), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [70195] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1674), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11957), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [70334] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1674), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11202), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [70473] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1674), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11203), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [70612] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1676), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11204), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [70751] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(866), 1,
      anon_sym_RPAREN,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10847), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [70890] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1076), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10951), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [71029] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1678), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12099), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [71168] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(998), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11267), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [71307] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1678), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10968), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [71446] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1010), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11742), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [71585] = 39,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1682), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(5723), 1,
      sym__ELLIPSIS,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10997), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1680), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 6,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1174), 7,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [71728] = 39,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1682), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(5724), 1,
      sym__ELLIPSIS,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10998), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1684), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 6,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1226), 7,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [71871] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1686), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11213), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [72010] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1686), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11131), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [72149] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1686), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11132), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [72288] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1688), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11304), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [72427] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1030), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12199), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [72566] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1678), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10969), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [72705] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1690), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10971), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [72844] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1692), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10340), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [72983] = 39,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1694), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(5723), 1,
      sym__ELLIPSIS,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11558), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1680), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 6,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1174), 7,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [73126] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1080), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11036), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [73265] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1098), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11791), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [73404] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1098), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11718), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [73543] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1098), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11719), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [73682] = 39,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1694), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(5724), 1,
      sym__ELLIPSIS,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11564), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1684), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 6,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1226), 7,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [73825] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1696), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11469), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [73964] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1696), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11389), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [74103] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1696), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11390), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [74242] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1698), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11391), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [74381] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1100), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11645), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [74520] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1700), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11199), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [74659] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1700), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10636), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [74798] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1700), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10644), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [74937] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1084), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11300), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [75076] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1702), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10647), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [75215] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1034), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12392), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [75354] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1692), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12078), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [75493] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1704), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11556), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [75632] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1704), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11476), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [75771] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1704), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11477), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [75910] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1706), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11478), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [76049] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1692), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12103), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [76188] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1708), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12106), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [76327] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1710), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12141), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [76466] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1710), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11408), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [76605] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1088), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11382), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [76744] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1710), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11415), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [76883] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1712), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11416), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [77022] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1666), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10632), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [77161] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1694), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11639), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [77300] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1694), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11558), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [77439] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1694), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11564), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [77578] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1714), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11797), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [77717] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1014), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12003), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [77856] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1716), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10633), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [77995] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1718), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10341), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [78134] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1038), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12462), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [78273] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1094), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11716), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [78412] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(942), 1,
      anon_sym_RPAREN,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10686), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [78551] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1720), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11404), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [78690] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1720), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10805), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [78829] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1722), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12166), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [78968] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1722), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11906), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [79107] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1722), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11909), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [79246] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1058), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10699), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [79385] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1102), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11902), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [79524] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1102), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11795), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [79663] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1102), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11796), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [79802] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1104), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11720), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [79941] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1098), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11791), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [80080] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1720), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10811), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [80219] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1724), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10812), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [80358] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1002), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11337), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [80497] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(866), 1,
      anon_sym_RPAREN,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10847), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [80636] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(866), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10850), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [80775] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(866), 1,
      anon_sym_u2984,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10851), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [80914] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1726), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11910), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [81053] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(994), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11192), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [81192] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1042), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12534), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [81331] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1728), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10964), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [81470] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1728), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10337), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [81609] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1102), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11902), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [81748] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1018), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12058), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [81887] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1730), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12307), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [82026] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1730), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11582), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [82165] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1732), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12297), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [82304] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1732), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12041), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [82443] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1732), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12042), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [82582] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1734), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12045), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [82721] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1730), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11594), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [82860] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1736), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11598), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [82999] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1738), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10486), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [83138] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1738), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12732), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [83277] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1106), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10619), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [83416] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1738), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12735), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [83555] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1094), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11716), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [83694] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1046), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12581), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [83833] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1740), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12438), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [83972] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1740), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12170), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [84111] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1740), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12173), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [84250] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1742), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12174), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [84389] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1094), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11643), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [84528] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1094), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11644), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [84667] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1096), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11565), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [84806] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1744), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12491), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [84945] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1110), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10327), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [85084] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1744), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11753), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [85223] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1744), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11759), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [85362] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1746), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11761), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [85501] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1748), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12770), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [85640] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1748), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12301), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [85779] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1748), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12302), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [85918] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1078), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10852), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [86057] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1750), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12736), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [86196] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(990), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10724), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [86335] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1752), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11354), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [86474] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1752), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11386), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [86613] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1114), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12047), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [86752] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1022), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12085), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [86891] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1050), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12667), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [87030] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1752), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11406), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [87169] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1076), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10951), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [87308] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1076), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10953), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [87447] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1076), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10954), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [87586] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1754), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12305), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [87725] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1006), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11452), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [87864] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1756), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11609), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [88003] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1758), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12781), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [88142] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1758), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11958), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [88281] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1118), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12715), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [88420] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1758), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11959), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [88559] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1760), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11963), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [88698] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1762), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11578), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [88837] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1764), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11942), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [88976] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1764), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12444), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [89115] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1764), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12447), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [89254] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1766), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12448), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [89393] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1762), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11012), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [89532] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1762), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11017), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [89671] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1768), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11019), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [89810] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1054), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11788), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [89949] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1122), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10992), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [90088] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1728), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10339), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [90227] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1666), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11381), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [90366] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1660), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10634), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [90505] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1770), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10963), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [90644] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1770), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12772), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [90783] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1770), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12773), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [90922] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1082), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10955), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [91061] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1772), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12431), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [91200] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1772), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12142), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [91339] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1772), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12153), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [91478] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1774), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12155), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [91617] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1126), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11251), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [91756] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1776), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10739), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [91895] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1776), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12310), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [92034] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1776), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12323), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [92173] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1080), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11036), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [92312] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1080), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11038), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [92451] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1080), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11039), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [92590] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1778), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12774), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [92729] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1780), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12326), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [92868] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1106), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10619), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [93007] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1106), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11089), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [93146] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1106), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11109), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [93285] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1130), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12190), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [93424] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1108), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10467), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [93563] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1782), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10996), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [93702] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1782), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12516), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [93841] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1784), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11930), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [93980] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1784), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10325), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [94119] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1784), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10326), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [94258] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1786), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11158), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [94397] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1782), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12518), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [94536] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1788), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12519), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [94675] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1790), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11494), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [94814] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1790), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12439), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [94953] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1134), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12403), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [95092] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1790), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12440), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [95231] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1792), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12442), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [95370] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1794), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11738), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [95509] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1796), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12377), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [95648] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1796), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11937), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [95787] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1796), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11939), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [95926] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1086), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11134), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [96065] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1794), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10740), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [96204] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1794), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10741), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [96343] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1798), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10749), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [96482] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1682), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11977), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [96621] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1138), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12455), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [96760] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1682), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10997), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [96899] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1682), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10998), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [97038] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1800), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11009), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [97177] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1084), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11300), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [97316] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1084), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11215), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [97455] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1084), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11216), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [97594] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1802), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11954), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [97733] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1804), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12332), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [97872] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1804), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11496), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [98011] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1804), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11498), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [98150] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1806), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11499), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [98289] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1142), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10235), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [98428] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1808), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12501), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [98567] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1808), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12191), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [98706] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1808), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12193), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [98845] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1810), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10328), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [98984] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1810), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10666), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [99123] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1810), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10693), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [99262] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1812), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10857), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [99401] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1814), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12198), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [99540] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1816), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12559), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [99679] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1816), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12342), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [99818] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1816), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12343), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [99957] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1146), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10266), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [100096] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1818), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12344), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [100235] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1110), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10327), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [100374] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1110), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12138), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [100513] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1820), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11030), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [100652] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1820), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12600), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [100791] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1820), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12697), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [100930] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1090), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11217), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [101069] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1110), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12195), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [101208] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1112), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11057), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [101347] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1822), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12608), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [101486] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1822), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12406), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [101625] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1150), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10488), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [101764] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1822), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12413), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [101903] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1824), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12415), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [102042] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1826), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12646), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [102181] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1088), 1,
      anon_sym_RPAREN,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11382), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [102320] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1088), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11302), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [102459] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1088), 1,
      anon_sym_u2984,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11303), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [102598] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1828), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12760), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [102737] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1826), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12458), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [102876] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1826), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12460), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [103015] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1830), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12467), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [103154] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1832), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12688), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [103293] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1154), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10523), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [103432] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1832), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12503), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [103571] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1832), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12505), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [103710] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1834), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12512), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [103849] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1836), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12101), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [103988] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1836), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10371), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [104127] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1836), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10377), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [104266] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1838), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10385), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [104405] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1840), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12720), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [104544] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1840), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12565), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [104683] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1840), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12566), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [104822] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1842), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12568), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [104961] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1158), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10588), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [105100] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1844), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12744), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [105239] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1844), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12610), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [105378] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1844), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12613), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [105517] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1846), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11974), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [105656] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1846), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11044), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [105795] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1846), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11055), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [105934] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1848), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12197), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [106073] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1850), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12614), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [106212] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1852), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10250), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [106351] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1852), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12692), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [106490] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1852), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12694), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [106629] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1162), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10622), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [106768] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1854), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12698), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [106907] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1856), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10282), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [107046] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1856), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12745), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [107185] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1858), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10621), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [107324] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1858), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12077), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [107463] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1858), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12222), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [107602] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1860), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12238), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [107741] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1856), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12757), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [107880] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(1862), 1,
      anon_sym_RBRACE,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12759), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [108019] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1864), 1,
      anon_sym_RPAREN,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10298), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [108158] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(1864), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10236), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [108297] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1092), 1,
      anon_sym_RPAREN,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3244), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10637), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9671), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [108436] = 37,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(1864), 1,
      anon_sym_u2984,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10237), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [108575] = 37,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1036), 1,
      anon_sym_RBRACE,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12318), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [108714] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12586), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [108850] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1866), 1,
      sym_id,
    ACTIONS(1870), 1,
      anon_sym_BSLASH,
    ACTIONS(1872), 1,
      anon_sym_u03bb,
    ACTIONS(1876), 1,
      anon_sym_record,
    ACTIONS(1878), 1,
      anon_sym_LPAREN,
    ACTIONS(1880), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1882), 1,
      anon_sym_u2983,
    ACTIONS(1884), 1,
      anon_sym_LBRACE,
    ACTIONS(1886), 1,
      aux_sym__qid_token1,
    ACTIONS(1888), 1,
      anon_sym_DOT,
    ACTIONS(1890), 1,
      anon_sym_quoteGoal,
    ACTIONS(1892), 1,
      anon_sym_tactic,
    ACTIONS(1894), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1896), 1,
      anon_sym_u2987,
    ACTIONS(1898), 1,
      anon_sym_let,
    ACTIONS(1902), 1,
      anon_sym_Set,
    STATE(3277), 1,
      aux_sym__atoms,
    STATE(3742), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4687), 1,
      sym_atom,
    STATE(6266), 1,
      sym_attributes,
    STATE(8131), 1,
      sym__LAMBDA,
    STATE(8455), 1,
      sym__FORALL,
    STATE(9434), 1,
      sym_expr,
    STATE(9436), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1868), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1900), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4844), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8672), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4861), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1874), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [108986] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1866), 1,
      sym_id,
    ACTIONS(1870), 1,
      anon_sym_BSLASH,
    ACTIONS(1872), 1,
      anon_sym_u03bb,
    ACTIONS(1876), 1,
      anon_sym_record,
    ACTIONS(1878), 1,
      anon_sym_LPAREN,
    ACTIONS(1880), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1882), 1,
      anon_sym_u2983,
    ACTIONS(1884), 1,
      anon_sym_LBRACE,
    ACTIONS(1886), 1,
      aux_sym__qid_token1,
    ACTIONS(1888), 1,
      anon_sym_DOT,
    ACTIONS(1890), 1,
      anon_sym_quoteGoal,
    ACTIONS(1892), 1,
      anon_sym_tactic,
    ACTIONS(1894), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1896), 1,
      anon_sym_u2987,
    ACTIONS(1898), 1,
      anon_sym_let,
    ACTIONS(1902), 1,
      anon_sym_Set,
    STATE(3277), 1,
      aux_sym__atoms,
    STATE(3742), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4687), 1,
      sym_atom,
    STATE(6266), 1,
      sym_attributes,
    STATE(8131), 1,
      sym__LAMBDA,
    STATE(8455), 1,
      sym__FORALL,
    STATE(9436), 1,
      sym__with_exprs,
    STATE(9474), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1868), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1900), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4844), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8672), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4861), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1874), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [109122] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1904), 1,
      sym_id,
    ACTIONS(1908), 1,
      anon_sym_BSLASH,
    ACTIONS(1910), 1,
      anon_sym_u03bb,
    ACTIONS(1914), 1,
      anon_sym_record,
    ACTIONS(1916), 1,
      anon_sym_LPAREN,
    ACTIONS(1918), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1920), 1,
      anon_sym_u2983,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(1924), 1,
      aux_sym__qid_token1,
    ACTIONS(1926), 1,
      anon_sym_DOT,
    ACTIONS(1928), 1,
      anon_sym_quoteGoal,
    ACTIONS(1930), 1,
      anon_sym_tactic,
    ACTIONS(1932), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1934), 1,
      anon_sym_u2987,
    ACTIONS(1936), 1,
      anon_sym_let,
    ACTIONS(1940), 1,
      anon_sym_Set,
    STATE(3145), 1,
      aux_sym__atoms,
    STATE(3753), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4515), 1,
      sym_atom,
    STATE(6267), 1,
      sym_attributes,
    STATE(8141), 1,
      sym__LAMBDA,
    STATE(8457), 1,
      sym__FORALL,
    STATE(9151), 1,
      sym_expr,
    STATE(9288), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1906), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1938), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4621), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8631), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4454), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1912), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [109258] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1942), 1,
      sym_id,
    ACTIONS(1946), 1,
      anon_sym_BSLASH,
    ACTIONS(1948), 1,
      anon_sym_u03bb,
    ACTIONS(1952), 1,
      anon_sym_record,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1956), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1958), 1,
      anon_sym_u2983,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      aux_sym__qid_token1,
    ACTIONS(1964), 1,
      anon_sym_DOT,
    ACTIONS(1966), 1,
      anon_sym_quoteGoal,
    ACTIONS(1968), 1,
      anon_sym_tactic,
    ACTIONS(1970), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1972), 1,
      anon_sym_u2987,
    ACTIONS(1974), 1,
      anon_sym_let,
    ACTIONS(1978), 1,
      anon_sym_Set,
    STATE(3202), 1,
      aux_sym__atoms,
    STATE(3707), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4965), 1,
      sym_atom,
    STATE(6271), 1,
      sym_attributes,
    STATE(8062), 1,
      sym__LAMBDA,
    STATE(8473), 1,
      sym__FORALL,
    STATE(9617), 1,
      sym__with_exprs,
    STATE(9943), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1944), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1976), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5114), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8659), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5111), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1950), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [109394] = 35,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1980), 1,
      sym_id,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(1992), 1,
      anon_sym_record,
    ACTIONS(1994), 1,
      anon_sym_LPAREN,
    ACTIONS(1996), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1998), 1,
      anon_sym_u2983,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(2002), 1,
      aux_sym__qid_token1,
    ACTIONS(2004), 1,
      anon_sym_DOT,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2010), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2012), 1,
      anon_sym_u2987,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(2018), 1,
      anon_sym_Set,
    STATE(1433), 1,
      sym__ARROW,
    STATE(2721), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3316), 1,
      sym_catchall_pragma,
    STATE(3645), 1,
      aux_sym__atoms,
    STATE(5301), 1,
      sym_atom,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    STATE(8963), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1984), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2016), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5060), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8981), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5058), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1990), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [109528] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2020), 1,
      sym_id,
    ACTIONS(2024), 1,
      anon_sym_BSLASH,
    ACTIONS(2026), 1,
      anon_sym_u03bb,
    ACTIONS(2030), 1,
      anon_sym_record,
    ACTIONS(2032), 1,
      anon_sym_LPAREN,
    ACTIONS(2034), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2036), 1,
      anon_sym_u2983,
    ACTIONS(2038), 1,
      anon_sym_LBRACE,
    ACTIONS(2040), 1,
      aux_sym__qid_token1,
    ACTIONS(2042), 1,
      anon_sym_DOT,
    ACTIONS(2044), 1,
      anon_sym_quoteGoal,
    ACTIONS(2046), 1,
      anon_sym_tactic,
    ACTIONS(2048), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2050), 1,
      anon_sym_u2987,
    ACTIONS(2052), 1,
      anon_sym_let,
    ACTIONS(2056), 1,
      anon_sym_Set,
    STATE(3214), 1,
      aux_sym__atoms,
    STATE(3734), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4548), 1,
      sym_atom,
    STATE(6272), 1,
      sym_attributes,
    STATE(8070), 1,
      sym__LAMBDA,
    STATE(8476), 1,
      sym__FORALL,
    STATE(9328), 1,
      sym__with_exprs,
    STATE(9434), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2022), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2054), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4497), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8655), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4495), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2028), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [109664] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2020), 1,
      sym_id,
    ACTIONS(2024), 1,
      anon_sym_BSLASH,
    ACTIONS(2026), 1,
      anon_sym_u03bb,
    ACTIONS(2030), 1,
      anon_sym_record,
    ACTIONS(2032), 1,
      anon_sym_LPAREN,
    ACTIONS(2034), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2036), 1,
      anon_sym_u2983,
    ACTIONS(2038), 1,
      anon_sym_LBRACE,
    ACTIONS(2040), 1,
      aux_sym__qid_token1,
    ACTIONS(2042), 1,
      anon_sym_DOT,
    ACTIONS(2044), 1,
      anon_sym_quoteGoal,
    ACTIONS(2046), 1,
      anon_sym_tactic,
    ACTIONS(2048), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2050), 1,
      anon_sym_u2987,
    ACTIONS(2052), 1,
      anon_sym_let,
    ACTIONS(2056), 1,
      anon_sym_Set,
    STATE(3214), 1,
      aux_sym__atoms,
    STATE(3734), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4548), 1,
      sym_atom,
    STATE(6272), 1,
      sym_attributes,
    STATE(8070), 1,
      sym__LAMBDA,
    STATE(8476), 1,
      sym__FORALL,
    STATE(9328), 1,
      sym__with_exprs,
    STATE(9474), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2022), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2054), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4497), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8655), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4495), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2028), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [109800] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2058), 1,
      sym_id,
    ACTIONS(2062), 1,
      anon_sym_BSLASH,
    ACTIONS(2064), 1,
      anon_sym_u03bb,
    ACTIONS(2068), 1,
      anon_sym_record,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    ACTIONS(2072), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_u2983,
    ACTIONS(2076), 1,
      anon_sym_LBRACE,
    ACTIONS(2078), 1,
      aux_sym__qid_token1,
    ACTIONS(2080), 1,
      anon_sym_DOT,
    ACTIONS(2082), 1,
      anon_sym_quoteGoal,
    ACTIONS(2084), 1,
      anon_sym_tactic,
    ACTIONS(2086), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2088), 1,
      anon_sym_u2987,
    ACTIONS(2090), 1,
      anon_sym_let,
    ACTIONS(2094), 1,
      anon_sym_Set,
    STATE(3227), 1,
      aux_sym__atoms,
    STATE(3760), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4311), 1,
      sym_atom,
    STATE(6273), 1,
      sym_attributes,
    STATE(8149), 1,
      sym__LAMBDA,
    STATE(8477), 1,
      sym__FORALL,
    STATE(9151), 1,
      sym_expr,
    STATE(9184), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2060), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2092), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4363), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8668), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4360), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [109936] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2096), 1,
      sym_id,
    ACTIONS(2100), 1,
      anon_sym_BSLASH,
    ACTIONS(2102), 1,
      anon_sym_u03bb,
    ACTIONS(2106), 1,
      anon_sym_record,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    ACTIONS(2110), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2112), 1,
      anon_sym_u2983,
    ACTIONS(2114), 1,
      anon_sym_LBRACE,
    ACTIONS(2116), 1,
      aux_sym__qid_token1,
    ACTIONS(2118), 1,
      anon_sym_DOT,
    ACTIONS(2120), 1,
      anon_sym_quoteGoal,
    ACTIONS(2122), 1,
      anon_sym_tactic,
    ACTIONS(2124), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2126), 1,
      anon_sym_u2987,
    ACTIONS(2128), 1,
      anon_sym_let,
    ACTIONS(2132), 1,
      anon_sym_Set,
    STATE(3267), 1,
      aux_sym__atoms,
    STATE(3756), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4675), 1,
      sym_atom,
    STATE(6281), 1,
      sym_attributes,
    STATE(8140), 1,
      sym__LAMBDA,
    STATE(8487), 1,
      sym__FORALL,
    STATE(9475), 1,
      sym__with_exprs,
    STATE(9490), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2098), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2130), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4823), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8645), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4822), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2104), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [110072] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2096), 1,
      sym_id,
    ACTIONS(2100), 1,
      anon_sym_BSLASH,
    ACTIONS(2102), 1,
      anon_sym_u03bb,
    ACTIONS(2106), 1,
      anon_sym_record,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    ACTIONS(2110), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2112), 1,
      anon_sym_u2983,
    ACTIONS(2114), 1,
      anon_sym_LBRACE,
    ACTIONS(2116), 1,
      aux_sym__qid_token1,
    ACTIONS(2118), 1,
      anon_sym_DOT,
    ACTIONS(2120), 1,
      anon_sym_quoteGoal,
    ACTIONS(2122), 1,
      anon_sym_tactic,
    ACTIONS(2124), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2126), 1,
      anon_sym_u2987,
    ACTIONS(2128), 1,
      anon_sym_let,
    ACTIONS(2132), 1,
      anon_sym_Set,
    STATE(3267), 1,
      aux_sym__atoms,
    STATE(3756), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4675), 1,
      sym_atom,
    STATE(6281), 1,
      sym_attributes,
    STATE(8140), 1,
      sym__LAMBDA,
    STATE(8487), 1,
      sym__FORALL,
    STATE(9447), 1,
      sym_expr,
    STATE(9475), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2098), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2130), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4823), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8645), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4822), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2104), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [110208] = 37,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2134), 1,
      sym_id,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2152), 1,
      anon_sym_RBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    STATE(3573), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11421), 1,
      sym__field_assignments,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9908), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [110346] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(734), 1,
      sym_id,
    ACTIONS(738), 1,
      anon_sym_BSLASH,
    ACTIONS(740), 1,
      anon_sym_u03bb,
    ACTIONS(744), 1,
      anon_sym_record,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(748), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(750), 1,
      anon_sym_u2983,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(754), 1,
      aux_sym__qid_token1,
    ACTIONS(756), 1,
      anon_sym_DOT,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(762), 1,
      anon_sym_quoteGoal,
    ACTIONS(764), 1,
      anon_sym_tactic,
    ACTIONS(766), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(768), 1,
      anon_sym_u2987,
    ACTIONS(774), 1,
      anon_sym_Set,
    ACTIONS(2168), 1,
      anon_sym_let,
    STATE(3171), 1,
      aux_sym__atoms,
    STATE(3720), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5073), 1,
      sym_atom,
    STATE(6268), 1,
      sym_attributes,
    STATE(8084), 1,
      sym__LAMBDA,
    STATE(8447), 1,
      sym__FORALL,
    STATE(9490), 1,
      sym_expr,
    STATE(9511), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(772), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5228), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8646), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5289), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(742), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [110482] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2170), 1,
      sym_id,
    ACTIONS(2174), 1,
      anon_sym_BSLASH,
    ACTIONS(2176), 1,
      anon_sym_u03bb,
    ACTIONS(2180), 1,
      anon_sym_record,
    ACTIONS(2182), 1,
      anon_sym_LPAREN,
    ACTIONS(2184), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2186), 1,
      anon_sym_u2983,
    ACTIONS(2188), 1,
      anon_sym_LBRACE,
    ACTIONS(2190), 1,
      aux_sym__qid_token1,
    ACTIONS(2192), 1,
      anon_sym_DOT,
    ACTIONS(2194), 1,
      anon_sym_quoteGoal,
    ACTIONS(2196), 1,
      anon_sym_tactic,
    ACTIONS(2198), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2200), 1,
      anon_sym_u2987,
    ACTIONS(2202), 1,
      anon_sym_let,
    ACTIONS(2206), 1,
      anon_sym_Set,
    STATE(3182), 1,
      aux_sym__atoms,
    STATE(3749), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5525), 1,
      sym_atom,
    STATE(6269), 1,
      sym_attributes,
    STATE(8132), 1,
      sym__LAMBDA,
    STATE(8460), 1,
      sym__FORALL,
    STATE(9780), 1,
      sym__with_exprs,
    STATE(12786), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2172), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2204), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5405), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8680), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5420), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2178), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [110618] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(8994), 1,
      sym_expr,
    STATE(9716), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [110754] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1942), 1,
      sym_id,
    ACTIONS(1946), 1,
      anon_sym_BSLASH,
    ACTIONS(1948), 1,
      anon_sym_u03bb,
    ACTIONS(1952), 1,
      anon_sym_record,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1956), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1958), 1,
      anon_sym_u2983,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      aux_sym__qid_token1,
    ACTIONS(1964), 1,
      anon_sym_DOT,
    ACTIONS(1966), 1,
      anon_sym_quoteGoal,
    ACTIONS(1968), 1,
      anon_sym_tactic,
    ACTIONS(1970), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1972), 1,
      anon_sym_u2987,
    ACTIONS(1974), 1,
      anon_sym_let,
    ACTIONS(1978), 1,
      anon_sym_Set,
    STATE(3202), 1,
      aux_sym__atoms,
    STATE(3707), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4965), 1,
      sym_atom,
    STATE(6271), 1,
      sym_attributes,
    STATE(8062), 1,
      sym__LAMBDA,
    STATE(8473), 1,
      sym__FORALL,
    STATE(9617), 1,
      sym__with_exprs,
    STATE(9854), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1944), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1976), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5114), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8659), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5111), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1950), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [110890] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1942), 1,
      sym_id,
    ACTIONS(1946), 1,
      anon_sym_BSLASH,
    ACTIONS(1948), 1,
      anon_sym_u03bb,
    ACTIONS(1952), 1,
      anon_sym_record,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1956), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1958), 1,
      anon_sym_u2983,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      aux_sym__qid_token1,
    ACTIONS(1964), 1,
      anon_sym_DOT,
    ACTIONS(1966), 1,
      anon_sym_quoteGoal,
    ACTIONS(1968), 1,
      anon_sym_tactic,
    ACTIONS(1970), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1972), 1,
      anon_sym_u2987,
    ACTIONS(1974), 1,
      anon_sym_let,
    ACTIONS(1978), 1,
      anon_sym_Set,
    STATE(3202), 1,
      aux_sym__atoms,
    STATE(3707), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4965), 1,
      sym_atom,
    STATE(6271), 1,
      sym_attributes,
    STATE(8062), 1,
      sym__LAMBDA,
    STATE(8473), 1,
      sym__FORALL,
    STATE(9617), 1,
      sym__with_exprs,
    STATE(9873), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1944), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1976), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5114), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8659), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5111), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1950), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [111026] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym_expr,
    STATE(9952), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [111162] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(8939), 1,
      sym_expr,
    STATE(9952), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [111298] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(8947), 1,
      sym_expr,
    STATE(9952), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [111434] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3266), 1,
      aux_sym__atoms,
    STATE(3739), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6275), 1,
      sym_attributes,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    STATE(8960), 1,
      sym_expr,
    STATE(9519), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8683), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [111570] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9000), 1,
      sym_expr,
    STATE(9952), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [111706] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2096), 1,
      sym_id,
    ACTIONS(2100), 1,
      anon_sym_BSLASH,
    ACTIONS(2102), 1,
      anon_sym_u03bb,
    ACTIONS(2106), 1,
      anon_sym_record,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    ACTIONS(2110), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2112), 1,
      anon_sym_u2983,
    ACTIONS(2114), 1,
      anon_sym_LBRACE,
    ACTIONS(2116), 1,
      aux_sym__qid_token1,
    ACTIONS(2118), 1,
      anon_sym_DOT,
    ACTIONS(2120), 1,
      anon_sym_quoteGoal,
    ACTIONS(2122), 1,
      anon_sym_tactic,
    ACTIONS(2124), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2126), 1,
      anon_sym_u2987,
    ACTIONS(2128), 1,
      anon_sym_let,
    ACTIONS(2132), 1,
      anon_sym_Set,
    STATE(3267), 1,
      aux_sym__atoms,
    STATE(3756), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4675), 1,
      sym_atom,
    STATE(6281), 1,
      sym_attributes,
    STATE(8140), 1,
      sym__LAMBDA,
    STATE(8487), 1,
      sym__FORALL,
    STATE(9475), 1,
      sym__with_exprs,
    STATE(9606), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2098), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2130), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4823), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8645), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4822), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2104), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [111842] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3295), 1,
      aux_sym__atoms,
    STATE(3748), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6276), 1,
      sym_attributes,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    STATE(9495), 1,
      sym__with_exprs,
    STATE(9712), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8637), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [111978] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2096), 1,
      sym_id,
    ACTIONS(2100), 1,
      anon_sym_BSLASH,
    ACTIONS(2102), 1,
      anon_sym_u03bb,
    ACTIONS(2106), 1,
      anon_sym_record,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    ACTIONS(2110), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2112), 1,
      anon_sym_u2983,
    ACTIONS(2114), 1,
      anon_sym_LBRACE,
    ACTIONS(2116), 1,
      aux_sym__qid_token1,
    ACTIONS(2118), 1,
      anon_sym_DOT,
    ACTIONS(2120), 1,
      anon_sym_quoteGoal,
    ACTIONS(2122), 1,
      anon_sym_tactic,
    ACTIONS(2124), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2126), 1,
      anon_sym_u2987,
    ACTIONS(2128), 1,
      anon_sym_let,
    ACTIONS(2132), 1,
      anon_sym_Set,
    STATE(3267), 1,
      aux_sym__atoms,
    STATE(3756), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4675), 1,
      sym_atom,
    STATE(6281), 1,
      sym_attributes,
    STATE(8140), 1,
      sym__LAMBDA,
    STATE(8487), 1,
      sym__FORALL,
    STATE(9455), 1,
      sym_expr,
    STATE(9475), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2098), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2130), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4823), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8645), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4822), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2104), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [112114] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(8943), 1,
      sym_expr,
    STATE(9716), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [112250] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1942), 1,
      sym_id,
    ACTIONS(1946), 1,
      anon_sym_BSLASH,
    ACTIONS(1948), 1,
      anon_sym_u03bb,
    ACTIONS(1952), 1,
      anon_sym_record,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1956), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1958), 1,
      anon_sym_u2983,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      aux_sym__qid_token1,
    ACTIONS(1964), 1,
      anon_sym_DOT,
    ACTIONS(1966), 1,
      anon_sym_quoteGoal,
    ACTIONS(1968), 1,
      anon_sym_tactic,
    ACTIONS(1970), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1972), 1,
      anon_sym_u2987,
    ACTIONS(1974), 1,
      anon_sym_let,
    ACTIONS(1978), 1,
      anon_sym_Set,
    STATE(3202), 1,
      aux_sym__atoms,
    STATE(3707), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4965), 1,
      sym_atom,
    STATE(6271), 1,
      sym_attributes,
    STATE(8062), 1,
      sym__LAMBDA,
    STATE(8473), 1,
      sym__FORALL,
    STATE(9617), 1,
      sym__with_exprs,
    STATE(9797), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1944), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1976), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5114), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8659), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5111), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1950), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [112386] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3266), 1,
      aux_sym__atoms,
    STATE(3739), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6275), 1,
      sym_attributes,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    STATE(8975), 1,
      sym_expr,
    STATE(9519), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8683), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [112522] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(734), 1,
      sym_id,
    ACTIONS(738), 1,
      anon_sym_BSLASH,
    ACTIONS(740), 1,
      anon_sym_u03bb,
    ACTIONS(744), 1,
      anon_sym_record,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(748), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(750), 1,
      anon_sym_u2983,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(754), 1,
      aux_sym__qid_token1,
    ACTIONS(756), 1,
      anon_sym_DOT,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(762), 1,
      anon_sym_quoteGoal,
    ACTIONS(764), 1,
      anon_sym_tactic,
    ACTIONS(766), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(768), 1,
      anon_sym_u2987,
    ACTIONS(774), 1,
      anon_sym_Set,
    ACTIONS(2168), 1,
      anon_sym_let,
    STATE(3171), 1,
      aux_sym__atoms,
    STATE(3720), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5073), 1,
      sym_atom,
    STATE(6268), 1,
      sym_attributes,
    STATE(8084), 1,
      sym__LAMBDA,
    STATE(8447), 1,
      sym__FORALL,
    STATE(9447), 1,
      sym_expr,
    STATE(9511), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(772), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5228), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8646), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5289), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(742), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [112658] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3266), 1,
      aux_sym__atoms,
    STATE(3739), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6275), 1,
      sym_attributes,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    STATE(8986), 1,
      sym_expr,
    STATE(9519), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8683), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [112794] = 37,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2134), 1,
      sym_id,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(2246), 1,
      anon_sym_RBRACE,
    STATE(3573), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11280), 1,
      sym__field_assignments,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9908), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [112932] = 35,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1980), 1,
      sym_id,
    ACTIONS(1992), 1,
      anon_sym_record,
    ACTIONS(1994), 1,
      anon_sym_LPAREN,
    ACTIONS(1996), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1998), 1,
      anon_sym_u2983,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(2002), 1,
      aux_sym__qid_token1,
    ACTIONS(2004), 1,
      anon_sym_DOT,
    ACTIONS(2010), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2012), 1,
      anon_sym_u2987,
    ACTIONS(2018), 1,
      anon_sym_Set,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    STATE(1445), 1,
      sym__ARROW,
    STATE(2805), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3183), 1,
      sym_catchall_pragma,
    STATE(3452), 1,
      aux_sym__atoms,
    STATE(5301), 1,
      sym_atom,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    STATE(8963), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2016), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2250), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5060), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9459), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5058), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1990), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [113066] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11690), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [113202] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9476), 1,
      sym_expr,
    STATE(9819), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [113338] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym_expr,
    STATE(9716), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [113474] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(8939), 1,
      sym_expr,
    STATE(9716), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [113610] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(8947), 1,
      sym_expr,
    STATE(9716), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [113746] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3295), 1,
      aux_sym__atoms,
    STATE(3748), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6276), 1,
      sym_attributes,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    STATE(8960), 1,
      sym_expr,
    STATE(9495), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8637), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [113882] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9000), 1,
      sym_expr,
    STATE(9716), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [114018] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9431), 1,
      sym_expr,
    STATE(9819), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [114154] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3295), 1,
      aux_sym__atoms,
    STATE(3748), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6276), 1,
      sym_attributes,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    STATE(8975), 1,
      sym_expr,
    STATE(9495), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8637), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [114290] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3295), 1,
      aux_sym__atoms,
    STATE(3748), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6276), 1,
      sym_attributes,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    STATE(8986), 1,
      sym_expr,
    STATE(9495), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8637), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [114426] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(8994), 1,
      sym_expr,
    STATE(9952), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [114562] = 35,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2300), 1,
      sym_id,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2312), 1,
      anon_sym_record,
    ACTIONS(2314), 1,
      anon_sym_LPAREN,
    ACTIONS(2316), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2318), 1,
      anon_sym_u2983,
    ACTIONS(2320), 1,
      anon_sym_LBRACE,
    ACTIONS(2322), 1,
      aux_sym__qid_token1,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2330), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2332), 1,
      anon_sym_u2987,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(2338), 1,
      anon_sym_Set,
    STATE(1459), 1,
      sym__ARROW,
    STATE(2819), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3206), 1,
      sym_catchall_pragma,
    STATE(3553), 1,
      aux_sym__atoms,
    STATE(5693), 1,
      sym_atom,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    STATE(8963), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2304), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2336), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5629), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8981), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5626), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2310), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [114696] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2340), 1,
      sym_id,
    ACTIONS(2344), 1,
      anon_sym_BSLASH,
    ACTIONS(2346), 1,
      anon_sym_u03bb,
    ACTIONS(2350), 1,
      anon_sym_record,
    ACTIONS(2352), 1,
      anon_sym_LPAREN,
    ACTIONS(2354), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_u2983,
    ACTIONS(2358), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      aux_sym__qid_token1,
    ACTIONS(2362), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_quoteGoal,
    ACTIONS(2366), 1,
      anon_sym_tactic,
    ACTIONS(2368), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2370), 1,
      anon_sym_u2987,
    ACTIONS(2372), 1,
      anon_sym_let,
    ACTIONS(2376), 1,
      anon_sym_Set,
    STATE(3134), 1,
      aux_sym__atoms,
    STATE(3758), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5383), 1,
      sym_atom,
    STATE(6265), 1,
      sym_attributes,
    STATE(8080), 1,
      sym__LAMBDA,
    STATE(8442), 1,
      sym__FORALL,
    STATE(9760), 1,
      sym__with_exprs,
    STATE(9854), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2342), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2374), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5425), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8686), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5431), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2348), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [114832] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(8994), 1,
      sym_expr,
    STATE(9753), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [114968] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9479), 1,
      sym_expr,
    STATE(9819), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [115104] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9406), 1,
      sym_expr,
    STATE(9819), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [115240] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9411), 1,
      sym_expr,
    STATE(9819), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [115376] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    ACTIONS(2378), 1,
      sym_id,
    ACTIONS(2382), 1,
      anon_sym_record,
    ACTIONS(2384), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2388), 1,
      anon_sym_u2983,
    ACTIONS(2390), 1,
      anon_sym_LBRACE,
    ACTIONS(2392), 1,
      aux_sym__qid_token1,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2396), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2398), 1,
      anon_sym_u2987,
    ACTIONS(2402), 1,
      anon_sym_Set,
    STATE(3313), 1,
      aux_sym__atoms,
    STATE(3751), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5092), 1,
      sym_atom,
    STATE(6277), 1,
      sym_attributes,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    STATE(9412), 1,
      sym_expr,
    STATE(9685), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2400), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5218), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8653), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [115512] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9404), 1,
      sym_expr,
    STATE(9819), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [115648] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(8943), 1,
      sym_expr,
    STATE(9753), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [115784] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    ACTIONS(2378), 1,
      sym_id,
    ACTIONS(2382), 1,
      anon_sym_record,
    ACTIONS(2384), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2388), 1,
      anon_sym_u2983,
    ACTIONS(2390), 1,
      anon_sym_LBRACE,
    ACTIONS(2392), 1,
      aux_sym__qid_token1,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2396), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2398), 1,
      anon_sym_u2987,
    ACTIONS(2402), 1,
      anon_sym_Set,
    STATE(3313), 1,
      aux_sym__atoms,
    STATE(3751), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5092), 1,
      sym_atom,
    STATE(6277), 1,
      sym_attributes,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    STATE(9437), 1,
      sym_expr,
    STATE(9685), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2400), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5218), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8653), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [115920] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    ACTIONS(2378), 1,
      sym_id,
    ACTIONS(2382), 1,
      anon_sym_record,
    ACTIONS(2384), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2388), 1,
      anon_sym_u2983,
    ACTIONS(2390), 1,
      anon_sym_LBRACE,
    ACTIONS(2392), 1,
      aux_sym__qid_token1,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2396), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2398), 1,
      anon_sym_u2987,
    ACTIONS(2402), 1,
      anon_sym_Set,
    STATE(3313), 1,
      aux_sym__atoms,
    STATE(3751), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5092), 1,
      sym_atom,
    STATE(6277), 1,
      sym_attributes,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    STATE(9442), 1,
      sym_expr,
    STATE(9685), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2400), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5218), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8653), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [116056] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2340), 1,
      sym_id,
    ACTIONS(2344), 1,
      anon_sym_BSLASH,
    ACTIONS(2346), 1,
      anon_sym_u03bb,
    ACTIONS(2350), 1,
      anon_sym_record,
    ACTIONS(2352), 1,
      anon_sym_LPAREN,
    ACTIONS(2354), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_u2983,
    ACTIONS(2358), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      aux_sym__qid_token1,
    ACTIONS(2362), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_quoteGoal,
    ACTIONS(2366), 1,
      anon_sym_tactic,
    ACTIONS(2368), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2370), 1,
      anon_sym_u2987,
    ACTIONS(2372), 1,
      anon_sym_let,
    ACTIONS(2376), 1,
      anon_sym_Set,
    STATE(3134), 1,
      aux_sym__atoms,
    STATE(3758), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5383), 1,
      sym_atom,
    STATE(6265), 1,
      sym_attributes,
    STATE(8080), 1,
      sym__LAMBDA,
    STATE(8442), 1,
      sym__FORALL,
    STATE(9760), 1,
      sym__with_exprs,
    STATE(9873), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2342), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2374), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5425), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8686), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5431), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2348), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [116192] = 36,
    ACTIONS(13), 1,
      anon_sym_BSLASH,
    ACTIONS(15), 1,
      anon_sym_u03bb,
    ACTIONS(75), 1,
      anon_sym_quoteGoal,
    ACTIONS(77), 1,
      anon_sym_tactic,
    ACTIONS(83), 1,
      anon_sym_let,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2404), 1,
      sym_id,
    ACTIONS(2408), 1,
      anon_sym_record,
    ACTIONS(2410), 1,
      anon_sym_LPAREN,
    ACTIONS(2412), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2414), 1,
      anon_sym_u2983,
    ACTIONS(2416), 1,
      anon_sym_LBRACE,
    ACTIONS(2418), 1,
      aux_sym__qid_token1,
    ACTIONS(2420), 1,
      anon_sym_DOT,
    ACTIONS(2422), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2424), 1,
      anon_sym_u2987,
    ACTIONS(2428), 1,
      anon_sym_Set,
    STATE(3193), 1,
      aux_sym__atoms,
    STATE(3729), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4172), 1,
      sym_atom,
    STATE(6270), 1,
      sym_attributes,
    STATE(8100), 1,
      sym__LAMBDA,
    STATE(8267), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9101), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(11), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2426), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4220), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8677), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4219), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2406), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [116328] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11747), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [116464] = 36,
    ACTIONS(13), 1,
      anon_sym_BSLASH,
    ACTIONS(15), 1,
      anon_sym_u03bb,
    ACTIONS(75), 1,
      anon_sym_quoteGoal,
    ACTIONS(77), 1,
      anon_sym_tactic,
    ACTIONS(83), 1,
      anon_sym_let,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2404), 1,
      sym_id,
    ACTIONS(2408), 1,
      anon_sym_record,
    ACTIONS(2410), 1,
      anon_sym_LPAREN,
    ACTIONS(2412), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2414), 1,
      anon_sym_u2983,
    ACTIONS(2416), 1,
      anon_sym_LBRACE,
    ACTIONS(2418), 1,
      aux_sym__qid_token1,
    ACTIONS(2420), 1,
      anon_sym_DOT,
    ACTIONS(2422), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2424), 1,
      anon_sym_u2987,
    ACTIONS(2428), 1,
      anon_sym_Set,
    STATE(3193), 1,
      aux_sym__atoms,
    STATE(3729), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4172), 1,
      sym_atom,
    STATE(6270), 1,
      sym_attributes,
    STATE(8100), 1,
      sym__LAMBDA,
    STATE(8267), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9101), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(11), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2426), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4220), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8677), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4219), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2406), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [116600] = 35,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(2468), 1,
      sym_id,
    ACTIONS(2472), 1,
      anon_sym_record,
    ACTIONS(2474), 1,
      anon_sym_LPAREN,
    ACTIONS(2476), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2478), 1,
      anon_sym_u2983,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    ACTIONS(2482), 1,
      aux_sym__qid_token1,
    ACTIONS(2484), 1,
      anon_sym_DOT,
    ACTIONS(2486), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2488), 1,
      anon_sym_u2987,
    ACTIONS(2492), 1,
      anon_sym_Set,
    STATE(1416), 1,
      sym__ARROW,
    STATE(2737), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3262), 1,
      sym_catchall_pragma,
    STATE(3401), 1,
      aux_sym__atoms,
    STATE(5539), 1,
      sym_atom,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    STATE(9454), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(684), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2490), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5429), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8981), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5422), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9450), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2470), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [116734] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(8994), 1,
      sym_expr,
    STATE(9766), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [116870] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym_expr,
    STATE(9753), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [117006] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(8939), 1,
      sym_expr,
    STATE(9753), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [117142] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(8947), 1,
      sym_expr,
    STATE(9753), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [117278] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(2494), 1,
      sym_id,
    ACTIONS(2498), 1,
      anon_sym_record,
    ACTIONS(2500), 1,
      anon_sym_LPAREN,
    ACTIONS(2502), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2504), 1,
      anon_sym_u2983,
    ACTIONS(2506), 1,
      anon_sym_LBRACE,
    ACTIONS(2508), 1,
      aux_sym__qid_token1,
    ACTIONS(2510), 1,
      anon_sym_DOT,
    ACTIONS(2512), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2514), 1,
      anon_sym_u2987,
    ACTIONS(2518), 1,
      anon_sym_Set,
    STATE(3333), 1,
      aux_sym__atoms,
    STATE(3754), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5100), 1,
      sym_atom,
    STATE(6278), 1,
      sym_attributes,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    STATE(8960), 1,
      sym_expr,
    STATE(9626), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2516), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5233), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8663), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5229), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2496), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [117414] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9000), 1,
      sym_expr,
    STATE(9753), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [117550] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(8943), 1,
      sym_expr,
    STATE(9766), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [117686] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(2494), 1,
      sym_id,
    ACTIONS(2498), 1,
      anon_sym_record,
    ACTIONS(2500), 1,
      anon_sym_LPAREN,
    ACTIONS(2502), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2504), 1,
      anon_sym_u2983,
    ACTIONS(2506), 1,
      anon_sym_LBRACE,
    ACTIONS(2508), 1,
      aux_sym__qid_token1,
    ACTIONS(2510), 1,
      anon_sym_DOT,
    ACTIONS(2512), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2514), 1,
      anon_sym_u2987,
    ACTIONS(2518), 1,
      anon_sym_Set,
    STATE(3333), 1,
      aux_sym__atoms,
    STATE(3754), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5100), 1,
      sym_atom,
    STATE(6278), 1,
      sym_attributes,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    STATE(8975), 1,
      sym_expr,
    STATE(9626), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2516), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5233), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8663), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5229), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2496), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [117822] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(2494), 1,
      sym_id,
    ACTIONS(2498), 1,
      anon_sym_record,
    ACTIONS(2500), 1,
      anon_sym_LPAREN,
    ACTIONS(2502), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2504), 1,
      anon_sym_u2983,
    ACTIONS(2506), 1,
      anon_sym_LBRACE,
    ACTIONS(2508), 1,
      aux_sym__qid_token1,
    ACTIONS(2510), 1,
      anon_sym_DOT,
    ACTIONS(2512), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2514), 1,
      anon_sym_u2987,
    ACTIONS(2518), 1,
      anon_sym_Set,
    STATE(3333), 1,
      aux_sym__atoms,
    STATE(3754), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5100), 1,
      sym_atom,
    STATE(6278), 1,
      sym_attributes,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    STATE(8986), 1,
      sym_expr,
    STATE(9626), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2516), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5233), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8663), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5229), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2496), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [117958] = 36,
    ACTIONS(13), 1,
      anon_sym_BSLASH,
    ACTIONS(15), 1,
      anon_sym_u03bb,
    ACTIONS(75), 1,
      anon_sym_quoteGoal,
    ACTIONS(77), 1,
      anon_sym_tactic,
    ACTIONS(83), 1,
      anon_sym_let,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2404), 1,
      sym_id,
    ACTIONS(2408), 1,
      anon_sym_record,
    ACTIONS(2410), 1,
      anon_sym_LPAREN,
    ACTIONS(2412), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2414), 1,
      anon_sym_u2983,
    ACTIONS(2416), 1,
      anon_sym_LBRACE,
    ACTIONS(2418), 1,
      aux_sym__qid_token1,
    ACTIONS(2420), 1,
      anon_sym_DOT,
    ACTIONS(2422), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2424), 1,
      anon_sym_u2987,
    ACTIONS(2428), 1,
      anon_sym_Set,
    STATE(3193), 1,
      aux_sym__atoms,
    STATE(3729), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4172), 1,
      sym_atom,
    STATE(6270), 1,
      sym_attributes,
    STATE(8100), 1,
      sym__LAMBDA,
    STATE(8267), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9101), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(11), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2426), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4220), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8677), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4219), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2406), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [118094] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2520), 1,
      sym_id,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2530), 1,
      anon_sym_record,
    ACTIONS(2532), 1,
      anon_sym_LPAREN,
    ACTIONS(2534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2536), 1,
      anon_sym_u2983,
    ACTIONS(2538), 1,
      anon_sym_LBRACE,
    ACTIONS(2540), 1,
      aux_sym__qid_token1,
    ACTIONS(2542), 1,
      anon_sym_DOT,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2548), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2550), 1,
      anon_sym_u2987,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(2556), 1,
      anon_sym_Set,
    STATE(3249), 1,
      aux_sym__atoms,
    STATE(3730), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4059), 1,
      sym_atom,
    STATE(6274), 1,
      sym_attributes,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    STATE(8951), 1,
      sym_expr,
    STATE(9030), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2554), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4086), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8670), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4083), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [118230] = 35,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2558), 1,
      sym_id,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2570), 1,
      anon_sym_record,
    ACTIONS(2572), 1,
      anon_sym_LPAREN,
    ACTIONS(2574), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2576), 1,
      anon_sym_u2983,
    ACTIONS(2578), 1,
      anon_sym_LBRACE,
    ACTIONS(2580), 1,
      aux_sym__qid_token1,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2588), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2590), 1,
      anon_sym_u2987,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(2596), 1,
      anon_sym_Set,
    STATE(1472), 1,
      sym__ARROW,
    STATE(2809), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3317), 1,
      sym_catchall_pragma,
    STATE(3541), 1,
      aux_sym__atoms,
    STATE(5395), 1,
      sym_atom,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    STATE(8963), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2562), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2594), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5359), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8981), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5727), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2568), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [118364] = 36,
    ACTIONS(13), 1,
      anon_sym_BSLASH,
    ACTIONS(15), 1,
      anon_sym_u03bb,
    ACTIONS(75), 1,
      anon_sym_quoteGoal,
    ACTIONS(77), 1,
      anon_sym_tactic,
    ACTIONS(83), 1,
      anon_sym_let,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2404), 1,
      sym_id,
    ACTIONS(2408), 1,
      anon_sym_record,
    ACTIONS(2410), 1,
      anon_sym_LPAREN,
    ACTIONS(2412), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2414), 1,
      anon_sym_u2983,
    ACTIONS(2416), 1,
      anon_sym_LBRACE,
    ACTIONS(2418), 1,
      aux_sym__qid_token1,
    ACTIONS(2420), 1,
      anon_sym_DOT,
    ACTIONS(2422), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2424), 1,
      anon_sym_u2987,
    ACTIONS(2428), 1,
      anon_sym_Set,
    STATE(3193), 1,
      aux_sym__atoms,
    STATE(3729), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4172), 1,
      sym_atom,
    STATE(6270), 1,
      sym_attributes,
    STATE(8100), 1,
      sym__LAMBDA,
    STATE(8267), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9101), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(11), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2426), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4220), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8677), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4219), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2406), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [118500] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2340), 1,
      sym_id,
    ACTIONS(2344), 1,
      anon_sym_BSLASH,
    ACTIONS(2346), 1,
      anon_sym_u03bb,
    ACTIONS(2350), 1,
      anon_sym_record,
    ACTIONS(2352), 1,
      anon_sym_LPAREN,
    ACTIONS(2354), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_u2983,
    ACTIONS(2358), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      aux_sym__qid_token1,
    ACTIONS(2362), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_quoteGoal,
    ACTIONS(2366), 1,
      anon_sym_tactic,
    ACTIONS(2368), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2370), 1,
      anon_sym_u2987,
    ACTIONS(2372), 1,
      anon_sym_let,
    ACTIONS(2376), 1,
      anon_sym_Set,
    STATE(3134), 1,
      aux_sym__atoms,
    STATE(3758), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5383), 1,
      sym_atom,
    STATE(6265), 1,
      sym_attributes,
    STATE(8080), 1,
      sym__LAMBDA,
    STATE(8442), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9760), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2342), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2374), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5425), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8686), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5431), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2348), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [118636] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym_expr,
    STATE(9766), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [118772] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(8939), 1,
      sym_expr,
    STATE(9766), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [118908] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(8947), 1,
      sym_expr,
    STATE(9766), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [119044] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(2598), 1,
      sym_id,
    ACTIONS(2602), 1,
      anon_sym_record,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2608), 1,
      anon_sym_u2983,
    ACTIONS(2610), 1,
      anon_sym_LBRACE,
    ACTIONS(2612), 1,
      aux_sym__qid_token1,
    ACTIONS(2614), 1,
      anon_sym_DOT,
    ACTIONS(2616), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2618), 1,
      anon_sym_u2987,
    ACTIONS(2622), 1,
      anon_sym_Set,
    STATE(3287), 1,
      aux_sym__atoms,
    STATE(3743), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5108), 1,
      sym_atom,
    STATE(6279), 1,
      sym_attributes,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    STATE(8960), 1,
      sym_expr,
    STATE(9499), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2620), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5254), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8679), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5251), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2600), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [119180] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9000), 1,
      sym_expr,
    STATE(9766), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [119316] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2340), 1,
      sym_id,
    ACTIONS(2344), 1,
      anon_sym_BSLASH,
    ACTIONS(2346), 1,
      anon_sym_u03bb,
    ACTIONS(2350), 1,
      anon_sym_record,
    ACTIONS(2352), 1,
      anon_sym_LPAREN,
    ACTIONS(2354), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_u2983,
    ACTIONS(2358), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      aux_sym__qid_token1,
    ACTIONS(2362), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_quoteGoal,
    ACTIONS(2366), 1,
      anon_sym_tactic,
    ACTIONS(2368), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2370), 1,
      anon_sym_u2987,
    ACTIONS(2372), 1,
      anon_sym_let,
    ACTIONS(2376), 1,
      anon_sym_Set,
    STATE(3134), 1,
      aux_sym__atoms,
    STATE(3758), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5383), 1,
      sym_atom,
    STATE(6265), 1,
      sym_attributes,
    STATE(8080), 1,
      sym__LAMBDA,
    STATE(8442), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9760), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2342), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2374), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5425), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8686), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5431), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2348), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [119452] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(2598), 1,
      sym_id,
    ACTIONS(2602), 1,
      anon_sym_record,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2608), 1,
      anon_sym_u2983,
    ACTIONS(2610), 1,
      anon_sym_LBRACE,
    ACTIONS(2612), 1,
      aux_sym__qid_token1,
    ACTIONS(2614), 1,
      anon_sym_DOT,
    ACTIONS(2616), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2618), 1,
      anon_sym_u2987,
    ACTIONS(2622), 1,
      anon_sym_Set,
    STATE(3287), 1,
      aux_sym__atoms,
    STATE(3743), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5108), 1,
      sym_atom,
    STATE(6279), 1,
      sym_attributes,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    STATE(8975), 1,
      sym_expr,
    STATE(9499), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2620), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5254), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8679), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5251), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2600), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [119588] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(2598), 1,
      sym_id,
    ACTIONS(2602), 1,
      anon_sym_record,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2608), 1,
      anon_sym_u2983,
    ACTIONS(2610), 1,
      anon_sym_LBRACE,
    ACTIONS(2612), 1,
      aux_sym__qid_token1,
    ACTIONS(2614), 1,
      anon_sym_DOT,
    ACTIONS(2616), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2618), 1,
      anon_sym_u2987,
    ACTIONS(2622), 1,
      anon_sym_Set,
    STATE(3287), 1,
      aux_sym__atoms,
    STATE(3743), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5108), 1,
      sym_atom,
    STATE(6279), 1,
      sym_attributes,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    STATE(8986), 1,
      sym_expr,
    STATE(9499), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2620), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5254), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8679), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5251), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2600), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [119724] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2340), 1,
      sym_id,
    ACTIONS(2344), 1,
      anon_sym_BSLASH,
    ACTIONS(2346), 1,
      anon_sym_u03bb,
    ACTIONS(2350), 1,
      anon_sym_record,
    ACTIONS(2352), 1,
      anon_sym_LPAREN,
    ACTIONS(2354), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_u2983,
    ACTIONS(2358), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      aux_sym__qid_token1,
    ACTIONS(2362), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_quoteGoal,
    ACTIONS(2366), 1,
      anon_sym_tactic,
    ACTIONS(2368), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2370), 1,
      anon_sym_u2987,
    ACTIONS(2372), 1,
      anon_sym_let,
    ACTIONS(2376), 1,
      anon_sym_Set,
    STATE(3134), 1,
      aux_sym__atoms,
    STATE(3758), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5383), 1,
      sym_atom,
    STATE(6265), 1,
      sym_attributes,
    STATE(8080), 1,
      sym__LAMBDA,
    STATE(8442), 1,
      sym__FORALL,
    STATE(9760), 1,
      sym__with_exprs,
    STATE(11537), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2342), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2374), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5425), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8686), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5431), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2348), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [119860] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(734), 1,
      sym_id,
    ACTIONS(738), 1,
      anon_sym_BSLASH,
    ACTIONS(740), 1,
      anon_sym_u03bb,
    ACTIONS(744), 1,
      anon_sym_record,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(748), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(750), 1,
      anon_sym_u2983,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(754), 1,
      aux_sym__qid_token1,
    ACTIONS(756), 1,
      anon_sym_DOT,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(762), 1,
      anon_sym_quoteGoal,
    ACTIONS(764), 1,
      anon_sym_tactic,
    ACTIONS(766), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(768), 1,
      anon_sym_u2987,
    ACTIONS(774), 1,
      anon_sym_Set,
    ACTIONS(2168), 1,
      anon_sym_let,
    STATE(3171), 1,
      aux_sym__atoms,
    STATE(3720), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5073), 1,
      sym_atom,
    STATE(6268), 1,
      sym_attributes,
    STATE(8084), 1,
      sym__LAMBDA,
    STATE(8447), 1,
      sym__FORALL,
    STATE(9511), 1,
      sym__with_exprs,
    STATE(9606), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(772), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5228), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8646), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5289), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(742), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [119996] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2170), 1,
      sym_id,
    ACTIONS(2174), 1,
      anon_sym_BSLASH,
    ACTIONS(2176), 1,
      anon_sym_u03bb,
    ACTIONS(2180), 1,
      anon_sym_record,
    ACTIONS(2182), 1,
      anon_sym_LPAREN,
    ACTIONS(2184), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2186), 1,
      anon_sym_u2983,
    ACTIONS(2188), 1,
      anon_sym_LBRACE,
    ACTIONS(2190), 1,
      aux_sym__qid_token1,
    ACTIONS(2192), 1,
      anon_sym_DOT,
    ACTIONS(2194), 1,
      anon_sym_quoteGoal,
    ACTIONS(2196), 1,
      anon_sym_tactic,
    ACTIONS(2198), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2200), 1,
      anon_sym_u2987,
    ACTIONS(2202), 1,
      anon_sym_let,
    ACTIONS(2206), 1,
      anon_sym_Set,
    STATE(3182), 1,
      aux_sym__atoms,
    STATE(3749), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5525), 1,
      sym_atom,
    STATE(6269), 1,
      sym_attributes,
    STATE(8132), 1,
      sym__LAMBDA,
    STATE(8460), 1,
      sym__FORALL,
    STATE(9780), 1,
      sym__with_exprs,
    STATE(12457), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2172), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2204), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5405), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8680), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5420), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2178), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [120132] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3266), 1,
      aux_sym__atoms,
    STATE(3739), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6275), 1,
      sym_attributes,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    STATE(9519), 1,
      sym__with_exprs,
    STATE(9712), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8683), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [120268] = 35,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2624), 1,
      sym_id,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2636), 1,
      anon_sym_record,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(2640), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2642), 1,
      anon_sym_u2983,
    ACTIONS(2644), 1,
      anon_sym_LBRACE,
    ACTIONS(2646), 1,
      aux_sym__qid_token1,
    ACTIONS(2648), 1,
      anon_sym_DOT,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2654), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2656), 1,
      anon_sym_u2987,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(2662), 1,
      anon_sym_Set,
    STATE(1486), 1,
      sym__ARROW,
    STATE(2735), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3157), 1,
      sym_catchall_pragma,
    STATE(3648), 1,
      aux_sym__atoms,
    STATE(5590), 1,
      sym_atom,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    STATE(8963), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2628), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2660), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5378), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8981), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5374), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2634), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [120402] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1866), 1,
      sym_id,
    ACTIONS(1870), 1,
      anon_sym_BSLASH,
    ACTIONS(1872), 1,
      anon_sym_u03bb,
    ACTIONS(1876), 1,
      anon_sym_record,
    ACTIONS(1878), 1,
      anon_sym_LPAREN,
    ACTIONS(1880), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1882), 1,
      anon_sym_u2983,
    ACTIONS(1884), 1,
      anon_sym_LBRACE,
    ACTIONS(1886), 1,
      aux_sym__qid_token1,
    ACTIONS(1888), 1,
      anon_sym_DOT,
    ACTIONS(1890), 1,
      anon_sym_quoteGoal,
    ACTIONS(1892), 1,
      anon_sym_tactic,
    ACTIONS(1894), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1896), 1,
      anon_sym_u2987,
    ACTIONS(1898), 1,
      anon_sym_let,
    ACTIONS(1902), 1,
      anon_sym_Set,
    STATE(3277), 1,
      aux_sym__atoms,
    STATE(3742), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4687), 1,
      sym_atom,
    STATE(6266), 1,
      sym_attributes,
    STATE(8131), 1,
      sym__LAMBDA,
    STATE(8455), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9436), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1868), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1900), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4844), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8672), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4861), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1874), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [120538] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(109), 1,
      anon_sym_BSLASH,
    ACTIONS(111), 1,
      anon_sym_u03bb,
    ACTIONS(147), 1,
      anon_sym_quoteGoal,
    ACTIONS(149), 1,
      anon_sym_tactic,
    ACTIONS(155), 1,
      anon_sym_let,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2664), 1,
      sym_id,
    ACTIONS(2668), 1,
      anon_sym_record,
    ACTIONS(2670), 1,
      anon_sym_LPAREN,
    ACTIONS(2672), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2674), 1,
      anon_sym_u2983,
    ACTIONS(2676), 1,
      anon_sym_LBRACE,
    ACTIONS(2678), 1,
      aux_sym__qid_token1,
    ACTIONS(2680), 1,
      anon_sym_DOT,
    ACTIONS(2682), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2684), 1,
      anon_sym_u2987,
    ACTIONS(2688), 1,
      anon_sym_Set,
    STATE(3325), 1,
      aux_sym__atoms,
    STATE(3747), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4062), 1,
      sym_atom,
    STATE(6282), 1,
      sym_attributes,
    STATE(8055), 1,
      sym__LAMBDA,
    STATE(8432), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9014), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(107), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2686), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4053), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8654), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4075), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2666), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [120674] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(109), 1,
      anon_sym_BSLASH,
    ACTIONS(111), 1,
      anon_sym_u03bb,
    ACTIONS(147), 1,
      anon_sym_quoteGoal,
    ACTIONS(149), 1,
      anon_sym_tactic,
    ACTIONS(155), 1,
      anon_sym_let,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2664), 1,
      sym_id,
    ACTIONS(2668), 1,
      anon_sym_record,
    ACTIONS(2670), 1,
      anon_sym_LPAREN,
    ACTIONS(2672), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2674), 1,
      anon_sym_u2983,
    ACTIONS(2676), 1,
      anon_sym_LBRACE,
    ACTIONS(2678), 1,
      aux_sym__qid_token1,
    ACTIONS(2680), 1,
      anon_sym_DOT,
    ACTIONS(2682), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2684), 1,
      anon_sym_u2987,
    ACTIONS(2688), 1,
      anon_sym_Set,
    STATE(3325), 1,
      aux_sym__atoms,
    STATE(3747), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4062), 1,
      sym_atom,
    STATE(6282), 1,
      sym_attributes,
    STATE(8055), 1,
      sym__LAMBDA,
    STATE(8432), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9014), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(107), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2686), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4053), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8654), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4075), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2666), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [120810] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(109), 1,
      anon_sym_BSLASH,
    ACTIONS(111), 1,
      anon_sym_u03bb,
    ACTIONS(147), 1,
      anon_sym_quoteGoal,
    ACTIONS(149), 1,
      anon_sym_tactic,
    ACTIONS(155), 1,
      anon_sym_let,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2664), 1,
      sym_id,
    ACTIONS(2668), 1,
      anon_sym_record,
    ACTIONS(2670), 1,
      anon_sym_LPAREN,
    ACTIONS(2672), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2674), 1,
      anon_sym_u2983,
    ACTIONS(2676), 1,
      anon_sym_LBRACE,
    ACTIONS(2678), 1,
      aux_sym__qid_token1,
    ACTIONS(2680), 1,
      anon_sym_DOT,
    ACTIONS(2682), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2684), 1,
      anon_sym_u2987,
    ACTIONS(2688), 1,
      anon_sym_Set,
    STATE(3325), 1,
      aux_sym__atoms,
    STATE(3747), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4062), 1,
      sym_atom,
    STATE(6282), 1,
      sym_attributes,
    STATE(8055), 1,
      sym__LAMBDA,
    STATE(8432), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9014), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(107), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2686), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4053), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8654), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4075), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2666), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [120946] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(2690), 1,
      sym_id,
    ACTIONS(2694), 1,
      anon_sym_record,
    ACTIONS(2696), 1,
      anon_sym_LPAREN,
    ACTIONS(2698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2700), 1,
      anon_sym_u2983,
    ACTIONS(2702), 1,
      anon_sym_LBRACE,
    ACTIONS(2704), 1,
      aux_sym__qid_token1,
    ACTIONS(2706), 1,
      anon_sym_DOT,
    ACTIONS(2708), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2710), 1,
      anon_sym_u2987,
    ACTIONS(2714), 1,
      anon_sym_Set,
    STATE(3347), 1,
      aux_sym__atoms,
    STATE(3752), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5113), 1,
      sym_atom,
    STATE(6280), 1,
      sym_attributes,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    STATE(8960), 1,
      sym_expr,
    STATE(9587), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2712), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5272), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8635), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5268), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [121082] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(109), 1,
      anon_sym_BSLASH,
    ACTIONS(111), 1,
      anon_sym_u03bb,
    ACTIONS(147), 1,
      anon_sym_quoteGoal,
    ACTIONS(149), 1,
      anon_sym_tactic,
    ACTIONS(155), 1,
      anon_sym_let,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2664), 1,
      sym_id,
    ACTIONS(2668), 1,
      anon_sym_record,
    ACTIONS(2670), 1,
      anon_sym_LPAREN,
    ACTIONS(2672), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2674), 1,
      anon_sym_u2983,
    ACTIONS(2676), 1,
      anon_sym_LBRACE,
    ACTIONS(2678), 1,
      aux_sym__qid_token1,
    ACTIONS(2680), 1,
      anon_sym_DOT,
    ACTIONS(2682), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2684), 1,
      anon_sym_u2987,
    ACTIONS(2688), 1,
      anon_sym_Set,
    STATE(3325), 1,
      aux_sym__atoms,
    STATE(3747), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4062), 1,
      sym_atom,
    STATE(6282), 1,
      sym_attributes,
    STATE(8055), 1,
      sym__LAMBDA,
    STATE(8432), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9014), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(107), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2686), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4053), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8654), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4075), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2666), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [121218] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1866), 1,
      sym_id,
    ACTIONS(1870), 1,
      anon_sym_BSLASH,
    ACTIONS(1872), 1,
      anon_sym_u03bb,
    ACTIONS(1876), 1,
      anon_sym_record,
    ACTIONS(1878), 1,
      anon_sym_LPAREN,
    ACTIONS(1880), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1882), 1,
      anon_sym_u2983,
    ACTIONS(1884), 1,
      anon_sym_LBRACE,
    ACTIONS(1886), 1,
      aux_sym__qid_token1,
    ACTIONS(1888), 1,
      anon_sym_DOT,
    ACTIONS(1890), 1,
      anon_sym_quoteGoal,
    ACTIONS(1892), 1,
      anon_sym_tactic,
    ACTIONS(1894), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1896), 1,
      anon_sym_u2987,
    ACTIONS(1898), 1,
      anon_sym_let,
    ACTIONS(1902), 1,
      anon_sym_Set,
    STATE(3277), 1,
      aux_sym__atoms,
    STATE(3742), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4687), 1,
      sym_atom,
    STATE(6266), 1,
      sym_attributes,
    STATE(8131), 1,
      sym__LAMBDA,
    STATE(8455), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9436), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1868), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1900), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4844), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8672), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4861), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1874), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [121354] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(2690), 1,
      sym_id,
    ACTIONS(2694), 1,
      anon_sym_record,
    ACTIONS(2696), 1,
      anon_sym_LPAREN,
    ACTIONS(2698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2700), 1,
      anon_sym_u2983,
    ACTIONS(2702), 1,
      anon_sym_LBRACE,
    ACTIONS(2704), 1,
      aux_sym__qid_token1,
    ACTIONS(2706), 1,
      anon_sym_DOT,
    ACTIONS(2708), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2710), 1,
      anon_sym_u2987,
    ACTIONS(2714), 1,
      anon_sym_Set,
    STATE(3347), 1,
      aux_sym__atoms,
    STATE(3752), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5113), 1,
      sym_atom,
    STATE(6280), 1,
      sym_attributes,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    STATE(8975), 1,
      sym_expr,
    STATE(9587), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2712), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5272), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8635), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5268), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [121490] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(2690), 1,
      sym_id,
    ACTIONS(2694), 1,
      anon_sym_record,
    ACTIONS(2696), 1,
      anon_sym_LPAREN,
    ACTIONS(2698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2700), 1,
      anon_sym_u2983,
    ACTIONS(2702), 1,
      anon_sym_LBRACE,
    ACTIONS(2704), 1,
      aux_sym__qid_token1,
    ACTIONS(2706), 1,
      anon_sym_DOT,
    ACTIONS(2708), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2710), 1,
      anon_sym_u2987,
    ACTIONS(2714), 1,
      anon_sym_Set,
    STATE(3347), 1,
      aux_sym__atoms,
    STATE(3752), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5113), 1,
      sym_atom,
    STATE(6280), 1,
      sym_attributes,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    STATE(8986), 1,
      sym_expr,
    STATE(9587), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2712), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5272), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8635), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5268), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [121626] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(734), 1,
      sym_id,
    ACTIONS(738), 1,
      anon_sym_BSLASH,
    ACTIONS(740), 1,
      anon_sym_u03bb,
    ACTIONS(744), 1,
      anon_sym_record,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(748), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(750), 1,
      anon_sym_u2983,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(754), 1,
      aux_sym__qid_token1,
    ACTIONS(756), 1,
      anon_sym_DOT,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(762), 1,
      anon_sym_quoteGoal,
    ACTIONS(764), 1,
      anon_sym_tactic,
    ACTIONS(766), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(768), 1,
      anon_sym_u2987,
    ACTIONS(774), 1,
      anon_sym_Set,
    ACTIONS(2168), 1,
      anon_sym_let,
    STATE(3171), 1,
      aux_sym__atoms,
    STATE(3720), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5073), 1,
      sym_atom,
    STATE(6268), 1,
      sym_attributes,
    STATE(8084), 1,
      sym__LAMBDA,
    STATE(8447), 1,
      sym__FORALL,
    STATE(9455), 1,
      sym_expr,
    STATE(9511), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(772), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5228), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8646), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5289), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(742), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [121762] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2340), 1,
      sym_id,
    ACTIONS(2344), 1,
      anon_sym_BSLASH,
    ACTIONS(2346), 1,
      anon_sym_u03bb,
    ACTIONS(2350), 1,
      anon_sym_record,
    ACTIONS(2352), 1,
      anon_sym_LPAREN,
    ACTIONS(2354), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_u2983,
    ACTIONS(2358), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      aux_sym__qid_token1,
    ACTIONS(2362), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_quoteGoal,
    ACTIONS(2366), 1,
      anon_sym_tactic,
    ACTIONS(2368), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2370), 1,
      anon_sym_u2987,
    ACTIONS(2372), 1,
      anon_sym_let,
    ACTIONS(2376), 1,
      anon_sym_Set,
    STATE(3134), 1,
      aux_sym__atoms,
    STATE(3758), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5383), 1,
      sym_atom,
    STATE(6265), 1,
      sym_attributes,
    STATE(8080), 1,
      sym__LAMBDA,
    STATE(8442), 1,
      sym__FORALL,
    STATE(9760), 1,
      sym__with_exprs,
    STATE(12105), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2342), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2374), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5425), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8686), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5431), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2348), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [121898] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12596), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [122034] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12676), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [122170] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12712), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [122306] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12717), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [122442] = 35,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(2716), 1,
      sym_id,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2728), 1,
      anon_sym_record,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    ACTIONS(2732), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2734), 1,
      anon_sym_u2983,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      aux_sym__qid_token1,
    ACTIONS(2740), 1,
      anon_sym_DOT,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2746), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2748), 1,
      anon_sym_u2987,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(2754), 1,
      anon_sym_Set,
    STATE(1505), 1,
      sym__ARROW,
    STATE(2771), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3177), 1,
      sym_catchall_pragma,
    STATE(3464), 1,
      aux_sym__atoms,
    STATE(4072), 1,
      sym_atom,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    STATE(9002), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2720), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2752), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4080), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8928), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4078), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2726), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [122576] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(8943), 1,
      sym_expr,
    STATE(9952), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [122712] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2340), 1,
      sym_id,
    ACTIONS(2344), 1,
      anon_sym_BSLASH,
    ACTIONS(2346), 1,
      anon_sym_u03bb,
    ACTIONS(2350), 1,
      anon_sym_record,
    ACTIONS(2352), 1,
      anon_sym_LPAREN,
    ACTIONS(2354), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_u2983,
    ACTIONS(2358), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      aux_sym__qid_token1,
    ACTIONS(2362), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_quoteGoal,
    ACTIONS(2366), 1,
      anon_sym_tactic,
    ACTIONS(2368), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2370), 1,
      anon_sym_u2987,
    ACTIONS(2372), 1,
      anon_sym_let,
    ACTIONS(2376), 1,
      anon_sym_Set,
    STATE(3134), 1,
      aux_sym__atoms,
    STATE(3758), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5383), 1,
      sym_atom,
    STATE(6265), 1,
      sym_attributes,
    STATE(8080), 1,
      sym__LAMBDA,
    STATE(8442), 1,
      sym__FORALL,
    STATE(9760), 1,
      sym__with_exprs,
    STATE(9797), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2342), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2374), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5425), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8686), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5431), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2348), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [122848] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2340), 1,
      sym_id,
    ACTIONS(2344), 1,
      anon_sym_BSLASH,
    ACTIONS(2346), 1,
      anon_sym_u03bb,
    ACTIONS(2350), 1,
      anon_sym_record,
    ACTIONS(2352), 1,
      anon_sym_LPAREN,
    ACTIONS(2354), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_u2983,
    ACTIONS(2358), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      aux_sym__qid_token1,
    ACTIONS(2362), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_quoteGoal,
    ACTIONS(2366), 1,
      anon_sym_tactic,
    ACTIONS(2368), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2370), 1,
      anon_sym_u2987,
    ACTIONS(2372), 1,
      anon_sym_let,
    ACTIONS(2376), 1,
      anon_sym_Set,
    STATE(3134), 1,
      aux_sym__atoms,
    STATE(3758), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5383), 1,
      sym_atom,
    STATE(6265), 1,
      sym_attributes,
    STATE(8080), 1,
      sym__LAMBDA,
    STATE(8442), 1,
      sym__FORALL,
    STATE(9760), 1,
      sym__with_exprs,
    STATE(9943), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2342), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2374), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5425), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8686), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5431), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2348), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [122984] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1904), 1,
      sym_id,
    ACTIONS(1908), 1,
      anon_sym_BSLASH,
    ACTIONS(1910), 1,
      anon_sym_u03bb,
    ACTIONS(1914), 1,
      anon_sym_record,
    ACTIONS(1916), 1,
      anon_sym_LPAREN,
    ACTIONS(1918), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1920), 1,
      anon_sym_u2983,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(1924), 1,
      aux_sym__qid_token1,
    ACTIONS(1926), 1,
      anon_sym_DOT,
    ACTIONS(1928), 1,
      anon_sym_quoteGoal,
    ACTIONS(1930), 1,
      anon_sym_tactic,
    ACTIONS(1932), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1934), 1,
      anon_sym_u2987,
    ACTIONS(1936), 1,
      anon_sym_let,
    ACTIONS(1940), 1,
      anon_sym_Set,
    STATE(3145), 1,
      aux_sym__atoms,
    STATE(3753), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4515), 1,
      sym_atom,
    STATE(6267), 1,
      sym_attributes,
    STATE(8141), 1,
      sym__LAMBDA,
    STATE(8457), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9288), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1906), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1938), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4621), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8631), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4454), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1912), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [123120] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3192), 1,
      aux_sym__atoms,
    STATE(3716), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6284), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym_expr,
    STATE(9687), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8671), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [123256] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3192), 1,
      aux_sym__atoms,
    STATE(3716), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6284), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(8939), 1,
      sym_expr,
    STATE(9687), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8671), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [123392] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3192), 1,
      aux_sym__atoms,
    STATE(3716), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6284), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(8947), 1,
      sym_expr,
    STATE(9687), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8671), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [123528] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(2756), 1,
      sym_id,
    ACTIONS(2760), 1,
      anon_sym_record,
    ACTIONS(2762), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2766), 1,
      anon_sym_u2983,
    ACTIONS(2768), 1,
      anon_sym_LBRACE,
    ACTIONS(2770), 1,
      aux_sym__qid_token1,
    ACTIONS(2772), 1,
      anon_sym_DOT,
    ACTIONS(2774), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2776), 1,
      anon_sym_u2987,
    ACTIONS(2780), 1,
      anon_sym_Set,
    STATE(3150), 1,
      aux_sym__atoms,
    STATE(3732), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4016), 1,
      sym_atom,
    STATE(6283), 1,
      sym_attributes,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    STATE(8951), 1,
      sym_expr,
    STATE(8987), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2778), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4036), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8662), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4033), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2758), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [123664] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3192), 1,
      aux_sym__atoms,
    STATE(3716), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6284), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(9000), 1,
      sym_expr,
    STATE(9687), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8671), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [123800] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1904), 1,
      sym_id,
    ACTIONS(1908), 1,
      anon_sym_BSLASH,
    ACTIONS(1910), 1,
      anon_sym_u03bb,
    ACTIONS(1914), 1,
      anon_sym_record,
    ACTIONS(1916), 1,
      anon_sym_LPAREN,
    ACTIONS(1918), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1920), 1,
      anon_sym_u2983,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(1924), 1,
      aux_sym__qid_token1,
    ACTIONS(1926), 1,
      anon_sym_DOT,
    ACTIONS(1928), 1,
      anon_sym_quoteGoal,
    ACTIONS(1930), 1,
      anon_sym_tactic,
    ACTIONS(1932), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1934), 1,
      anon_sym_u2987,
    ACTIONS(1936), 1,
      anon_sym_let,
    ACTIONS(1940), 1,
      anon_sym_Set,
    STATE(3145), 1,
      aux_sym__atoms,
    STATE(3753), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4515), 1,
      sym_atom,
    STATE(6267), 1,
      sym_attributes,
    STATE(8141), 1,
      sym__LAMBDA,
    STATE(8457), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9288), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1906), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1938), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4621), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8631), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4454), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1912), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [123936] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(2756), 1,
      sym_id,
    ACTIONS(2760), 1,
      anon_sym_record,
    ACTIONS(2762), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2766), 1,
      anon_sym_u2983,
    ACTIONS(2768), 1,
      anon_sym_LBRACE,
    ACTIONS(2770), 1,
      aux_sym__qid_token1,
    ACTIONS(2772), 1,
      anon_sym_DOT,
    ACTIONS(2774), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2776), 1,
      anon_sym_u2987,
    ACTIONS(2780), 1,
      anon_sym_Set,
    STATE(3150), 1,
      aux_sym__atoms,
    STATE(3732), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4016), 1,
      sym_atom,
    STATE(6283), 1,
      sym_attributes,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    STATE(8974), 1,
      sym_expr,
    STATE(8987), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2778), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4036), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8662), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4033), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2758), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [124072] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(2756), 1,
      sym_id,
    ACTIONS(2760), 1,
      anon_sym_record,
    ACTIONS(2762), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2766), 1,
      anon_sym_u2983,
    ACTIONS(2768), 1,
      anon_sym_LBRACE,
    ACTIONS(2770), 1,
      aux_sym__qid_token1,
    ACTIONS(2772), 1,
      anon_sym_DOT,
    ACTIONS(2774), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2776), 1,
      anon_sym_u2987,
    ACTIONS(2780), 1,
      anon_sym_Set,
    STATE(3150), 1,
      aux_sym__atoms,
    STATE(3732), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4016), 1,
      sym_atom,
    STATE(6283), 1,
      sym_attributes,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    STATE(8987), 1,
      sym__with_exprs,
    STATE(8990), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2778), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4036), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8662), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4033), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2758), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [124208] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11127), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [124344] = 35,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(2782), 1,
      sym_id,
    ACTIONS(2788), 1,
      anon_sym_BSLASH,
    ACTIONS(2790), 1,
      anon_sym_u03bb,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2796), 1,
      anon_sym_LPAREN,
    ACTIONS(2798), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2800), 1,
      anon_sym_u2983,
    ACTIONS(2802), 1,
      anon_sym_LBRACE,
    ACTIONS(2804), 1,
      aux_sym__qid_token1,
    ACTIONS(2806), 1,
      anon_sym_DOT,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2810), 1,
      anon_sym_tactic,
    ACTIONS(2812), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2814), 1,
      anon_sym_u2987,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(2820), 1,
      anon_sym_Set,
    STATE(1567), 1,
      sym__ARROW,
    STATE(2672), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3216), 1,
      sym_catchall_pragma,
    STATE(3435), 1,
      aux_sym__atoms,
    STATE(5885), 1,
      sym_atom,
    STATE(8107), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    STATE(10388), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2786), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2818), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8928), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5968), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [124478] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(734), 1,
      sym_id,
    ACTIONS(738), 1,
      anon_sym_BSLASH,
    ACTIONS(740), 1,
      anon_sym_u03bb,
    ACTIONS(744), 1,
      anon_sym_record,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(748), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(750), 1,
      anon_sym_u2983,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(754), 1,
      aux_sym__qid_token1,
    ACTIONS(756), 1,
      anon_sym_DOT,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(762), 1,
      anon_sym_quoteGoal,
    ACTIONS(764), 1,
      anon_sym_tactic,
    ACTIONS(766), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(768), 1,
      anon_sym_u2987,
    ACTIONS(774), 1,
      anon_sym_Set,
    ACTIONS(2168), 1,
      anon_sym_let,
    STATE(3171), 1,
      aux_sym__atoms,
    STATE(3720), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5073), 1,
      sym_atom,
    STATE(6268), 1,
      sym_attributes,
    STATE(8084), 1,
      sym__LAMBDA,
    STATE(8447), 1,
      sym__FORALL,
    STATE(9511), 1,
      sym__with_exprs,
    STATE(9800), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(772), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5228), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8646), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5289), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(742), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [124614] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2520), 1,
      sym_id,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2530), 1,
      anon_sym_record,
    ACTIONS(2532), 1,
      anon_sym_LPAREN,
    ACTIONS(2534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2536), 1,
      anon_sym_u2983,
    ACTIONS(2538), 1,
      anon_sym_LBRACE,
    ACTIONS(2540), 1,
      aux_sym__qid_token1,
    ACTIONS(2542), 1,
      anon_sym_DOT,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2548), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2550), 1,
      anon_sym_u2987,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(2556), 1,
      anon_sym_Set,
    STATE(3249), 1,
      aux_sym__atoms,
    STATE(3730), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4059), 1,
      sym_atom,
    STATE(6274), 1,
      sym_attributes,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    STATE(8974), 1,
      sym_expr,
    STATE(9030), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2554), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4086), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8670), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4083), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [124750] = 35,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2822), 1,
      sym_id,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2838), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2844), 1,
      anon_sym_DOT,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2850), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(2858), 1,
      anon_sym_Set,
    STATE(1520), 1,
      sym__ARROW,
    STATE(2765), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3314), 1,
      sym_catchall_pragma,
    STATE(3638), 1,
      aux_sym__atoms,
    STATE(4643), 1,
      sym_atom,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    STATE(8963), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2826), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2856), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8981), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2832), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [124884] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2340), 1,
      sym_id,
    ACTIONS(2344), 1,
      anon_sym_BSLASH,
    ACTIONS(2346), 1,
      anon_sym_u03bb,
    ACTIONS(2350), 1,
      anon_sym_record,
    ACTIONS(2352), 1,
      anon_sym_LPAREN,
    ACTIONS(2354), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_u2983,
    ACTIONS(2358), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      aux_sym__qid_token1,
    ACTIONS(2362), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_quoteGoal,
    ACTIONS(2366), 1,
      anon_sym_tactic,
    ACTIONS(2368), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2370), 1,
      anon_sym_u2987,
    ACTIONS(2372), 1,
      anon_sym_let,
    ACTIONS(2376), 1,
      anon_sym_Set,
    STATE(3134), 1,
      aux_sym__atoms,
    STATE(3758), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5383), 1,
      sym_atom,
    STATE(6265), 1,
      sym_attributes,
    STATE(8080), 1,
      sym__LAMBDA,
    STATE(8442), 1,
      sym__FORALL,
    STATE(9760), 1,
      sym__with_exprs,
    STATE(10438), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2342), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2374), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5425), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8686), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5431), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2348), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [125020] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(734), 1,
      sym_id,
    ACTIONS(738), 1,
      anon_sym_BSLASH,
    ACTIONS(740), 1,
      anon_sym_u03bb,
    ACTIONS(744), 1,
      anon_sym_record,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(748), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(750), 1,
      anon_sym_u2983,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(754), 1,
      aux_sym__qid_token1,
    ACTIONS(756), 1,
      anon_sym_DOT,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(762), 1,
      anon_sym_quoteGoal,
    ACTIONS(764), 1,
      anon_sym_tactic,
    ACTIONS(766), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(768), 1,
      anon_sym_u2987,
    ACTIONS(774), 1,
      anon_sym_Set,
    ACTIONS(2168), 1,
      anon_sym_let,
    STATE(3171), 1,
      aux_sym__atoms,
    STATE(3720), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5073), 1,
      sym_atom,
    STATE(6268), 1,
      sym_attributes,
    STATE(8084), 1,
      sym__LAMBDA,
    STATE(8447), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9511), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(772), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5228), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8646), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5289), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(742), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [125156] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(950), 1,
      sym_id,
    ACTIONS(954), 1,
      anon_sym_BSLASH,
    ACTIONS(956), 1,
      anon_sym_u03bb,
    ACTIONS(960), 1,
      anon_sym_record,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(964), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(966), 1,
      anon_sym_u2983,
    ACTIONS(968), 1,
      anon_sym_LBRACE,
    ACTIONS(970), 1,
      aux_sym__qid_token1,
    ACTIONS(972), 1,
      anon_sym_DOT,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(976), 1,
      anon_sym_tactic,
    ACTIONS(978), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(980), 1,
      anon_sym_u2987,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(986), 1,
      anon_sym_Set,
    STATE(3276), 1,
      aux_sym__atoms,
    STATE(3741), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4952), 1,
      sym_atom,
    STATE(6288), 1,
      sym_attributes,
    STATE(8067), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym_expr,
    STATE(9664), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(984), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5006), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8687), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5025), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(958), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [125292] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(950), 1,
      sym_id,
    ACTIONS(954), 1,
      anon_sym_BSLASH,
    ACTIONS(956), 1,
      anon_sym_u03bb,
    ACTIONS(960), 1,
      anon_sym_record,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(964), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(966), 1,
      anon_sym_u2983,
    ACTIONS(968), 1,
      anon_sym_LBRACE,
    ACTIONS(970), 1,
      aux_sym__qid_token1,
    ACTIONS(972), 1,
      anon_sym_DOT,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(976), 1,
      anon_sym_tactic,
    ACTIONS(978), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(980), 1,
      anon_sym_u2987,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(986), 1,
      anon_sym_Set,
    STATE(3276), 1,
      aux_sym__atoms,
    STATE(3741), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4952), 1,
      sym_atom,
    STATE(6288), 1,
      sym_attributes,
    STATE(8067), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    STATE(8939), 1,
      sym_expr,
    STATE(9664), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(984), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5006), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8687), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5025), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(958), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [125428] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(950), 1,
      sym_id,
    ACTIONS(954), 1,
      anon_sym_BSLASH,
    ACTIONS(956), 1,
      anon_sym_u03bb,
    ACTIONS(960), 1,
      anon_sym_record,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(964), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(966), 1,
      anon_sym_u2983,
    ACTIONS(968), 1,
      anon_sym_LBRACE,
    ACTIONS(970), 1,
      aux_sym__qid_token1,
    ACTIONS(972), 1,
      anon_sym_DOT,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(976), 1,
      anon_sym_tactic,
    ACTIONS(978), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(980), 1,
      anon_sym_u2987,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(986), 1,
      anon_sym_Set,
    STATE(3276), 1,
      aux_sym__atoms,
    STATE(3741), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4952), 1,
      sym_atom,
    STATE(6288), 1,
      sym_attributes,
    STATE(8067), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    STATE(8947), 1,
      sym_expr,
    STATE(9664), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(984), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5006), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8687), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5025), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(958), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [125564] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2868), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_u2983,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2876), 1,
      anon_sym_DOT,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    STATE(3243), 1,
      aux_sym__atoms,
    STATE(3761), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4578), 1,
      sym_atom,
    STATE(6285), 1,
      sym_attributes,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    STATE(8960), 1,
      sym_expr,
    STATE(9428), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8676), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [125700] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(950), 1,
      sym_id,
    ACTIONS(954), 1,
      anon_sym_BSLASH,
    ACTIONS(956), 1,
      anon_sym_u03bb,
    ACTIONS(960), 1,
      anon_sym_record,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(964), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(966), 1,
      anon_sym_u2983,
    ACTIONS(968), 1,
      anon_sym_LBRACE,
    ACTIONS(970), 1,
      aux_sym__qid_token1,
    ACTIONS(972), 1,
      anon_sym_DOT,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(976), 1,
      anon_sym_tactic,
    ACTIONS(978), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(980), 1,
      anon_sym_u2987,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(986), 1,
      anon_sym_Set,
    STATE(3276), 1,
      aux_sym__atoms,
    STATE(3741), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4952), 1,
      sym_atom,
    STATE(6288), 1,
      sym_attributes,
    STATE(8067), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    STATE(9000), 1,
      sym_expr,
    STATE(9664), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(984), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5006), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8687), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5025), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(958), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [125836] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(734), 1,
      sym_id,
    ACTIONS(738), 1,
      anon_sym_BSLASH,
    ACTIONS(740), 1,
      anon_sym_u03bb,
    ACTIONS(744), 1,
      anon_sym_record,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(748), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(750), 1,
      anon_sym_u2983,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(754), 1,
      aux_sym__qid_token1,
    ACTIONS(756), 1,
      anon_sym_DOT,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(762), 1,
      anon_sym_quoteGoal,
    ACTIONS(764), 1,
      anon_sym_tactic,
    ACTIONS(766), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(768), 1,
      anon_sym_u2987,
    ACTIONS(774), 1,
      anon_sym_Set,
    ACTIONS(2168), 1,
      anon_sym_let,
    STATE(3171), 1,
      aux_sym__atoms,
    STATE(3720), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5073), 1,
      sym_atom,
    STATE(6268), 1,
      sym_attributes,
    STATE(8084), 1,
      sym__LAMBDA,
    STATE(8447), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9511), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(772), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5228), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8646), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5289), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(742), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [125972] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2868), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_u2983,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2876), 1,
      anon_sym_DOT,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    STATE(3243), 1,
      aux_sym__atoms,
    STATE(3761), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4578), 1,
      sym_atom,
    STATE(6285), 1,
      sym_attributes,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    STATE(8975), 1,
      sym_expr,
    STATE(9428), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8676), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [126108] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2868), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_u2983,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2876), 1,
      anon_sym_DOT,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    STATE(3243), 1,
      aux_sym__atoms,
    STATE(3761), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4578), 1,
      sym_atom,
    STATE(6285), 1,
      sym_attributes,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    STATE(8986), 1,
      sym_expr,
    STATE(9428), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8676), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [126244] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11113), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [126380] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11332), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [126516] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11333), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [126652] = 35,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2838), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2850), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2886), 1,
      sym_id,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2896), 1,
      aux_sym__qid_token1,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(2906), 1,
      anon_sym_Set,
    STATE(1534), 1,
      sym__ARROW,
    STATE(2725), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3159), 1,
      sym_catchall_pragma,
    STATE(3631), 1,
      aux_sym__atoms,
    STATE(4643), 1,
      sym_atom,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    STATE(8963), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2856), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2890), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9459), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2832), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [126786] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11364), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [126922] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2170), 1,
      sym_id,
    ACTIONS(2174), 1,
      anon_sym_BSLASH,
    ACTIONS(2176), 1,
      anon_sym_u03bb,
    ACTIONS(2180), 1,
      anon_sym_record,
    ACTIONS(2182), 1,
      anon_sym_LPAREN,
    ACTIONS(2184), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2186), 1,
      anon_sym_u2983,
    ACTIONS(2188), 1,
      anon_sym_LBRACE,
    ACTIONS(2190), 1,
      aux_sym__qid_token1,
    ACTIONS(2192), 1,
      anon_sym_DOT,
    ACTIONS(2194), 1,
      anon_sym_quoteGoal,
    ACTIONS(2196), 1,
      anon_sym_tactic,
    ACTIONS(2198), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2200), 1,
      anon_sym_u2987,
    ACTIONS(2202), 1,
      anon_sym_let,
    ACTIONS(2206), 1,
      anon_sym_Set,
    STATE(3182), 1,
      aux_sym__atoms,
    STATE(3749), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5525), 1,
      sym_atom,
    STATE(6269), 1,
      sym_attributes,
    STATE(8132), 1,
      sym__LAMBDA,
    STATE(8460), 1,
      sym__FORALL,
    STATE(8994), 1,
      sym_expr,
    STATE(9780), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2172), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2204), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5405), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8680), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5420), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2178), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [127058] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(894), 1,
      sym_id,
    ACTIONS(898), 1,
      anon_sym_BSLASH,
    ACTIONS(900), 1,
      anon_sym_u03bb,
    ACTIONS(904), 1,
      anon_sym_record,
    ACTIONS(906), 1,
      anon_sym_LPAREN,
    ACTIONS(908), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(910), 1,
      anon_sym_u2983,
    ACTIONS(912), 1,
      anon_sym_LBRACE,
    ACTIONS(916), 1,
      aux_sym__qid_token1,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(922), 1,
      anon_sym_tactic,
    ACTIONS(924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(926), 1,
      anon_sym_u2987,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(932), 1,
      anon_sym_Set,
    STATE(3324), 1,
      aux_sym__atoms,
    STATE(3740), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5348), 1,
      sym_atom,
    STATE(6290), 1,
      sym_attributes,
    STATE(8072), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    STATE(9479), 1,
      sym_expr,
    STATE(9513), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(930), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5081), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8675), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5079), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(902), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [127194] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(894), 1,
      sym_id,
    ACTIONS(898), 1,
      anon_sym_BSLASH,
    ACTIONS(900), 1,
      anon_sym_u03bb,
    ACTIONS(904), 1,
      anon_sym_record,
    ACTIONS(906), 1,
      anon_sym_LPAREN,
    ACTIONS(908), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(910), 1,
      anon_sym_u2983,
    ACTIONS(912), 1,
      anon_sym_LBRACE,
    ACTIONS(916), 1,
      aux_sym__qid_token1,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(922), 1,
      anon_sym_tactic,
    ACTIONS(924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(926), 1,
      anon_sym_u2987,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(932), 1,
      anon_sym_Set,
    STATE(3324), 1,
      aux_sym__atoms,
    STATE(3740), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5348), 1,
      sym_atom,
    STATE(6290), 1,
      sym_attributes,
    STATE(8072), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    STATE(9406), 1,
      sym_expr,
    STATE(9513), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(930), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5081), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8675), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5079), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(902), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [127330] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(894), 1,
      sym_id,
    ACTIONS(898), 1,
      anon_sym_BSLASH,
    ACTIONS(900), 1,
      anon_sym_u03bb,
    ACTIONS(904), 1,
      anon_sym_record,
    ACTIONS(906), 1,
      anon_sym_LPAREN,
    ACTIONS(908), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(910), 1,
      anon_sym_u2983,
    ACTIONS(912), 1,
      anon_sym_LBRACE,
    ACTIONS(916), 1,
      aux_sym__qid_token1,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(922), 1,
      anon_sym_tactic,
    ACTIONS(924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(926), 1,
      anon_sym_u2987,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(932), 1,
      anon_sym_Set,
    STATE(3324), 1,
      aux_sym__atoms,
    STATE(3740), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5348), 1,
      sym_atom,
    STATE(6290), 1,
      sym_attributes,
    STATE(8072), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    STATE(9411), 1,
      sym_expr,
    STATE(9513), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(930), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5081), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8675), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5079), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(902), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [127466] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2868), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_u2983,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2876), 1,
      anon_sym_DOT,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    STATE(3340), 1,
      aux_sym__atoms,
    STATE(3705), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4578), 1,
      sym_atom,
    STATE(6287), 1,
      sym_attributes,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    STATE(9412), 1,
      sym_expr,
    STATE(9443), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8639), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [127602] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(894), 1,
      sym_id,
    ACTIONS(898), 1,
      anon_sym_BSLASH,
    ACTIONS(900), 1,
      anon_sym_u03bb,
    ACTIONS(904), 1,
      anon_sym_record,
    ACTIONS(906), 1,
      anon_sym_LPAREN,
    ACTIONS(908), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(910), 1,
      anon_sym_u2983,
    ACTIONS(912), 1,
      anon_sym_LBRACE,
    ACTIONS(916), 1,
      aux_sym__qid_token1,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(922), 1,
      anon_sym_tactic,
    ACTIONS(924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(926), 1,
      anon_sym_u2987,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(932), 1,
      anon_sym_Set,
    STATE(3324), 1,
      aux_sym__atoms,
    STATE(3740), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5348), 1,
      sym_atom,
    STATE(6290), 1,
      sym_attributes,
    STATE(8072), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    STATE(9404), 1,
      sym_expr,
    STATE(9513), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(930), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5081), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8675), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5079), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(902), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [127738] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2170), 1,
      sym_id,
    ACTIONS(2174), 1,
      anon_sym_BSLASH,
    ACTIONS(2176), 1,
      anon_sym_u03bb,
    ACTIONS(2180), 1,
      anon_sym_record,
    ACTIONS(2182), 1,
      anon_sym_LPAREN,
    ACTIONS(2184), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2186), 1,
      anon_sym_u2983,
    ACTIONS(2188), 1,
      anon_sym_LBRACE,
    ACTIONS(2190), 1,
      aux_sym__qid_token1,
    ACTIONS(2192), 1,
      anon_sym_DOT,
    ACTIONS(2194), 1,
      anon_sym_quoteGoal,
    ACTIONS(2196), 1,
      anon_sym_tactic,
    ACTIONS(2198), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2200), 1,
      anon_sym_u2987,
    ACTIONS(2202), 1,
      anon_sym_let,
    ACTIONS(2206), 1,
      anon_sym_Set,
    STATE(3182), 1,
      aux_sym__atoms,
    STATE(3749), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5525), 1,
      sym_atom,
    STATE(6269), 1,
      sym_attributes,
    STATE(8132), 1,
      sym__LAMBDA,
    STATE(8460), 1,
      sym__FORALL,
    STATE(8943), 1,
      sym_expr,
    STATE(9780), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2172), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2204), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5405), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8680), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5420), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2178), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [127874] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2868), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_u2983,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2876), 1,
      anon_sym_DOT,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    STATE(3340), 1,
      aux_sym__atoms,
    STATE(3705), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4578), 1,
      sym_atom,
    STATE(6287), 1,
      sym_attributes,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    STATE(9437), 1,
      sym_expr,
    STATE(9443), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8639), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [128010] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2868), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_u2983,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2876), 1,
      anon_sym_DOT,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    STATE(3340), 1,
      aux_sym__atoms,
    STATE(3705), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4578), 1,
      sym_atom,
    STATE(6287), 1,
      sym_attributes,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    STATE(9442), 1,
      sym_expr,
    STATE(9443), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8639), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [128146] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(734), 1,
      sym_id,
    ACTIONS(738), 1,
      anon_sym_BSLASH,
    ACTIONS(740), 1,
      anon_sym_u03bb,
    ACTIONS(744), 1,
      anon_sym_record,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(748), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(750), 1,
      anon_sym_u2983,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(754), 1,
      aux_sym__qid_token1,
    ACTIONS(756), 1,
      anon_sym_DOT,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(762), 1,
      anon_sym_quoteGoal,
    ACTIONS(764), 1,
      anon_sym_tactic,
    ACTIONS(766), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(768), 1,
      anon_sym_u2987,
    ACTIONS(774), 1,
      anon_sym_Set,
    ACTIONS(2168), 1,
      anon_sym_let,
    STATE(3171), 1,
      aux_sym__atoms,
    STATE(3720), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5073), 1,
      sym_atom,
    STATE(6268), 1,
      sym_attributes,
    STATE(8084), 1,
      sym__LAMBDA,
    STATE(8447), 1,
      sym__FORALL,
    STATE(9511), 1,
      sym__with_exprs,
    STATE(10016), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(772), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5228), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8646), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5289), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(742), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [128282] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2520), 1,
      sym_id,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2530), 1,
      anon_sym_record,
    ACTIONS(2532), 1,
      anon_sym_LPAREN,
    ACTIONS(2534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2536), 1,
      anon_sym_u2983,
    ACTIONS(2538), 1,
      anon_sym_LBRACE,
    ACTIONS(2540), 1,
      aux_sym__qid_token1,
    ACTIONS(2542), 1,
      anon_sym_DOT,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2548), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2550), 1,
      anon_sym_u2987,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(2556), 1,
      anon_sym_Set,
    STATE(3249), 1,
      aux_sym__atoms,
    STATE(3730), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4059), 1,
      sym_atom,
    STATE(6274), 1,
      sym_attributes,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    STATE(8990), 1,
      sym_expr,
    STATE(9030), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2554), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4086), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8670), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4083), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [128418] = 35,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(2908), 1,
      sym_id,
    ACTIONS(2914), 1,
      anon_sym_record,
    ACTIONS(2916), 1,
      anon_sym_LPAREN,
    ACTIONS(2918), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2920), 1,
      anon_sym_u2983,
    ACTIONS(2922), 1,
      anon_sym_LBRACE,
    ACTIONS(2924), 1,
      aux_sym__qid_token1,
    ACTIONS(2926), 1,
      anon_sym_DOT,
    ACTIONS(2928), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2930), 1,
      anon_sym_u2987,
    ACTIONS(2934), 1,
      anon_sym_Set,
    STATE(1465), 1,
      sym__ARROW,
    STATE(2801), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3237), 1,
      sym_catchall_pragma,
    STATE(3499), 1,
      aux_sym__atoms,
    STATE(4164), 1,
      sym_atom,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    STATE(9002), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2910), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2932), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4166), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8928), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4171), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2912), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [128552] = 35,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2936), 1,
      sym_id,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2948), 1,
      anon_sym_record,
    ACTIONS(2950), 1,
      anon_sym_LPAREN,
    ACTIONS(2952), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2954), 1,
      anon_sym_u2983,
    ACTIONS(2956), 1,
      anon_sym_LBRACE,
    ACTIONS(2958), 1,
      aux_sym__qid_token1,
    ACTIONS(2960), 1,
      anon_sym_DOT,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2966), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2968), 1,
      anon_sym_u2987,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(2974), 1,
      anon_sym_Set,
    STATE(1547), 1,
      sym__ARROW,
    STATE(2681), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3176), 1,
      sym_catchall_pragma,
    STATE(3485), 1,
      aux_sym__atoms,
    STATE(5087), 1,
      sym_atom,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    STATE(8963), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2940), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2972), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5205), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8981), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5202), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2946), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [128686] = 36,
    ACTIONS(13), 1,
      anon_sym_BSLASH,
    ACTIONS(15), 1,
      anon_sym_u03bb,
    ACTIONS(75), 1,
      anon_sym_quoteGoal,
    ACTIONS(77), 1,
      anon_sym_tactic,
    ACTIONS(83), 1,
      anon_sym_let,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2404), 1,
      sym_id,
    ACTIONS(2408), 1,
      anon_sym_record,
    ACTIONS(2410), 1,
      anon_sym_LPAREN,
    ACTIONS(2412), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2414), 1,
      anon_sym_u2983,
    ACTIONS(2416), 1,
      anon_sym_LBRACE,
    ACTIONS(2418), 1,
      aux_sym__qid_token1,
    ACTIONS(2420), 1,
      anon_sym_DOT,
    ACTIONS(2422), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2424), 1,
      anon_sym_u2987,
    ACTIONS(2428), 1,
      anon_sym_Set,
    STATE(3193), 1,
      aux_sym__atoms,
    STATE(3729), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4172), 1,
      sym_atom,
    STATE(6270), 1,
      sym_attributes,
    STATE(8100), 1,
      sym__LAMBDA,
    STATE(8267), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9101), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(11), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2426), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4220), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8677), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4219), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2406), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [128822] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2340), 1,
      sym_id,
    ACTIONS(2344), 1,
      anon_sym_BSLASH,
    ACTIONS(2346), 1,
      anon_sym_u03bb,
    ACTIONS(2350), 1,
      anon_sym_record,
    ACTIONS(2352), 1,
      anon_sym_LPAREN,
    ACTIONS(2354), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_u2983,
    ACTIONS(2358), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      aux_sym__qid_token1,
    ACTIONS(2362), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_quoteGoal,
    ACTIONS(2366), 1,
      anon_sym_tactic,
    ACTIONS(2368), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2370), 1,
      anon_sym_u2987,
    ACTIONS(2372), 1,
      anon_sym_let,
    ACTIONS(2376), 1,
      anon_sym_Set,
    STATE(3134), 1,
      aux_sym__atoms,
    STATE(3758), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5383), 1,
      sym_atom,
    STATE(6265), 1,
      sym_attributes,
    STATE(8080), 1,
      sym__LAMBDA,
    STATE(8442), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9760), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2342), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2374), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5425), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8686), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5431), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2348), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [128958] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2340), 1,
      sym_id,
    ACTIONS(2344), 1,
      anon_sym_BSLASH,
    ACTIONS(2346), 1,
      anon_sym_u03bb,
    ACTIONS(2350), 1,
      anon_sym_record,
    ACTIONS(2352), 1,
      anon_sym_LPAREN,
    ACTIONS(2354), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_u2983,
    ACTIONS(2358), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      aux_sym__qid_token1,
    ACTIONS(2362), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_quoteGoal,
    ACTIONS(2366), 1,
      anon_sym_tactic,
    ACTIONS(2368), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2370), 1,
      anon_sym_u2987,
    ACTIONS(2372), 1,
      anon_sym_let,
    ACTIONS(2376), 1,
      anon_sym_Set,
    STATE(3134), 1,
      aux_sym__atoms,
    STATE(3758), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5383), 1,
      sym_atom,
    STATE(6265), 1,
      sym_attributes,
    STATE(8080), 1,
      sym__LAMBDA,
    STATE(8442), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9760), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2342), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2374), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5425), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8686), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5431), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2348), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [129094] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2340), 1,
      sym_id,
    ACTIONS(2344), 1,
      anon_sym_BSLASH,
    ACTIONS(2346), 1,
      anon_sym_u03bb,
    ACTIONS(2350), 1,
      anon_sym_record,
    ACTIONS(2352), 1,
      anon_sym_LPAREN,
    ACTIONS(2354), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_u2983,
    ACTIONS(2358), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      aux_sym__qid_token1,
    ACTIONS(2362), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_quoteGoal,
    ACTIONS(2366), 1,
      anon_sym_tactic,
    ACTIONS(2368), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2370), 1,
      anon_sym_u2987,
    ACTIONS(2372), 1,
      anon_sym_let,
    ACTIONS(2376), 1,
      anon_sym_Set,
    STATE(3134), 1,
      aux_sym__atoms,
    STATE(3758), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5383), 1,
      sym_atom,
    STATE(6265), 1,
      sym_attributes,
    STATE(8080), 1,
      sym__LAMBDA,
    STATE(8442), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9760), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2342), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2374), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5425), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8686), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5431), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2348), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [129230] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(2976), 1,
      sym_id,
    ACTIONS(2980), 1,
      anon_sym_record,
    ACTIONS(2982), 1,
      anon_sym_LPAREN,
    ACTIONS(2984), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2986), 1,
      anon_sym_u2983,
    ACTIONS(2988), 1,
      anon_sym_LBRACE,
    ACTIONS(2990), 1,
      aux_sym__qid_token1,
    ACTIONS(2992), 1,
      anon_sym_DOT,
    ACTIONS(2994), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2996), 1,
      anon_sym_u2987,
    ACTIONS(3000), 1,
      anon_sym_Set,
    STATE(3301), 1,
      aux_sym__atoms,
    STATE(3711), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4792), 1,
      sym_atom,
    STATE(6289), 1,
      sym_attributes,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    STATE(8960), 1,
      sym_expr,
    STATE(9423), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2998), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4870), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8648), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4868), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2978), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [129366] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2340), 1,
      sym_id,
    ACTIONS(2344), 1,
      anon_sym_BSLASH,
    ACTIONS(2346), 1,
      anon_sym_u03bb,
    ACTIONS(2350), 1,
      anon_sym_record,
    ACTIONS(2352), 1,
      anon_sym_LPAREN,
    ACTIONS(2354), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_u2983,
    ACTIONS(2358), 1,
      anon_sym_LBRACE,
    ACTIONS(2360), 1,
      aux_sym__qid_token1,
    ACTIONS(2362), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_quoteGoal,
    ACTIONS(2366), 1,
      anon_sym_tactic,
    ACTIONS(2368), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2370), 1,
      anon_sym_u2987,
    ACTIONS(2372), 1,
      anon_sym_let,
    ACTIONS(2376), 1,
      anon_sym_Set,
    STATE(3134), 1,
      aux_sym__atoms,
    STATE(3758), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5383), 1,
      sym_atom,
    STATE(6265), 1,
      sym_attributes,
    STATE(8080), 1,
      sym__LAMBDA,
    STATE(8442), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9760), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2342), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2374), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5425), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8686), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5431), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2348), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [129502] = 36,
    ACTIONS(13), 1,
      anon_sym_BSLASH,
    ACTIONS(15), 1,
      anon_sym_u03bb,
    ACTIONS(75), 1,
      anon_sym_quoteGoal,
    ACTIONS(77), 1,
      anon_sym_tactic,
    ACTIONS(83), 1,
      anon_sym_let,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2404), 1,
      sym_id,
    ACTIONS(2408), 1,
      anon_sym_record,
    ACTIONS(2410), 1,
      anon_sym_LPAREN,
    ACTIONS(2412), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2414), 1,
      anon_sym_u2983,
    ACTIONS(2416), 1,
      anon_sym_LBRACE,
    ACTIONS(2418), 1,
      aux_sym__qid_token1,
    ACTIONS(2420), 1,
      anon_sym_DOT,
    ACTIONS(2422), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2424), 1,
      anon_sym_u2987,
    ACTIONS(2428), 1,
      anon_sym_Set,
    STATE(3193), 1,
      aux_sym__atoms,
    STATE(3729), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4172), 1,
      sym_atom,
    STATE(6270), 1,
      sym_attributes,
    STATE(8100), 1,
      sym__LAMBDA,
    STATE(8267), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9101), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(11), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2426), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4220), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8677), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4219), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2406), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [129638] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(2976), 1,
      sym_id,
    ACTIONS(2980), 1,
      anon_sym_record,
    ACTIONS(2982), 1,
      anon_sym_LPAREN,
    ACTIONS(2984), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2986), 1,
      anon_sym_u2983,
    ACTIONS(2988), 1,
      anon_sym_LBRACE,
    ACTIONS(2990), 1,
      aux_sym__qid_token1,
    ACTIONS(2992), 1,
      anon_sym_DOT,
    ACTIONS(2994), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2996), 1,
      anon_sym_u2987,
    ACTIONS(3000), 1,
      anon_sym_Set,
    STATE(3301), 1,
      aux_sym__atoms,
    STATE(3711), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4792), 1,
      sym_atom,
    STATE(6289), 1,
      sym_attributes,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    STATE(8975), 1,
      sym_expr,
    STATE(9423), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2998), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4870), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8648), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4868), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2978), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [129774] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(2976), 1,
      sym_id,
    ACTIONS(2980), 1,
      anon_sym_record,
    ACTIONS(2982), 1,
      anon_sym_LPAREN,
    ACTIONS(2984), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2986), 1,
      anon_sym_u2983,
    ACTIONS(2988), 1,
      anon_sym_LBRACE,
    ACTIONS(2990), 1,
      aux_sym__qid_token1,
    ACTIONS(2992), 1,
      anon_sym_DOT,
    ACTIONS(2994), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2996), 1,
      anon_sym_u2987,
    ACTIONS(3000), 1,
      anon_sym_Set,
    STATE(3301), 1,
      aux_sym__atoms,
    STATE(3711), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4792), 1,
      sym_atom,
    STATE(6289), 1,
      sym_attributes,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    STATE(8986), 1,
      sym_expr,
    STATE(9423), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2998), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4870), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8648), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4868), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2978), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [129910] = 35,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(3002), 1,
      sym_id,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3012), 1,
      anon_sym_record,
    ACTIONS(3014), 1,
      anon_sym_LPAREN,
    ACTIONS(3016), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3018), 1,
      anon_sym_u2983,
    ACTIONS(3020), 1,
      anon_sym_LBRACE,
    ACTIONS(3022), 1,
      anon_sym_DOT,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(3026), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3028), 1,
      anon_sym_u2987,
    ACTIONS(3032), 1,
      anon_sym_Set,
    STATE(1557), 1,
      sym__ARROW,
    STATE(2755), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3185), 1,
      sym_catchall_pragma,
    STATE(3562), 1,
      aux_sym__atoms,
    STATE(5355), 1,
      sym_atom,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    STATE(9454), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3004), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3030), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5150), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8981), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5143), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9450), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3010), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [130044] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1942), 1,
      sym_id,
    ACTIONS(1946), 1,
      anon_sym_BSLASH,
    ACTIONS(1948), 1,
      anon_sym_u03bb,
    ACTIONS(1952), 1,
      anon_sym_record,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1956), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1958), 1,
      anon_sym_u2983,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      aux_sym__qid_token1,
    ACTIONS(1964), 1,
      anon_sym_DOT,
    ACTIONS(1966), 1,
      anon_sym_quoteGoal,
    ACTIONS(1968), 1,
      anon_sym_tactic,
    ACTIONS(1970), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1972), 1,
      anon_sym_u2987,
    ACTIONS(1974), 1,
      anon_sym_let,
    ACTIONS(1978), 1,
      anon_sym_Set,
    STATE(3202), 1,
      aux_sym__atoms,
    STATE(3707), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4965), 1,
      sym_atom,
    STATE(6271), 1,
      sym_attributes,
    STATE(8062), 1,
      sym__LAMBDA,
    STATE(8473), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9617), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1944), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1976), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5114), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8659), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5111), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1950), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [130180] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(734), 1,
      sym_id,
    ACTIONS(738), 1,
      anon_sym_BSLASH,
    ACTIONS(740), 1,
      anon_sym_u03bb,
    ACTIONS(744), 1,
      anon_sym_record,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(748), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(750), 1,
      anon_sym_u2983,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(754), 1,
      aux_sym__qid_token1,
    ACTIONS(756), 1,
      anon_sym_DOT,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(762), 1,
      anon_sym_quoteGoal,
    ACTIONS(764), 1,
      anon_sym_tactic,
    ACTIONS(766), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(768), 1,
      anon_sym_u2987,
    ACTIONS(774), 1,
      anon_sym_Set,
    ACTIONS(2168), 1,
      anon_sym_let,
    STATE(3171), 1,
      aux_sym__atoms,
    STATE(3720), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5073), 1,
      sym_atom,
    STATE(6268), 1,
      sym_attributes,
    STATE(8084), 1,
      sym__LAMBDA,
    STATE(8447), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9511), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(772), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5228), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8646), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5289), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(742), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [130316] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(734), 1,
      sym_id,
    ACTIONS(738), 1,
      anon_sym_BSLASH,
    ACTIONS(740), 1,
      anon_sym_u03bb,
    ACTIONS(744), 1,
      anon_sym_record,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(748), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(750), 1,
      anon_sym_u2983,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(754), 1,
      aux_sym__qid_token1,
    ACTIONS(756), 1,
      anon_sym_DOT,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(762), 1,
      anon_sym_quoteGoal,
    ACTIONS(764), 1,
      anon_sym_tactic,
    ACTIONS(766), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(768), 1,
      anon_sym_u2987,
    ACTIONS(774), 1,
      anon_sym_Set,
    ACTIONS(2168), 1,
      anon_sym_let,
    STATE(3171), 1,
      aux_sym__atoms,
    STATE(3720), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5073), 1,
      sym_atom,
    STATE(6268), 1,
      sym_attributes,
    STATE(8084), 1,
      sym__LAMBDA,
    STATE(8447), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9511), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(772), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5228), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8646), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5289), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(742), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [130452] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(734), 1,
      sym_id,
    ACTIONS(738), 1,
      anon_sym_BSLASH,
    ACTIONS(740), 1,
      anon_sym_u03bb,
    ACTIONS(744), 1,
      anon_sym_record,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(748), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(750), 1,
      anon_sym_u2983,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(754), 1,
      aux_sym__qid_token1,
    ACTIONS(756), 1,
      anon_sym_DOT,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(762), 1,
      anon_sym_quoteGoal,
    ACTIONS(764), 1,
      anon_sym_tactic,
    ACTIONS(766), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(768), 1,
      anon_sym_u2987,
    ACTIONS(774), 1,
      anon_sym_Set,
    ACTIONS(2168), 1,
      anon_sym_let,
    STATE(3171), 1,
      aux_sym__atoms,
    STATE(3720), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5073), 1,
      sym_atom,
    STATE(6268), 1,
      sym_attributes,
    STATE(8084), 1,
      sym__LAMBDA,
    STATE(8447), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9511), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(772), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5228), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8646), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5289), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(742), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [130588] = 36,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(3034), 1,
      sym_id,
    ACTIONS(3038), 1,
      anon_sym_record,
    ACTIONS(3040), 1,
      anon_sym_LPAREN,
    ACTIONS(3042), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3044), 1,
      anon_sym_u2983,
    ACTIONS(3046), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      aux_sym__qid_token1,
    ACTIONS(3050), 1,
      anon_sym_DOT,
    ACTIONS(3052), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3054), 1,
      anon_sym_u2987,
    ACTIONS(3058), 1,
      anon_sym_Set,
    STATE(3137), 1,
      aux_sym__atoms,
    STATE(3733), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4860), 1,
      sym_atom,
    STATE(6291), 1,
      sym_attributes,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    STATE(8960), 1,
      sym_expr,
    STATE(9446), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3056), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4713), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8638), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4710), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3036), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [130724] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(734), 1,
      sym_id,
    ACTIONS(738), 1,
      anon_sym_BSLASH,
    ACTIONS(740), 1,
      anon_sym_u03bb,
    ACTIONS(744), 1,
      anon_sym_record,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(748), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(750), 1,
      anon_sym_u2983,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(754), 1,
      aux_sym__qid_token1,
    ACTIONS(756), 1,
      anon_sym_DOT,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(762), 1,
      anon_sym_quoteGoal,
    ACTIONS(764), 1,
      anon_sym_tactic,
    ACTIONS(766), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(768), 1,
      anon_sym_u2987,
    ACTIONS(774), 1,
      anon_sym_Set,
    ACTIONS(2168), 1,
      anon_sym_let,
    STATE(3171), 1,
      aux_sym__atoms,
    STATE(3720), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5073), 1,
      sym_atom,
    STATE(6268), 1,
      sym_attributes,
    STATE(8084), 1,
      sym__LAMBDA,
    STATE(8447), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9511), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(772), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5228), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8646), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5289), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(742), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [130860] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1942), 1,
      sym_id,
    ACTIONS(1946), 1,
      anon_sym_BSLASH,
    ACTIONS(1948), 1,
      anon_sym_u03bb,
    ACTIONS(1952), 1,
      anon_sym_record,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1956), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1958), 1,
      anon_sym_u2983,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      aux_sym__qid_token1,
    ACTIONS(1964), 1,
      anon_sym_DOT,
    ACTIONS(1966), 1,
      anon_sym_quoteGoal,
    ACTIONS(1968), 1,
      anon_sym_tactic,
    ACTIONS(1970), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1972), 1,
      anon_sym_u2987,
    ACTIONS(1974), 1,
      anon_sym_let,
    ACTIONS(1978), 1,
      anon_sym_Set,
    STATE(3202), 1,
      aux_sym__atoms,
    STATE(3707), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4965), 1,
      sym_atom,
    STATE(6271), 1,
      sym_attributes,
    STATE(8062), 1,
      sym__LAMBDA,
    STATE(8473), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9617), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1944), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1976), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5114), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8659), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5111), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1950), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [130996] = 36,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(3034), 1,
      sym_id,
    ACTIONS(3038), 1,
      anon_sym_record,
    ACTIONS(3040), 1,
      anon_sym_LPAREN,
    ACTIONS(3042), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3044), 1,
      anon_sym_u2983,
    ACTIONS(3046), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      aux_sym__qid_token1,
    ACTIONS(3050), 1,
      anon_sym_DOT,
    ACTIONS(3052), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3054), 1,
      anon_sym_u2987,
    ACTIONS(3058), 1,
      anon_sym_Set,
    STATE(3137), 1,
      aux_sym__atoms,
    STATE(3733), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4860), 1,
      sym_atom,
    STATE(6291), 1,
      sym_attributes,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    STATE(8975), 1,
      sym_expr,
    STATE(9446), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3056), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4713), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8638), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4710), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3036), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [131132] = 36,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(3034), 1,
      sym_id,
    ACTIONS(3038), 1,
      anon_sym_record,
    ACTIONS(3040), 1,
      anon_sym_LPAREN,
    ACTIONS(3042), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3044), 1,
      anon_sym_u2983,
    ACTIONS(3046), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      aux_sym__qid_token1,
    ACTIONS(3050), 1,
      anon_sym_DOT,
    ACTIONS(3052), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3054), 1,
      anon_sym_u2987,
    ACTIONS(3058), 1,
      anon_sym_Set,
    STATE(3137), 1,
      aux_sym__atoms,
    STATE(3733), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4860), 1,
      sym_atom,
    STATE(6291), 1,
      sym_attributes,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    STATE(8986), 1,
      sym_expr,
    STATE(9446), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3056), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4713), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8638), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4710), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3036), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [131268] = 35,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3060), 1,
      sym_id,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3068), 1,
      anon_sym_record,
    ACTIONS(3070), 1,
      anon_sym_LPAREN,
    ACTIONS(3072), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3074), 1,
      anon_sym_u2983,
    ACTIONS(3076), 1,
      anon_sym_LBRACE,
    ACTIONS(3078), 1,
      aux_sym__qid_token1,
    ACTIONS(3080), 1,
      anon_sym_DOT,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(3084), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3086), 1,
      anon_sym_u2987,
    ACTIONS(3090), 1,
      anon_sym_Set,
    STATE(1567), 1,
      sym__ARROW,
    STATE(2682), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3196), 1,
      sym_catchall_pragma,
    STATE(3639), 1,
      aux_sym__atoms,
    STATE(5377), 1,
      sym_atom,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    STATE(9002), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2786), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3088), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5561), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8928), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5558), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [131402] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2020), 1,
      sym_id,
    ACTIONS(2024), 1,
      anon_sym_BSLASH,
    ACTIONS(2026), 1,
      anon_sym_u03bb,
    ACTIONS(2030), 1,
      anon_sym_record,
    ACTIONS(2032), 1,
      anon_sym_LPAREN,
    ACTIONS(2034), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2036), 1,
      anon_sym_u2983,
    ACTIONS(2038), 1,
      anon_sym_LBRACE,
    ACTIONS(2040), 1,
      aux_sym__qid_token1,
    ACTIONS(2042), 1,
      anon_sym_DOT,
    ACTIONS(2044), 1,
      anon_sym_quoteGoal,
    ACTIONS(2046), 1,
      anon_sym_tactic,
    ACTIONS(2048), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2050), 1,
      anon_sym_u2987,
    ACTIONS(2052), 1,
      anon_sym_let,
    ACTIONS(2056), 1,
      anon_sym_Set,
    STATE(3214), 1,
      aux_sym__atoms,
    STATE(3734), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4548), 1,
      sym_atom,
    STATE(6272), 1,
      sym_attributes,
    STATE(8070), 1,
      sym__LAMBDA,
    STATE(8476), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9328), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2022), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2054), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4497), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8655), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4495), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2028), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [131538] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2520), 1,
      sym_id,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2530), 1,
      anon_sym_record,
    ACTIONS(2532), 1,
      anon_sym_LPAREN,
    ACTIONS(2534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2536), 1,
      anon_sym_u2983,
    ACTIONS(2538), 1,
      anon_sym_LBRACE,
    ACTIONS(2540), 1,
      aux_sym__qid_token1,
    ACTIONS(2542), 1,
      anon_sym_DOT,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2548), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2550), 1,
      anon_sym_u2987,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(2556), 1,
      anon_sym_Set,
    STATE(3249), 1,
      aux_sym__atoms,
    STATE(3730), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4059), 1,
      sym_atom,
    STATE(6274), 1,
      sym_attributes,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9030), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2554), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4086), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8670), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4083), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [131674] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2520), 1,
      sym_id,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2530), 1,
      anon_sym_record,
    ACTIONS(2532), 1,
      anon_sym_LPAREN,
    ACTIONS(2534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2536), 1,
      anon_sym_u2983,
    ACTIONS(2538), 1,
      anon_sym_LBRACE,
    ACTIONS(2540), 1,
      aux_sym__qid_token1,
    ACTIONS(2542), 1,
      anon_sym_DOT,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2548), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2550), 1,
      anon_sym_u2987,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(2556), 1,
      anon_sym_Set,
    STATE(3249), 1,
      aux_sym__atoms,
    STATE(3730), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4059), 1,
      sym_atom,
    STATE(6274), 1,
      sym_attributes,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9030), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2554), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4086), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8670), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4083), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [131810] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2520), 1,
      sym_id,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2530), 1,
      anon_sym_record,
    ACTIONS(2532), 1,
      anon_sym_LPAREN,
    ACTIONS(2534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2536), 1,
      anon_sym_u2983,
    ACTIONS(2538), 1,
      anon_sym_LBRACE,
    ACTIONS(2540), 1,
      aux_sym__qid_token1,
    ACTIONS(2542), 1,
      anon_sym_DOT,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2548), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2550), 1,
      anon_sym_u2987,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(2556), 1,
      anon_sym_Set,
    STATE(3249), 1,
      aux_sym__atoms,
    STATE(3730), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4059), 1,
      sym_atom,
    STATE(6274), 1,
      sym_attributes,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9030), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2554), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4086), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8670), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4083), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [131946] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(3092), 1,
      sym_id,
    ACTIONS(3096), 1,
      anon_sym_record,
    ACTIONS(3098), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3102), 1,
      anon_sym_u2983,
    ACTIONS(3104), 1,
      anon_sym_LBRACE,
    ACTIONS(3106), 1,
      aux_sym__qid_token1,
    ACTIONS(3108), 1,
      anon_sym_DOT,
    ACTIONS(3110), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3112), 1,
      anon_sym_u2987,
    ACTIONS(3116), 1,
      anon_sym_Set,
    STATE(3149), 1,
      aux_sym__atoms,
    STATE(3727), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5204), 1,
      sym_atom,
    STATE(6292), 1,
      sym_attributes,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    STATE(8951), 1,
      sym_expr,
    STATE(9601), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3114), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5351), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8656), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5163), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3094), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [132082] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2520), 1,
      sym_id,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2530), 1,
      anon_sym_record,
    ACTIONS(2532), 1,
      anon_sym_LPAREN,
    ACTIONS(2534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2536), 1,
      anon_sym_u2983,
    ACTIONS(2538), 1,
      anon_sym_LBRACE,
    ACTIONS(2540), 1,
      aux_sym__qid_token1,
    ACTIONS(2542), 1,
      anon_sym_DOT,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2548), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2550), 1,
      anon_sym_u2987,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(2556), 1,
      anon_sym_Set,
    STATE(3249), 1,
      aux_sym__atoms,
    STATE(3730), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4059), 1,
      sym_atom,
    STATE(6274), 1,
      sym_attributes,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9030), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2554), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4086), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8670), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4083), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [132218] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2020), 1,
      sym_id,
    ACTIONS(2024), 1,
      anon_sym_BSLASH,
    ACTIONS(2026), 1,
      anon_sym_u03bb,
    ACTIONS(2030), 1,
      anon_sym_record,
    ACTIONS(2032), 1,
      anon_sym_LPAREN,
    ACTIONS(2034), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2036), 1,
      anon_sym_u2983,
    ACTIONS(2038), 1,
      anon_sym_LBRACE,
    ACTIONS(2040), 1,
      aux_sym__qid_token1,
    ACTIONS(2042), 1,
      anon_sym_DOT,
    ACTIONS(2044), 1,
      anon_sym_quoteGoal,
    ACTIONS(2046), 1,
      anon_sym_tactic,
    ACTIONS(2048), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2050), 1,
      anon_sym_u2987,
    ACTIONS(2052), 1,
      anon_sym_let,
    ACTIONS(2056), 1,
      anon_sym_Set,
    STATE(3214), 1,
      aux_sym__atoms,
    STATE(3734), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4548), 1,
      sym_atom,
    STATE(6272), 1,
      sym_attributes,
    STATE(8070), 1,
      sym__LAMBDA,
    STATE(8476), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9328), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2022), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2054), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4497), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8655), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4495), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2028), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [132354] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(3092), 1,
      sym_id,
    ACTIONS(3096), 1,
      anon_sym_record,
    ACTIONS(3098), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3102), 1,
      anon_sym_u2983,
    ACTIONS(3104), 1,
      anon_sym_LBRACE,
    ACTIONS(3106), 1,
      aux_sym__qid_token1,
    ACTIONS(3108), 1,
      anon_sym_DOT,
    ACTIONS(3110), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3112), 1,
      anon_sym_u2987,
    ACTIONS(3116), 1,
      anon_sym_Set,
    STATE(3149), 1,
      aux_sym__atoms,
    STATE(3727), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5204), 1,
      sym_atom,
    STATE(6292), 1,
      sym_attributes,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    STATE(8974), 1,
      sym_expr,
    STATE(9601), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3114), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5351), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8656), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5163), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3094), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [132490] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(3092), 1,
      sym_id,
    ACTIONS(3096), 1,
      anon_sym_record,
    ACTIONS(3098), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3102), 1,
      anon_sym_u2983,
    ACTIONS(3104), 1,
      anon_sym_LBRACE,
    ACTIONS(3106), 1,
      aux_sym__qid_token1,
    ACTIONS(3108), 1,
      anon_sym_DOT,
    ACTIONS(3110), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3112), 1,
      anon_sym_u2987,
    ACTIONS(3116), 1,
      anon_sym_Set,
    STATE(3149), 1,
      aux_sym__atoms,
    STATE(3727), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5204), 1,
      sym_atom,
    STATE(6292), 1,
      sym_attributes,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    STATE(8990), 1,
      sym_expr,
    STATE(9601), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3114), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5351), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8656), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5163), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3094), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [132626] = 35,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3118), 1,
      sym_id,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3130), 1,
      anon_sym_record,
    ACTIONS(3132), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3136), 1,
      anon_sym_u2983,
    ACTIONS(3138), 1,
      anon_sym_LBRACE,
    ACTIONS(3140), 1,
      aux_sym__qid_token1,
    ACTIONS(3142), 1,
      anon_sym_DOT,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3148), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3150), 1,
      anon_sym_u2987,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(3156), 1,
      anon_sym_Set,
    STATE(1577), 1,
      sym__ARROW,
    STATE(2747), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3204), 1,
      sym_catchall_pragma,
    STATE(3356), 1,
      aux_sym__atoms,
    STATE(5148), 1,
      sym_atom,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    STATE(9002), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3122), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3154), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5014), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8928), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4982), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3128), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [132760] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2058), 1,
      sym_id,
    ACTIONS(2062), 1,
      anon_sym_BSLASH,
    ACTIONS(2064), 1,
      anon_sym_u03bb,
    ACTIONS(2068), 1,
      anon_sym_record,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    ACTIONS(2072), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_u2983,
    ACTIONS(2076), 1,
      anon_sym_LBRACE,
    ACTIONS(2078), 1,
      aux_sym__qid_token1,
    ACTIONS(2080), 1,
      anon_sym_DOT,
    ACTIONS(2082), 1,
      anon_sym_quoteGoal,
    ACTIONS(2084), 1,
      anon_sym_tactic,
    ACTIONS(2086), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2088), 1,
      anon_sym_u2987,
    ACTIONS(2090), 1,
      anon_sym_let,
    ACTIONS(2094), 1,
      anon_sym_Set,
    STATE(3227), 1,
      aux_sym__atoms,
    STATE(3760), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4311), 1,
      sym_atom,
    STATE(6273), 1,
      sym_attributes,
    STATE(8149), 1,
      sym__LAMBDA,
    STATE(8477), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9184), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2060), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2092), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4363), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8668), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4360), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [132896] = 36,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(3034), 1,
      sym_id,
    ACTIONS(3038), 1,
      anon_sym_record,
    ACTIONS(3040), 1,
      anon_sym_LPAREN,
    ACTIONS(3042), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3044), 1,
      anon_sym_u2983,
    ACTIONS(3046), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      aux_sym__qid_token1,
    ACTIONS(3050), 1,
      anon_sym_DOT,
    ACTIONS(3052), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3054), 1,
      anon_sym_u2987,
    ACTIONS(3058), 1,
      anon_sym_Set,
    STATE(3137), 1,
      aux_sym__atoms,
    STATE(3733), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4860), 1,
      sym_atom,
    STATE(6291), 1,
      sym_attributes,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    STATE(9446), 1,
      sym__with_exprs,
    STATE(9479), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3056), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4713), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8638), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4710), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3036), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [133032] = 36,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(3034), 1,
      sym_id,
    ACTIONS(3038), 1,
      anon_sym_record,
    ACTIONS(3040), 1,
      anon_sym_LPAREN,
    ACTIONS(3042), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3044), 1,
      anon_sym_u2983,
    ACTIONS(3046), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      aux_sym__qid_token1,
    ACTIONS(3050), 1,
      anon_sym_DOT,
    ACTIONS(3052), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3054), 1,
      anon_sym_u2987,
    ACTIONS(3058), 1,
      anon_sym_Set,
    STATE(3137), 1,
      aux_sym__atoms,
    STATE(3733), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4860), 1,
      sym_atom,
    STATE(6291), 1,
      sym_attributes,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    STATE(9406), 1,
      sym_expr,
    STATE(9446), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3056), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4713), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8638), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4710), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3036), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [133168] = 36,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(3034), 1,
      sym_id,
    ACTIONS(3038), 1,
      anon_sym_record,
    ACTIONS(3040), 1,
      anon_sym_LPAREN,
    ACTIONS(3042), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3044), 1,
      anon_sym_u2983,
    ACTIONS(3046), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      aux_sym__qid_token1,
    ACTIONS(3050), 1,
      anon_sym_DOT,
    ACTIONS(3052), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3054), 1,
      anon_sym_u2987,
    ACTIONS(3058), 1,
      anon_sym_Set,
    STATE(3137), 1,
      aux_sym__atoms,
    STATE(3733), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4860), 1,
      sym_atom,
    STATE(6291), 1,
      sym_attributes,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    STATE(9411), 1,
      sym_expr,
    STATE(9446), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3056), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4713), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8638), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4710), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3036), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [133304] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(3158), 1,
      sym_id,
    ACTIONS(3162), 1,
      anon_sym_record,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    ACTIONS(3166), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3168), 1,
      anon_sym_u2983,
    ACTIONS(3170), 1,
      anon_sym_LBRACE,
    ACTIONS(3172), 1,
      aux_sym__qid_token1,
    ACTIONS(3174), 1,
      anon_sym_DOT,
    ACTIONS(3176), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3178), 1,
      anon_sym_u2987,
    ACTIONS(3182), 1,
      anon_sym_Set,
    STATE(3156), 1,
      aux_sym__atoms,
    STATE(3746), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4821), 1,
      sym_atom,
    STATE(6293), 1,
      sym_attributes,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    STATE(8951), 1,
      sym_expr,
    STATE(9419), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3180), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8667), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4757), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3160), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [133440] = 36,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(3034), 1,
      sym_id,
    ACTIONS(3038), 1,
      anon_sym_record,
    ACTIONS(3040), 1,
      anon_sym_LPAREN,
    ACTIONS(3042), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3044), 1,
      anon_sym_u2983,
    ACTIONS(3046), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      aux_sym__qid_token1,
    ACTIONS(3050), 1,
      anon_sym_DOT,
    ACTIONS(3052), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3054), 1,
      anon_sym_u2987,
    ACTIONS(3058), 1,
      anon_sym_Set,
    STATE(3137), 1,
      aux_sym__atoms,
    STATE(3733), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4860), 1,
      sym_atom,
    STATE(6291), 1,
      sym_attributes,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    STATE(9404), 1,
      sym_expr,
    STATE(9446), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3056), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4713), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8638), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4710), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3036), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [133576] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2058), 1,
      sym_id,
    ACTIONS(2062), 1,
      anon_sym_BSLASH,
    ACTIONS(2064), 1,
      anon_sym_u03bb,
    ACTIONS(2068), 1,
      anon_sym_record,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    ACTIONS(2072), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_u2983,
    ACTIONS(2076), 1,
      anon_sym_LBRACE,
    ACTIONS(2078), 1,
      aux_sym__qid_token1,
    ACTIONS(2080), 1,
      anon_sym_DOT,
    ACTIONS(2082), 1,
      anon_sym_quoteGoal,
    ACTIONS(2084), 1,
      anon_sym_tactic,
    ACTIONS(2086), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2088), 1,
      anon_sym_u2987,
    ACTIONS(2090), 1,
      anon_sym_let,
    ACTIONS(2094), 1,
      anon_sym_Set,
    STATE(3227), 1,
      aux_sym__atoms,
    STATE(3760), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4311), 1,
      sym_atom,
    STATE(6273), 1,
      sym_attributes,
    STATE(8149), 1,
      sym__LAMBDA,
    STATE(8477), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9184), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2060), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2092), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4363), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8668), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4360), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [133712] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(3158), 1,
      sym_id,
    ACTIONS(3162), 1,
      anon_sym_record,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    ACTIONS(3166), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3168), 1,
      anon_sym_u2983,
    ACTIONS(3170), 1,
      anon_sym_LBRACE,
    ACTIONS(3172), 1,
      aux_sym__qid_token1,
    ACTIONS(3174), 1,
      anon_sym_DOT,
    ACTIONS(3176), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3178), 1,
      anon_sym_u2987,
    ACTIONS(3182), 1,
      anon_sym_Set,
    STATE(3156), 1,
      aux_sym__atoms,
    STATE(3746), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4821), 1,
      sym_atom,
    STATE(6293), 1,
      sym_attributes,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    STATE(8974), 1,
      sym_expr,
    STATE(9419), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3180), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8667), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4757), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3160), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [133848] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(3158), 1,
      sym_id,
    ACTIONS(3162), 1,
      anon_sym_record,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    ACTIONS(3166), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3168), 1,
      anon_sym_u2983,
    ACTIONS(3170), 1,
      anon_sym_LBRACE,
    ACTIONS(3172), 1,
      aux_sym__qid_token1,
    ACTIONS(3174), 1,
      anon_sym_DOT,
    ACTIONS(3176), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3178), 1,
      anon_sym_u2987,
    ACTIONS(3182), 1,
      anon_sym_Set,
    STATE(3156), 1,
      aux_sym__atoms,
    STATE(3746), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4821), 1,
      sym_atom,
    STATE(6293), 1,
      sym_attributes,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    STATE(8990), 1,
      sym_expr,
    STATE(9419), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3180), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8667), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4757), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3160), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [133984] = 35,
    ACTIONS(692), 1,
      anon_sym_record,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(698), 1,
      anon_sym_u2983,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      anon_sym_DOT,
    ACTIONS(718), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(720), 1,
      anon_sym_u2987,
    ACTIONS(728), 1,
      anon_sym_Set,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(3184), 1,
      sym_id,
    ACTIONS(3186), 1,
      anon_sym_BSLASH,
    ACTIONS(3188), 1,
      anon_sym_u03bb,
    ACTIONS(3190), 1,
      aux_sym__qid_token1,
    ACTIONS(3192), 1,
      anon_sym_tactic,
    STATE(1520), 1,
      sym__ARROW,
    STATE(2729), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3240), 1,
      sym_catchall_pragma,
    STATE(3494), 1,
      aux_sym__atoms,
    STATE(5140), 1,
      sym_atom,
    STATE(8063), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    STATE(8963), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(726), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2826), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5353), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8981), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4924), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(690), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [134118] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2520), 1,
      sym_id,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2530), 1,
      anon_sym_record,
    ACTIONS(2532), 1,
      anon_sym_LPAREN,
    ACTIONS(2534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2536), 1,
      anon_sym_u2983,
    ACTIONS(2538), 1,
      anon_sym_LBRACE,
    ACTIONS(2540), 1,
      aux_sym__qid_token1,
    ACTIONS(2542), 1,
      anon_sym_DOT,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2548), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2550), 1,
      anon_sym_u2987,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(2556), 1,
      anon_sym_Set,
    STATE(3249), 1,
      aux_sym__atoms,
    STATE(3730), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4059), 1,
      sym_atom,
    STATE(6274), 1,
      sym_attributes,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9030), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2554), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4086), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8670), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4083), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [134254] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1866), 1,
      sym_id,
    ACTIONS(1870), 1,
      anon_sym_BSLASH,
    ACTIONS(1872), 1,
      anon_sym_u03bb,
    ACTIONS(1876), 1,
      anon_sym_record,
    ACTIONS(1878), 1,
      anon_sym_LPAREN,
    ACTIONS(1880), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1882), 1,
      anon_sym_u2983,
    ACTIONS(1884), 1,
      anon_sym_LBRACE,
    ACTIONS(1886), 1,
      aux_sym__qid_token1,
    ACTIONS(1888), 1,
      anon_sym_DOT,
    ACTIONS(1890), 1,
      anon_sym_quoteGoal,
    ACTIONS(1892), 1,
      anon_sym_tactic,
    ACTIONS(1894), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1896), 1,
      anon_sym_u2987,
    ACTIONS(1898), 1,
      anon_sym_let,
    ACTIONS(1902), 1,
      anon_sym_Set,
    STATE(3277), 1,
      aux_sym__atoms,
    STATE(3742), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4687), 1,
      sym_atom,
    STATE(6266), 1,
      sym_attributes,
    STATE(8131), 1,
      sym__LAMBDA,
    STATE(8455), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9436), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1868), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1900), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4844), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8672), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4861), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1874), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [134390] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1866), 1,
      sym_id,
    ACTIONS(1870), 1,
      anon_sym_BSLASH,
    ACTIONS(1872), 1,
      anon_sym_u03bb,
    ACTIONS(1876), 1,
      anon_sym_record,
    ACTIONS(1878), 1,
      anon_sym_LPAREN,
    ACTIONS(1880), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1882), 1,
      anon_sym_u2983,
    ACTIONS(1884), 1,
      anon_sym_LBRACE,
    ACTIONS(1886), 1,
      aux_sym__qid_token1,
    ACTIONS(1888), 1,
      anon_sym_DOT,
    ACTIONS(1890), 1,
      anon_sym_quoteGoal,
    ACTIONS(1892), 1,
      anon_sym_tactic,
    ACTIONS(1894), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1896), 1,
      anon_sym_u2987,
    ACTIONS(1898), 1,
      anon_sym_let,
    ACTIONS(1902), 1,
      anon_sym_Set,
    STATE(3277), 1,
      aux_sym__atoms,
    STATE(3742), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4687), 1,
      sym_atom,
    STATE(6266), 1,
      sym_attributes,
    STATE(8131), 1,
      sym__LAMBDA,
    STATE(8455), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9436), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1868), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1900), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4844), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8672), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4861), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1874), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [134526] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1866), 1,
      sym_id,
    ACTIONS(1870), 1,
      anon_sym_BSLASH,
    ACTIONS(1872), 1,
      anon_sym_u03bb,
    ACTIONS(1876), 1,
      anon_sym_record,
    ACTIONS(1878), 1,
      anon_sym_LPAREN,
    ACTIONS(1880), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1882), 1,
      anon_sym_u2983,
    ACTIONS(1884), 1,
      anon_sym_LBRACE,
    ACTIONS(1886), 1,
      aux_sym__qid_token1,
    ACTIONS(1888), 1,
      anon_sym_DOT,
    ACTIONS(1890), 1,
      anon_sym_quoteGoal,
    ACTIONS(1892), 1,
      anon_sym_tactic,
    ACTIONS(1894), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1896), 1,
      anon_sym_u2987,
    ACTIONS(1898), 1,
      anon_sym_let,
    ACTIONS(1902), 1,
      anon_sym_Set,
    STATE(3277), 1,
      aux_sym__atoms,
    STATE(3742), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4687), 1,
      sym_atom,
    STATE(6266), 1,
      sym_attributes,
    STATE(8131), 1,
      sym__LAMBDA,
    STATE(8455), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9436), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1868), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1900), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4844), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8672), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4861), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1874), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [134662] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3194), 1,
      sym_id,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3204), 1,
      anon_sym_record,
    ACTIONS(3206), 1,
      anon_sym_LPAREN,
    ACTIONS(3208), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3210), 1,
      anon_sym_u2983,
    ACTIONS(3212), 1,
      anon_sym_LBRACE,
    ACTIONS(3214), 1,
      aux_sym__qid_token1,
    ACTIONS(3216), 1,
      anon_sym_DOT,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3222), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3224), 1,
      anon_sym_u2987,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(3230), 1,
      anon_sym_Set,
    STATE(3165), 1,
      aux_sym__atoms,
    STATE(3745), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4587), 1,
      sym_atom,
    STATE(6294), 1,
      sym_attributes,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    STATE(8951), 1,
      sym_expr,
    STATE(9322), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3228), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4440), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8669), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4435), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3202), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [134798] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1866), 1,
      sym_id,
    ACTIONS(1870), 1,
      anon_sym_BSLASH,
    ACTIONS(1872), 1,
      anon_sym_u03bb,
    ACTIONS(1876), 1,
      anon_sym_record,
    ACTIONS(1878), 1,
      anon_sym_LPAREN,
    ACTIONS(1880), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1882), 1,
      anon_sym_u2983,
    ACTIONS(1884), 1,
      anon_sym_LBRACE,
    ACTIONS(1886), 1,
      aux_sym__qid_token1,
    ACTIONS(1888), 1,
      anon_sym_DOT,
    ACTIONS(1890), 1,
      anon_sym_quoteGoal,
    ACTIONS(1892), 1,
      anon_sym_tactic,
    ACTIONS(1894), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1896), 1,
      anon_sym_u2987,
    ACTIONS(1898), 1,
      anon_sym_let,
    ACTIONS(1902), 1,
      anon_sym_Set,
    STATE(3277), 1,
      aux_sym__atoms,
    STATE(3742), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4687), 1,
      sym_atom,
    STATE(6266), 1,
      sym_attributes,
    STATE(8131), 1,
      sym__LAMBDA,
    STATE(8455), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9436), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1868), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1900), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4844), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8672), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4861), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1874), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [134934] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2520), 1,
      sym_id,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2530), 1,
      anon_sym_record,
    ACTIONS(2532), 1,
      anon_sym_LPAREN,
    ACTIONS(2534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2536), 1,
      anon_sym_u2983,
    ACTIONS(2538), 1,
      anon_sym_LBRACE,
    ACTIONS(2540), 1,
      aux_sym__qid_token1,
    ACTIONS(2542), 1,
      anon_sym_DOT,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2548), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2550), 1,
      anon_sym_u2987,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(2556), 1,
      anon_sym_Set,
    STATE(3249), 1,
      aux_sym__atoms,
    STATE(3730), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4059), 1,
      sym_atom,
    STATE(6274), 1,
      sym_attributes,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9030), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2554), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4086), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8670), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4083), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [135070] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3194), 1,
      sym_id,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3204), 1,
      anon_sym_record,
    ACTIONS(3206), 1,
      anon_sym_LPAREN,
    ACTIONS(3208), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3210), 1,
      anon_sym_u2983,
    ACTIONS(3212), 1,
      anon_sym_LBRACE,
    ACTIONS(3214), 1,
      aux_sym__qid_token1,
    ACTIONS(3216), 1,
      anon_sym_DOT,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3222), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3224), 1,
      anon_sym_u2987,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(3230), 1,
      anon_sym_Set,
    STATE(3165), 1,
      aux_sym__atoms,
    STATE(3745), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4587), 1,
      sym_atom,
    STATE(6294), 1,
      sym_attributes,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    STATE(8974), 1,
      sym_expr,
    STATE(9322), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3228), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4440), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8669), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4435), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3202), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [135206] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3194), 1,
      sym_id,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3204), 1,
      anon_sym_record,
    ACTIONS(3206), 1,
      anon_sym_LPAREN,
    ACTIONS(3208), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3210), 1,
      anon_sym_u2983,
    ACTIONS(3212), 1,
      anon_sym_LBRACE,
    ACTIONS(3214), 1,
      aux_sym__qid_token1,
    ACTIONS(3216), 1,
      anon_sym_DOT,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3222), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3224), 1,
      anon_sym_u2987,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(3230), 1,
      anon_sym_Set,
    STATE(3165), 1,
      aux_sym__atoms,
    STATE(3745), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4587), 1,
      sym_atom,
    STATE(6294), 1,
      sym_attributes,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    STATE(8990), 1,
      sym_expr,
    STATE(9322), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3228), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4440), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8669), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4435), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3202), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [135342] = 35,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(3232), 1,
      sym_id,
    ACTIONS(3234), 1,
      anon_sym_BSLASH,
    ACTIONS(3236), 1,
      anon_sym_u03bb,
    ACTIONS(3240), 1,
      anon_sym_record,
    ACTIONS(3242), 1,
      anon_sym_LPAREN,
    ACTIONS(3244), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3246), 1,
      anon_sym_u2983,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3250), 1,
      aux_sym__qid_token1,
    ACTIONS(3252), 1,
      anon_sym_DOT,
    ACTIONS(3254), 1,
      anon_sym_tactic,
    ACTIONS(3256), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3258), 1,
      anon_sym_u2987,
    ACTIONS(3262), 1,
      anon_sym_Set,
    STATE(1534), 1,
      sym__ARROW,
    STATE(2807), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3260), 1,
      sym_catchall_pragma,
    STATE(3538), 1,
      aux_sym__atoms,
    STATE(5461), 1,
      sym_atom,
    STATE(8112), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    STATE(8963), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2890), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3260), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5393), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9459), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5591), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3238), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [135476] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3266), 1,
      aux_sym__atoms,
    STATE(3739), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6275), 1,
      sym_attributes,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    STATE(9476), 1,
      sym_expr,
    STATE(9519), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8683), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [135612] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1904), 1,
      sym_id,
    ACTIONS(1908), 1,
      anon_sym_BSLASH,
    ACTIONS(1910), 1,
      anon_sym_u03bb,
    ACTIONS(1914), 1,
      anon_sym_record,
    ACTIONS(1916), 1,
      anon_sym_LPAREN,
    ACTIONS(1918), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1920), 1,
      anon_sym_u2983,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(1924), 1,
      aux_sym__qid_token1,
    ACTIONS(1926), 1,
      anon_sym_DOT,
    ACTIONS(1928), 1,
      anon_sym_quoteGoal,
    ACTIONS(1930), 1,
      anon_sym_tactic,
    ACTIONS(1932), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1934), 1,
      anon_sym_u2987,
    ACTIONS(1936), 1,
      anon_sym_let,
    ACTIONS(1940), 1,
      anon_sym_Set,
    STATE(3145), 1,
      aux_sym__atoms,
    STATE(3753), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4515), 1,
      sym_atom,
    STATE(6267), 1,
      sym_attributes,
    STATE(8141), 1,
      sym__LAMBDA,
    STATE(8457), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9288), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1906), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1938), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4621), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8631), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4454), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1912), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [135748] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1904), 1,
      sym_id,
    ACTIONS(1908), 1,
      anon_sym_BSLASH,
    ACTIONS(1910), 1,
      anon_sym_u03bb,
    ACTIONS(1914), 1,
      anon_sym_record,
    ACTIONS(1916), 1,
      anon_sym_LPAREN,
    ACTIONS(1918), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1920), 1,
      anon_sym_u2983,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(1924), 1,
      aux_sym__qid_token1,
    ACTIONS(1926), 1,
      anon_sym_DOT,
    ACTIONS(1928), 1,
      anon_sym_quoteGoal,
    ACTIONS(1930), 1,
      anon_sym_tactic,
    ACTIONS(1932), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1934), 1,
      anon_sym_u2987,
    ACTIONS(1936), 1,
      anon_sym_let,
    ACTIONS(1940), 1,
      anon_sym_Set,
    STATE(3145), 1,
      aux_sym__atoms,
    STATE(3753), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4515), 1,
      sym_atom,
    STATE(6267), 1,
      sym_attributes,
    STATE(8141), 1,
      sym__LAMBDA,
    STATE(8457), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9288), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1906), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1938), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4621), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8631), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4454), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1912), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [135884] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1904), 1,
      sym_id,
    ACTIONS(1908), 1,
      anon_sym_BSLASH,
    ACTIONS(1910), 1,
      anon_sym_u03bb,
    ACTIONS(1914), 1,
      anon_sym_record,
    ACTIONS(1916), 1,
      anon_sym_LPAREN,
    ACTIONS(1918), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1920), 1,
      anon_sym_u2983,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(1924), 1,
      aux_sym__qid_token1,
    ACTIONS(1926), 1,
      anon_sym_DOT,
    ACTIONS(1928), 1,
      anon_sym_quoteGoal,
    ACTIONS(1930), 1,
      anon_sym_tactic,
    ACTIONS(1932), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1934), 1,
      anon_sym_u2987,
    ACTIONS(1936), 1,
      anon_sym_let,
    ACTIONS(1940), 1,
      anon_sym_Set,
    STATE(3145), 1,
      aux_sym__atoms,
    STATE(3753), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4515), 1,
      sym_atom,
    STATE(6267), 1,
      sym_attributes,
    STATE(8141), 1,
      sym__LAMBDA,
    STATE(8457), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9288), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1906), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1938), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4621), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8631), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4454), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1912), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [136020] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3264), 1,
      sym_id,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3274), 1,
      anon_sym_record,
    ACTIONS(3276), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3280), 1,
      anon_sym_u2983,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      aux_sym__qid_token1,
    ACTIONS(3286), 1,
      anon_sym_DOT,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3292), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3294), 1,
      anon_sym_u2987,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(3300), 1,
      anon_sym_Set,
    STATE(3170), 1,
      aux_sym__atoms,
    STATE(3750), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4407), 1,
      sym_atom,
    STATE(6295), 1,
      sym_attributes,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    STATE(8951), 1,
      sym_expr,
    STATE(9174), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3298), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4335), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8642), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4334), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3272), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [136156] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1904), 1,
      sym_id,
    ACTIONS(1908), 1,
      anon_sym_BSLASH,
    ACTIONS(1910), 1,
      anon_sym_u03bb,
    ACTIONS(1914), 1,
      anon_sym_record,
    ACTIONS(1916), 1,
      anon_sym_LPAREN,
    ACTIONS(1918), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1920), 1,
      anon_sym_u2983,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(1924), 1,
      aux_sym__qid_token1,
    ACTIONS(1926), 1,
      anon_sym_DOT,
    ACTIONS(1928), 1,
      anon_sym_quoteGoal,
    ACTIONS(1930), 1,
      anon_sym_tactic,
    ACTIONS(1932), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1934), 1,
      anon_sym_u2987,
    ACTIONS(1936), 1,
      anon_sym_let,
    ACTIONS(1940), 1,
      anon_sym_Set,
    STATE(3145), 1,
      aux_sym__atoms,
    STATE(3753), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4515), 1,
      sym_atom,
    STATE(6267), 1,
      sym_attributes,
    STATE(8141), 1,
      sym__LAMBDA,
    STATE(8457), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9288), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1906), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1938), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4621), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8631), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4454), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1912), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [136292] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3266), 1,
      aux_sym__atoms,
    STATE(3739), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6275), 1,
      sym_attributes,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    STATE(9431), 1,
      sym_expr,
    STATE(9519), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8683), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [136428] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3264), 1,
      sym_id,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3274), 1,
      anon_sym_record,
    ACTIONS(3276), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3280), 1,
      anon_sym_u2983,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      aux_sym__qid_token1,
    ACTIONS(3286), 1,
      anon_sym_DOT,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3292), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3294), 1,
      anon_sym_u2987,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(3300), 1,
      anon_sym_Set,
    STATE(3170), 1,
      aux_sym__atoms,
    STATE(3750), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4407), 1,
      sym_atom,
    STATE(6295), 1,
      sym_attributes,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    STATE(8974), 1,
      sym_expr,
    STATE(9174), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3298), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4335), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8642), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4334), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3272), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [136564] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3264), 1,
      sym_id,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3274), 1,
      anon_sym_record,
    ACTIONS(3276), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3280), 1,
      anon_sym_u2983,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      aux_sym__qid_token1,
    ACTIONS(3286), 1,
      anon_sym_DOT,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3292), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3294), 1,
      anon_sym_u2987,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(3300), 1,
      anon_sym_Set,
    STATE(3170), 1,
      aux_sym__atoms,
    STATE(3750), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4407), 1,
      sym_atom,
    STATE(6295), 1,
      sym_attributes,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    STATE(8990), 1,
      sym_expr,
    STATE(9174), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3298), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4335), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8642), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4334), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3272), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [136700] = 35,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(3302), 1,
      sym_id,
    ACTIONS(3304), 1,
      anon_sym_BSLASH,
    ACTIONS(3306), 1,
      anon_sym_u03bb,
    ACTIONS(3310), 1,
      anon_sym_record,
    ACTIONS(3312), 1,
      anon_sym_LPAREN,
    ACTIONS(3314), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3316), 1,
      anon_sym_u2983,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(3320), 1,
      aux_sym__qid_token1,
    ACTIONS(3322), 1,
      anon_sym_DOT,
    ACTIONS(3324), 1,
      anon_sym_tactic,
    ACTIONS(3326), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3328), 1,
      anon_sym_u2987,
    ACTIONS(3332), 1,
      anon_sym_Set,
    STATE(1547), 1,
      sym__ARROW,
    STATE(2704), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3281), 1,
      sym_catchall_pragma,
    STATE(3580), 1,
      aux_sym__atoms,
    STATE(5465), 1,
      sym_atom,
    STATE(8144), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    STATE(8963), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2940), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3330), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5589), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8981), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5523), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3308), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [136834] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3295), 1,
      aux_sym__atoms,
    STATE(3748), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6276), 1,
      sym_attributes,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    STATE(8994), 1,
      sym_expr,
    STATE(9495), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8637), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [136970] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3334), 1,
      sym_id,
    ACTIONS(3338), 1,
      anon_sym_BSLASH,
    ACTIONS(3340), 1,
      anon_sym_u03bb,
    ACTIONS(3344), 1,
      anon_sym_record,
    ACTIONS(3346), 1,
      anon_sym_LPAREN,
    ACTIONS(3348), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3350), 1,
      anon_sym_u2983,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    ACTIONS(3354), 1,
      aux_sym__qid_token1,
    ACTIONS(3356), 1,
      anon_sym_DOT,
    ACTIONS(3358), 1,
      anon_sym_quoteGoal,
    ACTIONS(3360), 1,
      anon_sym_tactic,
    ACTIONS(3362), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3364), 1,
      anon_sym_u2987,
    ACTIONS(3366), 1,
      anon_sym_let,
    ACTIONS(3370), 1,
      anon_sym_Set,
    STATE(3174), 1,
      aux_sym__atoms,
    STATE(3719), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4408), 1,
      sym_atom,
    STATE(6296), 1,
      sym_attributes,
    STATE(8150), 1,
      sym__LAMBDA,
    STATE(8459), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9177), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3336), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3368), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4355), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8652), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4354), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3342), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [137106] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3334), 1,
      sym_id,
    ACTIONS(3338), 1,
      anon_sym_BSLASH,
    ACTIONS(3340), 1,
      anon_sym_u03bb,
    ACTIONS(3344), 1,
      anon_sym_record,
    ACTIONS(3346), 1,
      anon_sym_LPAREN,
    ACTIONS(3348), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3350), 1,
      anon_sym_u2983,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    ACTIONS(3354), 1,
      aux_sym__qid_token1,
    ACTIONS(3356), 1,
      anon_sym_DOT,
    ACTIONS(3358), 1,
      anon_sym_quoteGoal,
    ACTIONS(3360), 1,
      anon_sym_tactic,
    ACTIONS(3362), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3364), 1,
      anon_sym_u2987,
    ACTIONS(3366), 1,
      anon_sym_let,
    ACTIONS(3370), 1,
      anon_sym_Set,
    STATE(3174), 1,
      aux_sym__atoms,
    STATE(3719), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4408), 1,
      sym_atom,
    STATE(6296), 1,
      sym_attributes,
    STATE(8150), 1,
      sym__LAMBDA,
    STATE(8459), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9177), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3336), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3368), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4355), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8652), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4354), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3342), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [137242] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3334), 1,
      sym_id,
    ACTIONS(3338), 1,
      anon_sym_BSLASH,
    ACTIONS(3340), 1,
      anon_sym_u03bb,
    ACTIONS(3344), 1,
      anon_sym_record,
    ACTIONS(3346), 1,
      anon_sym_LPAREN,
    ACTIONS(3348), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3350), 1,
      anon_sym_u2983,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    ACTIONS(3354), 1,
      aux_sym__qid_token1,
    ACTIONS(3356), 1,
      anon_sym_DOT,
    ACTIONS(3358), 1,
      anon_sym_quoteGoal,
    ACTIONS(3360), 1,
      anon_sym_tactic,
    ACTIONS(3362), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3364), 1,
      anon_sym_u2987,
    ACTIONS(3366), 1,
      anon_sym_let,
    ACTIONS(3370), 1,
      anon_sym_Set,
    STATE(3174), 1,
      aux_sym__atoms,
    STATE(3719), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4408), 1,
      sym_atom,
    STATE(6296), 1,
      sym_attributes,
    STATE(8150), 1,
      sym__LAMBDA,
    STATE(8459), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9177), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3336), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3368), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4355), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8652), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4354), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3342), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [137378] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3372), 1,
      sym_id,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3382), 1,
      anon_sym_record,
    ACTIONS(3384), 1,
      anon_sym_LPAREN,
    ACTIONS(3386), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3388), 1,
      anon_sym_u2983,
    ACTIONS(3390), 1,
      anon_sym_LBRACE,
    ACTIONS(3392), 1,
      aux_sym__qid_token1,
    ACTIONS(3394), 1,
      anon_sym_DOT,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3400), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3402), 1,
      anon_sym_u2987,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(3408), 1,
      anon_sym_Set,
    STATE(3178), 1,
      aux_sym__atoms,
    STATE(3757), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4124), 1,
      sym_atom,
    STATE(6297), 1,
      sym_attributes,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    STATE(8951), 1,
      sym_expr,
    STATE(9118), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3406), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4238), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8660), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4236), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [137514] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3334), 1,
      sym_id,
    ACTIONS(3338), 1,
      anon_sym_BSLASH,
    ACTIONS(3340), 1,
      anon_sym_u03bb,
    ACTIONS(3344), 1,
      anon_sym_record,
    ACTIONS(3346), 1,
      anon_sym_LPAREN,
    ACTIONS(3348), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3350), 1,
      anon_sym_u2983,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    ACTIONS(3354), 1,
      aux_sym__qid_token1,
    ACTIONS(3356), 1,
      anon_sym_DOT,
    ACTIONS(3358), 1,
      anon_sym_quoteGoal,
    ACTIONS(3360), 1,
      anon_sym_tactic,
    ACTIONS(3362), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3364), 1,
      anon_sym_u2987,
    ACTIONS(3366), 1,
      anon_sym_let,
    ACTIONS(3370), 1,
      anon_sym_Set,
    STATE(3174), 1,
      aux_sym__atoms,
    STATE(3719), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4408), 1,
      sym_atom,
    STATE(6296), 1,
      sym_attributes,
    STATE(8150), 1,
      sym__LAMBDA,
    STATE(8459), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9177), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3336), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3368), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4355), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8652), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4354), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3342), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [137650] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3295), 1,
      aux_sym__atoms,
    STATE(3748), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6276), 1,
      sym_attributes,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    STATE(8943), 1,
      sym_expr,
    STATE(9495), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8637), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [137786] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3372), 1,
      sym_id,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3382), 1,
      anon_sym_record,
    ACTIONS(3384), 1,
      anon_sym_LPAREN,
    ACTIONS(3386), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3388), 1,
      anon_sym_u2983,
    ACTIONS(3390), 1,
      anon_sym_LBRACE,
    ACTIONS(3392), 1,
      aux_sym__qid_token1,
    ACTIONS(3394), 1,
      anon_sym_DOT,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3400), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3402), 1,
      anon_sym_u2987,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(3408), 1,
      anon_sym_Set,
    STATE(3178), 1,
      aux_sym__atoms,
    STATE(3757), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4124), 1,
      sym_atom,
    STATE(6297), 1,
      sym_attributes,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    STATE(8974), 1,
      sym_expr,
    STATE(9118), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3406), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4238), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8660), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4236), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [137922] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3372), 1,
      sym_id,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3382), 1,
      anon_sym_record,
    ACTIONS(3384), 1,
      anon_sym_LPAREN,
    ACTIONS(3386), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3388), 1,
      anon_sym_u2983,
    ACTIONS(3390), 1,
      anon_sym_LBRACE,
    ACTIONS(3392), 1,
      aux_sym__qid_token1,
    ACTIONS(3394), 1,
      anon_sym_DOT,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3400), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3402), 1,
      anon_sym_u2987,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(3408), 1,
      anon_sym_Set,
    STATE(3178), 1,
      aux_sym__atoms,
    STATE(3757), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4124), 1,
      sym_atom,
    STATE(6297), 1,
      sym_attributes,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    STATE(8990), 1,
      sym_expr,
    STATE(9118), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3406), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4238), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8660), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4236), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [138058] = 35,
    ACTIONS(686), 1,
      anon_sym_BSLASH,
    ACTIONS(688), 1,
      anon_sym_u03bb,
    ACTIONS(692), 1,
      anon_sym_record,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(698), 1,
      anon_sym_u2983,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      anon_sym_DOT,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(716), 1,
      anon_sym_tactic,
    ACTIONS(718), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(720), 1,
      anon_sym_u2987,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(728), 1,
      anon_sym_Set,
    ACTIONS(3184), 1,
      sym_id,
    ACTIONS(3190), 1,
      aux_sym__qid_token1,
    STATE(1557), 1,
      sym__ARROW,
    STATE(2761), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3303), 1,
      sym_catchall_pragma,
    STATE(3438), 1,
      aux_sym__atoms,
    STATE(5140), 1,
      sym_atom,
    STATE(8123), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    STATE(9454), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(726), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(3004), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5353), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8981), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4924), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9450), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(690), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [138192] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    ACTIONS(2378), 1,
      sym_id,
    ACTIONS(2382), 1,
      anon_sym_record,
    ACTIONS(2384), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2388), 1,
      anon_sym_u2983,
    ACTIONS(2390), 1,
      anon_sym_LBRACE,
    ACTIONS(2392), 1,
      aux_sym__qid_token1,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2396), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2398), 1,
      anon_sym_u2987,
    ACTIONS(2402), 1,
      anon_sym_Set,
    STATE(3313), 1,
      aux_sym__atoms,
    STATE(3751), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5092), 1,
      sym_atom,
    STATE(6277), 1,
      sym_attributes,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    STATE(8994), 1,
      sym_expr,
    STATE(9685), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2400), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5218), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8653), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [138328] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2170), 1,
      sym_id,
    ACTIONS(2174), 1,
      anon_sym_BSLASH,
    ACTIONS(2176), 1,
      anon_sym_u03bb,
    ACTIONS(2180), 1,
      anon_sym_record,
    ACTIONS(2182), 1,
      anon_sym_LPAREN,
    ACTIONS(2184), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2186), 1,
      anon_sym_u2983,
    ACTIONS(2188), 1,
      anon_sym_LBRACE,
    ACTIONS(2190), 1,
      aux_sym__qid_token1,
    ACTIONS(2192), 1,
      anon_sym_DOT,
    ACTIONS(2194), 1,
      anon_sym_quoteGoal,
    ACTIONS(2196), 1,
      anon_sym_tactic,
    ACTIONS(2198), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2200), 1,
      anon_sym_u2987,
    ACTIONS(2202), 1,
      anon_sym_let,
    ACTIONS(2206), 1,
      anon_sym_Set,
    STATE(3182), 1,
      aux_sym__atoms,
    STATE(3749), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5525), 1,
      sym_atom,
    STATE(6269), 1,
      sym_attributes,
    STATE(8132), 1,
      sym__LAMBDA,
    STATE(8460), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym_expr,
    STATE(9780), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2172), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2204), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5405), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8680), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5420), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2178), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [138464] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2170), 1,
      sym_id,
    ACTIONS(2174), 1,
      anon_sym_BSLASH,
    ACTIONS(2176), 1,
      anon_sym_u03bb,
    ACTIONS(2180), 1,
      anon_sym_record,
    ACTIONS(2182), 1,
      anon_sym_LPAREN,
    ACTIONS(2184), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2186), 1,
      anon_sym_u2983,
    ACTIONS(2188), 1,
      anon_sym_LBRACE,
    ACTIONS(2190), 1,
      aux_sym__qid_token1,
    ACTIONS(2192), 1,
      anon_sym_DOT,
    ACTIONS(2194), 1,
      anon_sym_quoteGoal,
    ACTIONS(2196), 1,
      anon_sym_tactic,
    ACTIONS(2198), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2200), 1,
      anon_sym_u2987,
    ACTIONS(2202), 1,
      anon_sym_let,
    ACTIONS(2206), 1,
      anon_sym_Set,
    STATE(3182), 1,
      aux_sym__atoms,
    STATE(3749), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5525), 1,
      sym_atom,
    STATE(6269), 1,
      sym_attributes,
    STATE(8132), 1,
      sym__LAMBDA,
    STATE(8460), 1,
      sym__FORALL,
    STATE(8939), 1,
      sym_expr,
    STATE(9780), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2172), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2204), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5405), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8680), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5420), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2178), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [138600] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2170), 1,
      sym_id,
    ACTIONS(2174), 1,
      anon_sym_BSLASH,
    ACTIONS(2176), 1,
      anon_sym_u03bb,
    ACTIONS(2180), 1,
      anon_sym_record,
    ACTIONS(2182), 1,
      anon_sym_LPAREN,
    ACTIONS(2184), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2186), 1,
      anon_sym_u2983,
    ACTIONS(2188), 1,
      anon_sym_LBRACE,
    ACTIONS(2190), 1,
      aux_sym__qid_token1,
    ACTIONS(2192), 1,
      anon_sym_DOT,
    ACTIONS(2194), 1,
      anon_sym_quoteGoal,
    ACTIONS(2196), 1,
      anon_sym_tactic,
    ACTIONS(2198), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2200), 1,
      anon_sym_u2987,
    ACTIONS(2202), 1,
      anon_sym_let,
    ACTIONS(2206), 1,
      anon_sym_Set,
    STATE(3182), 1,
      aux_sym__atoms,
    STATE(3749), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5525), 1,
      sym_atom,
    STATE(6269), 1,
      sym_attributes,
    STATE(8132), 1,
      sym__LAMBDA,
    STATE(8460), 1,
      sym__FORALL,
    STATE(8947), 1,
      sym_expr,
    STATE(9780), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2172), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2204), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5405), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8680), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5420), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2178), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [138736] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3410), 1,
      sym_id,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3420), 1,
      anon_sym_record,
    ACTIONS(3422), 1,
      anon_sym_LPAREN,
    ACTIONS(3424), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3426), 1,
      anon_sym_u2983,
    ACTIONS(3428), 1,
      anon_sym_LBRACE,
    ACTIONS(3430), 1,
      aux_sym__qid_token1,
    ACTIONS(3432), 1,
      anon_sym_DOT,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3438), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3440), 1,
      anon_sym_u2987,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(3446), 1,
      anon_sym_Set,
    STATE(3181), 1,
      aux_sym__atoms,
    STATE(3706), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5315), 1,
      sym_atom,
    STATE(6298), 1,
      sym_attributes,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    STATE(8960), 1,
      sym_expr,
    STATE(9540), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3444), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5177), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8666), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5173), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3418), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [138872] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2170), 1,
      sym_id,
    ACTIONS(2174), 1,
      anon_sym_BSLASH,
    ACTIONS(2176), 1,
      anon_sym_u03bb,
    ACTIONS(2180), 1,
      anon_sym_record,
    ACTIONS(2182), 1,
      anon_sym_LPAREN,
    ACTIONS(2184), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2186), 1,
      anon_sym_u2983,
    ACTIONS(2188), 1,
      anon_sym_LBRACE,
    ACTIONS(2190), 1,
      aux_sym__qid_token1,
    ACTIONS(2192), 1,
      anon_sym_DOT,
    ACTIONS(2194), 1,
      anon_sym_quoteGoal,
    ACTIONS(2196), 1,
      anon_sym_tactic,
    ACTIONS(2198), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2200), 1,
      anon_sym_u2987,
    ACTIONS(2202), 1,
      anon_sym_let,
    ACTIONS(2206), 1,
      anon_sym_Set,
    STATE(3182), 1,
      aux_sym__atoms,
    STATE(3749), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5525), 1,
      sym_atom,
    STATE(6269), 1,
      sym_attributes,
    STATE(8132), 1,
      sym__LAMBDA,
    STATE(8460), 1,
      sym__FORALL,
    STATE(9000), 1,
      sym_expr,
    STATE(9780), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2172), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2204), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5405), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8680), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5420), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2178), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [139008] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    ACTIONS(2378), 1,
      sym_id,
    ACTIONS(2382), 1,
      anon_sym_record,
    ACTIONS(2384), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2388), 1,
      anon_sym_u2983,
    ACTIONS(2390), 1,
      anon_sym_LBRACE,
    ACTIONS(2392), 1,
      aux_sym__qid_token1,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2396), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2398), 1,
      anon_sym_u2987,
    ACTIONS(2402), 1,
      anon_sym_Set,
    STATE(3313), 1,
      aux_sym__atoms,
    STATE(3751), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5092), 1,
      sym_atom,
    STATE(6277), 1,
      sym_attributes,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    STATE(8943), 1,
      sym_expr,
    STATE(9685), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2400), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5218), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8653), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [139144] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3410), 1,
      sym_id,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3420), 1,
      anon_sym_record,
    ACTIONS(3422), 1,
      anon_sym_LPAREN,
    ACTIONS(3424), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3426), 1,
      anon_sym_u2983,
    ACTIONS(3428), 1,
      anon_sym_LBRACE,
    ACTIONS(3430), 1,
      aux_sym__qid_token1,
    ACTIONS(3432), 1,
      anon_sym_DOT,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3438), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3440), 1,
      anon_sym_u2987,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(3446), 1,
      anon_sym_Set,
    STATE(3181), 1,
      aux_sym__atoms,
    STATE(3706), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5315), 1,
      sym_atom,
    STATE(6298), 1,
      sym_attributes,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    STATE(8975), 1,
      sym_expr,
    STATE(9540), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3444), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5177), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8666), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5173), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3418), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [139280] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3410), 1,
      sym_id,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3420), 1,
      anon_sym_record,
    ACTIONS(3422), 1,
      anon_sym_LPAREN,
    ACTIONS(3424), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3426), 1,
      anon_sym_u2983,
    ACTIONS(3428), 1,
      anon_sym_LBRACE,
    ACTIONS(3430), 1,
      aux_sym__qid_token1,
    ACTIONS(3432), 1,
      anon_sym_DOT,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3438), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3440), 1,
      anon_sym_u2987,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(3446), 1,
      anon_sym_Set,
    STATE(3181), 1,
      aux_sym__atoms,
    STATE(3706), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5315), 1,
      sym_atom,
    STATE(6298), 1,
      sym_attributes,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    STATE(8986), 1,
      sym_expr,
    STATE(9540), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3444), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5177), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8666), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5173), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3418), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [139416] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(2908), 1,
      sym_id,
    ACTIONS(2914), 1,
      anon_sym_record,
    ACTIONS(2916), 1,
      anon_sym_LPAREN,
    ACTIONS(2918), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2920), 1,
      anon_sym_u2983,
    ACTIONS(2922), 1,
      anon_sym_LBRACE,
    ACTIONS(2924), 1,
      aux_sym__qid_token1,
    ACTIONS(2926), 1,
      anon_sym_DOT,
    ACTIONS(2928), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2930), 1,
      anon_sym_u2987,
    ACTIONS(2934), 1,
      anon_sym_Set,
    STATE(1465), 1,
      sym__ARROW,
    STATE(2679), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3237), 1,
      sym_catchall_pragma,
    STATE(3499), 1,
      aux_sym__atoms,
    STATE(4164), 1,
      sym_atom,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2910), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2932), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4166), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9002), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4171), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2912), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [139548] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(2494), 1,
      sym_id,
    ACTIONS(2498), 1,
      anon_sym_record,
    ACTIONS(2500), 1,
      anon_sym_LPAREN,
    ACTIONS(2502), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2504), 1,
      anon_sym_u2983,
    ACTIONS(2506), 1,
      anon_sym_LBRACE,
    ACTIONS(2508), 1,
      aux_sym__qid_token1,
    ACTIONS(2510), 1,
      anon_sym_DOT,
    ACTIONS(2512), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2514), 1,
      anon_sym_u2987,
    ACTIONS(2518), 1,
      anon_sym_Set,
    STATE(3333), 1,
      aux_sym__atoms,
    STATE(3754), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5100), 1,
      sym_atom,
    STATE(6278), 1,
      sym_attributes,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    STATE(8994), 1,
      sym_expr,
    STATE(9626), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2516), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5233), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8663), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5229), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2496), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [139684] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3295), 1,
      aux_sym__atoms,
    STATE(3748), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6276), 1,
      sym_attributes,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym_expr,
    STATE(9495), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8637), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [139820] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3295), 1,
      aux_sym__atoms,
    STATE(3748), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6276), 1,
      sym_attributes,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    STATE(8939), 1,
      sym_expr,
    STATE(9495), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8637), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [139956] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3295), 1,
      aux_sym__atoms,
    STATE(3748), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6276), 1,
      sym_attributes,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    STATE(8947), 1,
      sym_expr,
    STATE(9495), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8637), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [140092] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3448), 1,
      sym_id,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3458), 1,
      anon_sym_record,
    ACTIONS(3460), 1,
      anon_sym_LPAREN,
    ACTIONS(3462), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3464), 1,
      anon_sym_u2983,
    ACTIONS(3466), 1,
      anon_sym_LBRACE,
    ACTIONS(3468), 1,
      aux_sym__qid_token1,
    ACTIONS(3470), 1,
      anon_sym_DOT,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3476), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3478), 1,
      anon_sym_u2987,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(3484), 1,
      anon_sym_Set,
    STATE(3184), 1,
      aux_sym__atoms,
    STATE(3708), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4742), 1,
      sym_atom,
    STATE(6299), 1,
      sym_attributes,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    STATE(8951), 1,
      sym_expr,
    STATE(9420), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3482), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4904), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8673), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3456), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [140228] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3295), 1,
      aux_sym__atoms,
    STATE(3748), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6276), 1,
      sym_attributes,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    STATE(9000), 1,
      sym_expr,
    STATE(9495), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8637), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [140364] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(2494), 1,
      sym_id,
    ACTIONS(2498), 1,
      anon_sym_record,
    ACTIONS(2500), 1,
      anon_sym_LPAREN,
    ACTIONS(2502), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2504), 1,
      anon_sym_u2983,
    ACTIONS(2506), 1,
      anon_sym_LBRACE,
    ACTIONS(2508), 1,
      aux_sym__qid_token1,
    ACTIONS(2510), 1,
      anon_sym_DOT,
    ACTIONS(2512), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2514), 1,
      anon_sym_u2987,
    ACTIONS(2518), 1,
      anon_sym_Set,
    STATE(3333), 1,
      aux_sym__atoms,
    STATE(3754), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5100), 1,
      sym_atom,
    STATE(6278), 1,
      sym_attributes,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    STATE(8943), 1,
      sym_expr,
    STATE(9626), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2516), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5233), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8663), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5229), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2496), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [140500] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3448), 1,
      sym_id,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3458), 1,
      anon_sym_record,
    ACTIONS(3460), 1,
      anon_sym_LPAREN,
    ACTIONS(3462), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3464), 1,
      anon_sym_u2983,
    ACTIONS(3466), 1,
      anon_sym_LBRACE,
    ACTIONS(3468), 1,
      aux_sym__qid_token1,
    ACTIONS(3470), 1,
      anon_sym_DOT,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3476), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3478), 1,
      anon_sym_u2987,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(3484), 1,
      anon_sym_Set,
    STATE(3184), 1,
      aux_sym__atoms,
    STATE(3708), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4742), 1,
      sym_atom,
    STATE(6299), 1,
      sym_attributes,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    STATE(8974), 1,
      sym_expr,
    STATE(9420), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3482), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4904), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8673), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3456), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [140636] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3448), 1,
      sym_id,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3458), 1,
      anon_sym_record,
    ACTIONS(3460), 1,
      anon_sym_LPAREN,
    ACTIONS(3462), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3464), 1,
      anon_sym_u2983,
    ACTIONS(3466), 1,
      anon_sym_LBRACE,
    ACTIONS(3468), 1,
      aux_sym__qid_token1,
    ACTIONS(3470), 1,
      anon_sym_DOT,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3476), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3478), 1,
      anon_sym_u2987,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(3484), 1,
      anon_sym_Set,
    STATE(3184), 1,
      aux_sym__atoms,
    STATE(3708), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4742), 1,
      sym_atom,
    STATE(6299), 1,
      sym_attributes,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    STATE(8990), 1,
      sym_expr,
    STATE(9420), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3482), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4904), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8673), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3456), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [140772] = 34,
    ACTIONS(686), 1,
      anon_sym_BSLASH,
    ACTIONS(688), 1,
      anon_sym_u03bb,
    ACTIONS(692), 1,
      anon_sym_record,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(698), 1,
      anon_sym_u2983,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      anon_sym_DOT,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(716), 1,
      anon_sym_tactic,
    ACTIONS(718), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(720), 1,
      anon_sym_u2987,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(728), 1,
      anon_sym_Set,
    ACTIONS(3184), 1,
      sym_id,
    ACTIONS(3190), 1,
      aux_sym__qid_token1,
    STATE(1557), 1,
      sym__ARROW,
    STATE(2724), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3303), 1,
      sym_catchall_pragma,
    STATE(3438), 1,
      aux_sym__atoms,
    STATE(5140), 1,
      sym_atom,
    STATE(8123), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(726), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(3004), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5353), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9454), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4924), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9450), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(690), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [140904] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(2598), 1,
      sym_id,
    ACTIONS(2602), 1,
      anon_sym_record,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2608), 1,
      anon_sym_u2983,
    ACTIONS(2610), 1,
      anon_sym_LBRACE,
    ACTIONS(2612), 1,
      aux_sym__qid_token1,
    ACTIONS(2614), 1,
      anon_sym_DOT,
    ACTIONS(2616), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2618), 1,
      anon_sym_u2987,
    ACTIONS(2622), 1,
      anon_sym_Set,
    STATE(3287), 1,
      aux_sym__atoms,
    STATE(3743), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5108), 1,
      sym_atom,
    STATE(6279), 1,
      sym_attributes,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    STATE(8994), 1,
      sym_expr,
    STATE(9499), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2620), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5254), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8679), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5251), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2600), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [141040] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    ACTIONS(2378), 1,
      sym_id,
    ACTIONS(2382), 1,
      anon_sym_record,
    ACTIONS(2384), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2388), 1,
      anon_sym_u2983,
    ACTIONS(2390), 1,
      anon_sym_LBRACE,
    ACTIONS(2392), 1,
      aux_sym__qid_token1,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2396), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2398), 1,
      anon_sym_u2987,
    ACTIONS(2402), 1,
      anon_sym_Set,
    STATE(3313), 1,
      aux_sym__atoms,
    STATE(3751), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5092), 1,
      sym_atom,
    STATE(6277), 1,
      sym_attributes,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym_expr,
    STATE(9685), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2400), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5218), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8653), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [141176] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    ACTIONS(2378), 1,
      sym_id,
    ACTIONS(2382), 1,
      anon_sym_record,
    ACTIONS(2384), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2388), 1,
      anon_sym_u2983,
    ACTIONS(2390), 1,
      anon_sym_LBRACE,
    ACTIONS(2392), 1,
      aux_sym__qid_token1,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2396), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2398), 1,
      anon_sym_u2987,
    ACTIONS(2402), 1,
      anon_sym_Set,
    STATE(3313), 1,
      aux_sym__atoms,
    STATE(3751), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5092), 1,
      sym_atom,
    STATE(6277), 1,
      sym_attributes,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    STATE(8939), 1,
      sym_expr,
    STATE(9685), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2400), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5218), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8653), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [141312] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    ACTIONS(2378), 1,
      sym_id,
    ACTIONS(2382), 1,
      anon_sym_record,
    ACTIONS(2384), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2388), 1,
      anon_sym_u2983,
    ACTIONS(2390), 1,
      anon_sym_LBRACE,
    ACTIONS(2392), 1,
      aux_sym__qid_token1,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2396), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2398), 1,
      anon_sym_u2987,
    ACTIONS(2402), 1,
      anon_sym_Set,
    STATE(3313), 1,
      aux_sym__atoms,
    STATE(3751), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5092), 1,
      sym_atom,
    STATE(6277), 1,
      sym_attributes,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    STATE(8947), 1,
      sym_expr,
    STATE(9685), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2400), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5218), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8653), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [141448] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3486), 1,
      sym_id,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3496), 1,
      anon_sym_record,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    ACTIONS(3500), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3502), 1,
      anon_sym_u2983,
    ACTIONS(3504), 1,
      anon_sym_LBRACE,
    ACTIONS(3506), 1,
      aux_sym__qid_token1,
    ACTIONS(3508), 1,
      anon_sym_DOT,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3514), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3516), 1,
      anon_sym_u2987,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(3522), 1,
      anon_sym_Set,
    STATE(3187), 1,
      aux_sym__atoms,
    STATE(3715), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4393), 1,
      sym_atom,
    STATE(6300), 1,
      sym_attributes,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    STATE(8951), 1,
      sym_expr,
    STATE(9145), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3520), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4330), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8674), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4416), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3494), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [141584] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    ACTIONS(2378), 1,
      sym_id,
    ACTIONS(2382), 1,
      anon_sym_record,
    ACTIONS(2384), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2388), 1,
      anon_sym_u2983,
    ACTIONS(2390), 1,
      anon_sym_LBRACE,
    ACTIONS(2392), 1,
      aux_sym__qid_token1,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2396), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2398), 1,
      anon_sym_u2987,
    ACTIONS(2402), 1,
      anon_sym_Set,
    STATE(3313), 1,
      aux_sym__atoms,
    STATE(3751), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5092), 1,
      sym_atom,
    STATE(6277), 1,
      sym_attributes,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    STATE(9000), 1,
      sym_expr,
    STATE(9685), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2400), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5218), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8653), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [141720] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(2598), 1,
      sym_id,
    ACTIONS(2602), 1,
      anon_sym_record,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2608), 1,
      anon_sym_u2983,
    ACTIONS(2610), 1,
      anon_sym_LBRACE,
    ACTIONS(2612), 1,
      aux_sym__qid_token1,
    ACTIONS(2614), 1,
      anon_sym_DOT,
    ACTIONS(2616), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2618), 1,
      anon_sym_u2987,
    ACTIONS(2622), 1,
      anon_sym_Set,
    STATE(3287), 1,
      aux_sym__atoms,
    STATE(3743), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5108), 1,
      sym_atom,
    STATE(6279), 1,
      sym_attributes,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    STATE(8943), 1,
      sym_expr,
    STATE(9499), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2620), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5254), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8679), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5251), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2600), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [141856] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3486), 1,
      sym_id,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3496), 1,
      anon_sym_record,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    ACTIONS(3500), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3502), 1,
      anon_sym_u2983,
    ACTIONS(3504), 1,
      anon_sym_LBRACE,
    ACTIONS(3506), 1,
      aux_sym__qid_token1,
    ACTIONS(3508), 1,
      anon_sym_DOT,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3514), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3516), 1,
      anon_sym_u2987,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(3522), 1,
      anon_sym_Set,
    STATE(3187), 1,
      aux_sym__atoms,
    STATE(3715), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4393), 1,
      sym_atom,
    STATE(6300), 1,
      sym_attributes,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    STATE(8974), 1,
      sym_expr,
    STATE(9145), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3520), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4330), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8674), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4416), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3494), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [141992] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3486), 1,
      sym_id,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3496), 1,
      anon_sym_record,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    ACTIONS(3500), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3502), 1,
      anon_sym_u2983,
    ACTIONS(3504), 1,
      anon_sym_LBRACE,
    ACTIONS(3506), 1,
      aux_sym__qid_token1,
    ACTIONS(3508), 1,
      anon_sym_DOT,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3514), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3516), 1,
      anon_sym_u2987,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(3522), 1,
      anon_sym_Set,
    STATE(3187), 1,
      aux_sym__atoms,
    STATE(3715), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4393), 1,
      sym_atom,
    STATE(6300), 1,
      sym_attributes,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    STATE(8990), 1,
      sym_expr,
    STATE(9145), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3520), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4330), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8674), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4416), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3494), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [142128] = 35,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(3524), 1,
      sym_id,
    ACTIONS(3530), 1,
      anon_sym_record,
    ACTIONS(3532), 1,
      anon_sym_LPAREN,
    ACTIONS(3534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3536), 1,
      anon_sym_u2983,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    ACTIONS(3540), 1,
      aux_sym__qid_token1,
    ACTIONS(3542), 1,
      anon_sym_DOT,
    ACTIONS(3544), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3546), 1,
      anon_sym_u2987,
    ACTIONS(3550), 1,
      anon_sym_Set,
    STATE(1587), 1,
      sym__ARROW,
    STATE(2783), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3339), 1,
      sym_catchall_pragma,
    STATE(3650), 1,
      aux_sym__atoms,
    STATE(4781), 1,
      sym_atom,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    STATE(9002), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3526), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3548), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4820), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8928), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4761), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [142262] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(2690), 1,
      sym_id,
    ACTIONS(2694), 1,
      anon_sym_record,
    ACTIONS(2696), 1,
      anon_sym_LPAREN,
    ACTIONS(2698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2700), 1,
      anon_sym_u2983,
    ACTIONS(2702), 1,
      anon_sym_LBRACE,
    ACTIONS(2704), 1,
      aux_sym__qid_token1,
    ACTIONS(2706), 1,
      anon_sym_DOT,
    ACTIONS(2708), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2710), 1,
      anon_sym_u2987,
    ACTIONS(2714), 1,
      anon_sym_Set,
    STATE(3347), 1,
      aux_sym__atoms,
    STATE(3752), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5113), 1,
      sym_atom,
    STATE(6280), 1,
      sym_attributes,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    STATE(8994), 1,
      sym_expr,
    STATE(9587), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2712), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5272), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8635), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5268), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [142398] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(2494), 1,
      sym_id,
    ACTIONS(2498), 1,
      anon_sym_record,
    ACTIONS(2500), 1,
      anon_sym_LPAREN,
    ACTIONS(2502), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2504), 1,
      anon_sym_u2983,
    ACTIONS(2506), 1,
      anon_sym_LBRACE,
    ACTIONS(2508), 1,
      aux_sym__qid_token1,
    ACTIONS(2510), 1,
      anon_sym_DOT,
    ACTIONS(2512), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2514), 1,
      anon_sym_u2987,
    ACTIONS(2518), 1,
      anon_sym_Set,
    STATE(3333), 1,
      aux_sym__atoms,
    STATE(3754), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5100), 1,
      sym_atom,
    STATE(6278), 1,
      sym_attributes,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym_expr,
    STATE(9626), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2516), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5233), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8663), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5229), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2496), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [142534] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(2494), 1,
      sym_id,
    ACTIONS(2498), 1,
      anon_sym_record,
    ACTIONS(2500), 1,
      anon_sym_LPAREN,
    ACTIONS(2502), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2504), 1,
      anon_sym_u2983,
    ACTIONS(2506), 1,
      anon_sym_LBRACE,
    ACTIONS(2508), 1,
      aux_sym__qid_token1,
    ACTIONS(2510), 1,
      anon_sym_DOT,
    ACTIONS(2512), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2514), 1,
      anon_sym_u2987,
    ACTIONS(2518), 1,
      anon_sym_Set,
    STATE(3333), 1,
      aux_sym__atoms,
    STATE(3754), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5100), 1,
      sym_atom,
    STATE(6278), 1,
      sym_attributes,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    STATE(8939), 1,
      sym_expr,
    STATE(9626), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2516), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5233), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8663), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5229), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2496), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [142670] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(2494), 1,
      sym_id,
    ACTIONS(2498), 1,
      anon_sym_record,
    ACTIONS(2500), 1,
      anon_sym_LPAREN,
    ACTIONS(2502), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2504), 1,
      anon_sym_u2983,
    ACTIONS(2506), 1,
      anon_sym_LBRACE,
    ACTIONS(2508), 1,
      aux_sym__qid_token1,
    ACTIONS(2510), 1,
      anon_sym_DOT,
    ACTIONS(2512), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2514), 1,
      anon_sym_u2987,
    ACTIONS(2518), 1,
      anon_sym_Set,
    STATE(3333), 1,
      aux_sym__atoms,
    STATE(3754), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5100), 1,
      sym_atom,
    STATE(6278), 1,
      sym_attributes,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    STATE(8947), 1,
      sym_expr,
    STATE(9626), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2516), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5233), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8663), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5229), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2496), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [142806] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3552), 1,
      sym_id,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3562), 1,
      anon_sym_record,
    ACTIONS(3564), 1,
      anon_sym_LPAREN,
    ACTIONS(3566), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3568), 1,
      anon_sym_u2983,
    ACTIONS(3570), 1,
      anon_sym_LBRACE,
    ACTIONS(3572), 1,
      aux_sym__qid_token1,
    ACTIONS(3574), 1,
      anon_sym_DOT,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3580), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3582), 1,
      anon_sym_u2987,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(3588), 1,
      anon_sym_Set,
    STATE(3191), 1,
      aux_sym__atoms,
    STATE(3718), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4161), 1,
      sym_atom,
    STATE(6301), 1,
      sym_attributes,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    STATE(8951), 1,
      sym_expr,
    STATE(9049), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3586), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4127), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8681), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4126), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3560), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [142942] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(2494), 1,
      sym_id,
    ACTIONS(2498), 1,
      anon_sym_record,
    ACTIONS(2500), 1,
      anon_sym_LPAREN,
    ACTIONS(2502), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2504), 1,
      anon_sym_u2983,
    ACTIONS(2506), 1,
      anon_sym_LBRACE,
    ACTIONS(2508), 1,
      aux_sym__qid_token1,
    ACTIONS(2510), 1,
      anon_sym_DOT,
    ACTIONS(2512), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2514), 1,
      anon_sym_u2987,
    ACTIONS(2518), 1,
      anon_sym_Set,
    STATE(3333), 1,
      aux_sym__atoms,
    STATE(3754), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5100), 1,
      sym_atom,
    STATE(6278), 1,
      sym_attributes,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    STATE(9000), 1,
      sym_expr,
    STATE(9626), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2516), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5233), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8663), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5229), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2496), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [143078] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(2690), 1,
      sym_id,
    ACTIONS(2694), 1,
      anon_sym_record,
    ACTIONS(2696), 1,
      anon_sym_LPAREN,
    ACTIONS(2698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2700), 1,
      anon_sym_u2983,
    ACTIONS(2702), 1,
      anon_sym_LBRACE,
    ACTIONS(2704), 1,
      aux_sym__qid_token1,
    ACTIONS(2706), 1,
      anon_sym_DOT,
    ACTIONS(2708), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2710), 1,
      anon_sym_u2987,
    ACTIONS(2714), 1,
      anon_sym_Set,
    STATE(3347), 1,
      aux_sym__atoms,
    STATE(3752), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5113), 1,
      sym_atom,
    STATE(6280), 1,
      sym_attributes,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    STATE(8943), 1,
      sym_expr,
    STATE(9587), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2712), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5272), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8635), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5268), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [143214] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3552), 1,
      sym_id,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3562), 1,
      anon_sym_record,
    ACTIONS(3564), 1,
      anon_sym_LPAREN,
    ACTIONS(3566), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3568), 1,
      anon_sym_u2983,
    ACTIONS(3570), 1,
      anon_sym_LBRACE,
    ACTIONS(3572), 1,
      aux_sym__qid_token1,
    ACTIONS(3574), 1,
      anon_sym_DOT,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3580), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3582), 1,
      anon_sym_u2987,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(3588), 1,
      anon_sym_Set,
    STATE(3191), 1,
      aux_sym__atoms,
    STATE(3718), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4161), 1,
      sym_atom,
    STATE(6301), 1,
      sym_attributes,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    STATE(8974), 1,
      sym_expr,
    STATE(9049), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3586), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4127), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8681), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4126), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3560), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [143350] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3552), 1,
      sym_id,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3562), 1,
      anon_sym_record,
    ACTIONS(3564), 1,
      anon_sym_LPAREN,
    ACTIONS(3566), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3568), 1,
      anon_sym_u2983,
    ACTIONS(3570), 1,
      anon_sym_LBRACE,
    ACTIONS(3572), 1,
      aux_sym__qid_token1,
    ACTIONS(3574), 1,
      anon_sym_DOT,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3580), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3582), 1,
      anon_sym_u2987,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(3588), 1,
      anon_sym_Set,
    STATE(3191), 1,
      aux_sym__atoms,
    STATE(3718), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4161), 1,
      sym_atom,
    STATE(6301), 1,
      sym_attributes,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    STATE(8990), 1,
      sym_expr,
    STATE(9049), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3586), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4127), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8681), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4126), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3560), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [143486] = 35,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(3590), 1,
      sym_id,
    ACTIONS(3596), 1,
      anon_sym_record,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    ACTIONS(3600), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3602), 1,
      anon_sym_u2983,
    ACTIONS(3604), 1,
      anon_sym_LBRACE,
    ACTIONS(3606), 1,
      aux_sym__qid_token1,
    ACTIONS(3608), 1,
      anon_sym_DOT,
    ACTIONS(3610), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3612), 1,
      anon_sym_u2987,
    ACTIONS(3616), 1,
      anon_sym_Set,
    STATE(1597), 1,
      sym__ARROW,
    STATE(2680), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3289), 1,
      sym_catchall_pragma,
    STATE(3417), 1,
      aux_sym__atoms,
    STATE(4575), 1,
      sym_atom,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    STATE(9002), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3592), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3614), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4519), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8928), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4459), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3594), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [143620] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2096), 1,
      sym_id,
    ACTIONS(2100), 1,
      anon_sym_BSLASH,
    ACTIONS(2102), 1,
      anon_sym_u03bb,
    ACTIONS(2106), 1,
      anon_sym_record,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    ACTIONS(2110), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2112), 1,
      anon_sym_u2983,
    ACTIONS(2114), 1,
      anon_sym_LBRACE,
    ACTIONS(2116), 1,
      aux_sym__qid_token1,
    ACTIONS(2118), 1,
      anon_sym_DOT,
    ACTIONS(2120), 1,
      anon_sym_quoteGoal,
    ACTIONS(2122), 1,
      anon_sym_tactic,
    ACTIONS(2124), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2126), 1,
      anon_sym_u2987,
    ACTIONS(2128), 1,
      anon_sym_let,
    ACTIONS(2132), 1,
      anon_sym_Set,
    STATE(3267), 1,
      aux_sym__atoms,
    STATE(3756), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4675), 1,
      sym_atom,
    STATE(6281), 1,
      sym_attributes,
    STATE(8140), 1,
      sym__LAMBDA,
    STATE(8487), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9475), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2098), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2130), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4823), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8645), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4822), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2104), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [143756] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3266), 1,
      aux_sym__atoms,
    STATE(3739), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6275), 1,
      sym_attributes,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    STATE(9479), 1,
      sym_expr,
    STATE(9519), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8683), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [143892] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3266), 1,
      aux_sym__atoms,
    STATE(3739), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6275), 1,
      sym_attributes,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    STATE(9406), 1,
      sym_expr,
    STATE(9519), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8683), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [144028] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3266), 1,
      aux_sym__atoms,
    STATE(3739), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6275), 1,
      sym_attributes,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    STATE(9411), 1,
      sym_expr,
    STATE(9519), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8683), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [144164] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3618), 1,
      sym_id,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3628), 1,
      anon_sym_record,
    ACTIONS(3630), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3634), 1,
      anon_sym_u2983,
    ACTIONS(3636), 1,
      anon_sym_LBRACE,
    ACTIONS(3638), 1,
      aux_sym__qid_token1,
    ACTIONS(3640), 1,
      anon_sym_DOT,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3646), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3648), 1,
      anon_sym_u2987,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(3654), 1,
      anon_sym_Set,
    STATE(3195), 1,
      aux_sym__atoms,
    STATE(3721), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4052), 1,
      sym_atom,
    STATE(6303), 1,
      sym_attributes,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    STATE(8951), 1,
      sym_expr,
    STATE(9021), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3652), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4101), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8640), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4115), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3626), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [144300] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2220), 1,
      anon_sym_LPAREN,
    ACTIONS(2222), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2224), 1,
      anon_sym_u2983,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(2244), 1,
      anon_sym_Set,
    STATE(3266), 1,
      aux_sym__atoms,
    STATE(3739), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4851), 1,
      sym_atom,
    STATE(6275), 1,
      sym_attributes,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    STATE(9404), 1,
      sym_expr,
    STATE(9519), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8683), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [144436] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2096), 1,
      sym_id,
    ACTIONS(2100), 1,
      anon_sym_BSLASH,
    ACTIONS(2102), 1,
      anon_sym_u03bb,
    ACTIONS(2106), 1,
      anon_sym_record,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    ACTIONS(2110), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2112), 1,
      anon_sym_u2983,
    ACTIONS(2114), 1,
      anon_sym_LBRACE,
    ACTIONS(2116), 1,
      aux_sym__qid_token1,
    ACTIONS(2118), 1,
      anon_sym_DOT,
    ACTIONS(2120), 1,
      anon_sym_quoteGoal,
    ACTIONS(2122), 1,
      anon_sym_tactic,
    ACTIONS(2124), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2126), 1,
      anon_sym_u2987,
    ACTIONS(2128), 1,
      anon_sym_let,
    ACTIONS(2132), 1,
      anon_sym_Set,
    STATE(3267), 1,
      aux_sym__atoms,
    STATE(3756), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4675), 1,
      sym_atom,
    STATE(6281), 1,
      sym_attributes,
    STATE(8140), 1,
      sym__LAMBDA,
    STATE(8487), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9475), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2098), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2130), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4823), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8645), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4822), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2104), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [144572] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3618), 1,
      sym_id,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3628), 1,
      anon_sym_record,
    ACTIONS(3630), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3634), 1,
      anon_sym_u2983,
    ACTIONS(3636), 1,
      anon_sym_LBRACE,
    ACTIONS(3638), 1,
      aux_sym__qid_token1,
    ACTIONS(3640), 1,
      anon_sym_DOT,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3646), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3648), 1,
      anon_sym_u2987,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(3654), 1,
      anon_sym_Set,
    STATE(3195), 1,
      aux_sym__atoms,
    STATE(3721), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4052), 1,
      sym_atom,
    STATE(6303), 1,
      sym_attributes,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    STATE(8974), 1,
      sym_expr,
    STATE(9021), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3652), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4101), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8640), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4115), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3626), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [144708] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3618), 1,
      sym_id,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3628), 1,
      anon_sym_record,
    ACTIONS(3630), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3634), 1,
      anon_sym_u2983,
    ACTIONS(3636), 1,
      anon_sym_LBRACE,
    ACTIONS(3638), 1,
      aux_sym__qid_token1,
    ACTIONS(3640), 1,
      anon_sym_DOT,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3646), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3648), 1,
      anon_sym_u2987,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(3654), 1,
      anon_sym_Set,
    STATE(3195), 1,
      aux_sym__atoms,
    STATE(3721), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4052), 1,
      sym_atom,
    STATE(6303), 1,
      sym_attributes,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    STATE(8990), 1,
      sym_expr,
    STATE(9021), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3652), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4101), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8640), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4115), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3626), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [144844] = 35,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(3656), 1,
      sym_id,
    ACTIONS(3662), 1,
      anon_sym_record,
    ACTIONS(3664), 1,
      anon_sym_LPAREN,
    ACTIONS(3666), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3668), 1,
      anon_sym_u2983,
    ACTIONS(3670), 1,
      anon_sym_LBRACE,
    ACTIONS(3672), 1,
      aux_sym__qid_token1,
    ACTIONS(3674), 1,
      anon_sym_DOT,
    ACTIONS(3676), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3678), 1,
      anon_sym_u2987,
    ACTIONS(3682), 1,
      anon_sym_Set,
    STATE(1607), 1,
      sym__ARROW,
    STATE(2707), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3203), 1,
      sym_catchall_pragma,
    STATE(3605), 1,
      aux_sym__atoms,
    STATE(4402), 1,
      sym_atom,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    STATE(9002), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3658), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3680), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4320), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8928), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4317), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3660), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [144978] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(109), 1,
      anon_sym_BSLASH,
    ACTIONS(111), 1,
      anon_sym_u03bb,
    ACTIONS(147), 1,
      anon_sym_quoteGoal,
    ACTIONS(149), 1,
      anon_sym_tactic,
    ACTIONS(155), 1,
      anon_sym_let,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2664), 1,
      sym_id,
    ACTIONS(2668), 1,
      anon_sym_record,
    ACTIONS(2670), 1,
      anon_sym_LPAREN,
    ACTIONS(2672), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2674), 1,
      anon_sym_u2983,
    ACTIONS(2676), 1,
      anon_sym_LBRACE,
    ACTIONS(2678), 1,
      aux_sym__qid_token1,
    ACTIONS(2680), 1,
      anon_sym_DOT,
    ACTIONS(2682), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2684), 1,
      anon_sym_u2987,
    ACTIONS(2688), 1,
      anon_sym_Set,
    STATE(3325), 1,
      aux_sym__atoms,
    STATE(3747), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4062), 1,
      sym_atom,
    STATE(6282), 1,
      sym_attributes,
    STATE(8055), 1,
      sym__LAMBDA,
    STATE(8432), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9014), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(107), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2686), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4053), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8654), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4075), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2666), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [145114] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(2598), 1,
      sym_id,
    ACTIONS(2602), 1,
      anon_sym_record,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2608), 1,
      anon_sym_u2983,
    ACTIONS(2610), 1,
      anon_sym_LBRACE,
    ACTIONS(2612), 1,
      aux_sym__qid_token1,
    ACTIONS(2614), 1,
      anon_sym_DOT,
    ACTIONS(2616), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2618), 1,
      anon_sym_u2987,
    ACTIONS(2622), 1,
      anon_sym_Set,
    STATE(3287), 1,
      aux_sym__atoms,
    STATE(3743), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5108), 1,
      sym_atom,
    STATE(6279), 1,
      sym_attributes,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym_expr,
    STATE(9499), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2620), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5254), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8679), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5251), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2600), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [145250] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(2598), 1,
      sym_id,
    ACTIONS(2602), 1,
      anon_sym_record,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2608), 1,
      anon_sym_u2983,
    ACTIONS(2610), 1,
      anon_sym_LBRACE,
    ACTIONS(2612), 1,
      aux_sym__qid_token1,
    ACTIONS(2614), 1,
      anon_sym_DOT,
    ACTIONS(2616), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2618), 1,
      anon_sym_u2987,
    ACTIONS(2622), 1,
      anon_sym_Set,
    STATE(3287), 1,
      aux_sym__atoms,
    STATE(3743), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5108), 1,
      sym_atom,
    STATE(6279), 1,
      sym_attributes,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    STATE(8939), 1,
      sym_expr,
    STATE(9499), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2620), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5254), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8679), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5251), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2600), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [145386] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(2598), 1,
      sym_id,
    ACTIONS(2602), 1,
      anon_sym_record,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2608), 1,
      anon_sym_u2983,
    ACTIONS(2610), 1,
      anon_sym_LBRACE,
    ACTIONS(2612), 1,
      aux_sym__qid_token1,
    ACTIONS(2614), 1,
      anon_sym_DOT,
    ACTIONS(2616), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2618), 1,
      anon_sym_u2987,
    ACTIONS(2622), 1,
      anon_sym_Set,
    STATE(3287), 1,
      aux_sym__atoms,
    STATE(3743), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5108), 1,
      sym_atom,
    STATE(6279), 1,
      sym_attributes,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    STATE(8947), 1,
      sym_expr,
    STATE(9499), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2620), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5254), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8679), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5251), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2600), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [145522] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3684), 1,
      sym_id,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3694), 1,
      anon_sym_record,
    ACTIONS(3696), 1,
      anon_sym_LPAREN,
    ACTIONS(3698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3700), 1,
      anon_sym_u2983,
    ACTIONS(3702), 1,
      anon_sym_LBRACE,
    ACTIONS(3704), 1,
      aux_sym__qid_token1,
    ACTIONS(3706), 1,
      anon_sym_DOT,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3712), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3714), 1,
      anon_sym_u2987,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(3720), 1,
      anon_sym_Set,
    STATE(3197), 1,
      aux_sym__atoms,
    STATE(3728), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4462), 1,
      sym_atom,
    STATE(6304), 1,
      sym_attributes,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    STATE(8951), 1,
      sym_expr,
    STATE(9235), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3718), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4471), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8647), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4437), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [145658] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(2598), 1,
      sym_id,
    ACTIONS(2602), 1,
      anon_sym_record,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2608), 1,
      anon_sym_u2983,
    ACTIONS(2610), 1,
      anon_sym_LBRACE,
    ACTIONS(2612), 1,
      aux_sym__qid_token1,
    ACTIONS(2614), 1,
      anon_sym_DOT,
    ACTIONS(2616), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2618), 1,
      anon_sym_u2987,
    ACTIONS(2622), 1,
      anon_sym_Set,
    STATE(3287), 1,
      aux_sym__atoms,
    STATE(3743), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5108), 1,
      sym_atom,
    STATE(6279), 1,
      sym_attributes,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    STATE(9000), 1,
      sym_expr,
    STATE(9499), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2620), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5254), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8679), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5251), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2600), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [145794] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(109), 1,
      anon_sym_BSLASH,
    ACTIONS(111), 1,
      anon_sym_u03bb,
    ACTIONS(147), 1,
      anon_sym_quoteGoal,
    ACTIONS(149), 1,
      anon_sym_tactic,
    ACTIONS(155), 1,
      anon_sym_let,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2664), 1,
      sym_id,
    ACTIONS(2668), 1,
      anon_sym_record,
    ACTIONS(2670), 1,
      anon_sym_LPAREN,
    ACTIONS(2672), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2674), 1,
      anon_sym_u2983,
    ACTIONS(2676), 1,
      anon_sym_LBRACE,
    ACTIONS(2678), 1,
      aux_sym__qid_token1,
    ACTIONS(2680), 1,
      anon_sym_DOT,
    ACTIONS(2682), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2684), 1,
      anon_sym_u2987,
    ACTIONS(2688), 1,
      anon_sym_Set,
    STATE(3325), 1,
      aux_sym__atoms,
    STATE(3747), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4062), 1,
      sym_atom,
    STATE(6282), 1,
      sym_attributes,
    STATE(8055), 1,
      sym__LAMBDA,
    STATE(8432), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9014), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(107), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2686), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4053), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8654), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4075), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2666), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [145930] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3684), 1,
      sym_id,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3694), 1,
      anon_sym_record,
    ACTIONS(3696), 1,
      anon_sym_LPAREN,
    ACTIONS(3698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3700), 1,
      anon_sym_u2983,
    ACTIONS(3702), 1,
      anon_sym_LBRACE,
    ACTIONS(3704), 1,
      aux_sym__qid_token1,
    ACTIONS(3706), 1,
      anon_sym_DOT,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3712), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3714), 1,
      anon_sym_u2987,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(3720), 1,
      anon_sym_Set,
    STATE(3197), 1,
      aux_sym__atoms,
    STATE(3728), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4462), 1,
      sym_atom,
    STATE(6304), 1,
      sym_attributes,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    STATE(8974), 1,
      sym_expr,
    STATE(9235), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3718), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4471), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8647), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4437), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [146066] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3684), 1,
      sym_id,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3694), 1,
      anon_sym_record,
    ACTIONS(3696), 1,
      anon_sym_LPAREN,
    ACTIONS(3698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3700), 1,
      anon_sym_u2983,
    ACTIONS(3702), 1,
      anon_sym_LBRACE,
    ACTIONS(3704), 1,
      aux_sym__qid_token1,
    ACTIONS(3706), 1,
      anon_sym_DOT,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3712), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3714), 1,
      anon_sym_u2987,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(3720), 1,
      anon_sym_Set,
    STATE(3197), 1,
      aux_sym__atoms,
    STATE(3728), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4462), 1,
      sym_atom,
    STATE(6304), 1,
      sym_attributes,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    STATE(8990), 1,
      sym_expr,
    STATE(9235), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3718), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4471), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8647), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4437), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [146202] = 35,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(3722), 1,
      sym_id,
    ACTIONS(3728), 1,
      anon_sym_record,
    ACTIONS(3730), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3734), 1,
      anon_sym_u2983,
    ACTIONS(3736), 1,
      anon_sym_LBRACE,
    ACTIONS(3738), 1,
      aux_sym__qid_token1,
    ACTIONS(3740), 1,
      anon_sym_DOT,
    ACTIONS(3742), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3744), 1,
      anon_sym_u2987,
    ACTIONS(3748), 1,
      anon_sym_Set,
    STATE(1617), 1,
      sym__ARROW,
    STATE(2736), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3283), 1,
      sym_catchall_pragma,
    STATE(3402), 1,
      aux_sym__atoms,
    STATE(5511), 1,
      sym_atom,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    STATE(8963), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3724), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3746), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5688), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8981), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5600), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3726), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [146336] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(2756), 1,
      sym_id,
    ACTIONS(2760), 1,
      anon_sym_record,
    ACTIONS(2762), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2766), 1,
      anon_sym_u2983,
    ACTIONS(2768), 1,
      anon_sym_LBRACE,
    ACTIONS(2770), 1,
      aux_sym__qid_token1,
    ACTIONS(2772), 1,
      anon_sym_DOT,
    ACTIONS(2774), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2776), 1,
      anon_sym_u2987,
    ACTIONS(2780), 1,
      anon_sym_Set,
    STATE(3150), 1,
      aux_sym__atoms,
    STATE(3732), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4016), 1,
      sym_atom,
    STATE(6283), 1,
      sym_attributes,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    STATE(8987), 1,
      sym__with_exprs,
    STATE(8992), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2778), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4036), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8662), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4033), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2758), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [146472] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(2690), 1,
      sym_id,
    ACTIONS(2694), 1,
      anon_sym_record,
    ACTIONS(2696), 1,
      anon_sym_LPAREN,
    ACTIONS(2698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2700), 1,
      anon_sym_u2983,
    ACTIONS(2702), 1,
      anon_sym_LBRACE,
    ACTIONS(2704), 1,
      aux_sym__qid_token1,
    ACTIONS(2706), 1,
      anon_sym_DOT,
    ACTIONS(2708), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2710), 1,
      anon_sym_u2987,
    ACTIONS(2714), 1,
      anon_sym_Set,
    STATE(3347), 1,
      aux_sym__atoms,
    STATE(3752), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5113), 1,
      sym_atom,
    STATE(6280), 1,
      sym_attributes,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym_expr,
    STATE(9587), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2712), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5272), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8635), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5268), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [146608] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(2690), 1,
      sym_id,
    ACTIONS(2694), 1,
      anon_sym_record,
    ACTIONS(2696), 1,
      anon_sym_LPAREN,
    ACTIONS(2698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2700), 1,
      anon_sym_u2983,
    ACTIONS(2702), 1,
      anon_sym_LBRACE,
    ACTIONS(2704), 1,
      aux_sym__qid_token1,
    ACTIONS(2706), 1,
      anon_sym_DOT,
    ACTIONS(2708), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2710), 1,
      anon_sym_u2987,
    ACTIONS(2714), 1,
      anon_sym_Set,
    STATE(3347), 1,
      aux_sym__atoms,
    STATE(3752), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5113), 1,
      sym_atom,
    STATE(6280), 1,
      sym_attributes,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    STATE(8939), 1,
      sym_expr,
    STATE(9587), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2712), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5272), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8635), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5268), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [146744] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(2690), 1,
      sym_id,
    ACTIONS(2694), 1,
      anon_sym_record,
    ACTIONS(2696), 1,
      anon_sym_LPAREN,
    ACTIONS(2698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2700), 1,
      anon_sym_u2983,
    ACTIONS(2702), 1,
      anon_sym_LBRACE,
    ACTIONS(2704), 1,
      aux_sym__qid_token1,
    ACTIONS(2706), 1,
      anon_sym_DOT,
    ACTIONS(2708), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2710), 1,
      anon_sym_u2987,
    ACTIONS(2714), 1,
      anon_sym_Set,
    STATE(3347), 1,
      aux_sym__atoms,
    STATE(3752), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5113), 1,
      sym_atom,
    STATE(6280), 1,
      sym_attributes,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    STATE(8947), 1,
      sym_expr,
    STATE(9587), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2712), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5272), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8635), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5268), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [146880] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(2690), 1,
      sym_id,
    ACTIONS(2694), 1,
      anon_sym_record,
    ACTIONS(2696), 1,
      anon_sym_LPAREN,
    ACTIONS(2698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2700), 1,
      anon_sym_u2983,
    ACTIONS(2702), 1,
      anon_sym_LBRACE,
    ACTIONS(2704), 1,
      aux_sym__qid_token1,
    ACTIONS(2706), 1,
      anon_sym_DOT,
    ACTIONS(2708), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2710), 1,
      anon_sym_u2987,
    ACTIONS(2714), 1,
      anon_sym_Set,
    STATE(3347), 1,
      aux_sym__atoms,
    STATE(3752), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5113), 1,
      sym_atom,
    STATE(6280), 1,
      sym_attributes,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    STATE(9000), 1,
      sym_expr,
    STATE(9587), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2712), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5272), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8635), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5268), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [147016] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(2756), 1,
      sym_id,
    ACTIONS(2760), 1,
      anon_sym_record,
    ACTIONS(2762), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2766), 1,
      anon_sym_u2983,
    ACTIONS(2768), 1,
      anon_sym_LBRACE,
    ACTIONS(2770), 1,
      aux_sym__qid_token1,
    ACTIONS(2772), 1,
      anon_sym_DOT,
    ACTIONS(2774), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2776), 1,
      anon_sym_u2987,
    ACTIONS(2780), 1,
      anon_sym_Set,
    STATE(3150), 1,
      aux_sym__atoms,
    STATE(3732), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4016), 1,
      sym_atom,
    STATE(6283), 1,
      sym_attributes,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(8987), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2778), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4036), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8662), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4033), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2758), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [147152] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1980), 1,
      sym_id,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(1992), 1,
      anon_sym_record,
    ACTIONS(1994), 1,
      anon_sym_LPAREN,
    ACTIONS(1996), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1998), 1,
      anon_sym_u2983,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(2002), 1,
      aux_sym__qid_token1,
    ACTIONS(2004), 1,
      anon_sym_DOT,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2010), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2012), 1,
      anon_sym_u2987,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(2018), 1,
      anon_sym_Set,
    STATE(1433), 1,
      sym__ARROW,
    STATE(2779), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3316), 1,
      sym_catchall_pragma,
    STATE(3645), 1,
      aux_sym__atoms,
    STATE(5301), 1,
      sym_atom,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1984), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2016), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5060), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8963), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5058), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1990), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [147284] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3192), 1,
      aux_sym__atoms,
    STATE(3716), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6284), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(8994), 1,
      sym_expr,
    STATE(9687), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8671), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [147420] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1942), 1,
      sym_id,
    ACTIONS(1946), 1,
      anon_sym_BSLASH,
    ACTIONS(1948), 1,
      anon_sym_u03bb,
    ACTIONS(1952), 1,
      anon_sym_record,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1956), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1958), 1,
      anon_sym_u2983,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      aux_sym__qid_token1,
    ACTIONS(1964), 1,
      anon_sym_DOT,
    ACTIONS(1966), 1,
      anon_sym_quoteGoal,
    ACTIONS(1968), 1,
      anon_sym_tactic,
    ACTIONS(1970), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1972), 1,
      anon_sym_u2987,
    ACTIONS(1974), 1,
      anon_sym_let,
    ACTIONS(1978), 1,
      anon_sym_Set,
    STATE(3202), 1,
      aux_sym__atoms,
    STATE(3707), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4965), 1,
      sym_atom,
    STATE(6271), 1,
      sym_attributes,
    STATE(8062), 1,
      sym__LAMBDA,
    STATE(8473), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9617), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1944), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1976), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5114), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8659), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5111), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1950), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [147556] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1942), 1,
      sym_id,
    ACTIONS(1946), 1,
      anon_sym_BSLASH,
    ACTIONS(1948), 1,
      anon_sym_u03bb,
    ACTIONS(1952), 1,
      anon_sym_record,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1956), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1958), 1,
      anon_sym_u2983,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      aux_sym__qid_token1,
    ACTIONS(1964), 1,
      anon_sym_DOT,
    ACTIONS(1966), 1,
      anon_sym_quoteGoal,
    ACTIONS(1968), 1,
      anon_sym_tactic,
    ACTIONS(1970), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1972), 1,
      anon_sym_u2987,
    ACTIONS(1974), 1,
      anon_sym_let,
    ACTIONS(1978), 1,
      anon_sym_Set,
    STATE(3202), 1,
      aux_sym__atoms,
    STATE(3707), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4965), 1,
      sym_atom,
    STATE(6271), 1,
      sym_attributes,
    STATE(8062), 1,
      sym__LAMBDA,
    STATE(8473), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9617), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1944), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1976), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5114), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8659), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5111), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1950), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [147692] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1942), 1,
      sym_id,
    ACTIONS(1946), 1,
      anon_sym_BSLASH,
    ACTIONS(1948), 1,
      anon_sym_u03bb,
    ACTIONS(1952), 1,
      anon_sym_record,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1956), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1958), 1,
      anon_sym_u2983,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      aux_sym__qid_token1,
    ACTIONS(1964), 1,
      anon_sym_DOT,
    ACTIONS(1966), 1,
      anon_sym_quoteGoal,
    ACTIONS(1968), 1,
      anon_sym_tactic,
    ACTIONS(1970), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1972), 1,
      anon_sym_u2987,
    ACTIONS(1974), 1,
      anon_sym_let,
    ACTIONS(1978), 1,
      anon_sym_Set,
    STATE(3202), 1,
      aux_sym__atoms,
    STATE(3707), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4965), 1,
      sym_atom,
    STATE(6271), 1,
      sym_attributes,
    STATE(8062), 1,
      sym__LAMBDA,
    STATE(8473), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9617), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1944), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1976), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5114), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8659), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5111), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1950), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [147828] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1942), 1,
      sym_id,
    ACTIONS(1946), 1,
      anon_sym_BSLASH,
    ACTIONS(1948), 1,
      anon_sym_u03bb,
    ACTIONS(1952), 1,
      anon_sym_record,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1956), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1958), 1,
      anon_sym_u2983,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      aux_sym__qid_token1,
    ACTIONS(1964), 1,
      anon_sym_DOT,
    ACTIONS(1966), 1,
      anon_sym_quoteGoal,
    ACTIONS(1968), 1,
      anon_sym_tactic,
    ACTIONS(1970), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1972), 1,
      anon_sym_u2987,
    ACTIONS(1974), 1,
      anon_sym_let,
    ACTIONS(1978), 1,
      anon_sym_Set,
    STATE(3202), 1,
      aux_sym__atoms,
    STATE(3707), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4965), 1,
      sym_atom,
    STATE(6271), 1,
      sym_attributes,
    STATE(8062), 1,
      sym__LAMBDA,
    STATE(8473), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9617), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1944), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1976), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5114), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8659), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5111), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1950), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [147964] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1662), 1,
      anon_sym_let,
    STATE(3192), 1,
      aux_sym__atoms,
    STATE(3716), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6284), 1,
      sym_attributes,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(8943), 1,
      sym_expr,
    STATE(9687), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8671), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [148100] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1980), 1,
      sym_id,
    ACTIONS(1992), 1,
      anon_sym_record,
    ACTIONS(1994), 1,
      anon_sym_LPAREN,
    ACTIONS(1996), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1998), 1,
      anon_sym_u2983,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(2002), 1,
      aux_sym__qid_token1,
    ACTIONS(2004), 1,
      anon_sym_DOT,
    ACTIONS(2010), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2012), 1,
      anon_sym_u2987,
    ACTIONS(2018), 1,
      anon_sym_Set,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    STATE(1445), 1,
      sym__ARROW,
    STATE(2749), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3183), 1,
      sym_catchall_pragma,
    STATE(3452), 1,
      aux_sym__atoms,
    STATE(5301), 1,
      sym_atom,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2016), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2250), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5060), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8963), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5058), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1990), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [148232] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2868), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_u2983,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2876), 1,
      anon_sym_DOT,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    STATE(3243), 1,
      aux_sym__atoms,
    STATE(3761), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4578), 1,
      sym_atom,
    STATE(6285), 1,
      sym_attributes,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    STATE(8994), 1,
      sym_expr,
    STATE(9428), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8676), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [148368] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(2756), 1,
      sym_id,
    ACTIONS(2760), 1,
      anon_sym_record,
    ACTIONS(2762), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2766), 1,
      anon_sym_u2983,
    ACTIONS(2768), 1,
      anon_sym_LBRACE,
    ACTIONS(2770), 1,
      aux_sym__qid_token1,
    ACTIONS(2772), 1,
      anon_sym_DOT,
    ACTIONS(2774), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2776), 1,
      anon_sym_u2987,
    ACTIONS(2780), 1,
      anon_sym_Set,
    STATE(3150), 1,
      aux_sym__atoms,
    STATE(3732), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4016), 1,
      sym_atom,
    STATE(6283), 1,
      sym_attributes,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    STATE(8987), 1,
      sym__with_exprs,
    STATE(8993), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2778), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4036), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8662), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4033), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2758), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [148504] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(2756), 1,
      sym_id,
    ACTIONS(2760), 1,
      anon_sym_record,
    ACTIONS(2762), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2766), 1,
      anon_sym_u2983,
    ACTIONS(2768), 1,
      anon_sym_LBRACE,
    ACTIONS(2770), 1,
      aux_sym__qid_token1,
    ACTIONS(2772), 1,
      anon_sym_DOT,
    ACTIONS(2774), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2776), 1,
      anon_sym_u2987,
    ACTIONS(2780), 1,
      anon_sym_Set,
    STATE(3150), 1,
      aux_sym__atoms,
    STATE(3732), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4016), 1,
      sym_atom,
    STATE(6283), 1,
      sym_attributes,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    STATE(8987), 1,
      sym__with_exprs,
    STATE(8997), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2778), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4036), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8662), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4033), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2758), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [148640] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(2756), 1,
      sym_id,
    ACTIONS(2760), 1,
      anon_sym_record,
    ACTIONS(2762), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2766), 1,
      anon_sym_u2983,
    ACTIONS(2768), 1,
      anon_sym_LBRACE,
    ACTIONS(2770), 1,
      aux_sym__qid_token1,
    ACTIONS(2772), 1,
      anon_sym_DOT,
    ACTIONS(2774), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2776), 1,
      anon_sym_u2987,
    ACTIONS(2780), 1,
      anon_sym_Set,
    STATE(3150), 1,
      aux_sym__atoms,
    STATE(3732), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4016), 1,
      sym_atom,
    STATE(6283), 1,
      sym_attributes,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(8987), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2778), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4036), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8662), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4033), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2758), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [148776] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(2756), 1,
      sym_id,
    ACTIONS(2760), 1,
      anon_sym_record,
    ACTIONS(2762), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2766), 1,
      anon_sym_u2983,
    ACTIONS(2768), 1,
      anon_sym_LBRACE,
    ACTIONS(2770), 1,
      aux_sym__qid_token1,
    ACTIONS(2772), 1,
      anon_sym_DOT,
    ACTIONS(2774), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2776), 1,
      anon_sym_u2987,
    ACTIONS(2780), 1,
      anon_sym_Set,
    STATE(3150), 1,
      aux_sym__atoms,
    STATE(3732), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4016), 1,
      sym_atom,
    STATE(6283), 1,
      sym_attributes,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(8987), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2778), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4036), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8662), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4033), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2758), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [148912] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2868), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_u2983,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2876), 1,
      anon_sym_DOT,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    STATE(3243), 1,
      aux_sym__atoms,
    STATE(3761), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4578), 1,
      sym_atom,
    STATE(6285), 1,
      sym_attributes,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    STATE(8943), 1,
      sym_expr,
    STATE(9428), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8676), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [149048] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2300), 1,
      sym_id,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2312), 1,
      anon_sym_record,
    ACTIONS(2314), 1,
      anon_sym_LPAREN,
    ACTIONS(2316), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2318), 1,
      anon_sym_u2983,
    ACTIONS(2320), 1,
      anon_sym_LBRACE,
    ACTIONS(2322), 1,
      aux_sym__qid_token1,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2330), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2332), 1,
      anon_sym_u2987,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(2338), 1,
      anon_sym_Set,
    STATE(1459), 1,
      sym__ARROW,
    STATE(2693), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3206), 1,
      sym_catchall_pragma,
    STATE(3553), 1,
      aux_sym__atoms,
    STATE(5693), 1,
      sym_atom,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2304), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2336), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5629), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8963), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5626), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2310), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [149180] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(950), 1,
      sym_id,
    ACTIONS(954), 1,
      anon_sym_BSLASH,
    ACTIONS(956), 1,
      anon_sym_u03bb,
    ACTIONS(960), 1,
      anon_sym_record,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(964), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(966), 1,
      anon_sym_u2983,
    ACTIONS(968), 1,
      anon_sym_LBRACE,
    ACTIONS(970), 1,
      aux_sym__qid_token1,
    ACTIONS(972), 1,
      anon_sym_DOT,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(976), 1,
      anon_sym_tactic,
    ACTIONS(978), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(980), 1,
      anon_sym_u2987,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(986), 1,
      anon_sym_Set,
    STATE(3276), 1,
      aux_sym__atoms,
    STATE(3741), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4952), 1,
      sym_atom,
    STATE(6288), 1,
      sym_attributes,
    STATE(8067), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    STATE(8994), 1,
      sym_expr,
    STATE(9664), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(984), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5006), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8687), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5025), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(958), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [149316] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2020), 1,
      sym_id,
    ACTIONS(2024), 1,
      anon_sym_BSLASH,
    ACTIONS(2026), 1,
      anon_sym_u03bb,
    ACTIONS(2030), 1,
      anon_sym_record,
    ACTIONS(2032), 1,
      anon_sym_LPAREN,
    ACTIONS(2034), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2036), 1,
      anon_sym_u2983,
    ACTIONS(2038), 1,
      anon_sym_LBRACE,
    ACTIONS(2040), 1,
      aux_sym__qid_token1,
    ACTIONS(2042), 1,
      anon_sym_DOT,
    ACTIONS(2044), 1,
      anon_sym_quoteGoal,
    ACTIONS(2046), 1,
      anon_sym_tactic,
    ACTIONS(2048), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2050), 1,
      anon_sym_u2987,
    ACTIONS(2052), 1,
      anon_sym_let,
    ACTIONS(2056), 1,
      anon_sym_Set,
    STATE(3214), 1,
      aux_sym__atoms,
    STATE(3734), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4548), 1,
      sym_atom,
    STATE(6272), 1,
      sym_attributes,
    STATE(8070), 1,
      sym__LAMBDA,
    STATE(8476), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9328), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2022), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2054), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4497), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8655), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4495), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2028), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [149452] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2020), 1,
      sym_id,
    ACTIONS(2024), 1,
      anon_sym_BSLASH,
    ACTIONS(2026), 1,
      anon_sym_u03bb,
    ACTIONS(2030), 1,
      anon_sym_record,
    ACTIONS(2032), 1,
      anon_sym_LPAREN,
    ACTIONS(2034), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2036), 1,
      anon_sym_u2983,
    ACTIONS(2038), 1,
      anon_sym_LBRACE,
    ACTIONS(2040), 1,
      aux_sym__qid_token1,
    ACTIONS(2042), 1,
      anon_sym_DOT,
    ACTIONS(2044), 1,
      anon_sym_quoteGoal,
    ACTIONS(2046), 1,
      anon_sym_tactic,
    ACTIONS(2048), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2050), 1,
      anon_sym_u2987,
    ACTIONS(2052), 1,
      anon_sym_let,
    ACTIONS(2056), 1,
      anon_sym_Set,
    STATE(3214), 1,
      aux_sym__atoms,
    STATE(3734), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4548), 1,
      sym_atom,
    STATE(6272), 1,
      sym_attributes,
    STATE(8070), 1,
      sym__LAMBDA,
    STATE(8476), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9328), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2022), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2054), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4497), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8655), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4495), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2028), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [149588] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2020), 1,
      sym_id,
    ACTIONS(2024), 1,
      anon_sym_BSLASH,
    ACTIONS(2026), 1,
      anon_sym_u03bb,
    ACTIONS(2030), 1,
      anon_sym_record,
    ACTIONS(2032), 1,
      anon_sym_LPAREN,
    ACTIONS(2034), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2036), 1,
      anon_sym_u2983,
    ACTIONS(2038), 1,
      anon_sym_LBRACE,
    ACTIONS(2040), 1,
      aux_sym__qid_token1,
    ACTIONS(2042), 1,
      anon_sym_DOT,
    ACTIONS(2044), 1,
      anon_sym_quoteGoal,
    ACTIONS(2046), 1,
      anon_sym_tactic,
    ACTIONS(2048), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2050), 1,
      anon_sym_u2987,
    ACTIONS(2052), 1,
      anon_sym_let,
    ACTIONS(2056), 1,
      anon_sym_Set,
    STATE(3214), 1,
      aux_sym__atoms,
    STATE(3734), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4548), 1,
      sym_atom,
    STATE(6272), 1,
      sym_attributes,
    STATE(8070), 1,
      sym__LAMBDA,
    STATE(8476), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9328), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2022), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2054), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4497), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8655), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4495), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2028), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [149724] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2020), 1,
      sym_id,
    ACTIONS(2024), 1,
      anon_sym_BSLASH,
    ACTIONS(2026), 1,
      anon_sym_u03bb,
    ACTIONS(2030), 1,
      anon_sym_record,
    ACTIONS(2032), 1,
      anon_sym_LPAREN,
    ACTIONS(2034), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2036), 1,
      anon_sym_u2983,
    ACTIONS(2038), 1,
      anon_sym_LBRACE,
    ACTIONS(2040), 1,
      aux_sym__qid_token1,
    ACTIONS(2042), 1,
      anon_sym_DOT,
    ACTIONS(2044), 1,
      anon_sym_quoteGoal,
    ACTIONS(2046), 1,
      anon_sym_tactic,
    ACTIONS(2048), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2050), 1,
      anon_sym_u2987,
    ACTIONS(2052), 1,
      anon_sym_let,
    ACTIONS(2056), 1,
      anon_sym_Set,
    STATE(3214), 1,
      aux_sym__atoms,
    STATE(3734), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4548), 1,
      sym_atom,
    STATE(6272), 1,
      sym_attributes,
    STATE(8070), 1,
      sym__LAMBDA,
    STATE(8476), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9328), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2022), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2054), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4497), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8655), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4495), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2028), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [149860] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(950), 1,
      sym_id,
    ACTIONS(954), 1,
      anon_sym_BSLASH,
    ACTIONS(956), 1,
      anon_sym_u03bb,
    ACTIONS(960), 1,
      anon_sym_record,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(964), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(966), 1,
      anon_sym_u2983,
    ACTIONS(968), 1,
      anon_sym_LBRACE,
    ACTIONS(970), 1,
      aux_sym__qid_token1,
    ACTIONS(972), 1,
      anon_sym_DOT,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(976), 1,
      anon_sym_tactic,
    ACTIONS(978), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(980), 1,
      anon_sym_u2987,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(986), 1,
      anon_sym_Set,
    STATE(3276), 1,
      aux_sym__atoms,
    STATE(3741), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4952), 1,
      sym_atom,
    STATE(6288), 1,
      sym_attributes,
    STATE(8067), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    STATE(8943), 1,
      sym_expr,
    STATE(9664), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(984), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5006), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8687), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5025), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(958), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [149996] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(2468), 1,
      sym_id,
    ACTIONS(2472), 1,
      anon_sym_record,
    ACTIONS(2474), 1,
      anon_sym_LPAREN,
    ACTIONS(2476), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2478), 1,
      anon_sym_u2983,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    ACTIONS(2482), 1,
      aux_sym__qid_token1,
    ACTIONS(2484), 1,
      anon_sym_DOT,
    ACTIONS(2486), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2488), 1,
      anon_sym_u2987,
    ACTIONS(2492), 1,
      anon_sym_Set,
    STATE(1416), 1,
      sym__ARROW,
    STATE(2718), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3262), 1,
      sym_catchall_pragma,
    STATE(3401), 1,
      aux_sym__atoms,
    STATE(5539), 1,
      sym_atom,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(684), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2490), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5429), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9454), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5422), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9450), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2470), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [150128] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(2976), 1,
      sym_id,
    ACTIONS(2980), 1,
      anon_sym_record,
    ACTIONS(2982), 1,
      anon_sym_LPAREN,
    ACTIONS(2984), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2986), 1,
      anon_sym_u2983,
    ACTIONS(2988), 1,
      anon_sym_LBRACE,
    ACTIONS(2990), 1,
      aux_sym__qid_token1,
    ACTIONS(2992), 1,
      anon_sym_DOT,
    ACTIONS(2994), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2996), 1,
      anon_sym_u2987,
    ACTIONS(3000), 1,
      anon_sym_Set,
    STATE(3301), 1,
      aux_sym__atoms,
    STATE(3711), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4792), 1,
      sym_atom,
    STATE(6289), 1,
      sym_attributes,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    STATE(8994), 1,
      sym_expr,
    STATE(9423), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2998), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4870), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8648), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4868), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2978), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [150264] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2058), 1,
      sym_id,
    ACTIONS(2062), 1,
      anon_sym_BSLASH,
    ACTIONS(2064), 1,
      anon_sym_u03bb,
    ACTIONS(2068), 1,
      anon_sym_record,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    ACTIONS(2072), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_u2983,
    ACTIONS(2076), 1,
      anon_sym_LBRACE,
    ACTIONS(2078), 1,
      aux_sym__qid_token1,
    ACTIONS(2080), 1,
      anon_sym_DOT,
    ACTIONS(2082), 1,
      anon_sym_quoteGoal,
    ACTIONS(2084), 1,
      anon_sym_tactic,
    ACTIONS(2086), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2088), 1,
      anon_sym_u2987,
    ACTIONS(2090), 1,
      anon_sym_let,
    ACTIONS(2094), 1,
      anon_sym_Set,
    STATE(3227), 1,
      aux_sym__atoms,
    STATE(3760), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4311), 1,
      sym_atom,
    STATE(6273), 1,
      sym_attributes,
    STATE(8149), 1,
      sym__LAMBDA,
    STATE(8477), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9184), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2060), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2092), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4363), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8668), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4360), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [150400] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2058), 1,
      sym_id,
    ACTIONS(2062), 1,
      anon_sym_BSLASH,
    ACTIONS(2064), 1,
      anon_sym_u03bb,
    ACTIONS(2068), 1,
      anon_sym_record,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    ACTIONS(2072), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_u2983,
    ACTIONS(2076), 1,
      anon_sym_LBRACE,
    ACTIONS(2078), 1,
      aux_sym__qid_token1,
    ACTIONS(2080), 1,
      anon_sym_DOT,
    ACTIONS(2082), 1,
      anon_sym_quoteGoal,
    ACTIONS(2084), 1,
      anon_sym_tactic,
    ACTIONS(2086), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2088), 1,
      anon_sym_u2987,
    ACTIONS(2090), 1,
      anon_sym_let,
    ACTIONS(2094), 1,
      anon_sym_Set,
    STATE(3227), 1,
      aux_sym__atoms,
    STATE(3760), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4311), 1,
      sym_atom,
    STATE(6273), 1,
      sym_attributes,
    STATE(8149), 1,
      sym__LAMBDA,
    STATE(8477), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9184), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2060), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2092), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4363), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8668), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4360), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [150536] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2058), 1,
      sym_id,
    ACTIONS(2062), 1,
      anon_sym_BSLASH,
    ACTIONS(2064), 1,
      anon_sym_u03bb,
    ACTIONS(2068), 1,
      anon_sym_record,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    ACTIONS(2072), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_u2983,
    ACTIONS(2076), 1,
      anon_sym_LBRACE,
    ACTIONS(2078), 1,
      aux_sym__qid_token1,
    ACTIONS(2080), 1,
      anon_sym_DOT,
    ACTIONS(2082), 1,
      anon_sym_quoteGoal,
    ACTIONS(2084), 1,
      anon_sym_tactic,
    ACTIONS(2086), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2088), 1,
      anon_sym_u2987,
    ACTIONS(2090), 1,
      anon_sym_let,
    ACTIONS(2094), 1,
      anon_sym_Set,
    STATE(3227), 1,
      aux_sym__atoms,
    STATE(3760), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4311), 1,
      sym_atom,
    STATE(6273), 1,
      sym_attributes,
    STATE(8149), 1,
      sym__LAMBDA,
    STATE(8477), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9184), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2060), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2092), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4363), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8668), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4360), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [150672] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2058), 1,
      sym_id,
    ACTIONS(2062), 1,
      anon_sym_BSLASH,
    ACTIONS(2064), 1,
      anon_sym_u03bb,
    ACTIONS(2068), 1,
      anon_sym_record,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    ACTIONS(2072), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2074), 1,
      anon_sym_u2983,
    ACTIONS(2076), 1,
      anon_sym_LBRACE,
    ACTIONS(2078), 1,
      aux_sym__qid_token1,
    ACTIONS(2080), 1,
      anon_sym_DOT,
    ACTIONS(2082), 1,
      anon_sym_quoteGoal,
    ACTIONS(2084), 1,
      anon_sym_tactic,
    ACTIONS(2086), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2088), 1,
      anon_sym_u2987,
    ACTIONS(2090), 1,
      anon_sym_let,
    ACTIONS(2094), 1,
      anon_sym_Set,
    STATE(3227), 1,
      aux_sym__atoms,
    STATE(3760), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4311), 1,
      sym_atom,
    STATE(6273), 1,
      sym_attributes,
    STATE(8149), 1,
      sym__LAMBDA,
    STATE(8477), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9184), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2060), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2092), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4363), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8668), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4360), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [150808] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(2976), 1,
      sym_id,
    ACTIONS(2980), 1,
      anon_sym_record,
    ACTIONS(2982), 1,
      anon_sym_LPAREN,
    ACTIONS(2984), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2986), 1,
      anon_sym_u2983,
    ACTIONS(2988), 1,
      anon_sym_LBRACE,
    ACTIONS(2990), 1,
      aux_sym__qid_token1,
    ACTIONS(2992), 1,
      anon_sym_DOT,
    ACTIONS(2994), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2996), 1,
      anon_sym_u2987,
    ACTIONS(3000), 1,
      anon_sym_Set,
    STATE(3301), 1,
      aux_sym__atoms,
    STATE(3711), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4792), 1,
      sym_atom,
    STATE(6289), 1,
      sym_attributes,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    STATE(8943), 1,
      sym_expr,
    STATE(9423), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2998), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4870), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8648), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4868), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2978), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [150944] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2558), 1,
      sym_id,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2570), 1,
      anon_sym_record,
    ACTIONS(2572), 1,
      anon_sym_LPAREN,
    ACTIONS(2574), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2576), 1,
      anon_sym_u2983,
    ACTIONS(2578), 1,
      anon_sym_LBRACE,
    ACTIONS(2580), 1,
      aux_sym__qid_token1,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2588), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2590), 1,
      anon_sym_u2987,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(2596), 1,
      anon_sym_Set,
    STATE(1472), 1,
      sym__ARROW,
    STATE(2746), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3317), 1,
      sym_catchall_pragma,
    STATE(3541), 1,
      aux_sym__atoms,
    STATE(5395), 1,
      sym_atom,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2562), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2594), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5359), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8963), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5727), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2568), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [151076] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(894), 1,
      sym_id,
    ACTIONS(898), 1,
      anon_sym_BSLASH,
    ACTIONS(900), 1,
      anon_sym_u03bb,
    ACTIONS(904), 1,
      anon_sym_record,
    ACTIONS(906), 1,
      anon_sym_LPAREN,
    ACTIONS(908), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(910), 1,
      anon_sym_u2983,
    ACTIONS(912), 1,
      anon_sym_LBRACE,
    ACTIONS(916), 1,
      aux_sym__qid_token1,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(922), 1,
      anon_sym_tactic,
    ACTIONS(924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(926), 1,
      anon_sym_u2987,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(932), 1,
      anon_sym_Set,
    STATE(3324), 1,
      aux_sym__atoms,
    STATE(3740), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5348), 1,
      sym_atom,
    STATE(6290), 1,
      sym_attributes,
    STATE(8072), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    STATE(9476), 1,
      sym_expr,
    STATE(9513), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(930), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5081), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8675), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5079), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(902), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [151212] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3750), 1,
      sym_id,
    ACTIONS(3754), 1,
      anon_sym_BSLASH,
    ACTIONS(3756), 1,
      anon_sym_u03bb,
    ACTIONS(3760), 1,
      anon_sym_record,
    ACTIONS(3762), 1,
      anon_sym_LPAREN,
    ACTIONS(3764), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3766), 1,
      anon_sym_u2983,
    ACTIONS(3768), 1,
      anon_sym_LBRACE,
    ACTIONS(3770), 1,
      aux_sym__qid_token1,
    ACTIONS(3772), 1,
      anon_sym_DOT,
    ACTIONS(3774), 1,
      anon_sym_quoteGoal,
    ACTIONS(3776), 1,
      anon_sym_tactic,
    ACTIONS(3778), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3780), 1,
      anon_sym_u2987,
    ACTIONS(3782), 1,
      anon_sym_let,
    ACTIONS(3786), 1,
      anon_sym_Set,
    STATE(3194), 1,
      aux_sym__atoms,
    STATE(3717), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4163), 1,
      sym_atom,
    STATE(6302), 1,
      sym_attributes,
    STATE(8081), 1,
      sym__LAMBDA,
    STATE(8478), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9136), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3752), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3784), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4138), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8632), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4137), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3758), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [151348] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3750), 1,
      sym_id,
    ACTIONS(3754), 1,
      anon_sym_BSLASH,
    ACTIONS(3756), 1,
      anon_sym_u03bb,
    ACTIONS(3760), 1,
      anon_sym_record,
    ACTIONS(3762), 1,
      anon_sym_LPAREN,
    ACTIONS(3764), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3766), 1,
      anon_sym_u2983,
    ACTIONS(3768), 1,
      anon_sym_LBRACE,
    ACTIONS(3770), 1,
      aux_sym__qid_token1,
    ACTIONS(3772), 1,
      anon_sym_DOT,
    ACTIONS(3774), 1,
      anon_sym_quoteGoal,
    ACTIONS(3776), 1,
      anon_sym_tactic,
    ACTIONS(3778), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3780), 1,
      anon_sym_u2987,
    ACTIONS(3782), 1,
      anon_sym_let,
    ACTIONS(3786), 1,
      anon_sym_Set,
    STATE(3194), 1,
      aux_sym__atoms,
    STATE(3717), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4163), 1,
      sym_atom,
    STATE(6302), 1,
      sym_attributes,
    STATE(8081), 1,
      sym__LAMBDA,
    STATE(8478), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9136), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3752), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3784), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4138), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8632), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4137), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3758), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [151484] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3750), 1,
      sym_id,
    ACTIONS(3754), 1,
      anon_sym_BSLASH,
    ACTIONS(3756), 1,
      anon_sym_u03bb,
    ACTIONS(3760), 1,
      anon_sym_record,
    ACTIONS(3762), 1,
      anon_sym_LPAREN,
    ACTIONS(3764), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3766), 1,
      anon_sym_u2983,
    ACTIONS(3768), 1,
      anon_sym_LBRACE,
    ACTIONS(3770), 1,
      aux_sym__qid_token1,
    ACTIONS(3772), 1,
      anon_sym_DOT,
    ACTIONS(3774), 1,
      anon_sym_quoteGoal,
    ACTIONS(3776), 1,
      anon_sym_tactic,
    ACTIONS(3778), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3780), 1,
      anon_sym_u2987,
    ACTIONS(3782), 1,
      anon_sym_let,
    ACTIONS(3786), 1,
      anon_sym_Set,
    STATE(3194), 1,
      aux_sym__atoms,
    STATE(3717), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4163), 1,
      sym_atom,
    STATE(6302), 1,
      sym_attributes,
    STATE(8081), 1,
      sym__LAMBDA,
    STATE(8478), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9136), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3752), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3784), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4138), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8632), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4137), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3758), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [151620] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3750), 1,
      sym_id,
    ACTIONS(3754), 1,
      anon_sym_BSLASH,
    ACTIONS(3756), 1,
      anon_sym_u03bb,
    ACTIONS(3760), 1,
      anon_sym_record,
    ACTIONS(3762), 1,
      anon_sym_LPAREN,
    ACTIONS(3764), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3766), 1,
      anon_sym_u2983,
    ACTIONS(3768), 1,
      anon_sym_LBRACE,
    ACTIONS(3770), 1,
      aux_sym__qid_token1,
    ACTIONS(3772), 1,
      anon_sym_DOT,
    ACTIONS(3774), 1,
      anon_sym_quoteGoal,
    ACTIONS(3776), 1,
      anon_sym_tactic,
    ACTIONS(3778), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3780), 1,
      anon_sym_u2987,
    ACTIONS(3782), 1,
      anon_sym_let,
    ACTIONS(3786), 1,
      anon_sym_Set,
    STATE(3194), 1,
      aux_sym__atoms,
    STATE(3717), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4163), 1,
      sym_atom,
    STATE(6302), 1,
      sym_attributes,
    STATE(8081), 1,
      sym__LAMBDA,
    STATE(8478), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9136), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3752), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3784), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4138), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8632), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4137), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3758), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [151756] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(894), 1,
      sym_id,
    ACTIONS(898), 1,
      anon_sym_BSLASH,
    ACTIONS(900), 1,
      anon_sym_u03bb,
    ACTIONS(904), 1,
      anon_sym_record,
    ACTIONS(906), 1,
      anon_sym_LPAREN,
    ACTIONS(908), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(910), 1,
      anon_sym_u2983,
    ACTIONS(912), 1,
      anon_sym_LBRACE,
    ACTIONS(916), 1,
      aux_sym__qid_token1,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(922), 1,
      anon_sym_tactic,
    ACTIONS(924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(926), 1,
      anon_sym_u2987,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(932), 1,
      anon_sym_Set,
    STATE(3324), 1,
      aux_sym__atoms,
    STATE(3740), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5348), 1,
      sym_atom,
    STATE(6290), 1,
      sym_attributes,
    STATE(8072), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    STATE(9431), 1,
      sym_expr,
    STATE(9513), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(930), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5081), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8675), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5079), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(902), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [151892] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2624), 1,
      sym_id,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2636), 1,
      anon_sym_record,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(2640), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2642), 1,
      anon_sym_u2983,
    ACTIONS(2644), 1,
      anon_sym_LBRACE,
    ACTIONS(2646), 1,
      aux_sym__qid_token1,
    ACTIONS(2648), 1,
      anon_sym_DOT,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2654), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2656), 1,
      anon_sym_u2987,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(2662), 1,
      anon_sym_Set,
    STATE(1486), 1,
      sym__ARROW,
    STATE(2781), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3157), 1,
      sym_catchall_pragma,
    STATE(3648), 1,
      aux_sym__atoms,
    STATE(5590), 1,
      sym_atom,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2628), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2660), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5378), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8963), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5374), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2634), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [152024] = 36,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(3034), 1,
      sym_id,
    ACTIONS(3038), 1,
      anon_sym_record,
    ACTIONS(3040), 1,
      anon_sym_LPAREN,
    ACTIONS(3042), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3044), 1,
      anon_sym_u2983,
    ACTIONS(3046), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      aux_sym__qid_token1,
    ACTIONS(3050), 1,
      anon_sym_DOT,
    ACTIONS(3052), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3054), 1,
      anon_sym_u2987,
    ACTIONS(3058), 1,
      anon_sym_Set,
    STATE(3137), 1,
      aux_sym__atoms,
    STATE(3733), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4860), 1,
      sym_atom,
    STATE(6291), 1,
      sym_attributes,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    STATE(9446), 1,
      sym__with_exprs,
    STATE(9476), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3056), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4713), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8638), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4710), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3036), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [152160] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2868), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_u2983,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2876), 1,
      anon_sym_DOT,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    STATE(3243), 1,
      aux_sym__atoms,
    STATE(3761), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4578), 1,
      sym_atom,
    STATE(6285), 1,
      sym_attributes,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym_expr,
    STATE(9428), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8676), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [152296] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2868), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_u2983,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2876), 1,
      anon_sym_DOT,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    STATE(3243), 1,
      aux_sym__atoms,
    STATE(3761), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4578), 1,
      sym_atom,
    STATE(6285), 1,
      sym_attributes,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    STATE(8939), 1,
      sym_expr,
    STATE(9428), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8676), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [152432] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2868), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_u2983,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2876), 1,
      anon_sym_DOT,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    STATE(3243), 1,
      aux_sym__atoms,
    STATE(3761), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4578), 1,
      sym_atom,
    STATE(6285), 1,
      sym_attributes,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    STATE(8947), 1,
      sym_expr,
    STATE(9428), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8676), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [152568] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2868), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_u2983,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2876), 1,
      anon_sym_DOT,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    STATE(3243), 1,
      aux_sym__atoms,
    STATE(3761), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4578), 1,
      sym_atom,
    STATE(6285), 1,
      sym_attributes,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    STATE(9000), 1,
      sym_expr,
    STATE(9428), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8676), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [152704] = 36,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(3034), 1,
      sym_id,
    ACTIONS(3038), 1,
      anon_sym_record,
    ACTIONS(3040), 1,
      anon_sym_LPAREN,
    ACTIONS(3042), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3044), 1,
      anon_sym_u2983,
    ACTIONS(3046), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      aux_sym__qid_token1,
    ACTIONS(3050), 1,
      anon_sym_DOT,
    ACTIONS(3052), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3054), 1,
      anon_sym_u2987,
    ACTIONS(3058), 1,
      anon_sym_Set,
    STATE(3137), 1,
      aux_sym__atoms,
    STATE(3733), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4860), 1,
      sym_atom,
    STATE(6291), 1,
      sym_attributes,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    STATE(9431), 1,
      sym_expr,
    STATE(9446), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3056), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4713), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8638), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4710), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3036), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [152840] = 35,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(3788), 1,
      sym_id,
    ACTIONS(3794), 1,
      anon_sym_record,
    ACTIONS(3796), 1,
      anon_sym_LPAREN,
    ACTIONS(3798), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3800), 1,
      anon_sym_u2983,
    ACTIONS(3802), 1,
      anon_sym_LBRACE,
    ACTIONS(3804), 1,
      aux_sym__qid_token1,
    ACTIONS(3806), 1,
      anon_sym_DOT,
    ACTIONS(3808), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3810), 1,
      anon_sym_u2987,
    ACTIONS(3814), 1,
      anon_sym_Set,
    STATE(1627), 1,
      sym__ARROW,
    STATE(2748), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3142), 1,
      sym_catchall_pragma,
    STATE(3603), 1,
      aux_sym__atoms,
    STATE(5232), 1,
      sym_atom,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    STATE(9002), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3790), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3812), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4928), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8928), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4922), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [152974] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(3092), 1,
      sym_id,
    ACTIONS(3096), 1,
      anon_sym_record,
    ACTIONS(3098), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3102), 1,
      anon_sym_u2983,
    ACTIONS(3104), 1,
      anon_sym_LBRACE,
    ACTIONS(3106), 1,
      aux_sym__qid_token1,
    ACTIONS(3108), 1,
      anon_sym_DOT,
    ACTIONS(3110), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3112), 1,
      anon_sym_u2987,
    ACTIONS(3116), 1,
      anon_sym_Set,
    STATE(3149), 1,
      aux_sym__atoms,
    STATE(3727), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5204), 1,
      sym_atom,
    STATE(6292), 1,
      sym_attributes,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9601), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3114), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5351), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8656), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5163), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3094), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [153110] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(2976), 1,
      sym_id,
    ACTIONS(2980), 1,
      anon_sym_record,
    ACTIONS(2982), 1,
      anon_sym_LPAREN,
    ACTIONS(2984), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2986), 1,
      anon_sym_u2983,
    ACTIONS(2988), 1,
      anon_sym_LBRACE,
    ACTIONS(2990), 1,
      aux_sym__qid_token1,
    ACTIONS(2992), 1,
      anon_sym_DOT,
    ACTIONS(2994), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2996), 1,
      anon_sym_u2987,
    ACTIONS(3000), 1,
      anon_sym_Set,
    STATE(3301), 1,
      aux_sym__atoms,
    STATE(3711), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4792), 1,
      sym_atom,
    STATE(6289), 1,
      sym_attributes,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym_expr,
    STATE(9423), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2998), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4870), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8648), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4868), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2978), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [153246] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(2976), 1,
      sym_id,
    ACTIONS(2980), 1,
      anon_sym_record,
    ACTIONS(2982), 1,
      anon_sym_LPAREN,
    ACTIONS(2984), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2986), 1,
      anon_sym_u2983,
    ACTIONS(2988), 1,
      anon_sym_LBRACE,
    ACTIONS(2990), 1,
      aux_sym__qid_token1,
    ACTIONS(2992), 1,
      anon_sym_DOT,
    ACTIONS(2994), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2996), 1,
      anon_sym_u2987,
    ACTIONS(3000), 1,
      anon_sym_Set,
    STATE(3301), 1,
      aux_sym__atoms,
    STATE(3711), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4792), 1,
      sym_atom,
    STATE(6289), 1,
      sym_attributes,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    STATE(8939), 1,
      sym_expr,
    STATE(9423), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2998), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4870), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8648), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4868), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2978), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [153382] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(2976), 1,
      sym_id,
    ACTIONS(2980), 1,
      anon_sym_record,
    ACTIONS(2982), 1,
      anon_sym_LPAREN,
    ACTIONS(2984), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2986), 1,
      anon_sym_u2983,
    ACTIONS(2988), 1,
      anon_sym_LBRACE,
    ACTIONS(2990), 1,
      aux_sym__qid_token1,
    ACTIONS(2992), 1,
      anon_sym_DOT,
    ACTIONS(2994), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2996), 1,
      anon_sym_u2987,
    ACTIONS(3000), 1,
      anon_sym_Set,
    STATE(3301), 1,
      aux_sym__atoms,
    STATE(3711), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4792), 1,
      sym_atom,
    STATE(6289), 1,
      sym_attributes,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    STATE(8947), 1,
      sym_expr,
    STATE(9423), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2998), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4870), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8648), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4868), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2978), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [153518] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(2976), 1,
      sym_id,
    ACTIONS(2980), 1,
      anon_sym_record,
    ACTIONS(2982), 1,
      anon_sym_LPAREN,
    ACTIONS(2984), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2986), 1,
      anon_sym_u2983,
    ACTIONS(2988), 1,
      anon_sym_LBRACE,
    ACTIONS(2990), 1,
      aux_sym__qid_token1,
    ACTIONS(2992), 1,
      anon_sym_DOT,
    ACTIONS(2994), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2996), 1,
      anon_sym_u2987,
    ACTIONS(3000), 1,
      anon_sym_Set,
    STATE(3301), 1,
      aux_sym__atoms,
    STATE(3711), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4792), 1,
      sym_atom,
    STATE(6289), 1,
      sym_attributes,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    STATE(9000), 1,
      sym_expr,
    STATE(9423), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2998), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4870), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8648), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4868), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2978), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [153654] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(3092), 1,
      sym_id,
    ACTIONS(3096), 1,
      anon_sym_record,
    ACTIONS(3098), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3102), 1,
      anon_sym_u2983,
    ACTIONS(3104), 1,
      anon_sym_LBRACE,
    ACTIONS(3106), 1,
      aux_sym__qid_token1,
    ACTIONS(3108), 1,
      anon_sym_DOT,
    ACTIONS(3110), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3112), 1,
      anon_sym_u2987,
    ACTIONS(3116), 1,
      anon_sym_Set,
    STATE(3149), 1,
      aux_sym__atoms,
    STATE(3727), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5204), 1,
      sym_atom,
    STATE(6292), 1,
      sym_attributes,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9601), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3114), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5351), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8656), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5163), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3094), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [153790] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(2716), 1,
      sym_id,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2728), 1,
      anon_sym_record,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    ACTIONS(2732), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2734), 1,
      anon_sym_u2983,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      aux_sym__qid_token1,
    ACTIONS(2740), 1,
      anon_sym_DOT,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2746), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2748), 1,
      anon_sym_u2987,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(2754), 1,
      anon_sym_Set,
    STATE(1505), 1,
      sym__ARROW,
    STATE(2683), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3177), 1,
      sym_catchall_pragma,
    STATE(3464), 1,
      aux_sym__atoms,
    STATE(4072), 1,
      sym_atom,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2720), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2752), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4080), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9002), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4078), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2726), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [153922] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(3158), 1,
      sym_id,
    ACTIONS(3162), 1,
      anon_sym_record,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    ACTIONS(3166), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3168), 1,
      anon_sym_u2983,
    ACTIONS(3170), 1,
      anon_sym_LBRACE,
    ACTIONS(3172), 1,
      aux_sym__qid_token1,
    ACTIONS(3174), 1,
      anon_sym_DOT,
    ACTIONS(3176), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3178), 1,
      anon_sym_u2987,
    ACTIONS(3182), 1,
      anon_sym_Set,
    STATE(3156), 1,
      aux_sym__atoms,
    STATE(3746), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4821), 1,
      sym_atom,
    STATE(6293), 1,
      sym_attributes,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9419), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3180), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8667), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4757), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3160), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [154058] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(3092), 1,
      sym_id,
    ACTIONS(3096), 1,
      anon_sym_record,
    ACTIONS(3098), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3102), 1,
      anon_sym_u2983,
    ACTIONS(3104), 1,
      anon_sym_LBRACE,
    ACTIONS(3106), 1,
      aux_sym__qid_token1,
    ACTIONS(3108), 1,
      anon_sym_DOT,
    ACTIONS(3110), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3112), 1,
      anon_sym_u2987,
    ACTIONS(3116), 1,
      anon_sym_Set,
    STATE(3149), 1,
      aux_sym__atoms,
    STATE(3727), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5204), 1,
      sym_atom,
    STATE(6292), 1,
      sym_attributes,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9601), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3114), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5351), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8656), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5163), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3094), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [154194] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(3092), 1,
      sym_id,
    ACTIONS(3096), 1,
      anon_sym_record,
    ACTIONS(3098), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3102), 1,
      anon_sym_u2983,
    ACTIONS(3104), 1,
      anon_sym_LBRACE,
    ACTIONS(3106), 1,
      aux_sym__qid_token1,
    ACTIONS(3108), 1,
      anon_sym_DOT,
    ACTIONS(3110), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3112), 1,
      anon_sym_u2987,
    ACTIONS(3116), 1,
      anon_sym_Set,
    STATE(3149), 1,
      aux_sym__atoms,
    STATE(3727), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5204), 1,
      sym_atom,
    STATE(6292), 1,
      sym_attributes,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9601), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3114), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5351), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8656), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5163), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3094), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [154330] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(3092), 1,
      sym_id,
    ACTIONS(3096), 1,
      anon_sym_record,
    ACTIONS(3098), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3102), 1,
      anon_sym_u2983,
    ACTIONS(3104), 1,
      anon_sym_LBRACE,
    ACTIONS(3106), 1,
      aux_sym__qid_token1,
    ACTIONS(3108), 1,
      anon_sym_DOT,
    ACTIONS(3110), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3112), 1,
      anon_sym_u2987,
    ACTIONS(3116), 1,
      anon_sym_Set,
    STATE(3149), 1,
      aux_sym__atoms,
    STATE(3727), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5204), 1,
      sym_atom,
    STATE(6292), 1,
      sym_attributes,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9601), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3114), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5351), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8656), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5163), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3094), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [154466] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(3092), 1,
      sym_id,
    ACTIONS(3096), 1,
      anon_sym_record,
    ACTIONS(3098), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3102), 1,
      anon_sym_u2983,
    ACTIONS(3104), 1,
      anon_sym_LBRACE,
    ACTIONS(3106), 1,
      aux_sym__qid_token1,
    ACTIONS(3108), 1,
      anon_sym_DOT,
    ACTIONS(3110), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3112), 1,
      anon_sym_u2987,
    ACTIONS(3116), 1,
      anon_sym_Set,
    STATE(3149), 1,
      aux_sym__atoms,
    STATE(3727), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5204), 1,
      sym_atom,
    STATE(6292), 1,
      sym_attributes,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9601), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3114), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5351), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8656), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5163), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3094), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [154602] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(3158), 1,
      sym_id,
    ACTIONS(3162), 1,
      anon_sym_record,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    ACTIONS(3166), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3168), 1,
      anon_sym_u2983,
    ACTIONS(3170), 1,
      anon_sym_LBRACE,
    ACTIONS(3172), 1,
      aux_sym__qid_token1,
    ACTIONS(3174), 1,
      anon_sym_DOT,
    ACTIONS(3176), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3178), 1,
      anon_sym_u2987,
    ACTIONS(3182), 1,
      anon_sym_Set,
    STATE(3156), 1,
      aux_sym__atoms,
    STATE(3746), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4821), 1,
      sym_atom,
    STATE(6293), 1,
      sym_attributes,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9419), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3180), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8667), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4757), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3160), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [154738] = 35,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(3816), 1,
      sym_id,
    ACTIONS(3822), 1,
      anon_sym_record,
    ACTIONS(3824), 1,
      anon_sym_LPAREN,
    ACTIONS(3826), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3828), 1,
      anon_sym_u2983,
    ACTIONS(3830), 1,
      anon_sym_LBRACE,
    ACTIONS(3832), 1,
      aux_sym__qid_token1,
    ACTIONS(3834), 1,
      anon_sym_DOT,
    ACTIONS(3836), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3838), 1,
      anon_sym_u2987,
    ACTIONS(3842), 1,
      anon_sym_Set,
    STATE(1637), 1,
      sym__ARROW,
    STATE(2711), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3163), 1,
      sym_catchall_pragma,
    STATE(3418), 1,
      aux_sym__atoms,
    STATE(4582), 1,
      sym_atom,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    STATE(9002), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3818), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3840), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4457), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8928), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4439), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3820), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [154872] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3194), 1,
      sym_id,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3204), 1,
      anon_sym_record,
    ACTIONS(3206), 1,
      anon_sym_LPAREN,
    ACTIONS(3208), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3210), 1,
      anon_sym_u2983,
    ACTIONS(3212), 1,
      anon_sym_LBRACE,
    ACTIONS(3214), 1,
      aux_sym__qid_token1,
    ACTIONS(3216), 1,
      anon_sym_DOT,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3222), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3224), 1,
      anon_sym_u2987,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(3230), 1,
      anon_sym_Set,
    STATE(3165), 1,
      aux_sym__atoms,
    STATE(3745), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4587), 1,
      sym_atom,
    STATE(6294), 1,
      sym_attributes,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9322), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3228), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4440), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8669), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4435), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3202), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [155008] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2096), 1,
      sym_id,
    ACTIONS(2100), 1,
      anon_sym_BSLASH,
    ACTIONS(2102), 1,
      anon_sym_u03bb,
    ACTIONS(2106), 1,
      anon_sym_record,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    ACTIONS(2110), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2112), 1,
      anon_sym_u2983,
    ACTIONS(2114), 1,
      anon_sym_LBRACE,
    ACTIONS(2116), 1,
      aux_sym__qid_token1,
    ACTIONS(2118), 1,
      anon_sym_DOT,
    ACTIONS(2120), 1,
      anon_sym_quoteGoal,
    ACTIONS(2122), 1,
      anon_sym_tactic,
    ACTIONS(2124), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2126), 1,
      anon_sym_u2987,
    ACTIONS(2128), 1,
      anon_sym_let,
    ACTIONS(2132), 1,
      anon_sym_Set,
    STATE(3267), 1,
      aux_sym__atoms,
    STATE(3756), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4675), 1,
      sym_atom,
    STATE(6281), 1,
      sym_attributes,
    STATE(8140), 1,
      sym__LAMBDA,
    STATE(8487), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9475), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2098), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2130), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4823), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8645), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4822), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2104), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [155144] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2096), 1,
      sym_id,
    ACTIONS(2100), 1,
      anon_sym_BSLASH,
    ACTIONS(2102), 1,
      anon_sym_u03bb,
    ACTIONS(2106), 1,
      anon_sym_record,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    ACTIONS(2110), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2112), 1,
      anon_sym_u2983,
    ACTIONS(2114), 1,
      anon_sym_LBRACE,
    ACTIONS(2116), 1,
      aux_sym__qid_token1,
    ACTIONS(2118), 1,
      anon_sym_DOT,
    ACTIONS(2120), 1,
      anon_sym_quoteGoal,
    ACTIONS(2122), 1,
      anon_sym_tactic,
    ACTIONS(2124), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2126), 1,
      anon_sym_u2987,
    ACTIONS(2128), 1,
      anon_sym_let,
    ACTIONS(2132), 1,
      anon_sym_Set,
    STATE(3267), 1,
      aux_sym__atoms,
    STATE(3756), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4675), 1,
      sym_atom,
    STATE(6281), 1,
      sym_attributes,
    STATE(8140), 1,
      sym__LAMBDA,
    STATE(8487), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9475), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2098), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2130), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4823), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8645), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4822), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2104), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [155280] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2096), 1,
      sym_id,
    ACTIONS(2100), 1,
      anon_sym_BSLASH,
    ACTIONS(2102), 1,
      anon_sym_u03bb,
    ACTIONS(2106), 1,
      anon_sym_record,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    ACTIONS(2110), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2112), 1,
      anon_sym_u2983,
    ACTIONS(2114), 1,
      anon_sym_LBRACE,
    ACTIONS(2116), 1,
      aux_sym__qid_token1,
    ACTIONS(2118), 1,
      anon_sym_DOT,
    ACTIONS(2120), 1,
      anon_sym_quoteGoal,
    ACTIONS(2122), 1,
      anon_sym_tactic,
    ACTIONS(2124), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2126), 1,
      anon_sym_u2987,
    ACTIONS(2128), 1,
      anon_sym_let,
    ACTIONS(2132), 1,
      anon_sym_Set,
    STATE(3267), 1,
      aux_sym__atoms,
    STATE(3756), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4675), 1,
      sym_atom,
    STATE(6281), 1,
      sym_attributes,
    STATE(8140), 1,
      sym__LAMBDA,
    STATE(8487), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9475), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2098), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2130), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4823), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8645), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4822), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2104), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [155416] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(2096), 1,
      sym_id,
    ACTIONS(2100), 1,
      anon_sym_BSLASH,
    ACTIONS(2102), 1,
      anon_sym_u03bb,
    ACTIONS(2106), 1,
      anon_sym_record,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    ACTIONS(2110), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2112), 1,
      anon_sym_u2983,
    ACTIONS(2114), 1,
      anon_sym_LBRACE,
    ACTIONS(2116), 1,
      aux_sym__qid_token1,
    ACTIONS(2118), 1,
      anon_sym_DOT,
    ACTIONS(2120), 1,
      anon_sym_quoteGoal,
    ACTIONS(2122), 1,
      anon_sym_tactic,
    ACTIONS(2124), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2126), 1,
      anon_sym_u2987,
    ACTIONS(2128), 1,
      anon_sym_let,
    ACTIONS(2132), 1,
      anon_sym_Set,
    STATE(3267), 1,
      aux_sym__atoms,
    STATE(3756), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4675), 1,
      sym_atom,
    STATE(6281), 1,
      sym_attributes,
    STATE(8140), 1,
      sym__LAMBDA,
    STATE(8487), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9475), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2098), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2130), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4823), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8645), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4822), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2104), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [155552] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3194), 1,
      sym_id,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3204), 1,
      anon_sym_record,
    ACTIONS(3206), 1,
      anon_sym_LPAREN,
    ACTIONS(3208), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3210), 1,
      anon_sym_u2983,
    ACTIONS(3212), 1,
      anon_sym_LBRACE,
    ACTIONS(3214), 1,
      aux_sym__qid_token1,
    ACTIONS(3216), 1,
      anon_sym_DOT,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3222), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3224), 1,
      anon_sym_u2987,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(3230), 1,
      anon_sym_Set,
    STATE(3165), 1,
      aux_sym__atoms,
    STATE(3745), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4587), 1,
      sym_atom,
    STATE(6294), 1,
      sym_attributes,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9322), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3228), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4440), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8669), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4435), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3202), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [155688] = 35,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(3844), 1,
      sym_id,
    ACTIONS(3850), 1,
      anon_sym_record,
    ACTIONS(3852), 1,
      anon_sym_LPAREN,
    ACTIONS(3854), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3856), 1,
      anon_sym_u2983,
    ACTIONS(3858), 1,
      anon_sym_LBRACE,
    ACTIONS(3860), 1,
      aux_sym__qid_token1,
    ACTIONS(3862), 1,
      anon_sym_DOT,
    ACTIONS(3864), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3866), 1,
      anon_sym_u2987,
    ACTIONS(3870), 1,
      anon_sym_Set,
    STATE(1647), 1,
      sym__ARROW,
    STATE(2734), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3226), 1,
      sym_catchall_pragma,
    STATE(3543), 1,
      aux_sym__atoms,
    STATE(4405), 1,
      sym_atom,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    STATE(9002), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3846), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3868), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4296), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8928), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4295), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3848), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [155822] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3264), 1,
      sym_id,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3274), 1,
      anon_sym_record,
    ACTIONS(3276), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3280), 1,
      anon_sym_u2983,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      aux_sym__qid_token1,
    ACTIONS(3286), 1,
      anon_sym_DOT,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3292), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3294), 1,
      anon_sym_u2987,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(3300), 1,
      anon_sym_Set,
    STATE(3170), 1,
      aux_sym__atoms,
    STATE(3750), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4407), 1,
      sym_atom,
    STATE(6295), 1,
      sym_attributes,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9174), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3298), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4335), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8642), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4334), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3272), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [155958] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(3158), 1,
      sym_id,
    ACTIONS(3162), 1,
      anon_sym_record,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    ACTIONS(3166), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3168), 1,
      anon_sym_u2983,
    ACTIONS(3170), 1,
      anon_sym_LBRACE,
    ACTIONS(3172), 1,
      aux_sym__qid_token1,
    ACTIONS(3174), 1,
      anon_sym_DOT,
    ACTIONS(3176), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3178), 1,
      anon_sym_u2987,
    ACTIONS(3182), 1,
      anon_sym_Set,
    STATE(3156), 1,
      aux_sym__atoms,
    STATE(3746), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4821), 1,
      sym_atom,
    STATE(6293), 1,
      sym_attributes,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9419), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3180), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8667), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4757), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3160), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [156094] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(3158), 1,
      sym_id,
    ACTIONS(3162), 1,
      anon_sym_record,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    ACTIONS(3166), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3168), 1,
      anon_sym_u2983,
    ACTIONS(3170), 1,
      anon_sym_LBRACE,
    ACTIONS(3172), 1,
      aux_sym__qid_token1,
    ACTIONS(3174), 1,
      anon_sym_DOT,
    ACTIONS(3176), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3178), 1,
      anon_sym_u2987,
    ACTIONS(3182), 1,
      anon_sym_Set,
    STATE(3156), 1,
      aux_sym__atoms,
    STATE(3746), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4821), 1,
      sym_atom,
    STATE(6293), 1,
      sym_attributes,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9419), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3180), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8667), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4757), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3160), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [156230] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(3158), 1,
      sym_id,
    ACTIONS(3162), 1,
      anon_sym_record,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    ACTIONS(3166), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3168), 1,
      anon_sym_u2983,
    ACTIONS(3170), 1,
      anon_sym_LBRACE,
    ACTIONS(3172), 1,
      aux_sym__qid_token1,
    ACTIONS(3174), 1,
      anon_sym_DOT,
    ACTIONS(3176), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3178), 1,
      anon_sym_u2987,
    ACTIONS(3182), 1,
      anon_sym_Set,
    STATE(3156), 1,
      aux_sym__atoms,
    STATE(3746), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4821), 1,
      sym_atom,
    STATE(6293), 1,
      sym_attributes,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9419), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3180), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8667), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4757), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3160), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [156366] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(3158), 1,
      sym_id,
    ACTIONS(3162), 1,
      anon_sym_record,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    ACTIONS(3166), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3168), 1,
      anon_sym_u2983,
    ACTIONS(3170), 1,
      anon_sym_LBRACE,
    ACTIONS(3172), 1,
      aux_sym__qid_token1,
    ACTIONS(3174), 1,
      anon_sym_DOT,
    ACTIONS(3176), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3178), 1,
      anon_sym_u2987,
    ACTIONS(3182), 1,
      anon_sym_Set,
    STATE(3156), 1,
      aux_sym__atoms,
    STATE(3746), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4821), 1,
      sym_atom,
    STATE(6293), 1,
      sym_attributes,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9419), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3180), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8667), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4757), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3160), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [156502] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3264), 1,
      sym_id,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3274), 1,
      anon_sym_record,
    ACTIONS(3276), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3280), 1,
      anon_sym_u2983,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      aux_sym__qid_token1,
    ACTIONS(3286), 1,
      anon_sym_DOT,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3292), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3294), 1,
      anon_sym_u2987,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(3300), 1,
      anon_sym_Set,
    STATE(3170), 1,
      aux_sym__atoms,
    STATE(3750), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4407), 1,
      sym_atom,
    STATE(6295), 1,
      sym_attributes,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9174), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3298), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4335), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8642), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4334), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3272), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [156638] = 35,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(3872), 1,
      sym_id,
    ACTIONS(3878), 1,
      anon_sym_record,
    ACTIONS(3880), 1,
      anon_sym_LPAREN,
    ACTIONS(3882), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3884), 1,
      anon_sym_u2983,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(3888), 1,
      aux_sym__qid_token1,
    ACTIONS(3890), 1,
      anon_sym_DOT,
    ACTIONS(3892), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3894), 1,
      anon_sym_u2987,
    ACTIONS(3898), 1,
      anon_sym_Set,
    STATE(1657), 1,
      sym__ARROW,
    STATE(2757), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3263), 1,
      sym_catchall_pragma,
    STATE(3484), 1,
      aux_sym__atoms,
    STATE(4250), 1,
      sym_atom,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    STATE(9002), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3874), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3896), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4199), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8928), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4197), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3876), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [156772] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3334), 1,
      sym_id,
    ACTIONS(3338), 1,
      anon_sym_BSLASH,
    ACTIONS(3340), 1,
      anon_sym_u03bb,
    ACTIONS(3344), 1,
      anon_sym_record,
    ACTIONS(3346), 1,
      anon_sym_LPAREN,
    ACTIONS(3348), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3350), 1,
      anon_sym_u2983,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    ACTIONS(3354), 1,
      aux_sym__qid_token1,
    ACTIONS(3356), 1,
      anon_sym_DOT,
    ACTIONS(3358), 1,
      anon_sym_quoteGoal,
    ACTIONS(3360), 1,
      anon_sym_tactic,
    ACTIONS(3362), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3364), 1,
      anon_sym_u2987,
    ACTIONS(3366), 1,
      anon_sym_let,
    ACTIONS(3370), 1,
      anon_sym_Set,
    STATE(3174), 1,
      aux_sym__atoms,
    STATE(3719), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4408), 1,
      sym_atom,
    STATE(6296), 1,
      sym_attributes,
    STATE(8150), 1,
      sym__LAMBDA,
    STATE(8459), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9177), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3336), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3368), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4355), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8652), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4354), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3342), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [156908] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3194), 1,
      sym_id,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3204), 1,
      anon_sym_record,
    ACTIONS(3206), 1,
      anon_sym_LPAREN,
    ACTIONS(3208), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3210), 1,
      anon_sym_u2983,
    ACTIONS(3212), 1,
      anon_sym_LBRACE,
    ACTIONS(3214), 1,
      aux_sym__qid_token1,
    ACTIONS(3216), 1,
      anon_sym_DOT,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3222), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3224), 1,
      anon_sym_u2987,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(3230), 1,
      anon_sym_Set,
    STATE(3165), 1,
      aux_sym__atoms,
    STATE(3745), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4587), 1,
      sym_atom,
    STATE(6294), 1,
      sym_attributes,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9322), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3228), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4440), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8669), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4435), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3202), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [157044] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3194), 1,
      sym_id,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3204), 1,
      anon_sym_record,
    ACTIONS(3206), 1,
      anon_sym_LPAREN,
    ACTIONS(3208), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3210), 1,
      anon_sym_u2983,
    ACTIONS(3212), 1,
      anon_sym_LBRACE,
    ACTIONS(3214), 1,
      aux_sym__qid_token1,
    ACTIONS(3216), 1,
      anon_sym_DOT,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3222), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3224), 1,
      anon_sym_u2987,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(3230), 1,
      anon_sym_Set,
    STATE(3165), 1,
      aux_sym__atoms,
    STATE(3745), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4587), 1,
      sym_atom,
    STATE(6294), 1,
      sym_attributes,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9322), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3228), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4440), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8669), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4435), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3202), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [157180] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3194), 1,
      sym_id,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3204), 1,
      anon_sym_record,
    ACTIONS(3206), 1,
      anon_sym_LPAREN,
    ACTIONS(3208), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3210), 1,
      anon_sym_u2983,
    ACTIONS(3212), 1,
      anon_sym_LBRACE,
    ACTIONS(3214), 1,
      aux_sym__qid_token1,
    ACTIONS(3216), 1,
      anon_sym_DOT,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3222), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3224), 1,
      anon_sym_u2987,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(3230), 1,
      anon_sym_Set,
    STATE(3165), 1,
      aux_sym__atoms,
    STATE(3745), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4587), 1,
      sym_atom,
    STATE(6294), 1,
      sym_attributes,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9322), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3228), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4440), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8669), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4435), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3202), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [157316] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3194), 1,
      sym_id,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3204), 1,
      anon_sym_record,
    ACTIONS(3206), 1,
      anon_sym_LPAREN,
    ACTIONS(3208), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3210), 1,
      anon_sym_u2983,
    ACTIONS(3212), 1,
      anon_sym_LBRACE,
    ACTIONS(3214), 1,
      aux_sym__qid_token1,
    ACTIONS(3216), 1,
      anon_sym_DOT,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3222), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3224), 1,
      anon_sym_u2987,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(3230), 1,
      anon_sym_Set,
    STATE(3165), 1,
      aux_sym__atoms,
    STATE(3745), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4587), 1,
      sym_atom,
    STATE(6294), 1,
      sym_attributes,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9322), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3228), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4440), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8669), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4435), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3202), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [157452] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3334), 1,
      sym_id,
    ACTIONS(3338), 1,
      anon_sym_BSLASH,
    ACTIONS(3340), 1,
      anon_sym_u03bb,
    ACTIONS(3344), 1,
      anon_sym_record,
    ACTIONS(3346), 1,
      anon_sym_LPAREN,
    ACTIONS(3348), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3350), 1,
      anon_sym_u2983,
    ACTIONS(3352), 1,
      anon_sym_LBRACE,
    ACTIONS(3354), 1,
      aux_sym__qid_token1,
    ACTIONS(3356), 1,
      anon_sym_DOT,
    ACTIONS(3358), 1,
      anon_sym_quoteGoal,
    ACTIONS(3360), 1,
      anon_sym_tactic,
    ACTIONS(3362), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3364), 1,
      anon_sym_u2987,
    ACTIONS(3366), 1,
      anon_sym_let,
    ACTIONS(3370), 1,
      anon_sym_Set,
    STATE(3174), 1,
      aux_sym__atoms,
    STATE(3719), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4408), 1,
      sym_atom,
    STATE(6296), 1,
      sym_attributes,
    STATE(8150), 1,
      sym__LAMBDA,
    STATE(8459), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9177), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3336), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3368), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4355), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8652), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4354), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3342), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [157588] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(3900), 1,
      sym_id,
    ACTIONS(3902), 1,
      anon_sym_BSLASH,
    ACTIONS(3904), 1,
      anon_sym_u03bb,
    ACTIONS(3908), 1,
      anon_sym_record,
    ACTIONS(3910), 1,
      anon_sym_LPAREN,
    ACTIONS(3912), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3914), 1,
      anon_sym_u2983,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    ACTIONS(3918), 1,
      aux_sym__qid_token1,
    ACTIONS(3920), 1,
      anon_sym_DOT,
    ACTIONS(3922), 1,
      anon_sym_tactic,
    ACTIONS(3924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3926), 1,
      anon_sym_u2987,
    ACTIONS(3930), 1,
      anon_sym_Set,
    STATE(1416), 1,
      sym__ARROW,
    STATE(2795), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3147), 1,
      sym_catchall_pragma,
    STATE(3665), 1,
      aux_sym__atoms,
    STATE(5957), 1,
      sym_atom,
    STATE(8136), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(684), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3928), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5741), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9454), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5737), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9450), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3906), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [157720] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3372), 1,
      sym_id,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3382), 1,
      anon_sym_record,
    ACTIONS(3384), 1,
      anon_sym_LPAREN,
    ACTIONS(3386), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3388), 1,
      anon_sym_u2983,
    ACTIONS(3390), 1,
      anon_sym_LBRACE,
    ACTIONS(3392), 1,
      aux_sym__qid_token1,
    ACTIONS(3394), 1,
      anon_sym_DOT,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3400), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3402), 1,
      anon_sym_u2987,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(3408), 1,
      anon_sym_Set,
    STATE(3178), 1,
      aux_sym__atoms,
    STATE(3757), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4124), 1,
      sym_atom,
    STATE(6297), 1,
      sym_attributes,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9118), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3406), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4238), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8660), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4236), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [157856] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3264), 1,
      sym_id,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3274), 1,
      anon_sym_record,
    ACTIONS(3276), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3280), 1,
      anon_sym_u2983,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      aux_sym__qid_token1,
    ACTIONS(3286), 1,
      anon_sym_DOT,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3292), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3294), 1,
      anon_sym_u2987,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(3300), 1,
      anon_sym_Set,
    STATE(3170), 1,
      aux_sym__atoms,
    STATE(3750), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4407), 1,
      sym_atom,
    STATE(6295), 1,
      sym_attributes,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9174), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3298), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4335), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8642), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4334), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3272), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [157992] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3264), 1,
      sym_id,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3274), 1,
      anon_sym_record,
    ACTIONS(3276), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3280), 1,
      anon_sym_u2983,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      aux_sym__qid_token1,
    ACTIONS(3286), 1,
      anon_sym_DOT,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3292), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3294), 1,
      anon_sym_u2987,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(3300), 1,
      anon_sym_Set,
    STATE(3170), 1,
      aux_sym__atoms,
    STATE(3750), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4407), 1,
      sym_atom,
    STATE(6295), 1,
      sym_attributes,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9174), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3298), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4335), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8642), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4334), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3272), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [158128] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3264), 1,
      sym_id,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3274), 1,
      anon_sym_record,
    ACTIONS(3276), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3280), 1,
      anon_sym_u2983,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      aux_sym__qid_token1,
    ACTIONS(3286), 1,
      anon_sym_DOT,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3292), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3294), 1,
      anon_sym_u2987,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(3300), 1,
      anon_sym_Set,
    STATE(3170), 1,
      aux_sym__atoms,
    STATE(3750), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4407), 1,
      sym_atom,
    STATE(6295), 1,
      sym_attributes,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9174), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3298), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4335), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8642), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4334), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3272), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [158264] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3264), 1,
      sym_id,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3274), 1,
      anon_sym_record,
    ACTIONS(3276), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3280), 1,
      anon_sym_u2983,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      aux_sym__qid_token1,
    ACTIONS(3286), 1,
      anon_sym_DOT,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3292), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3294), 1,
      anon_sym_u2987,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(3300), 1,
      anon_sym_Set,
    STATE(3170), 1,
      aux_sym__atoms,
    STATE(3750), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4407), 1,
      sym_atom,
    STATE(6295), 1,
      sym_attributes,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9174), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3298), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4335), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8642), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4334), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3272), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [158400] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3372), 1,
      sym_id,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3382), 1,
      anon_sym_record,
    ACTIONS(3384), 1,
      anon_sym_LPAREN,
    ACTIONS(3386), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3388), 1,
      anon_sym_u2983,
    ACTIONS(3390), 1,
      anon_sym_LBRACE,
    ACTIONS(3392), 1,
      aux_sym__qid_token1,
    ACTIONS(3394), 1,
      anon_sym_DOT,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3400), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3402), 1,
      anon_sym_u2987,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(3408), 1,
      anon_sym_Set,
    STATE(3178), 1,
      aux_sym__atoms,
    STATE(3757), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4124), 1,
      sym_atom,
    STATE(6297), 1,
      sym_attributes,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9118), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3406), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4238), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8660), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4236), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [158536] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2822), 1,
      sym_id,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2838), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2844), 1,
      anon_sym_DOT,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2850), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(2858), 1,
      anon_sym_Set,
    STATE(1520), 1,
      sym__ARROW,
    STATE(2663), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3314), 1,
      sym_catchall_pragma,
    STATE(3638), 1,
      aux_sym__atoms,
    STATE(4643), 1,
      sym_atom,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2826), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2856), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8963), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2832), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [158668] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3410), 1,
      sym_id,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3420), 1,
      anon_sym_record,
    ACTIONS(3422), 1,
      anon_sym_LPAREN,
    ACTIONS(3424), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3426), 1,
      anon_sym_u2983,
    ACTIONS(3428), 1,
      anon_sym_LBRACE,
    ACTIONS(3430), 1,
      aux_sym__qid_token1,
    ACTIONS(3432), 1,
      anon_sym_DOT,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3438), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3440), 1,
      anon_sym_u2987,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(3446), 1,
      anon_sym_Set,
    STATE(3181), 1,
      aux_sym__atoms,
    STATE(3706), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5315), 1,
      sym_atom,
    STATE(6298), 1,
      sym_attributes,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    STATE(8994), 1,
      sym_expr,
    STATE(9540), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3444), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5177), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8666), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5173), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3418), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [158804] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3372), 1,
      sym_id,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3382), 1,
      anon_sym_record,
    ACTIONS(3384), 1,
      anon_sym_LPAREN,
    ACTIONS(3386), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3388), 1,
      anon_sym_u2983,
    ACTIONS(3390), 1,
      anon_sym_LBRACE,
    ACTIONS(3392), 1,
      aux_sym__qid_token1,
    ACTIONS(3394), 1,
      anon_sym_DOT,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3400), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3402), 1,
      anon_sym_u2987,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(3408), 1,
      anon_sym_Set,
    STATE(3178), 1,
      aux_sym__atoms,
    STATE(3757), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4124), 1,
      sym_atom,
    STATE(6297), 1,
      sym_attributes,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9118), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3406), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4238), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8660), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4236), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [158940] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3372), 1,
      sym_id,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3382), 1,
      anon_sym_record,
    ACTIONS(3384), 1,
      anon_sym_LPAREN,
    ACTIONS(3386), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3388), 1,
      anon_sym_u2983,
    ACTIONS(3390), 1,
      anon_sym_LBRACE,
    ACTIONS(3392), 1,
      aux_sym__qid_token1,
    ACTIONS(3394), 1,
      anon_sym_DOT,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3400), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3402), 1,
      anon_sym_u2987,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(3408), 1,
      anon_sym_Set,
    STATE(3178), 1,
      aux_sym__atoms,
    STATE(3757), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4124), 1,
      sym_atom,
    STATE(6297), 1,
      sym_attributes,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9118), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3406), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4238), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8660), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4236), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [159076] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3372), 1,
      sym_id,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3382), 1,
      anon_sym_record,
    ACTIONS(3384), 1,
      anon_sym_LPAREN,
    ACTIONS(3386), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3388), 1,
      anon_sym_u2983,
    ACTIONS(3390), 1,
      anon_sym_LBRACE,
    ACTIONS(3392), 1,
      aux_sym__qid_token1,
    ACTIONS(3394), 1,
      anon_sym_DOT,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3400), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3402), 1,
      anon_sym_u2987,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(3408), 1,
      anon_sym_Set,
    STATE(3178), 1,
      aux_sym__atoms,
    STATE(3757), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4124), 1,
      sym_atom,
    STATE(6297), 1,
      sym_attributes,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9118), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3406), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4238), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8660), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4236), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [159212] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3372), 1,
      sym_id,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3382), 1,
      anon_sym_record,
    ACTIONS(3384), 1,
      anon_sym_LPAREN,
    ACTIONS(3386), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3388), 1,
      anon_sym_u2983,
    ACTIONS(3390), 1,
      anon_sym_LBRACE,
    ACTIONS(3392), 1,
      aux_sym__qid_token1,
    ACTIONS(3394), 1,
      anon_sym_DOT,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3400), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3402), 1,
      anon_sym_u2987,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(3408), 1,
      anon_sym_Set,
    STATE(3178), 1,
      aux_sym__atoms,
    STATE(3757), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4124), 1,
      sym_atom,
    STATE(6297), 1,
      sym_attributes,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9118), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3406), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4238), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8660), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4236), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [159348] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3410), 1,
      sym_id,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3420), 1,
      anon_sym_record,
    ACTIONS(3422), 1,
      anon_sym_LPAREN,
    ACTIONS(3424), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3426), 1,
      anon_sym_u2983,
    ACTIONS(3428), 1,
      anon_sym_LBRACE,
    ACTIONS(3430), 1,
      aux_sym__qid_token1,
    ACTIONS(3432), 1,
      anon_sym_DOT,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3438), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3440), 1,
      anon_sym_u2987,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(3446), 1,
      anon_sym_Set,
    STATE(3181), 1,
      aux_sym__atoms,
    STATE(3706), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5315), 1,
      sym_atom,
    STATE(6298), 1,
      sym_attributes,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    STATE(8943), 1,
      sym_expr,
    STATE(9540), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3444), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5177), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8666), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5173), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3418), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [159484] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2838), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2850), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2886), 1,
      sym_id,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2896), 1,
      aux_sym__qid_token1,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(2906), 1,
      anon_sym_Set,
    STATE(1534), 1,
      sym__ARROW,
    STATE(2684), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3159), 1,
      sym_catchall_pragma,
    STATE(3631), 1,
      aux_sym__atoms,
    STATE(4643), 1,
      sym_atom,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2856), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2890), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8963), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2832), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [159616] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3448), 1,
      sym_id,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3458), 1,
      anon_sym_record,
    ACTIONS(3460), 1,
      anon_sym_LPAREN,
    ACTIONS(3462), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3464), 1,
      anon_sym_u2983,
    ACTIONS(3466), 1,
      anon_sym_LBRACE,
    ACTIONS(3468), 1,
      aux_sym__qid_token1,
    ACTIONS(3470), 1,
      anon_sym_DOT,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3476), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3478), 1,
      anon_sym_u2987,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(3484), 1,
      anon_sym_Set,
    STATE(3184), 1,
      aux_sym__atoms,
    STATE(3708), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4742), 1,
      sym_atom,
    STATE(6299), 1,
      sym_attributes,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9420), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3482), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4904), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8673), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3456), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [159752] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3410), 1,
      sym_id,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3420), 1,
      anon_sym_record,
    ACTIONS(3422), 1,
      anon_sym_LPAREN,
    ACTIONS(3424), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3426), 1,
      anon_sym_u2983,
    ACTIONS(3428), 1,
      anon_sym_LBRACE,
    ACTIONS(3430), 1,
      aux_sym__qid_token1,
    ACTIONS(3432), 1,
      anon_sym_DOT,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3438), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3440), 1,
      anon_sym_u2987,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(3446), 1,
      anon_sym_Set,
    STATE(3181), 1,
      aux_sym__atoms,
    STATE(3706), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5315), 1,
      sym_atom,
    STATE(6298), 1,
      sym_attributes,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym_expr,
    STATE(9540), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3444), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5177), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8666), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5173), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3418), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [159888] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3410), 1,
      sym_id,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3420), 1,
      anon_sym_record,
    ACTIONS(3422), 1,
      anon_sym_LPAREN,
    ACTIONS(3424), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3426), 1,
      anon_sym_u2983,
    ACTIONS(3428), 1,
      anon_sym_LBRACE,
    ACTIONS(3430), 1,
      aux_sym__qid_token1,
    ACTIONS(3432), 1,
      anon_sym_DOT,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3438), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3440), 1,
      anon_sym_u2987,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(3446), 1,
      anon_sym_Set,
    STATE(3181), 1,
      aux_sym__atoms,
    STATE(3706), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5315), 1,
      sym_atom,
    STATE(6298), 1,
      sym_attributes,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    STATE(8939), 1,
      sym_expr,
    STATE(9540), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3444), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5177), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8666), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5173), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3418), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [160024] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3410), 1,
      sym_id,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3420), 1,
      anon_sym_record,
    ACTIONS(3422), 1,
      anon_sym_LPAREN,
    ACTIONS(3424), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3426), 1,
      anon_sym_u2983,
    ACTIONS(3428), 1,
      anon_sym_LBRACE,
    ACTIONS(3430), 1,
      aux_sym__qid_token1,
    ACTIONS(3432), 1,
      anon_sym_DOT,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3438), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3440), 1,
      anon_sym_u2987,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(3446), 1,
      anon_sym_Set,
    STATE(3181), 1,
      aux_sym__atoms,
    STATE(3706), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5315), 1,
      sym_atom,
    STATE(6298), 1,
      sym_attributes,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    STATE(8947), 1,
      sym_expr,
    STATE(9540), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3444), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5177), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8666), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5173), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3418), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [160160] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3410), 1,
      sym_id,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3420), 1,
      anon_sym_record,
    ACTIONS(3422), 1,
      anon_sym_LPAREN,
    ACTIONS(3424), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3426), 1,
      anon_sym_u2983,
    ACTIONS(3428), 1,
      anon_sym_LBRACE,
    ACTIONS(3430), 1,
      aux_sym__qid_token1,
    ACTIONS(3432), 1,
      anon_sym_DOT,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3438), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3440), 1,
      anon_sym_u2987,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(3446), 1,
      anon_sym_Set,
    STATE(3181), 1,
      aux_sym__atoms,
    STATE(3706), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5315), 1,
      sym_atom,
    STATE(6298), 1,
      sym_attributes,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    STATE(9000), 1,
      sym_expr,
    STATE(9540), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3444), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5177), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8666), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5173), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3418), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [160296] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3448), 1,
      sym_id,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3458), 1,
      anon_sym_record,
    ACTIONS(3460), 1,
      anon_sym_LPAREN,
    ACTIONS(3462), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3464), 1,
      anon_sym_u2983,
    ACTIONS(3466), 1,
      anon_sym_LBRACE,
    ACTIONS(3468), 1,
      aux_sym__qid_token1,
    ACTIONS(3470), 1,
      anon_sym_DOT,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3476), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3478), 1,
      anon_sym_u2987,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(3484), 1,
      anon_sym_Set,
    STATE(3184), 1,
      aux_sym__atoms,
    STATE(3708), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4742), 1,
      sym_atom,
    STATE(6299), 1,
      sym_attributes,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9420), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3482), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4904), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8673), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3456), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [160432] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2936), 1,
      sym_id,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2948), 1,
      anon_sym_record,
    ACTIONS(2950), 1,
      anon_sym_LPAREN,
    ACTIONS(2952), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2954), 1,
      anon_sym_u2983,
    ACTIONS(2956), 1,
      anon_sym_LBRACE,
    ACTIONS(2958), 1,
      aux_sym__qid_token1,
    ACTIONS(2960), 1,
      anon_sym_DOT,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2966), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2968), 1,
      anon_sym_u2987,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(2974), 1,
      anon_sym_Set,
    STATE(1547), 1,
      sym__ARROW,
    STATE(2708), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3176), 1,
      sym_catchall_pragma,
    STATE(3485), 1,
      aux_sym__atoms,
    STATE(5087), 1,
      sym_atom,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2940), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2972), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5205), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8963), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5202), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2946), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [160564] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3486), 1,
      sym_id,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3496), 1,
      anon_sym_record,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    ACTIONS(3500), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3502), 1,
      anon_sym_u2983,
    ACTIONS(3504), 1,
      anon_sym_LBRACE,
    ACTIONS(3506), 1,
      aux_sym__qid_token1,
    ACTIONS(3508), 1,
      anon_sym_DOT,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3514), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3516), 1,
      anon_sym_u2987,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(3522), 1,
      anon_sym_Set,
    STATE(3187), 1,
      aux_sym__atoms,
    STATE(3715), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4393), 1,
      sym_atom,
    STATE(6300), 1,
      sym_attributes,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9145), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3520), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4330), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8674), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4416), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3494), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [160700] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3448), 1,
      sym_id,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3458), 1,
      anon_sym_record,
    ACTIONS(3460), 1,
      anon_sym_LPAREN,
    ACTIONS(3462), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3464), 1,
      anon_sym_u2983,
    ACTIONS(3466), 1,
      anon_sym_LBRACE,
    ACTIONS(3468), 1,
      aux_sym__qid_token1,
    ACTIONS(3470), 1,
      anon_sym_DOT,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3476), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3478), 1,
      anon_sym_u2987,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(3484), 1,
      anon_sym_Set,
    STATE(3184), 1,
      aux_sym__atoms,
    STATE(3708), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4742), 1,
      sym_atom,
    STATE(6299), 1,
      sym_attributes,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9420), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3482), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4904), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8673), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3456), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [160836] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3448), 1,
      sym_id,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3458), 1,
      anon_sym_record,
    ACTIONS(3460), 1,
      anon_sym_LPAREN,
    ACTIONS(3462), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3464), 1,
      anon_sym_u2983,
    ACTIONS(3466), 1,
      anon_sym_LBRACE,
    ACTIONS(3468), 1,
      aux_sym__qid_token1,
    ACTIONS(3470), 1,
      anon_sym_DOT,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3476), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3478), 1,
      anon_sym_u2987,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(3484), 1,
      anon_sym_Set,
    STATE(3184), 1,
      aux_sym__atoms,
    STATE(3708), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4742), 1,
      sym_atom,
    STATE(6299), 1,
      sym_attributes,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9420), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3482), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4904), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8673), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3456), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [160972] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3448), 1,
      sym_id,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3458), 1,
      anon_sym_record,
    ACTIONS(3460), 1,
      anon_sym_LPAREN,
    ACTIONS(3462), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3464), 1,
      anon_sym_u2983,
    ACTIONS(3466), 1,
      anon_sym_LBRACE,
    ACTIONS(3468), 1,
      aux_sym__qid_token1,
    ACTIONS(3470), 1,
      anon_sym_DOT,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3476), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3478), 1,
      anon_sym_u2987,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(3484), 1,
      anon_sym_Set,
    STATE(3184), 1,
      aux_sym__atoms,
    STATE(3708), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4742), 1,
      sym_atom,
    STATE(6299), 1,
      sym_attributes,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9420), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3482), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4904), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8673), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3456), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [161108] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3448), 1,
      sym_id,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3458), 1,
      anon_sym_record,
    ACTIONS(3460), 1,
      anon_sym_LPAREN,
    ACTIONS(3462), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3464), 1,
      anon_sym_u2983,
    ACTIONS(3466), 1,
      anon_sym_LBRACE,
    ACTIONS(3468), 1,
      aux_sym__qid_token1,
    ACTIONS(3470), 1,
      anon_sym_DOT,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3476), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3478), 1,
      anon_sym_u2987,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(3484), 1,
      anon_sym_Set,
    STATE(3184), 1,
      aux_sym__atoms,
    STATE(3708), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4742), 1,
      sym_atom,
    STATE(6299), 1,
      sym_attributes,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9420), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3482), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4904), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8673), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3456), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [161244] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3486), 1,
      sym_id,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3496), 1,
      anon_sym_record,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    ACTIONS(3500), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3502), 1,
      anon_sym_u2983,
    ACTIONS(3504), 1,
      anon_sym_LBRACE,
    ACTIONS(3506), 1,
      aux_sym__qid_token1,
    ACTIONS(3508), 1,
      anon_sym_DOT,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3514), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3516), 1,
      anon_sym_u2987,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(3522), 1,
      anon_sym_Set,
    STATE(3187), 1,
      aux_sym__atoms,
    STATE(3715), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4393), 1,
      sym_atom,
    STATE(6300), 1,
      sym_attributes,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9145), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3520), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4330), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8674), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4416), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3494), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [161380] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(3002), 1,
      sym_id,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3012), 1,
      anon_sym_record,
    ACTIONS(3014), 1,
      anon_sym_LPAREN,
    ACTIONS(3016), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3018), 1,
      anon_sym_u2983,
    ACTIONS(3020), 1,
      anon_sym_LBRACE,
    ACTIONS(3022), 1,
      anon_sym_DOT,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(3026), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3028), 1,
      anon_sym_u2987,
    ACTIONS(3032), 1,
      anon_sym_Set,
    STATE(1557), 1,
      sym__ARROW,
    STATE(2728), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3185), 1,
      sym_catchall_pragma,
    STATE(3562), 1,
      aux_sym__atoms,
    STATE(5355), 1,
      sym_atom,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3004), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3030), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5150), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9454), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5143), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9450), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3010), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [161512] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3552), 1,
      sym_id,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3562), 1,
      anon_sym_record,
    ACTIONS(3564), 1,
      anon_sym_LPAREN,
    ACTIONS(3566), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3568), 1,
      anon_sym_u2983,
    ACTIONS(3570), 1,
      anon_sym_LBRACE,
    ACTIONS(3572), 1,
      aux_sym__qid_token1,
    ACTIONS(3574), 1,
      anon_sym_DOT,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3580), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3582), 1,
      anon_sym_u2987,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(3588), 1,
      anon_sym_Set,
    STATE(3191), 1,
      aux_sym__atoms,
    STATE(3718), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4161), 1,
      sym_atom,
    STATE(6301), 1,
      sym_attributes,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9049), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3586), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4127), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8681), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4126), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3560), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [161648] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3486), 1,
      sym_id,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3496), 1,
      anon_sym_record,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    ACTIONS(3500), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3502), 1,
      anon_sym_u2983,
    ACTIONS(3504), 1,
      anon_sym_LBRACE,
    ACTIONS(3506), 1,
      aux_sym__qid_token1,
    ACTIONS(3508), 1,
      anon_sym_DOT,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3514), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3516), 1,
      anon_sym_u2987,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(3522), 1,
      anon_sym_Set,
    STATE(3187), 1,
      aux_sym__atoms,
    STATE(3715), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4393), 1,
      sym_atom,
    STATE(6300), 1,
      sym_attributes,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9145), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3520), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4330), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8674), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4416), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3494), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [161784] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3486), 1,
      sym_id,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3496), 1,
      anon_sym_record,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    ACTIONS(3500), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3502), 1,
      anon_sym_u2983,
    ACTIONS(3504), 1,
      anon_sym_LBRACE,
    ACTIONS(3506), 1,
      aux_sym__qid_token1,
    ACTIONS(3508), 1,
      anon_sym_DOT,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3514), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3516), 1,
      anon_sym_u2987,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(3522), 1,
      anon_sym_Set,
    STATE(3187), 1,
      aux_sym__atoms,
    STATE(3715), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4393), 1,
      sym_atom,
    STATE(6300), 1,
      sym_attributes,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9145), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3520), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4330), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8674), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4416), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3494), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [161920] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3486), 1,
      sym_id,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3496), 1,
      anon_sym_record,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    ACTIONS(3500), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3502), 1,
      anon_sym_u2983,
    ACTIONS(3504), 1,
      anon_sym_LBRACE,
    ACTIONS(3506), 1,
      aux_sym__qid_token1,
    ACTIONS(3508), 1,
      anon_sym_DOT,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3514), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3516), 1,
      anon_sym_u2987,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(3522), 1,
      anon_sym_Set,
    STATE(3187), 1,
      aux_sym__atoms,
    STATE(3715), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4393), 1,
      sym_atom,
    STATE(6300), 1,
      sym_attributes,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9145), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3520), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4330), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8674), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4416), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3494), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [162056] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3486), 1,
      sym_id,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3496), 1,
      anon_sym_record,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    ACTIONS(3500), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3502), 1,
      anon_sym_u2983,
    ACTIONS(3504), 1,
      anon_sym_LBRACE,
    ACTIONS(3506), 1,
      aux_sym__qid_token1,
    ACTIONS(3508), 1,
      anon_sym_DOT,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3514), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3516), 1,
      anon_sym_u2987,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(3522), 1,
      anon_sym_Set,
    STATE(3187), 1,
      aux_sym__atoms,
    STATE(3715), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4393), 1,
      sym_atom,
    STATE(6300), 1,
      sym_attributes,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9145), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3520), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4330), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8674), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4416), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3494), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [162192] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3552), 1,
      sym_id,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3562), 1,
      anon_sym_record,
    ACTIONS(3564), 1,
      anon_sym_LPAREN,
    ACTIONS(3566), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3568), 1,
      anon_sym_u2983,
    ACTIONS(3570), 1,
      anon_sym_LBRACE,
    ACTIONS(3572), 1,
      aux_sym__qid_token1,
    ACTIONS(3574), 1,
      anon_sym_DOT,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3580), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3582), 1,
      anon_sym_u2987,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(3588), 1,
      anon_sym_Set,
    STATE(3191), 1,
      aux_sym__atoms,
    STATE(3718), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4161), 1,
      sym_atom,
    STATE(6301), 1,
      sym_attributes,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9049), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3586), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4127), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8681), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4126), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3560), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [162328] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3060), 1,
      sym_id,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3068), 1,
      anon_sym_record,
    ACTIONS(3070), 1,
      anon_sym_LPAREN,
    ACTIONS(3072), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3074), 1,
      anon_sym_u2983,
    ACTIONS(3076), 1,
      anon_sym_LBRACE,
    ACTIONS(3078), 1,
      aux_sym__qid_token1,
    ACTIONS(3080), 1,
      anon_sym_DOT,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(3084), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3086), 1,
      anon_sym_u2987,
    ACTIONS(3090), 1,
      anon_sym_Set,
    STATE(1567), 1,
      sym__ARROW,
    STATE(2750), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3196), 1,
      sym_catchall_pragma,
    STATE(3639), 1,
      aux_sym__atoms,
    STATE(5377), 1,
      sym_atom,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2786), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3088), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5561), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9002), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5558), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [162460] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3750), 1,
      sym_id,
    ACTIONS(3754), 1,
      anon_sym_BSLASH,
    ACTIONS(3756), 1,
      anon_sym_u03bb,
    ACTIONS(3760), 1,
      anon_sym_record,
    ACTIONS(3762), 1,
      anon_sym_LPAREN,
    ACTIONS(3764), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3766), 1,
      anon_sym_u2983,
    ACTIONS(3768), 1,
      anon_sym_LBRACE,
    ACTIONS(3770), 1,
      aux_sym__qid_token1,
    ACTIONS(3772), 1,
      anon_sym_DOT,
    ACTIONS(3774), 1,
      anon_sym_quoteGoal,
    ACTIONS(3776), 1,
      anon_sym_tactic,
    ACTIONS(3778), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3780), 1,
      anon_sym_u2987,
    ACTIONS(3782), 1,
      anon_sym_let,
    ACTIONS(3786), 1,
      anon_sym_Set,
    STATE(3194), 1,
      aux_sym__atoms,
    STATE(3717), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4163), 1,
      sym_atom,
    STATE(6302), 1,
      sym_attributes,
    STATE(8081), 1,
      sym__LAMBDA,
    STATE(8478), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9136), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3752), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3784), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4138), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8632), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4137), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3758), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [162596] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3552), 1,
      sym_id,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3562), 1,
      anon_sym_record,
    ACTIONS(3564), 1,
      anon_sym_LPAREN,
    ACTIONS(3566), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3568), 1,
      anon_sym_u2983,
    ACTIONS(3570), 1,
      anon_sym_LBRACE,
    ACTIONS(3572), 1,
      aux_sym__qid_token1,
    ACTIONS(3574), 1,
      anon_sym_DOT,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3580), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3582), 1,
      anon_sym_u2987,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(3588), 1,
      anon_sym_Set,
    STATE(3191), 1,
      aux_sym__atoms,
    STATE(3718), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4161), 1,
      sym_atom,
    STATE(6301), 1,
      sym_attributes,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9049), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3586), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4127), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8681), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4126), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3560), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [162732] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3552), 1,
      sym_id,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3562), 1,
      anon_sym_record,
    ACTIONS(3564), 1,
      anon_sym_LPAREN,
    ACTIONS(3566), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3568), 1,
      anon_sym_u2983,
    ACTIONS(3570), 1,
      anon_sym_LBRACE,
    ACTIONS(3572), 1,
      aux_sym__qid_token1,
    ACTIONS(3574), 1,
      anon_sym_DOT,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3580), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3582), 1,
      anon_sym_u2987,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(3588), 1,
      anon_sym_Set,
    STATE(3191), 1,
      aux_sym__atoms,
    STATE(3718), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4161), 1,
      sym_atom,
    STATE(6301), 1,
      sym_attributes,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9049), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3586), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4127), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8681), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4126), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3560), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [162868] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3552), 1,
      sym_id,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3562), 1,
      anon_sym_record,
    ACTIONS(3564), 1,
      anon_sym_LPAREN,
    ACTIONS(3566), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3568), 1,
      anon_sym_u2983,
    ACTIONS(3570), 1,
      anon_sym_LBRACE,
    ACTIONS(3572), 1,
      aux_sym__qid_token1,
    ACTIONS(3574), 1,
      anon_sym_DOT,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3580), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3582), 1,
      anon_sym_u2987,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(3588), 1,
      anon_sym_Set,
    STATE(3191), 1,
      aux_sym__atoms,
    STATE(3718), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4161), 1,
      sym_atom,
    STATE(6301), 1,
      sym_attributes,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9049), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3586), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4127), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8681), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4126), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3560), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [163004] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3552), 1,
      sym_id,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3562), 1,
      anon_sym_record,
    ACTIONS(3564), 1,
      anon_sym_LPAREN,
    ACTIONS(3566), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3568), 1,
      anon_sym_u2983,
    ACTIONS(3570), 1,
      anon_sym_LBRACE,
    ACTIONS(3572), 1,
      aux_sym__qid_token1,
    ACTIONS(3574), 1,
      anon_sym_DOT,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3580), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3582), 1,
      anon_sym_u2987,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(3588), 1,
      anon_sym_Set,
    STATE(3191), 1,
      aux_sym__atoms,
    STATE(3718), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4161), 1,
      sym_atom,
    STATE(6301), 1,
      sym_attributes,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9049), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3586), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4127), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8681), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4126), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3560), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [163140] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3750), 1,
      sym_id,
    ACTIONS(3754), 1,
      anon_sym_BSLASH,
    ACTIONS(3756), 1,
      anon_sym_u03bb,
    ACTIONS(3760), 1,
      anon_sym_record,
    ACTIONS(3762), 1,
      anon_sym_LPAREN,
    ACTIONS(3764), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3766), 1,
      anon_sym_u2983,
    ACTIONS(3768), 1,
      anon_sym_LBRACE,
    ACTIONS(3770), 1,
      aux_sym__qid_token1,
    ACTIONS(3772), 1,
      anon_sym_DOT,
    ACTIONS(3774), 1,
      anon_sym_quoteGoal,
    ACTIONS(3776), 1,
      anon_sym_tactic,
    ACTIONS(3778), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3780), 1,
      anon_sym_u2987,
    ACTIONS(3782), 1,
      anon_sym_let,
    ACTIONS(3786), 1,
      anon_sym_Set,
    STATE(3194), 1,
      aux_sym__atoms,
    STATE(3717), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4163), 1,
      sym_atom,
    STATE(6302), 1,
      sym_attributes,
    STATE(8081), 1,
      sym__LAMBDA,
    STATE(8478), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9136), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3752), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3784), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4138), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8632), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4137), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3758), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [163276] = 35,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(3932), 1,
      sym_id,
    ACTIONS(3938), 1,
      anon_sym_record,
    ACTIONS(3940), 1,
      anon_sym_LPAREN,
    ACTIONS(3942), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3944), 1,
      anon_sym_u2983,
    ACTIONS(3946), 1,
      anon_sym_LBRACE,
    ACTIONS(3948), 1,
      aux_sym__qid_token1,
    ACTIONS(3950), 1,
      anon_sym_DOT,
    ACTIONS(3952), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3954), 1,
      anon_sym_u2987,
    ACTIONS(3958), 1,
      anon_sym_Set,
    STATE(1667), 1,
      sym__ARROW,
    STATE(2758), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3288), 1,
      sym_catchall_pragma,
    STATE(3704), 1,
      aux_sym__atoms,
    STATE(4649), 1,
      sym_atom,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    STATE(9002), 1,
      sym__lambda_clauses,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3934), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3956), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4887), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8928), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4886), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3936), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [163410] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3618), 1,
      sym_id,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3628), 1,
      anon_sym_record,
    ACTIONS(3630), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3634), 1,
      anon_sym_u2983,
    ACTIONS(3636), 1,
      anon_sym_LBRACE,
    ACTIONS(3638), 1,
      aux_sym__qid_token1,
    ACTIONS(3640), 1,
      anon_sym_DOT,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3646), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3648), 1,
      anon_sym_u2987,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(3654), 1,
      anon_sym_Set,
    STATE(3195), 1,
      aux_sym__atoms,
    STATE(3721), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4052), 1,
      sym_atom,
    STATE(6303), 1,
      sym_attributes,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9021), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3652), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4101), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8640), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4115), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3626), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [163546] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3618), 1,
      sym_id,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3628), 1,
      anon_sym_record,
    ACTIONS(3630), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3634), 1,
      anon_sym_u2983,
    ACTIONS(3636), 1,
      anon_sym_LBRACE,
    ACTIONS(3638), 1,
      aux_sym__qid_token1,
    ACTIONS(3640), 1,
      anon_sym_DOT,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3646), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3648), 1,
      anon_sym_u2987,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(3654), 1,
      anon_sym_Set,
    STATE(3195), 1,
      aux_sym__atoms,
    STATE(3721), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4052), 1,
      sym_atom,
    STATE(6303), 1,
      sym_attributes,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9021), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3652), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4101), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8640), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4115), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3626), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [163682] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3618), 1,
      sym_id,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3628), 1,
      anon_sym_record,
    ACTIONS(3630), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3634), 1,
      anon_sym_u2983,
    ACTIONS(3636), 1,
      anon_sym_LBRACE,
    ACTIONS(3638), 1,
      aux_sym__qid_token1,
    ACTIONS(3640), 1,
      anon_sym_DOT,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3646), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3648), 1,
      anon_sym_u2987,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(3654), 1,
      anon_sym_Set,
    STATE(3195), 1,
      aux_sym__atoms,
    STATE(3721), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4052), 1,
      sym_atom,
    STATE(6303), 1,
      sym_attributes,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9021), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3652), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4101), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8640), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4115), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3626), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [163818] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3618), 1,
      sym_id,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3628), 1,
      anon_sym_record,
    ACTIONS(3630), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3634), 1,
      anon_sym_u2983,
    ACTIONS(3636), 1,
      anon_sym_LBRACE,
    ACTIONS(3638), 1,
      aux_sym__qid_token1,
    ACTIONS(3640), 1,
      anon_sym_DOT,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3646), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3648), 1,
      anon_sym_u2987,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(3654), 1,
      anon_sym_Set,
    STATE(3195), 1,
      aux_sym__atoms,
    STATE(3721), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4052), 1,
      sym_atom,
    STATE(6303), 1,
      sym_attributes,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9021), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3652), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4101), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8640), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4115), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3626), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [163954] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3618), 1,
      sym_id,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3628), 1,
      anon_sym_record,
    ACTIONS(3630), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3634), 1,
      anon_sym_u2983,
    ACTIONS(3636), 1,
      anon_sym_LBRACE,
    ACTIONS(3638), 1,
      aux_sym__qid_token1,
    ACTIONS(3640), 1,
      anon_sym_DOT,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3646), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3648), 1,
      anon_sym_u2987,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(3654), 1,
      anon_sym_Set,
    STATE(3195), 1,
      aux_sym__atoms,
    STATE(3721), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4052), 1,
      sym_atom,
    STATE(6303), 1,
      sym_attributes,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9021), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3652), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4101), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8640), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4115), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3626), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [164090] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3618), 1,
      sym_id,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3628), 1,
      anon_sym_record,
    ACTIONS(3630), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3634), 1,
      anon_sym_u2983,
    ACTIONS(3636), 1,
      anon_sym_LBRACE,
    ACTIONS(3638), 1,
      aux_sym__qid_token1,
    ACTIONS(3640), 1,
      anon_sym_DOT,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3646), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3648), 1,
      anon_sym_u2987,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(3654), 1,
      anon_sym_Set,
    STATE(3195), 1,
      aux_sym__atoms,
    STATE(3721), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4052), 1,
      sym_atom,
    STATE(6303), 1,
      sym_attributes,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9021), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3652), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4101), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8640), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4115), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3626), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [164226] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3118), 1,
      sym_id,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3130), 1,
      anon_sym_record,
    ACTIONS(3132), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3136), 1,
      anon_sym_u2983,
    ACTIONS(3138), 1,
      anon_sym_LBRACE,
    ACTIONS(3140), 1,
      aux_sym__qid_token1,
    ACTIONS(3142), 1,
      anon_sym_DOT,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3148), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3150), 1,
      anon_sym_u2987,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(3156), 1,
      anon_sym_Set,
    STATE(1577), 1,
      sym__ARROW,
    STATE(2762), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3204), 1,
      sym_catchall_pragma,
    STATE(3356), 1,
      aux_sym__atoms,
    STATE(5148), 1,
      sym_atom,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3122), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3154), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5014), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9002), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4982), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3128), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [164358] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3684), 1,
      sym_id,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3694), 1,
      anon_sym_record,
    ACTIONS(3696), 1,
      anon_sym_LPAREN,
    ACTIONS(3698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3700), 1,
      anon_sym_u2983,
    ACTIONS(3702), 1,
      anon_sym_LBRACE,
    ACTIONS(3704), 1,
      aux_sym__qid_token1,
    ACTIONS(3706), 1,
      anon_sym_DOT,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3712), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3714), 1,
      anon_sym_u2987,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(3720), 1,
      anon_sym_Set,
    STATE(3197), 1,
      aux_sym__atoms,
    STATE(3728), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4462), 1,
      sym_atom,
    STATE(6304), 1,
      sym_attributes,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    STATE(8992), 1,
      sym_expr,
    STATE(9235), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3718), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4471), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8647), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4437), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [164494] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3684), 1,
      sym_id,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3694), 1,
      anon_sym_record,
    ACTIONS(3696), 1,
      anon_sym_LPAREN,
    ACTIONS(3698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3700), 1,
      anon_sym_u2983,
    ACTIONS(3702), 1,
      anon_sym_LBRACE,
    ACTIONS(3704), 1,
      aux_sym__qid_token1,
    ACTIONS(3706), 1,
      anon_sym_DOT,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3712), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3714), 1,
      anon_sym_u2987,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(3720), 1,
      anon_sym_Set,
    STATE(3197), 1,
      aux_sym__atoms,
    STATE(3728), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4462), 1,
      sym_atom,
    STATE(6304), 1,
      sym_attributes,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym_expr,
    STATE(9235), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3718), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4471), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8647), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4437), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [164630] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3684), 1,
      sym_id,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3694), 1,
      anon_sym_record,
    ACTIONS(3696), 1,
      anon_sym_LPAREN,
    ACTIONS(3698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3700), 1,
      anon_sym_u2983,
    ACTIONS(3702), 1,
      anon_sym_LBRACE,
    ACTIONS(3704), 1,
      aux_sym__qid_token1,
    ACTIONS(3706), 1,
      anon_sym_DOT,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3712), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3714), 1,
      anon_sym_u2987,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(3720), 1,
      anon_sym_Set,
    STATE(3197), 1,
      aux_sym__atoms,
    STATE(3728), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4462), 1,
      sym_atom,
    STATE(6304), 1,
      sym_attributes,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    STATE(8997), 1,
      sym_expr,
    STATE(9235), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3718), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4471), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8647), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4437), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [164766] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3684), 1,
      sym_id,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3694), 1,
      anon_sym_record,
    ACTIONS(3696), 1,
      anon_sym_LPAREN,
    ACTIONS(3698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3700), 1,
      anon_sym_u2983,
    ACTIONS(3702), 1,
      anon_sym_LBRACE,
    ACTIONS(3704), 1,
      aux_sym__qid_token1,
    ACTIONS(3706), 1,
      anon_sym_DOT,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3712), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3714), 1,
      anon_sym_u2987,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(3720), 1,
      anon_sym_Set,
    STATE(3197), 1,
      aux_sym__atoms,
    STATE(3728), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4462), 1,
      sym_atom,
    STATE(6304), 1,
      sym_attributes,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    STATE(8983), 1,
      sym_expr,
    STATE(9235), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3718), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4471), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8647), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4437), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [164902] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3684), 1,
      sym_id,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3694), 1,
      anon_sym_record,
    ACTIONS(3696), 1,
      anon_sym_LPAREN,
    ACTIONS(3698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3700), 1,
      anon_sym_u2983,
    ACTIONS(3702), 1,
      anon_sym_LBRACE,
    ACTIONS(3704), 1,
      aux_sym__qid_token1,
    ACTIONS(3706), 1,
      anon_sym_DOT,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3712), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3714), 1,
      anon_sym_u2987,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(3720), 1,
      anon_sym_Set,
    STATE(3197), 1,
      aux_sym__atoms,
    STATE(3728), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4462), 1,
      sym_atom,
    STATE(6304), 1,
      sym_attributes,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    STATE(8931), 1,
      sym_expr,
    STATE(9235), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3718), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4471), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8647), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4437), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [165038] = 36,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(3684), 1,
      sym_id,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3694), 1,
      anon_sym_record,
    ACTIONS(3696), 1,
      anon_sym_LPAREN,
    ACTIONS(3698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3700), 1,
      anon_sym_u2983,
    ACTIONS(3702), 1,
      anon_sym_LBRACE,
    ACTIONS(3704), 1,
      aux_sym__qid_token1,
    ACTIONS(3706), 1,
      anon_sym_DOT,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3712), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3714), 1,
      anon_sym_u2987,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(3720), 1,
      anon_sym_Set,
    STATE(3197), 1,
      aux_sym__atoms,
    STATE(3728), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4462), 1,
      sym_atom,
    STATE(6304), 1,
      sym_attributes,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    STATE(8958), 1,
      sym_expr,
    STATE(9235), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3718), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4471), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8647), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4437), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [165174] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(2782), 1,
      sym_id,
    ACTIONS(2788), 1,
      anon_sym_BSLASH,
    ACTIONS(2790), 1,
      anon_sym_u03bb,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2796), 1,
      anon_sym_LPAREN,
    ACTIONS(2798), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2800), 1,
      anon_sym_u2983,
    ACTIONS(2802), 1,
      anon_sym_LBRACE,
    ACTIONS(2804), 1,
      aux_sym__qid_token1,
    ACTIONS(2806), 1,
      anon_sym_DOT,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2810), 1,
      anon_sym_tactic,
    ACTIONS(2812), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2814), 1,
      anon_sym_u2987,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(2820), 1,
      anon_sym_Set,
    STATE(1567), 1,
      sym__ARROW,
    STATE(2766), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3216), 1,
      sym_catchall_pragma,
    STATE(3435), 1,
      aux_sym__atoms,
    STATE(5885), 1,
      sym_atom,
    STATE(8107), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2786), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2818), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9002), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5968), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [165306] = 34,
    ACTIONS(692), 1,
      anon_sym_record,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(698), 1,
      anon_sym_u2983,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      anon_sym_DOT,
    ACTIONS(718), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(720), 1,
      anon_sym_u2987,
    ACTIONS(728), 1,
      anon_sym_Set,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(3184), 1,
      sym_id,
    ACTIONS(3186), 1,
      anon_sym_BSLASH,
    ACTIONS(3188), 1,
      anon_sym_u03bb,
    ACTIONS(3190), 1,
      aux_sym__qid_token1,
    ACTIONS(3192), 1,
      anon_sym_tactic,
    STATE(1520), 1,
      sym__ARROW,
    STATE(2772), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3240), 1,
      sym_catchall_pragma,
    STATE(3494), 1,
      aux_sym__atoms,
    STATE(5140), 1,
      sym_atom,
    STATE(8063), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(726), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2826), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5353), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8963), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4924), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(690), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [165438] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(3232), 1,
      sym_id,
    ACTIONS(3234), 1,
      anon_sym_BSLASH,
    ACTIONS(3236), 1,
      anon_sym_u03bb,
    ACTIONS(3240), 1,
      anon_sym_record,
    ACTIONS(3242), 1,
      anon_sym_LPAREN,
    ACTIONS(3244), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3246), 1,
      anon_sym_u2983,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3250), 1,
      aux_sym__qid_token1,
    ACTIONS(3252), 1,
      anon_sym_DOT,
    ACTIONS(3254), 1,
      anon_sym_tactic,
    ACTIONS(3256), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3258), 1,
      anon_sym_u2987,
    ACTIONS(3262), 1,
      anon_sym_Set,
    STATE(1534), 1,
      sym__ARROW,
    STATE(2780), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3260), 1,
      sym_catchall_pragma,
    STATE(3538), 1,
      aux_sym__atoms,
    STATE(5461), 1,
      sym_atom,
    STATE(8112), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2890), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3260), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5393), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8963), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5591), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3238), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [165570] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(3302), 1,
      sym_id,
    ACTIONS(3304), 1,
      anon_sym_BSLASH,
    ACTIONS(3306), 1,
      anon_sym_u03bb,
    ACTIONS(3310), 1,
      anon_sym_record,
    ACTIONS(3312), 1,
      anon_sym_LPAREN,
    ACTIONS(3314), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3316), 1,
      anon_sym_u2983,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(3320), 1,
      aux_sym__qid_token1,
    ACTIONS(3322), 1,
      anon_sym_DOT,
    ACTIONS(3324), 1,
      anon_sym_tactic,
    ACTIONS(3326), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3328), 1,
      anon_sym_u2987,
    ACTIONS(3332), 1,
      anon_sym_Set,
    STATE(1547), 1,
      sym__ARROW,
    STATE(2782), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3281), 1,
      sym_catchall_pragma,
    STATE(3580), 1,
      aux_sym__atoms,
    STATE(5465), 1,
      sym_atom,
    STATE(8144), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2940), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3330), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5589), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8963), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5523), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3308), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [165702] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(3900), 1,
      sym_id,
    ACTIONS(3908), 1,
      anon_sym_record,
    ACTIONS(3910), 1,
      anon_sym_LPAREN,
    ACTIONS(3912), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3914), 1,
      anon_sym_u2983,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    ACTIONS(3918), 1,
      aux_sym__qid_token1,
    ACTIONS(3920), 1,
      anon_sym_DOT,
    ACTIONS(3924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3926), 1,
      anon_sym_u2987,
    ACTIONS(3930), 1,
      anon_sym_Set,
    ACTIONS(3960), 1,
      anon_sym_BSLASH,
    ACTIONS(3962), 1,
      anon_sym_u03bb,
    ACTIONS(3964), 1,
      anon_sym_tactic,
    STATE(1433), 1,
      sym__ARROW,
    STATE(2784), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3318), 1,
      sym_catchall_pragma,
    STATE(3617), 1,
      aux_sym__atoms,
    STATE(5957), 1,
      sym_atom,
    STATE(8075), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1984), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3928), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5741), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8963), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5737), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3906), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [165834] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(3524), 1,
      sym_id,
    ACTIONS(3530), 1,
      anon_sym_record,
    ACTIONS(3532), 1,
      anon_sym_LPAREN,
    ACTIONS(3534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3536), 1,
      anon_sym_u2983,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    ACTIONS(3540), 1,
      aux_sym__qid_token1,
    ACTIONS(3542), 1,
      anon_sym_DOT,
    ACTIONS(3544), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3546), 1,
      anon_sym_u2987,
    ACTIONS(3550), 1,
      anon_sym_Set,
    STATE(1587), 1,
      sym__ARROW,
    STATE(2788), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3339), 1,
      sym_catchall_pragma,
    STATE(3650), 1,
      aux_sym__atoms,
    STATE(4781), 1,
      sym_atom,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3526), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3548), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4820), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9002), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4761), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [165966] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(3590), 1,
      sym_id,
    ACTIONS(3596), 1,
      anon_sym_record,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    ACTIONS(3600), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3602), 1,
      anon_sym_u2983,
    ACTIONS(3604), 1,
      anon_sym_LBRACE,
    ACTIONS(3606), 1,
      aux_sym__qid_token1,
    ACTIONS(3608), 1,
      anon_sym_DOT,
    ACTIONS(3610), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3612), 1,
      anon_sym_u2987,
    ACTIONS(3616), 1,
      anon_sym_Set,
    STATE(1597), 1,
      sym__ARROW,
    STATE(2796), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3289), 1,
      sym_catchall_pragma,
    STATE(3417), 1,
      aux_sym__atoms,
    STATE(4575), 1,
      sym_atom,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3592), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3614), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4519), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9002), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4459), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3594), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [166098] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(3656), 1,
      sym_id,
    ACTIONS(3662), 1,
      anon_sym_record,
    ACTIONS(3664), 1,
      anon_sym_LPAREN,
    ACTIONS(3666), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3668), 1,
      anon_sym_u2983,
    ACTIONS(3670), 1,
      anon_sym_LBRACE,
    ACTIONS(3672), 1,
      aux_sym__qid_token1,
    ACTIONS(3674), 1,
      anon_sym_DOT,
    ACTIONS(3676), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3678), 1,
      anon_sym_u2987,
    ACTIONS(3682), 1,
      anon_sym_Set,
    STATE(1607), 1,
      sym__ARROW,
    STATE(2802), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3203), 1,
      sym_catchall_pragma,
    STATE(3605), 1,
      aux_sym__atoms,
    STATE(4402), 1,
      sym_atom,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3658), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3680), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4320), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9002), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4317), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3660), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [166230] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(3722), 1,
      sym_id,
    ACTIONS(3728), 1,
      anon_sym_record,
    ACTIONS(3730), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3734), 1,
      anon_sym_u2983,
    ACTIONS(3736), 1,
      anon_sym_LBRACE,
    ACTIONS(3738), 1,
      aux_sym__qid_token1,
    ACTIONS(3740), 1,
      anon_sym_DOT,
    ACTIONS(3742), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3744), 1,
      anon_sym_u2987,
    ACTIONS(3748), 1,
      anon_sym_Set,
    STATE(1617), 1,
      sym__ARROW,
    STATE(2806), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3283), 1,
      sym_catchall_pragma,
    STATE(3402), 1,
      aux_sym__atoms,
    STATE(5511), 1,
      sym_atom,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3724), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3746), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5688), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8963), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5600), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3726), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [166362] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(3788), 1,
      sym_id,
    ACTIONS(3794), 1,
      anon_sym_record,
    ACTIONS(3796), 1,
      anon_sym_LPAREN,
    ACTIONS(3798), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3800), 1,
      anon_sym_u2983,
    ACTIONS(3802), 1,
      anon_sym_LBRACE,
    ACTIONS(3804), 1,
      aux_sym__qid_token1,
    ACTIONS(3806), 1,
      anon_sym_DOT,
    ACTIONS(3808), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3810), 1,
      anon_sym_u2987,
    ACTIONS(3814), 1,
      anon_sym_Set,
    STATE(1627), 1,
      sym__ARROW,
    STATE(2808), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3142), 1,
      sym_catchall_pragma,
    STATE(3603), 1,
      aux_sym__atoms,
    STATE(5232), 1,
      sym_atom,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3790), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3812), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4928), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9002), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4922), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [166494] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(3816), 1,
      sym_id,
    ACTIONS(3822), 1,
      anon_sym_record,
    ACTIONS(3824), 1,
      anon_sym_LPAREN,
    ACTIONS(3826), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3828), 1,
      anon_sym_u2983,
    ACTIONS(3830), 1,
      anon_sym_LBRACE,
    ACTIONS(3832), 1,
      aux_sym__qid_token1,
    ACTIONS(3834), 1,
      anon_sym_DOT,
    ACTIONS(3836), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3838), 1,
      anon_sym_u2987,
    ACTIONS(3842), 1,
      anon_sym_Set,
    STATE(1637), 1,
      sym__ARROW,
    STATE(2810), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3163), 1,
      sym_catchall_pragma,
    STATE(3418), 1,
      aux_sym__atoms,
    STATE(4582), 1,
      sym_atom,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3818), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3840), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4457), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9002), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4439), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3820), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [166626] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(3844), 1,
      sym_id,
    ACTIONS(3850), 1,
      anon_sym_record,
    ACTIONS(3852), 1,
      anon_sym_LPAREN,
    ACTIONS(3854), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3856), 1,
      anon_sym_u2983,
    ACTIONS(3858), 1,
      anon_sym_LBRACE,
    ACTIONS(3860), 1,
      aux_sym__qid_token1,
    ACTIONS(3862), 1,
      anon_sym_DOT,
    ACTIONS(3864), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3866), 1,
      anon_sym_u2987,
    ACTIONS(3870), 1,
      anon_sym_Set,
    STATE(1647), 1,
      sym__ARROW,
    STATE(2820), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3226), 1,
      sym_catchall_pragma,
    STATE(3543), 1,
      aux_sym__atoms,
    STATE(4405), 1,
      sym_atom,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3846), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3868), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4296), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9002), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4295), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3848), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [166758] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(3872), 1,
      sym_id,
    ACTIONS(3878), 1,
      anon_sym_record,
    ACTIONS(3880), 1,
      anon_sym_LPAREN,
    ACTIONS(3882), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3884), 1,
      anon_sym_u2983,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(3888), 1,
      aux_sym__qid_token1,
    ACTIONS(3890), 1,
      anon_sym_DOT,
    ACTIONS(3892), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3894), 1,
      anon_sym_u2987,
    ACTIONS(3898), 1,
      anon_sym_Set,
    STATE(1657), 1,
      sym__ARROW,
    STATE(2823), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3263), 1,
      sym_catchall_pragma,
    STATE(3484), 1,
      aux_sym__atoms,
    STATE(4250), 1,
      sym_atom,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3874), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3896), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4199), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9002), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4197), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3876), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [166890] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(3932), 1,
      sym_id,
    ACTIONS(3938), 1,
      anon_sym_record,
    ACTIONS(3940), 1,
      anon_sym_LPAREN,
    ACTIONS(3942), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3944), 1,
      anon_sym_u2983,
    ACTIONS(3946), 1,
      anon_sym_LBRACE,
    ACTIONS(3948), 1,
      aux_sym__qid_token1,
    ACTIONS(3950), 1,
      anon_sym_DOT,
    ACTIONS(3952), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3954), 1,
      anon_sym_u2987,
    ACTIONS(3958), 1,
      anon_sym_Set,
    STATE(1667), 1,
      sym__ARROW,
    STATE(2824), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3288), 1,
      sym_catchall_pragma,
    STATE(3704), 1,
      aux_sym__atoms,
    STATE(4649), 1,
      sym_atom,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3934), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3956), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4887), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9002), 4,
      sym__lambda_clauses,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4886), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3936), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [167022] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10701), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [167158] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10702), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [167294] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12037), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [167430] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10806), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [167566] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10807), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [167702] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10808), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [167838] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10809), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [167974] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10813), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [168110] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10817), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [168246] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10819), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [168382] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10821), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [168518] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym_expr,
    STATE(10220), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [168654] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(8939), 1,
      sym_expr,
    STATE(10220), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [168790] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(8947), 1,
      sym_expr,
    STATE(10220), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [168926] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(9000), 1,
      sym_expr,
    STATE(10220), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [169062] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(854), 1,
      anon_sym_BSLASH,
    ACTIONS(856), 1,
      anon_sym_u03bb,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(880), 1,
      anon_sym_tactic,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    STATE(3236), 1,
      aux_sym__atoms,
    STATE(3722), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6286), 1,
      sym_attributes,
    STATE(8082), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym_expr,
    STATE(9675), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8684), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [169198] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(854), 1,
      anon_sym_BSLASH,
    ACTIONS(856), 1,
      anon_sym_u03bb,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(880), 1,
      anon_sym_tactic,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    STATE(3236), 1,
      aux_sym__atoms,
    STATE(3722), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6286), 1,
      sym_attributes,
    STATE(8082), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    STATE(8939), 1,
      sym_expr,
    STATE(9675), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8684), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [169334] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(854), 1,
      anon_sym_BSLASH,
    ACTIONS(856), 1,
      anon_sym_u03bb,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(880), 1,
      anon_sym_tactic,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    STATE(3236), 1,
      aux_sym__atoms,
    STATE(3722), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6286), 1,
      sym_attributes,
    STATE(8082), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    STATE(8947), 1,
      sym_expr,
    STATE(9675), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8684), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [169470] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(854), 1,
      anon_sym_BSLASH,
    ACTIONS(856), 1,
      anon_sym_u03bb,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(880), 1,
      anon_sym_tactic,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    STATE(3236), 1,
      aux_sym__atoms,
    STATE(3722), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6286), 1,
      sym_attributes,
    STATE(8082), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    STATE(9000), 1,
      sym_expr,
    STATE(9675), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8684), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [169606] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(854), 1,
      anon_sym_BSLASH,
    ACTIONS(856), 1,
      anon_sym_u03bb,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(880), 1,
      anon_sym_tactic,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    STATE(3236), 1,
      aux_sym__atoms,
    STATE(3722), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6286), 1,
      sym_attributes,
    STATE(8082), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    STATE(8994), 1,
      sym_expr,
    STATE(9675), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8684), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [169742] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(854), 1,
      anon_sym_BSLASH,
    ACTIONS(856), 1,
      anon_sym_u03bb,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(864), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(868), 1,
      anon_sym_u2983,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(874), 1,
      anon_sym_DOT,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(880), 1,
      anon_sym_tactic,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    STATE(3236), 1,
      aux_sym__atoms,
    STATE(3722), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4730), 1,
      sym_atom,
    STATE(6286), 1,
      sym_attributes,
    STATE(8082), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    STATE(8943), 1,
      sym_expr,
    STATE(9675), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8684), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [169878] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10853), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [170014] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10854), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [170150] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10798), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [170286] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10917), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [170422] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10918), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [170558] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10919), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [170694] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10920), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [170830] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10926), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [170966] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10927), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [171102] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10928), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [171238] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10929), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [171374] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10956), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [171510] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10957), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [171646] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11740), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [171782] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11001), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [171918] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11002), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [172054] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11003), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [172190] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11004), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [172326] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11011), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [172462] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11013), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [172598] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11014), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [172734] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11015), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [172870] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11042), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [173006] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11043), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [173142] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11091), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [173278] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11092), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [173414] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11093), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [173550] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11096), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [173686] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11100), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [173822] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11101), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [173958] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11102), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [174094] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11103), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [174230] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11135), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [174366] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11136), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [174502] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11176), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [174638] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11177), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [174774] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11178), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [174910] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11179), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [175046] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11182), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [175182] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11183), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [175318] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11184), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [175454] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11190), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [175590] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11218), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [175726] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11219), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [175862] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11263), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [175998] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11264), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [176134] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11265), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [176270] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11266), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [176406] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11269), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [176542] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11270), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [176678] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11271), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [176814] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11272), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [176950] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11305), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [177086] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11306), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [177222] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11350), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [177358] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11351), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [177494] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11352), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [177630] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11353), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [177766] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11356), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [177902] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11357), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [178038] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11358), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [178174] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11359), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [178310] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11392), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [178446] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11393), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [178582] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11437), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [178718] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11438), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [178854] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11439), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [178990] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11440), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [179126] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11443), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [179262] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11444), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [179398] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11445), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [179534] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11446), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [179670] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11479), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [179806] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11480), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [179942] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11524), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [180078] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11525), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [180214] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11526), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [180350] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11527), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [180486] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11530), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [180622] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11531), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [180758] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11532), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [180894] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11533), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [181030] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11566), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [181166] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11567), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [181302] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11610), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [181438] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11611), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [181574] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11612), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [181710] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11613), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [181846] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11616), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [181982] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11617), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [182118] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11618), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [182254] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11619), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [182390] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11646), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [182526] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11647), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [182662] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11685), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [182798] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11686), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [182934] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11687), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [183070] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11688), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [183206] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11693), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [183342] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11694), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [183478] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11695), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [183614] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11696), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [183750] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11721), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [183886] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11722), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [184022] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11762), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [184158] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11763), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [184294] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11764), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [184430] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11765), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [184566] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11768), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [184702] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11769), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [184838] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11770), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [184974] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11771), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [185110] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11798), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [185246] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11799), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [185382] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11849), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [185518] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11850), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [185654] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11853), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [185790] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11854), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [185926] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11861), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [186062] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11862), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [186198] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11865), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [186334] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11866), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [186470] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11913), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [186606] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11914), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [186742] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11982), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [186878] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11985), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [187014] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11986), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [187150] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11989), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [187286] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11994), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [187422] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11997), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [187558] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11998), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [187694] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12001), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [187830] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12046), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [187966] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12049), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [188102] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12114), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [188238] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12117), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [188374] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12118), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [188510] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12121), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [188646] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12125), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [188782] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12126), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [188918] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12129), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [189054] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12130), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [189190] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12177), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [189326] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12178), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [189462] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12245), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [189598] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12246), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [189734] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12249), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [189870] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12250), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [190006] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12254), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [190142] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12257), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [190278] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12258), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [190414] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12261), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [190550] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12306), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [190686] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12309), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [190822] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12371), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [190958] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12372), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [191094] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12373), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [191230] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12374), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [191366] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12380), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [191502] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12381), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [191638] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12382), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [191774] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12384), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [191910] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12453), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [192046] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12456), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [192182] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12555), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [192318] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12556), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [192454] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12561), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [192590] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12564), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [192726] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12570), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [192862] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12573), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [192998] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12574), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [193134] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12579), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [193270] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12775), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [193406] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12776), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [193542] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12809), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [193678] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12810), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [193814] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12811), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [193950] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12812), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [194086] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12814), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [194222] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12815), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [194358] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10265), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [194494] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11471), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [194630] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10890), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [194766] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10943), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [194902] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11465), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [195038] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12082), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [195174] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12137), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [195310] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12278), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [195446] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12303), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [195582] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12334), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [195718] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12445), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [195854] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11816), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [195990] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11232), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [196126] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11234), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [196262] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10472), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [196398] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2868), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_u2983,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2876), 1,
      anon_sym_DOT,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    STATE(3340), 1,
      aux_sym__atoms,
    STATE(3705), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4578), 1,
      sym_atom,
    STATE(6287), 1,
      sym_attributes,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    STATE(9000), 1,
      sym_expr,
    STATE(9443), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8639), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [196534] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10530), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [196670] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10532), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [196806] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10603), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [196942] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10604), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [197078] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10663), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [197214] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10878), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [197350] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11983), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [197486] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11990), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [197622] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10297), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [197758] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10305), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [197894] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10307), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [198030] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10308), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [198166] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10311), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [198302] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10312), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [198438] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10313), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [198574] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10323), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [198710] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10876), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [198846] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10877), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [198982] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11468), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [199118] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11555), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [199254] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11898), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [199390] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11899), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [199526] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11903), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [199662] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11905), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [199798] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11907), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [199934] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11926), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [200070] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12761), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [200206] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12762), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [200342] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12620), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [200478] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12644), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [200614] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12664), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [200750] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12670), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [200886] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12674), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [201022] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12680), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [201158] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12704), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [201294] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12709), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [201430] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10403), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [201566] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10405), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [201702] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10753), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [201838] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10755), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [201974] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10757), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [202110] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10762), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [202246] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10763), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [202382] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10846), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [202518] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10848), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [202654] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10856), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [202790] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11058), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [202926] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11088), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [203062] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11573), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [203198] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11575), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [203334] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11634), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [203470] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11635), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [203606] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11705), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [203742] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11707), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [203878] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11711), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [204014] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11712), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [204150] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12273), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [204286] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12275), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [204422] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10597), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [204558] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10677), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [204694] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10685), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [204830] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10715), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [204966] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10961), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [205102] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10967), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [205238] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10979), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [205374] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10987), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [205510] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12330), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [205646] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12358), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [205782] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12805), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [205918] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12806), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [206054] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10233), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [206190] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10234), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [206326] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10242), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [206462] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10244), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [206598] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10249), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [206734] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10257), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [206870] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10357), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [207006] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10358), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [207142] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10487), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [207278] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10504), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [207414] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10505), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [207550] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10518), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [207686] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10519), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [207822] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10520), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [207958] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10521), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [208094] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10522), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [208230] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10635), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [208366] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10650), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [208502] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10780), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [208638] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10781), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [208774] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10782), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [208910] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10802), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [209046] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10830), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [209182] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10831), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [209318] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10835), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [209454] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10844), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [209590] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10983), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [209726] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10985), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [209862] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11185), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [209998] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11186), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [210134] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11188), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [210270] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11191), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [210406] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11201), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [210542] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11225), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [210678] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11227), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [210814] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11230), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [210950] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11441), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [211086] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11464), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [211222] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11734), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [211358] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11735), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [211494] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11741), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [211630] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11772), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [211766] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11773), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [211902] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11810), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [212038] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11812), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [212174] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11895), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [212310] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12133), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [212446] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12135), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [212582] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12482), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [212718] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12483), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [212854] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12484), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [212990] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12489), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [213126] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12490), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [213262] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12527), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [213398] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12529), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [213534] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12580), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [213670] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11631), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [213806] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11680), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [213942] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11326), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [214078] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11331), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [214214] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11434), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [214350] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11461), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [214486] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11463), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [214622] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11487), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [214758] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11488), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [214894] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11490), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [215030] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12109), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [215166] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12221), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [215302] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12543), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [215438] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12546), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [215574] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12550), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [215710] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12577), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [215846] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12590), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [215982] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12592), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [216118] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12602), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [216254] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12738), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [216390] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12739), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [216526] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10280), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [216662] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10281), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [216798] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10290), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [216934] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10292), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [217070] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10293), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [217206] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10294), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [217342] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10295), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [217478] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10296), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [217614] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10354), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [217750] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10356), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [217886] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10424), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [218022] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10425), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [218158] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10433), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [218294] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10435), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [218430] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10439), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [218566] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10440), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [218702] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10449), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [218838] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10451), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [218974] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10502), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [219110] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10503), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [219246] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10571), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [219382] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10579), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [219518] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10582), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [219654] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10583), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [219790] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10584), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [219926] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10585), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [220062] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10586), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [220198] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10587), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [220334] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10648), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [220470] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10649), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [220606] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10719), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [220742] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10720), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [220878] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10722), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [221014] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10723), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [221150] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10734), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [221286] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10736), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [221422] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10737), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [221558] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10738), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [221694] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10827), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [221830] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10829), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [221966] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10923), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [222102] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10924), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [222238] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10925), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [222374] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10930), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [222510] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10931), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [222646] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10939), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [222782] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10941), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [222918] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10942), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [223054] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11020), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [223190] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11022), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [223326] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11125), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [223462] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11126), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [223598] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11128), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [223734] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11129), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [223870] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11133), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [224006] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11137), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [224142] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11147), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [224278] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11153), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [224414] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11205), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [224550] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11206), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [224686] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11301), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [224822] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11308), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [224958] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11311), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [225094] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11312), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [225230] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11313), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [225366] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11327), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [225502] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11329), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [225638] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11330), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [225774] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11417), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [225910] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11419), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [226046] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11502), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [226182] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11504), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [226318] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11505), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [226454] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11518), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [226590] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11528), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [226726] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11529), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [226862] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11534), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [226998] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11535), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [227134] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11599), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [227270] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11603), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [227406] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11660), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [227542] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11676), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [227678] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11678), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [227814] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11683), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [227950] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11684), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [228086] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11689), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [228222] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11691), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [228358] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11697), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [228494] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11766), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [228630] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11767), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [228766] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11846), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [228902] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11847), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [229038] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11851), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [229174] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11874), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [229310] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11877), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [229446] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11878), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [229582] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11882), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [229718] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11883), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [229854] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11965), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [229990] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11966), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [230126] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12050), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [230262] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12053), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [230398] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12055), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [230534] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12067), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [230670] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12070), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [230806] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12071), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [230942] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12075), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [231078] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12079), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [231214] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12157), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [231350] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12159), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [231486] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12223), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [231622] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12242), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [231758] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12247), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [231894] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12251), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [232030] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12253), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [232166] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12255), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [232302] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12259), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [232438] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12262), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [232574] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12327), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [232710] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12329), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [232846] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12408), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [232982] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12410), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [233118] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12411), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [233254] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12412), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [233390] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12417), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [233526] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12418), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [233662] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12419), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [233798] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12436), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [233934] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12520), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [234070] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12526), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [234206] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12643), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [234342] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12649), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [234478] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12654), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [234614] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12655), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [234750] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(12660), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [234886] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(12666), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [235022] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(12690), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [235158] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(12696), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [235294] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12787), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [235430] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12793), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [235566] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10870), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [235702] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10871), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [235838] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11066), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [235974] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11067), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [236110] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11239), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [236246] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11307), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [236382] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11324), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [236518] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11325), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [236654] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12485), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [236790] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12494), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [236926] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10468), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [237062] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10483), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [237198] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10484), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [237334] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10485), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [237470] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10493), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [237606] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10555), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [237742] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10567), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [237878] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10568), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [238014] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10751), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [238150] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10752), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [238286] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10872), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [238422] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10873), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [238558] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10884), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [238694] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10885), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [238830] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(10891), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [238966] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10899), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [239102] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(10900), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [239238] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(10921), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [239374] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11016), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [239510] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11032), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [239646] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11123), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [239782] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11149), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [239918] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11150), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [240054] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11151), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [240190] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11171), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [240326] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11172), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [240462] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11173), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [240598] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11174), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [240734] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11259), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [240870] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11260), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [241006] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11369), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [241142] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11377), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [241278] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11399), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [241414] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11411), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [241550] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11412), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [241686] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11413), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [241822] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11432), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [241958] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11433), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [242094] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11500), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [242230] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11501), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [242366] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11632), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [242502] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11633), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [242638] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11656), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [242774] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11657), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [242910] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11659), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [243046] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11662), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [243182] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11663), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [243318] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11664), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [243454] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11757), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [243590] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11786), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [243726] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11839), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [243862] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11841), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [243998] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11842), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [244134] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11843), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [244270] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    STATE(3304), 1,
      aux_sym__atoms,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6231), 1,
      sym_attributes,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(9952), 1,
      sym__with_exprs,
    STATE(11845), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8634), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [244406] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(11858), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [244542] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1230), 1,
      anon_sym_LPAREN,
    ACTIONS(1232), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_u2983,
    ACTIONS(1236), 1,
      anon_sym_LBRACE,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    STATE(3261), 1,
      aux_sym__atoms,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5614), 1,
      sym_atom,
    STATE(6259), 1,
      sym_attributes,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(9716), 1,
      sym__with_exprs,
    STATE(11869), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8688), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [244678] = 36,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1268), 1,
      anon_sym_LPAREN,
    ACTIONS(1270), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1272), 1,
      anon_sym_u2983,
    ACTIONS(1274), 1,
      anon_sym_LBRACE,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1278), 1,
      anon_sym_DOT,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    STATE(3209), 1,
      aux_sym__atoms,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5410), 1,
      sym_atom,
    STATE(6261), 1,
      sym_attributes,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9819), 1,
      sym__with_exprs,
    STATE(11879), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8661), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [244814] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12018), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [244950] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12023), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [245086] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12205), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [245222] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12206), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [245358] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12345), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [245494] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12349), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [245630] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12422), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [245766] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12424), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [245902] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12469), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [246038] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12471), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [246174] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12514), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [246310] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12521), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [246446] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12571), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [246582] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12572), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [246718] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12616), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [246854] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12618), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [246990] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12658), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [247126] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12661), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [247262] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12700), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [247398] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12702), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [247534] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12727), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [247670] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12729), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [247806] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12763), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [247942] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12768), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [248078] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10239), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [248214] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10240), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [248350] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10254), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [248486] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10255), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [248622] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10270), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [248758] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10271), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [248894] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10287), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [249030] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10288), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [249166] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10302), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [249302] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10303), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [249438] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10318), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [249574] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10319), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [249710] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10333), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [249846] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10334), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [249982] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10351), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [250118] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10352), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [250254] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10366), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [250390] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10367), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [250526] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10382), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [250662] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10383), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [250798] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10399), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [250934] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10400), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [251070] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10415), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [251206] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10416), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [251342] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10430), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [251478] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10431), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [251614] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10445), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [251750] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10447), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [251886] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10462), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [252022] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10463), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [252158] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10477), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [252294] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10478), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [252430] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10494), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [252566] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10495), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [252702] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10511), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [252838] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10512), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [252974] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10527), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [253110] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10528), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [253246] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10542), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [253382] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10543), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [253518] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10560), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [253654] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10561), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [253790] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10576), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [253926] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10577), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [254062] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10594), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [254198] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10595), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [254334] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10610), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [254470] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10611), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [254606] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10626), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [254742] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10627), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [254878] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10641), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [255014] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10642), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [255150] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10657), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [255286] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10659), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [255422] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10674), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [255558] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10675), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [255694] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10690), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [255830] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10691), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [255966] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10712), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [256102] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10713), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [256238] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10730), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [256374] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10732), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [256510] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10746), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [256646] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10748), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [256782] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10769), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [256918] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10771), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [257054] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10795), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [257190] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10796), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [257326] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10823), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [257462] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10824), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [257598] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10841), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [257734] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10842), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [257870] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10862), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [258006] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10863), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [258142] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10887), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [258278] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10888), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [258414] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10911), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [258550] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10913), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [258686] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10936), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [258822] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10937), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [258958] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10952), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [259094] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10958), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [259230] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10976), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [259366] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10977), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [259502] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11005), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [259638] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11006), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [259774] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11027), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [259910] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11028), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [260046] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11051), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [260182] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11053), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [260318] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11072), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [260454] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11073), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [260590] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11104), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [260726] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11105), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [260862] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11119), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [260998] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11120), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [261134] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11144), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [261270] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11145), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [261406] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11167), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [261542] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11168), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [261678] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11196), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [261814] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11197), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [261950] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11214), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [262086] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11221), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [262222] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11244), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [262358] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11245), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [262494] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11276), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [262630] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11278), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [262766] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11292), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [262902] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11293), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [263038] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11318), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [263174] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11320), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [263310] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11342), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [263446] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11349), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [263582] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11374), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [263718] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11375), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [263854] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11401), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [263990] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11402), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [264126] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11427), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [264262] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11428), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [264398] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11457), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [264534] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11458), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [264670] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11482), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [264806] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11485), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [264942] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11512), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [265078] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11515), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [265214] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11544), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [265350] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11545), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [265486] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11568), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [265622] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11569), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [265758] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11591), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [265894] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11592), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [266030] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11625), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [266166] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11626), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [266302] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11642), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [266438] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11648), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [266574] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11670), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [266710] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11671), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [266846] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11702), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [266982] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11703), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [267118] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11724), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [267254] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11725), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [267390] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11748), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [267526] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11751), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [267662] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11779), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [267798] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11780), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [267934] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11801), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [268070] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11804), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [268206] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11827), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [268342] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11830), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [268478] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11867), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [268614] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11870), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [268750] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11890), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [268886] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11891), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [269022] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11919), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [269158] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11923), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [269294] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11950), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [269430] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11951), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [269566] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11978), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [269702] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11979), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [269838] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12009), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [269974] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12010), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [270110] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12033), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [270246] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12034), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [270382] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12063), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [270518] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12065), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [270654] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12090), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [270790] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12091), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [270926] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12123), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [271062] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12127), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [271198] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12149), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [271334] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12150), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [271470] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12175), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [271606] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12179), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [271742] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12210), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [271878] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12211), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [272014] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12235), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [272150] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12239), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [272286] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12269), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [272422] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12270), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [272558] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12289), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [272694] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12290), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [272830] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12319), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [272966] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12321), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [273102] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12348), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [273238] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12350), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [273374] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12370), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [273510] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12375), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [273646] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12400), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [273782] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12401), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [273918] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12428), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [274054] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12430), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [274190] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12473), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [274326] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12474), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [274462] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12509), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [274598] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12510), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [274734] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12545), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [274870] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12547), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [275006] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12589), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [275142] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12594), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [275278] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12636), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [275414] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12637), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [275550] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12679), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [275686] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12684), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [275822] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12754), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [275958] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12755), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [276094] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12771), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [276230] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12777), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [276366] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12798), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [276502] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12801), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [276638] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12638), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [276774] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12804), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [276910] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10787), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [277046] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10791), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [277182] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11114), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [277318] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11180), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [277454] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11552), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [277590] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(11554), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [277726] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(11941), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [277862] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12139), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [277998] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(12541), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [278134] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(12548), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [278270] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10264), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [278406] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10276), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [278542] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10423), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [278678] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10437), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [278814] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10549), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [278950] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10553), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [279086] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2274), 1,
      anon_sym_LPAREN,
    ACTIONS(2276), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_u2983,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    STATE(3175), 1,
      aux_sym__atoms,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5666), 1,
      sym_atom,
    STATE(6262), 1,
      sym_attributes,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(9753), 1,
      sym__with_exprs,
    STATE(10617), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8658), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [279222] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2442), 1,
      anon_sym_LPAREN,
    ACTIONS(2444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2446), 1,
      anon_sym_u2983,
    ACTIONS(2448), 1,
      anon_sym_LBRACE,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2452), 1,
      anon_sym_DOT,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    STATE(3201), 1,
      aux_sym__atoms,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5588), 1,
      sym_atom,
    STATE(6263), 1,
      sym_attributes,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(9766), 1,
      sym__with_exprs,
    STATE(10645), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8685), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [279358] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(8994), 1,
      sym_expr,
    STATE(10220), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [279494] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(8943), 1,
      sym_expr,
    STATE(10220), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [279630] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2868), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_u2983,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2876), 1,
      anon_sym_DOT,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    STATE(3340), 1,
      aux_sym__atoms,
    STATE(3705), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4578), 1,
      sym_atom,
    STATE(6287), 1,
      sym_attributes,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    STATE(8994), 1,
      sym_expr,
    STATE(9443), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8639), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [279766] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2868), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_u2983,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2876), 1,
      anon_sym_DOT,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    STATE(3340), 1,
      aux_sym__atoms,
    STATE(3705), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4578), 1,
      sym_atom,
    STATE(6287), 1,
      sym_attributes,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    STATE(8943), 1,
      sym_expr,
    STATE(9443), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8639), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [279902] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2868), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_u2983,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2876), 1,
      anon_sym_DOT,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    STATE(3340), 1,
      aux_sym__atoms,
    STATE(3705), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4578), 1,
      sym_atom,
    STATE(6287), 1,
      sym_attributes,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym_expr,
    STATE(9443), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8639), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [280038] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2868), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_u2983,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2876), 1,
      anon_sym_DOT,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    STATE(3340), 1,
      aux_sym__atoms,
    STATE(3705), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4578), 1,
      sym_atom,
    STATE(6287), 1,
      sym_attributes,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    STATE(8939), 1,
      sym_expr,
    STATE(9443), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8639), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [280174] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2868), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_u2983,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2876), 1,
      anon_sym_DOT,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    STATE(3340), 1,
      aux_sym__atoms,
    STATE(3705), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4578), 1,
      sym_atom,
    STATE(6287), 1,
      sym_attributes,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    STATE(8947), 1,
      sym_expr,
    STATE(9443), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8639), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [280310] = 36,
    ACTIONS(758), 1,
      anon_sym_DOT_DOT,
    ACTIONS(760), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1178), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1184), 1,
      anon_sym_u2983,
    ACTIONS(1186), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1190), 1,
      anon_sym_DOT,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    STATE(3335), 1,
      aux_sym__atoms,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5286), 1,
      sym_atom,
    STATE(6003), 1,
      sym_attributes,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(10220), 1,
      sym__with_exprs,
    STATE(10480), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7686), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8678), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [280446] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3994), 1,
      anon_sym_let,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3653), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12397), 1,
      sym__binding_ids_and_absurds,
    STATE(12792), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10174), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [280583] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4000), 1,
      anon_sym_let,
    STATE(3447), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12095), 1,
      sym_open,
    STATE(12764), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10141), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [280720] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4000), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    STATE(3447), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12095), 1,
      sym_open,
    STATE(12764), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10141), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [280857] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2822), 1,
      sym_id,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2838), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2844), 1,
      anon_sym_DOT,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2850), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(2858), 1,
      anon_sym_Set,
    STATE(1520), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3314), 1,
      sym_catchall_pragma,
    STATE(3638), 1,
      aux_sym__atoms,
    STATE(4643), 1,
      sym_atom,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2826), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2856), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8954), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2832), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [280988] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4004), 1,
      anon_sym_let,
    STATE(3387), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12187), 1,
      sym__binding_ids_and_absurds,
    STATE(12352), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10202), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [281125] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4004), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    STATE(3387), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12187), 1,
      sym__binding_ids_and_absurds,
    STATE(12352), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10202), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [281262] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4008), 1,
      anon_sym_let,
    STATE(3516), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11661), 1,
      sym__binding_ids_and_absurds,
    STATE(11728), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10113), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [281399] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4008), 1,
      anon_sym_let,
    STATE(3516), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11661), 1,
      sym__binding_ids_and_absurds,
    STATE(11728), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10113), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [281536] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4010), 1,
      anon_sym_let,
    STATE(3519), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11813), 1,
      sym__binding_ids_and_absurds,
    STATE(11922), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10119), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [281673] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4010), 1,
      anon_sym_let,
    STATE(3519), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11813), 1,
      sym__binding_ids_and_absurds,
    STATE(11922), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10119), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [281810] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4012), 1,
      anon_sym_let,
    STATE(3359), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10868), 1,
      sym__binding_ids_and_absurds,
    STATE(11037), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10185), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [281947] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4012), 1,
      anon_sym_let,
    ACTIONS(4014), 1,
      anon_sym_RPAREN,
    STATE(3359), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10868), 1,
      sym__binding_ids_and_absurds,
    STATE(11037), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10185), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [282084] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(2782), 1,
      sym_id,
    ACTIONS(2788), 1,
      anon_sym_BSLASH,
    ACTIONS(2790), 1,
      anon_sym_u03bb,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2796), 1,
      anon_sym_LPAREN,
    ACTIONS(2798), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2800), 1,
      anon_sym_u2983,
    ACTIONS(2802), 1,
      anon_sym_LBRACE,
    ACTIONS(2804), 1,
      aux_sym__qid_token1,
    ACTIONS(2806), 1,
      anon_sym_DOT,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2810), 1,
      anon_sym_tactic,
    ACTIONS(2812), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2814), 1,
      anon_sym_u2987,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(2820), 1,
      anon_sym_Set,
    STATE(1567), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3216), 1,
      sym_catchall_pragma,
    STATE(3435), 1,
      aux_sym__atoms,
    STATE(5885), 1,
      sym_atom,
    STATE(8107), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2786), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2818), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8977), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5968), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [282215] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4016), 1,
      anon_sym_let,
    STATE(3379), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11785), 1,
      sym__binding_ids_and_absurds,
    STATE(11993), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10198), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [282352] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4016), 1,
      anon_sym_let,
    STATE(3379), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11785), 1,
      sym__binding_ids_and_absurds,
    STATE(11993), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10198), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [282489] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4018), 1,
      anon_sym_let,
    STATE(3471), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10548), 1,
      sym__binding_ids_and_absurds,
    STATE(11156), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10151), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [282626] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4018), 1,
      anon_sym_let,
    STATE(3471), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10548), 1,
      sym__binding_ids_and_absurds,
    STATE(11156), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10151), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [282763] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4020), 1,
      anon_sym_let,
    STATE(3391), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12354), 1,
      sym__binding_ids_and_absurds,
    STATE(12562), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10204), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [282900] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4020), 1,
      anon_sym_let,
    STATE(3391), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12354), 1,
      sym__binding_ids_and_absurds,
    STATE(12562), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10204), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [283037] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(2908), 1,
      sym_id,
    ACTIONS(2914), 1,
      anon_sym_record,
    ACTIONS(2916), 1,
      anon_sym_LPAREN,
    ACTIONS(2918), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2920), 1,
      anon_sym_u2983,
    ACTIONS(2922), 1,
      anon_sym_LBRACE,
    ACTIONS(2924), 1,
      aux_sym__qid_token1,
    ACTIONS(2926), 1,
      anon_sym_DOT,
    ACTIONS(2928), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2930), 1,
      anon_sym_u2987,
    ACTIONS(2934), 1,
      anon_sym_Set,
    STATE(1465), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3237), 1,
      sym_catchall_pragma,
    STATE(3499), 1,
      aux_sym__atoms,
    STATE(4164), 1,
      sym_atom,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2910), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2932), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4166), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8934), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4171), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2912), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [283168] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(3590), 1,
      sym_id,
    ACTIONS(3596), 1,
      anon_sym_record,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    ACTIONS(3600), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3602), 1,
      anon_sym_u2983,
    ACTIONS(3604), 1,
      anon_sym_LBRACE,
    ACTIONS(3606), 1,
      aux_sym__qid_token1,
    ACTIONS(3608), 1,
      anon_sym_DOT,
    ACTIONS(3610), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3612), 1,
      anon_sym_u2987,
    ACTIONS(3616), 1,
      anon_sym_Set,
    STATE(1597), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3289), 1,
      sym_catchall_pragma,
    STATE(3417), 1,
      aux_sym__atoms,
    STATE(4575), 1,
      sym_atom,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3592), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3614), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4519), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8977), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4459), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3594), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [283299] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2936), 1,
      sym_id,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2948), 1,
      anon_sym_record,
    ACTIONS(2950), 1,
      anon_sym_LPAREN,
    ACTIONS(2952), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2954), 1,
      anon_sym_u2983,
    ACTIONS(2956), 1,
      anon_sym_LBRACE,
    ACTIONS(2958), 1,
      aux_sym__qid_token1,
    ACTIONS(2960), 1,
      anon_sym_DOT,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2966), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2968), 1,
      anon_sym_u2987,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(2974), 1,
      anon_sym_Set,
    STATE(1547), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3176), 1,
      sym_catchall_pragma,
    STATE(3485), 1,
      aux_sym__atoms,
    STATE(5087), 1,
      sym_atom,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2940), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2972), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5205), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8991), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5202), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2946), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [283430] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3060), 1,
      sym_id,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3068), 1,
      anon_sym_record,
    ACTIONS(3070), 1,
      anon_sym_LPAREN,
    ACTIONS(3072), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3074), 1,
      anon_sym_u2983,
    ACTIONS(3076), 1,
      anon_sym_LBRACE,
    ACTIONS(3078), 1,
      aux_sym__qid_token1,
    ACTIONS(3080), 1,
      anon_sym_DOT,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(3084), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3086), 1,
      anon_sym_u2987,
    ACTIONS(3090), 1,
      anon_sym_Set,
    STATE(1567), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3196), 1,
      sym_catchall_pragma,
    STATE(3639), 1,
      aux_sym__atoms,
    STATE(5377), 1,
      sym_atom,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2786), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3088), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5561), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8977), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5558), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [283561] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(2716), 1,
      sym_id,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2728), 1,
      anon_sym_record,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    ACTIONS(2732), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2734), 1,
      anon_sym_u2983,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      aux_sym__qid_token1,
    ACTIONS(2740), 1,
      anon_sym_DOT,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2746), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2748), 1,
      anon_sym_u2987,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(2754), 1,
      anon_sym_Set,
    STATE(1505), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3177), 1,
      sym_catchall_pragma,
    STATE(3464), 1,
      aux_sym__atoms,
    STATE(4072), 1,
      sym_atom,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2720), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2752), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4080), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8934), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4078), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2726), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [283692] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2838), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2850), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2886), 1,
      sym_id,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2896), 1,
      aux_sym__qid_token1,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(2906), 1,
      anon_sym_Set,
    STATE(1534), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3159), 1,
      sym_catchall_pragma,
    STATE(3631), 1,
      aux_sym__atoms,
    STATE(4643), 1,
      sym_atom,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2856), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2890), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9445), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2832), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [283823] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4022), 1,
      anon_sym_let,
    STATE(3640), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11236), 1,
      sym__binding_ids_and_absurds,
    STATE(11310), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10099), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [283960] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4024), 1,
      anon_sym_let,
    STATE(3412), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10747), 1,
      sym__binding_ids_and_absurds,
    STATE(10867), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10077), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [284097] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4026), 1,
      anon_sym_let,
    STATE(3383), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11995), 1,
      sym__binding_ids_and_absurds,
    STATE(12182), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10200), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [284234] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4026), 1,
      anon_sym_let,
    STATE(3383), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11995), 1,
      sym__binding_ids_and_absurds,
    STATE(12182), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10200), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [284371] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4028), 1,
      anon_sym_let,
    STATE(3575), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12341), 1,
      sym__binding_ids_and_absurds,
    STATE(12466), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10129), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [284508] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4028), 1,
      anon_sym_let,
    STATE(3575), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12341), 1,
      sym__binding_ids_and_absurds,
    STATE(12466), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10129), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [284645] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4030), 1,
      anon_sym_let,
    STATE(3396), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10278), 1,
      sym_open,
    STATE(12563), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10206), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [284782] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4030), 1,
      anon_sym_let,
    STATE(3396), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10278), 1,
      sym_open,
    STATE(12563), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10206), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [284919] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2300), 1,
      sym_id,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2312), 1,
      anon_sym_record,
    ACTIONS(2314), 1,
      anon_sym_LPAREN,
    ACTIONS(2316), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2318), 1,
      anon_sym_u2983,
    ACTIONS(2320), 1,
      anon_sym_LBRACE,
    ACTIONS(2322), 1,
      aux_sym__qid_token1,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2330), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2332), 1,
      anon_sym_u2987,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(2338), 1,
      anon_sym_Set,
    STATE(1459), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3206), 1,
      sym_catchall_pragma,
    STATE(3553), 1,
      aux_sym__atoms,
    STATE(5693), 1,
      sym_atom,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2304), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2336), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5629), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8954), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5626), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2310), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [285050] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4014), 1,
      anon_sym_RPAREN,
    ACTIONS(4032), 1,
      anon_sym_let,
    STATE(3674), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11323), 1,
      sym__binding_ids_and_absurds,
    STATE(11397), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10102), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [285187] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4034), 1,
      anon_sym_let,
    STATE(3599), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11576), 1,
      sym__binding_ids_and_absurds,
    STATE(12162), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10168), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [285324] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4034), 1,
      anon_sym_let,
    STATE(3599), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11576), 1,
      sym__binding_ids_and_absurds,
    STATE(12162), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10168), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [285461] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4032), 1,
      anon_sym_let,
    STATE(3674), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11323), 1,
      sym__binding_ids_and_absurds,
    STATE(11397), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10102), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [285598] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4022), 1,
      anon_sym_let,
    STATE(3640), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11236), 1,
      sym__binding_ids_and_absurds,
    STATE(11310), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10099), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [285735] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4036), 1,
      anon_sym_let,
    STATE(3426), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11938), 1,
      sym__binding_ids_and_absurds,
    STATE(12057), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10123), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [285872] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4014), 1,
      anon_sym_RPAREN,
    ACTIONS(4036), 1,
      anon_sym_let,
    STATE(3426), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11938), 1,
      sym__binding_ids_and_absurds,
    STATE(12057), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10123), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [286009] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4038), 1,
      anon_sym_let,
    STATE(3687), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10387), 1,
      sym__binding_ids_and_absurds,
    STATE(10517), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10179), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [286146] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4038), 1,
      anon_sym_let,
    STATE(3687), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10387), 1,
      sym__binding_ids_and_absurds,
    STATE(10517), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10179), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [286283] = 34,
    ACTIONS(4040), 1,
      sym_id,
    ACTIONS(4049), 1,
      anon_sym_BSLASH,
    ACTIONS(4052), 1,
      anon_sym_u03bb,
    ACTIONS(4058), 1,
      anon_sym_record,
    ACTIONS(4061), 1,
      anon_sym_LPAREN,
    ACTIONS(4064), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4067), 1,
      anon_sym_u2983,
    ACTIONS(4070), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(4073), 1,
      anon_sym_LBRACE,
    ACTIONS(4076), 1,
      aux_sym__qid_token1,
    ACTIONS(4079), 1,
      anon_sym_DOT,
    ACTIONS(4082), 1,
      anon_sym_quoteGoal,
    ACTIONS(4085), 1,
      anon_sym_tactic,
    ACTIONS(4088), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4091), 1,
      anon_sym_u2987,
    ACTIONS(4094), 1,
      anon_sym_let,
    ACTIONS(4097), 1,
      anon_sym_do,
    ACTIONS(4103), 1,
      anon_sym_Set,
    STATE(1433), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3318), 1,
      sym_catchall_pragma,
    STATE(3617), 1,
      aux_sym__atoms,
    STATE(5957), 1,
      sym_atom,
    STATE(8075), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(4043), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4046), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(4100), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5741), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(10436), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5737), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(4055), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [286414] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(3302), 1,
      sym_id,
    ACTIONS(3304), 1,
      anon_sym_BSLASH,
    ACTIONS(3306), 1,
      anon_sym_u03bb,
    ACTIONS(3310), 1,
      anon_sym_record,
    ACTIONS(3312), 1,
      anon_sym_LPAREN,
    ACTIONS(3314), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3316), 1,
      anon_sym_u2983,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(3320), 1,
      aux_sym__qid_token1,
    ACTIONS(3322), 1,
      anon_sym_DOT,
    ACTIONS(3324), 1,
      anon_sym_tactic,
    ACTIONS(3326), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3328), 1,
      anon_sym_u2987,
    ACTIONS(3332), 1,
      anon_sym_Set,
    STATE(1547), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3281), 1,
      sym_catchall_pragma,
    STATE(3580), 1,
      aux_sym__atoms,
    STATE(5465), 1,
      sym_atom,
    STATE(8144), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2940), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3330), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5589), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8991), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5523), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3308), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [286545] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4106), 1,
      anon_sym_let,
    STATE(3421), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10777), 1,
      sym_open,
    STATE(12742), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10210), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [286682] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4106), 1,
      anon_sym_let,
    STATE(3421), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10777), 1,
      sym_open,
    STATE(12742), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10210), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [286819] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(3656), 1,
      sym_id,
    ACTIONS(3662), 1,
      anon_sym_record,
    ACTIONS(3664), 1,
      anon_sym_LPAREN,
    ACTIONS(3666), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3668), 1,
      anon_sym_u2983,
    ACTIONS(3670), 1,
      anon_sym_LBRACE,
    ACTIONS(3672), 1,
      aux_sym__qid_token1,
    ACTIONS(3674), 1,
      anon_sym_DOT,
    ACTIONS(3676), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3678), 1,
      anon_sym_u2987,
    ACTIONS(3682), 1,
      anon_sym_Set,
    STATE(1607), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3203), 1,
      sym_catchall_pragma,
    STATE(3605), 1,
      aux_sym__atoms,
    STATE(4402), 1,
      sym_atom,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3658), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3680), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4320), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8977), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4317), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3660), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [286950] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2936), 1,
      sym_id,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2948), 1,
      anon_sym_record,
    ACTIONS(2950), 1,
      anon_sym_LPAREN,
    ACTIONS(2952), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2954), 1,
      anon_sym_u2983,
    ACTIONS(2956), 1,
      anon_sym_LBRACE,
    ACTIONS(2958), 1,
      aux_sym__qid_token1,
    ACTIONS(2960), 1,
      anon_sym_DOT,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2966), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2968), 1,
      anon_sym_u2987,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(2974), 1,
      anon_sym_Set,
    STATE(1547), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3176), 1,
      sym_catchall_pragma,
    STATE(3485), 1,
      aux_sym__atoms,
    STATE(5087), 1,
      sym_atom,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2940), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2972), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5205), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8954), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5202), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2946), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [287081] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4108), 1,
      anon_sym_let,
    STATE(3624), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12492), 1,
      sym__binding_ids_and_absurds,
    STATE(12780), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10132), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [287218] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4108), 1,
      anon_sym_let,
    STATE(3624), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12492), 1,
      sym__binding_ids_and_absurds,
    STATE(12780), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10132), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [287355] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(3816), 1,
      sym_id,
    ACTIONS(3822), 1,
      anon_sym_record,
    ACTIONS(3824), 1,
      anon_sym_LPAREN,
    ACTIONS(3826), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3828), 1,
      anon_sym_u2983,
    ACTIONS(3830), 1,
      anon_sym_LBRACE,
    ACTIONS(3832), 1,
      aux_sym__qid_token1,
    ACTIONS(3834), 1,
      anon_sym_DOT,
    ACTIONS(3836), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3838), 1,
      anon_sym_u2987,
    ACTIONS(3842), 1,
      anon_sym_Set,
    STATE(1637), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3163), 1,
      sym_catchall_pragma,
    STATE(3418), 1,
      aux_sym__atoms,
    STATE(4582), 1,
      sym_atom,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3818), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3840), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4457), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8977), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4439), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3820), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [287486] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4110), 1,
      anon_sym_let,
    STATE(3607), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11148), 1,
      sym__binding_ids_and_absurds,
    STATE(11223), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10096), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [287623] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4112), 1,
      anon_sym_let,
    STATE(3614), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12281), 1,
      sym__binding_ids_and_absurds,
    STATE(12632), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10170), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [287760] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4112), 1,
      anon_sym_let,
    STATE(3614), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12281), 1,
      sym__binding_ids_and_absurds,
    STATE(12632), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10170), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [287897] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4114), 1,
      anon_sym_let,
    STATE(3407), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10729), 1,
      sym__binding_ids_and_absurds,
    STATE(12741), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10208), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [288034] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4114), 1,
      anon_sym_let,
    STATE(3407), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10729), 1,
      sym__binding_ids_and_absurds,
    STATE(12741), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10208), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [288171] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4110), 1,
      anon_sym_let,
    STATE(3607), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11148), 1,
      sym__binding_ids_and_absurds,
    STATE(11223), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10096), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [288308] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(2468), 1,
      sym_id,
    ACTIONS(2472), 1,
      anon_sym_record,
    ACTIONS(2474), 1,
      anon_sym_LPAREN,
    ACTIONS(2476), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2478), 1,
      anon_sym_u2983,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    ACTIONS(2482), 1,
      aux_sym__qid_token1,
    ACTIONS(2484), 1,
      anon_sym_DOT,
    ACTIONS(2486), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2488), 1,
      anon_sym_u2987,
    ACTIONS(2492), 1,
      anon_sym_Set,
    STATE(1416), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3262), 1,
      sym_catchall_pragma,
    STATE(3401), 1,
      aux_sym__atoms,
    STATE(5539), 1,
      sym_atom,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(684), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2490), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5429), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8954), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5422), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9450), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2470), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [288439] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4116), 1,
      anon_sym_let,
    STATE(3430), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10779), 1,
      sym__binding_ids_and_absurds,
    STATE(11064), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10212), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [288576] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4116), 1,
      anon_sym_let,
    STATE(3430), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10779), 1,
      sym__binding_ids_and_absurds,
    STATE(11064), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10212), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [288713] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1980), 1,
      sym_id,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(1992), 1,
      anon_sym_record,
    ACTIONS(1994), 1,
      anon_sym_LPAREN,
    ACTIONS(1996), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1998), 1,
      anon_sym_u2983,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(2002), 1,
      aux_sym__qid_token1,
    ACTIONS(2004), 1,
      anon_sym_DOT,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2010), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2012), 1,
      anon_sym_u2987,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(2018), 1,
      anon_sym_Set,
    STATE(1433), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3316), 1,
      sym_catchall_pragma,
    STATE(3645), 1,
      aux_sym__atoms,
    STATE(5301), 1,
      sym_atom,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1984), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2016), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5060), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8991), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5058), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1990), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [288844] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4118), 1,
      anon_sym_let,
    STATE(3445), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12073), 1,
      sym__binding_ids_and_absurds,
    STATE(12186), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10125), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [288981] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4118), 1,
      anon_sym_let,
    STATE(3445), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12073), 1,
      sym__binding_ids_and_absurds,
    STATE(12186), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10125), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [289118] = 34,
    ACTIONS(686), 1,
      anon_sym_BSLASH,
    ACTIONS(688), 1,
      anon_sym_u03bb,
    ACTIONS(692), 1,
      anon_sym_record,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(698), 1,
      anon_sym_u2983,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      anon_sym_DOT,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(716), 1,
      anon_sym_tactic,
    ACTIONS(718), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(720), 1,
      anon_sym_u2987,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(728), 1,
      anon_sym_Set,
    ACTIONS(3184), 1,
      sym_id,
    ACTIONS(3190), 1,
      aux_sym__qid_token1,
    STATE(1557), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3303), 1,
      sym_catchall_pragma,
    STATE(3438), 1,
      aux_sym__atoms,
    STATE(5140), 1,
      sym_atom,
    STATE(8123), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(726), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(3004), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5353), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8954), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4924), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9450), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(690), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [289249] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2838), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2850), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2886), 1,
      sym_id,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2896), 1,
      aux_sym__qid_token1,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(2906), 1,
      anon_sym_Set,
    STATE(1534), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3159), 1,
      sym_catchall_pragma,
    STATE(3631), 1,
      aux_sym__atoms,
    STATE(4643), 1,
      sym_atom,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2856), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2890), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9418), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2832), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [289380] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4120), 1,
      anon_sym_let,
    STATE(3488), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11284), 1,
      sym__binding_ids_and_absurds,
    STATE(12298), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10153), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [289517] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4120), 1,
      anon_sym_let,
    STATE(3488), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11284), 1,
      sym__binding_ids_and_absurds,
    STATE(12298), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10153), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [289654] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(3002), 1,
      sym_id,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3012), 1,
      anon_sym_record,
    ACTIONS(3014), 1,
      anon_sym_LPAREN,
    ACTIONS(3016), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3018), 1,
      anon_sym_u2983,
    ACTIONS(3020), 1,
      anon_sym_LBRACE,
    ACTIONS(3022), 1,
      anon_sym_DOT,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(3026), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3028), 1,
      anon_sym_u2987,
    ACTIONS(3032), 1,
      anon_sym_Set,
    STATE(1557), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3185), 1,
      sym_catchall_pragma,
    STATE(3562), 1,
      aux_sym__atoms,
    STATE(5355), 1,
      sym_atom,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3004), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3030), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5150), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8954), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5143), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9450), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3010), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [289785] = 34,
    ACTIONS(692), 1,
      anon_sym_record,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(698), 1,
      anon_sym_u2983,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      anon_sym_DOT,
    ACTIONS(718), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(720), 1,
      anon_sym_u2987,
    ACTIONS(728), 1,
      anon_sym_Set,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(3184), 1,
      sym_id,
    ACTIONS(3186), 1,
      anon_sym_BSLASH,
    ACTIONS(3188), 1,
      anon_sym_u03bb,
    ACTIONS(3190), 1,
      aux_sym__qid_token1,
    ACTIONS(3192), 1,
      anon_sym_tactic,
    STATE(1520), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3240), 1,
      sym_catchall_pragma,
    STATE(3494), 1,
      aux_sym__atoms,
    STATE(5140), 1,
      sym_atom,
    STATE(8063), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(726), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2826), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5353), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8991), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4924), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(690), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [289916] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4122), 1,
      anon_sym_let,
    STATE(3441), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11065), 1,
      sym__binding_ids_and_absurds,
    STATE(11295), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10214), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [290053] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4122), 1,
      anon_sym_let,
    STATE(3441), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11065), 1,
      sym__binding_ids_and_absurds,
    STATE(11295), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10214), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [290190] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4124), 1,
      anon_sym_let,
    STATE(3633), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10717), 1,
      sym__binding_ids_and_absurds,
    STATE(12295), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10172), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [290327] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4124), 1,
      anon_sym_let,
    STATE(3633), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10717), 1,
      sym__binding_ids_and_absurds,
    STATE(12295), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10172), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [290464] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(3844), 1,
      sym_id,
    ACTIONS(3850), 1,
      anon_sym_record,
    ACTIONS(3852), 1,
      anon_sym_LPAREN,
    ACTIONS(3854), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3856), 1,
      anon_sym_u2983,
    ACTIONS(3858), 1,
      anon_sym_LBRACE,
    ACTIONS(3860), 1,
      aux_sym__qid_token1,
    ACTIONS(3862), 1,
      anon_sym_DOT,
    ACTIONS(3864), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3866), 1,
      anon_sym_u2987,
    ACTIONS(3870), 1,
      anon_sym_Set,
    STATE(1647), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3226), 1,
      sym_catchall_pragma,
    STATE(3543), 1,
      aux_sym__atoms,
    STATE(4405), 1,
      sym_atom,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3846), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3868), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4296), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8977), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4295), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3848), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [290595] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2624), 1,
      sym_id,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2636), 1,
      anon_sym_record,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(2640), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2642), 1,
      anon_sym_u2983,
    ACTIONS(2644), 1,
      anon_sym_LBRACE,
    ACTIONS(2646), 1,
      aux_sym__qid_token1,
    ACTIONS(2648), 1,
      anon_sym_DOT,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2654), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2656), 1,
      anon_sym_u2987,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(2662), 1,
      anon_sym_Set,
    STATE(1486), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3157), 1,
      sym_catchall_pragma,
    STATE(3648), 1,
      aux_sym__atoms,
    STATE(5590), 1,
      sym_atom,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2628), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2660), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5378), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8991), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5374), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2634), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [290726] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(3722), 1,
      sym_id,
    ACTIONS(3728), 1,
      anon_sym_record,
    ACTIONS(3730), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3734), 1,
      anon_sym_u2983,
    ACTIONS(3736), 1,
      anon_sym_LBRACE,
    ACTIONS(3738), 1,
      aux_sym__qid_token1,
    ACTIONS(3740), 1,
      anon_sym_DOT,
    ACTIONS(3742), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3744), 1,
      anon_sym_u2987,
    ACTIONS(3748), 1,
      anon_sym_Set,
    STATE(1617), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3283), 1,
      sym_catchall_pragma,
    STATE(3402), 1,
      aux_sym__atoms,
    STATE(5511), 1,
      sym_atom,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3724), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3746), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5688), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8991), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5600), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3726), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [290857] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(2468), 1,
      sym_id,
    ACTIONS(2472), 1,
      anon_sym_record,
    ACTIONS(2474), 1,
      anon_sym_LPAREN,
    ACTIONS(2476), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2478), 1,
      anon_sym_u2983,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    ACTIONS(2482), 1,
      aux_sym__qid_token1,
    ACTIONS(2484), 1,
      anon_sym_DOT,
    ACTIONS(2486), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2488), 1,
      anon_sym_u2987,
    ACTIONS(2492), 1,
      anon_sym_Set,
    STATE(1416), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3262), 1,
      sym_catchall_pragma,
    STATE(3401), 1,
      aux_sym__atoms,
    STATE(5539), 1,
      sym_atom,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(684), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2490), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5429), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8991), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5422), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9450), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2470), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [290988] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4126), 1,
      anon_sym_let,
    STATE(3655), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11410), 1,
      sym__binding_ids_and_absurds,
    STATE(11484), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10104), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [291125] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4126), 1,
      anon_sym_let,
    STATE(3655), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11410), 1,
      sym__binding_ids_and_absurds,
    STATE(11484), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10104), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [291262] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4128), 1,
      anon_sym_let,
    STATE(3672), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12454), 1,
      sym_open,
    STATE(12788), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10136), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [291399] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4014), 1,
      anon_sym_RPAREN,
    ACTIONS(4128), 1,
      anon_sym_let,
    STATE(3672), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12454), 1,
      sym_open,
    STATE(12788), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10136), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [291536] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4130), 1,
      anon_sym_let,
    STATE(3454), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11298), 1,
      sym__binding_ids_and_absurds,
    STATE(11522), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10216), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [291673] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4130), 1,
      anon_sym_let,
    STATE(3454), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11298), 1,
      sym__binding_ids_and_absurds,
    STATE(11522), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10216), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [291810] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4132), 1,
      anon_sym_let,
    STATE(3512), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12395), 1,
      sym_open,
    STATE(12708), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10155), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [291947] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4132), 1,
      anon_sym_let,
    STATE(3512), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12395), 1,
      sym_open,
    STATE(12708), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10155), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [292084] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2558), 1,
      sym_id,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2570), 1,
      anon_sym_record,
    ACTIONS(2572), 1,
      anon_sym_LPAREN,
    ACTIONS(2574), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2576), 1,
      anon_sym_u2983,
    ACTIONS(2578), 1,
      anon_sym_LBRACE,
    ACTIONS(2580), 1,
      aux_sym__qid_token1,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2588), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2590), 1,
      anon_sym_u2987,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(2596), 1,
      anon_sym_Set,
    STATE(1472), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3317), 1,
      sym_catchall_pragma,
    STATE(3541), 1,
      aux_sym__atoms,
    STATE(5395), 1,
      sym_atom,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2562), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2594), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5359), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8954), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5727), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2568), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [292215] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3118), 1,
      sym_id,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3130), 1,
      anon_sym_record,
    ACTIONS(3132), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3136), 1,
      anon_sym_u2983,
    ACTIONS(3138), 1,
      anon_sym_LBRACE,
    ACTIONS(3140), 1,
      aux_sym__qid_token1,
    ACTIONS(3142), 1,
      anon_sym_DOT,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3148), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3150), 1,
      anon_sym_u2987,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(3156), 1,
      anon_sym_Set,
    STATE(1577), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3204), 1,
      sym_catchall_pragma,
    STATE(3356), 1,
      aux_sym__atoms,
    STATE(5148), 1,
      sym_atom,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3122), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3154), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5014), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8977), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4982), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3128), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [292346] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(3788), 1,
      sym_id,
    ACTIONS(3794), 1,
      anon_sym_record,
    ACTIONS(3796), 1,
      anon_sym_LPAREN,
    ACTIONS(3798), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3800), 1,
      anon_sym_u2983,
    ACTIONS(3802), 1,
      anon_sym_LBRACE,
    ACTIONS(3804), 1,
      aux_sym__qid_token1,
    ACTIONS(3806), 1,
      anon_sym_DOT,
    ACTIONS(3808), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3810), 1,
      anon_sym_u2987,
    ACTIONS(3814), 1,
      anon_sym_Set,
    STATE(1627), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3142), 1,
      sym_catchall_pragma,
    STATE(3603), 1,
      aux_sym__atoms,
    STATE(5232), 1,
      sym_atom,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3790), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3812), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4928), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8977), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4922), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [292477] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1980), 1,
      sym_id,
    ACTIONS(1992), 1,
      anon_sym_record,
    ACTIONS(1994), 1,
      anon_sym_LPAREN,
    ACTIONS(1996), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1998), 1,
      anon_sym_u2983,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(2002), 1,
      aux_sym__qid_token1,
    ACTIONS(2004), 1,
      anon_sym_DOT,
    ACTIONS(2010), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2012), 1,
      anon_sym_u2987,
    ACTIONS(2018), 1,
      anon_sym_Set,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    STATE(1445), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3183), 1,
      sym_catchall_pragma,
    STATE(3452), 1,
      aux_sym__atoms,
    STATE(5301), 1,
      sym_atom,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2016), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2250), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5060), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9445), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5058), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1990), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [292608] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3060), 1,
      sym_id,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3068), 1,
      anon_sym_record,
    ACTIONS(3070), 1,
      anon_sym_LPAREN,
    ACTIONS(3072), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3074), 1,
      anon_sym_u2983,
    ACTIONS(3076), 1,
      anon_sym_LBRACE,
    ACTIONS(3078), 1,
      aux_sym__qid_token1,
    ACTIONS(3080), 1,
      anon_sym_DOT,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(3084), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3086), 1,
      anon_sym_u2987,
    ACTIONS(3090), 1,
      anon_sym_Set,
    STATE(1567), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3196), 1,
      sym_catchall_pragma,
    STATE(3639), 1,
      aux_sym__atoms,
    STATE(5377), 1,
      sym_atom,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2786), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3088), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5561), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8934), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5558), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [292739] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4134), 1,
      anon_sym_let,
    STATE(3524), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12202), 1,
      sym__binding_ids_and_absurds,
    STATE(12317), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10127), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [292876] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4134), 1,
      anon_sym_let,
    STATE(3524), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12202), 1,
      sym__binding_ids_and_absurds,
    STATE(12317), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10127), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [293013] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4136), 1,
      anon_sym_let,
    STATE(3466), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11551), 1,
      sym__binding_ids_and_absurds,
    STATE(11814), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10218), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [293150] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4136), 1,
      anon_sym_let,
    STATE(3466), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11551), 1,
      sym__binding_ids_and_absurds,
    STATE(11814), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10218), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [293287] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(3002), 1,
      sym_id,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3012), 1,
      anon_sym_record,
    ACTIONS(3014), 1,
      anon_sym_LPAREN,
    ACTIONS(3016), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3018), 1,
      anon_sym_u2983,
    ACTIONS(3020), 1,
      anon_sym_LBRACE,
    ACTIONS(3022), 1,
      anon_sym_DOT,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(3026), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3028), 1,
      anon_sym_u2987,
    ACTIONS(3032), 1,
      anon_sym_Set,
    STATE(1557), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3185), 1,
      sym_catchall_pragma,
    STATE(3562), 1,
      aux_sym__atoms,
    STATE(5355), 1,
      sym_atom,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3004), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3030), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5150), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8991), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5143), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9450), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3010), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [293418] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(3900), 1,
      sym_id,
    ACTIONS(3902), 1,
      anon_sym_BSLASH,
    ACTIONS(3904), 1,
      anon_sym_u03bb,
    ACTIONS(3908), 1,
      anon_sym_record,
    ACTIONS(3910), 1,
      anon_sym_LPAREN,
    ACTIONS(3912), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3914), 1,
      anon_sym_u2983,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    ACTIONS(3918), 1,
      aux_sym__qid_token1,
    ACTIONS(3920), 1,
      anon_sym_DOT,
    ACTIONS(3922), 1,
      anon_sym_tactic,
    ACTIONS(3924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3926), 1,
      anon_sym_u2987,
    ACTIONS(3930), 1,
      anon_sym_Set,
    STATE(1416), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3147), 1,
      sym_catchall_pragma,
    STATE(3665), 1,
      aux_sym__atoms,
    STATE(5957), 1,
      sym_atom,
    STATE(8136), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(684), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3928), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5741), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8991), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5737), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9450), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3906), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [293549] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(3872), 1,
      sym_id,
    ACTIONS(3878), 1,
      anon_sym_record,
    ACTIONS(3880), 1,
      anon_sym_LPAREN,
    ACTIONS(3882), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3884), 1,
      anon_sym_u2983,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(3888), 1,
      aux_sym__qid_token1,
    ACTIONS(3890), 1,
      anon_sym_DOT,
    ACTIONS(3892), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3894), 1,
      anon_sym_u2987,
    ACTIONS(3898), 1,
      anon_sym_Set,
    STATE(1657), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3263), 1,
      sym_catchall_pragma,
    STATE(3484), 1,
      aux_sym__atoms,
    STATE(4250), 1,
      sym_atom,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3874), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3896), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4199), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8977), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4197), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3876), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [293680] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(3932), 1,
      sym_id,
    ACTIONS(3938), 1,
      anon_sym_record,
    ACTIONS(3940), 1,
      anon_sym_LPAREN,
    ACTIONS(3942), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3944), 1,
      anon_sym_u2983,
    ACTIONS(3946), 1,
      anon_sym_LBRACE,
    ACTIONS(3948), 1,
      aux_sym__qid_token1,
    ACTIONS(3950), 1,
      anon_sym_DOT,
    ACTIONS(3952), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3954), 1,
      anon_sym_u2987,
    ACTIONS(3958), 1,
      anon_sym_Set,
    STATE(1667), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3288), 1,
      sym_catchall_pragma,
    STATE(3704), 1,
      aux_sym__atoms,
    STATE(4649), 1,
      sym_atom,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3934), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3956), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4887), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8977), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4886), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3936), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [293811] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4138), 1,
      anon_sym_let,
    STATE(3520), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10375), 1,
      sym_open,
    STATE(12626), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10158), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [293948] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4138), 1,
      anon_sym_let,
    STATE(3520), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10375), 1,
      sym_open,
    STATE(12626), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10158), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [294085] = 34,
    ACTIONS(686), 1,
      anon_sym_BSLASH,
    ACTIONS(688), 1,
      anon_sym_u03bb,
    ACTIONS(692), 1,
      anon_sym_record,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(698), 1,
      anon_sym_u2983,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      anon_sym_DOT,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(716), 1,
      anon_sym_tactic,
    ACTIONS(718), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(720), 1,
      anon_sym_u2987,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(728), 1,
      anon_sym_Set,
    ACTIONS(3184), 1,
      sym_id,
    ACTIONS(3190), 1,
      aux_sym__qid_token1,
    STATE(1557), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3303), 1,
      sym_catchall_pragma,
    STATE(3438), 1,
      aux_sym__atoms,
    STATE(5140), 1,
      sym_atom,
    STATE(8123), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(726), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(3004), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5353), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8991), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4924), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9450), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(690), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [294216] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3118), 1,
      sym_id,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3130), 1,
      anon_sym_record,
    ACTIONS(3132), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3136), 1,
      anon_sym_u2983,
    ACTIONS(3138), 1,
      anon_sym_LBRACE,
    ACTIONS(3140), 1,
      aux_sym__qid_token1,
    ACTIONS(3142), 1,
      anon_sym_DOT,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3148), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3150), 1,
      anon_sym_u2987,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(3156), 1,
      anon_sym_Set,
    STATE(1577), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3204), 1,
      sym_catchall_pragma,
    STATE(3356), 1,
      aux_sym__atoms,
    STATE(5148), 1,
      sym_atom,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3122), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3154), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5014), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8934), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4982), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3128), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [294347] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4140), 1,
      anon_sym_let,
    STATE(3666), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10245), 1,
      sym__binding_ids_and_absurds,
    STATE(10361), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10177), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [294484] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4140), 1,
      anon_sym_let,
    STATE(3666), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10245), 1,
      sym__binding_ids_and_absurds,
    STATE(10361), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10177), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [294621] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2822), 1,
      sym_id,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2838), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2844), 1,
      anon_sym_DOT,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2850), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(2858), 1,
      anon_sym_Set,
    STATE(1520), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3314), 1,
      sym_catchall_pragma,
    STATE(3638), 1,
      aux_sym__atoms,
    STATE(4643), 1,
      sym_atom,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2826), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2856), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8991), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2832), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [294752] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(2782), 1,
      sym_id,
    ACTIONS(2788), 1,
      anon_sym_BSLASH,
    ACTIONS(2790), 1,
      anon_sym_u03bb,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2796), 1,
      anon_sym_LPAREN,
    ACTIONS(2798), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2800), 1,
      anon_sym_u2983,
    ACTIONS(2802), 1,
      anon_sym_LBRACE,
    ACTIONS(2804), 1,
      aux_sym__qid_token1,
    ACTIONS(2806), 1,
      anon_sym_DOT,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2810), 1,
      anon_sym_tactic,
    ACTIONS(2812), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2814), 1,
      anon_sym_u2987,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(2820), 1,
      anon_sym_Set,
    STATE(1567), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3216), 1,
      sym_catchall_pragma,
    STATE(3435), 1,
      aux_sym__atoms,
    STATE(5885), 1,
      sym_atom,
    STATE(8107), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2786), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2818), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8934), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5968), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [294883] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4142), 1,
      anon_sym_let,
    STATE(3509), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11492), 1,
      sym__binding_ids_and_absurds,
    STATE(11571), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10108), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [295020] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4142), 1,
      anon_sym_let,
    STATE(3509), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11492), 1,
      sym__binding_ids_and_absurds,
    STATE(11571), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10108), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [295157] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4000), 1,
      anon_sym_let,
    STATE(3447), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12095), 1,
      sym_open,
    STATE(12764), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10141), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [295294] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4000), 1,
      anon_sym_let,
    ACTIONS(4014), 1,
      anon_sym_RPAREN,
    STATE(3447), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12095), 1,
      sym_open,
    STATE(12764), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10141), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [295431] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(2716), 1,
      sym_id,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2728), 1,
      anon_sym_record,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    ACTIONS(2732), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2734), 1,
      anon_sym_u2983,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      aux_sym__qid_token1,
    ACTIONS(2740), 1,
      anon_sym_DOT,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2746), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2748), 1,
      anon_sym_u2987,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(2754), 1,
      anon_sym_Set,
    STATE(1505), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3177), 1,
      sym_catchall_pragma,
    STATE(3464), 1,
      aux_sym__atoms,
    STATE(4072), 1,
      sym_atom,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2720), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2752), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4080), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8977), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4078), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2726), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [295562] = 34,
    ACTIONS(692), 1,
      anon_sym_record,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(698), 1,
      anon_sym_u2983,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      anon_sym_DOT,
    ACTIONS(718), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(720), 1,
      anon_sym_u2987,
    ACTIONS(728), 1,
      anon_sym_Set,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(3184), 1,
      sym_id,
    ACTIONS(3186), 1,
      anon_sym_BSLASH,
    ACTIONS(3188), 1,
      anon_sym_u03bb,
    ACTIONS(3190), 1,
      aux_sym__qid_token1,
    ACTIONS(3192), 1,
      anon_sym_tactic,
    STATE(1520), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3240), 1,
      sym_catchall_pragma,
    STATE(3494), 1,
      aux_sym__atoms,
    STATE(5140), 1,
      sym_atom,
    STATE(8063), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(726), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2826), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5353), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8954), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4924), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(690), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [295693] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4144), 1,
      anon_sym_let,
    STATE(3564), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10697), 1,
      sym__binding_ids_and_absurds,
    STATE(10991), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10164), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [295830] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4144), 1,
      anon_sym_let,
    STATE(3564), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10697), 1,
      sym__binding_ids_and_absurds,
    STATE(10991), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10164), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [295967] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4146), 1,
      anon_sym_let,
    STATE(3647), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11256), 1,
      sym__binding_ids_and_absurds,
    STATE(12019), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10138), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [296104] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4148), 1,
      anon_sym_let,
    STATE(3363), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11063), 1,
      sym__binding_ids_and_absurds,
    STATE(11229), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10187), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [296241] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4148), 1,
      anon_sym_let,
    STATE(3363), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11063), 1,
      sym__binding_ids_and_absurds,
    STATE(11229), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10187), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [296378] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4146), 1,
      anon_sym_let,
    STATE(3647), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11256), 1,
      sym__binding_ids_and_absurds,
    STATE(12019), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10138), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [296515] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1980), 1,
      sym_id,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(1992), 1,
      anon_sym_record,
    ACTIONS(1994), 1,
      anon_sym_LPAREN,
    ACTIONS(1996), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1998), 1,
      anon_sym_u2983,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(2002), 1,
      aux_sym__qid_token1,
    ACTIONS(2004), 1,
      anon_sym_DOT,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2010), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2012), 1,
      anon_sym_u2987,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(2018), 1,
      anon_sym_Set,
    STATE(1433), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3316), 1,
      sym_catchall_pragma,
    STATE(3645), 1,
      aux_sym__atoms,
    STATE(5301), 1,
      sym_atom,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1984), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2016), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5060), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8954), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5058), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1990), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [296646] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(3232), 1,
      sym_id,
    ACTIONS(3234), 1,
      anon_sym_BSLASH,
    ACTIONS(3236), 1,
      anon_sym_u03bb,
    ACTIONS(3240), 1,
      anon_sym_record,
    ACTIONS(3242), 1,
      anon_sym_LPAREN,
    ACTIONS(3244), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3246), 1,
      anon_sym_u2983,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3250), 1,
      aux_sym__qid_token1,
    ACTIONS(3252), 1,
      anon_sym_DOT,
    ACTIONS(3254), 1,
      anon_sym_tactic,
    ACTIONS(3256), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3258), 1,
      anon_sym_u2987,
    ACTIONS(3262), 1,
      anon_sym_Set,
    STATE(1534), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3260), 1,
      sym_catchall_pragma,
    STATE(3538), 1,
      aux_sym__atoms,
    STATE(5461), 1,
      sym_atom,
    STATE(8112), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2890), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3260), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5393), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9445), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5591), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3238), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [296777] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2624), 1,
      sym_id,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2636), 1,
      anon_sym_record,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(2640), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2642), 1,
      anon_sym_u2983,
    ACTIONS(2644), 1,
      anon_sym_LBRACE,
    ACTIONS(2646), 1,
      aux_sym__qid_token1,
    ACTIONS(2648), 1,
      anon_sym_DOT,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2654), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2656), 1,
      anon_sym_u2987,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(2662), 1,
      anon_sym_Set,
    STATE(1486), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3157), 1,
      sym_catchall_pragma,
    STATE(3648), 1,
      aux_sym__atoms,
    STATE(5590), 1,
      sym_atom,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2628), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2660), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5378), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8954), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5374), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2634), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [296908] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(3302), 1,
      sym_id,
    ACTIONS(3304), 1,
      anon_sym_BSLASH,
    ACTIONS(3306), 1,
      anon_sym_u03bb,
    ACTIONS(3310), 1,
      anon_sym_record,
    ACTIONS(3312), 1,
      anon_sym_LPAREN,
    ACTIONS(3314), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3316), 1,
      anon_sym_u2983,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(3320), 1,
      aux_sym__qid_token1,
    ACTIONS(3322), 1,
      anon_sym_DOT,
    ACTIONS(3324), 1,
      anon_sym_tactic,
    ACTIONS(3326), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3328), 1,
      anon_sym_u2987,
    ACTIONS(3332), 1,
      anon_sym_Set,
    STATE(1547), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3281), 1,
      sym_catchall_pragma,
    STATE(3580), 1,
      aux_sym__atoms,
    STATE(5465), 1,
      sym_atom,
    STATE(8144), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2940), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3330), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5589), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8954), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5523), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3308), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [297039] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(3524), 1,
      sym_id,
    ACTIONS(3530), 1,
      anon_sym_record,
    ACTIONS(3532), 1,
      anon_sym_LPAREN,
    ACTIONS(3534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3536), 1,
      anon_sym_u2983,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    ACTIONS(3540), 1,
      aux_sym__qid_token1,
    ACTIONS(3542), 1,
      anon_sym_DOT,
    ACTIONS(3544), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3546), 1,
      anon_sym_u2987,
    ACTIONS(3550), 1,
      anon_sym_Set,
    STATE(1587), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3339), 1,
      sym_catchall_pragma,
    STATE(3650), 1,
      aux_sym__atoms,
    STATE(4781), 1,
      sym_atom,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3526), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3548), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4820), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8977), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4761), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [297170] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(3900), 1,
      sym_id,
    ACTIONS(3908), 1,
      anon_sym_record,
    ACTIONS(3910), 1,
      anon_sym_LPAREN,
    ACTIONS(3912), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3914), 1,
      anon_sym_u2983,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    ACTIONS(3918), 1,
      aux_sym__qid_token1,
    ACTIONS(3920), 1,
      anon_sym_DOT,
    ACTIONS(3924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3926), 1,
      anon_sym_u2987,
    ACTIONS(3930), 1,
      anon_sym_Set,
    ACTIONS(3960), 1,
      anon_sym_BSLASH,
    ACTIONS(3962), 1,
      anon_sym_u03bb,
    ACTIONS(3964), 1,
      anon_sym_tactic,
    STATE(1433), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3318), 1,
      sym_catchall_pragma,
    STATE(3617), 1,
      aux_sym__atoms,
    STATE(5957), 1,
      sym_atom,
    STATE(8075), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1984), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3928), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5741), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8954), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5737), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3906), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [297301] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4024), 1,
      anon_sym_let,
    STATE(3412), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10747), 1,
      sym__binding_ids_and_absurds,
    STATE(10867), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10077), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [297438] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4150), 1,
      anon_sym_let,
    STATE(3589), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11059), 1,
      sym__binding_ids_and_absurds,
    STATE(11547), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10166), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [297575] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4150), 1,
      anon_sym_let,
    STATE(3589), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11059), 1,
      sym__binding_ids_and_absurds,
    STATE(11547), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10166), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [297712] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(3524), 1,
      sym_id,
    ACTIONS(3530), 1,
      anon_sym_record,
    ACTIONS(3532), 1,
      anon_sym_LPAREN,
    ACTIONS(3534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3536), 1,
      anon_sym_u2983,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    ACTIONS(3540), 1,
      aux_sym__qid_token1,
    ACTIONS(3542), 1,
      anon_sym_DOT,
    ACTIONS(3544), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3546), 1,
      anon_sym_u2987,
    ACTIONS(3550), 1,
      anon_sym_Set,
    STATE(1587), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3339), 1,
      sym_catchall_pragma,
    STATE(3650), 1,
      aux_sym__atoms,
    STATE(4781), 1,
      sym_atom,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3526), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3548), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4820), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8934), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4761), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [297843] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4152), 1,
      anon_sym_let,
    STATE(3482), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11579), 1,
      sym__binding_ids_and_absurds,
    STATE(11651), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10110), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [297980] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4154), 1,
      anon_sym_let,
    STATE(3367), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11249), 1,
      sym__binding_ids_and_absurds,
    STATE(11447), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10189), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [298117] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4154), 1,
      anon_sym_let,
    STATE(3367), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11249), 1,
      sym__binding_ids_and_absurds,
    STATE(11447), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10189), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [298254] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4152), 1,
      anon_sym_let,
    STATE(3482), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11579), 1,
      sym__binding_ids_and_absurds,
    STATE(11651), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10110), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [298391] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4156), 1,
      anon_sym_let,
    STATE(3555), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10452), 1,
      sym__binding_ids_and_absurds,
    STATE(10665), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10162), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [298528] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4014), 1,
      anon_sym_RPAREN,
    ACTIONS(4156), 1,
      anon_sym_let,
    STATE(3555), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10452), 1,
      sym__binding_ids_and_absurds,
    STATE(10665), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10162), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [298665] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(3900), 1,
      sym_id,
    ACTIONS(3902), 1,
      anon_sym_BSLASH,
    ACTIONS(3904), 1,
      anon_sym_u03bb,
    ACTIONS(3908), 1,
      anon_sym_record,
    ACTIONS(3910), 1,
      anon_sym_LPAREN,
    ACTIONS(3912), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3914), 1,
      anon_sym_u2983,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    ACTIONS(3918), 1,
      aux_sym__qid_token1,
    ACTIONS(3920), 1,
      anon_sym_DOT,
    ACTIONS(3922), 1,
      anon_sym_tactic,
    ACTIONS(3924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3926), 1,
      anon_sym_u2987,
    ACTIONS(3930), 1,
      anon_sym_Set,
    STATE(1416), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3147), 1,
      sym_catchall_pragma,
    STATE(3665), 1,
      aux_sym__atoms,
    STATE(5957), 1,
      sym_atom,
    STATE(8136), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(684), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3928), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5741), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8954), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5737), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9450), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3906), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [298796] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(3590), 1,
      sym_id,
    ACTIONS(3596), 1,
      anon_sym_record,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    ACTIONS(3600), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3602), 1,
      anon_sym_u2983,
    ACTIONS(3604), 1,
      anon_sym_LBRACE,
    ACTIONS(3606), 1,
      aux_sym__qid_token1,
    ACTIONS(3608), 1,
      anon_sym_DOT,
    ACTIONS(3610), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3612), 1,
      anon_sym_u2987,
    ACTIONS(3616), 1,
      anon_sym_Set,
    STATE(1597), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3289), 1,
      sym_catchall_pragma,
    STATE(3417), 1,
      aux_sym__atoms,
    STATE(4575), 1,
      sym_atom,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3592), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3614), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4519), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8934), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4459), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3594), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [298927] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4158), 1,
      anon_sym_let,
    STATE(3355), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10454), 1,
      sym_open,
    STATE(10986), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10147), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [299064] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4158), 1,
      anon_sym_let,
    STATE(3355), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10454), 1,
      sym_open,
    STATE(10986), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10147), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [299201] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4160), 1,
      anon_sym_let,
    STATE(3698), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10533), 1,
      sym__binding_ids_and_absurds,
    STATE(10661), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10181), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [299338] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4160), 1,
      anon_sym_let,
    STATE(3698), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10533), 1,
      sym__binding_ids_and_absurds,
    STATE(10661), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10181), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [299475] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(2908), 1,
      sym_id,
    ACTIONS(2914), 1,
      anon_sym_record,
    ACTIONS(2916), 1,
      anon_sym_LPAREN,
    ACTIONS(2918), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2920), 1,
      anon_sym_u2983,
    ACTIONS(2922), 1,
      anon_sym_LBRACE,
    ACTIONS(2924), 1,
      aux_sym__qid_token1,
    ACTIONS(2926), 1,
      anon_sym_DOT,
    ACTIONS(2928), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2930), 1,
      anon_sym_u2987,
    ACTIONS(2934), 1,
      anon_sym_Set,
    STATE(1465), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3237), 1,
      sym_catchall_pragma,
    STATE(3499), 1,
      aux_sym__atoms,
    STATE(4164), 1,
      sym_atom,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2910), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2932), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4166), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8977), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4171), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2912), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [299606] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(3656), 1,
      sym_id,
    ACTIONS(3662), 1,
      anon_sym_record,
    ACTIONS(3664), 1,
      anon_sym_LPAREN,
    ACTIONS(3666), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3668), 1,
      anon_sym_u2983,
    ACTIONS(3670), 1,
      anon_sym_LBRACE,
    ACTIONS(3672), 1,
      aux_sym__qid_token1,
    ACTIONS(3674), 1,
      anon_sym_DOT,
    ACTIONS(3676), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3678), 1,
      anon_sym_u2987,
    ACTIONS(3682), 1,
      anon_sym_Set,
    STATE(1607), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3203), 1,
      sym_catchall_pragma,
    STATE(3605), 1,
      aux_sym__atoms,
    STATE(4402), 1,
      sym_atom,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3658), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3680), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4320), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8934), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4317), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3660), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [299737] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4162), 1,
      anon_sym_let,
    STATE(3371), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11449), 1,
      sym__binding_ids_and_absurds,
    STATE(11628), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10193), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [299874] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4162), 1,
      anon_sym_let,
    STATE(3371), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11449), 1,
      sym__binding_ids_and_absurds,
    STATE(11628), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10193), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [300011] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1980), 1,
      sym_id,
    ACTIONS(1992), 1,
      anon_sym_record,
    ACTIONS(1994), 1,
      anon_sym_LPAREN,
    ACTIONS(1996), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1998), 1,
      anon_sym_u2983,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(2002), 1,
      aux_sym__qid_token1,
    ACTIONS(2004), 1,
      anon_sym_DOT,
    ACTIONS(2010), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2012), 1,
      anon_sym_u2987,
    ACTIONS(2018), 1,
      anon_sym_Set,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    STATE(1445), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3183), 1,
      sym_catchall_pragma,
    STATE(3452), 1,
      aux_sym__atoms,
    STATE(5301), 1,
      sym_atom,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2016), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2250), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5060), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9418), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5058), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1990), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [300142] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(3722), 1,
      sym_id,
    ACTIONS(3728), 1,
      anon_sym_record,
    ACTIONS(3730), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3734), 1,
      anon_sym_u2983,
    ACTIONS(3736), 1,
      anon_sym_LBRACE,
    ACTIONS(3738), 1,
      aux_sym__qid_token1,
    ACTIONS(3740), 1,
      anon_sym_DOT,
    ACTIONS(3742), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3744), 1,
      anon_sym_u2987,
    ACTIONS(3748), 1,
      anon_sym_Set,
    STATE(1617), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3283), 1,
      sym_catchall_pragma,
    STATE(3402), 1,
      aux_sym__atoms,
    STATE(5511), 1,
      sym_atom,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3724), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3746), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5688), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8954), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5600), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3726), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [300273] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(3232), 1,
      sym_id,
    ACTIONS(3234), 1,
      anon_sym_BSLASH,
    ACTIONS(3236), 1,
      anon_sym_u03bb,
    ACTIONS(3240), 1,
      anon_sym_record,
    ACTIONS(3242), 1,
      anon_sym_LPAREN,
    ACTIONS(3244), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3246), 1,
      anon_sym_u2983,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3250), 1,
      aux_sym__qid_token1,
    ACTIONS(3252), 1,
      anon_sym_DOT,
    ACTIONS(3254), 1,
      anon_sym_tactic,
    ACTIONS(3256), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3258), 1,
      anon_sym_u2987,
    ACTIONS(3262), 1,
      anon_sym_Set,
    STATE(1534), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3260), 1,
      sym_catchall_pragma,
    STATE(3538), 1,
      aux_sym__atoms,
    STATE(5461), 1,
      sym_atom,
    STATE(8112), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2890), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3260), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5393), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9418), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5591), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3238), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [300404] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(3788), 1,
      sym_id,
    ACTIONS(3794), 1,
      anon_sym_record,
    ACTIONS(3796), 1,
      anon_sym_LPAREN,
    ACTIONS(3798), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3800), 1,
      anon_sym_u2983,
    ACTIONS(3802), 1,
      anon_sym_LBRACE,
    ACTIONS(3804), 1,
      aux_sym__qid_token1,
    ACTIONS(3806), 1,
      anon_sym_DOT,
    ACTIONS(3808), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3810), 1,
      anon_sym_u2987,
    ACTIONS(3814), 1,
      anon_sym_Set,
    STATE(1627), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3142), 1,
      sym_catchall_pragma,
    STATE(3603), 1,
      aux_sym__atoms,
    STATE(5232), 1,
      sym_atom,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3790), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3812), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4928), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8934), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4922), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [300535] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2558), 1,
      sym_id,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2570), 1,
      anon_sym_record,
    ACTIONS(2572), 1,
      anon_sym_LPAREN,
    ACTIONS(2574), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2576), 1,
      anon_sym_u2983,
    ACTIONS(2578), 1,
      anon_sym_LBRACE,
    ACTIONS(2580), 1,
      aux_sym__qid_token1,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2588), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2590), 1,
      anon_sym_u2987,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(2596), 1,
      anon_sym_Set,
    STATE(1472), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3317), 1,
      sym_catchall_pragma,
    STATE(3541), 1,
      aux_sym__atoms,
    STATE(5395), 1,
      sym_atom,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2562), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2594), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5359), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8991), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5727), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2568), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [300666] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(3816), 1,
      sym_id,
    ACTIONS(3822), 1,
      anon_sym_record,
    ACTIONS(3824), 1,
      anon_sym_LPAREN,
    ACTIONS(3826), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3828), 1,
      anon_sym_u2983,
    ACTIONS(3830), 1,
      anon_sym_LBRACE,
    ACTIONS(3832), 1,
      aux_sym__qid_token1,
    ACTIONS(3834), 1,
      anon_sym_DOT,
    ACTIONS(3836), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3838), 1,
      anon_sym_u2987,
    ACTIONS(3842), 1,
      anon_sym_Set,
    STATE(1637), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3163), 1,
      sym_catchall_pragma,
    STATE(3418), 1,
      aux_sym__atoms,
    STATE(4582), 1,
      sym_atom,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3818), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3840), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4457), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8934), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4439), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3820), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [300797] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4164), 1,
      anon_sym_let,
    STATE(3628), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11736), 1,
      sym__binding_ids_and_absurds,
    STATE(11803), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10116), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [300934] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4164), 1,
      anon_sym_let,
    STATE(3628), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11736), 1,
      sym__binding_ids_and_absurds,
    STATE(11803), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10116), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [301071] = 37,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4166), 1,
      anon_sym_let,
    STATE(3351), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10679), 1,
      sym__binding_ids_and_absurds,
    STATE(10833), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10183), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [301208] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4166), 1,
      anon_sym_let,
    STATE(3351), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10679), 1,
      sym__binding_ids_and_absurds,
    STATE(10833), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10183), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [301345] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4038), 1,
      anon_sym_let,
    STATE(3687), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10387), 1,
      sym__binding_ids_and_absurds,
    STATE(10517), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10179), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [301482] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4014), 1,
      anon_sym_RPAREN,
    ACTIONS(4038), 1,
      anon_sym_let,
    STATE(3687), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10387), 1,
      sym__binding_ids_and_absurds,
    STATE(10517), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10179), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [301619] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4168), 1,
      anon_sym_let,
    STATE(3375), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11630), 1,
      sym__binding_ids_and_absurds,
    STATE(11784), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10196), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [301756] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4168), 1,
      anon_sym_let,
    STATE(3375), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11630), 1,
      sym__binding_ids_and_absurds,
    STATE(11784), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10196), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [301893] = 34,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2300), 1,
      sym_id,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2312), 1,
      anon_sym_record,
    ACTIONS(2314), 1,
      anon_sym_LPAREN,
    ACTIONS(2316), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2318), 1,
      anon_sym_u2983,
    ACTIONS(2320), 1,
      anon_sym_LBRACE,
    ACTIONS(2322), 1,
      aux_sym__qid_token1,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2330), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2332), 1,
      anon_sym_u2987,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(2338), 1,
      anon_sym_Set,
    STATE(1459), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3206), 1,
      sym_catchall_pragma,
    STATE(3553), 1,
      aux_sym__atoms,
    STATE(5693), 1,
      sym_atom,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2304), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(2336), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5629), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8991), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(5626), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8924), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2310), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [302024] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(3844), 1,
      sym_id,
    ACTIONS(3850), 1,
      anon_sym_record,
    ACTIONS(3852), 1,
      anon_sym_LPAREN,
    ACTIONS(3854), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3856), 1,
      anon_sym_u2983,
    ACTIONS(3858), 1,
      anon_sym_LBRACE,
    ACTIONS(3860), 1,
      aux_sym__qid_token1,
    ACTIONS(3862), 1,
      anon_sym_DOT,
    ACTIONS(3864), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3866), 1,
      anon_sym_u2987,
    ACTIONS(3870), 1,
      anon_sym_Set,
    STATE(1647), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3226), 1,
      sym_catchall_pragma,
    STATE(3543), 1,
      aux_sym__atoms,
    STATE(4405), 1,
      sym_atom,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3846), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3868), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4296), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8934), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4295), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3848), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [302155] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4170), 1,
      anon_sym_let,
    STATE(3429), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10457), 1,
      sym_open,
    STATE(11681), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10149), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [302292] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    ACTIONS(4170), 1,
      anon_sym_let,
    STATE(3429), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10457), 1,
      sym_open,
    STATE(11681), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10149), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [302429] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(3872), 1,
      sym_id,
    ACTIONS(3878), 1,
      anon_sym_record,
    ACTIONS(3880), 1,
      anon_sym_LPAREN,
    ACTIONS(3882), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3884), 1,
      anon_sym_u2983,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(3888), 1,
      aux_sym__qid_token1,
    ACTIONS(3890), 1,
      anon_sym_DOT,
    ACTIONS(3892), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3894), 1,
      anon_sym_u2987,
    ACTIONS(3898), 1,
      anon_sym_Set,
    STATE(1657), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3263), 1,
      sym_catchall_pragma,
    STATE(3484), 1,
      aux_sym__atoms,
    STATE(4250), 1,
      sym_atom,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3874), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3896), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4199), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8934), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4197), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3876), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [302560] = 34,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(700), 1,
      anon_sym_LBRACE_DASH_POUND,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(3932), 1,
      sym_id,
    ACTIONS(3938), 1,
      anon_sym_record,
    ACTIONS(3940), 1,
      anon_sym_LPAREN,
    ACTIONS(3942), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3944), 1,
      anon_sym_u2983,
    ACTIONS(3946), 1,
      anon_sym_LBRACE,
    ACTIONS(3948), 1,
      aux_sym__qid_token1,
    ACTIONS(3950), 1,
      anon_sym_DOT,
    ACTIONS(3952), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3954), 1,
      anon_sym_u2987,
    ACTIONS(3958), 1,
      anon_sym_Set,
    STATE(1667), 1,
      sym__ARROW,
    STATE(2703), 1,
      aux_sym__lambda_clauses_repeat1,
    STATE(3288), 1,
      sym_catchall_pragma,
    STATE(3704), 1,
      aux_sym__atoms,
    STATE(4649), 1,
      sym_atom,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3934), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(3956), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4887), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8934), 3,
      sym__lambda_clause_maybe_absurd,
      sym_lambda_clause_absurd,
      sym_lambda_clause,
    STATE(4886), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8995), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3936), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [302691] = 37,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3994), 1,
      anon_sym_let,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    STATE(3653), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12397), 1,
      sym__binding_ids_and_absurds,
    STATE(12792), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10174), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [302828] = 36,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4172), 1,
      anon_sym_let,
    STATE(3490), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10882), 1,
      sym__binding_ids_and_absurds,
    STATE(10966), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10089), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [302962] = 36,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4174), 1,
      anon_sym_let,
    STATE(3584), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10897), 1,
      sym_open,
    STATE(11347), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10145), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [303096] = 36,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4176), 1,
      anon_sym_let,
    STATE(3350), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10731), 1,
      sym_open,
    STATE(11481), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9968), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [303230] = 36,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4178), 1,
      anon_sym_let,
    STATE(3570), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11062), 1,
      sym__binding_ids_and_absurds,
    STATE(11140), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10094), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [303364] = 36,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4126), 1,
      anon_sym_let,
    STATE(3655), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11410), 1,
      sym__binding_ids_and_absurds,
    STATE(11484), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10104), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [303498] = 36,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4180), 1,
      anon_sym_let,
    STATE(3530), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10978), 1,
      sym__binding_ids_and_absurds,
    STATE(11047), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10092), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [303632] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3522), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9781), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [303761] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3600), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9984), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [303890] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3601), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9991), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [304019] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3600), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9984), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [304148] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3601), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9991), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [304277] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3604), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9993), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [304406] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3625), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10118), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [304535] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3626), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10121), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [304664] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3625), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10118), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [304793] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3626), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10121), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [304922] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3627), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10122), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [305051] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3608), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9920), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [305180] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3615), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10069), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [305309] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3616), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10070), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [305438] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3609), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9921), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [305567] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3615), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10069), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [305696] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3616), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10070), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [305825] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3618), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10071), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [305954] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3610), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9922), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [306083] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3489), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9939), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [306212] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3497), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9947), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [306341] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3489), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9939), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [306470] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3497), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9947), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [306599] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3500), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9948), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [306728] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3634), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9714), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [306857] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3636), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9717), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [306986] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3634), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9714), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [307115] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3636), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9717), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [307244] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3637), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9722), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [307373] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3513), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10195), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [307502] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3514), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10221), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [307631] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3513), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10195), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [307760] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3514), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10221), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [307889] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3515), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10222), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [308018] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3654), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9769), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [308147] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3658), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9770), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [308276] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3654), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9769), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [308405] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3658), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9770), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [308534] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3659), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9771), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [308663] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3529), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9783), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [308792] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3522), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9781), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [308921] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3529), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9783), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [309050] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3534), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9784), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [309179] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3667), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9789), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [309308] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3668), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9790), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [309437] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3667), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9789), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [309566] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3668), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9790), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [309695] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3670), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9791), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [309824] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3565), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9847), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [309953] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3568), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9852), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [310082] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3565), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9847), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [310211] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3568), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9852), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [310340] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3569), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9853), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [310469] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3364), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9909), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [310598] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3365), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9910), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [310727] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3364), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9909), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [310856] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3365), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9910), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [310985] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3366), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9913), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [311114] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3590), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9905), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [311243] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3591), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9915), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [311372] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3590), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9905), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [311501] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3591), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9915), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [311630] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3593), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9916), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [311759] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3368), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9933), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [311888] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3369), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9934), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [312017] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3368), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9933), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [312146] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3369), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9934), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [312275] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3370), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9935), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [312404] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3699), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9820), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [312533] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3700), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9821), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [312662] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3699), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9820), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [312791] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3700), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9821), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [312920] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3701), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9822), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [313049] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3372), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9964), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [313178] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3373), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9965), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [313307] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3372), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9964), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [313436] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3373), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9965), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [313565] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3374), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9966), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [313694] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3675), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9944), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [313823] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3352), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9842), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [313952] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3353), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9843), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [314081] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3676), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9945), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [314210] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3352), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9842), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [314339] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3353), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9843), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [314468] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3354), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9844), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [314597] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3376), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9994), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [314726] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3377), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9995), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [314855] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3376), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9994), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [314984] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3377), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9995), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [315113] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3378), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9996), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [315242] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3459), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9748), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [315371] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3463), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9752), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [315500] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3459), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9748), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [315629] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3463), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9752), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [315758] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3465), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9757), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [315887] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3388), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10056), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [316016] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3389), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10057), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [316145] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3388), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10056), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [316274] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3389), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10057), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [316403] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3390), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10058), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [316532] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3380), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10017), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [316661] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3381), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10018), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [316790] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3380), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10017), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [316919] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3381), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10018), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [317048] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3382), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10019), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [317177] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3392), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10080), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [317306] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3393), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10081), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [317435] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3392), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10080), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [317564] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3393), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10081), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [317693] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3394), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10082), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [317822] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3384), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10040), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [317951] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3385), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10041), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [318080] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3384), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10040), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [318209] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3385), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10041), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [318338] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3386), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10042), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [318467] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3397), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10140), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [318596] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3398), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10143), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [318725] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3397), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10140), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [318854] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3398), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10143), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [318983] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3399), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10144), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [319112] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3689), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9801), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [319241] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3690), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9802), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [319370] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3689), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9801), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [319499] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3690), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9802), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [319628] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3693), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9803), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [319757] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4014), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3675), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9944), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [319886] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3422), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9705), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [320015] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3423), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9706), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [320144] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4014), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3676), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9945), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [320273] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3422), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9705), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [320402] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3423), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9706), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [320531] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3424), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9707), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [320660] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1062), 2,
      sym__dedent,
      anon_sym_BSLASH,
    ACTIONS(1060), 57,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_constructor,
      anon_sym_inductive,
      anon_sym_coinductive,
      anon_sym_eta_DASHequality,
      anon_sym_no_DASHeta_DASHequality,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [320727] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4014), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3677), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9946), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [320856] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3408), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9696), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [320985] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3409), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9697), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [321114] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3408), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9696), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [321243] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3409), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9697), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [321372] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3410), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9698), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [321501] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3431), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9718), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [321630] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3432), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9719), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [321759] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3431), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9718), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [321888] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3583), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10078), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [322017] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3433), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9720), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [322146] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3442), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9728), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [322275] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3443), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9729), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [322404] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3442), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9728), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [322533] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3443), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9729), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [322662] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3444), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9730), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [322791] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3455), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9739), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [322920] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3456), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9740), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [323049] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3455), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9739), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [323178] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3456), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9740), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [323307] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3457), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9741), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [323436] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3467), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9749), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [323565] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3468), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9750), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [323694] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3467), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9749), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [323823] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3468), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9750), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [323952] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3469), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9751), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [324081] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3411), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9960), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [324210] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3413), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9855), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [324339] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3521), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10000), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [324468] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3535), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10001), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [324597] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3521), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10000), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [324726] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3535), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10001), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [324855] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3536), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10002), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [324984] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3641), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9930), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [325113] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3642), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9931), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [325242] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3641), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9930), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [325371] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3642), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9931), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [325500] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3643), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9932), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [325629] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3428), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10034), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [325758] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3439), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10035), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [325887] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4014), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3428), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10034), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [326016] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4014), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3439), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10035), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [326145] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4014), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3440), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10036), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [326274] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3414), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9856), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [326403] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3449), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10048), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [326532] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3450), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10049), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [326661] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3449), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10048), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [326790] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3450), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10049), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [326919] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3458), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10050), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [327048] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3656), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9958), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [327177] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3563), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9959), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [327306] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3656), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9958), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [327435] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3563), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9959), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [327564] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3411), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9960), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [327693] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3678), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10225), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [327822] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3679), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10226), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [327951] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4014), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3678), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10225), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [328080] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4014), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3679), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10226), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [328209] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4014), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3680), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10227), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [328338] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3413), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9855), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [328467] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3414), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9856), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [328596] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3525), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10060), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [328725] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3526), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10061), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [328854] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3525), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10060), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [328983] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3526), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10061), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [329112] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3527), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10062), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [329241] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3511), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9972), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [329370] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3549), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9973), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [329499] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3511), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9972), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [329628] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3549), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9973), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [329757] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3550), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9974), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [329886] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3459), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9748), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [330015] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3463), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9752), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [330144] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4014), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3459), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9748), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [330273] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4014), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3463), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9752), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [330402] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4014), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3465), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9757), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [330531] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3608), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9920), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [330660] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3609), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9921), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [330789] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3684), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10072), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [330918] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3349), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9763), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [331047] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3684), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10072), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [331176] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3349), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9763), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [331305] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3403), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9764), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [331434] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3415), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9857), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [331563] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3483), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9985), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [331692] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3505), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9987), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [331821] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3483), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9985), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [331950] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3505), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9987), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [332079] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3560), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9988), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [332208] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3556), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9811), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [332337] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3557), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9812), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [332466] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4014), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3556), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9811), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [332595] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4014), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3557), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9812), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [332724] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4014), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3558), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9813), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [332853] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3357), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9897), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [332982] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3358), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9901), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [333111] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3357), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9897), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [333240] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3358), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9901), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [333369] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3400), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9903), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [333498] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3629), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10009), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [333627] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3630), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10010), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [333756] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3629), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10009), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [333885] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3630), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10010), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [334014] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3646), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10011), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [334143] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3689), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9801), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [334272] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3690), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9802), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [334401] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4014), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3689), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9801), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [334530] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4014), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3690), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9802), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [334659] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4014), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3693), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9803), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [334788] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3434), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9759), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [334917] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3436), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9761), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [335046] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3434), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9759), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [335175] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3436), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9761), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [335304] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3437), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9762), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [335433] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3552), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10020), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [335562] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3561), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10021), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [335691] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3552), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10020), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [335820] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3561), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10021), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [335949] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3606), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10022), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [336078] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3360), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9875), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [336207] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3361), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9877), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [336336] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4014), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3360), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9875), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [336465] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4014), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3361), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9877), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [336594] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4014), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3362), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9878), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [336723] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3472), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9824), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [336852] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(730), 1,
      anon_sym_u2984,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3473), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9828), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [336981] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3472), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9824), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [337110] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3473), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9828), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [337239] = 34,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3474), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9835), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [337368] = 34,
    ACTIONS(704), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3576), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10075), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [337497] = 34,
    ACTIONS(704), 1,
      anon_sym_u2984,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3577), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10076), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [337626] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4002), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3576), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10075), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [337755] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4002), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3577), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10076), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [337884] = 34,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4006), 1,
      anon_sym_u2984,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3432), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9719), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [338013] = 33,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3656), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9958), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [338139] = 33,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3563), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9959), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [338265] = 33,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3411), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9960), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [338391] = 33,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3594), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10580), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [338517] = 33,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3649), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10590), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [338643] = 33,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3573), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9908), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [338769] = 33,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3572), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9907), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [338895] = 33,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3571), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9906), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [339021] = 33,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3531), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9894), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [339147] = 33,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3532), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9895), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [339273] = 33,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3533), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9896), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [339399] = 33,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3491), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9879), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [339525] = 33,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3492), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9880), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [339651] = 33,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3493), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9881), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [339777] = 33,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3585), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9708), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [339903] = 33,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3586), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9731), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [340029] = 33,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3595), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9735), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [340155] = 33,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3476), 1,
      sym_attributes,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9969), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [340281] = 33,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3477), 1,
      sym_attributes,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9976), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [340407] = 33,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3480), 1,
      sym_attributes,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9980), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [340533] = 33,
    ACTIONS(73), 1,
      anon_sym_AT,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(940), 1,
      anon_sym_open,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(948), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3766), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10491), 1,
      sym_open,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6098), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10321), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [340659] = 33,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3547), 1,
      sym_attributes,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5761), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10546), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [340785] = 33,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(734), 1,
      sym_id,
    ACTIONS(738), 1,
      anon_sym_BSLASH,
    ACTIONS(740), 1,
      anon_sym_u03bb,
    ACTIONS(744), 1,
      anon_sym_record,
    ACTIONS(754), 1,
      aux_sym__qid_token1,
    ACTIONS(762), 1,
      anon_sym_quoteGoal,
    ACTIONS(764), 1,
      anon_sym_tactic,
    ACTIONS(766), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(768), 1,
      anon_sym_u2987,
    ACTIONS(770), 1,
      anon_sym_let,
    ACTIONS(774), 1,
      anon_sym_Set,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4230), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4232), 1,
      anon_sym_u2983,
    ACTIONS(4234), 1,
      anon_sym_LBRACE,
    ACTIONS(4236), 1,
      anon_sym_DOT,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    STATE(1512), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(5073), 1,
      sym_atom,
    STATE(8084), 1,
      sym__LAMBDA,
    STATE(8447), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(772), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4226), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5228), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8953), 2,
      sym__expr2,
      sym_let,
    STATE(9767), 2,
      sym__expr2_stmt,
      sym_let_in_do,
    STATE(9526), 5,
      sym__expr2_without_let,
      sym_forall,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    STATE(5289), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(742), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [340910] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_in,
    STATE(8984), 1,
      sym__let_body,
    ACTIONS(344), 2,
      sym__dedent,
      anon_sym_BSLASH,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [340978] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4244), 1,
      anon_sym_in,
    ACTIONS(4246), 1,
      sym__dedent,
    STATE(9681), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [341048] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_in,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(344), 2,
      sym__dedent,
      anon_sym_BSLASH,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [341116] = 32,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(105), 1,
      sym_id,
    ACTIONS(109), 1,
      anon_sym_BSLASH,
    ACTIONS(111), 1,
      anon_sym_u03bb,
    ACTIONS(125), 1,
      anon_sym_LPAREN,
    ACTIONS(127), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(129), 1,
      anon_sym_u2983,
    ACTIONS(135), 1,
      anon_sym_LBRACE,
    ACTIONS(143), 1,
      aux_sym__qid_token1,
    ACTIONS(145), 1,
      anon_sym_DOT,
    ACTIONS(147), 1,
      anon_sym_quoteGoal,
    ACTIONS(149), 1,
      anon_sym_tactic,
    ACTIONS(151), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(153), 1,
      anon_sym_u2987,
    ACTIONS(155), 1,
      anon_sym_let,
    ACTIONS(159), 1,
      anon_sym_Set,
    ACTIONS(4248), 1,
      anon_sym_record,
    STATE(3747), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3772), 1,
      aux_sym__atoms,
    STATE(4291), 1,
      sym_atom,
    STATE(8055), 1,
      sym__LAMBDA,
    STATE(8432), 1,
      sym__FORALL,
    STATE(8785), 1,
      sym__with_exprs,
    STATE(9106), 1,
      sym_lhs_decl,
    STATE(9122), 1,
      sym_lhs_defn,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(107), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(157), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4306), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4312), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(113), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [341238] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(738), 1,
      anon_sym_BSLASH,
    ACTIONS(740), 1,
      anon_sym_u03bb,
    ACTIONS(762), 1,
      anon_sym_quoteGoal,
    ACTIONS(764), 1,
      anon_sym_tactic,
    ACTIONS(770), 1,
      anon_sym_let,
    ACTIONS(4250), 1,
      sym_id,
    ACTIONS(4254), 1,
      anon_sym_record,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4260), 1,
      anon_sym_u2983,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4264), 1,
      aux_sym__qid_token1,
    ACTIONS(4266), 1,
      anon_sym_DOT,
    ACTIONS(4268), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4270), 1,
      anon_sym_u2987,
    ACTIONS(4274), 1,
      anon_sym_Set,
    STATE(3686), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5812), 1,
      sym_atom,
    STATE(8084), 1,
      sym__LAMBDA,
    STATE(8447), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4272), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5777), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8962), 3,
      sym__application,
      sym__expr2,
      sym_let,
    STATE(9772), 3,
      sym__application_stmt,
      sym__expr2_stmt,
      sym_let_in_do,
    STATE(9526), 5,
      sym__expr2_without_let,
      sym_forall,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    STATE(5768), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4252), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [341358] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4244), 1,
      anon_sym_in,
    ACTIONS(4276), 1,
      sym__dedent,
    STATE(9570), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [341428] = 32,
    ACTIONS(9), 1,
      sym_id,
    ACTIONS(13), 1,
      anon_sym_BSLASH,
    ACTIONS(15), 1,
      anon_sym_u03bb,
    ACTIONS(51), 1,
      anon_sym_LPAREN,
    ACTIONS(53), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(55), 1,
      anon_sym_u2983,
    ACTIONS(61), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      aux_sym__qid_token1,
    ACTIONS(71), 1,
      anon_sym_DOT,
    ACTIONS(75), 1,
      anon_sym_quoteGoal,
    ACTIONS(77), 1,
      anon_sym_tactic,
    ACTIONS(79), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(81), 1,
      anon_sym_u2987,
    ACTIONS(83), 1,
      anon_sym_let,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_Set,
    ACTIONS(4278), 1,
      anon_sym_record,
    STATE(3729), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3780), 1,
      aux_sym__atoms,
    STATE(4617), 1,
      sym_atom,
    STATE(8100), 1,
      sym__LAMBDA,
    STATE(8267), 1,
      sym__FORALL,
    STATE(8972), 1,
      sym__with_exprs,
    STATE(9157), 1,
      sym_lhs_decl,
    STATE(9164), 1,
      sym_lhs_defn,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(11), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(87), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4564), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4530), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(17), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [341550] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4244), 1,
      anon_sym_in,
    ACTIONS(4280), 1,
      sym__dedent,
    STATE(9616), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [341620] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4282), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [341687] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4284), 1,
      anon_sym_in,
    STATE(9441), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [341754] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4286), 1,
      anon_sym_in,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [341821] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4288), 1,
      anon_sym_in,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [341888] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2340), 1,
      sym_id,
    ACTIONS(2344), 1,
      anon_sym_BSLASH,
    ACTIONS(2346), 1,
      anon_sym_u03bb,
    ACTIONS(2350), 1,
      anon_sym_record,
    ACTIONS(2360), 1,
      aux_sym__qid_token1,
    ACTIONS(2364), 1,
      anon_sym_quoteGoal,
    ACTIONS(2366), 1,
      anon_sym_tactic,
    ACTIONS(2368), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2370), 1,
      anon_sym_u2987,
    ACTIONS(2372), 1,
      anon_sym_let,
    ACTIONS(2376), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4292), 1,
      anon_sym_LPAREN,
    ACTIONS(4294), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4296), 1,
      anon_sym_u2983,
    ACTIONS(4298), 1,
      anon_sym_LBRACE,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    STATE(1468), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(5383), 1,
      sym_atom,
    STATE(8080), 1,
      sym__LAMBDA,
    STATE(8442), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2342), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2374), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4290), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5425), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5431), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2348), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [342007] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4302), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [342074] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4302), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [342141] = 31,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(3034), 1,
      sym_id,
    ACTIONS(3038), 1,
      anon_sym_record,
    ACTIONS(3048), 1,
      aux_sym__qid_token1,
    ACTIONS(3052), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3054), 1,
      anon_sym_u2987,
    ACTIONS(3058), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4306), 1,
      anon_sym_LPAREN,
    ACTIONS(4308), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4310), 1,
      anon_sym_u2983,
    ACTIONS(4312), 1,
      anon_sym_LBRACE,
    ACTIONS(4314), 1,
      anon_sym_DOT,
    STATE(1715), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4860), 1,
      sym_atom,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3056), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4304), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4713), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4710), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3036), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [342260] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4316), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [342327] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4318), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [342394] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4318), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [342461] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4320), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [342528] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(3788), 1,
      sym_id,
    ACTIONS(3794), 1,
      anon_sym_record,
    ACTIONS(3796), 1,
      anon_sym_LPAREN,
    ACTIONS(3798), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3800), 1,
      anon_sym_u2983,
    ACTIONS(3802), 1,
      anon_sym_LBRACE,
    ACTIONS(3804), 1,
      aux_sym__qid_token1,
    ACTIONS(3806), 1,
      anon_sym_DOT,
    ACTIONS(3808), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3810), 1,
      anon_sym_u2987,
    ACTIONS(3814), 1,
      anon_sym_Set,
    STATE(1630), 1,
      sym__ARROW,
    STATE(3657), 1,
      aux_sym__atoms,
    STATE(5232), 1,
      sym_atom,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3812), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4322), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4928), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4922), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8996), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [342645] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4316), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [342712] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4316), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [342779] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(1904), 1,
      sym_id,
    ACTIONS(1908), 1,
      anon_sym_BSLASH,
    ACTIONS(1910), 1,
      anon_sym_u03bb,
    ACTIONS(1914), 1,
      anon_sym_record,
    ACTIONS(1924), 1,
      aux_sym__qid_token1,
    ACTIONS(1928), 1,
      anon_sym_quoteGoal,
    ACTIONS(1930), 1,
      anon_sym_tactic,
    ACTIONS(1932), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1934), 1,
      anon_sym_u2987,
    ACTIONS(1936), 1,
      anon_sym_let,
    ACTIONS(1940), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4328), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4330), 1,
      anon_sym_u2983,
    ACTIONS(4332), 1,
      anon_sym_LBRACE,
    ACTIONS(4334), 1,
      anon_sym_DOT,
    STATE(1501), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4515), 1,
      sym_atom,
    STATE(8141), 1,
      sym__LAMBDA,
    STATE(8457), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1906), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1938), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4324), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4621), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4454), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1912), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [342898] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4336), 1,
      anon_sym_in,
    STATE(8984), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [342965] = 30,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(3900), 1,
      sym_id,
    ACTIONS(3902), 1,
      anon_sym_BSLASH,
    ACTIONS(3904), 1,
      anon_sym_u03bb,
    ACTIONS(3908), 1,
      anon_sym_record,
    ACTIONS(3910), 1,
      anon_sym_LPAREN,
    ACTIONS(3912), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3914), 1,
      anon_sym_u2983,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    ACTIONS(3918), 1,
      aux_sym__qid_token1,
    ACTIONS(3920), 1,
      anon_sym_DOT,
    ACTIONS(3922), 1,
      anon_sym_tactic,
    ACTIONS(3924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3926), 1,
      anon_sym_u2987,
    ACTIONS(3930), 1,
      anon_sym_Set,
    STATE(1423), 1,
      sym__ARROW,
    STATE(3406), 1,
      aux_sym__atoms,
    STATE(5957), 1,
      sym_atom,
    STATE(8136), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3928), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4338), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5741), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5737), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8985), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3906), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [343082] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4340), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [343149] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(3092), 1,
      sym_id,
    ACTIONS(3096), 1,
      anon_sym_record,
    ACTIONS(3106), 1,
      aux_sym__qid_token1,
    ACTIONS(3110), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3112), 1,
      anon_sym_u2987,
    ACTIONS(3116), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4344), 1,
      anon_sym_LPAREN,
    ACTIONS(4346), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4348), 1,
      anon_sym_u2983,
    ACTIONS(4350), 1,
      anon_sym_LBRACE,
    ACTIONS(4352), 1,
      anon_sym_DOT,
    STATE(1722), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(5204), 1,
      sym_atom,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3114), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4342), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5351), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5163), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3094), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [343268] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(2756), 1,
      sym_id,
    ACTIONS(2760), 1,
      anon_sym_record,
    ACTIONS(2770), 1,
      aux_sym__qid_token1,
    ACTIONS(2774), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2776), 1,
      anon_sym_u2987,
    ACTIONS(2780), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4356), 1,
      anon_sym_LPAREN,
    ACTIONS(4358), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4360), 1,
      anon_sym_u2983,
    ACTIONS(4362), 1,
      anon_sym_LBRACE,
    ACTIONS(4364), 1,
      anon_sym_DOT,
    STATE(1673), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4016), 1,
      sym_atom,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2778), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4354), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4036), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4033), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2758), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [343387] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4366), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [343454] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4336), 1,
      anon_sym_in,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [343521] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4368), 1,
      anon_sym_in,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [343588] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4370), 1,
      anon_sym_in,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [343655] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4370), 1,
      anon_sym_in,
    STATE(8984), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [343722] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(3158), 1,
      sym_id,
    ACTIONS(3162), 1,
      anon_sym_record,
    ACTIONS(3172), 1,
      aux_sym__qid_token1,
    ACTIONS(3176), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3178), 1,
      anon_sym_u2987,
    ACTIONS(3182), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4374), 1,
      anon_sym_LPAREN,
    ACTIONS(4376), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4378), 1,
      anon_sym_u2983,
    ACTIONS(4380), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOT,
    STATE(1729), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4821), 1,
      sym_atom,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3180), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4372), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4757), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3160), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [343841] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2624), 1,
      sym_id,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2636), 1,
      anon_sym_record,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(2640), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2642), 1,
      anon_sym_u2983,
    ACTIONS(2644), 1,
      anon_sym_LBRACE,
    ACTIONS(2646), 1,
      aux_sym__qid_token1,
    ACTIONS(2648), 1,
      anon_sym_DOT,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2654), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2656), 1,
      anon_sym_u2987,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(2662), 1,
      anon_sym_Set,
    STATE(1489), 1,
      sym__ARROW,
    STATE(3661), 1,
      aux_sym__atoms,
    STATE(5590), 1,
      sym_atom,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2660), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4384), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5378), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5374), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8985), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2634), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [343958] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4386), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [344025] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2838), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2850), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2886), 1,
      sym_id,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2896), 1,
      aux_sym__qid_token1,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(2906), 1,
      anon_sym_Set,
    STATE(1537), 1,
      sym__ARROW,
    STATE(3697), 1,
      aux_sym__atoms,
    STATE(4643), 1,
      sym_atom,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2856), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4388), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9417), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2832), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [344142] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4390), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [344209] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4390), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [344276] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4392), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [344343] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(3816), 1,
      sym_id,
    ACTIONS(3822), 1,
      anon_sym_record,
    ACTIONS(3824), 1,
      anon_sym_LPAREN,
    ACTIONS(3826), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3828), 1,
      anon_sym_u2983,
    ACTIONS(3830), 1,
      anon_sym_LBRACE,
    ACTIONS(3832), 1,
      aux_sym__qid_token1,
    ACTIONS(3834), 1,
      anon_sym_DOT,
    ACTIONS(3836), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3838), 1,
      anon_sym_u2987,
    ACTIONS(3842), 1,
      anon_sym_Set,
    STATE(1640), 1,
      sym__ARROW,
    STATE(3404), 1,
      aux_sym__atoms,
    STATE(4582), 1,
      sym_atom,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3840), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4394), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4457), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4439), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8996), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3820), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [344460] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4302), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [344527] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3194), 1,
      sym_id,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3204), 1,
      anon_sym_record,
    ACTIONS(3214), 1,
      aux_sym__qid_token1,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3222), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3224), 1,
      anon_sym_u2987,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(3230), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4398), 1,
      anon_sym_LPAREN,
    ACTIONS(4400), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4402), 1,
      anon_sym_u2983,
    ACTIONS(4404), 1,
      anon_sym_LBRACE,
    ACTIONS(4406), 1,
      anon_sym_DOT,
    STATE(1736), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4587), 1,
      sym_atom,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3228), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4396), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4440), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4435), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3202), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [344646] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4340), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [344713] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4408), 1,
      anon_sym_in,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [344780] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4410), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [344847] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4392), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [344914] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3264), 1,
      sym_id,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3274), 1,
      anon_sym_record,
    ACTIONS(3284), 1,
      aux_sym__qid_token1,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3292), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3294), 1,
      anon_sym_u2987,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(3300), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4414), 1,
      anon_sym_LPAREN,
    ACTIONS(4416), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4418), 1,
      anon_sym_u2983,
    ACTIONS(4420), 1,
      anon_sym_LBRACE,
    ACTIONS(4422), 1,
      anon_sym_DOT,
    STATE(1743), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4407), 1,
      sym_atom,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3298), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4412), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4335), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4334), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3272), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [345033] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(734), 1,
      sym_id,
    ACTIONS(738), 1,
      anon_sym_BSLASH,
    ACTIONS(740), 1,
      anon_sym_u03bb,
    ACTIONS(744), 1,
      anon_sym_record,
    ACTIONS(754), 1,
      aux_sym__qid_token1,
    ACTIONS(762), 1,
      anon_sym_quoteGoal,
    ACTIONS(764), 1,
      anon_sym_tactic,
    ACTIONS(766), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(768), 1,
      anon_sym_u2987,
    ACTIONS(774), 1,
      anon_sym_Set,
    ACTIONS(2168), 1,
      anon_sym_let,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4230), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4232), 1,
      anon_sym_u2983,
    ACTIONS(4234), 1,
      anon_sym_LBRACE,
    ACTIONS(4236), 1,
      anon_sym_DOT,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    STATE(1516), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(5073), 1,
      sym_atom,
    STATE(8084), 1,
      sym__LAMBDA,
    STATE(8447), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(772), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4424), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5228), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5289), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(742), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [345152] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4408), 1,
      anon_sym_in,
    STATE(8984), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [345219] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4426), 1,
      anon_sym_in,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [345286] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3334), 1,
      sym_id,
    ACTIONS(3338), 1,
      anon_sym_BSLASH,
    ACTIONS(3340), 1,
      anon_sym_u03bb,
    ACTIONS(3344), 1,
      anon_sym_record,
    ACTIONS(3354), 1,
      aux_sym__qid_token1,
    ACTIONS(3358), 1,
      anon_sym_quoteGoal,
    ACTIONS(3360), 1,
      anon_sym_tactic,
    ACTIONS(3362), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3364), 1,
      anon_sym_u2987,
    ACTIONS(3366), 1,
      anon_sym_let,
    ACTIONS(3370), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4430), 1,
      anon_sym_LPAREN,
    ACTIONS(4432), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4434), 1,
      anon_sym_u2983,
    ACTIONS(4436), 1,
      anon_sym_LBRACE,
    ACTIONS(4438), 1,
      anon_sym_DOT,
    STATE(1750), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4408), 1,
      sym_atom,
    STATE(8150), 1,
      sym__LAMBDA,
    STATE(8459), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3336), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3368), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4428), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4355), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4354), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3342), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [345405] = 31,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(2298), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4442), 1,
      anon_sym_LPAREN,
    ACTIONS(4444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4446), 1,
      anon_sym_u2983,
    ACTIONS(4448), 1,
      anon_sym_LBRACE,
    ACTIONS(4450), 1,
      anon_sym_DOT,
    STATE(1441), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(5666), 1,
      sym_atom,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4440), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [345524] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2936), 1,
      sym_id,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2948), 1,
      anon_sym_record,
    ACTIONS(2950), 1,
      anon_sym_LPAREN,
    ACTIONS(2952), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2954), 1,
      anon_sym_u2983,
    ACTIONS(2956), 1,
      anon_sym_LBRACE,
    ACTIONS(2958), 1,
      aux_sym__qid_token1,
    ACTIONS(2960), 1,
      anon_sym_DOT,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2966), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2968), 1,
      anon_sym_u2987,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(2974), 1,
      anon_sym_Set,
    STATE(1550), 1,
      sym__ARROW,
    STATE(3662), 1,
      aux_sym__atoms,
    STATE(5087), 1,
      sym_atom,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2972), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4452), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5205), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5202), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8985), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2946), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [345641] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2716), 1,
      sym_id,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2728), 1,
      anon_sym_record,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    ACTIONS(2732), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2734), 1,
      anon_sym_u2983,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      aux_sym__qid_token1,
    ACTIONS(2740), 1,
      anon_sym_DOT,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2746), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2748), 1,
      anon_sym_u2987,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(2754), 1,
      anon_sym_Set,
    STATE(1508), 1,
      sym__ARROW,
    STATE(3460), 1,
      aux_sym__atoms,
    STATE(4072), 1,
      sym_atom,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2752), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4454), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4080), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4078), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8996), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2726), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [345758] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3372), 1,
      sym_id,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3382), 1,
      anon_sym_record,
    ACTIONS(3392), 1,
      aux_sym__qid_token1,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3400), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3402), 1,
      anon_sym_u2987,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(3408), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4458), 1,
      anon_sym_LPAREN,
    ACTIONS(4460), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4462), 1,
      anon_sym_u2983,
    ACTIONS(4464), 1,
      anon_sym_LBRACE,
    ACTIONS(4466), 1,
      anon_sym_DOT,
    STATE(1757), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4124), 1,
      sym_atom,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3406), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4456), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4238), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4236), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [345877] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4468), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [345944] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4468), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [346011] = 31,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3410), 1,
      sym_id,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3420), 1,
      anon_sym_record,
    ACTIONS(3430), 1,
      aux_sym__qid_token1,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3438), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3440), 1,
      anon_sym_u2987,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(3446), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4472), 1,
      anon_sym_LPAREN,
    ACTIONS(4474), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4476), 1,
      anon_sym_u2983,
    ACTIONS(4478), 1,
      anon_sym_LBRACE,
    ACTIONS(4480), 1,
      anon_sym_DOT,
    STATE(1764), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(5315), 1,
      sym_atom,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3444), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4470), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5177), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5173), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3418), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [346130] = 31,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2170), 1,
      sym_id,
    ACTIONS(2174), 1,
      anon_sym_BSLASH,
    ACTIONS(2176), 1,
      anon_sym_u03bb,
    ACTIONS(2180), 1,
      anon_sym_record,
    ACTIONS(2190), 1,
      aux_sym__qid_token1,
    ACTIONS(2194), 1,
      anon_sym_quoteGoal,
    ACTIONS(2196), 1,
      anon_sym_tactic,
    ACTIONS(2198), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2200), 1,
      anon_sym_u2987,
    ACTIONS(2202), 1,
      anon_sym_let,
    ACTIONS(2206), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4484), 1,
      anon_sym_LPAREN,
    ACTIONS(4486), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4488), 1,
      anon_sym_u2983,
    ACTIONS(4490), 1,
      anon_sym_LBRACE,
    ACTIONS(4492), 1,
      anon_sym_DOT,
    STATE(1530), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(5525), 1,
      sym_atom,
    STATE(8132), 1,
      sym__LAMBDA,
    STATE(8460), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2172), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2204), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4482), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5405), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5420), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2178), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [346249] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1980), 1,
      sym_id,
    ACTIONS(1992), 1,
      anon_sym_record,
    ACTIONS(1994), 1,
      anon_sym_LPAREN,
    ACTIONS(1996), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1998), 1,
      anon_sym_u2983,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(2002), 1,
      aux_sym__qid_token1,
    ACTIONS(2004), 1,
      anon_sym_DOT,
    ACTIONS(2010), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2012), 1,
      anon_sym_u2987,
    ACTIONS(2018), 1,
      anon_sym_Set,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    STATE(1448), 1,
      sym__ARROW,
    STATE(3461), 1,
      aux_sym__atoms,
    STATE(5301), 1,
      sym_atom,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2016), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4494), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5060), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5058), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9417), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1990), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [346366] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3448), 1,
      sym_id,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3458), 1,
      anon_sym_record,
    ACTIONS(3468), 1,
      aux_sym__qid_token1,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3476), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3478), 1,
      anon_sym_u2987,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(3484), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4502), 1,
      anon_sym_u2983,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(4506), 1,
      anon_sym_DOT,
    STATE(1771), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4742), 1,
      sym_atom,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3482), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4496), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4904), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3456), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [346485] = 30,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(3002), 1,
      sym_id,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3012), 1,
      anon_sym_record,
    ACTIONS(3014), 1,
      anon_sym_LPAREN,
    ACTIONS(3016), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3018), 1,
      anon_sym_u2983,
    ACTIONS(3020), 1,
      anon_sym_LBRACE,
    ACTIONS(3022), 1,
      anon_sym_DOT,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(3026), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3028), 1,
      anon_sym_u2987,
    ACTIONS(3032), 1,
      anon_sym_Set,
    STATE(1560), 1,
      sym__ARROW,
    STATE(3507), 1,
      aux_sym__atoms,
    STATE(5355), 1,
      sym_atom,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3030), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4508), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5150), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5143), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8985), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3010), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [346602] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4510), 1,
      anon_sym_in,
    STATE(9433), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [346669] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3486), 1,
      sym_id,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3496), 1,
      anon_sym_record,
    ACTIONS(3506), 1,
      aux_sym__qid_token1,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3514), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3516), 1,
      anon_sym_u2987,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(3522), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4518), 1,
      anon_sym_u2983,
    ACTIONS(4520), 1,
      anon_sym_LBRACE,
    ACTIONS(4522), 1,
      anon_sym_DOT,
    STATE(1778), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4393), 1,
      sym_atom,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3520), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4512), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4330), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4416), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3494), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [346788] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4524), 1,
      anon_sym_in,
    STATE(9433), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [346855] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4510), 1,
      anon_sym_in,
    STATE(9441), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [346922] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4524), 1,
      anon_sym_in,
    STATE(9441), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [346989] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3552), 1,
      sym_id,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3562), 1,
      anon_sym_record,
    ACTIONS(3572), 1,
      aux_sym__qid_token1,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3580), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3582), 1,
      anon_sym_u2987,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(3588), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4530), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4532), 1,
      anon_sym_u2983,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(4536), 1,
      anon_sym_DOT,
    STATE(1785), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4161), 1,
      sym_atom,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3586), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4526), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4127), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4126), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3560), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [347108] = 31,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4540), 1,
      anon_sym_LPAREN,
    ACTIONS(4542), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4544), 1,
      anon_sym_u2983,
    ACTIONS(4546), 1,
      anon_sym_LBRACE,
    ACTIONS(4548), 1,
      anon_sym_DOT,
    STATE(1680), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4730), 1,
      sym_atom,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4538), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [347227] = 31,
    ACTIONS(13), 1,
      anon_sym_BSLASH,
    ACTIONS(15), 1,
      anon_sym_u03bb,
    ACTIONS(75), 1,
      anon_sym_quoteGoal,
    ACTIONS(77), 1,
      anon_sym_tactic,
    ACTIONS(83), 1,
      anon_sym_let,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2404), 1,
      sym_id,
    ACTIONS(2408), 1,
      anon_sym_record,
    ACTIONS(2418), 1,
      aux_sym__qid_token1,
    ACTIONS(2422), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2424), 1,
      anon_sym_u2987,
    ACTIONS(2428), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_LPAREN,
    ACTIONS(4554), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4556), 1,
      anon_sym_u2983,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4560), 1,
      anon_sym_DOT,
    STATE(1543), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4172), 1,
      sym_atom,
    STATE(8100), 1,
      sym__LAMBDA,
    STATE(8267), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(11), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2426), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4550), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4220), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4219), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2406), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [347346] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3750), 1,
      sym_id,
    ACTIONS(3754), 1,
      anon_sym_BSLASH,
    ACTIONS(3756), 1,
      anon_sym_u03bb,
    ACTIONS(3760), 1,
      anon_sym_record,
    ACTIONS(3770), 1,
      aux_sym__qid_token1,
    ACTIONS(3774), 1,
      anon_sym_quoteGoal,
    ACTIONS(3776), 1,
      anon_sym_tactic,
    ACTIONS(3778), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3780), 1,
      anon_sym_u2987,
    ACTIONS(3782), 1,
      anon_sym_let,
    ACTIONS(3786), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4564), 1,
      anon_sym_LPAREN,
    ACTIONS(4566), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4568), 1,
      anon_sym_u2983,
    ACTIONS(4570), 1,
      anon_sym_LBRACE,
    ACTIONS(4572), 1,
      anon_sym_DOT,
    STATE(1792), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4163), 1,
      sym_atom,
    STATE(8081), 1,
      sym__LAMBDA,
    STATE(8478), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3752), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3784), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4562), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4138), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4137), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3758), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [347465] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3618), 1,
      sym_id,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3628), 1,
      anon_sym_record,
    ACTIONS(3638), 1,
      aux_sym__qid_token1,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3646), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3648), 1,
      anon_sym_u2987,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(3654), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4576), 1,
      anon_sym_LPAREN,
    ACTIONS(4578), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4580), 1,
      anon_sym_u2983,
    ACTIONS(4582), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    STATE(1799), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4052), 1,
      sym_atom,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3652), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4574), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4101), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4115), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3626), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [347584] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3060), 1,
      sym_id,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3068), 1,
      anon_sym_record,
    ACTIONS(3070), 1,
      anon_sym_LPAREN,
    ACTIONS(3072), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3074), 1,
      anon_sym_u2983,
    ACTIONS(3076), 1,
      anon_sym_LBRACE,
    ACTIONS(3078), 1,
      aux_sym__qid_token1,
    ACTIONS(3080), 1,
      anon_sym_DOT,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(3084), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3086), 1,
      anon_sym_u2987,
    ACTIONS(3090), 1,
      anon_sym_Set,
    STATE(1570), 1,
      sym__ARROW,
    STATE(3588), 1,
      aux_sym__atoms,
    STATE(5377), 1,
      sym_atom,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3088), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4586), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5561), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5558), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8996), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [347701] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3684), 1,
      sym_id,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3694), 1,
      anon_sym_record,
    ACTIONS(3704), 1,
      aux_sym__qid_token1,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3712), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3714), 1,
      anon_sym_u2987,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(3720), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4590), 1,
      anon_sym_LPAREN,
    ACTIONS(4592), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4594), 1,
      anon_sym_u2983,
    ACTIONS(4596), 1,
      anon_sym_LBRACE,
    ACTIONS(4598), 1,
      anon_sym_DOT,
    STATE(1806), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4462), 1,
      sym_atom,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3718), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4588), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4471), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4437), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [347820] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4600), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [347887] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4244), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [347954] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4244), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [348021] = 31,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(2466), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4604), 1,
      anon_sym_LPAREN,
    ACTIONS(4606), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4608), 1,
      anon_sym_u2983,
    ACTIONS(4610), 1,
      anon_sym_LBRACE,
    ACTIONS(4612), 1,
      anon_sym_DOT,
    STATE(1455), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(5588), 1,
      sym_atom,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4602), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [348140] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(1942), 1,
      sym_id,
    ACTIONS(1946), 1,
      anon_sym_BSLASH,
    ACTIONS(1948), 1,
      anon_sym_u03bb,
    ACTIONS(1952), 1,
      anon_sym_record,
    ACTIONS(1962), 1,
      aux_sym__qid_token1,
    ACTIONS(1966), 1,
      anon_sym_quoteGoal,
    ACTIONS(1968), 1,
      anon_sym_tactic,
    ACTIONS(1970), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1972), 1,
      anon_sym_u2987,
    ACTIONS(1974), 1,
      anon_sym_let,
    ACTIONS(1978), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4616), 1,
      anon_sym_LPAREN,
    ACTIONS(4618), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4620), 1,
      anon_sym_u2983,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4624), 1,
      anon_sym_DOT,
    STATE(1553), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4965), 1,
      sym_atom,
    STATE(8062), 1,
      sym__LAMBDA,
    STATE(8473), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1944), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1976), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4614), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5114), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5111), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1950), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [348259] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(3656), 1,
      sym_id,
    ACTIONS(3662), 1,
      anon_sym_record,
    ACTIONS(3664), 1,
      anon_sym_LPAREN,
    ACTIONS(3666), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3668), 1,
      anon_sym_u2983,
    ACTIONS(3670), 1,
      anon_sym_LBRACE,
    ACTIONS(3672), 1,
      aux_sym__qid_token1,
    ACTIONS(3674), 1,
      anon_sym_DOT,
    ACTIONS(3676), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3678), 1,
      anon_sym_u2987,
    ACTIONS(3682), 1,
      anon_sym_Set,
    STATE(1610), 1,
      sym__ARROW,
    STATE(3651), 1,
      aux_sym__atoms,
    STATE(4402), 1,
      sym_atom,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3680), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4626), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4320), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4317), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8996), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3660), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [348376] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3118), 1,
      sym_id,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3130), 1,
      anon_sym_record,
    ACTIONS(3132), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3136), 1,
      anon_sym_u2983,
    ACTIONS(3138), 1,
      anon_sym_LBRACE,
    ACTIONS(3140), 1,
      aux_sym__qid_token1,
    ACTIONS(3142), 1,
      anon_sym_DOT,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3148), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3150), 1,
      anon_sym_u2987,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(3156), 1,
      anon_sym_Set,
    STATE(1580), 1,
      sym__ARROW,
    STATE(3671), 1,
      aux_sym__atoms,
    STATE(5148), 1,
      sym_atom,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3154), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4628), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5014), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4982), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8996), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3128), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [348493] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4630), 1,
      anon_sym_in,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [348560] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2300), 1,
      sym_id,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2312), 1,
      anon_sym_record,
    ACTIONS(2314), 1,
      anon_sym_LPAREN,
    ACTIONS(2316), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2318), 1,
      anon_sym_u2983,
    ACTIONS(2320), 1,
      anon_sym_LBRACE,
    ACTIONS(2322), 1,
      aux_sym__qid_token1,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2330), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2332), 1,
      anon_sym_u2987,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(2338), 1,
      anon_sym_Set,
    STATE(1462), 1,
      sym__ARROW,
    STATE(3578), 1,
      aux_sym__atoms,
    STATE(5693), 1,
      sym_atom,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2336), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4632), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5629), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5626), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8985), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2310), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [348677] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4630), 1,
      anon_sym_in,
    STATE(8984), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [348744] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4336), 1,
      anon_sym_in,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [348811] = 31,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4636), 1,
      anon_sym_LPAREN,
    ACTIONS(4638), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4640), 1,
      anon_sym_u2983,
    ACTIONS(4642), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym_DOT,
    STATE(1429), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(5410), 1,
      sym_atom,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4634), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [348930] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4242), 1,
      anon_sym_in,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [348997] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4646), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [349064] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4648), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [349131] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4648), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [349198] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2020), 1,
      sym_id,
    ACTIONS(2024), 1,
      anon_sym_BSLASH,
    ACTIONS(2026), 1,
      anon_sym_u03bb,
    ACTIONS(2030), 1,
      anon_sym_record,
    ACTIONS(2040), 1,
      aux_sym__qid_token1,
    ACTIONS(2044), 1,
      anon_sym_quoteGoal,
    ACTIONS(2046), 1,
      anon_sym_tactic,
    ACTIONS(2048), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2050), 1,
      anon_sym_u2987,
    ACTIONS(2052), 1,
      anon_sym_let,
    ACTIONS(2056), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4652), 1,
      anon_sym_LPAREN,
    ACTIONS(4654), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4656), 1,
      anon_sym_u2983,
    ACTIONS(4658), 1,
      anon_sym_LBRACE,
    ACTIONS(4660), 1,
      anon_sym_DOT,
    STATE(1563), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4548), 1,
      sym_atom,
    STATE(8070), 1,
      sym__LAMBDA,
    STATE(8476), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2022), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2054), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4650), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4497), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4495), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2028), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [349317] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4662), 1,
      anon_sym_in,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [349384] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2782), 1,
      sym_id,
    ACTIONS(2788), 1,
      anon_sym_BSLASH,
    ACTIONS(2790), 1,
      anon_sym_u03bb,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2796), 1,
      anon_sym_LPAREN,
    ACTIONS(2798), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2800), 1,
      anon_sym_u2983,
    ACTIONS(2802), 1,
      anon_sym_LBRACE,
    ACTIONS(2804), 1,
      aux_sym__qid_token1,
    ACTIONS(2806), 1,
      anon_sym_DOT,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2810), 1,
      anon_sym_tactic,
    ACTIONS(2812), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2814), 1,
      anon_sym_u2987,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(2820), 1,
      anon_sym_Set,
    STATE(1570), 1,
      sym__ARROW,
    STATE(3395), 1,
      aux_sym__atoms,
    STATE(5885), 1,
      sym_atom,
    STATE(8107), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2818), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4586), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5968), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8996), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [349501] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4664), 1,
      anon_sym_in,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [349568] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4600), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [349635] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4370), 1,
      anon_sym_in,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [349702] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4662), 1,
      anon_sym_in,
    STATE(8984), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [349769] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4666), 1,
      anon_sym_in,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [349836] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4668), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [349903] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4670), 1,
      anon_sym_in,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [349970] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4670), 1,
      anon_sym_in,
    STATE(8984), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [350037] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4284), 1,
      anon_sym_in,
    STATE(9480), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [350104] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(3844), 1,
      sym_id,
    ACTIONS(3850), 1,
      anon_sym_record,
    ACTIONS(3852), 1,
      anon_sym_LPAREN,
    ACTIONS(3854), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3856), 1,
      anon_sym_u2983,
    ACTIONS(3858), 1,
      anon_sym_LBRACE,
    ACTIONS(3860), 1,
      aux_sym__qid_token1,
    ACTIONS(3862), 1,
      anon_sym_DOT,
    ACTIONS(3864), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3866), 1,
      anon_sym_u2987,
    ACTIONS(3870), 1,
      anon_sym_Set,
    STATE(1650), 1,
      sym__ARROW,
    STATE(3540), 1,
      aux_sym__atoms,
    STATE(4405), 1,
      sym_atom,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3868), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4672), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4296), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4295), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8996), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3848), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [350221] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2058), 1,
      sym_id,
    ACTIONS(2062), 1,
      anon_sym_BSLASH,
    ACTIONS(2064), 1,
      anon_sym_u03bb,
    ACTIONS(2068), 1,
      anon_sym_record,
    ACTIONS(2078), 1,
      aux_sym__qid_token1,
    ACTIONS(2082), 1,
      anon_sym_quoteGoal,
    ACTIONS(2084), 1,
      anon_sym_tactic,
    ACTIONS(2086), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2088), 1,
      anon_sym_u2987,
    ACTIONS(2090), 1,
      anon_sym_let,
    ACTIONS(2094), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4678), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4680), 1,
      anon_sym_u2983,
    ACTIONS(4682), 1,
      anon_sym_LBRACE,
    ACTIONS(4684), 1,
      anon_sym_DOT,
    STATE(1573), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4311), 1,
      sym_atom,
    STATE(8149), 1,
      sym__LAMBDA,
    STATE(8477), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2060), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2092), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4674), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4363), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4360), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [350340] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4686), 1,
      anon_sym_in,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [350407] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4242), 1,
      anon_sym_in,
    STATE(8984), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [350474] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4688), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [350541] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4688), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [350608] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4690), 1,
      anon_sym_in,
    STATE(9433), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [350675] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4690), 1,
      anon_sym_in,
    STATE(9441), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [350742] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4286), 1,
      anon_sym_in,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [350809] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4286), 1,
      anon_sym_in,
    STATE(8984), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [350876] = 31,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(854), 1,
      anon_sym_BSLASH,
    ACTIONS(856), 1,
      anon_sym_u03bb,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(880), 1,
      anon_sym_tactic,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4540), 1,
      anon_sym_LPAREN,
    ACTIONS(4542), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4544), 1,
      anon_sym_u2983,
    ACTIONS(4546), 1,
      anon_sym_LBRACE,
    ACTIONS(4548), 1,
      anon_sym_DOT,
    STATE(1845), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4730), 1,
      sym_atom,
    STATE(8082), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4692), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [350995] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(2908), 1,
      sym_id,
    ACTIONS(2914), 1,
      anon_sym_record,
    ACTIONS(2916), 1,
      anon_sym_LPAREN,
    ACTIONS(2918), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2920), 1,
      anon_sym_u2983,
    ACTIONS(2922), 1,
      anon_sym_LBRACE,
    ACTIONS(2924), 1,
      aux_sym__qid_token1,
    ACTIONS(2926), 1,
      anon_sym_DOT,
    ACTIONS(2928), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2930), 1,
      anon_sym_u2987,
    ACTIONS(2934), 1,
      anon_sym_Set,
    STATE(1513), 1,
      sym__ARROW,
    STATE(3694), 1,
      aux_sym__atoms,
    STATE(4164), 1,
      sym_atom,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2932), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4694), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4166), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4171), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8996), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2912), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [351112] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4696), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [351179] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4698), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [351246] = 30,
    ACTIONS(692), 1,
      anon_sym_record,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(698), 1,
      anon_sym_u2983,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      anon_sym_DOT,
    ACTIONS(718), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(720), 1,
      anon_sym_u2987,
    ACTIONS(728), 1,
      anon_sym_Set,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(3184), 1,
      sym_id,
    ACTIONS(3186), 1,
      anon_sym_BSLASH,
    ACTIONS(3188), 1,
      anon_sym_u03bb,
    ACTIONS(3190), 1,
      aux_sym__qid_token1,
    ACTIONS(3192), 1,
      anon_sym_tactic,
    STATE(1523), 1,
      sym__ARROW,
    STATE(3448), 1,
      aux_sym__atoms,
    STATE(5140), 1,
      sym_atom,
    STATE(8063), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(726), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4700), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5353), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4924), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8985), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(690), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [351363] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4664), 1,
      anon_sym_in,
    STATE(8984), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [351430] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4392), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [351497] = 31,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4704), 1,
      anon_sym_LPAREN,
    ACTIONS(4706), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_u2983,
    ACTIONS(4710), 1,
      anon_sym_LBRACE,
    ACTIONS(4712), 1,
      anon_sym_DOT,
    STATE(1687), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4578), 1,
      sym_atom,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4702), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [351616] = 31,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4540), 1,
      anon_sym_LPAREN,
    ACTIONS(4542), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4544), 1,
      anon_sym_u2983,
    ACTIONS(4546), 1,
      anon_sym_LBRACE,
    ACTIONS(4548), 1,
      anon_sym_DOT,
    STATE(1438), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4730), 1,
      sym_atom,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4714), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [351735] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4410), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [351802] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4410), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [351869] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4662), 1,
      anon_sym_in,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [351936] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4408), 1,
      anon_sym_in,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [352003] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2520), 1,
      sym_id,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2530), 1,
      anon_sym_record,
    ACTIONS(2540), 1,
      aux_sym__qid_token1,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2548), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2550), 1,
      anon_sym_u2987,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(2556), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4718), 1,
      anon_sym_LPAREN,
    ACTIONS(4720), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4722), 1,
      anon_sym_u2983,
    ACTIONS(4724), 1,
      anon_sym_LBRACE,
    ACTIONS(4726), 1,
      anon_sym_DOT,
    STATE(1583), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4059), 1,
      sym_atom,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2554), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4716), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4086), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4083), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [352122] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4728), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [352189] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4524), 1,
      anon_sym_in,
    STATE(9480), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [352256] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4730), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [352323] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4730), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [352390] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4732), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [352457] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4732), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [352524] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4734), 1,
      anon_sym_in,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [352591] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4734), 1,
      anon_sym_in,
    STATE(8984), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [352658] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4318), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [352725] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4468), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [352792] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(3232), 1,
      sym_id,
    ACTIONS(3234), 1,
      anon_sym_BSLASH,
    ACTIONS(3236), 1,
      anon_sym_u03bb,
    ACTIONS(3240), 1,
      anon_sym_record,
    ACTIONS(3242), 1,
      anon_sym_LPAREN,
    ACTIONS(3244), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3246), 1,
      anon_sym_u2983,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3250), 1,
      aux_sym__qid_token1,
    ACTIONS(3252), 1,
      anon_sym_DOT,
    ACTIONS(3254), 1,
      anon_sym_tactic,
    ACTIONS(3256), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3258), 1,
      anon_sym_u2987,
    ACTIONS(3262), 1,
      anon_sym_Set,
    STATE(1537), 1,
      sym__ARROW,
    STATE(3502), 1,
      aux_sym__atoms,
    STATE(5461), 1,
      sym_atom,
    STATE(8112), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3260), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4388), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5393), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5591), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9417), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3238), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [352909] = 31,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4738), 1,
      anon_sym_LPAREN,
    ACTIONS(4740), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4742), 1,
      anon_sym_u2983,
    ACTIONS(4744), 1,
      anon_sym_LBRACE,
    ACTIONS(4746), 1,
      anon_sym_DOT,
    STATE(1410), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(5614), 1,
      sym_atom,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4736), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [353028] = 30,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(2468), 1,
      sym_id,
    ACTIONS(2472), 1,
      anon_sym_record,
    ACTIONS(2474), 1,
      anon_sym_LPAREN,
    ACTIONS(2476), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2478), 1,
      anon_sym_u2983,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    ACTIONS(2482), 1,
      aux_sym__qid_token1,
    ACTIONS(2484), 1,
      anon_sym_DOT,
    ACTIONS(2486), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2488), 1,
      anon_sym_u2987,
    ACTIONS(2492), 1,
      anon_sym_Set,
    STATE(1423), 1,
      sym__ARROW,
    STATE(3427), 1,
      aux_sym__atoms,
    STATE(5539), 1,
      sym_atom,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2490), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4338), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5429), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5422), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8985), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2470), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [353145] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(3872), 1,
      sym_id,
    ACTIONS(3878), 1,
      anon_sym_record,
    ACTIONS(3880), 1,
      anon_sym_LPAREN,
    ACTIONS(3882), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3884), 1,
      anon_sym_u2983,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(3888), 1,
      aux_sym__qid_token1,
    ACTIONS(3890), 1,
      anon_sym_DOT,
    ACTIONS(3892), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3894), 1,
      anon_sym_u2987,
    ACTIONS(3898), 1,
      anon_sym_Set,
    STATE(1660), 1,
      sym__ARROW,
    STATE(3495), 1,
      aux_sym__atoms,
    STATE(4250), 1,
      sym_atom,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3896), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4748), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4199), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4197), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8996), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3876), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [353262] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4750), 1,
      anon_sym_in,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [353329] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4690), 1,
      anon_sym_in,
    STATE(9480), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [353396] = 31,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(2244), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4754), 1,
      anon_sym_LPAREN,
    ACTIONS(4756), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4758), 1,
      anon_sym_u2983,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4762), 1,
      anon_sym_DOT,
    STATE(1593), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4851), 1,
      sym_atom,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4752), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [353515] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2096), 1,
      sym_id,
    ACTIONS(2100), 1,
      anon_sym_BSLASH,
    ACTIONS(2102), 1,
      anon_sym_u03bb,
    ACTIONS(2106), 1,
      anon_sym_record,
    ACTIONS(2116), 1,
      aux_sym__qid_token1,
    ACTIONS(2120), 1,
      anon_sym_quoteGoal,
    ACTIONS(2122), 1,
      anon_sym_tactic,
    ACTIONS(2124), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2126), 1,
      anon_sym_u2987,
    ACTIONS(2128), 1,
      anon_sym_let,
    ACTIONS(2132), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4766), 1,
      anon_sym_LPAREN,
    ACTIONS(4768), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4770), 1,
      anon_sym_u2983,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4774), 1,
      anon_sym_DOT,
    STATE(1653), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4675), 1,
      sym_atom,
    STATE(8140), 1,
      sym__LAMBDA,
    STATE(8487), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2098), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2130), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4764), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4823), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4822), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2104), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [353634] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4686), 1,
      anon_sym_in,
    STATE(8984), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [353701] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4776), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [353768] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4776), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [353835] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4666), 1,
      anon_sym_in,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [353902] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4666), 1,
      anon_sym_in,
    STATE(8984), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [353969] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4320), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [354036] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4750), 1,
      anon_sym_in,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [354103] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4320), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [354170] = 31,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(950), 1,
      sym_id,
    ACTIONS(954), 1,
      anon_sym_BSLASH,
    ACTIONS(956), 1,
      anon_sym_u03bb,
    ACTIONS(960), 1,
      anon_sym_record,
    ACTIONS(970), 1,
      aux_sym__qid_token1,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(976), 1,
      anon_sym_tactic,
    ACTIONS(978), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(980), 1,
      anon_sym_u2987,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(986), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4780), 1,
      anon_sym_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4784), 1,
      anon_sym_u2983,
    ACTIONS(4786), 1,
      anon_sym_LBRACE,
    ACTIONS(4788), 1,
      anon_sym_DOT,
    STATE(1694), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4952), 1,
      sym_atom,
    STATE(8067), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(984), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4778), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5006), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5025), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(958), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [354289] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(1866), 1,
      sym_id,
    ACTIONS(1870), 1,
      anon_sym_BSLASH,
    ACTIONS(1872), 1,
      anon_sym_u03bb,
    ACTIONS(1876), 1,
      anon_sym_record,
    ACTIONS(1886), 1,
      aux_sym__qid_token1,
    ACTIONS(1890), 1,
      anon_sym_quoteGoal,
    ACTIONS(1892), 1,
      anon_sym_tactic,
    ACTIONS(1894), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1896), 1,
      anon_sym_u2987,
    ACTIONS(1898), 1,
      anon_sym_let,
    ACTIONS(1902), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4792), 1,
      anon_sym_LPAREN,
    ACTIONS(4794), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4796), 1,
      anon_sym_u2983,
    ACTIONS(4798), 1,
      anon_sym_LBRACE,
    ACTIONS(4800), 1,
      anon_sym_DOT,
    STATE(1482), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4687), 1,
      sym_atom,
    STATE(8131), 1,
      sym__LAMBDA,
    STATE(8455), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1868), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1900), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4790), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4844), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4861), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1874), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [354408] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4390), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [354475] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4688), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [354542] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4750), 1,
      anon_sym_in,
    STATE(8984), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [354609] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(3302), 1,
      sym_id,
    ACTIONS(3304), 1,
      anon_sym_BSLASH,
    ACTIONS(3306), 1,
      anon_sym_u03bb,
    ACTIONS(3310), 1,
      anon_sym_record,
    ACTIONS(3312), 1,
      anon_sym_LPAREN,
    ACTIONS(3314), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3316), 1,
      anon_sym_u2983,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(3320), 1,
      aux_sym__qid_token1,
    ACTIONS(3322), 1,
      anon_sym_DOT,
    ACTIONS(3324), 1,
      anon_sym_tactic,
    ACTIONS(3326), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3328), 1,
      anon_sym_u2987,
    ACTIONS(3332), 1,
      anon_sym_Set,
    STATE(1550), 1,
      sym__ARROW,
    STATE(3542), 1,
      aux_sym__atoms,
    STATE(5465), 1,
      sym_atom,
    STATE(8144), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3330), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4452), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5589), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5523), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8985), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3308), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [354726] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4802), 1,
      anon_sym_in,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [354793] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(3722), 1,
      sym_id,
    ACTIONS(3728), 1,
      anon_sym_record,
    ACTIONS(3730), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3734), 1,
      anon_sym_u2983,
    ACTIONS(3736), 1,
      anon_sym_LBRACE,
    ACTIONS(3738), 1,
      aux_sym__qid_token1,
    ACTIONS(3740), 1,
      anon_sym_DOT,
    ACTIONS(3742), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3744), 1,
      anon_sym_u2987,
    ACTIONS(3748), 1,
      anon_sym_Set,
    STATE(1620), 1,
      sym__ARROW,
    STATE(3508), 1,
      aux_sym__atoms,
    STATE(5511), 1,
      sym_atom,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3746), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4804), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5688), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5600), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8985), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3726), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [354910] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4242), 1,
      anon_sym_in,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [354977] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4510), 1,
      anon_sym_in,
    STATE(9480), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [355044] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4600), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [355111] = 31,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(2598), 1,
      sym_id,
    ACTIONS(2602), 1,
      anon_sym_record,
    ACTIONS(2612), 1,
      aux_sym__qid_token1,
    ACTIONS(2616), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2618), 1,
      anon_sym_u2987,
    ACTIONS(2622), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4808), 1,
      anon_sym_LPAREN,
    ACTIONS(4810), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4812), 1,
      anon_sym_u2983,
    ACTIONS(4814), 1,
      anon_sym_LBRACE,
    ACTIONS(4816), 1,
      anon_sym_DOT,
    STATE(1633), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(5108), 1,
      sym_atom,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2620), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4806), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5254), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5251), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2600), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [355230] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(3932), 1,
      sym_id,
    ACTIONS(3938), 1,
      anon_sym_record,
    ACTIONS(3940), 1,
      anon_sym_LPAREN,
    ACTIONS(3942), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3944), 1,
      anon_sym_u2983,
    ACTIONS(3946), 1,
      anon_sym_LBRACE,
    ACTIONS(3948), 1,
      aux_sym__qid_token1,
    ACTIONS(3950), 1,
      anon_sym_DOT,
    ACTIONS(3952), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3954), 1,
      anon_sym_u2987,
    ACTIONS(3958), 1,
      anon_sym_Set,
    STATE(1670), 1,
      sym__ARROW,
    STATE(3548), 1,
      aux_sym__atoms,
    STATE(4649), 1,
      sym_atom,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3956), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4818), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4887), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4886), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8996), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3936), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [355347] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(3590), 1,
      sym_id,
    ACTIONS(3596), 1,
      anon_sym_record,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    ACTIONS(3600), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3602), 1,
      anon_sym_u2983,
    ACTIONS(3604), 1,
      anon_sym_LBRACE,
    ACTIONS(3606), 1,
      aux_sym__qid_token1,
    ACTIONS(3608), 1,
      anon_sym_DOT,
    ACTIONS(3610), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3612), 1,
      anon_sym_u2987,
    ACTIONS(3616), 1,
      anon_sym_Set,
    STATE(1600), 1,
      sym__ARROW,
    STATE(3567), 1,
      aux_sym__atoms,
    STATE(4575), 1,
      sym_atom,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3614), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4820), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4519), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4459), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8996), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3594), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [355464] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4668), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [355531] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4696), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [355598] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4696), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [355665] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4802), 1,
      anon_sym_in,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [355732] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4802), 1,
      anon_sym_in,
    STATE(8984), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [355799] = 31,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2244), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4754), 1,
      anon_sym_LPAREN,
    ACTIONS(4756), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4758), 1,
      anon_sym_u2983,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4762), 1,
      anon_sym_DOT,
    STATE(1603), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4851), 1,
      sym_atom,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4822), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [355918] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4668), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [355985] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4426), 1,
      anon_sym_in,
    STATE(8984), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [356052] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4732), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [356119] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4366), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [356186] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4366), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [356253] = 31,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(2976), 1,
      sym_id,
    ACTIONS(2980), 1,
      anon_sym_record,
    ACTIONS(2990), 1,
      aux_sym__qid_token1,
    ACTIONS(2994), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2996), 1,
      anon_sym_u2987,
    ACTIONS(3000), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      anon_sym_LPAREN,
    ACTIONS(4828), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4830), 1,
      anon_sym_u2983,
    ACTIONS(4832), 1,
      anon_sym_LBRACE,
    ACTIONS(4834), 1,
      anon_sym_DOT,
    STATE(1701), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4792), 1,
      sym_atom,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2998), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4824), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4870), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4868), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2978), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [356372] = 31,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(950), 1,
      sym_id,
    ACTIONS(954), 1,
      anon_sym_BSLASH,
    ACTIONS(956), 1,
      anon_sym_u03bb,
    ACTIONS(960), 1,
      anon_sym_record,
    ACTIONS(970), 1,
      aux_sym__qid_token1,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(976), 1,
      anon_sym_tactic,
    ACTIONS(978), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(980), 1,
      anon_sym_u2987,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(986), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4780), 1,
      anon_sym_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4784), 1,
      anon_sym_u2983,
    ACTIONS(4786), 1,
      anon_sym_LBRACE,
    ACTIONS(4788), 1,
      anon_sym_DOT,
    STATE(1410), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4952), 1,
      sym_atom,
    STATE(8067), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(984), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4736), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5006), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5025), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(958), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [356491] = 30,
    ACTIONS(686), 1,
      anon_sym_BSLASH,
    ACTIONS(688), 1,
      anon_sym_u03bb,
    ACTIONS(692), 1,
      anon_sym_record,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(698), 1,
      anon_sym_u2983,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      anon_sym_DOT,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(716), 1,
      anon_sym_tactic,
    ACTIONS(718), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(720), 1,
      anon_sym_u2987,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(728), 1,
      anon_sym_Set,
    ACTIONS(3184), 1,
      sym_id,
    ACTIONS(3190), 1,
      aux_sym__qid_token1,
    STATE(1560), 1,
      sym__ARROW,
    STATE(3582), 1,
      aux_sym__atoms,
    STATE(5140), 1,
      sym_atom,
    STATE(8123), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(726), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4508), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5353), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4924), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8985), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(690), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [356608] = 31,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4836), 1,
      anon_sym_LPAREN,
    ACTIONS(4838), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4840), 1,
      anon_sym_u2983,
    ACTIONS(4842), 1,
      anon_sym_LBRACE,
    ACTIONS(4844), 1,
      anon_sym_DOT,
    STATE(1438), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(5286), 1,
      sym_atom,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4714), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [356727] = 31,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(894), 1,
      sym_id,
    ACTIONS(898), 1,
      anon_sym_BSLASH,
    ACTIONS(900), 1,
      anon_sym_u03bb,
    ACTIONS(904), 1,
      anon_sym_record,
    ACTIONS(916), 1,
      aux_sym__qid_token1,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(922), 1,
      anon_sym_tactic,
    ACTIONS(924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(926), 1,
      anon_sym_u2987,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(932), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4846), 1,
      anon_sym_LPAREN,
    ACTIONS(4848), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4850), 1,
      anon_sym_u2983,
    ACTIONS(4852), 1,
      anon_sym_LBRACE,
    ACTIONS(4854), 1,
      anon_sym_DOT,
    STATE(1429), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(5348), 1,
      sym_atom,
    STATE(8072), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(930), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4634), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5081), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5079), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(902), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [356846] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4340), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [356913] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4686), 1,
      anon_sym_in,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [356980] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4648), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [357047] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4698), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [357114] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4698), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [357181] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4288), 1,
      anon_sym_in,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [357248] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4288), 1,
      anon_sym_in,
    STATE(8984), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [357315] = 31,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    ACTIONS(2378), 1,
      sym_id,
    ACTIONS(2382), 1,
      anon_sym_record,
    ACTIONS(2392), 1,
      aux_sym__qid_token1,
    ACTIONS(2396), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2398), 1,
      anon_sym_u2987,
    ACTIONS(2402), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4858), 1,
      anon_sym_LPAREN,
    ACTIONS(4860), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4862), 1,
      anon_sym_u2983,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(4866), 1,
      anon_sym_DOT,
    STATE(1613), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(5092), 1,
      sym_atom,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2400), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4856), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5218), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [357434] = 30,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2822), 1,
      sym_id,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2838), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2844), 1,
      anon_sym_DOT,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2850), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(2858), 1,
      anon_sym_Set,
    STATE(1523), 1,
      sym__ARROW,
    STATE(3487), 1,
      aux_sym__atoms,
    STATE(4643), 1,
      sym_atom,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2856), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4700), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8985), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2832), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [357551] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4776), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [357618] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1980), 1,
      sym_id,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(1992), 1,
      anon_sym_record,
    ACTIONS(1994), 1,
      anon_sym_LPAREN,
    ACTIONS(1996), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1998), 1,
      anon_sym_u2983,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(2002), 1,
      aux_sym__qid_token1,
    ACTIONS(2004), 1,
      anon_sym_DOT,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2010), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2012), 1,
      anon_sym_u2987,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(2018), 1,
      anon_sym_Set,
    STATE(1436), 1,
      sym__ARROW,
    STATE(3510), 1,
      aux_sym__atoms,
    STATE(5301), 1,
      sym_atom,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2016), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4868), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5060), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5058), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8985), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1990), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [357735] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2558), 1,
      sym_id,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2570), 1,
      anon_sym_record,
    ACTIONS(2572), 1,
      anon_sym_LPAREN,
    ACTIONS(2574), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2576), 1,
      anon_sym_u2983,
    ACTIONS(2578), 1,
      anon_sym_LBRACE,
    ACTIONS(2580), 1,
      aux_sym__qid_token1,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2588), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2590), 1,
      anon_sym_u2987,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(2596), 1,
      anon_sym_Set,
    STATE(1475), 1,
      sym__ARROW,
    STATE(3574), 1,
      aux_sym__atoms,
    STATE(5395), 1,
      sym_atom,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2594), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4870), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5359), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5727), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8985), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2568), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [357852] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(3900), 1,
      sym_id,
    ACTIONS(3908), 1,
      anon_sym_record,
    ACTIONS(3910), 1,
      anon_sym_LPAREN,
    ACTIONS(3912), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3914), 1,
      anon_sym_u2983,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    ACTIONS(3918), 1,
      aux_sym__qid_token1,
    ACTIONS(3920), 1,
      anon_sym_DOT,
    ACTIONS(3924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3926), 1,
      anon_sym_u2987,
    ACTIONS(3930), 1,
      anon_sym_Set,
    ACTIONS(3960), 1,
      anon_sym_BSLASH,
    ACTIONS(3962), 1,
      anon_sym_u03bb,
    ACTIONS(3964), 1,
      anon_sym_tactic,
    STATE(1436), 1,
      sym__ARROW,
    STATE(3622), 1,
      aux_sym__atoms,
    STATE(5957), 1,
      sym_atom,
    STATE(8075), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3928), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4868), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5741), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5737), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8985), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3906), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [357969] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4664), 1,
      anon_sym_in,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [358036] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4646), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [358103] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4426), 1,
      anon_sym_in,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [358170] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4386), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [358237] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4386), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [358304] = 31,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(894), 1,
      sym_id,
    ACTIONS(898), 1,
      anon_sym_BSLASH,
    ACTIONS(900), 1,
      anon_sym_u03bb,
    ACTIONS(904), 1,
      anon_sym_record,
    ACTIONS(916), 1,
      aux_sym__qid_token1,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(922), 1,
      anon_sym_tactic,
    ACTIONS(924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(926), 1,
      anon_sym_u2987,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(932), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4846), 1,
      anon_sym_LPAREN,
    ACTIONS(4848), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4850), 1,
      anon_sym_u2983,
    ACTIONS(4852), 1,
      anon_sym_LBRACE,
    ACTIONS(4854), 1,
      anon_sym_DOT,
    STATE(1708), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(5348), 1,
      sym_atom,
    STATE(8072), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(930), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4872), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5081), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5079), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(902), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [358423] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(109), 1,
      anon_sym_BSLASH,
    ACTIONS(111), 1,
      anon_sym_u03bb,
    ACTIONS(147), 1,
      anon_sym_quoteGoal,
    ACTIONS(149), 1,
      anon_sym_tactic,
    ACTIONS(155), 1,
      anon_sym_let,
    ACTIONS(2664), 1,
      sym_id,
    ACTIONS(2668), 1,
      anon_sym_record,
    ACTIONS(2678), 1,
      aux_sym__qid_token1,
    ACTIONS(2682), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2684), 1,
      anon_sym_u2987,
    ACTIONS(2688), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4876), 1,
      anon_sym_LPAREN,
    ACTIONS(4878), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4880), 1,
      anon_sym_u2983,
    ACTIONS(4882), 1,
      anon_sym_LBRACE,
    ACTIONS(4884), 1,
      anon_sym_DOT,
    STATE(1663), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4062), 1,
      sym_atom,
    STATE(8055), 1,
      sym__LAMBDA,
    STATE(8432), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(107), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2686), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4874), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4053), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4075), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2666), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [358542] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4282), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [358609] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4282), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [358676] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4368), 1,
      anon_sym_in,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [358743] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4368), 1,
      anon_sym_in,
    STATE(8984), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [358810] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4646), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [358877] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4730), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [358944] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4244), 1,
      anon_sym_in,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [359011] = 31,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(2494), 1,
      sym_id,
    ACTIONS(2498), 1,
      anon_sym_record,
    ACTIONS(2508), 1,
      aux_sym__qid_token1,
    ACTIONS(2512), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2514), 1,
      anon_sym_u2987,
    ACTIONS(2518), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4888), 1,
      anon_sym_LPAREN,
    ACTIONS(4890), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4892), 1,
      anon_sym_u2983,
    ACTIONS(4894), 1,
      anon_sym_LBRACE,
    ACTIONS(4896), 1,
      anon_sym_DOT,
    STATE(1623), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(5100), 1,
      sym_atom,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2516), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4886), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5233), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5229), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2496), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [359130] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4284), 1,
      anon_sym_in,
    STATE(9433), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [359197] = 31,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4836), 1,
      anon_sym_LPAREN,
    ACTIONS(4838), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4840), 1,
      anon_sym_u2983,
    ACTIONS(4842), 1,
      anon_sym_LBRACE,
    ACTIONS(4844), 1,
      anon_sym_DOT,
    STATE(2652), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(5286), 1,
      sym_atom,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4898), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [359316] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4630), 1,
      anon_sym_in,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [359383] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4670), 1,
      anon_sym_in,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [359450] = 31,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(854), 1,
      anon_sym_BSLASH,
    ACTIONS(856), 1,
      anon_sym_u03bb,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(880), 1,
      anon_sym_tactic,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4540), 1,
      anon_sym_LPAREN,
    ACTIONS(4542), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4544), 1,
      anon_sym_u2983,
    ACTIONS(4546), 1,
      anon_sym_LBRACE,
    ACTIONS(4548), 1,
      anon_sym_DOT,
    STATE(2652), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4730), 1,
      sym_atom,
    STATE(8082), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4898), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [359569] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(3524), 1,
      sym_id,
    ACTIONS(3530), 1,
      anon_sym_record,
    ACTIONS(3532), 1,
      anon_sym_LPAREN,
    ACTIONS(3534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3536), 1,
      anon_sym_u2983,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    ACTIONS(3540), 1,
      aux_sym__qid_token1,
    ACTIONS(3542), 1,
      anon_sym_DOT,
    ACTIONS(3544), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3546), 1,
      anon_sym_u2987,
    ACTIONS(3550), 1,
      anon_sym_Set,
    STATE(1590), 1,
      sym__ARROW,
    STATE(3669), 1,
      aux_sym__atoms,
    STATE(4781), 1,
      sym_atom,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3548), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4900), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4820), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4761), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8996), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [359686] = 31,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4704), 1,
      anon_sym_LPAREN,
    ACTIONS(4706), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_u2983,
    ACTIONS(4710), 1,
      anon_sym_LBRACE,
    ACTIONS(4712), 1,
      anon_sym_DOT,
    STATE(2654), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(4578), 1,
      sym_atom,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4902), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [359805] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4734), 1,
      anon_sym_in,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [359872] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4728), 1,
      anon_sym_in,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [359939] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4728), 1,
      anon_sym_in,
    STATE(8961), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [360006] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4904), 1,
      anon_sym_in,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [360073] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4904), 1,
      anon_sym_in,
    STATE(8984), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [360140] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4904), 1,
      anon_sym_in,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [360207] = 31,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(2690), 1,
      sym_id,
    ACTIONS(2694), 1,
      anon_sym_record,
    ACTIONS(2704), 1,
      aux_sym__qid_token1,
    ACTIONS(2708), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2710), 1,
      anon_sym_u2987,
    ACTIONS(2714), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4908), 1,
      anon_sym_LPAREN,
    ACTIONS(4910), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4912), 1,
      anon_sym_u2983,
    ACTIONS(4914), 1,
      anon_sym_LBRACE,
    ACTIONS(4916), 1,
      anon_sym_DOT,
    STATE(1643), 1,
      sym__ARROW,
    STATE(3987), 1,
      aux_sym__atoms,
    STATE(5113), 1,
      sym_atom,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2712), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4906), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5272), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5268), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [360326] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(1946), 1,
      anon_sym_BSLASH,
    ACTIONS(1948), 1,
      anon_sym_u03bb,
    ACTIONS(1966), 1,
      anon_sym_quoteGoal,
    ACTIONS(1968), 1,
      anon_sym_tactic,
    ACTIONS(1974), 1,
      anon_sym_let,
    ACTIONS(4918), 1,
      sym_id,
    ACTIONS(4922), 1,
      anon_sym_record,
    ACTIONS(4924), 1,
      anon_sym_LPAREN,
    ACTIONS(4926), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4928), 1,
      anon_sym_u2983,
    ACTIONS(4930), 1,
      anon_sym_LBRACE,
    ACTIONS(4932), 1,
      aux_sym__qid_token1,
    ACTIONS(4934), 1,
      anon_sym_DOT,
    ACTIONS(4936), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4938), 1,
      anon_sym_u2987,
    ACTIONS(4942), 1,
      anon_sym_Set,
    STATE(3707), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3788), 1,
      aux_sym__atoms,
    STATE(5773), 1,
      sym_atom,
    STATE(8062), 1,
      sym__LAMBDA,
    STATE(8473), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1944), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4940), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5791), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5787), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(4920), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [360442] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9891), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [360558] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10376), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9804), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [360676] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10706), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10184), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [360794] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9848), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [360910] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9849), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [361026] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9850), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [361142] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11366), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10148), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [361260] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3118), 1,
      sym_id,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3130), 1,
      anon_sym_record,
    ACTIONS(3132), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3136), 1,
      anon_sym_u2983,
    ACTIONS(3138), 1,
      anon_sym_LBRACE,
    ACTIONS(3140), 1,
      aux_sym__qid_token1,
    ACTIONS(3142), 1,
      anon_sym_DOT,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3148), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3150), 1,
      anon_sym_u2987,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(3156), 1,
      anon_sym_Set,
    STATE(1580), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5148), 1,
      sym_atom,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3154), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4628), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5014), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4982), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3128), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [361376] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9954), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [361492] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9955), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [361608] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10898), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10186), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [361726] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9884), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [361842] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9888), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [361958] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9889), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [362074] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11111), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10188), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [362192] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9917), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [362308] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9918), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [362424] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9919), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [362540] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11286), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10190), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [362658] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9940), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [362774] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9941), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [362890] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9942), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [363006] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11491), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10194), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [363124] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9970), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [363240] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9971), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [363356] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9975), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [363472] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11655), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10197), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [363590] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9997), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [363706] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9998), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [363822] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10231), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [363938] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11834), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10199), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [364056] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10025), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [364172] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10028), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [364288] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10029), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [364404] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12025), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10201), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [364522] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10045), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [364638] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10046), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [364754] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10047), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [364870] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12218), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10203), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [364988] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10063), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [365104] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10064), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [365220] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10065), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [365336] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12386), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10205), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [365454] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10086), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [365570] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10087), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [365686] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10088), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [365802] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2782), 1,
      sym_id,
    ACTIONS(2788), 1,
      anon_sym_BSLASH,
    ACTIONS(2790), 1,
      anon_sym_u03bb,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2796), 1,
      anon_sym_LPAREN,
    ACTIONS(2798), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2800), 1,
      anon_sym_u2983,
    ACTIONS(2802), 1,
      anon_sym_LBRACE,
    ACTIONS(2804), 1,
      aux_sym__qid_token1,
    ACTIONS(2806), 1,
      anon_sym_DOT,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2810), 1,
      anon_sym_tactic,
    ACTIONS(2812), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2814), 1,
      anon_sym_u2987,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(2820), 1,
      anon_sym_Set,
    STATE(1571), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5885), 1,
      sym_atom,
    STATE(8107), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2818), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4944), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5968), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [365918] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12612), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10207), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [366036] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10157), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [366152] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10160), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [366268] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10161), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [366384] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9956), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [366500] = 30,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(2468), 1,
      sym_id,
    ACTIONS(2472), 1,
      anon_sym_record,
    ACTIONS(2474), 1,
      anon_sym_LPAREN,
    ACTIONS(2476), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2478), 1,
      anon_sym_u2983,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    ACTIONS(2482), 1,
      aux_sym__qid_token1,
    ACTIONS(2484), 1,
      anon_sym_DOT,
    ACTIONS(2486), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2488), 1,
      anon_sym_u2987,
    ACTIONS(2492), 1,
      anon_sym_Set,
    STATE(1423), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5539), 1,
      sym_atom,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2490), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4338), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5429), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5422), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2470), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [366616] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(3722), 1,
      sym_id,
    ACTIONS(3728), 1,
      anon_sym_record,
    ACTIONS(3730), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3734), 1,
      anon_sym_u2983,
    ACTIONS(3736), 1,
      anon_sym_LBRACE,
    ACTIONS(3738), 1,
      aux_sym__qid_token1,
    ACTIONS(3740), 1,
      anon_sym_DOT,
    ACTIONS(3742), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3744), 1,
      anon_sym_u2987,
    ACTIONS(3748), 1,
      anon_sym_Set,
    STATE(1620), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5511), 1,
      sym_atom,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3746), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4804), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5688), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5600), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3726), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [366732] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9892), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [366848] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(3816), 1,
      sym_id,
    ACTIONS(3822), 1,
      anon_sym_record,
    ACTIONS(3824), 1,
      anon_sym_LPAREN,
    ACTIONS(3826), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3828), 1,
      anon_sym_u2983,
    ACTIONS(3830), 1,
      anon_sym_LBRACE,
    ACTIONS(3832), 1,
      aux_sym__qid_token1,
    ACTIONS(3834), 1,
      anon_sym_DOT,
    ACTIONS(3836), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3838), 1,
      anon_sym_u2987,
    ACTIONS(3842), 1,
      anon_sym_Set,
    STATE(1641), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4582), 1,
      sym_atom,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3840), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4946), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4457), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4439), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3820), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [366964] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(4948), 1,
      sym_id,
    ACTIONS(4952), 1,
      anon_sym_record,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4958), 1,
      anon_sym_u2983,
    ACTIONS(4960), 1,
      anon_sym_LBRACE,
    ACTIONS(4962), 1,
      aux_sym__qid_token1,
    ACTIONS(4964), 1,
      anon_sym_DOT,
    ACTIONS(4966), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4968), 1,
      anon_sym_u2987,
    ACTIONS(4972), 1,
      anon_sym_Set,
    STATE(3752), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3882), 1,
      aux_sym__atoms,
    STATE(5890), 1,
      sym_atom,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4970), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5913), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5970), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(4950), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [367080] = 30,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(3900), 1,
      sym_id,
    ACTIONS(3902), 1,
      anon_sym_BSLASH,
    ACTIONS(3904), 1,
      anon_sym_u03bb,
    ACTIONS(3908), 1,
      anon_sym_record,
    ACTIONS(3910), 1,
      anon_sym_LPAREN,
    ACTIONS(3912), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3914), 1,
      anon_sym_u2983,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    ACTIONS(3918), 1,
      aux_sym__qid_token1,
    ACTIONS(3920), 1,
      anon_sym_DOT,
    ACTIONS(3922), 1,
      anon_sym_tactic,
    ACTIONS(3924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3926), 1,
      anon_sym_u2987,
    ACTIONS(3930), 1,
      anon_sym_Set,
    STATE(1425), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5957), 1,
      sym_atom,
    STATE(8136), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3928), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4974), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5741), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5737), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3906), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [367196] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10705), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10209), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [367314] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9699), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [367430] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9700), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [367546] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9701), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [367662] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9963), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [367778] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10790), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10079), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [367896] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9867), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [368012] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9868), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [368128] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9869), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [368244] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(4976), 1,
      sym_id,
    ACTIONS(4980), 1,
      anon_sym_record,
    ACTIONS(4982), 1,
      anon_sym_LPAREN,
    ACTIONS(4984), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4986), 1,
      anon_sym_u2983,
    ACTIONS(4988), 1,
      anon_sym_LBRACE,
    ACTIONS(4990), 1,
      aux_sym__qid_token1,
    ACTIONS(4992), 1,
      anon_sym_DOT,
    ACTIONS(4994), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4996), 1,
      anon_sym_u2987,
    ACTIONS(5000), 1,
      anon_sym_Set,
    STATE(3730), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3783), 1,
      aux_sym__atoms,
    STATE(4399), 1,
      sym_atom,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4998), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4265), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4263), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(4978), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [368360] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(3590), 1,
      sym_id,
    ACTIONS(3596), 1,
      anon_sym_record,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    ACTIONS(3600), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3602), 1,
      anon_sym_u2983,
    ACTIONS(3604), 1,
      anon_sym_LBRACE,
    ACTIONS(3606), 1,
      aux_sym__qid_token1,
    ACTIONS(3608), 1,
      anon_sym_DOT,
    ACTIONS(3610), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3612), 1,
      anon_sym_u2987,
    ACTIONS(3616), 1,
      anon_sym_Set,
    STATE(1600), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4575), 1,
      sym_atom,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3614), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4820), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4519), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4459), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3594), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [368476] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(3816), 1,
      sym_id,
    ACTIONS(3822), 1,
      anon_sym_record,
    ACTIONS(3824), 1,
      anon_sym_LPAREN,
    ACTIONS(3826), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3828), 1,
      anon_sym_u2983,
    ACTIONS(3830), 1,
      anon_sym_LBRACE,
    ACTIONS(3832), 1,
      aux_sym__qid_token1,
    ACTIONS(3834), 1,
      anon_sym_DOT,
    ACTIONS(3836), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3838), 1,
      anon_sym_u2987,
    ACTIONS(3842), 1,
      anon_sym_Set,
    STATE(1640), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4582), 1,
      sym_atom,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3840), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4394), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4457), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4439), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3820), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [368592] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(738), 1,
      anon_sym_BSLASH,
    ACTIONS(740), 1,
      anon_sym_u03bb,
    ACTIONS(762), 1,
      anon_sym_quoteGoal,
    ACTIONS(764), 1,
      anon_sym_tactic,
    ACTIONS(2168), 1,
      anon_sym_let,
    ACTIONS(4250), 1,
      sym_id,
    ACTIONS(4254), 1,
      anon_sym_record,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4260), 1,
      anon_sym_u2983,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4264), 1,
      aux_sym__qid_token1,
    ACTIONS(4266), 1,
      anon_sym_DOT,
    ACTIONS(4268), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4270), 1,
      anon_sym_u2987,
    ACTIONS(4274), 1,
      anon_sym_Set,
    STATE(3720), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3810), 1,
      aux_sym__atoms,
    STATE(5812), 1,
      sym_atom,
    STATE(8084), 1,
      sym__LAMBDA,
    STATE(8447), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4272), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5777), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5768), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(4252), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [368708] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(5002), 1,
      sym_id,
    ACTIONS(5008), 1,
      anon_sym_record,
    ACTIONS(5010), 1,
      anon_sym_LPAREN,
    ACTIONS(5012), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5014), 1,
      anon_sym_u2983,
    ACTIONS(5016), 1,
      anon_sym_LBRACE,
    ACTIONS(5018), 1,
      aux_sym__qid_token1,
    ACTIONS(5020), 1,
      anon_sym_DOT,
    ACTIONS(5022), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5024), 1,
      anon_sym_u2987,
    ACTIONS(5028), 1,
      anon_sym_Set,
    STATE(1421), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(6066), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5004), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(5026), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6117), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6116), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5006), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [368824] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10393), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10211), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [368942] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9709), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [369058] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9710), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [369174] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9711), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [369290] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(5030), 1,
      sym_id,
    ACTIONS(5034), 1,
      anon_sym_record,
    ACTIONS(5036), 1,
      anon_sym_LPAREN,
    ACTIONS(5038), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5040), 1,
      anon_sym_u2983,
    ACTIONS(5042), 1,
      anon_sym_LBRACE,
    ACTIONS(5044), 1,
      aux_sym__qid_token1,
    ACTIONS(5046), 1,
      anon_sym_DOT,
    ACTIONS(5048), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5050), 1,
      anon_sym_u2987,
    ACTIONS(5054), 1,
      anon_sym_Set,
    STATE(3727), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3775), 1,
      aux_sym__atoms,
    STATE(5909), 1,
      sym_atom,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5052), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5864), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5852), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5032), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [369406] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11970), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10124), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [369524] = 30,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(2468), 1,
      sym_id,
    ACTIONS(2472), 1,
      anon_sym_record,
    ACTIONS(2474), 1,
      anon_sym_LPAREN,
    ACTIONS(2476), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2478), 1,
      anon_sym_u2983,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    ACTIONS(2482), 1,
      aux_sym__qid_token1,
    ACTIONS(2484), 1,
      anon_sym_DOT,
    ACTIONS(2486), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2488), 1,
      anon_sym_u2987,
    ACTIONS(2492), 1,
      anon_sym_Set,
    STATE(1425), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5539), 1,
      sym_atom,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2490), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4974), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5429), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5422), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2470), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [369640] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10037), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [369756] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12478), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10150), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [369874] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10834), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10213), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [369992] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9723), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [370108] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9725), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [370224] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9726), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [370340] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9773), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [370456] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2782), 1,
      sym_id,
    ACTIONS(2788), 1,
      anon_sym_BSLASH,
    ACTIONS(2790), 1,
      anon_sym_u03bb,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2796), 1,
      anon_sym_LPAREN,
    ACTIONS(2798), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2800), 1,
      anon_sym_u2983,
    ACTIONS(2802), 1,
      anon_sym_LBRACE,
    ACTIONS(2804), 1,
      aux_sym__qid_token1,
    ACTIONS(2806), 1,
      anon_sym_DOT,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2810), 1,
      anon_sym_tactic,
    ACTIONS(2812), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2814), 1,
      anon_sym_u2987,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(2820), 1,
      anon_sym_Set,
    STATE(1570), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5885), 1,
      sym_atom,
    STATE(8107), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2818), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4586), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5968), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [370572] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9774), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [370688] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9776), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [370804] = 30,
    ACTIONS(686), 1,
      anon_sym_BSLASH,
    ACTIONS(688), 1,
      anon_sym_u03bb,
    ACTIONS(692), 1,
      anon_sym_record,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(698), 1,
      anon_sym_u2983,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      anon_sym_DOT,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(716), 1,
      anon_sym_tactic,
    ACTIONS(718), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(720), 1,
      anon_sym_u2987,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(728), 1,
      anon_sym_Set,
    ACTIONS(3184), 1,
      sym_id,
    ACTIONS(3190), 1,
      aux_sym__qid_token1,
    STATE(1560), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5140), 1,
      sym_atom,
    STATE(8123), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(726), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4508), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5353), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4924), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(690), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [370920] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10038), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [371036] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10039), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [371152] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11085), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10215), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [371270] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9732), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [371386] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9733), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [371502] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9734), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [371618] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12102), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10126), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [371736] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(5008), 1,
      anon_sym_record,
    ACTIONS(5010), 1,
      anon_sym_LPAREN,
    ACTIONS(5012), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5014), 1,
      anon_sym_u2983,
    ACTIONS(5016), 1,
      anon_sym_LBRACE,
    ACTIONS(5020), 1,
      anon_sym_DOT,
    ACTIONS(5022), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5024), 1,
      anon_sym_u2987,
    ACTIONS(5028), 1,
      anon_sym_Set,
    ACTIONS(5056), 1,
      sym_id,
    ACTIONS(5058), 1,
      aux_sym__qid_token1,
    STATE(3420), 1,
      aux_sym__atoms,
    STATE(5987), 1,
      sym__qid,
    STATE(6066), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5026), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6117), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6116), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5006), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(11737), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [371852] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10369), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10142), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [371970] = 30,
    ACTIONS(692), 1,
      anon_sym_record,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(698), 1,
      anon_sym_u2983,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      anon_sym_DOT,
    ACTIONS(718), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(720), 1,
      anon_sym_u2987,
    ACTIONS(728), 1,
      anon_sym_Set,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(3184), 1,
      sym_id,
    ACTIONS(3186), 1,
      anon_sym_BSLASH,
    ACTIONS(3188), 1,
      anon_sym_u03bb,
    ACTIONS(3190), 1,
      aux_sym__qid_token1,
    ACTIONS(3192), 1,
      anon_sym_tactic,
    STATE(1524), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5140), 1,
      sym_atom,
    STATE(8063), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(726), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5060), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5353), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4924), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(690), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [372086] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10052), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [372202] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10053), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [372318] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 2,
      sym__dedent,
      anon_sym_BSLASH,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [372380] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1980), 1,
      sym_id,
    ACTIONS(1992), 1,
      anon_sym_record,
    ACTIONS(1994), 1,
      anon_sym_LPAREN,
    ACTIONS(1996), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1998), 1,
      anon_sym_u2983,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(2002), 1,
      aux_sym__qid_token1,
    ACTIONS(2004), 1,
      anon_sym_DOT,
    ACTIONS(2010), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2012), 1,
      anon_sym_u2987,
    ACTIONS(2018), 1,
      anon_sym_Set,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    STATE(1448), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5301), 1,
      sym_atom,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2016), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4494), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5060), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5058), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1990), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [372496] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(5062), 1,
      sym_id,
    ACTIONS(5066), 1,
      anon_sym_record,
    ACTIONS(5068), 1,
      anon_sym_LPAREN,
    ACTIONS(5070), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5072), 1,
      anon_sym_u2983,
    ACTIONS(5074), 1,
      anon_sym_LBRACE,
    ACTIONS(5076), 1,
      aux_sym__qid_token1,
    ACTIONS(5078), 1,
      anon_sym_DOT,
    ACTIONS(5080), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5082), 1,
      anon_sym_u2987,
    ACTIONS(5086), 1,
      anon_sym_Set,
    STATE(3709), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3806), 1,
      aux_sym__atoms,
    STATE(6004), 1,
      sym_atom,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5084), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6049), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6053), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5064), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [372612] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11346), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10217), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [372730] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9742), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [372846] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9743), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [372962] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9744), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [373078] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10054), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [373194] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9805), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [373310] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2716), 1,
      sym_id,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2728), 1,
      anon_sym_record,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    ACTIONS(2732), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2734), 1,
      anon_sym_u2983,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      aux_sym__qid_token1,
    ACTIONS(2740), 1,
      anon_sym_DOT,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2746), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2748), 1,
      anon_sym_u2987,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(2754), 1,
      anon_sym_Set,
    STATE(1509), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4072), 1,
      sym_atom,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2752), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5088), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4080), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4078), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2726), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [373426] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1980), 1,
      sym_id,
    ACTIONS(1992), 1,
      anon_sym_record,
    ACTIONS(1994), 1,
      anon_sym_LPAREN,
    ACTIONS(1996), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1998), 1,
      anon_sym_u2983,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(2002), 1,
      aux_sym__qid_token1,
    ACTIONS(2004), 1,
      anon_sym_DOT,
    ACTIONS(2010), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2012), 1,
      anon_sym_u2987,
    ACTIONS(2018), 1,
      anon_sym_Set,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    STATE(1449), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5301), 1,
      sym_atom,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2016), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5090), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5060), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5058), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1990), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [373542] = 30,
    ACTIONS(686), 1,
      anon_sym_BSLASH,
    ACTIONS(688), 1,
      anon_sym_u03bb,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(716), 1,
      anon_sym_tactic,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(5092), 1,
      sym_id,
    ACTIONS(5096), 1,
      anon_sym_record,
    ACTIONS(5098), 1,
      anon_sym_LPAREN,
    ACTIONS(5100), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5102), 1,
      anon_sym_u2983,
    ACTIONS(5104), 1,
      anon_sym_LBRACE,
    ACTIONS(5106), 1,
      aux_sym__qid_token1,
    ACTIONS(5108), 1,
      anon_sym_DOT,
    ACTIONS(5110), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5112), 1,
      anon_sym_u2987,
    ACTIONS(5116), 1,
      anon_sym_Set,
    STATE(3737), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3777), 1,
      aux_sym__atoms,
    STATE(5620), 1,
      sym_atom,
    STATE(8123), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    STATE(9479), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5114), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5543), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5535), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5094), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [373658] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9806), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [373774] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2716), 1,
      sym_id,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2728), 1,
      anon_sym_record,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    ACTIONS(2732), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2734), 1,
      anon_sym_u2983,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      aux_sym__qid_token1,
    ACTIONS(2740), 1,
      anon_sym_DOT,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2746), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2748), 1,
      anon_sym_u2987,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(2754), 1,
      anon_sym_Set,
    STATE(1508), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4072), 1,
      sym_atom,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2752), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4454), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4080), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4078), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2726), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [373890] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9814), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [374006] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11602), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10219), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [374124] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9754), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [374240] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9755), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [374356] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9756), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [374472] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(5008), 1,
      anon_sym_record,
    ACTIONS(5010), 1,
      anon_sym_LPAREN,
    ACTIONS(5012), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5014), 1,
      anon_sym_u2983,
    ACTIONS(5016), 1,
      anon_sym_LBRACE,
    ACTIONS(5020), 1,
      anon_sym_DOT,
    ACTIONS(5022), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5024), 1,
      anon_sym_u2987,
    ACTIONS(5028), 1,
      anon_sym_Set,
    ACTIONS(5056), 1,
      sym_id,
    ACTIONS(5058), 1,
      aux_sym__qid_token1,
    STATE(3498), 1,
      aux_sym__atoms,
    STATE(5987), 1,
      sym__qid,
    STATE(6066), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5026), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6117), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6116), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5006), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(12640), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [374588] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10669), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10152), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [374706] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9841), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [374822] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9845), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [374938] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9846), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [375054] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2100), 1,
      anon_sym_BSLASH,
    ACTIONS(2102), 1,
      anon_sym_u03bb,
    ACTIONS(2120), 1,
      anon_sym_quoteGoal,
    ACTIONS(2122), 1,
      anon_sym_tactic,
    ACTIONS(2128), 1,
      anon_sym_let,
    ACTIONS(5118), 1,
      sym_id,
    ACTIONS(5122), 1,
      anon_sym_record,
    ACTIONS(5124), 1,
      anon_sym_LPAREN,
    ACTIONS(5126), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5128), 1,
      anon_sym_u2983,
    ACTIONS(5130), 1,
      anon_sym_LBRACE,
    ACTIONS(5132), 1,
      aux_sym__qid_token1,
    ACTIONS(5134), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5138), 1,
      anon_sym_u2987,
    ACTIONS(5142), 1,
      anon_sym_Set,
    STATE(3756), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3825), 1,
      aux_sym__atoms,
    STATE(5541), 1,
      sym_atom,
    STATE(8140), 1,
      sym__LAMBDA,
    STATE(8487), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2098), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5140), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5729), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5635), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5120), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [375170] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9823), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [375286] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9826), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [375402] = 30,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(3902), 1,
      anon_sym_BSLASH,
    ACTIONS(3904), 1,
      anon_sym_u03bb,
    ACTIONS(3922), 1,
      anon_sym_tactic,
    ACTIONS(5144), 1,
      sym_id,
    ACTIONS(5148), 1,
      anon_sym_record,
    ACTIONS(5150), 1,
      anon_sym_LPAREN,
    ACTIONS(5152), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5154), 1,
      anon_sym_u2983,
    ACTIONS(5156), 1,
      anon_sym_LBRACE,
    ACTIONS(5158), 1,
      aux_sym__qid_token1,
    ACTIONS(5160), 1,
      anon_sym_DOT,
    ACTIONS(5162), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5164), 1,
      anon_sym_u2987,
    ACTIONS(5168), 1,
      anon_sym_Set,
    STATE(3725), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3803), 1,
      aux_sym__atoms,
    STATE(6029), 1,
      sym_atom,
    STATE(8136), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    STATE(9479), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5166), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6132), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6130), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5146), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [375518] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(5170), 1,
      sym_id,
    ACTIONS(5174), 1,
      anon_sym_record,
    ACTIONS(5176), 1,
      anon_sym_LPAREN,
    ACTIONS(5178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5180), 1,
      anon_sym_u2983,
    ACTIONS(5182), 1,
      anon_sym_LBRACE,
    ACTIONS(5184), 1,
      aux_sym__qid_token1,
    ACTIONS(5186), 1,
      anon_sym_DOT,
    ACTIONS(5188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5190), 1,
      anon_sym_u2987,
    ACTIONS(5194), 1,
      anon_sym_Set,
    STATE(3705), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3771), 1,
      aux_sym__atoms,
    STATE(5244), 1,
      sym_atom,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5192), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5294), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5265), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5172), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [375634] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9834), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [375750] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(5002), 1,
      sym_id,
    ACTIONS(5008), 1,
      anon_sym_record,
    ACTIONS(5010), 1,
      anon_sym_LPAREN,
    ACTIONS(5012), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5014), 1,
      anon_sym_u2983,
    ACTIONS(5016), 1,
      anon_sym_LBRACE,
    ACTIONS(5018), 1,
      aux_sym__qid_token1,
    ACTIONS(5020), 1,
      anon_sym_DOT,
    ACTIONS(5022), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5024), 1,
      anon_sym_u2987,
    ACTIONS(5028), 1,
      anon_sym_Set,
    STATE(1498), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(6066), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5026), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5196), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(6117), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6116), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5006), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [375866] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11600), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10111), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [375984] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9989), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [376100] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(3872), 1,
      sym_id,
    ACTIONS(3878), 1,
      anon_sym_record,
    ACTIONS(3880), 1,
      anon_sym_LPAREN,
    ACTIONS(3882), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3884), 1,
      anon_sym_u2983,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(3888), 1,
      aux_sym__qid_token1,
    ACTIONS(3890), 1,
      anon_sym_DOT,
    ACTIONS(3892), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3894), 1,
      anon_sym_u2987,
    ACTIONS(3898), 1,
      anon_sym_Set,
    STATE(1660), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4250), 1,
      sym_atom,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3896), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4748), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4199), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4197), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3876), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [376216] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2936), 1,
      sym_id,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2948), 1,
      anon_sym_record,
    ACTIONS(2950), 1,
      anon_sym_LPAREN,
    ACTIONS(2952), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2954), 1,
      anon_sym_u2983,
    ACTIONS(2956), 1,
      anon_sym_LBRACE,
    ACTIONS(2958), 1,
      aux_sym__qid_token1,
    ACTIONS(2960), 1,
      anon_sym_DOT,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2966), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2968), 1,
      anon_sym_u2987,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(2974), 1,
      anon_sym_Set,
    STATE(1550), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5087), 1,
      sym_atom,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2972), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4452), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5205), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5202), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2946), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [376332] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(5198), 1,
      sym_id,
    ACTIONS(5202), 1,
      anon_sym_record,
    ACTIONS(5204), 1,
      anon_sym_LPAREN,
    ACTIONS(5206), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5208), 1,
      anon_sym_u2983,
    ACTIONS(5210), 1,
      anon_sym_LBRACE,
    ACTIONS(5212), 1,
      aux_sym__qid_token1,
    ACTIONS(5214), 1,
      anon_sym_DOT,
    ACTIONS(5216), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5218), 1,
      anon_sym_u2987,
    ACTIONS(5222), 1,
      anon_sym_Set,
    STATE(3754), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3818), 1,
      aux_sym__atoms,
    STATE(5842), 1,
      sym_atom,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5220), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5911), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5860), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5200), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [376448] = 30,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2822), 1,
      sym_id,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2838), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2844), 1,
      anon_sym_DOT,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2850), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(2858), 1,
      anon_sym_Set,
    STATE(1524), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4643), 1,
      sym_atom,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2856), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5060), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2832), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [376564] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11549), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10154), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [376682] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9981), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [376798] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10906), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10090), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [376916] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9885), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [377032] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9886), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [377148] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9887), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [377264] = 30,
    ACTIONS(692), 1,
      anon_sym_record,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(698), 1,
      anon_sym_u2983,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      anon_sym_DOT,
    ACTIONS(718), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(720), 1,
      anon_sym_u2987,
    ACTIONS(728), 1,
      anon_sym_Set,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(3184), 1,
      sym_id,
    ACTIONS(3186), 1,
      anon_sym_BSLASH,
    ACTIONS(3188), 1,
      anon_sym_u03bb,
    ACTIONS(3190), 1,
      aux_sym__qid_token1,
    ACTIONS(3192), 1,
      anon_sym_tactic,
    STATE(1523), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5140), 1,
      sym_atom,
    STATE(8063), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(726), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4700), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5353), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4924), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(690), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [377380] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(3872), 1,
      sym_id,
    ACTIONS(3878), 1,
      anon_sym_record,
    ACTIONS(3880), 1,
      anon_sym_LPAREN,
    ACTIONS(3882), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3884), 1,
      anon_sym_u2983,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(3888), 1,
      aux_sym__qid_token1,
    ACTIONS(3890), 1,
      anon_sym_DOT,
    ACTIONS(3892), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3894), 1,
      anon_sym_u2987,
    ACTIONS(3898), 1,
      anon_sym_Set,
    STATE(1661), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4250), 1,
      sym_atom,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3896), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5224), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4199), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4197), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3876), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [377496] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(5226), 1,
      sym_id,
    ACTIONS(5230), 1,
      anon_sym_record,
    ACTIONS(5232), 1,
      anon_sym_LPAREN,
    ACTIONS(5234), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5236), 1,
      anon_sym_u2983,
    ACTIONS(5238), 1,
      anon_sym_LBRACE,
    ACTIONS(5240), 1,
      aux_sym__qid_token1,
    ACTIONS(5242), 1,
      anon_sym_DOT,
    ACTIONS(5244), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5246), 1,
      anon_sym_u2987,
    ACTIONS(5250), 1,
      anon_sym_Set,
    STATE(3732), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3796), 1,
      aux_sym__atoms,
    STATE(4249), 1,
      sym_atom,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5248), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4182), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4180), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5228), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [377612] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9982), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [377728] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(5002), 1,
      sym_id,
    ACTIONS(5008), 1,
      anon_sym_record,
    ACTIONS(5010), 1,
      anon_sym_LPAREN,
    ACTIONS(5012), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5014), 1,
      anon_sym_u2983,
    ACTIONS(5016), 1,
      anon_sym_LBRACE,
    ACTIONS(5018), 1,
      aux_sym__qid_token1,
    ACTIONS(5020), 1,
      anon_sym_DOT,
    ACTIONS(5022), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5024), 1,
      anon_sym_u2987,
    ACTIONS(5028), 1,
      anon_sym_Set,
    STATE(1435), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(6066), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5026), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5252), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(6117), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6116), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5006), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [377844] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(2908), 1,
      sym_id,
    ACTIONS(2914), 1,
      anon_sym_record,
    ACTIONS(2916), 1,
      anon_sym_LPAREN,
    ACTIONS(2918), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2920), 1,
      anon_sym_u2983,
    ACTIONS(2922), 1,
      anon_sym_LBRACE,
    ACTIONS(2924), 1,
      aux_sym__qid_token1,
    ACTIONS(2926), 1,
      anon_sym_DOT,
    ACTIONS(2928), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2930), 1,
      anon_sym_u2987,
    ACTIONS(2934), 1,
      anon_sym_Set,
    STATE(1513), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4164), 1,
      sym_atom,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2932), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4694), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4166), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4171), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2912), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [377960] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9983), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [378076] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 2,
      ts_builtin_sym_end,
      anon_sym_BSLASH,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [378138] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(3232), 1,
      sym_id,
    ACTIONS(3234), 1,
      anon_sym_BSLASH,
    ACTIONS(3236), 1,
      anon_sym_u03bb,
    ACTIONS(3240), 1,
      anon_sym_record,
    ACTIONS(3242), 1,
      anon_sym_LPAREN,
    ACTIONS(3244), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3246), 1,
      anon_sym_u2983,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3250), 1,
      aux_sym__qid_token1,
    ACTIONS(3252), 1,
      anon_sym_DOT,
    ACTIONS(3254), 1,
      anon_sym_tactic,
    ACTIONS(3256), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3258), 1,
      anon_sym_u2987,
    ACTIONS(3262), 1,
      anon_sym_Set,
    STATE(1538), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5461), 1,
      sym_atom,
    STATE(8112), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3260), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5254), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5393), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5591), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3238), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [378254] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(1870), 1,
      anon_sym_BSLASH,
    ACTIONS(1872), 1,
      anon_sym_u03bb,
    ACTIONS(1890), 1,
      anon_sym_quoteGoal,
    ACTIONS(1892), 1,
      anon_sym_tactic,
    ACTIONS(1898), 1,
      anon_sym_let,
    ACTIONS(5256), 1,
      sym_id,
    ACTIONS(5260), 1,
      anon_sym_record,
    ACTIONS(5262), 1,
      anon_sym_LPAREN,
    ACTIONS(5264), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5266), 1,
      anon_sym_u2983,
    ACTIONS(5268), 1,
      anon_sym_LBRACE,
    ACTIONS(5270), 1,
      aux_sym__qid_token1,
    ACTIONS(5272), 1,
      anon_sym_DOT,
    ACTIONS(5274), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5276), 1,
      anon_sym_u2987,
    ACTIONS(5280), 1,
      anon_sym_Set,
    STATE(3742), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3765), 1,
      aux_sym__atoms,
    STATE(5579), 1,
      sym_atom,
    STATE(8131), 1,
      sym__LAMBDA,
    STATE(8455), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1868), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5278), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5500), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5496), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5258), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [378370] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(5282), 1,
      sym_id,
    ACTIONS(5286), 1,
      anon_sym_record,
    ACTIONS(5288), 1,
      anon_sym_LPAREN,
    ACTIONS(5290), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5292), 1,
      anon_sym_u2983,
    ACTIONS(5294), 1,
      anon_sym_LBRACE,
    ACTIONS(5296), 1,
      aux_sym__qid_token1,
    ACTIONS(5298), 1,
      anon_sym_DOT,
    ACTIONS(5300), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5302), 1,
      anon_sym_u2987,
    ACTIONS(5306), 1,
      anon_sym_Set,
    STATE(3746), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3792), 1,
      aux_sym__atoms,
    STATE(5497), 1,
      sym_atom,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5304), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5609), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5427), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5284), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [378486] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9990), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [378602] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2344), 1,
      anon_sym_BSLASH,
    ACTIONS(2346), 1,
      anon_sym_u03bb,
    ACTIONS(2364), 1,
      anon_sym_quoteGoal,
    ACTIONS(2366), 1,
      anon_sym_tactic,
    ACTIONS(2372), 1,
      anon_sym_let,
    ACTIONS(5308), 1,
      sym_id,
    ACTIONS(5312), 1,
      anon_sym_record,
    ACTIONS(5314), 1,
      anon_sym_LPAREN,
    ACTIONS(5316), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5318), 1,
      anon_sym_u2983,
    ACTIONS(5320), 1,
      anon_sym_LBRACE,
    ACTIONS(5322), 1,
      aux_sym__qid_token1,
    ACTIONS(5324), 1,
      anon_sym_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5328), 1,
      anon_sym_u2987,
    ACTIONS(5332), 1,
      anon_sym_Set,
    STATE(3758), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3800), 1,
      aux_sym__atoms,
    STATE(6092), 1,
      sym_atom,
    STATE(8080), 1,
      sym__LAMBDA,
    STATE(8442), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2342), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5330), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6159), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6158), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5310), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [378718] = 30,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(3002), 1,
      sym_id,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3012), 1,
      anon_sym_record,
    ACTIONS(3014), 1,
      anon_sym_LPAREN,
    ACTIONS(3016), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3018), 1,
      anon_sym_u2983,
    ACTIONS(3020), 1,
      anon_sym_LBRACE,
    ACTIONS(3022), 1,
      anon_sym_DOT,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(3026), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3028), 1,
      anon_sym_u2987,
    ACTIONS(3032), 1,
      anon_sym_Set,
    STATE(1561), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5355), 1,
      sym_atom,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3030), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5334), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5150), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5143), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3010), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [378834] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(3722), 1,
      sym_id,
    ACTIONS(3728), 1,
      anon_sym_record,
    ACTIONS(3730), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3734), 1,
      anon_sym_u2983,
    ACTIONS(3736), 1,
      anon_sym_LBRACE,
    ACTIONS(3738), 1,
      aux_sym__qid_token1,
    ACTIONS(3740), 1,
      anon_sym_DOT,
    ACTIONS(3742), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3744), 1,
      anon_sym_u2987,
    ACTIONS(3748), 1,
      anon_sym_Set,
    STATE(1621), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5511), 1,
      sym_atom,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3746), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5336), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5688), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5600), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3726), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [378950] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11513), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10109), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [379068] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1980), 1,
      sym_id,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(1992), 1,
      anon_sym_record,
    ACTIONS(1994), 1,
      anon_sym_LPAREN,
    ACTIONS(1996), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1998), 1,
      anon_sym_u2983,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(2002), 1,
      aux_sym__qid_token1,
    ACTIONS(2004), 1,
      anon_sym_DOT,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2010), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2012), 1,
      anon_sym_u2987,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(2018), 1,
      anon_sym_Set,
    STATE(1437), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5301), 1,
      sym_atom,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2016), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5338), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5060), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5058), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1990), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [379184] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9977), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [379300] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11362), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10156), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [379418] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9702), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [379534] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9703), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [379650] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9704), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [379766] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11679), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10114), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [379884] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(5340), 1,
      sym_id,
    ACTIONS(5344), 1,
      anon_sym_record,
    ACTIONS(5346), 1,
      anon_sym_LPAREN,
    ACTIONS(5348), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5350), 1,
      anon_sym_u2983,
    ACTIONS(5352), 1,
      anon_sym_LBRACE,
    ACTIONS(5354), 1,
      aux_sym__qid_token1,
    ACTIONS(5356), 1,
      anon_sym_DOT,
    ACTIONS(5358), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5360), 1,
      anon_sym_u2987,
    ACTIONS(5364), 1,
      anon_sym_Set,
    STATE(3762), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3795), 1,
      aux_sym__atoms,
    STATE(5772), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5362), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5805), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5786), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5342), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [380000] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2788), 1,
      anon_sym_BSLASH,
    ACTIONS(2790), 1,
      anon_sym_u03bb,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2810), 1,
      anon_sym_tactic,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(5366), 1,
      sym_id,
    ACTIONS(5370), 1,
      anon_sym_record,
    ACTIONS(5372), 1,
      anon_sym_LPAREN,
    ACTIONS(5374), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5376), 1,
      anon_sym_u2983,
    ACTIONS(5378), 1,
      anon_sym_LBRACE,
    ACTIONS(5380), 1,
      aux_sym__qid_token1,
    ACTIONS(5382), 1,
      anon_sym_DOT,
    ACTIONS(5384), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5386), 1,
      anon_sym_u2987,
    ACTIONS(5390), 1,
      anon_sym_Set,
    STATE(3731), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3779), 1,
      aux_sym__atoms,
    STATE(6068), 1,
      sym_atom,
    STATE(8107), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5388), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6172), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6171), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5368), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [380116] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11837), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10120), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [380234] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12710), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10159), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [380352] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10003), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [380468] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9785), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [380584] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3338), 1,
      anon_sym_BSLASH,
    ACTIONS(3340), 1,
      anon_sym_u03bb,
    ACTIONS(3358), 1,
      anon_sym_quoteGoal,
    ACTIONS(3360), 1,
      anon_sym_tactic,
    ACTIONS(3366), 1,
      anon_sym_let,
    ACTIONS(5392), 1,
      sym_id,
    ACTIONS(5396), 1,
      anon_sym_record,
    ACTIONS(5398), 1,
      anon_sym_LPAREN,
    ACTIONS(5400), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5402), 1,
      anon_sym_u2983,
    ACTIONS(5404), 1,
      anon_sym_LBRACE,
    ACTIONS(5406), 1,
      aux_sym__qid_token1,
    ACTIONS(5408), 1,
      anon_sym_DOT,
    ACTIONS(5410), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5412), 1,
      anon_sym_u2987,
    ACTIONS(5416), 1,
      anon_sym_Set,
    STATE(3719), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3822), 1,
      aux_sym__atoms,
    STATE(4707), 1,
      sym_atom,
    STATE(8150), 1,
      sym__LAMBDA,
    STATE(8459), 1,
      sym__FORALL,
    STATE(9056), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3336), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5414), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4650), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4691), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5394), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [380700] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12233), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10128), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [380818] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10066), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [380934] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10067), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [381050] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10068), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [381166] = 30,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(898), 1,
      anon_sym_BSLASH,
    ACTIONS(900), 1,
      anon_sym_u03bb,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(922), 1,
      anon_sym_tactic,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(5418), 1,
      sym_id,
    ACTIONS(5422), 1,
      anon_sym_record,
    ACTIONS(5424), 1,
      anon_sym_LPAREN,
    ACTIONS(5426), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5428), 1,
      anon_sym_u2983,
    ACTIONS(5430), 1,
      anon_sym_LBRACE,
    ACTIONS(5432), 1,
      aux_sym__qid_token1,
    ACTIONS(5434), 1,
      anon_sym_DOT,
    ACTIONS(5436), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5438), 1,
      anon_sym_u2987,
    ACTIONS(5442), 1,
      anon_sym_Set,
    STATE(3740), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3819), 1,
      aux_sym__atoms,
    STATE(5939), 1,
      sym_atom,
    STATE(8072), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    STATE(9479), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5440), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5826), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5740), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5420), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [381282] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9786), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [381398] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10995), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10093), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [381516] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9898), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [381632] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9899), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [381748] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9900), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [381864] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9787), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [381980] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10004), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [382096] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10005), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [382212] = 30,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(5444), 1,
      sym_id,
    ACTIONS(5448), 1,
      anon_sym_record,
    ACTIONS(5450), 1,
      anon_sym_LPAREN,
    ACTIONS(5452), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5454), 1,
      anon_sym_u2983,
    ACTIONS(5456), 1,
      anon_sym_LBRACE,
    ACTIONS(5458), 1,
      aux_sym__qid_token1,
    ACTIONS(5460), 1,
      anon_sym_DOT,
    ACTIONS(5462), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5464), 1,
      anon_sym_u2987,
    ACTIONS(5468), 1,
      anon_sym_Set,
    STATE(3739), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3798), 1,
      aux_sym__atoms,
    STATE(5480), 1,
      sym_atom,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    STATE(9479), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5466), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5605), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5574), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5446), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [382328] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(3232), 1,
      sym_id,
    ACTIONS(3234), 1,
      anon_sym_BSLASH,
    ACTIONS(3236), 1,
      anon_sym_u03bb,
    ACTIONS(3240), 1,
      anon_sym_record,
    ACTIONS(3242), 1,
      anon_sym_LPAREN,
    ACTIONS(3244), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3246), 1,
      anon_sym_u2983,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3250), 1,
      aux_sym__qid_token1,
    ACTIONS(3252), 1,
      anon_sym_DOT,
    ACTIONS(3254), 1,
      anon_sym_tactic,
    ACTIONS(3256), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3258), 1,
      anon_sym_u2987,
    ACTIONS(3262), 1,
      anon_sym_Set,
    STATE(1537), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5461), 1,
      sym_atom,
    STATE(8112), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3260), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4388), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5393), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5591), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3238), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [382444] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(5470), 1,
      sym_id,
    ACTIONS(5474), 1,
      anon_sym_record,
    ACTIONS(5476), 1,
      anon_sym_LPAREN,
    ACTIONS(5478), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_u2983,
    ACTIONS(5482), 1,
      anon_sym_LBRACE,
    ACTIONS(5484), 1,
      aux_sym__qid_token1,
    ACTIONS(5486), 1,
      anon_sym_DOT,
    ACTIONS(5488), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5490), 1,
      anon_sym_u2987,
    ACTIONS(5494), 1,
      anon_sym_Set,
    STATE(3724), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3793), 1,
      aux_sym__atoms,
    STATE(5872), 1,
      sym_atom,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5492), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5850), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5888), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5472), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [382560] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(3844), 1,
      sym_id,
    ACTIONS(3850), 1,
      anon_sym_record,
    ACTIONS(3852), 1,
      anon_sym_LPAREN,
    ACTIONS(3854), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3856), 1,
      anon_sym_u2983,
    ACTIONS(3858), 1,
      anon_sym_LBRACE,
    ACTIONS(3860), 1,
      aux_sym__qid_token1,
    ACTIONS(3862), 1,
      anon_sym_DOT,
    ACTIONS(3864), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3866), 1,
      anon_sym_u2987,
    ACTIONS(3870), 1,
      anon_sym_Set,
    STATE(1651), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4405), 1,
      sym_atom,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3868), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5496), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4296), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4295), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3848), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [382676] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2558), 1,
      sym_id,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2570), 1,
      anon_sym_record,
    ACTIONS(2572), 1,
      anon_sym_LPAREN,
    ACTIONS(2574), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2576), 1,
      anon_sym_u2983,
    ACTIONS(2578), 1,
      anon_sym_LBRACE,
    ACTIONS(2580), 1,
      aux_sym__qid_token1,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2588), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2590), 1,
      anon_sym_u2987,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(2596), 1,
      anon_sym_Set,
    STATE(1475), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5395), 1,
      sym_atom,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2594), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4870), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5359), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5727), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2568), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [382792] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(3302), 1,
      sym_id,
    ACTIONS(3304), 1,
      anon_sym_BSLASH,
    ACTIONS(3306), 1,
      anon_sym_u03bb,
    ACTIONS(3310), 1,
      anon_sym_record,
    ACTIONS(3312), 1,
      anon_sym_LPAREN,
    ACTIONS(3314), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3316), 1,
      anon_sym_u2983,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(3320), 1,
      aux_sym__qid_token1,
    ACTIONS(3322), 1,
      anon_sym_DOT,
    ACTIONS(3324), 1,
      anon_sym_tactic,
    ACTIONS(3326), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3328), 1,
      anon_sym_u2987,
    ACTIONS(3332), 1,
      anon_sym_Set,
    STATE(1551), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5465), 1,
      sym_atom,
    STATE(8144), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3330), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5498), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5589), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5523), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3308), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [382908] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(3844), 1,
      sym_id,
    ACTIONS(3850), 1,
      anon_sym_record,
    ACTIONS(3852), 1,
      anon_sym_LPAREN,
    ACTIONS(3854), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3856), 1,
      anon_sym_u2983,
    ACTIONS(3858), 1,
      anon_sym_LBRACE,
    ACTIONS(3860), 1,
      aux_sym__qid_token1,
    ACTIONS(3862), 1,
      anon_sym_DOT,
    ACTIONS(3864), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3866), 1,
      anon_sym_u2987,
    ACTIONS(3870), 1,
      anon_sym_Set,
    STATE(1650), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4405), 1,
      sym_atom,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3868), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4672), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4296), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4295), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3848), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [383024] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(5500), 1,
      sym_id,
    ACTIONS(5504), 1,
      anon_sym_record,
    ACTIONS(5506), 1,
      anon_sym_LPAREN,
    ACTIONS(5508), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5510), 1,
      anon_sym_u2983,
    ACTIONS(5512), 1,
      anon_sym_LBRACE,
    ACTIONS(5514), 1,
      aux_sym__qid_token1,
    ACTIONS(5516), 1,
      anon_sym_DOT,
    ACTIONS(5518), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5520), 1,
      anon_sym_u2987,
    ACTIONS(5524), 1,
      anon_sym_Set,
    STATE(3728), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3794), 1,
      aux_sym__atoms,
    STATE(4927), 1,
      sym_atom,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5522), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5039), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5028), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5502), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [383140] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(5526), 1,
      sym_id,
    ACTIONS(5530), 1,
      anon_sym_record,
    ACTIONS(5532), 1,
      anon_sym_LPAREN,
    ACTIONS(5534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5536), 1,
      anon_sym_u2983,
    ACTIONS(5538), 1,
      anon_sym_LBRACE,
    ACTIONS(5540), 1,
      aux_sym__qid_token1,
    ACTIONS(5542), 1,
      anon_sym_DOT,
    ACTIONS(5544), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5546), 1,
      anon_sym_u2987,
    ACTIONS(5550), 1,
      anon_sym_Set,
    STATE(3711), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3826), 1,
      aux_sym__atoms,
    STATE(5713), 1,
      sym_atom,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5548), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5640), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5638), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [383256] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(1908), 1,
      anon_sym_BSLASH,
    ACTIONS(1910), 1,
      anon_sym_u03bb,
    ACTIONS(1928), 1,
      anon_sym_quoteGoal,
    ACTIONS(1930), 1,
      anon_sym_tactic,
    ACTIONS(1936), 1,
      anon_sym_let,
    ACTIONS(5552), 1,
      sym_id,
    ACTIONS(5556), 1,
      anon_sym_record,
    ACTIONS(5558), 1,
      anon_sym_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5562), 1,
      anon_sym_u2983,
    ACTIONS(5564), 1,
      anon_sym_LBRACE,
    ACTIONS(5566), 1,
      aux_sym__qid_token1,
    ACTIONS(5568), 1,
      anon_sym_DOT,
    ACTIONS(5570), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5572), 1,
      anon_sym_u2987,
    ACTIONS(5576), 1,
      anon_sym_Set,
    STATE(3753), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3767), 1,
      aux_sym__atoms,
    STATE(5076), 1,
      sym_atom,
    STATE(8141), 1,
      sym__LAMBDA,
    STATE(8457), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1906), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5574), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5181), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5179), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5554), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [383372] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(11682), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [383488] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(3932), 1,
      sym_id,
    ACTIONS(3938), 1,
      anon_sym_record,
    ACTIONS(3940), 1,
      anon_sym_LPAREN,
    ACTIONS(3942), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3944), 1,
      anon_sym_u2983,
    ACTIONS(3946), 1,
      anon_sym_LBRACE,
    ACTIONS(3948), 1,
      aux_sym__qid_token1,
    ACTIONS(3950), 1,
      anon_sym_DOT,
    ACTIONS(3952), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3954), 1,
      anon_sym_u2987,
    ACTIONS(3958), 1,
      anon_sym_Set,
    STATE(1671), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4649), 1,
      sym_atom,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3956), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5578), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4887), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4886), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3936), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [383604] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9978), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [383720] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9979), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [383836] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2024), 1,
      anon_sym_BSLASH,
    ACTIONS(2026), 1,
      anon_sym_u03bb,
    ACTIONS(2044), 1,
      anon_sym_quoteGoal,
    ACTIONS(2046), 1,
      anon_sym_tactic,
    ACTIONS(2052), 1,
      anon_sym_let,
    ACTIONS(5580), 1,
      sym_id,
    ACTIONS(5584), 1,
      anon_sym_record,
    ACTIONS(5586), 1,
      anon_sym_LPAREN,
    ACTIONS(5588), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5590), 1,
      anon_sym_u2983,
    ACTIONS(5592), 1,
      anon_sym_LBRACE,
    ACTIONS(5594), 1,
      aux_sym__qid_token1,
    ACTIONS(5596), 1,
      anon_sym_DOT,
    ACTIONS(5598), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5600), 1,
      anon_sym_u2987,
    ACTIONS(5604), 1,
      anon_sym_Set,
    STATE(3734), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3824), 1,
      aux_sym__atoms,
    STATE(5144), 1,
      sym_atom,
    STATE(8070), 1,
      sym__LAMBDA,
    STATE(8476), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2022), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5602), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5316), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5313), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5582), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [383952] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10024), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [384068] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2300), 1,
      sym_id,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2312), 1,
      anon_sym_record,
    ACTIONS(2314), 1,
      anon_sym_LPAREN,
    ACTIONS(2316), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2318), 1,
      anon_sym_u2983,
    ACTIONS(2320), 1,
      anon_sym_LBRACE,
    ACTIONS(2322), 1,
      aux_sym__qid_token1,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2330), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2332), 1,
      anon_sym_u2987,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(2338), 1,
      anon_sym_Set,
    STATE(1462), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5693), 1,
      sym_atom,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2336), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4632), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5629), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5626), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2310), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [384184] = 30,
    ACTIONS(686), 1,
      anon_sym_BSLASH,
    ACTIONS(688), 1,
      anon_sym_u03bb,
    ACTIONS(692), 1,
      anon_sym_record,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(698), 1,
      anon_sym_u2983,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      anon_sym_DOT,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(716), 1,
      anon_sym_tactic,
    ACTIONS(718), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(720), 1,
      anon_sym_u2987,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(728), 1,
      anon_sym_Set,
    ACTIONS(3184), 1,
      sym_id,
    ACTIONS(3190), 1,
      aux_sym__qid_token1,
    STATE(1423), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5140), 1,
      sym_atom,
    STATE(8123), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(726), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4338), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5353), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4924), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(690), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [384300] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10482), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10163), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [384418] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9816), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [384534] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9817), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [384650] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9818), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [384766] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(3186), 1,
      anon_sym_BSLASH,
    ACTIONS(3188), 1,
      anon_sym_u03bb,
    ACTIONS(3192), 1,
      anon_sym_tactic,
    ACTIONS(5092), 1,
      sym_id,
    ACTIONS(5096), 1,
      anon_sym_record,
    ACTIONS(5098), 1,
      anon_sym_LPAREN,
    ACTIONS(5100), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5102), 1,
      anon_sym_u2983,
    ACTIONS(5104), 1,
      anon_sym_LBRACE,
    ACTIONS(5106), 1,
      aux_sym__qid_token1,
    ACTIONS(5108), 1,
      anon_sym_DOT,
    ACTIONS(5110), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5112), 1,
      anon_sym_u2987,
    ACTIONS(5116), 1,
      anon_sym_Set,
    STATE(3763), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3782), 1,
      aux_sym__atoms,
    STATE(5620), 1,
      sym_atom,
    STATE(8063), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5114), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5543), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5535), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5094), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [384882] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9992), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [384998] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10026), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [385114] = 30,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(3002), 1,
      sym_id,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3012), 1,
      anon_sym_record,
    ACTIONS(3014), 1,
      anon_sym_LPAREN,
    ACTIONS(3016), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3018), 1,
      anon_sym_u2983,
    ACTIONS(3020), 1,
      anon_sym_LBRACE,
    ACTIONS(3022), 1,
      anon_sym_DOT,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(3026), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3028), 1,
      anon_sym_u2987,
    ACTIONS(3032), 1,
      anon_sym_Set,
    STATE(1560), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5355), 1,
      sym_atom,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3030), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4508), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5150), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5143), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3010), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [385230] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9962), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [385346] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10773), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10165), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [385464] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9861), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [385580] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(954), 1,
      anon_sym_BSLASH,
    ACTIONS(956), 1,
      anon_sym_u03bb,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(976), 1,
      anon_sym_tactic,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(5606), 1,
      sym_id,
    ACTIONS(5610), 1,
      anon_sym_record,
    ACTIONS(5612), 1,
      anon_sym_LPAREN,
    ACTIONS(5614), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5616), 1,
      anon_sym_u2983,
    ACTIONS(5618), 1,
      anon_sym_LBRACE,
    ACTIONS(5620), 1,
      aux_sym__qid_token1,
    ACTIONS(5622), 1,
      anon_sym_DOT,
    ACTIONS(5624), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5626), 1,
      anon_sym_u2987,
    ACTIONS(5630), 1,
      anon_sym_Set,
    STATE(3741), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3814), 1,
      aux_sym__atoms,
    STATE(5827), 1,
      sym_atom,
    STATE(8067), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5628), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5896), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5891), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5608), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [385696] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(3590), 1,
      sym_id,
    ACTIONS(3596), 1,
      anon_sym_record,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    ACTIONS(3600), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3602), 1,
      anon_sym_u2983,
    ACTIONS(3604), 1,
      anon_sym_LBRACE,
    ACTIONS(3606), 1,
      aux_sym__qid_token1,
    ACTIONS(3608), 1,
      anon_sym_DOT,
    ACTIONS(3610), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3612), 1,
      anon_sym_u2987,
    ACTIONS(3616), 1,
      anon_sym_Set,
    STATE(1601), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4575), 1,
      sym_atom,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3614), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5632), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4519), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4459), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3594), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [385812] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9862), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [385928] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9863), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [386044] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11079), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10095), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [386162] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9911), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [386278] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9912), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [386394] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9914), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [386510] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2558), 1,
      sym_id,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2570), 1,
      anon_sym_record,
    ACTIONS(2572), 1,
      anon_sym_LPAREN,
    ACTIONS(2574), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2576), 1,
      anon_sym_u2983,
    ACTIONS(2578), 1,
      anon_sym_LBRACE,
    ACTIONS(2580), 1,
      aux_sym__qid_token1,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2588), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2590), 1,
      anon_sym_u2987,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(2596), 1,
      anon_sym_Set,
    STATE(1476), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5395), 1,
      sym_atom,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2594), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5634), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5359), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5727), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2568), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [386626] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12363), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10130), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [386744] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10083), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [386860] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10084), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [386976] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2300), 1,
      sym_id,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2312), 1,
      anon_sym_record,
    ACTIONS(2314), 1,
      anon_sym_LPAREN,
    ACTIONS(2316), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2318), 1,
      anon_sym_u2983,
    ACTIONS(2320), 1,
      anon_sym_LBRACE,
    ACTIONS(2322), 1,
      aux_sym__qid_token1,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2330), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2332), 1,
      anon_sym_u2987,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(2338), 1,
      anon_sym_Set,
    STATE(1463), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5693), 1,
      sym_atom,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2336), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5636), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5629), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5626), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2310), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [387092] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(3234), 1,
      anon_sym_BSLASH,
    ACTIONS(3236), 1,
      anon_sym_u03bb,
    ACTIONS(3254), 1,
      anon_sym_tactic,
    ACTIONS(5638), 1,
      sym_id,
    ACTIONS(5642), 1,
      anon_sym_record,
    ACTIONS(5644), 1,
      anon_sym_LPAREN,
    ACTIONS(5646), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5648), 1,
      anon_sym_u2983,
    ACTIONS(5650), 1,
      anon_sym_LBRACE,
    ACTIONS(5652), 1,
      aux_sym__qid_token1,
    ACTIONS(5654), 1,
      anon_sym_DOT,
    ACTIONS(5656), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5658), 1,
      anon_sym_u2987,
    ACTIONS(5662), 1,
      anon_sym_Set,
    STATE(3735), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3787), 1,
      aux_sym__atoms,
    STATE(5914), 1,
      sym_atom,
    STATE(8112), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5660), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5971), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5941), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5640), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [387208] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(3302), 1,
      sym_id,
    ACTIONS(3304), 1,
      anon_sym_BSLASH,
    ACTIONS(3306), 1,
      anon_sym_u03bb,
    ACTIONS(3310), 1,
      anon_sym_record,
    ACTIONS(3312), 1,
      anon_sym_LPAREN,
    ACTIONS(3314), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3316), 1,
      anon_sym_u2983,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(3320), 1,
      aux_sym__qid_token1,
    ACTIONS(3322), 1,
      anon_sym_DOT,
    ACTIONS(3324), 1,
      anon_sym_tactic,
    ACTIONS(3326), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3328), 1,
      anon_sym_u2987,
    ACTIONS(3332), 1,
      anon_sym_Set,
    STATE(1550), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5465), 1,
      sym_atom,
    STATE(8144), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3330), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4452), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5589), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5523), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3308), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [387324] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(105), 1,
      sym_id,
    ACTIONS(109), 1,
      anon_sym_BSLASH,
    ACTIONS(111), 1,
      anon_sym_u03bb,
    ACTIONS(125), 1,
      anon_sym_LPAREN,
    ACTIONS(127), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(129), 1,
      anon_sym_u2983,
    ACTIONS(135), 1,
      anon_sym_LBRACE,
    ACTIONS(143), 1,
      aux_sym__qid_token1,
    ACTIONS(145), 1,
      anon_sym_DOT,
    ACTIONS(147), 1,
      anon_sym_quoteGoal,
    ACTIONS(149), 1,
      anon_sym_tactic,
    ACTIONS(151), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(153), 1,
      anon_sym_u2987,
    ACTIONS(155), 1,
      anon_sym_let,
    ACTIONS(159), 1,
      anon_sym_Set,
    ACTIONS(4248), 1,
      anon_sym_record,
    STATE(3747), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3772), 1,
      aux_sym__atoms,
    STATE(4291), 1,
      sym_atom,
    STATE(8055), 1,
      sym__LAMBDA,
    STATE(8432), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(107), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(157), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4306), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4312), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(113), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [387440] = 30,
    ACTIONS(686), 1,
      anon_sym_BSLASH,
    ACTIONS(688), 1,
      anon_sym_u03bb,
    ACTIONS(692), 1,
      anon_sym_record,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(698), 1,
      anon_sym_u2983,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      anon_sym_DOT,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(716), 1,
      anon_sym_tactic,
    ACTIONS(718), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(720), 1,
      anon_sym_u2987,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(728), 1,
      anon_sym_Set,
    ACTIONS(3184), 1,
      sym_id,
    ACTIONS(3190), 1,
      aux_sym__qid_token1,
    STATE(1561), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5140), 1,
      sym_atom,
    STATE(8123), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(726), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5334), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5353), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4924), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(690), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [387556] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10085), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [387672] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12604), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10146), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [387790] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9788), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [387906] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9792), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [388022] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    ACTIONS(5664), 1,
      sym_id,
    ACTIONS(5668), 1,
      anon_sym_record,
    ACTIONS(5670), 1,
      anon_sym_LPAREN,
    ACTIONS(5672), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5674), 1,
      anon_sym_u2983,
    ACTIONS(5676), 1,
      anon_sym_LBRACE,
    ACTIONS(5678), 1,
      aux_sym__qid_token1,
    ACTIONS(5680), 1,
      anon_sym_DOT,
    ACTIONS(5682), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5684), 1,
      anon_sym_u2987,
    ACTIONS(5688), 1,
      anon_sym_Set,
    STATE(3751), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3790), 1,
      aux_sym__atoms,
    STATE(5835), 1,
      sym_atom,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5686), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5931), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5926), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5666), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [388138] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3060), 1,
      sym_id,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3068), 1,
      anon_sym_record,
    ACTIONS(3070), 1,
      anon_sym_LPAREN,
    ACTIONS(3072), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3074), 1,
      anon_sym_u2983,
    ACTIONS(3076), 1,
      anon_sym_LBRACE,
    ACTIONS(3078), 1,
      aux_sym__qid_token1,
    ACTIONS(3080), 1,
      anon_sym_DOT,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(3084), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3086), 1,
      anon_sym_u2987,
    ACTIONS(3090), 1,
      anon_sym_Set,
    STATE(1571), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5377), 1,
      sym_atom,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3088), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4944), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5561), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5558), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [388254] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11159), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10167), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [388372] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9926), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [388488] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9927), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [388604] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3338), 1,
      anon_sym_BSLASH,
    ACTIONS(3340), 1,
      anon_sym_u03bb,
    ACTIONS(3358), 1,
      anon_sym_quoteGoal,
    ACTIONS(3360), 1,
      anon_sym_tactic,
    ACTIONS(3366), 1,
      anon_sym_let,
    ACTIONS(5392), 1,
      sym_id,
    ACTIONS(5396), 1,
      anon_sym_record,
    ACTIONS(5398), 1,
      anon_sym_LPAREN,
    ACTIONS(5400), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5402), 1,
      anon_sym_u2983,
    ACTIONS(5404), 1,
      anon_sym_LBRACE,
    ACTIONS(5406), 1,
      aux_sym__qid_token1,
    ACTIONS(5408), 1,
      anon_sym_DOT,
    ACTIONS(5410), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5412), 1,
      anon_sym_u2987,
    ACTIONS(5416), 1,
      anon_sym_Set,
    STATE(3719), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3822), 1,
      aux_sym__atoms,
    STATE(4707), 1,
      sym_atom,
    STATE(8150), 1,
      sym__LAMBDA,
    STATE(8459), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3336), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5414), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4650), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4691), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5394), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [388720] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9928), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [388836] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(11737), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [388952] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9793), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [389068] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(5690), 1,
      sym_id,
    ACTIONS(5694), 1,
      anon_sym_record,
    ACTIONS(5696), 1,
      anon_sym_LPAREN,
    ACTIONS(5698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5700), 1,
      anon_sym_u2983,
    ACTIONS(5702), 1,
      anon_sym_LBRACE,
    ACTIONS(5704), 1,
      aux_sym__qid_token1,
    ACTIONS(5706), 1,
      anon_sym_DOT,
    ACTIONS(5708), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5710), 1,
      anon_sym_u2987,
    ACTIONS(5714), 1,
      anon_sym_Set,
    STATE(3713), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3797), 1,
      aux_sym__atoms,
    STATE(6002), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5712), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6102), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6101), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [389184] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(3304), 1,
      anon_sym_BSLASH,
    ACTIONS(3306), 1,
      anon_sym_u03bb,
    ACTIONS(3324), 1,
      anon_sym_tactic,
    ACTIONS(5716), 1,
      sym_id,
    ACTIONS(5720), 1,
      anon_sym_record,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5726), 1,
      anon_sym_u2983,
    ACTIONS(5728), 1,
      anon_sym_LBRACE,
    ACTIONS(5730), 1,
      aux_sym__qid_token1,
    ACTIONS(5732), 1,
      anon_sym_DOT,
    ACTIONS(5734), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5736), 1,
      anon_sym_u2987,
    ACTIONS(5740), 1,
      anon_sym_Set,
    STATE(3736), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3789), 1,
      aux_sym__atoms,
    STATE(5930), 1,
      sym_atom,
    STATE(8144), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5738), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5738), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5910), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5718), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [389300] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(5170), 1,
      sym_id,
    ACTIONS(5174), 1,
      anon_sym_record,
    ACTIONS(5176), 1,
      anon_sym_LPAREN,
    ACTIONS(5178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5180), 1,
      anon_sym_u2983,
    ACTIONS(5182), 1,
      anon_sym_LBRACE,
    ACTIONS(5184), 1,
      aux_sym__qid_token1,
    ACTIONS(5186), 1,
      anon_sym_DOT,
    ACTIONS(5188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5190), 1,
      anon_sym_u2987,
    ACTIONS(5194), 1,
      anon_sym_Set,
    STATE(3761), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3804), 1,
      aux_sym__atoms,
    STATE(5244), 1,
      sym_atom,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5192), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5294), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5265), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5172), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [389416] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11713), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10169), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [389534] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10006), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [389650] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10007), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [389766] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2062), 1,
      anon_sym_BSLASH,
    ACTIONS(2064), 1,
      anon_sym_u03bb,
    ACTIONS(2082), 1,
      anon_sym_quoteGoal,
    ACTIONS(2084), 1,
      anon_sym_tactic,
    ACTIONS(2090), 1,
      anon_sym_let,
    ACTIONS(5742), 1,
      sym_id,
    ACTIONS(5746), 1,
      anon_sym_record,
    ACTIONS(5748), 1,
      anon_sym_LPAREN,
    ACTIONS(5750), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5752), 1,
      anon_sym_u2983,
    ACTIONS(5754), 1,
      anon_sym_LBRACE,
    ACTIONS(5756), 1,
      aux_sym__qid_token1,
    ACTIONS(5758), 1,
      anon_sym_DOT,
    ACTIONS(5760), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5762), 1,
      anon_sym_u2987,
    ACTIONS(5766), 1,
      anon_sym_Set,
    STATE(3760), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3823), 1,
      aux_sym__atoms,
    STATE(4739), 1,
      sym_atom,
    STATE(8149), 1,
      sym__LAMBDA,
    STATE(8477), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2060), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5764), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4758), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4732), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5744), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [389882] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(3788), 1,
      sym_id,
    ACTIONS(3794), 1,
      anon_sym_record,
    ACTIONS(3796), 1,
      anon_sym_LPAREN,
    ACTIONS(3798), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3800), 1,
      anon_sym_u2983,
    ACTIONS(3802), 1,
      anon_sym_LBRACE,
    ACTIONS(3804), 1,
      aux_sym__qid_token1,
    ACTIONS(3806), 1,
      anon_sym_DOT,
    ACTIONS(3808), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3810), 1,
      anon_sym_u2987,
    ACTIONS(3814), 1,
      anon_sym_Set,
    STATE(1630), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5232), 1,
      sym_atom,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3812), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4322), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4928), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4922), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [389998] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10008), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [390114] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(3656), 1,
      sym_id,
    ACTIONS(3662), 1,
      anon_sym_record,
    ACTIONS(3664), 1,
      anon_sym_LPAREN,
    ACTIONS(3666), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3668), 1,
      anon_sym_u2983,
    ACTIONS(3670), 1,
      anon_sym_LBRACE,
    ACTIONS(3672), 1,
      aux_sym__qid_token1,
    ACTIONS(3674), 1,
      anon_sym_DOT,
    ACTIONS(3676), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3678), 1,
      anon_sym_u2987,
    ACTIONS(3682), 1,
      anon_sym_Set,
    STATE(1610), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4402), 1,
      sym_atom,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3680), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4626), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4320), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4317), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3660), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [390230] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10027), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [390346] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11170), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10097), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [390464] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9923), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [390580] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9924), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [390696] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9925), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [390812] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3754), 1,
      anon_sym_BSLASH,
    ACTIONS(3756), 1,
      anon_sym_u03bb,
    ACTIONS(3774), 1,
      anon_sym_quoteGoal,
    ACTIONS(3776), 1,
      anon_sym_tactic,
    ACTIONS(3782), 1,
      anon_sym_let,
    ACTIONS(5768), 1,
      sym_id,
    ACTIONS(5772), 1,
      anon_sym_record,
    ACTIONS(5774), 1,
      anon_sym_LPAREN,
    ACTIONS(5776), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5778), 1,
      anon_sym_u2983,
    ACTIONS(5780), 1,
      anon_sym_LBRACE,
    ACTIONS(5782), 1,
      aux_sym__qid_token1,
    ACTIONS(5784), 1,
      anon_sym_DOT,
    ACTIONS(5786), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5788), 1,
      anon_sym_u2987,
    ACTIONS(5792), 1,
      anon_sym_Set,
    STATE(3717), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3816), 1,
      aux_sym__atoms,
    STATE(4576), 1,
      sym_atom,
    STATE(8081), 1,
      sym__LAMBDA,
    STATE(8478), 1,
      sym__FORALL,
    STATE(9056), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3752), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5790), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4528), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4524), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5770), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [390928] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(5794), 1,
      sym_id,
    ACTIONS(5798), 1,
      anon_sym_record,
    ACTIONS(5800), 1,
      anon_sym_LPAREN,
    ACTIONS(5802), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5804), 1,
      anon_sym_u2983,
    ACTIONS(5806), 1,
      anon_sym_LBRACE,
    ACTIONS(5808), 1,
      aux_sym__qid_token1,
    ACTIONS(5810), 1,
      anon_sym_DOT,
    ACTIONS(5812), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5814), 1,
      anon_sym_u2987,
    ACTIONS(5818), 1,
      anon_sym_Set,
    STATE(3755), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3784), 1,
      aux_sym__atoms,
    STATE(6256), 1,
      sym_atom,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5816), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6013), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6017), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5796), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [391044] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(5820), 1,
      sym_id,
    ACTIONS(5824), 1,
      anon_sym_record,
    ACTIONS(5826), 1,
      anon_sym_LPAREN,
    ACTIONS(5828), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5830), 1,
      anon_sym_u2983,
    ACTIONS(5832), 1,
      anon_sym_LBRACE,
    ACTIONS(5834), 1,
      aux_sym__qid_token1,
    ACTIONS(5836), 1,
      anon_sym_DOT,
    ACTIONS(5838), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5840), 1,
      anon_sym_u2987,
    ACTIONS(5844), 1,
      anon_sym_Set,
    STATE(3714), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3786), 1,
      aux_sym__atoms,
    STATE(6168), 1,
      sym_atom,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5842), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6031), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6037), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5822), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [391160] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12446), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10171), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [391278] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10106), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [391394] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10107), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [391510] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(3900), 1,
      sym_id,
    ACTIONS(3908), 1,
      anon_sym_record,
    ACTIONS(3910), 1,
      anon_sym_LPAREN,
    ACTIONS(3912), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3914), 1,
      anon_sym_u2983,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    ACTIONS(3918), 1,
      aux_sym__qid_token1,
    ACTIONS(3920), 1,
      anon_sym_DOT,
    ACTIONS(3924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3926), 1,
      anon_sym_u2987,
    ACTIONS(3930), 1,
      anon_sym_Set,
    ACTIONS(3960), 1,
      anon_sym_BSLASH,
    ACTIONS(3962), 1,
      anon_sym_u03bb,
    ACTIONS(3964), 1,
      anon_sym_tactic,
    STATE(1436), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5957), 1,
      sym_atom,
    STATE(8075), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3928), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4868), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5741), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5737), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3906), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [391626] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10115), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [391742] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(3960), 1,
      anon_sym_BSLASH,
    ACTIONS(3962), 1,
      anon_sym_u03bb,
    ACTIONS(3964), 1,
      anon_sym_tactic,
    ACTIONS(5144), 1,
      sym_id,
    ACTIONS(5148), 1,
      anon_sym_record,
    ACTIONS(5150), 1,
      anon_sym_LPAREN,
    ACTIONS(5152), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5154), 1,
      anon_sym_u2983,
    ACTIONS(5156), 1,
      anon_sym_LBRACE,
    ACTIONS(5158), 1,
      aux_sym__qid_token1,
    ACTIONS(5160), 1,
      anon_sym_DOT,
    ACTIONS(5162), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5164), 1,
      anon_sym_u2987,
    ACTIONS(5168), 1,
      anon_sym_Set,
    STATE(3738), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3791), 1,
      aux_sym__atoms,
    STATE(6029), 1,
      sym_atom,
    STATE(8075), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5166), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6132), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6130), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5146), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [391858] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(5008), 1,
      anon_sym_record,
    ACTIONS(5010), 1,
      anon_sym_LPAREN,
    ACTIONS(5012), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5014), 1,
      anon_sym_u2983,
    ACTIONS(5016), 1,
      anon_sym_LBRACE,
    ACTIONS(5020), 1,
      anon_sym_DOT,
    ACTIONS(5022), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5024), 1,
      anon_sym_u2987,
    ACTIONS(5028), 1,
      anon_sym_Set,
    ACTIONS(5056), 1,
      sym_id,
    ACTIONS(5058), 1,
      aux_sym__qid_token1,
    STATE(3703), 1,
      aux_sym__atoms,
    STATE(5987), 1,
      sym__qid,
    STATE(6066), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5026), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6117), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6116), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5006), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(11682), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [391974] = 30,
    ACTIONS(9), 1,
      sym_id,
    ACTIONS(13), 1,
      anon_sym_BSLASH,
    ACTIONS(15), 1,
      anon_sym_u03bb,
    ACTIONS(51), 1,
      anon_sym_LPAREN,
    ACTIONS(53), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(55), 1,
      anon_sym_u2983,
    ACTIONS(61), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      aux_sym__qid_token1,
    ACTIONS(71), 1,
      anon_sym_DOT,
    ACTIONS(75), 1,
      anon_sym_quoteGoal,
    ACTIONS(77), 1,
      anon_sym_tactic,
    ACTIONS(79), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(81), 1,
      anon_sym_u2987,
    ACTIONS(83), 1,
      anon_sym_let,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_Set,
    ACTIONS(4278), 1,
      anon_sym_record,
    STATE(3729), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3780), 1,
      aux_sym__atoms,
    STATE(4617), 1,
      sym_atom,
    STATE(8100), 1,
      sym__LAMBDA,
    STATE(8267), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(11), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(87), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4564), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4530), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(17), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [392090] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(3900), 1,
      sym_id,
    ACTIONS(3908), 1,
      anon_sym_record,
    ACTIONS(3910), 1,
      anon_sym_LPAREN,
    ACTIONS(3912), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3914), 1,
      anon_sym_u2983,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    ACTIONS(3918), 1,
      aux_sym__qid_token1,
    ACTIONS(3920), 1,
      anon_sym_DOT,
    ACTIONS(3924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3926), 1,
      anon_sym_u2987,
    ACTIONS(3930), 1,
      anon_sym_Set,
    ACTIONS(3960), 1,
      anon_sym_BSLASH,
    ACTIONS(3962), 1,
      anon_sym_u03bb,
    ACTIONS(3964), 1,
      anon_sym_tactic,
    STATE(1437), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5957), 1,
      sym_atom,
    STATE(8075), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3928), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5338), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5741), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5737), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3906), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [392206] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(5846), 1,
      sym_id,
    ACTIONS(5850), 1,
      anon_sym_record,
    ACTIONS(5852), 1,
      anon_sym_LPAREN,
    ACTIONS(5854), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5856), 1,
      anon_sym_u2983,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(5860), 1,
      aux_sym__qid_token1,
    ACTIONS(5862), 1,
      anon_sym_DOT,
    ACTIONS(5864), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5866), 1,
      anon_sym_u2987,
    ACTIONS(5870), 1,
      anon_sym_Set,
    STATE(3745), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3812), 1,
      aux_sym__atoms,
    STATE(5347), 1,
      sym_atom,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5868), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4954), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5345), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5848), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [392322] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12537), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10133), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [392440] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10131), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [392556] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10134), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [392672] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10135), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [392788] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11754), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10117), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [392906] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10012), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [393022] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10013), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [393138] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2838), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2850), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2886), 1,
      sym_id,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2896), 1,
      aux_sym__qid_token1,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(2906), 1,
      anon_sym_Set,
    STATE(1537), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4643), 1,
      sym_atom,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2856), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4388), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2832), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [393254] = 30,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(5872), 1,
      sym_id,
    ACTIONS(5876), 1,
      anon_sym_record,
    ACTIONS(5878), 1,
      anon_sym_LPAREN,
    ACTIONS(5880), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5882), 1,
      anon_sym_u2983,
    ACTIONS(5884), 1,
      anon_sym_LBRACE,
    ACTIONS(5886), 1,
      aux_sym__qid_token1,
    ACTIONS(5888), 1,
      anon_sym_DOT,
    ACTIONS(5890), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5892), 1,
      anon_sym_u2987,
    ACTIONS(5896), 1,
      anon_sym_Set,
    STATE(3710), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3805), 1,
      aux_sym__atoms,
    STATE(6087), 1,
      sym_atom,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    STATE(9479), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5894), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6188), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6187), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5874), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [393370] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11181), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10173), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [393488] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9736), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [393604] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2174), 1,
      anon_sym_BSLASH,
    ACTIONS(2176), 1,
      anon_sym_u03bb,
    ACTIONS(2194), 1,
      anon_sym_quoteGoal,
    ACTIONS(2196), 1,
      anon_sym_tactic,
    ACTIONS(2202), 1,
      anon_sym_let,
    ACTIONS(5898), 1,
      sym_id,
    ACTIONS(5902), 1,
      anon_sym_record,
    ACTIONS(5904), 1,
      anon_sym_LPAREN,
    ACTIONS(5906), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5908), 1,
      anon_sym_u2983,
    ACTIONS(5910), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      aux_sym__qid_token1,
    ACTIONS(5914), 1,
      anon_sym_DOT,
    ACTIONS(5916), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5918), 1,
      anon_sym_u2987,
    ACTIONS(5922), 1,
      anon_sym_Set,
    STATE(3749), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3774), 1,
      aux_sym__atoms,
    STATE(6157), 1,
      sym_atom,
    STATE(8132), 1,
      sym__LAMBDA,
    STATE(8460), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2172), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5920), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6239), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6237), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5900), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [393720] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9737), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [393836] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9738), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [393952] = 30,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2822), 1,
      sym_id,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2838), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2844), 1,
      anon_sym_DOT,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2850), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(2858), 1,
      anon_sym_Set,
    STATE(1523), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4643), 1,
      sym_atom,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2856), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4700), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2832), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [394068] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3060), 1,
      sym_id,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3068), 1,
      anon_sym_record,
    ACTIONS(3070), 1,
      anon_sym_LPAREN,
    ACTIONS(3072), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3074), 1,
      anon_sym_u2983,
    ACTIONS(3076), 1,
      anon_sym_LBRACE,
    ACTIONS(3078), 1,
      aux_sym__qid_token1,
    ACTIONS(3080), 1,
      anon_sym_DOT,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(3084), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3086), 1,
      anon_sym_u2987,
    ACTIONS(3090), 1,
      anon_sym_Set,
    STATE(1570), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5377), 1,
      sym_atom,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3088), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4586), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5561), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5558), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [394184] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11257), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10100), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [394302] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9936), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [394418] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9937), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [394534] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9938), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [394650] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(5924), 1,
      sym_id,
    ACTIONS(5928), 1,
      anon_sym_record,
    ACTIONS(5930), 1,
      anon_sym_LPAREN,
    ACTIONS(5932), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5934), 1,
      anon_sym_u2983,
    ACTIONS(5936), 1,
      anon_sym_LBRACE,
    ACTIONS(5938), 1,
      aux_sym__qid_token1,
    ACTIONS(5940), 1,
      anon_sym_DOT,
    ACTIONS(5942), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5944), 1,
      anon_sym_u2987,
    ACTIONS(5948), 1,
      anon_sym_Set,
    STATE(3750), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3821), 1,
      aux_sym__atoms,
    STATE(4815), 1,
      sym_atom,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5946), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4676), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4673), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5926), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [394766] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1980), 1,
      sym_id,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(1992), 1,
      anon_sym_record,
    ACTIONS(1994), 1,
      anon_sym_LPAREN,
    ACTIONS(1996), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1998), 1,
      anon_sym_u2983,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(2002), 1,
      aux_sym__qid_token1,
    ACTIONS(2004), 1,
      anon_sym_DOT,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2010), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2012), 1,
      anon_sym_u2987,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(2018), 1,
      anon_sym_Set,
    STATE(1436), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5301), 1,
      sym_atom,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2016), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4868), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5060), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5058), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(1990), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [394882] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10014), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [394998] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10944), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10139), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [395116] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2624), 1,
      sym_id,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2636), 1,
      anon_sym_record,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(2640), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2642), 1,
      anon_sym_u2983,
    ACTIONS(2644), 1,
      anon_sym_LBRACE,
    ACTIONS(2646), 1,
      aux_sym__qid_token1,
    ACTIONS(2648), 1,
      anon_sym_DOT,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2654), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2656), 1,
      anon_sym_u2987,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(2662), 1,
      anon_sym_Set,
    STATE(1489), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5590), 1,
      sym_atom,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2660), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4384), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5378), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5374), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2634), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [395232] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(12640), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [395348] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(3524), 1,
      sym_id,
    ACTIONS(3530), 1,
      anon_sym_record,
    ACTIONS(3532), 1,
      anon_sym_LPAREN,
    ACTIONS(3534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3536), 1,
      anon_sym_u2983,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    ACTIONS(3540), 1,
      aux_sym__qid_token1,
    ACTIONS(3542), 1,
      anon_sym_DOT,
    ACTIONS(3544), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3546), 1,
      anon_sym_u2987,
    ACTIONS(3550), 1,
      anon_sym_Set,
    STATE(1590), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4781), 1,
      sym_atom,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3548), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4900), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4820), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4761), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [395464] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(3656), 1,
      sym_id,
    ACTIONS(3662), 1,
      anon_sym_record,
    ACTIONS(3664), 1,
      anon_sym_LPAREN,
    ACTIONS(3666), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3668), 1,
      anon_sym_u2983,
    ACTIONS(3670), 1,
      anon_sym_LBRACE,
    ACTIONS(3672), 1,
      aux_sym__qid_token1,
    ACTIONS(3674), 1,
      anon_sym_DOT,
    ACTIONS(3676), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3678), 1,
      anon_sym_u2987,
    ACTIONS(3682), 1,
      anon_sym_Set,
    STATE(1611), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4402), 1,
      sym_atom,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3680), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5950), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4320), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4317), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3660), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [395580] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3754), 1,
      anon_sym_BSLASH,
    ACTIONS(3756), 1,
      anon_sym_u03bb,
    ACTIONS(3774), 1,
      anon_sym_quoteGoal,
    ACTIONS(3776), 1,
      anon_sym_tactic,
    ACTIONS(3782), 1,
      anon_sym_let,
    ACTIONS(5768), 1,
      sym_id,
    ACTIONS(5772), 1,
      anon_sym_record,
    ACTIONS(5774), 1,
      anon_sym_LPAREN,
    ACTIONS(5776), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5778), 1,
      anon_sym_u2983,
    ACTIONS(5780), 1,
      anon_sym_LBRACE,
    ACTIONS(5782), 1,
      aux_sym__qid_token1,
    ACTIONS(5784), 1,
      anon_sym_DOT,
    ACTIONS(5786), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5788), 1,
      anon_sym_u2987,
    ACTIONS(5792), 1,
      anon_sym_Set,
    STATE(3717), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3816), 1,
      aux_sym__atoms,
    STATE(4576), 1,
      sym_atom,
    STATE(8081), 1,
      sym__LAMBDA,
    STATE(8478), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3752), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5790), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4528), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4524), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5770), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [395696] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12530), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10175), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [395814] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9777), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [395930] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11426), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10105), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [396048] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9961), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [396164] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(3788), 1,
      sym_id,
    ACTIONS(3794), 1,
      anon_sym_record,
    ACTIONS(3796), 1,
      anon_sym_LPAREN,
    ACTIONS(3798), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3800), 1,
      anon_sym_u2983,
    ACTIONS(3802), 1,
      anon_sym_LBRACE,
    ACTIONS(3804), 1,
      aux_sym__qid_token1,
    ACTIONS(3806), 1,
      anon_sym_DOT,
    ACTIONS(3808), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3810), 1,
      anon_sym_u2987,
    ACTIONS(3814), 1,
      anon_sym_Set,
    STATE(1631), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5232), 1,
      sym_atom,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3812), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5952), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4928), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4922), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [396280] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9778), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [396396] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9779), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [396512] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(5954), 1,
      sym_id,
    ACTIONS(5958), 1,
      anon_sym_record,
    ACTIONS(5960), 1,
      anon_sym_LPAREN,
    ACTIONS(5962), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5964), 1,
      anon_sym_u2983,
    ACTIONS(5966), 1,
      anon_sym_LBRACE,
    ACTIONS(5968), 1,
      aux_sym__qid_token1,
    ACTIONS(5970), 1,
      anon_sym_DOT,
    ACTIONS(5972), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5974), 1,
      anon_sym_u2987,
    ACTIONS(5978), 1,
      anon_sym_Set,
    STATE(3757), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3776), 1,
      aux_sym__atoms,
    STATE(4517), 1,
      sym_atom,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5976), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4561), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4526), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5956), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [396628] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2624), 1,
      sym_id,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2636), 1,
      anon_sym_record,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(2640), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2642), 1,
      anon_sym_u2983,
    ACTIONS(2644), 1,
      anon_sym_LBRACE,
    ACTIONS(2646), 1,
      aux_sym__qid_token1,
    ACTIONS(2648), 1,
      anon_sym_DOT,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2654), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2656), 1,
      anon_sym_u2987,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(2662), 1,
      anon_sym_Set,
    STATE(1490), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5590), 1,
      sym_atom,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2660), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5980), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5378), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5374), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2634), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [396744] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2936), 1,
      sym_id,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2948), 1,
      anon_sym_record,
    ACTIONS(2950), 1,
      anon_sym_LPAREN,
    ACTIONS(2952), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2954), 1,
      anon_sym_u2983,
    ACTIONS(2956), 1,
      anon_sym_LBRACE,
    ACTIONS(2958), 1,
      aux_sym__qid_token1,
    ACTIONS(2960), 1,
      anon_sym_DOT,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2966), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2968), 1,
      anon_sym_u2987,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(2974), 1,
      anon_sym_Set,
    STATE(1551), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5087), 1,
      sym_atom,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2972), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(5498), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5205), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5202), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2946), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [396860] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(5982), 1,
      sym_id,
    ACTIONS(5986), 1,
      anon_sym_record,
    ACTIONS(5988), 1,
      anon_sym_LPAREN,
    ACTIONS(5990), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5992), 1,
      anon_sym_u2983,
    ACTIONS(5994), 1,
      anon_sym_LBRACE,
    ACTIONS(5996), 1,
      aux_sym__qid_token1,
    ACTIONS(5998), 1,
      anon_sym_DOT,
    ACTIONS(6000), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6002), 1,
      anon_sym_u2987,
    ACTIONS(6006), 1,
      anon_sym_Set,
    STATE(3743), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3781), 1,
      aux_sym__atoms,
    STATE(5884), 1,
      sym_atom,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6004), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5940), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5894), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5984), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [396976] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(6008), 1,
      sym_id,
    ACTIONS(6012), 1,
      anon_sym_record,
    ACTIONS(6014), 1,
      anon_sym_LPAREN,
    ACTIONS(6016), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6018), 1,
      anon_sym_u2983,
    ACTIONS(6020), 1,
      anon_sym_LBRACE,
    ACTIONS(6022), 1,
      aux_sym__qid_token1,
    ACTIONS(6024), 1,
      anon_sym_DOT,
    ACTIONS(6026), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6028), 1,
      anon_sym_u2987,
    ACTIONS(6032), 1,
      anon_sym_Set,
    STATE(3706), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3764), 1,
      aux_sym__atoms,
    STATE(5829), 1,
      sym_atom,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6030), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5967), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5840), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6010), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [397092] = 30,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(3900), 1,
      sym_id,
    ACTIONS(3902), 1,
      anon_sym_BSLASH,
    ACTIONS(3904), 1,
      anon_sym_u03bb,
    ACTIONS(3908), 1,
      anon_sym_record,
    ACTIONS(3910), 1,
      anon_sym_LPAREN,
    ACTIONS(3912), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3914), 1,
      anon_sym_u2983,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    ACTIONS(3918), 1,
      aux_sym__qid_token1,
    ACTIONS(3920), 1,
      anon_sym_DOT,
    ACTIONS(3922), 1,
      anon_sym_tactic,
    ACTIONS(3924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3926), 1,
      anon_sym_u2987,
    ACTIONS(3930), 1,
      anon_sym_Set,
    STATE(1423), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5957), 1,
      sym_atom,
    STATE(8136), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3928), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4338), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5741), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5737), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3906), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [397208] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10274), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10178), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [397326] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9795), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [397442] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9796), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [397558] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(3524), 1,
      sym_id,
    ACTIONS(3530), 1,
      anon_sym_record,
    ACTIONS(3532), 1,
      anon_sym_LPAREN,
    ACTIONS(3534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3536), 1,
      anon_sym_u2983,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    ACTIONS(3540), 1,
      aux_sym__qid_token1,
    ACTIONS(3542), 1,
      anon_sym_DOT,
    ACTIONS(3544), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3546), 1,
      anon_sym_u2987,
    ACTIONS(3550), 1,
      anon_sym_Set,
    STATE(1591), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4781), 1,
      sym_atom,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3548), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6034), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4820), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4761), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [397674] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9798), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [397790] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3118), 1,
      sym_id,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3130), 1,
      anon_sym_record,
    ACTIONS(3132), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3136), 1,
      anon_sym_u2983,
    ACTIONS(3138), 1,
      anon_sym_LBRACE,
    ACTIONS(3140), 1,
      aux_sym__qid_token1,
    ACTIONS(3142), 1,
      anon_sym_DOT,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3148), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3150), 1,
      anon_sym_u2987,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(3156), 1,
      anon_sym_Set,
    STATE(1581), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(5148), 1,
      sym_atom,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3154), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6036), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5014), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4982), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3128), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [397906] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(12803), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10137), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [398024] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(6038), 1,
      sym_id,
    ACTIONS(6042), 1,
      anon_sym_record,
    ACTIONS(6044), 1,
      anon_sym_LPAREN,
    ACTIONS(6046), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_u2983,
    ACTIONS(6050), 1,
      anon_sym_LBRACE,
    ACTIONS(6052), 1,
      aux_sym__qid_token1,
    ACTIONS(6054), 1,
      anon_sym_DOT,
    ACTIONS(6056), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6058), 1,
      anon_sym_u2987,
    ACTIONS(6062), 1,
      anon_sym_Set,
    STATE(3708), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3813), 1,
      aux_sym__atoms,
    STATE(5444), 1,
      sym_atom,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6060), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5519), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5694), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6040), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [398140] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(11344), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10103), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [398258] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9949), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [398374] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9950), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [398490] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9951), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [398606] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10229), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [398722] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(10230), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [398838] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9999), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [398954] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(5444), 1,
      sym_id,
    ACTIONS(5448), 1,
      anon_sym_record,
    ACTIONS(5450), 1,
      anon_sym_LPAREN,
    ACTIONS(5452), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5454), 1,
      anon_sym_u2983,
    ACTIONS(5456), 1,
      anon_sym_LBRACE,
    ACTIONS(5458), 1,
      aux_sym__qid_token1,
    ACTIONS(5460), 1,
      anon_sym_DOT,
    ACTIONS(5462), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5464), 1,
      anon_sym_u2987,
    ACTIONS(5468), 1,
      anon_sym_Set,
    STATE(3748), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3799), 1,
      aux_sym__atoms,
    STATE(5480), 1,
      sym_atom,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5466), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5605), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5574), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5446), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [399070] = 30,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(6064), 1,
      sym_id,
    ACTIONS(6068), 1,
      anon_sym_record,
    ACTIONS(6070), 1,
      anon_sym_LPAREN,
    ACTIONS(6072), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6074), 1,
      anon_sym_u2983,
    ACTIONS(6076), 1,
      anon_sym_LBRACE,
    ACTIONS(6078), 1,
      aux_sym__qid_token1,
    ACTIONS(6080), 1,
      anon_sym_DOT,
    ACTIONS(6082), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6084), 1,
      anon_sym_u2987,
    ACTIONS(6088), 1,
      anon_sym_Set,
    STATE(3733), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3802), 1,
      aux_sym__atoms,
    STATE(5576), 1,
      sym_atom,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    STATE(9479), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6086), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5670), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5668), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [399186] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(6090), 1,
      sym_id,
    ACTIONS(6094), 1,
      anon_sym_record,
    ACTIONS(6096), 1,
      anon_sym_LPAREN,
    ACTIONS(6098), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6100), 1,
      anon_sym_u2983,
    ACTIONS(6102), 1,
      anon_sym_LBRACE,
    ACTIONS(6104), 1,
      aux_sym__qid_token1,
    ACTIONS(6106), 1,
      anon_sym_DOT,
    ACTIONS(6108), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6110), 1,
      anon_sym_u2987,
    ACTIONS(6114), 1,
      anon_sym_Set,
    STATE(3716), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3808), 1,
      aux_sym__atoms,
    STATE(5515), 1,
      sym_atom,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6112), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5450), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5413), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6092), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [399302] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9890), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [399418] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(6116), 1,
      sym_id,
    ACTIONS(6120), 1,
      anon_sym_record,
    ACTIONS(6122), 1,
      anon_sym_LPAREN,
    ACTIONS(6124), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6126), 1,
      anon_sym_u2983,
    ACTIONS(6128), 1,
      anon_sym_LBRACE,
    ACTIONS(6130), 1,
      aux_sym__qid_token1,
    ACTIONS(6132), 1,
      anon_sym_DOT,
    ACTIONS(6134), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6136), 1,
      anon_sym_u2987,
    ACTIONS(6140), 1,
      anon_sym_Set,
    STATE(3715), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3827), 1,
      aux_sym__atoms,
    STATE(4849), 1,
      sym_atom,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6138), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4756), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4743), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6118), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [399534] = 31,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(738), 1,
      anon_sym_BSLASH,
    ACTIONS(740), 1,
      anon_sym_u03bb,
    ACTIONS(762), 1,
      anon_sym_quoteGoal,
    ACTIONS(764), 1,
      anon_sym_tactic,
    ACTIONS(770), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4250), 1,
      sym_id,
    ACTIONS(4254), 1,
      anon_sym_record,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4260), 1,
      anon_sym_u2983,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4264), 1,
      aux_sym__qid_token1,
    ACTIONS(4266), 1,
      anon_sym_DOT,
    ACTIONS(4268), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4270), 1,
      anon_sym_u2987,
    ACTIONS(4274), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5812), 1,
      sym_atom,
    STATE(8084), 1,
      sym__LAMBDA,
    STATE(8447), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4272), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5777), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8953), 2,
      sym__expr2,
      sym_let,
    STATE(9767), 2,
      sym__expr2_stmt,
      sym_let_in_do,
    STATE(9526), 5,
      sym__expr2_without_let,
      sym_forall,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    STATE(5768), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4252), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [399652] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10420), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10180), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [399770] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(5470), 1,
      sym_id,
    ACTIONS(5474), 1,
      anon_sym_record,
    ACTIONS(5476), 1,
      anon_sym_LPAREN,
    ACTIONS(5478), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_u2983,
    ACTIONS(5482), 1,
      anon_sym_LBRACE,
    ACTIONS(5484), 1,
      aux_sym__qid_token1,
    ACTIONS(5486), 1,
      anon_sym_DOT,
    ACTIONS(5488), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5490), 1,
      anon_sym_u2987,
    ACTIONS(5494), 1,
      anon_sym_Set,
    STATE(3759), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3801), 1,
      aux_sym__atoms,
    STATE(5872), 1,
      sym_atom,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5492), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5850), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5888), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5472), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [399886] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9807), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [400002] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9808), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [400118] = 30,
    ACTIONS(854), 1,
      anon_sym_BSLASH,
    ACTIONS(856), 1,
      anon_sym_u03bb,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(880), 1,
      anon_sym_tactic,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(6090), 1,
      sym_id,
    ACTIONS(6094), 1,
      anon_sym_record,
    ACTIONS(6096), 1,
      anon_sym_LPAREN,
    ACTIONS(6098), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6100), 1,
      anon_sym_u2983,
    ACTIONS(6102), 1,
      anon_sym_LBRACE,
    ACTIONS(6104), 1,
      aux_sym__qid_token1,
    ACTIONS(6106), 1,
      anon_sym_DOT,
    ACTIONS(6108), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6110), 1,
      anon_sym_u2987,
    ACTIONS(6114), 1,
      anon_sym_Set,
    STATE(3722), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3769), 1,
      aux_sym__atoms,
    STATE(5515), 1,
      sym_atom,
    STATE(8082), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6112), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5450), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5413), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6092), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [400234] = 30,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    ACTIONS(5340), 1,
      sym_id,
    ACTIONS(5344), 1,
      anon_sym_record,
    ACTIONS(5346), 1,
      anon_sym_LPAREN,
    ACTIONS(5348), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5350), 1,
      anon_sym_u2983,
    ACTIONS(5352), 1,
      anon_sym_LBRACE,
    ACTIONS(5354), 1,
      aux_sym__qid_token1,
    ACTIONS(5356), 1,
      anon_sym_DOT,
    ACTIONS(5358), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5360), 1,
      anon_sym_u2987,
    ACTIONS(5364), 1,
      anon_sym_Set,
    STATE(3723), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3770), 1,
      aux_sym__atoms,
    STATE(5772), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    STATE(8932), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5362), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5805), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5786), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8949), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5342), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [400350] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9809), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [400466] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(2908), 1,
      sym_id,
    ACTIONS(2914), 1,
      anon_sym_record,
    ACTIONS(2916), 1,
      anon_sym_LPAREN,
    ACTIONS(2918), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2920), 1,
      anon_sym_u2983,
    ACTIONS(2922), 1,
      anon_sym_LBRACE,
    ACTIONS(2924), 1,
      aux_sym__qid_token1,
    ACTIONS(2926), 1,
      anon_sym_DOT,
    ACTIONS(2928), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2930), 1,
      anon_sym_u2987,
    ACTIONS(2934), 1,
      anon_sym_Set,
    STATE(1540), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4164), 1,
      sym_atom,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2932), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6142), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4166), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4171), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2912), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [400582] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(6144), 1,
      sym_id,
    ACTIONS(6148), 1,
      anon_sym_record,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_u2983,
    ACTIONS(6156), 1,
      anon_sym_LBRACE,
    ACTIONS(6158), 1,
      aux_sym__qid_token1,
    ACTIONS(6160), 1,
      anon_sym_DOT,
    ACTIONS(6162), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6164), 1,
      anon_sym_u2987,
    ACTIONS(6168), 1,
      anon_sym_Set,
    STATE(3718), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3768), 1,
      aux_sym__atoms,
    STATE(4601), 1,
      sym_atom,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6166), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4432), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4622), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6146), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [400698] = 30,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(6170), 1,
      sym_id,
    ACTIONS(6174), 1,
      anon_sym_record,
    ACTIONS(6176), 1,
      anon_sym_LPAREN,
    ACTIONS(6178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6180), 1,
      anon_sym_u2983,
    ACTIONS(6182), 1,
      anon_sym_LBRACE,
    ACTIONS(6184), 1,
      aux_sym__qid_token1,
    ACTIONS(6186), 1,
      anon_sym_DOT,
    ACTIONS(6188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6190), 1,
      anon_sym_u2987,
    ACTIONS(6194), 1,
      anon_sym_Set,
    STATE(3726), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3828), 1,
      aux_sym__atoms,
    STATE(6100), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    STATE(9479), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6192), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6204), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6203), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9438), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6172), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [400814] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2838), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2850), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2886), 1,
      sym_id,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2896), 1,
      aux_sym__qid_token1,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(2906), 1,
      anon_sym_Set,
    STATE(1538), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4643), 1,
      sym_atom,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2856), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5254), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2832), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [400930] = 31,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    STATE(10566), 1,
      sym__binding_ids_and_absurds,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(10182), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [401048] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3984), 1,
      aux_sym__qid_token1,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    STATE(3891), 1,
      aux_sym__atoms,
    STATE(5901), 1,
      sym__qid,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9829), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [401164] = 30,
    ACTIONS(876), 1,
      anon_sym_DASH,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4188), 1,
      sym_id,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4206), 1,
      aux_sym__qid_token1,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    STATE(3890), 1,
      aux_sym__atoms,
    STATE(6228), 1,
      sym__qid,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9830), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [401280] = 30,
    ACTIONS(710), 1,
      anon_sym_DASH,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      aux_sym__qid_token1,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(4220), 1,
      sym_id,
    STATE(3884), 1,
      aux_sym__atoms,
    STATE(6250), 1,
      sym__qid,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 6,
      sym__ELLIPSIS,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    STATE(9831), 9,
      sym__binding_ids_and_absurds,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
  [401396] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(6196), 1,
      sym_id,
    ACTIONS(6200), 1,
      anon_sym_record,
    ACTIONS(6202), 1,
      anon_sym_LPAREN,
    ACTIONS(6204), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6206), 1,
      anon_sym_u2983,
    ACTIONS(6208), 1,
      anon_sym_LBRACE,
    ACTIONS(6210), 1,
      aux_sym__qid_token1,
    ACTIONS(6212), 1,
      anon_sym_DOT,
    ACTIONS(6214), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6216), 1,
      anon_sym_u2987,
    ACTIONS(6220), 1,
      anon_sym_Set,
    STATE(3721), 1,
      aux_sym__with_exprs_repeat1,
    STATE(3773), 1,
      aux_sym__atoms,
    STATE(4413), 1,
      sym_atom,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    STATE(8993), 1,
      sym__with_exprs,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6218), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4379), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4376), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8950), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6198), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [401512] = 30,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(5002), 1,
      sym_id,
    ACTIONS(5008), 1,
      anon_sym_record,
    ACTIONS(5010), 1,
      anon_sym_LPAREN,
    ACTIONS(5012), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5014), 1,
      anon_sym_u2983,
    ACTIONS(5016), 1,
      anon_sym_LBRACE,
    ACTIONS(5018), 1,
      aux_sym__qid_token1,
    ACTIONS(5020), 1,
      anon_sym_DOT,
    ACTIONS(5022), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5024), 1,
      anon_sym_u2987,
    ACTIONS(5028), 1,
      anon_sym_Set,
    STATE(2653), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(6066), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5026), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6222), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(6117), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6116), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5006), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [401628] = 30,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(3932), 1,
      sym_id,
    ACTIONS(3938), 1,
      anon_sym_record,
    ACTIONS(3940), 1,
      anon_sym_LPAREN,
    ACTIONS(3942), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3944), 1,
      anon_sym_u2983,
    ACTIONS(3946), 1,
      anon_sym_LBRACE,
    ACTIONS(3948), 1,
      aux_sym__qid_token1,
    ACTIONS(3950), 1,
      anon_sym_DOT,
    ACTIONS(3952), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3954), 1,
      anon_sym_u2987,
    ACTIONS(3958), 1,
      anon_sym_Set,
    STATE(1670), 1,
      sym__ARROW,
    STATE(4002), 1,
      aux_sym__atoms,
    STATE(4649), 1,
      sym_atom,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3956), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(4818), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(4887), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4886), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3936), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [401744] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(5170), 1,
      sym_id,
    ACTIONS(5174), 1,
      anon_sym_record,
    ACTIONS(5176), 1,
      anon_sym_LPAREN,
    ACTIONS(5178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5180), 1,
      anon_sym_u2983,
    ACTIONS(5182), 1,
      anon_sym_LBRACE,
    ACTIONS(5184), 1,
      aux_sym__qid_token1,
    ACTIONS(5186), 1,
      anon_sym_DOT,
    ACTIONS(5188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5190), 1,
      anon_sym_u2987,
    ACTIONS(5194), 1,
      anon_sym_Set,
    STATE(3771), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5244), 1,
      sym_atom,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5192), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5294), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5265), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5172), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [401857] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(6008), 1,
      sym_id,
    ACTIONS(6012), 1,
      anon_sym_record,
    ACTIONS(6014), 1,
      anon_sym_LPAREN,
    ACTIONS(6016), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6018), 1,
      anon_sym_u2983,
    ACTIONS(6020), 1,
      anon_sym_LBRACE,
    ACTIONS(6022), 1,
      aux_sym__qid_token1,
    ACTIONS(6024), 1,
      anon_sym_DOT,
    ACTIONS(6026), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6028), 1,
      anon_sym_u2987,
    ACTIONS(6032), 1,
      anon_sym_Set,
    STATE(3764), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5829), 1,
      sym_atom,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6030), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5967), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5840), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6010), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [401970] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(1946), 1,
      anon_sym_BSLASH,
    ACTIONS(1948), 1,
      anon_sym_u03bb,
    ACTIONS(1966), 1,
      anon_sym_quoteGoal,
    ACTIONS(1968), 1,
      anon_sym_tactic,
    ACTIONS(1974), 1,
      anon_sym_let,
    ACTIONS(4918), 1,
      sym_id,
    ACTIONS(4922), 1,
      anon_sym_record,
    ACTIONS(4924), 1,
      anon_sym_LPAREN,
    ACTIONS(4926), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4928), 1,
      anon_sym_u2983,
    ACTIONS(4930), 1,
      anon_sym_LBRACE,
    ACTIONS(4932), 1,
      aux_sym__qid_token1,
    ACTIONS(4934), 1,
      anon_sym_DOT,
    ACTIONS(4936), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4938), 1,
      anon_sym_u2987,
    ACTIONS(4942), 1,
      anon_sym_Set,
    STATE(3788), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5773), 1,
      sym_atom,
    STATE(8062), 1,
      sym__LAMBDA,
    STATE(8473), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1944), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4940), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5791), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5787), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(4920), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [402083] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(6038), 1,
      sym_id,
    ACTIONS(6042), 1,
      anon_sym_record,
    ACTIONS(6044), 1,
      anon_sym_LPAREN,
    ACTIONS(6046), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_u2983,
    ACTIONS(6050), 1,
      anon_sym_LBRACE,
    ACTIONS(6052), 1,
      aux_sym__qid_token1,
    ACTIONS(6054), 1,
      anon_sym_DOT,
    ACTIONS(6056), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6058), 1,
      anon_sym_u2987,
    ACTIONS(6062), 1,
      anon_sym_Set,
    STATE(3813), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5444), 1,
      sym_atom,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6060), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5519), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5694), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6040), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [402196] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(5062), 1,
      sym_id,
    ACTIONS(5066), 1,
      anon_sym_record,
    ACTIONS(5068), 1,
      anon_sym_LPAREN,
    ACTIONS(5070), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5072), 1,
      anon_sym_u2983,
    ACTIONS(5074), 1,
      anon_sym_LBRACE,
    ACTIONS(5076), 1,
      aux_sym__qid_token1,
    ACTIONS(5078), 1,
      anon_sym_DOT,
    ACTIONS(5080), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5082), 1,
      anon_sym_u2987,
    ACTIONS(5086), 1,
      anon_sym_Set,
    STATE(3806), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(6004), 1,
      sym_atom,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5084), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6049), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6053), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5064), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [402309] = 29,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(5872), 1,
      sym_id,
    ACTIONS(5876), 1,
      anon_sym_record,
    ACTIONS(5878), 1,
      anon_sym_LPAREN,
    ACTIONS(5880), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5882), 1,
      anon_sym_u2983,
    ACTIONS(5884), 1,
      anon_sym_LBRACE,
    ACTIONS(5886), 1,
      aux_sym__qid_token1,
    ACTIONS(5888), 1,
      anon_sym_DOT,
    ACTIONS(5890), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5892), 1,
      anon_sym_u2987,
    ACTIONS(5896), 1,
      anon_sym_Set,
    STATE(3805), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(6087), 1,
      sym_atom,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5894), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6188), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6187), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9461), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5874), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [402422] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(5526), 1,
      sym_id,
    ACTIONS(5530), 1,
      anon_sym_record,
    ACTIONS(5532), 1,
      anon_sym_LPAREN,
    ACTIONS(5534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5536), 1,
      anon_sym_u2983,
    ACTIONS(5538), 1,
      anon_sym_LBRACE,
    ACTIONS(5540), 1,
      aux_sym__qid_token1,
    ACTIONS(5542), 1,
      anon_sym_DOT,
    ACTIONS(5544), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5546), 1,
      anon_sym_u2987,
    ACTIONS(5550), 1,
      anon_sym_Set,
    STATE(3826), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5713), 1,
      sym_atom,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5548), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5640), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5638), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [402535] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(344), 1,
      anon_sym_BSLASH,
    ACTIONS(4240), 52,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_field,
      anon_sym_instance,
      anon_sym_module,
      anon_sym_data,
      anon_sym_codata,
      anon_sym_record,
      anon_sym_infix,
      anon_sym_infixl,
      anon_sym_infixr,
      anon_sym_variable,
      anon_sym_mutual,
      anon_sym_abstract,
      anon_sym_private,
      anon_sym_macro,
      anon_sym_postulate,
      anon_sym_primitive,
      anon_sym_open,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      sym_pragma,
      anon_sym_syntax,
      anon_sym_LBRACE,
      anon_sym_pattern,
      anon_sym_unquoteDecl,
      anon_sym_unquoteDef,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [402596] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(5690), 1,
      sym_id,
    ACTIONS(5694), 1,
      anon_sym_record,
    ACTIONS(5696), 1,
      anon_sym_LPAREN,
    ACTIONS(5698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5700), 1,
      anon_sym_u2983,
    ACTIONS(5702), 1,
      anon_sym_LBRACE,
    ACTIONS(5704), 1,
      aux_sym__qid_token1,
    ACTIONS(5706), 1,
      anon_sym_DOT,
    ACTIONS(5708), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5710), 1,
      anon_sym_u2987,
    ACTIONS(5714), 1,
      anon_sym_Set,
    STATE(3797), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(6002), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5712), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6102), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6101), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [402709] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(5820), 1,
      sym_id,
    ACTIONS(5824), 1,
      anon_sym_record,
    ACTIONS(5826), 1,
      anon_sym_LPAREN,
    ACTIONS(5828), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5830), 1,
      anon_sym_u2983,
    ACTIONS(5832), 1,
      anon_sym_LBRACE,
    ACTIONS(5834), 1,
      aux_sym__qid_token1,
    ACTIONS(5836), 1,
      anon_sym_DOT,
    ACTIONS(5838), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5840), 1,
      anon_sym_u2987,
    ACTIONS(5844), 1,
      anon_sym_Set,
    STATE(3786), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(6168), 1,
      sym_atom,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5842), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6031), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6037), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5822), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [402822] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(6116), 1,
      sym_id,
    ACTIONS(6120), 1,
      anon_sym_record,
    ACTIONS(6122), 1,
      anon_sym_LPAREN,
    ACTIONS(6124), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6126), 1,
      anon_sym_u2983,
    ACTIONS(6128), 1,
      anon_sym_LBRACE,
    ACTIONS(6130), 1,
      aux_sym__qid_token1,
    ACTIONS(6132), 1,
      anon_sym_DOT,
    ACTIONS(6134), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6136), 1,
      anon_sym_u2987,
    ACTIONS(6140), 1,
      anon_sym_Set,
    STATE(3827), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4849), 1,
      sym_atom,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6138), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4756), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4743), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6118), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [402935] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(6090), 1,
      sym_id,
    ACTIONS(6094), 1,
      anon_sym_record,
    ACTIONS(6096), 1,
      anon_sym_LPAREN,
    ACTIONS(6098), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6100), 1,
      anon_sym_u2983,
    ACTIONS(6102), 1,
      anon_sym_LBRACE,
    ACTIONS(6104), 1,
      aux_sym__qid_token1,
    ACTIONS(6106), 1,
      anon_sym_DOT,
    ACTIONS(6108), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6110), 1,
      anon_sym_u2987,
    ACTIONS(6114), 1,
      anon_sym_Set,
    STATE(3808), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5515), 1,
      sym_atom,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6112), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5450), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5413), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6092), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [403048] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3754), 1,
      anon_sym_BSLASH,
    ACTIONS(3756), 1,
      anon_sym_u03bb,
    ACTIONS(3774), 1,
      anon_sym_quoteGoal,
    ACTIONS(3776), 1,
      anon_sym_tactic,
    ACTIONS(3782), 1,
      anon_sym_let,
    ACTIONS(5768), 1,
      sym_id,
    ACTIONS(5772), 1,
      anon_sym_record,
    ACTIONS(5774), 1,
      anon_sym_LPAREN,
    ACTIONS(5776), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5778), 1,
      anon_sym_u2983,
    ACTIONS(5780), 1,
      anon_sym_LBRACE,
    ACTIONS(5782), 1,
      aux_sym__qid_token1,
    ACTIONS(5784), 1,
      anon_sym_DOT,
    ACTIONS(5786), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5788), 1,
      anon_sym_u2987,
    ACTIONS(5792), 1,
      anon_sym_Set,
    STATE(3816), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4576), 1,
      sym_atom,
    STATE(8081), 1,
      sym__LAMBDA,
    STATE(8478), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3752), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5790), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4528), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4524), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5770), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [403161] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(6144), 1,
      sym_id,
    ACTIONS(6148), 1,
      anon_sym_record,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_u2983,
    ACTIONS(6156), 1,
      anon_sym_LBRACE,
    ACTIONS(6158), 1,
      aux_sym__qid_token1,
    ACTIONS(6160), 1,
      anon_sym_DOT,
    ACTIONS(6162), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6164), 1,
      anon_sym_u2987,
    ACTIONS(6168), 1,
      anon_sym_Set,
    STATE(3768), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4601), 1,
      sym_atom,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6166), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4432), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4622), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6146), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [403274] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3338), 1,
      anon_sym_BSLASH,
    ACTIONS(3340), 1,
      anon_sym_u03bb,
    ACTIONS(3358), 1,
      anon_sym_quoteGoal,
    ACTIONS(3360), 1,
      anon_sym_tactic,
    ACTIONS(3366), 1,
      anon_sym_let,
    ACTIONS(5392), 1,
      sym_id,
    ACTIONS(5396), 1,
      anon_sym_record,
    ACTIONS(5398), 1,
      anon_sym_LPAREN,
    ACTIONS(5400), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5402), 1,
      anon_sym_u2983,
    ACTIONS(5404), 1,
      anon_sym_LBRACE,
    ACTIONS(5406), 1,
      aux_sym__qid_token1,
    ACTIONS(5408), 1,
      anon_sym_DOT,
    ACTIONS(5410), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5412), 1,
      anon_sym_u2987,
    ACTIONS(5416), 1,
      anon_sym_Set,
    STATE(3822), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4707), 1,
      sym_atom,
    STATE(8150), 1,
      sym__LAMBDA,
    STATE(8459), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3336), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5414), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4650), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4691), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5394), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [403387] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(738), 1,
      anon_sym_BSLASH,
    ACTIONS(740), 1,
      anon_sym_u03bb,
    ACTIONS(762), 1,
      anon_sym_quoteGoal,
    ACTIONS(764), 1,
      anon_sym_tactic,
    ACTIONS(2168), 1,
      anon_sym_let,
    ACTIONS(4250), 1,
      sym_id,
    ACTIONS(4254), 1,
      anon_sym_record,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4260), 1,
      anon_sym_u2983,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4264), 1,
      aux_sym__qid_token1,
    ACTIONS(4266), 1,
      anon_sym_DOT,
    ACTIONS(4268), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4270), 1,
      anon_sym_u2987,
    ACTIONS(4274), 1,
      anon_sym_Set,
    STATE(3810), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5812), 1,
      sym_atom,
    STATE(8084), 1,
      sym__LAMBDA,
    STATE(8447), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4272), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5777), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5768), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(4252), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [403500] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(6196), 1,
      sym_id,
    ACTIONS(6200), 1,
      anon_sym_record,
    ACTIONS(6202), 1,
      anon_sym_LPAREN,
    ACTIONS(6204), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6206), 1,
      anon_sym_u2983,
    ACTIONS(6208), 1,
      anon_sym_LBRACE,
    ACTIONS(6210), 1,
      aux_sym__qid_token1,
    ACTIONS(6212), 1,
      anon_sym_DOT,
    ACTIONS(6214), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6216), 1,
      anon_sym_u2987,
    ACTIONS(6220), 1,
      anon_sym_Set,
    STATE(3773), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4413), 1,
      sym_atom,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6218), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4379), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4376), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6198), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [403613] = 29,
    ACTIONS(854), 1,
      anon_sym_BSLASH,
    ACTIONS(856), 1,
      anon_sym_u03bb,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(880), 1,
      anon_sym_tactic,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(6090), 1,
      sym_id,
    ACTIONS(6094), 1,
      anon_sym_record,
    ACTIONS(6096), 1,
      anon_sym_LPAREN,
    ACTIONS(6098), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6100), 1,
      anon_sym_u2983,
    ACTIONS(6102), 1,
      anon_sym_LBRACE,
    ACTIONS(6104), 1,
      aux_sym__qid_token1,
    ACTIONS(6106), 1,
      anon_sym_DOT,
    ACTIONS(6108), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6110), 1,
      anon_sym_u2987,
    ACTIONS(6114), 1,
      anon_sym_Set,
    STATE(3769), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5515), 1,
      sym_atom,
    STATE(8082), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6112), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5450), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5413), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6092), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [403726] = 29,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    ACTIONS(5340), 1,
      sym_id,
    ACTIONS(5344), 1,
      anon_sym_record,
    ACTIONS(5346), 1,
      anon_sym_LPAREN,
    ACTIONS(5348), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5350), 1,
      anon_sym_u2983,
    ACTIONS(5352), 1,
      anon_sym_LBRACE,
    ACTIONS(5354), 1,
      aux_sym__qid_token1,
    ACTIONS(5356), 1,
      anon_sym_DOT,
    ACTIONS(5358), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5360), 1,
      anon_sym_u2987,
    ACTIONS(5364), 1,
      anon_sym_Set,
    STATE(3770), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5772), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5362), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5805), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5786), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5342), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [403839] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(5470), 1,
      sym_id,
    ACTIONS(5474), 1,
      anon_sym_record,
    ACTIONS(5476), 1,
      anon_sym_LPAREN,
    ACTIONS(5478), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_u2983,
    ACTIONS(5482), 1,
      anon_sym_LBRACE,
    ACTIONS(5484), 1,
      aux_sym__qid_token1,
    ACTIONS(5486), 1,
      anon_sym_DOT,
    ACTIONS(5488), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5490), 1,
      anon_sym_u2987,
    ACTIONS(5494), 1,
      anon_sym_Set,
    STATE(3793), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5872), 1,
      sym_atom,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5492), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5850), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5888), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5472), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [403952] = 29,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(3902), 1,
      anon_sym_BSLASH,
    ACTIONS(3904), 1,
      anon_sym_u03bb,
    ACTIONS(3922), 1,
      anon_sym_tactic,
    ACTIONS(5144), 1,
      sym_id,
    ACTIONS(5148), 1,
      anon_sym_record,
    ACTIONS(5150), 1,
      anon_sym_LPAREN,
    ACTIONS(5152), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5154), 1,
      anon_sym_u2983,
    ACTIONS(5156), 1,
      anon_sym_LBRACE,
    ACTIONS(5158), 1,
      aux_sym__qid_token1,
    ACTIONS(5160), 1,
      anon_sym_DOT,
    ACTIONS(5162), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5164), 1,
      anon_sym_u2987,
    ACTIONS(5168), 1,
      anon_sym_Set,
    STATE(3803), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(6029), 1,
      sym_atom,
    STATE(8136), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5166), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6132), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6130), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9461), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5146), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [404065] = 29,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(6170), 1,
      sym_id,
    ACTIONS(6174), 1,
      anon_sym_record,
    ACTIONS(6176), 1,
      anon_sym_LPAREN,
    ACTIONS(6178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6180), 1,
      anon_sym_u2983,
    ACTIONS(6182), 1,
      anon_sym_LBRACE,
    ACTIONS(6184), 1,
      aux_sym__qid_token1,
    ACTIONS(6186), 1,
      anon_sym_DOT,
    ACTIONS(6188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6190), 1,
      anon_sym_u2987,
    ACTIONS(6194), 1,
      anon_sym_Set,
    STATE(3828), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(6100), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6192), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6204), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6203), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9461), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6172), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [404178] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(5030), 1,
      sym_id,
    ACTIONS(5034), 1,
      anon_sym_record,
    ACTIONS(5036), 1,
      anon_sym_LPAREN,
    ACTIONS(5038), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5040), 1,
      anon_sym_u2983,
    ACTIONS(5042), 1,
      anon_sym_LBRACE,
    ACTIONS(5044), 1,
      aux_sym__qid_token1,
    ACTIONS(5046), 1,
      anon_sym_DOT,
    ACTIONS(5048), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5050), 1,
      anon_sym_u2987,
    ACTIONS(5054), 1,
      anon_sym_Set,
    STATE(3775), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5909), 1,
      sym_atom,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5052), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5864), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5852), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5032), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [404291] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(5500), 1,
      sym_id,
    ACTIONS(5504), 1,
      anon_sym_record,
    ACTIONS(5506), 1,
      anon_sym_LPAREN,
    ACTIONS(5508), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5510), 1,
      anon_sym_u2983,
    ACTIONS(5512), 1,
      anon_sym_LBRACE,
    ACTIONS(5514), 1,
      aux_sym__qid_token1,
    ACTIONS(5516), 1,
      anon_sym_DOT,
    ACTIONS(5518), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5520), 1,
      anon_sym_u2987,
    ACTIONS(5524), 1,
      anon_sym_Set,
    STATE(3794), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4927), 1,
      sym_atom,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5522), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5039), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5028), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5502), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [404404] = 29,
    ACTIONS(9), 1,
      sym_id,
    ACTIONS(13), 1,
      anon_sym_BSLASH,
    ACTIONS(15), 1,
      anon_sym_u03bb,
    ACTIONS(51), 1,
      anon_sym_LPAREN,
    ACTIONS(53), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(55), 1,
      anon_sym_u2983,
    ACTIONS(61), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      aux_sym__qid_token1,
    ACTIONS(71), 1,
      anon_sym_DOT,
    ACTIONS(75), 1,
      anon_sym_quoteGoal,
    ACTIONS(77), 1,
      anon_sym_tactic,
    ACTIONS(79), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(81), 1,
      anon_sym_u2987,
    ACTIONS(83), 1,
      anon_sym_let,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_Set,
    ACTIONS(4278), 1,
      anon_sym_record,
    STATE(3780), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4617), 1,
      sym_atom,
    STATE(8100), 1,
      sym__LAMBDA,
    STATE(8267), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(11), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(87), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4564), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4530), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(17), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [404517] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(4976), 1,
      sym_id,
    ACTIONS(4980), 1,
      anon_sym_record,
    ACTIONS(4982), 1,
      anon_sym_LPAREN,
    ACTIONS(4984), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4986), 1,
      anon_sym_u2983,
    ACTIONS(4988), 1,
      anon_sym_LBRACE,
    ACTIONS(4990), 1,
      aux_sym__qid_token1,
    ACTIONS(4992), 1,
      anon_sym_DOT,
    ACTIONS(4994), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4996), 1,
      anon_sym_u2987,
    ACTIONS(5000), 1,
      anon_sym_Set,
    STATE(3783), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4399), 1,
      sym_atom,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4998), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4265), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4263), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(4978), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [404630] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2788), 1,
      anon_sym_BSLASH,
    ACTIONS(2790), 1,
      anon_sym_u03bb,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2810), 1,
      anon_sym_tactic,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(5366), 1,
      sym_id,
    ACTIONS(5370), 1,
      anon_sym_record,
    ACTIONS(5372), 1,
      anon_sym_LPAREN,
    ACTIONS(5374), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5376), 1,
      anon_sym_u2983,
    ACTIONS(5378), 1,
      anon_sym_LBRACE,
    ACTIONS(5380), 1,
      aux_sym__qid_token1,
    ACTIONS(5382), 1,
      anon_sym_DOT,
    ACTIONS(5384), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5386), 1,
      anon_sym_u2987,
    ACTIONS(5390), 1,
      anon_sym_Set,
    STATE(3779), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(6068), 1,
      sym_atom,
    STATE(8107), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5388), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6172), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6171), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5368), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [404743] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(5226), 1,
      sym_id,
    ACTIONS(5230), 1,
      anon_sym_record,
    ACTIONS(5232), 1,
      anon_sym_LPAREN,
    ACTIONS(5234), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5236), 1,
      anon_sym_u2983,
    ACTIONS(5238), 1,
      anon_sym_LBRACE,
    ACTIONS(5240), 1,
      aux_sym__qid_token1,
    ACTIONS(5242), 1,
      anon_sym_DOT,
    ACTIONS(5244), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5246), 1,
      anon_sym_u2987,
    ACTIONS(5250), 1,
      anon_sym_Set,
    STATE(3796), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4249), 1,
      sym_atom,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5248), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4182), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4180), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5228), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [404856] = 29,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(6064), 1,
      sym_id,
    ACTIONS(6068), 1,
      anon_sym_record,
    ACTIONS(6070), 1,
      anon_sym_LPAREN,
    ACTIONS(6072), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6074), 1,
      anon_sym_u2983,
    ACTIONS(6076), 1,
      anon_sym_LBRACE,
    ACTIONS(6078), 1,
      aux_sym__qid_token1,
    ACTIONS(6080), 1,
      anon_sym_DOT,
    ACTIONS(6082), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6084), 1,
      anon_sym_u2987,
    ACTIONS(6088), 1,
      anon_sym_Set,
    STATE(3802), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5576), 1,
      sym_atom,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6086), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5670), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5668), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9461), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [404969] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2024), 1,
      anon_sym_BSLASH,
    ACTIONS(2026), 1,
      anon_sym_u03bb,
    ACTIONS(2044), 1,
      anon_sym_quoteGoal,
    ACTIONS(2046), 1,
      anon_sym_tactic,
    ACTIONS(2052), 1,
      anon_sym_let,
    ACTIONS(5580), 1,
      sym_id,
    ACTIONS(5584), 1,
      anon_sym_record,
    ACTIONS(5586), 1,
      anon_sym_LPAREN,
    ACTIONS(5588), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5590), 1,
      anon_sym_u2983,
    ACTIONS(5592), 1,
      anon_sym_LBRACE,
    ACTIONS(5594), 1,
      aux_sym__qid_token1,
    ACTIONS(5596), 1,
      anon_sym_DOT,
    ACTIONS(5598), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5600), 1,
      anon_sym_u2987,
    ACTIONS(5604), 1,
      anon_sym_Set,
    STATE(3824), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5144), 1,
      sym_atom,
    STATE(8070), 1,
      sym__LAMBDA,
    STATE(8476), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2022), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5602), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5316), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5313), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5582), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [405082] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(3234), 1,
      anon_sym_BSLASH,
    ACTIONS(3236), 1,
      anon_sym_u03bb,
    ACTIONS(3254), 1,
      anon_sym_tactic,
    ACTIONS(5638), 1,
      sym_id,
    ACTIONS(5642), 1,
      anon_sym_record,
    ACTIONS(5644), 1,
      anon_sym_LPAREN,
    ACTIONS(5646), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5648), 1,
      anon_sym_u2983,
    ACTIONS(5650), 1,
      anon_sym_LBRACE,
    ACTIONS(5652), 1,
      aux_sym__qid_token1,
    ACTIONS(5654), 1,
      anon_sym_DOT,
    ACTIONS(5656), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5658), 1,
      anon_sym_u2987,
    ACTIONS(5662), 1,
      anon_sym_Set,
    STATE(3787), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5914), 1,
      sym_atom,
    STATE(8112), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5660), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5971), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5941), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5640), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [405195] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(3304), 1,
      anon_sym_BSLASH,
    ACTIONS(3306), 1,
      anon_sym_u03bb,
    ACTIONS(3324), 1,
      anon_sym_tactic,
    ACTIONS(5716), 1,
      sym_id,
    ACTIONS(5720), 1,
      anon_sym_record,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5726), 1,
      anon_sym_u2983,
    ACTIONS(5728), 1,
      anon_sym_LBRACE,
    ACTIONS(5730), 1,
      aux_sym__qid_token1,
    ACTIONS(5732), 1,
      anon_sym_DOT,
    ACTIONS(5734), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5736), 1,
      anon_sym_u2987,
    ACTIONS(5740), 1,
      anon_sym_Set,
    STATE(3789), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5930), 1,
      sym_atom,
    STATE(8144), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5738), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5738), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5910), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5718), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [405308] = 29,
    ACTIONS(686), 1,
      anon_sym_BSLASH,
    ACTIONS(688), 1,
      anon_sym_u03bb,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(716), 1,
      anon_sym_tactic,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(5092), 1,
      sym_id,
    ACTIONS(5096), 1,
      anon_sym_record,
    ACTIONS(5098), 1,
      anon_sym_LPAREN,
    ACTIONS(5100), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5102), 1,
      anon_sym_u2983,
    ACTIONS(5104), 1,
      anon_sym_LBRACE,
    ACTIONS(5106), 1,
      aux_sym__qid_token1,
    ACTIONS(5108), 1,
      anon_sym_DOT,
    ACTIONS(5110), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5112), 1,
      anon_sym_u2987,
    ACTIONS(5116), 1,
      anon_sym_Set,
    STATE(3777), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5620), 1,
      sym_atom,
    STATE(8123), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5114), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5543), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5535), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9461), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5094), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [405421] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(3960), 1,
      anon_sym_BSLASH,
    ACTIONS(3962), 1,
      anon_sym_u03bb,
    ACTIONS(3964), 1,
      anon_sym_tactic,
    ACTIONS(5144), 1,
      sym_id,
    ACTIONS(5148), 1,
      anon_sym_record,
    ACTIONS(5150), 1,
      anon_sym_LPAREN,
    ACTIONS(5152), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5154), 1,
      anon_sym_u2983,
    ACTIONS(5156), 1,
      anon_sym_LBRACE,
    ACTIONS(5158), 1,
      aux_sym__qid_token1,
    ACTIONS(5160), 1,
      anon_sym_DOT,
    ACTIONS(5162), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5164), 1,
      anon_sym_u2987,
    ACTIONS(5168), 1,
      anon_sym_Set,
    STATE(3791), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(6029), 1,
      sym_atom,
    STATE(8075), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5166), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6132), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6130), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5146), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [405534] = 29,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(5444), 1,
      sym_id,
    ACTIONS(5448), 1,
      anon_sym_record,
    ACTIONS(5450), 1,
      anon_sym_LPAREN,
    ACTIONS(5452), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5454), 1,
      anon_sym_u2983,
    ACTIONS(5456), 1,
      anon_sym_LBRACE,
    ACTIONS(5458), 1,
      aux_sym__qid_token1,
    ACTIONS(5460), 1,
      anon_sym_DOT,
    ACTIONS(5462), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5464), 1,
      anon_sym_u2987,
    ACTIONS(5468), 1,
      anon_sym_Set,
    STATE(3798), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5480), 1,
      sym_atom,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5466), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5605), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5574), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9461), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5446), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [405647] = 29,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(898), 1,
      anon_sym_BSLASH,
    ACTIONS(900), 1,
      anon_sym_u03bb,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(922), 1,
      anon_sym_tactic,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(5418), 1,
      sym_id,
    ACTIONS(5422), 1,
      anon_sym_record,
    ACTIONS(5424), 1,
      anon_sym_LPAREN,
    ACTIONS(5426), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5428), 1,
      anon_sym_u2983,
    ACTIONS(5430), 1,
      anon_sym_LBRACE,
    ACTIONS(5432), 1,
      aux_sym__qid_token1,
    ACTIONS(5434), 1,
      anon_sym_DOT,
    ACTIONS(5436), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5438), 1,
      anon_sym_u2987,
    ACTIONS(5442), 1,
      anon_sym_Set,
    STATE(3819), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5939), 1,
      sym_atom,
    STATE(8072), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5440), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5826), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5740), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9461), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5420), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [405760] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(954), 1,
      anon_sym_BSLASH,
    ACTIONS(956), 1,
      anon_sym_u03bb,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(976), 1,
      anon_sym_tactic,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(5606), 1,
      sym_id,
    ACTIONS(5610), 1,
      anon_sym_record,
    ACTIONS(5612), 1,
      anon_sym_LPAREN,
    ACTIONS(5614), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5616), 1,
      anon_sym_u2983,
    ACTIONS(5618), 1,
      anon_sym_LBRACE,
    ACTIONS(5620), 1,
      aux_sym__qid_token1,
    ACTIONS(5622), 1,
      anon_sym_DOT,
    ACTIONS(5624), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5626), 1,
      anon_sym_u2987,
    ACTIONS(5630), 1,
      anon_sym_Set,
    STATE(3814), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5827), 1,
      sym_atom,
    STATE(8067), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5628), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5896), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5891), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5608), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [405873] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(1870), 1,
      anon_sym_BSLASH,
    ACTIONS(1872), 1,
      anon_sym_u03bb,
    ACTIONS(1890), 1,
      anon_sym_quoteGoal,
    ACTIONS(1892), 1,
      anon_sym_tactic,
    ACTIONS(1898), 1,
      anon_sym_let,
    ACTIONS(5256), 1,
      sym_id,
    ACTIONS(5260), 1,
      anon_sym_record,
    ACTIONS(5262), 1,
      anon_sym_LPAREN,
    ACTIONS(5264), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5266), 1,
      anon_sym_u2983,
    ACTIONS(5268), 1,
      anon_sym_LBRACE,
    ACTIONS(5270), 1,
      aux_sym__qid_token1,
    ACTIONS(5272), 1,
      anon_sym_DOT,
    ACTIONS(5274), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5276), 1,
      anon_sym_u2987,
    ACTIONS(5280), 1,
      anon_sym_Set,
    STATE(3765), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5579), 1,
      sym_atom,
    STATE(8131), 1,
      sym__LAMBDA,
    STATE(8455), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1868), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5278), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5500), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5496), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5258), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [405986] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(5982), 1,
      sym_id,
    ACTIONS(5986), 1,
      anon_sym_record,
    ACTIONS(5988), 1,
      anon_sym_LPAREN,
    ACTIONS(5990), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5992), 1,
      anon_sym_u2983,
    ACTIONS(5994), 1,
      anon_sym_LBRACE,
    ACTIONS(5996), 1,
      aux_sym__qid_token1,
    ACTIONS(5998), 1,
      anon_sym_DOT,
    ACTIONS(6000), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6002), 1,
      anon_sym_u2987,
    ACTIONS(6006), 1,
      anon_sym_Set,
    STATE(3781), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5884), 1,
      sym_atom,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6004), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5940), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5894), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5984), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [406099] = 19,
    ACTIONS(2756), 1,
      sym_id,
    ACTIONS(2760), 1,
      anon_sym_record,
    ACTIONS(2770), 1,
      aux_sym__qid_token1,
    ACTIONS(2774), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2776), 1,
      anon_sym_u2987,
    ACTIONS(2780), 1,
      anon_sym_Set,
    ACTIONS(4356), 1,
      anon_sym_LPAREN,
    ACTIONS(4358), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4360), 1,
      anon_sym_u2983,
    ACTIONS(4362), 1,
      anon_sym_LBRACE,
    ACTIONS(4364), 1,
      anon_sym_DOT,
    STATE(4028), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2778), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4036), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4033), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2758), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 18,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [406192] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(5846), 1,
      sym_id,
    ACTIONS(5850), 1,
      anon_sym_record,
    ACTIONS(5852), 1,
      anon_sym_LPAREN,
    ACTIONS(5854), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5856), 1,
      anon_sym_u2983,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(5860), 1,
      aux_sym__qid_token1,
    ACTIONS(5862), 1,
      anon_sym_DOT,
    ACTIONS(5864), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5866), 1,
      anon_sym_u2987,
    ACTIONS(5870), 1,
      anon_sym_Set,
    STATE(3812), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5347), 1,
      sym_atom,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5868), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4954), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5345), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5848), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [406305] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(5282), 1,
      sym_id,
    ACTIONS(5286), 1,
      anon_sym_record,
    ACTIONS(5288), 1,
      anon_sym_LPAREN,
    ACTIONS(5290), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5292), 1,
      anon_sym_u2983,
    ACTIONS(5294), 1,
      anon_sym_LBRACE,
    ACTIONS(5296), 1,
      aux_sym__qid_token1,
    ACTIONS(5298), 1,
      anon_sym_DOT,
    ACTIONS(5300), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5302), 1,
      anon_sym_u2987,
    ACTIONS(5306), 1,
      anon_sym_Set,
    STATE(3792), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5497), 1,
      sym_atom,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5304), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5609), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5427), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5284), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [406418] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(105), 1,
      sym_id,
    ACTIONS(109), 1,
      anon_sym_BSLASH,
    ACTIONS(111), 1,
      anon_sym_u03bb,
    ACTIONS(125), 1,
      anon_sym_LPAREN,
    ACTIONS(127), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(129), 1,
      anon_sym_u2983,
    ACTIONS(135), 1,
      anon_sym_LBRACE,
    ACTIONS(143), 1,
      aux_sym__qid_token1,
    ACTIONS(145), 1,
      anon_sym_DOT,
    ACTIONS(147), 1,
      anon_sym_quoteGoal,
    ACTIONS(149), 1,
      anon_sym_tactic,
    ACTIONS(151), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(153), 1,
      anon_sym_u2987,
    ACTIONS(155), 1,
      anon_sym_let,
    ACTIONS(159), 1,
      anon_sym_Set,
    ACTIONS(4248), 1,
      anon_sym_record,
    STATE(3772), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4291), 1,
      sym_atom,
    STATE(8055), 1,
      sym__LAMBDA,
    STATE(8432), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(107), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(157), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4306), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4312), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(113), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [406531] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(5444), 1,
      sym_id,
    ACTIONS(5448), 1,
      anon_sym_record,
    ACTIONS(5450), 1,
      anon_sym_LPAREN,
    ACTIONS(5452), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5454), 1,
      anon_sym_u2983,
    ACTIONS(5456), 1,
      anon_sym_LBRACE,
    ACTIONS(5458), 1,
      aux_sym__qid_token1,
    ACTIONS(5460), 1,
      anon_sym_DOT,
    ACTIONS(5462), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5464), 1,
      anon_sym_u2987,
    ACTIONS(5468), 1,
      anon_sym_Set,
    STATE(3799), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5480), 1,
      sym_atom,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5466), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5605), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5574), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5446), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [406644] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2174), 1,
      anon_sym_BSLASH,
    ACTIONS(2176), 1,
      anon_sym_u03bb,
    ACTIONS(2194), 1,
      anon_sym_quoteGoal,
    ACTIONS(2196), 1,
      anon_sym_tactic,
    ACTIONS(2202), 1,
      anon_sym_let,
    ACTIONS(5898), 1,
      sym_id,
    ACTIONS(5902), 1,
      anon_sym_record,
    ACTIONS(5904), 1,
      anon_sym_LPAREN,
    ACTIONS(5906), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5908), 1,
      anon_sym_u2983,
    ACTIONS(5910), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      aux_sym__qid_token1,
    ACTIONS(5914), 1,
      anon_sym_DOT,
    ACTIONS(5916), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5918), 1,
      anon_sym_u2987,
    ACTIONS(5922), 1,
      anon_sym_Set,
    STATE(3774), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(6157), 1,
      sym_atom,
    STATE(8132), 1,
      sym__LAMBDA,
    STATE(8460), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2172), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5920), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6239), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6237), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5900), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [406757] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(5924), 1,
      sym_id,
    ACTIONS(5928), 1,
      anon_sym_record,
    ACTIONS(5930), 1,
      anon_sym_LPAREN,
    ACTIONS(5932), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5934), 1,
      anon_sym_u2983,
    ACTIONS(5936), 1,
      anon_sym_LBRACE,
    ACTIONS(5938), 1,
      aux_sym__qid_token1,
    ACTIONS(5940), 1,
      anon_sym_DOT,
    ACTIONS(5942), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5944), 1,
      anon_sym_u2987,
    ACTIONS(5948), 1,
      anon_sym_Set,
    STATE(3821), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4815), 1,
      sym_atom,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5946), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4676), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4673), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5926), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [406870] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    ACTIONS(5664), 1,
      sym_id,
    ACTIONS(5668), 1,
      anon_sym_record,
    ACTIONS(5670), 1,
      anon_sym_LPAREN,
    ACTIONS(5672), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5674), 1,
      anon_sym_u2983,
    ACTIONS(5676), 1,
      anon_sym_LBRACE,
    ACTIONS(5678), 1,
      aux_sym__qid_token1,
    ACTIONS(5680), 1,
      anon_sym_DOT,
    ACTIONS(5682), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5684), 1,
      anon_sym_u2987,
    ACTIONS(5688), 1,
      anon_sym_Set,
    STATE(3790), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5835), 1,
      sym_atom,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5686), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5931), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5926), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5666), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [406983] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(4948), 1,
      sym_id,
    ACTIONS(4952), 1,
      anon_sym_record,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4958), 1,
      anon_sym_u2983,
    ACTIONS(4960), 1,
      anon_sym_LBRACE,
    ACTIONS(4962), 1,
      aux_sym__qid_token1,
    ACTIONS(4964), 1,
      anon_sym_DOT,
    ACTIONS(4966), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4968), 1,
      anon_sym_u2987,
    ACTIONS(4972), 1,
      anon_sym_Set,
    STATE(3882), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5890), 1,
      sym_atom,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4970), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5913), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5970), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(4950), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [407096] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(1908), 1,
      anon_sym_BSLASH,
    ACTIONS(1910), 1,
      anon_sym_u03bb,
    ACTIONS(1928), 1,
      anon_sym_quoteGoal,
    ACTIONS(1930), 1,
      anon_sym_tactic,
    ACTIONS(1936), 1,
      anon_sym_let,
    ACTIONS(5552), 1,
      sym_id,
    ACTIONS(5556), 1,
      anon_sym_record,
    ACTIONS(5558), 1,
      anon_sym_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5562), 1,
      anon_sym_u2983,
    ACTIONS(5564), 1,
      anon_sym_LBRACE,
    ACTIONS(5566), 1,
      aux_sym__qid_token1,
    ACTIONS(5568), 1,
      anon_sym_DOT,
    ACTIONS(5570), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5572), 1,
      anon_sym_u2987,
    ACTIONS(5576), 1,
      anon_sym_Set,
    STATE(3767), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5076), 1,
      sym_atom,
    STATE(8141), 1,
      sym__LAMBDA,
    STATE(8457), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1906), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5574), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5181), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5179), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5554), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [407209] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(5198), 1,
      sym_id,
    ACTIONS(5202), 1,
      anon_sym_record,
    ACTIONS(5204), 1,
      anon_sym_LPAREN,
    ACTIONS(5206), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5208), 1,
      anon_sym_u2983,
    ACTIONS(5210), 1,
      anon_sym_LBRACE,
    ACTIONS(5212), 1,
      aux_sym__qid_token1,
    ACTIONS(5214), 1,
      anon_sym_DOT,
    ACTIONS(5216), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5218), 1,
      anon_sym_u2987,
    ACTIONS(5222), 1,
      anon_sym_Set,
    STATE(3818), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5842), 1,
      sym_atom,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5220), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5911), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5860), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5200), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [407322] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(5794), 1,
      sym_id,
    ACTIONS(5798), 1,
      anon_sym_record,
    ACTIONS(5800), 1,
      anon_sym_LPAREN,
    ACTIONS(5802), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5804), 1,
      anon_sym_u2983,
    ACTIONS(5806), 1,
      anon_sym_LBRACE,
    ACTIONS(5808), 1,
      aux_sym__qid_token1,
    ACTIONS(5810), 1,
      anon_sym_DOT,
    ACTIONS(5812), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5814), 1,
      anon_sym_u2987,
    ACTIONS(5818), 1,
      anon_sym_Set,
    STATE(3784), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(6256), 1,
      sym_atom,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5816), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6013), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6017), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5796), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [407435] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2100), 1,
      anon_sym_BSLASH,
    ACTIONS(2102), 1,
      anon_sym_u03bb,
    ACTIONS(2120), 1,
      anon_sym_quoteGoal,
    ACTIONS(2122), 1,
      anon_sym_tactic,
    ACTIONS(2128), 1,
      anon_sym_let,
    ACTIONS(5118), 1,
      sym_id,
    ACTIONS(5122), 1,
      anon_sym_record,
    ACTIONS(5124), 1,
      anon_sym_LPAREN,
    ACTIONS(5126), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5128), 1,
      anon_sym_u2983,
    ACTIONS(5130), 1,
      anon_sym_LBRACE,
    ACTIONS(5132), 1,
      aux_sym__qid_token1,
    ACTIONS(5134), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5138), 1,
      anon_sym_u2987,
    ACTIONS(5142), 1,
      anon_sym_Set,
    STATE(3825), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5541), 1,
      sym_atom,
    STATE(8140), 1,
      sym__LAMBDA,
    STATE(8487), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2098), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5140), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5729), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5635), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5120), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [407548] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(5954), 1,
      sym_id,
    ACTIONS(5958), 1,
      anon_sym_record,
    ACTIONS(5960), 1,
      anon_sym_LPAREN,
    ACTIONS(5962), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5964), 1,
      anon_sym_u2983,
    ACTIONS(5966), 1,
      anon_sym_LBRACE,
    ACTIONS(5968), 1,
      aux_sym__qid_token1,
    ACTIONS(5970), 1,
      anon_sym_DOT,
    ACTIONS(5972), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5974), 1,
      anon_sym_u2987,
    ACTIONS(5978), 1,
      anon_sym_Set,
    STATE(3776), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4517), 1,
      sym_atom,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5976), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4561), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4526), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5956), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [407661] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2344), 1,
      anon_sym_BSLASH,
    ACTIONS(2346), 1,
      anon_sym_u03bb,
    ACTIONS(2364), 1,
      anon_sym_quoteGoal,
    ACTIONS(2366), 1,
      anon_sym_tactic,
    ACTIONS(2372), 1,
      anon_sym_let,
    ACTIONS(5308), 1,
      sym_id,
    ACTIONS(5312), 1,
      anon_sym_record,
    ACTIONS(5314), 1,
      anon_sym_LPAREN,
    ACTIONS(5316), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5318), 1,
      anon_sym_u2983,
    ACTIONS(5320), 1,
      anon_sym_LBRACE,
    ACTIONS(5322), 1,
      aux_sym__qid_token1,
    ACTIONS(5324), 1,
      anon_sym_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5328), 1,
      anon_sym_u2987,
    ACTIONS(5332), 1,
      anon_sym_Set,
    STATE(3800), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(6092), 1,
      sym_atom,
    STATE(8080), 1,
      sym__LAMBDA,
    STATE(8442), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2342), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5330), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6159), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6158), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5310), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [407774] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(5470), 1,
      sym_id,
    ACTIONS(5474), 1,
      anon_sym_record,
    ACTIONS(5476), 1,
      anon_sym_LPAREN,
    ACTIONS(5478), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_u2983,
    ACTIONS(5482), 1,
      anon_sym_LBRACE,
    ACTIONS(5484), 1,
      aux_sym__qid_token1,
    ACTIONS(5486), 1,
      anon_sym_DOT,
    ACTIONS(5488), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5490), 1,
      anon_sym_u2987,
    ACTIONS(5494), 1,
      anon_sym_Set,
    STATE(3801), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5872), 1,
      sym_atom,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5492), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5850), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5888), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5472), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [407887] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2062), 1,
      anon_sym_BSLASH,
    ACTIONS(2064), 1,
      anon_sym_u03bb,
    ACTIONS(2082), 1,
      anon_sym_quoteGoal,
    ACTIONS(2084), 1,
      anon_sym_tactic,
    ACTIONS(2090), 1,
      anon_sym_let,
    ACTIONS(5742), 1,
      sym_id,
    ACTIONS(5746), 1,
      anon_sym_record,
    ACTIONS(5748), 1,
      anon_sym_LPAREN,
    ACTIONS(5750), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5752), 1,
      anon_sym_u2983,
    ACTIONS(5754), 1,
      anon_sym_LBRACE,
    ACTIONS(5756), 1,
      aux_sym__qid_token1,
    ACTIONS(5758), 1,
      anon_sym_DOT,
    ACTIONS(5760), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5762), 1,
      anon_sym_u2987,
    ACTIONS(5766), 1,
      anon_sym_Set,
    STATE(3823), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(4739), 1,
      sym_atom,
    STATE(8149), 1,
      sym__LAMBDA,
    STATE(8477), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2060), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5764), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4758), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4732), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8955), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5744), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [408000] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(5170), 1,
      sym_id,
    ACTIONS(5174), 1,
      anon_sym_record,
    ACTIONS(5176), 1,
      anon_sym_LPAREN,
    ACTIONS(5178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5180), 1,
      anon_sym_u2983,
    ACTIONS(5182), 1,
      anon_sym_LBRACE,
    ACTIONS(5184), 1,
      aux_sym__qid_token1,
    ACTIONS(5186), 1,
      anon_sym_DOT,
    ACTIONS(5188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5190), 1,
      anon_sym_u2987,
    ACTIONS(5194), 1,
      anon_sym_Set,
    STATE(3804), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5244), 1,
      sym_atom,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5192), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5294), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5265), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5172), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [408113] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(5340), 1,
      sym_id,
    ACTIONS(5344), 1,
      anon_sym_record,
    ACTIONS(5346), 1,
      anon_sym_LPAREN,
    ACTIONS(5348), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5350), 1,
      anon_sym_u2983,
    ACTIONS(5352), 1,
      anon_sym_LBRACE,
    ACTIONS(5354), 1,
      aux_sym__qid_token1,
    ACTIONS(5356), 1,
      anon_sym_DOT,
    ACTIONS(5358), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5360), 1,
      anon_sym_u2987,
    ACTIONS(5364), 1,
      anon_sym_Set,
    STATE(3795), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5772), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5362), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5805), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5786), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5342), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [408226] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(3186), 1,
      anon_sym_BSLASH,
    ACTIONS(3188), 1,
      anon_sym_u03bb,
    ACTIONS(3192), 1,
      anon_sym_tactic,
    ACTIONS(5092), 1,
      sym_id,
    ACTIONS(5096), 1,
      anon_sym_record,
    ACTIONS(5098), 1,
      anon_sym_LPAREN,
    ACTIONS(5100), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5102), 1,
      anon_sym_u2983,
    ACTIONS(5104), 1,
      anon_sym_LBRACE,
    ACTIONS(5106), 1,
      aux_sym__qid_token1,
    ACTIONS(5108), 1,
      anon_sym_DOT,
    ACTIONS(5110), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5112), 1,
      anon_sym_u2987,
    ACTIONS(5116), 1,
      anon_sym_Set,
    STATE(3782), 1,
      aux_sym__atoms,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    STATE(5620), 1,
      sym_atom,
    STATE(8063), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5114), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5543), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5535), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8962), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5094), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [408339] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3414), 1,
      anon_sym_BSLASH,
    ACTIONS(3416), 1,
      anon_sym_u03bb,
    ACTIONS(3434), 1,
      anon_sym_quoteGoal,
    ACTIONS(3436), 1,
      anon_sym_tactic,
    ACTIONS(3442), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(6008), 1,
      sym_id,
    ACTIONS(6012), 1,
      anon_sym_record,
    ACTIONS(6014), 1,
      anon_sym_LPAREN,
    ACTIONS(6016), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6018), 1,
      anon_sym_u2983,
    ACTIONS(6020), 1,
      anon_sym_LBRACE,
    ACTIONS(6022), 1,
      aux_sym__qid_token1,
    ACTIONS(6024), 1,
      anon_sym_DOT,
    ACTIONS(6026), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6028), 1,
      anon_sym_u2987,
    ACTIONS(6032), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5829), 1,
      sym_atom,
    STATE(8137), 1,
      sym__LAMBDA,
    STATE(8494), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6030), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5967), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5840), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6010), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [408451] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(1870), 1,
      anon_sym_BSLASH,
    ACTIONS(1872), 1,
      anon_sym_u03bb,
    ACTIONS(1890), 1,
      anon_sym_quoteGoal,
    ACTIONS(1892), 1,
      anon_sym_tactic,
    ACTIONS(1898), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5256), 1,
      sym_id,
    ACTIONS(5260), 1,
      anon_sym_record,
    ACTIONS(5262), 1,
      anon_sym_LPAREN,
    ACTIONS(5264), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5266), 1,
      anon_sym_u2983,
    ACTIONS(5268), 1,
      anon_sym_LBRACE,
    ACTIONS(5270), 1,
      aux_sym__qid_token1,
    ACTIONS(5272), 1,
      anon_sym_DOT,
    ACTIONS(5274), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5276), 1,
      anon_sym_u2987,
    ACTIONS(5280), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5579), 1,
      sym_atom,
    STATE(8131), 1,
      sym__LAMBDA,
    STATE(8455), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1868), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5278), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5500), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5496), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5258), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [408563] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(11360), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [408673] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(1908), 1,
      anon_sym_BSLASH,
    ACTIONS(1910), 1,
      anon_sym_u03bb,
    ACTIONS(1928), 1,
      anon_sym_quoteGoal,
    ACTIONS(1930), 1,
      anon_sym_tactic,
    ACTIONS(1936), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5552), 1,
      sym_id,
    ACTIONS(5556), 1,
      anon_sym_record,
    ACTIONS(5558), 1,
      anon_sym_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5562), 1,
      anon_sym_u2983,
    ACTIONS(5564), 1,
      anon_sym_LBRACE,
    ACTIONS(5566), 1,
      aux_sym__qid_token1,
    ACTIONS(5568), 1,
      anon_sym_DOT,
    ACTIONS(5570), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5572), 1,
      anon_sym_u2987,
    ACTIONS(5576), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5076), 1,
      sym_atom,
    STATE(8141), 1,
      sym__LAMBDA,
    STATE(8457), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1906), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5574), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5181), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5179), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5554), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [408785] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3556), 1,
      anon_sym_BSLASH,
    ACTIONS(3558), 1,
      anon_sym_u03bb,
    ACTIONS(3576), 1,
      anon_sym_quoteGoal,
    ACTIONS(3578), 1,
      anon_sym_tactic,
    ACTIONS(3584), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(6144), 1,
      sym_id,
    ACTIONS(6148), 1,
      anon_sym_record,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_u2983,
    ACTIONS(6156), 1,
      anon_sym_LBRACE,
    ACTIONS(6158), 1,
      aux_sym__qid_token1,
    ACTIONS(6160), 1,
      anon_sym_DOT,
    ACTIONS(6162), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6164), 1,
      anon_sym_u2987,
    ACTIONS(6168), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(4601), 1,
      sym_atom,
    STATE(8057), 1,
      sym__LAMBDA,
    STATE(8499), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6166), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4432), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4622), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6146), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [408897] = 29,
    ACTIONS(854), 1,
      anon_sym_BSLASH,
    ACTIONS(856), 1,
      anon_sym_u03bb,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(880), 1,
      anon_sym_tactic,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(6090), 1,
      sym_id,
    ACTIONS(6094), 1,
      anon_sym_record,
    ACTIONS(6096), 1,
      anon_sym_LPAREN,
    ACTIONS(6098), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6100), 1,
      anon_sym_u2983,
    ACTIONS(6102), 1,
      anon_sym_LBRACE,
    ACTIONS(6104), 1,
      aux_sym__qid_token1,
    ACTIONS(6106), 1,
      anon_sym_DOT,
    ACTIONS(6108), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6110), 1,
      anon_sym_u2987,
    ACTIONS(6114), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5515), 1,
      sym_atom,
    STATE(8082), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6112), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5450), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5413), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6092), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [409009] = 29,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      sym_id,
    ACTIONS(5344), 1,
      anon_sym_record,
    ACTIONS(5346), 1,
      anon_sym_LPAREN,
    ACTIONS(5348), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5350), 1,
      anon_sym_u2983,
    ACTIONS(5352), 1,
      anon_sym_LBRACE,
    ACTIONS(5354), 1,
      aux_sym__qid_token1,
    ACTIONS(5356), 1,
      anon_sym_DOT,
    ACTIONS(5358), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5360), 1,
      anon_sym_u2987,
    ACTIONS(5364), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5772), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5362), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5805), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5786), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5342), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [409121] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    ACTIONS(2894), 1,
      anon_sym_u03bb,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2902), 1,
      anon_sym_tactic,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5170), 1,
      sym_id,
    ACTIONS(5174), 1,
      anon_sym_record,
    ACTIONS(5176), 1,
      anon_sym_LPAREN,
    ACTIONS(5178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5180), 1,
      anon_sym_u2983,
    ACTIONS(5182), 1,
      anon_sym_LBRACE,
    ACTIONS(5184), 1,
      aux_sym__qid_token1,
    ACTIONS(5186), 1,
      anon_sym_DOT,
    ACTIONS(5188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5190), 1,
      anon_sym_u2987,
    ACTIONS(5194), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5244), 1,
      sym_atom,
    STATE(8092), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5192), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5294), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5265), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5172), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [409233] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(105), 1,
      sym_id,
    ACTIONS(109), 1,
      anon_sym_BSLASH,
    ACTIONS(111), 1,
      anon_sym_u03bb,
    ACTIONS(125), 1,
      anon_sym_LPAREN,
    ACTIONS(127), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(129), 1,
      anon_sym_u2983,
    ACTIONS(135), 1,
      anon_sym_LBRACE,
    ACTIONS(143), 1,
      aux_sym__qid_token1,
    ACTIONS(145), 1,
      anon_sym_DOT,
    ACTIONS(147), 1,
      anon_sym_quoteGoal,
    ACTIONS(149), 1,
      anon_sym_tactic,
    ACTIONS(151), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(153), 1,
      anon_sym_u2987,
    ACTIONS(155), 1,
      anon_sym_let,
    ACTIONS(159), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4248), 1,
      anon_sym_record,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(4291), 1,
      sym_atom,
    STATE(8055), 1,
      sym__LAMBDA,
    STATE(8432), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(107), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(157), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4306), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4312), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(113), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [409345] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3622), 1,
      anon_sym_BSLASH,
    ACTIONS(3624), 1,
      anon_sym_u03bb,
    ACTIONS(3642), 1,
      anon_sym_quoteGoal,
    ACTIONS(3644), 1,
      anon_sym_tactic,
    ACTIONS(3650), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(6196), 1,
      sym_id,
    ACTIONS(6200), 1,
      anon_sym_record,
    ACTIONS(6202), 1,
      anon_sym_LPAREN,
    ACTIONS(6204), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6206), 1,
      anon_sym_u2983,
    ACTIONS(6208), 1,
      anon_sym_LBRACE,
    ACTIONS(6210), 1,
      aux_sym__qid_token1,
    ACTIONS(6212), 1,
      anon_sym_DOT,
    ACTIONS(6214), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6216), 1,
      anon_sym_u2987,
    ACTIONS(6220), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(4413), 1,
      sym_atom,
    STATE(8077), 1,
      sym__LAMBDA,
    STATE(8500), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6218), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4379), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4376), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6198), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [409457] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2174), 1,
      anon_sym_BSLASH,
    ACTIONS(2176), 1,
      anon_sym_u03bb,
    ACTIONS(2194), 1,
      anon_sym_quoteGoal,
    ACTIONS(2196), 1,
      anon_sym_tactic,
    ACTIONS(2202), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5898), 1,
      sym_id,
    ACTIONS(5902), 1,
      anon_sym_record,
    ACTIONS(5904), 1,
      anon_sym_LPAREN,
    ACTIONS(5906), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5908), 1,
      anon_sym_u2983,
    ACTIONS(5910), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      aux_sym__qid_token1,
    ACTIONS(5914), 1,
      anon_sym_DOT,
    ACTIONS(5916), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5918), 1,
      anon_sym_u2987,
    ACTIONS(5922), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(6157), 1,
      sym_atom,
    STATE(8132), 1,
      sym__LAMBDA,
    STATE(8460), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2172), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5920), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6239), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6237), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5900), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [409569] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(3062), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      anon_sym_u03bb,
    ACTIONS(3082), 1,
      anon_sym_tactic,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5030), 1,
      sym_id,
    ACTIONS(5034), 1,
      anon_sym_record,
    ACTIONS(5036), 1,
      anon_sym_LPAREN,
    ACTIONS(5038), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5040), 1,
      anon_sym_u2983,
    ACTIONS(5042), 1,
      anon_sym_LBRACE,
    ACTIONS(5044), 1,
      aux_sym__qid_token1,
    ACTIONS(5046), 1,
      anon_sym_DOT,
    ACTIONS(5048), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5050), 1,
      anon_sym_u2987,
    ACTIONS(5054), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5909), 1,
      sym_atom,
    STATE(8122), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5052), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5864), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5852), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5032), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [409681] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3376), 1,
      anon_sym_BSLASH,
    ACTIONS(3378), 1,
      anon_sym_u03bb,
    ACTIONS(3396), 1,
      anon_sym_quoteGoal,
    ACTIONS(3398), 1,
      anon_sym_tactic,
    ACTIONS(3404), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5954), 1,
      sym_id,
    ACTIONS(5958), 1,
      anon_sym_record,
    ACTIONS(5960), 1,
      anon_sym_LPAREN,
    ACTIONS(5962), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5964), 1,
      anon_sym_u2983,
    ACTIONS(5966), 1,
      anon_sym_LBRACE,
    ACTIONS(5968), 1,
      aux_sym__qid_token1,
    ACTIONS(5970), 1,
      anon_sym_DOT,
    ACTIONS(5972), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5974), 1,
      anon_sym_u2987,
    ACTIONS(5978), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(4517), 1,
      sym_atom,
    STATE(8124), 1,
      sym__LAMBDA,
    STATE(8492), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5976), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4561), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4526), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5956), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [409793] = 29,
    ACTIONS(686), 1,
      anon_sym_BSLASH,
    ACTIONS(688), 1,
      anon_sym_u03bb,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(716), 1,
      anon_sym_tactic,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5092), 1,
      sym_id,
    ACTIONS(5096), 1,
      anon_sym_record,
    ACTIONS(5098), 1,
      anon_sym_LPAREN,
    ACTIONS(5100), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5102), 1,
      anon_sym_u2983,
    ACTIONS(5104), 1,
      anon_sym_LBRACE,
    ACTIONS(5106), 1,
      aux_sym__qid_token1,
    ACTIONS(5108), 1,
      anon_sym_DOT,
    ACTIONS(5110), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5112), 1,
      anon_sym_u2987,
    ACTIONS(5116), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5620), 1,
      sym_atom,
    STATE(8123), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5114), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5543), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5535), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5094), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [409905] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12746), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [410015] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2788), 1,
      anon_sym_BSLASH,
    ACTIONS(2790), 1,
      anon_sym_u03bb,
    ACTIONS(2808), 1,
      anon_sym_quoteGoal,
    ACTIONS(2810), 1,
      anon_sym_tactic,
    ACTIONS(2816), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5366), 1,
      sym_id,
    ACTIONS(5370), 1,
      anon_sym_record,
    ACTIONS(5372), 1,
      anon_sym_LPAREN,
    ACTIONS(5374), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5376), 1,
      anon_sym_u2983,
    ACTIONS(5378), 1,
      anon_sym_LBRACE,
    ACTIONS(5380), 1,
      aux_sym__qid_token1,
    ACTIONS(5382), 1,
      anon_sym_DOT,
    ACTIONS(5384), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5386), 1,
      anon_sym_u2987,
    ACTIONS(5390), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(6068), 1,
      sym_atom,
    STATE(8107), 1,
      sym__LAMBDA,
    STATE(8486), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5388), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6172), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6171), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5368), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [410127] = 29,
    ACTIONS(9), 1,
      sym_id,
    ACTIONS(13), 1,
      anon_sym_BSLASH,
    ACTIONS(15), 1,
      anon_sym_u03bb,
    ACTIONS(51), 1,
      anon_sym_LPAREN,
    ACTIONS(53), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(55), 1,
      anon_sym_u2983,
    ACTIONS(61), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      aux_sym__qid_token1,
    ACTIONS(71), 1,
      anon_sym_DOT,
    ACTIONS(75), 1,
      anon_sym_quoteGoal,
    ACTIONS(77), 1,
      anon_sym_tactic,
    ACTIONS(79), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(81), 1,
      anon_sym_u2987,
    ACTIONS(83), 1,
      anon_sym_let,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(89), 1,
      anon_sym_Set,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4278), 1,
      anon_sym_record,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(4617), 1,
      sym_atom,
    STATE(8100), 1,
      sym__LAMBDA,
    STATE(8267), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(11), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(87), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4564), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4530), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(17), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [410239] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2564), 1,
      anon_sym_BSLASH,
    ACTIONS(2566), 1,
      anon_sym_u03bb,
    ACTIONS(2584), 1,
      anon_sym_quoteGoal,
    ACTIONS(2586), 1,
      anon_sym_tactic,
    ACTIONS(2592), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5982), 1,
      sym_id,
    ACTIONS(5986), 1,
      anon_sym_record,
    ACTIONS(5988), 1,
      anon_sym_LPAREN,
    ACTIONS(5990), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5992), 1,
      anon_sym_u2983,
    ACTIONS(5994), 1,
      anon_sym_LBRACE,
    ACTIONS(5996), 1,
      aux_sym__qid_token1,
    ACTIONS(5998), 1,
      anon_sym_DOT,
    ACTIONS(6000), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6002), 1,
      anon_sym_u2987,
    ACTIONS(6006), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5884), 1,
      sym_atom,
    STATE(8094), 1,
      sym__LAMBDA,
    STATE(8470), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2560), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6004), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5940), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5894), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5984), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [410351] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(3186), 1,
      anon_sym_BSLASH,
    ACTIONS(3188), 1,
      anon_sym_u03bb,
    ACTIONS(3192), 1,
      anon_sym_tactic,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5092), 1,
      sym_id,
    ACTIONS(5096), 1,
      anon_sym_record,
    ACTIONS(5098), 1,
      anon_sym_LPAREN,
    ACTIONS(5100), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5102), 1,
      anon_sym_u2983,
    ACTIONS(5104), 1,
      anon_sym_LBRACE,
    ACTIONS(5106), 1,
      aux_sym__qid_token1,
    ACTIONS(5108), 1,
      anon_sym_DOT,
    ACTIONS(5110), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5112), 1,
      anon_sym_u2987,
    ACTIONS(5116), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5620), 1,
      sym_atom,
    STATE(8063), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5114), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5543), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5535), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5094), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [410463] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2524), 1,
      anon_sym_BSLASH,
    ACTIONS(2526), 1,
      anon_sym_u03bb,
    ACTIONS(2544), 1,
      anon_sym_quoteGoal,
    ACTIONS(2546), 1,
      anon_sym_tactic,
    ACTIONS(2552), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4976), 1,
      sym_id,
    ACTIONS(4980), 1,
      anon_sym_record,
    ACTIONS(4982), 1,
      anon_sym_LPAREN,
    ACTIONS(4984), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4986), 1,
      anon_sym_u2983,
    ACTIONS(4988), 1,
      anon_sym_LBRACE,
    ACTIONS(4990), 1,
      aux_sym__qid_token1,
    ACTIONS(4992), 1,
      anon_sym_DOT,
    ACTIONS(4994), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4996), 1,
      anon_sym_u2987,
    ACTIONS(5000), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(4399), 1,
      sym_atom,
    STATE(8118), 1,
      sym__LAMBDA,
    STATE(8449), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4998), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4265), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4263), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(4978), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [410575] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1222), 1,
      anon_sym_BSLASH,
    ACTIONS(1224), 1,
      anon_sym_u03bb,
    ACTIONS(1242), 1,
      anon_sym_quoteGoal,
    ACTIONS(1244), 1,
      anon_sym_tactic,
    ACTIONS(1250), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5794), 1,
      sym_id,
    ACTIONS(5798), 1,
      anon_sym_record,
    ACTIONS(5800), 1,
      anon_sym_LPAREN,
    ACTIONS(5802), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5804), 1,
      anon_sym_u2983,
    ACTIONS(5806), 1,
      anon_sym_LBRACE,
    ACTIONS(5808), 1,
      aux_sym__qid_token1,
    ACTIONS(5810), 1,
      anon_sym_DOT,
    ACTIONS(5812), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5814), 1,
      anon_sym_u2987,
    ACTIONS(5818), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(6256), 1,
      sym_atom,
    STATE(8151), 1,
      sym__LAMBDA,
    STATE(8419), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5816), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6013), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6017), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5796), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [410687] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(5002), 1,
      sym_id,
    ACTIONS(5008), 1,
      anon_sym_record,
    ACTIONS(5010), 1,
      anon_sym_LPAREN,
    ACTIONS(5012), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5014), 1,
      anon_sym_u2983,
    ACTIONS(5016), 1,
      anon_sym_LBRACE,
    ACTIONS(5018), 1,
      aux_sym__qid_token1,
    ACTIONS(5020), 1,
      anon_sym_DOT,
    ACTIONS(5022), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5024), 1,
      anon_sym_u2987,
    ACTIONS(5028), 1,
      anon_sym_Set,
    STATE(3481), 1,
      aux_sym__atoms,
    STATE(6066), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5026), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6117), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6116), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(11360), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5006), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [410797] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2266), 1,
      anon_sym_BSLASH,
    ACTIONS(2268), 1,
      anon_sym_u03bb,
    ACTIONS(2286), 1,
      anon_sym_quoteGoal,
    ACTIONS(2288), 1,
      anon_sym_tactic,
    ACTIONS(2294), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5820), 1,
      sym_id,
    ACTIONS(5824), 1,
      anon_sym_record,
    ACTIONS(5826), 1,
      anon_sym_LPAREN,
    ACTIONS(5828), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5830), 1,
      anon_sym_u2983,
    ACTIONS(5832), 1,
      anon_sym_LBRACE,
    ACTIONS(5834), 1,
      aux_sym__qid_token1,
    ACTIONS(5836), 1,
      anon_sym_DOT,
    ACTIONS(5838), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5840), 1,
      anon_sym_u2987,
    ACTIONS(5844), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(6168), 1,
      sym_atom,
    STATE(8042), 1,
      sym__LAMBDA,
    STATE(8427), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5842), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6031), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6037), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5822), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [410909] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2900), 1,
      anon_sym_quoteGoal,
    ACTIONS(2904), 1,
      anon_sym_let,
    ACTIONS(3234), 1,
      anon_sym_BSLASH,
    ACTIONS(3236), 1,
      anon_sym_u03bb,
    ACTIONS(3254), 1,
      anon_sym_tactic,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5638), 1,
      sym_id,
    ACTIONS(5642), 1,
      anon_sym_record,
    ACTIONS(5644), 1,
      anon_sym_LPAREN,
    ACTIONS(5646), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5648), 1,
      anon_sym_u2983,
    ACTIONS(5650), 1,
      anon_sym_LBRACE,
    ACTIONS(5652), 1,
      aux_sym__qid_token1,
    ACTIONS(5654), 1,
      anon_sym_DOT,
    ACTIONS(5656), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5658), 1,
      anon_sym_u2987,
    ACTIONS(5662), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5914), 1,
      sym_atom,
    STATE(8112), 1,
      sym__LAMBDA,
    STATE(8482), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2888), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5660), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5971), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5941), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5640), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [411021] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(1946), 1,
      anon_sym_BSLASH,
    ACTIONS(1948), 1,
      anon_sym_u03bb,
    ACTIONS(1966), 1,
      anon_sym_quoteGoal,
    ACTIONS(1968), 1,
      anon_sym_tactic,
    ACTIONS(1974), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4918), 1,
      sym_id,
    ACTIONS(4922), 1,
      anon_sym_record,
    ACTIONS(4924), 1,
      anon_sym_LPAREN,
    ACTIONS(4926), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4928), 1,
      anon_sym_u2983,
    ACTIONS(4930), 1,
      anon_sym_LBRACE,
    ACTIONS(4932), 1,
      aux_sym__qid_token1,
    ACTIONS(4934), 1,
      anon_sym_DOT,
    ACTIONS(4936), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4938), 1,
      anon_sym_u2987,
    ACTIONS(4942), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5773), 1,
      sym_atom,
    STATE(8062), 1,
      sym__LAMBDA,
    STATE(8473), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1944), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4940), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5791), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5787), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(4920), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [411133] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(3304), 1,
      anon_sym_BSLASH,
    ACTIONS(3306), 1,
      anon_sym_u03bb,
    ACTIONS(3324), 1,
      anon_sym_tactic,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5716), 1,
      sym_id,
    ACTIONS(5720), 1,
      anon_sym_record,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5726), 1,
      anon_sym_u2983,
    ACTIONS(5728), 1,
      anon_sym_LBRACE,
    ACTIONS(5730), 1,
      aux_sym__qid_token1,
    ACTIONS(5732), 1,
      anon_sym_DOT,
    ACTIONS(5734), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5736), 1,
      anon_sym_u2987,
    ACTIONS(5740), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5930), 1,
      sym_atom,
    STATE(8144), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5738), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5738), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5910), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5718), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [411245] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2252), 1,
      anon_sym_BSLASH,
    ACTIONS(2254), 1,
      anon_sym_u03bb,
    ACTIONS(2256), 1,
      anon_sym_quoteGoal,
    ACTIONS(2258), 1,
      anon_sym_tactic,
    ACTIONS(2260), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5664), 1,
      sym_id,
    ACTIONS(5668), 1,
      anon_sym_record,
    ACTIONS(5670), 1,
      anon_sym_LPAREN,
    ACTIONS(5672), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5674), 1,
      anon_sym_u2983,
    ACTIONS(5676), 1,
      anon_sym_LBRACE,
    ACTIONS(5678), 1,
      aux_sym__qid_token1,
    ACTIONS(5680), 1,
      anon_sym_DOT,
    ACTIONS(5682), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5684), 1,
      anon_sym_u2987,
    ACTIONS(5688), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5835), 1,
      sym_atom,
    STATE(8090), 1,
      sym__LAMBDA,
    STATE(8464), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2248), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5686), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5931), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5926), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5666), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [411357] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(3960), 1,
      anon_sym_BSLASH,
    ACTIONS(3962), 1,
      anon_sym_u03bb,
    ACTIONS(3964), 1,
      anon_sym_tactic,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5144), 1,
      sym_id,
    ACTIONS(5148), 1,
      anon_sym_record,
    ACTIONS(5150), 1,
      anon_sym_LPAREN,
    ACTIONS(5152), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5154), 1,
      anon_sym_u2983,
    ACTIONS(5156), 1,
      anon_sym_LBRACE,
    ACTIONS(5158), 1,
      aux_sym__qid_token1,
    ACTIONS(5160), 1,
      anon_sym_DOT,
    ACTIONS(5162), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5164), 1,
      anon_sym_u2987,
    ACTIONS(5168), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(6029), 1,
      sym_atom,
    STATE(8075), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5166), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6132), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6130), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5146), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [411469] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      anon_sym_u03bb,
    ACTIONS(3144), 1,
      anon_sym_quoteGoal,
    ACTIONS(3146), 1,
      anon_sym_tactic,
    ACTIONS(3152), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5282), 1,
      sym_id,
    ACTIONS(5286), 1,
      anon_sym_record,
    ACTIONS(5288), 1,
      anon_sym_LPAREN,
    ACTIONS(5290), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5292), 1,
      anon_sym_u2983,
    ACTIONS(5294), 1,
      anon_sym_LBRACE,
    ACTIONS(5296), 1,
      aux_sym__qid_token1,
    ACTIONS(5298), 1,
      anon_sym_DOT,
    ACTIONS(5300), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5302), 1,
      anon_sym_u2987,
    ACTIONS(5306), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5497), 1,
      sym_atom,
    STATE(8056), 1,
      sym__LAMBDA,
    STATE(8488), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5304), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5609), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5427), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5284), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [411581] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1170), 1,
      anon_sym_BSLASH,
    ACTIONS(1172), 1,
      anon_sym_u03bb,
    ACTIONS(1192), 1,
      anon_sym_quoteGoal,
    ACTIONS(1194), 1,
      anon_sym_tactic,
    ACTIONS(1200), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5470), 1,
      sym_id,
    ACTIONS(5474), 1,
      anon_sym_record,
    ACTIONS(5476), 1,
      anon_sym_LPAREN,
    ACTIONS(5478), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_u2983,
    ACTIONS(5482), 1,
      anon_sym_LBRACE,
    ACTIONS(5484), 1,
      aux_sym__qid_token1,
    ACTIONS(5486), 1,
      anon_sym_DOT,
    ACTIONS(5488), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5490), 1,
      anon_sym_u2987,
    ACTIONS(5494), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5872), 1,
      sym_atom,
    STATE(8138), 1,
      sym__LAMBDA,
    STATE(8403), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5492), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5850), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5888), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5472), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [411693] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    ACTIONS(3690), 1,
      anon_sym_u03bb,
    ACTIONS(3708), 1,
      anon_sym_quoteGoal,
    ACTIONS(3710), 1,
      anon_sym_tactic,
    ACTIONS(3716), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5500), 1,
      sym_id,
    ACTIONS(5504), 1,
      anon_sym_record,
    ACTIONS(5506), 1,
      anon_sym_LPAREN,
    ACTIONS(5508), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5510), 1,
      anon_sym_u2983,
    ACTIONS(5512), 1,
      anon_sym_LBRACE,
    ACTIONS(5514), 1,
      aux_sym__qid_token1,
    ACTIONS(5516), 1,
      anon_sym_DOT,
    ACTIONS(5518), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5520), 1,
      anon_sym_u2987,
    ACTIONS(5524), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(4927), 1,
      sym_atom,
    STATE(8083), 1,
      sym__LAMBDA,
    STATE(8501), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3686), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5522), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5039), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5028), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5502), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [411805] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      sym_id,
    ACTIONS(5344), 1,
      anon_sym_record,
    ACTIONS(5346), 1,
      anon_sym_LPAREN,
    ACTIONS(5348), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5350), 1,
      anon_sym_u2983,
    ACTIONS(5352), 1,
      anon_sym_LBRACE,
    ACTIONS(5354), 1,
      aux_sym__qid_token1,
    ACTIONS(5356), 1,
      anon_sym_DOT,
    ACTIONS(5358), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5360), 1,
      anon_sym_u2987,
    ACTIONS(5364), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5772), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5362), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5805), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5786), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5342), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [411917] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2722), 1,
      anon_sym_BSLASH,
    ACTIONS(2724), 1,
      anon_sym_u03bb,
    ACTIONS(2742), 1,
      anon_sym_quoteGoal,
    ACTIONS(2744), 1,
      anon_sym_tactic,
    ACTIONS(2750), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5226), 1,
      sym_id,
    ACTIONS(5230), 1,
      anon_sym_record,
    ACTIONS(5232), 1,
      anon_sym_LPAREN,
    ACTIONS(5234), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5236), 1,
      anon_sym_u2983,
    ACTIONS(5238), 1,
      anon_sym_LBRACE,
    ACTIONS(5240), 1,
      aux_sym__qid_token1,
    ACTIONS(5242), 1,
      anon_sym_DOT,
    ACTIONS(5244), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5246), 1,
      anon_sym_u2987,
    ACTIONS(5250), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(4249), 1,
      sym_atom,
    STATE(8073), 1,
      sym__LAMBDA,
    STATE(8475), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5248), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4182), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4180), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5228), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [412029] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5690), 1,
      sym_id,
    ACTIONS(5694), 1,
      anon_sym_record,
    ACTIONS(5696), 1,
      anon_sym_LPAREN,
    ACTIONS(5698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5700), 1,
      anon_sym_u2983,
    ACTIONS(5702), 1,
      anon_sym_LBRACE,
    ACTIONS(5704), 1,
      aux_sym__qid_token1,
    ACTIONS(5706), 1,
      anon_sym_DOT,
    ACTIONS(5708), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5710), 1,
      anon_sym_u2987,
    ACTIONS(5714), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(6002), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5712), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6102), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6101), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [412141] = 29,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2212), 1,
      anon_sym_BSLASH,
    ACTIONS(2214), 1,
      anon_sym_u03bb,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2234), 1,
      anon_sym_tactic,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5444), 1,
      sym_id,
    ACTIONS(5448), 1,
      anon_sym_record,
    ACTIONS(5450), 1,
      anon_sym_LPAREN,
    ACTIONS(5452), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5454), 1,
      anon_sym_u2983,
    ACTIONS(5456), 1,
      anon_sym_LBRACE,
    ACTIONS(5458), 1,
      aux_sym__qid_token1,
    ACTIONS(5460), 1,
      anon_sym_DOT,
    ACTIONS(5462), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5464), 1,
      anon_sym_u2987,
    ACTIONS(5468), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5480), 1,
      sym_atom,
    STATE(8104), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5466), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5605), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5574), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5446), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [412253] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1986), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_u03bb,
    ACTIONS(2006), 1,
      anon_sym_quoteGoal,
    ACTIONS(2008), 1,
      anon_sym_tactic,
    ACTIONS(2014), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5444), 1,
      sym_id,
    ACTIONS(5448), 1,
      anon_sym_record,
    ACTIONS(5450), 1,
      anon_sym_LPAREN,
    ACTIONS(5452), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5454), 1,
      anon_sym_u2983,
    ACTIONS(5456), 1,
      anon_sym_LBRACE,
    ACTIONS(5458), 1,
      aux_sym__qid_token1,
    ACTIONS(5460), 1,
      anon_sym_DOT,
    ACTIONS(5462), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5464), 1,
      anon_sym_u2987,
    ACTIONS(5468), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5480), 1,
      sym_atom,
    STATE(8045), 1,
      sym__LAMBDA,
    STATE(8463), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1982), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5466), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5605), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5574), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5446), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [412365] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2344), 1,
      anon_sym_BSLASH,
    ACTIONS(2346), 1,
      anon_sym_u03bb,
    ACTIONS(2364), 1,
      anon_sym_quoteGoal,
    ACTIONS(2366), 1,
      anon_sym_tactic,
    ACTIONS(2372), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5308), 1,
      sym_id,
    ACTIONS(5312), 1,
      anon_sym_record,
    ACTIONS(5314), 1,
      anon_sym_LPAREN,
    ACTIONS(5316), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5318), 1,
      anon_sym_u2983,
    ACTIONS(5320), 1,
      anon_sym_LBRACE,
    ACTIONS(5322), 1,
      aux_sym__qid_token1,
    ACTIONS(5324), 1,
      anon_sym_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5328), 1,
      anon_sym_u2987,
    ACTIONS(5332), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(6092), 1,
      sym_atom,
    STATE(8080), 1,
      sym__LAMBDA,
    STATE(8442), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2342), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5330), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6159), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6158), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5310), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [412477] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(1208), 1,
      anon_sym_BSLASH,
    ACTIONS(1210), 1,
      anon_sym_u03bb,
    ACTIONS(1212), 1,
      anon_sym_quoteGoal,
    ACTIONS(1214), 1,
      anon_sym_tactic,
    ACTIONS(1216), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5470), 1,
      sym_id,
    ACTIONS(5474), 1,
      anon_sym_record,
    ACTIONS(5476), 1,
      anon_sym_LPAREN,
    ACTIONS(5478), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_u2983,
    ACTIONS(5482), 1,
      anon_sym_LBRACE,
    ACTIONS(5484), 1,
      aux_sym__qid_token1,
    ACTIONS(5486), 1,
      anon_sym_DOT,
    ACTIONS(5488), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5490), 1,
      anon_sym_u2987,
    ACTIONS(5494), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5872), 1,
      sym_atom,
    STATE(8071), 1,
      sym__LAMBDA,
    STATE(8417), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1206), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5492), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5850), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5888), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5472), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [412589] = 29,
    ACTIONS(714), 1,
      anon_sym_quoteGoal,
    ACTIONS(722), 1,
      anon_sym_let,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(3006), 1,
      anon_sym_BSLASH,
    ACTIONS(3008), 1,
      anon_sym_u03bb,
    ACTIONS(3024), 1,
      anon_sym_tactic,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(6064), 1,
      sym_id,
    ACTIONS(6068), 1,
      anon_sym_record,
    ACTIONS(6070), 1,
      anon_sym_LPAREN,
    ACTIONS(6072), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6074), 1,
      anon_sym_u2983,
    ACTIONS(6076), 1,
      anon_sym_LBRACE,
    ACTIONS(6078), 1,
      aux_sym__qid_token1,
    ACTIONS(6080), 1,
      anon_sym_DOT,
    ACTIONS(6082), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6084), 1,
      anon_sym_u2987,
    ACTIONS(6088), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5576), 1,
      sym_atom,
    STATE(8116), 1,
      sym__LAMBDA,
    STATE(8451), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(682), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6086), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5670), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5668), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [412701] = 29,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(2232), 1,
      anon_sym_quoteGoal,
    ACTIONS(2240), 1,
      anon_sym_let,
    ACTIONS(3902), 1,
      anon_sym_BSLASH,
    ACTIONS(3904), 1,
      anon_sym_u03bb,
    ACTIONS(3922), 1,
      anon_sym_tactic,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5144), 1,
      sym_id,
    ACTIONS(5148), 1,
      anon_sym_record,
    ACTIONS(5150), 1,
      anon_sym_LPAREN,
    ACTIONS(5152), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5154), 1,
      anon_sym_u2983,
    ACTIONS(5156), 1,
      anon_sym_LBRACE,
    ACTIONS(5158), 1,
      aux_sym__qid_token1,
    ACTIONS(5160), 1,
      anon_sym_DOT,
    ACTIONS(5162), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5164), 1,
      anon_sym_u2987,
    ACTIONS(5168), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(6029), 1,
      sym_atom,
    STATE(8136), 1,
      sym__LAMBDA,
    STATE(8467), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2210), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5166), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6132), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6130), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5146), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [412813] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2828), 1,
      anon_sym_BSLASH,
    ACTIONS(2830), 1,
      anon_sym_u03bb,
    ACTIONS(2846), 1,
      anon_sym_quoteGoal,
    ACTIONS(2848), 1,
      anon_sym_tactic,
    ACTIONS(2854), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5170), 1,
      sym_id,
    ACTIONS(5174), 1,
      anon_sym_record,
    ACTIONS(5176), 1,
      anon_sym_LPAREN,
    ACTIONS(5178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5180), 1,
      anon_sym_u2983,
    ACTIONS(5182), 1,
      anon_sym_LBRACE,
    ACTIONS(5184), 1,
      aux_sym__qid_token1,
    ACTIONS(5186), 1,
      anon_sym_DOT,
    ACTIONS(5188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5190), 1,
      anon_sym_u2987,
    ACTIONS(5194), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5244), 1,
      sym_atom,
    STATE(8061), 1,
      sym__LAMBDA,
    STATE(8480), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5192), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5294), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5265), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5172), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [412925] = 29,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(1260), 1,
      anon_sym_BSLASH,
    ACTIONS(1262), 1,
      anon_sym_u03bb,
    ACTIONS(1280), 1,
      anon_sym_quoteGoal,
    ACTIONS(1282), 1,
      anon_sym_tactic,
    ACTIONS(1288), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      sym_id,
    ACTIONS(5876), 1,
      anon_sym_record,
    ACTIONS(5878), 1,
      anon_sym_LPAREN,
    ACTIONS(5880), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5882), 1,
      anon_sym_u2983,
    ACTIONS(5884), 1,
      anon_sym_LBRACE,
    ACTIONS(5886), 1,
      aux_sym__qid_token1,
    ACTIONS(5888), 1,
      anon_sym_DOT,
    ACTIONS(5890), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5892), 1,
      anon_sym_u2987,
    ACTIONS(5896), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(6087), 1,
      sym_atom,
    STATE(8039), 1,
      sym__LAMBDA,
    STATE(8423), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5894), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6188), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6187), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5874), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [413037] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2434), 1,
      anon_sym_BSLASH,
    ACTIONS(2436), 1,
      anon_sym_u03bb,
    ACTIONS(2454), 1,
      anon_sym_quoteGoal,
    ACTIONS(2456), 1,
      anon_sym_tactic,
    ACTIONS(2462), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5062), 1,
      sym_id,
    ACTIONS(5066), 1,
      anon_sym_record,
    ACTIONS(5068), 1,
      anon_sym_LPAREN,
    ACTIONS(5070), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5072), 1,
      anon_sym_u2983,
    ACTIONS(5074), 1,
      anon_sym_LBRACE,
    ACTIONS(5076), 1,
      aux_sym__qid_token1,
    ACTIONS(5078), 1,
      anon_sym_DOT,
    ACTIONS(5080), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5082), 1,
      anon_sym_u2987,
    ACTIONS(5086), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(6004), 1,
      sym_atom,
    STATE(8047), 1,
      sym__LAMBDA,
    STATE(8428), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2432), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5084), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6049), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6053), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5064), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [413149] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12748), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [413259] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(936), 1,
      anon_sym_BSLASH,
    ACTIONS(938), 1,
      anon_sym_u03bb,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(946), 1,
      anon_sym_tactic,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(6090), 1,
      sym_id,
    ACTIONS(6094), 1,
      anon_sym_record,
    ACTIONS(6096), 1,
      anon_sym_LPAREN,
    ACTIONS(6098), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6100), 1,
      anon_sym_u2983,
    ACTIONS(6102), 1,
      anon_sym_LBRACE,
    ACTIONS(6104), 1,
      aux_sym__qid_token1,
    ACTIONS(6106), 1,
      anon_sym_DOT,
    ACTIONS(6108), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6110), 1,
      anon_sym_u2987,
    ACTIONS(6114), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5515), 1,
      sym_atom,
    STATE(8060), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6112), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5450), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5413), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6092), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [413371] = 19,
    ACTIONS(2716), 1,
      sym_id,
    ACTIONS(2728), 1,
      anon_sym_record,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    ACTIONS(2732), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2734), 1,
      anon_sym_u2983,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      aux_sym__qid_token1,
    ACTIONS(2740), 1,
      anon_sym_DOT,
    ACTIONS(2746), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2748), 1,
      anon_sym_u2987,
    ACTIONS(2754), 1,
      anon_sym_Set,
    STATE(4107), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2752), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4080), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4078), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2726), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 17,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [413463] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(738), 1,
      anon_sym_BSLASH,
    ACTIONS(740), 1,
      anon_sym_u03bb,
    ACTIONS(762), 1,
      anon_sym_quoteGoal,
    ACTIONS(764), 1,
      anon_sym_tactic,
    ACTIONS(2168), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4250), 1,
      sym_id,
    ACTIONS(4254), 1,
      anon_sym_record,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4260), 1,
      anon_sym_u2983,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4264), 1,
      aux_sym__qid_token1,
    ACTIONS(4266), 1,
      anon_sym_DOT,
    ACTIONS(4268), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4270), 1,
      anon_sym_u2987,
    ACTIONS(4274), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5812), 1,
      sym_atom,
    STATE(8084), 1,
      sym__LAMBDA,
    STATE(8447), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4272), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5777), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5768), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(4252), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [413575] = 19,
    ACTIONS(3618), 1,
      sym_id,
    ACTIONS(3628), 1,
      anon_sym_record,
    ACTIONS(3638), 1,
      aux_sym__qid_token1,
    ACTIONS(3646), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3648), 1,
      anon_sym_u2987,
    ACTIONS(3654), 1,
      anon_sym_Set,
    ACTIONS(4576), 1,
      anon_sym_LPAREN,
    ACTIONS(4578), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4580), 1,
      anon_sym_u2983,
    ACTIONS(4582), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    STATE(4123), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3652), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4101), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4115), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3626), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 17,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [413667] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3198), 1,
      anon_sym_BSLASH,
    ACTIONS(3200), 1,
      anon_sym_u03bb,
    ACTIONS(3218), 1,
      anon_sym_quoteGoal,
    ACTIONS(3220), 1,
      anon_sym_tactic,
    ACTIONS(3226), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5846), 1,
      sym_id,
    ACTIONS(5850), 1,
      anon_sym_record,
    ACTIONS(5852), 1,
      anon_sym_LPAREN,
    ACTIONS(5854), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5856), 1,
      anon_sym_u2983,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(5860), 1,
      aux_sym__qid_token1,
    ACTIONS(5862), 1,
      anon_sym_DOT,
    ACTIONS(5864), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5866), 1,
      anon_sym_u2987,
    ACTIONS(5870), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5347), 1,
      sym_atom,
    STATE(8097), 1,
      sym__LAMBDA,
    STATE(8489), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5868), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4954), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5345), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5848), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [413779] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3452), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 1,
      anon_sym_u03bb,
    ACTIONS(3472), 1,
      anon_sym_quoteGoal,
    ACTIONS(3474), 1,
      anon_sym_tactic,
    ACTIONS(3480), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(6038), 1,
      sym_id,
    ACTIONS(6042), 1,
      anon_sym_record,
    ACTIONS(6044), 1,
      anon_sym_LPAREN,
    ACTIONS(6046), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_u2983,
    ACTIONS(6050), 1,
      anon_sym_LBRACE,
    ACTIONS(6052), 1,
      aux_sym__qid_token1,
    ACTIONS(6054), 1,
      anon_sym_DOT,
    ACTIONS(6056), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6058), 1,
      anon_sym_u2987,
    ACTIONS(6062), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5444), 1,
      sym_atom,
    STATE(8032), 1,
      sym__LAMBDA,
    STATE(8496), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6060), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5519), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5694), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6040), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [413891] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(954), 1,
      anon_sym_BSLASH,
    ACTIONS(956), 1,
      anon_sym_u03bb,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(976), 1,
      anon_sym_tactic,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5606), 1,
      sym_id,
    ACTIONS(5610), 1,
      anon_sym_record,
    ACTIONS(5612), 1,
      anon_sym_LPAREN,
    ACTIONS(5614), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5616), 1,
      anon_sym_u2983,
    ACTIONS(5618), 1,
      anon_sym_LBRACE,
    ACTIONS(5620), 1,
      aux_sym__qid_token1,
    ACTIONS(5622), 1,
      anon_sym_DOT,
    ACTIONS(5624), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5626), 1,
      anon_sym_u2987,
    ACTIONS(5630), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5827), 1,
      sym_atom,
    STATE(8067), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5628), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5896), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5891), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5608), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [414003] = 19,
    ACTIONS(2520), 1,
      sym_id,
    ACTIONS(2530), 1,
      anon_sym_record,
    ACTIONS(2540), 1,
      aux_sym__qid_token1,
    ACTIONS(2548), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2550), 1,
      anon_sym_u2987,
    ACTIONS(2556), 1,
      anon_sym_Set,
    ACTIONS(4718), 1,
      anon_sym_LPAREN,
    ACTIONS(4720), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4722), 1,
      anon_sym_u2983,
    ACTIONS(4724), 1,
      anon_sym_LBRACE,
    ACTIONS(4726), 1,
      anon_sym_DOT,
    STATE(4089), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2554), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4086), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4083), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 17,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [414095] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3754), 1,
      anon_sym_BSLASH,
    ACTIONS(3756), 1,
      anon_sym_u03bb,
    ACTIONS(3774), 1,
      anon_sym_quoteGoal,
    ACTIONS(3776), 1,
      anon_sym_tactic,
    ACTIONS(3782), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5768), 1,
      sym_id,
    ACTIONS(5772), 1,
      anon_sym_record,
    ACTIONS(5774), 1,
      anon_sym_LPAREN,
    ACTIONS(5776), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5778), 1,
      anon_sym_u2983,
    ACTIONS(5780), 1,
      anon_sym_LBRACE,
    ACTIONS(5782), 1,
      aux_sym__qid_token1,
    ACTIONS(5784), 1,
      anon_sym_DOT,
    ACTIONS(5786), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5788), 1,
      anon_sym_u2987,
    ACTIONS(5792), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(4576), 1,
      sym_atom,
    STATE(8081), 1,
      sym__LAMBDA,
    STATE(8478), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3752), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5790), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4528), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4524), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5770), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [414207] = 19,
    ACTIONS(2664), 1,
      sym_id,
    ACTIONS(2668), 1,
      anon_sym_record,
    ACTIONS(2678), 1,
      aux_sym__qid_token1,
    ACTIONS(2682), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2684), 1,
      anon_sym_u2987,
    ACTIONS(2688), 1,
      anon_sym_Set,
    ACTIONS(4876), 1,
      anon_sym_LPAREN,
    ACTIONS(4878), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4880), 1,
      anon_sym_u2983,
    ACTIONS(4882), 1,
      anon_sym_LBRACE,
    ACTIONS(4884), 1,
      anon_sym_DOT,
    STATE(4069), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2686), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4053), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4075), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2666), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 17,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [414299] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2306), 1,
      anon_sym_BSLASH,
    ACTIONS(2308), 1,
      anon_sym_u03bb,
    ACTIONS(2326), 1,
      anon_sym_quoteGoal,
    ACTIONS(2328), 1,
      anon_sym_tactic,
    ACTIONS(2334), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5198), 1,
      sym_id,
    ACTIONS(5202), 1,
      anon_sym_record,
    ACTIONS(5204), 1,
      anon_sym_LPAREN,
    ACTIONS(5206), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5208), 1,
      anon_sym_u2983,
    ACTIONS(5210), 1,
      anon_sym_LBRACE,
    ACTIONS(5212), 1,
      aux_sym__qid_token1,
    ACTIONS(5214), 1,
      anon_sym_DOT,
    ACTIONS(5216), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5218), 1,
      anon_sym_u2987,
    ACTIONS(5222), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5842), 1,
      sym_atom,
    STATE(8098), 1,
      sym__LAMBDA,
    STATE(8466), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5220), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5911), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5860), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5200), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [414411] = 29,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(898), 1,
      anon_sym_BSLASH,
    ACTIONS(900), 1,
      anon_sym_u03bb,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(922), 1,
      anon_sym_tactic,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5418), 1,
      sym_id,
    ACTIONS(5422), 1,
      anon_sym_record,
    ACTIONS(5424), 1,
      anon_sym_LPAREN,
    ACTIONS(5426), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5428), 1,
      anon_sym_u2983,
    ACTIONS(5430), 1,
      anon_sym_LBRACE,
    ACTIONS(5432), 1,
      aux_sym__qid_token1,
    ACTIONS(5434), 1,
      anon_sym_DOT,
    ACTIONS(5436), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5438), 1,
      anon_sym_u2987,
    ACTIONS(5442), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5939), 1,
      sym_atom,
    STATE(8072), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5440), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5826), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5740), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5420), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [414523] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12743), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [414633] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3268), 1,
      anon_sym_BSLASH,
    ACTIONS(3270), 1,
      anon_sym_u03bb,
    ACTIONS(3288), 1,
      anon_sym_quoteGoal,
    ACTIONS(3290), 1,
      anon_sym_tactic,
    ACTIONS(3296), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5924), 1,
      sym_id,
    ACTIONS(5928), 1,
      anon_sym_record,
    ACTIONS(5930), 1,
      anon_sym_LPAREN,
    ACTIONS(5932), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5934), 1,
      anon_sym_u2983,
    ACTIONS(5936), 1,
      anon_sym_LBRACE,
    ACTIONS(5938), 1,
      aux_sym__qid_token1,
    ACTIONS(5940), 1,
      anon_sym_DOT,
    ACTIONS(5942), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5944), 1,
      anon_sym_u2987,
    ACTIONS(5948), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(4815), 1,
      sym_atom,
    STATE(8111), 1,
      sym__LAMBDA,
    STATE(8490), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5946), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4676), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4673), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5926), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [414745] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3338), 1,
      anon_sym_BSLASH,
    ACTIONS(3340), 1,
      anon_sym_u03bb,
    ACTIONS(3358), 1,
      anon_sym_quoteGoal,
    ACTIONS(3360), 1,
      anon_sym_tactic,
    ACTIONS(3366), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5392), 1,
      sym_id,
    ACTIONS(5396), 1,
      anon_sym_record,
    ACTIONS(5398), 1,
      anon_sym_LPAREN,
    ACTIONS(5400), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5402), 1,
      anon_sym_u2983,
    ACTIONS(5404), 1,
      anon_sym_LBRACE,
    ACTIONS(5406), 1,
      aux_sym__qid_token1,
    ACTIONS(5408), 1,
      anon_sym_DOT,
    ACTIONS(5410), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5412), 1,
      anon_sym_u2987,
    ACTIONS(5416), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(4707), 1,
      sym_atom,
    STATE(8150), 1,
      sym__LAMBDA,
    STATE(8459), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3336), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5414), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4650), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4691), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5394), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [414857] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2062), 1,
      anon_sym_BSLASH,
    ACTIONS(2064), 1,
      anon_sym_u03bb,
    ACTIONS(2082), 1,
      anon_sym_quoteGoal,
    ACTIONS(2084), 1,
      anon_sym_tactic,
    ACTIONS(2090), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5742), 1,
      sym_id,
    ACTIONS(5746), 1,
      anon_sym_record,
    ACTIONS(5748), 1,
      anon_sym_LPAREN,
    ACTIONS(5750), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5752), 1,
      anon_sym_u2983,
    ACTIONS(5754), 1,
      anon_sym_LBRACE,
    ACTIONS(5756), 1,
      aux_sym__qid_token1,
    ACTIONS(5758), 1,
      anon_sym_DOT,
    ACTIONS(5760), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5762), 1,
      anon_sym_u2987,
    ACTIONS(5766), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(4739), 1,
      sym_atom,
    STATE(8149), 1,
      sym__LAMBDA,
    STATE(8477), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2060), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5764), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4758), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4732), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5744), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [414969] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2024), 1,
      anon_sym_BSLASH,
    ACTIONS(2026), 1,
      anon_sym_u03bb,
    ACTIONS(2044), 1,
      anon_sym_quoteGoal,
    ACTIONS(2046), 1,
      anon_sym_tactic,
    ACTIONS(2052), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      sym_id,
    ACTIONS(5584), 1,
      anon_sym_record,
    ACTIONS(5586), 1,
      anon_sym_LPAREN,
    ACTIONS(5588), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5590), 1,
      anon_sym_u2983,
    ACTIONS(5592), 1,
      anon_sym_LBRACE,
    ACTIONS(5594), 1,
      aux_sym__qid_token1,
    ACTIONS(5596), 1,
      anon_sym_DOT,
    ACTIONS(5598), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5600), 1,
      anon_sym_u2987,
    ACTIONS(5604), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5144), 1,
      sym_atom,
    STATE(8070), 1,
      sym__LAMBDA,
    STATE(8476), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2022), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5602), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5316), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5313), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5582), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [415081] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(2100), 1,
      anon_sym_BSLASH,
    ACTIONS(2102), 1,
      anon_sym_u03bb,
    ACTIONS(2120), 1,
      anon_sym_quoteGoal,
    ACTIONS(2122), 1,
      anon_sym_tactic,
    ACTIONS(2128), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5118), 1,
      sym_id,
    ACTIONS(5122), 1,
      anon_sym_record,
    ACTIONS(5124), 1,
      anon_sym_LPAREN,
    ACTIONS(5126), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5128), 1,
      anon_sym_u2983,
    ACTIONS(5130), 1,
      anon_sym_LBRACE,
    ACTIONS(5132), 1,
      aux_sym__qid_token1,
    ACTIONS(5134), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5138), 1,
      anon_sym_u2987,
    ACTIONS(5142), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5541), 1,
      sym_atom,
    STATE(8140), 1,
      sym__LAMBDA,
    STATE(8487), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2098), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5140), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5729), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5635), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5120), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [415193] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2942), 1,
      anon_sym_BSLASH,
    ACTIONS(2944), 1,
      anon_sym_u03bb,
    ACTIONS(2962), 1,
      anon_sym_quoteGoal,
    ACTIONS(2964), 1,
      anon_sym_tactic,
    ACTIONS(2970), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(5526), 1,
      sym_id,
    ACTIONS(5530), 1,
      anon_sym_record,
    ACTIONS(5532), 1,
      anon_sym_LPAREN,
    ACTIONS(5534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5536), 1,
      anon_sym_u2983,
    ACTIONS(5538), 1,
      anon_sym_LBRACE,
    ACTIONS(5540), 1,
      aux_sym__qid_token1,
    ACTIONS(5542), 1,
      anon_sym_DOT,
    ACTIONS(5544), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5546), 1,
      anon_sym_u2987,
    ACTIONS(5550), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5713), 1,
      sym_atom,
    STATE(8095), 1,
      sym__LAMBDA,
    STATE(8484), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(5548), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5640), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5638), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(5528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [415305] = 29,
    ACTIONS(85), 1,
      anon_sym_do,
    ACTIONS(3490), 1,
      anon_sym_BSLASH,
    ACTIONS(3492), 1,
      anon_sym_u03bb,
    ACTIONS(3510), 1,
      anon_sym_quoteGoal,
    ACTIONS(3512), 1,
      anon_sym_tactic,
    ACTIONS(3518), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(6116), 1,
      sym_id,
    ACTIONS(6120), 1,
      anon_sym_record,
    ACTIONS(6122), 1,
      anon_sym_LPAREN,
    ACTIONS(6124), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6126), 1,
      anon_sym_u2983,
    ACTIONS(6128), 1,
      anon_sym_LBRACE,
    ACTIONS(6130), 1,
      aux_sym__qid_token1,
    ACTIONS(6132), 1,
      anon_sym_DOT,
    ACTIONS(6134), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6136), 1,
      anon_sym_u2987,
    ACTIONS(6140), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(4849), 1,
      sym_atom,
    STATE(8044), 1,
      sym__LAMBDA,
    STATE(8498), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6138), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4756), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4743), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8957), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6118), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [415417] = 29,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(6170), 1,
      sym_id,
    ACTIONS(6174), 1,
      anon_sym_record,
    ACTIONS(6176), 1,
      anon_sym_LPAREN,
    ACTIONS(6178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6180), 1,
      anon_sym_u2983,
    ACTIONS(6182), 1,
      anon_sym_LBRACE,
    ACTIONS(6184), 1,
      aux_sym__qid_token1,
    ACTIONS(6186), 1,
      anon_sym_DOT,
    ACTIONS(6188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6190), 1,
      anon_sym_u2987,
    ACTIONS(6194), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(6100), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(6192), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6204), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6203), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(6172), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [415529] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12346), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [415639] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12396), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [415749] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12405), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [415859] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12414), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [415969] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12423), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [416079] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12432), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [416189] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12441), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [416299] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12450), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [416409] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12459), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [416519] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12468), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [416629] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12477), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [416739] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12486), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [416849] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12495), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [416959] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12504), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [417069] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12513), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [417179] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12522), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [417289] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12531), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [417399] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12540), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [417509] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12549), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [417619] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12558), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [417729] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12567), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [417839] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12576), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [417949] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12585), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [418059] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12591), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [418169] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12597), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [418279] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12603), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [418389] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12609), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [418499] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12615), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [418609] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12621), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [418719] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12627), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [418829] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12633), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [418939] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12639), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [419049] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12645), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [419159] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12651), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [419269] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12657), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [419379] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12663), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [419489] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12669), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [419599] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12675), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [419709] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12681), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [419819] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12687), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [419929] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12693), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [420039] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12699), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [420149] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12705), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [420259] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12711), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [420369] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12716), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [420479] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12719), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [420589] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12722), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [420699] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12725), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [420809] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12728), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [420919] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12731), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [421029] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12734), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [421139] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12737), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [421249] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(3889), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(12740), 8,
      sym__application,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [421359] = 29,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(2630), 1,
      anon_sym_BSLASH,
    ACTIONS(2632), 1,
      anon_sym_u03bb,
    ACTIONS(2650), 1,
      anon_sym_quoteGoal,
    ACTIONS(2652), 1,
      anon_sym_tactic,
    ACTIONS(2658), 1,
      anon_sym_let,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(4948), 1,
      sym_id,
    ACTIONS(4952), 1,
      anon_sym_record,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4958), 1,
      anon_sym_u2983,
    ACTIONS(4960), 1,
      anon_sym_LBRACE,
    ACTIONS(4962), 1,
      aux_sym__qid_token1,
    ACTIONS(4964), 1,
      anon_sym_DOT,
    ACTIONS(4966), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4968), 1,
      anon_sym_u2987,
    ACTIONS(4972), 1,
      anon_sym_Set,
    STATE(4039), 1,
      aux_sym__atoms,
    STATE(5890), 1,
      sym_atom,
    STATE(8117), 1,
      sym__LAMBDA,
    STATE(8471), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2626), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4970), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5913), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5970), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(4950), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [421471] = 19,
    ACTIONS(3552), 1,
      sym_id,
    ACTIONS(3562), 1,
      anon_sym_record,
    ACTIONS(3572), 1,
      aux_sym__qid_token1,
    ACTIONS(3580), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3582), 1,
      anon_sym_u2987,
    ACTIONS(3588), 1,
      anon_sym_Set,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4530), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4532), 1,
      anon_sym_u2983,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(4536), 1,
      anon_sym_DOT,
    STATE(4130), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3586), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4127), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4126), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3560), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 16,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [421562] = 28,
    ACTIONS(724), 1,
      anon_sym_do,
    ACTIONS(920), 1,
      anon_sym_quoteGoal,
    ACTIONS(928), 1,
      anon_sym_let,
    ACTIONS(2136), 1,
      anon_sym_BSLASH,
    ACTIONS(2138), 1,
      anon_sym_u03bb,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2158), 1,
      anon_sym_tactic,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(6228), 1,
      sym_id,
    ACTIONS(6230), 1,
      aux_sym__qid_token1,
    STATE(4113), 1,
      aux_sym__atoms,
    STATE(6322), 1,
      sym_atom,
    STATE(8109), 1,
      sym__LAMBDA,
    STATE(8440), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(896), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(9439), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [421671] = 19,
    ACTIONS(3872), 1,
      sym_id,
    ACTIONS(3878), 1,
      anon_sym_record,
    ACTIONS(3880), 1,
      anon_sym_LPAREN,
    ACTIONS(3882), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3884), 1,
      anon_sym_u2983,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(3888), 1,
      aux_sym__qid_token1,
    ACTIONS(3890), 1,
      anon_sym_DOT,
    ACTIONS(3892), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3894), 1,
      anon_sym_u2987,
    ACTIONS(3898), 1,
      anon_sym_Set,
    STATE(4202), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3896), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4199), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4197), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3876), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 16,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [421762] = 19,
    ACTIONS(3750), 1,
      sym_id,
    ACTIONS(3760), 1,
      anon_sym_record,
    ACTIONS(3770), 1,
      aux_sym__qid_token1,
    ACTIONS(3778), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3780), 1,
      anon_sym_u2987,
    ACTIONS(3786), 1,
      anon_sym_Set,
    ACTIONS(4564), 1,
      anon_sym_LPAREN,
    ACTIONS(4566), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4568), 1,
      anon_sym_u2983,
    ACTIONS(4570), 1,
      anon_sym_LBRACE,
    ACTIONS(4572), 1,
      anon_sym_DOT,
    STATE(4141), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3784), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4138), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4137), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3758), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 16,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [421853] = 19,
    ACTIONS(2404), 1,
      sym_id,
    ACTIONS(2408), 1,
      anon_sym_record,
    ACTIONS(2418), 1,
      aux_sym__qid_token1,
    ACTIONS(2422), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2424), 1,
      anon_sym_u2987,
    ACTIONS(2428), 1,
      anon_sym_Set,
    ACTIONS(4552), 1,
      anon_sym_LPAREN,
    ACTIONS(4554), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4556), 1,
      anon_sym_u2983,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4560), 1,
      anon_sym_DOT,
    STATE(4223), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2426), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4220), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4219), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2406), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 16,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [421944] = 19,
    ACTIONS(5226), 1,
      sym_id,
    ACTIONS(5230), 1,
      anon_sym_record,
    ACTIONS(5232), 1,
      anon_sym_LPAREN,
    ACTIONS(5234), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5236), 1,
      anon_sym_u2983,
    ACTIONS(5238), 1,
      anon_sym_LBRACE,
    ACTIONS(5240), 1,
      aux_sym__qid_token1,
    ACTIONS(5242), 1,
      anon_sym_DOT,
    ACTIONS(5244), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5246), 1,
      anon_sym_u2987,
    ACTIONS(5250), 1,
      anon_sym_Set,
    STATE(4185), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5248), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4182), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4180), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5228), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 16,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [422035] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(944), 1,
      anon_sym_quoteGoal,
    ACTIONS(1662), 1,
      anon_sym_let,
    ACTIONS(3968), 1,
      anon_sym_BSLASH,
    ACTIONS(3970), 1,
      anon_sym_u03bb,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_tactic,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(4113), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8093), 1,
      sym__LAMBDA,
    STATE(8435), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(934), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [422144] = 28,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(974), 1,
      anon_sym_quoteGoal,
    ACTIONS(982), 1,
      anon_sym_let,
    ACTIONS(4190), 1,
      anon_sym_BSLASH,
    ACTIONS(4192), 1,
      anon_sym_u03bb,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_tactic,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    ACTIONS(6232), 1,
      sym_id,
    ACTIONS(6234), 1,
      aux_sym__qid_token1,
    STATE(4113), 1,
      aux_sym__atoms,
    STATE(6311), 1,
      sym_atom,
    STATE(8099), 1,
      sym__LAMBDA,
    STATE(8439), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(952), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [422253] = 28,
    ACTIONS(878), 1,
      anon_sym_quoteGoal,
    ACTIONS(886), 1,
      anon_sym_let,
    ACTIONS(888), 1,
      anon_sym_do,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4182), 1,
      anon_sym_BSLASH,
    ACTIONS(4184), 1,
      anon_sym_u03bb,
    ACTIONS(4186), 1,
      anon_sym_tactic,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    STATE(4113), 1,
      aux_sym__atoms,
    STATE(6009), 1,
      sym_atom,
    STATE(8088), 1,
      sym__LAMBDA,
    STATE(8436), 1,
      sym__FORALL,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(852), 2,
      anon_sym_forall,
      anon_sym_u2200,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    STATE(8953), 7,
      sym__expr2_without_let,
      sym__expr2,
      sym_forall,
      sym_let,
      sym_lambda,
      sym_lambda_extended_or_absurd,
      sym_do,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [422362] = 19,
    ACTIONS(3372), 1,
      sym_id,
    ACTIONS(3382), 1,
      anon_sym_record,
    ACTIONS(3392), 1,
      aux_sym__qid_token1,
    ACTIONS(3400), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3402), 1,
      anon_sym_u2987,
    ACTIONS(3408), 1,
      anon_sym_Set,
    ACTIONS(4458), 1,
      anon_sym_LPAREN,
    ACTIONS(4460), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4462), 1,
      anon_sym_u2983,
    ACTIONS(4464), 1,
      anon_sym_LBRACE,
    ACTIONS(4466), 1,
      anon_sym_DOT,
    STATE(4241), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3406), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4238), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4236), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 16,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [422453] = 19,
    ACTIONS(2908), 1,
      sym_id,
    ACTIONS(2914), 1,
      anon_sym_record,
    ACTIONS(2916), 1,
      anon_sym_LPAREN,
    ACTIONS(2918), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2920), 1,
      anon_sym_u2983,
    ACTIONS(2922), 1,
      anon_sym_LBRACE,
    ACTIONS(2924), 1,
      aux_sym__qid_token1,
    ACTIONS(2926), 1,
      anon_sym_DOT,
    ACTIONS(2928), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2930), 1,
      anon_sym_u2987,
    ACTIONS(2934), 1,
      anon_sym_Set,
    STATE(4174), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2932), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4166), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4171), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2912), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 16,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [422544] = 19,
    ACTIONS(2058), 1,
      sym_id,
    ACTIONS(2068), 1,
      anon_sym_record,
    ACTIONS(2078), 1,
      aux_sym__qid_token1,
    ACTIONS(2086), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2088), 1,
      anon_sym_u2987,
    ACTIONS(2094), 1,
      anon_sym_Set,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4678), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4680), 1,
      anon_sym_u2983,
    ACTIONS(4682), 1,
      anon_sym_LBRACE,
    ACTIONS(4684), 1,
      anon_sym_DOT,
    STATE(4366), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2092), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4363), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4360), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 15,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [422634] = 19,
    ACTIONS(105), 1,
      sym_id,
    ACTIONS(125), 1,
      anon_sym_LPAREN,
    ACTIONS(127), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(129), 1,
      anon_sym_u2983,
    ACTIONS(135), 1,
      anon_sym_LBRACE,
    ACTIONS(143), 1,
      aux_sym__qid_token1,
    ACTIONS(145), 1,
      anon_sym_DOT,
    ACTIONS(151), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(153), 1,
      anon_sym_u2987,
    ACTIONS(159), 1,
      anon_sym_Set,
    ACTIONS(4248), 1,
      anon_sym_record,
    STATE(4340), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4306), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4312), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(113), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 15,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [422724] = 19,
    ACTIONS(3656), 1,
      sym_id,
    ACTIONS(3662), 1,
      anon_sym_record,
    ACTIONS(3664), 1,
      anon_sym_LPAREN,
    ACTIONS(3666), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3668), 1,
      anon_sym_u2983,
    ACTIONS(3670), 1,
      anon_sym_LBRACE,
    ACTIONS(3672), 1,
      aux_sym__qid_token1,
    ACTIONS(3674), 1,
      anon_sym_DOT,
    ACTIONS(3676), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3678), 1,
      anon_sym_u2987,
    ACTIONS(3682), 1,
      anon_sym_Set,
    STATE(4323), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3680), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4320), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4317), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3660), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 15,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [422814] = 19,
    ACTIONS(4976), 1,
      sym_id,
    ACTIONS(4980), 1,
      anon_sym_record,
    ACTIONS(4982), 1,
      anon_sym_LPAREN,
    ACTIONS(4984), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4986), 1,
      anon_sym_u2983,
    ACTIONS(4988), 1,
      anon_sym_LBRACE,
    ACTIONS(4990), 1,
      aux_sym__qid_token1,
    ACTIONS(4992), 1,
      anon_sym_DOT,
    ACTIONS(4994), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4996), 1,
      anon_sym_u2987,
    ACTIONS(5000), 1,
      anon_sym_Set,
    STATE(4268), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(4998), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4265), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4263), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4978), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 15,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [422904] = 19,
    ACTIONS(3486), 1,
      sym_id,
    ACTIONS(3496), 1,
      anon_sym_record,
    ACTIONS(3506), 1,
      aux_sym__qid_token1,
    ACTIONS(3514), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3516), 1,
      anon_sym_u2987,
    ACTIONS(3522), 1,
      anon_sym_Set,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4518), 1,
      anon_sym_u2983,
    ACTIONS(4520), 1,
      anon_sym_LBRACE,
    ACTIONS(4522), 1,
      anon_sym_DOT,
    STATE(4280), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3520), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4330), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4416), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3494), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 15,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [422994] = 19,
    ACTIONS(3264), 1,
      sym_id,
    ACTIONS(3274), 1,
      anon_sym_record,
    ACTIONS(3284), 1,
      aux_sym__qid_token1,
    ACTIONS(3292), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3294), 1,
      anon_sym_u2987,
    ACTIONS(3300), 1,
      anon_sym_Set,
    ACTIONS(4414), 1,
      anon_sym_LPAREN,
    ACTIONS(4416), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4418), 1,
      anon_sym_u2983,
    ACTIONS(4420), 1,
      anon_sym_LBRACE,
    ACTIONS(4422), 1,
      anon_sym_DOT,
    STATE(4338), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3298), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4335), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4334), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3272), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 15,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [423084] = 19,
    ACTIONS(3844), 1,
      sym_id,
    ACTIONS(3850), 1,
      anon_sym_record,
    ACTIONS(3852), 1,
      anon_sym_LPAREN,
    ACTIONS(3854), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3856), 1,
      anon_sym_u2983,
    ACTIONS(3858), 1,
      anon_sym_LBRACE,
    ACTIONS(3860), 1,
      aux_sym__qid_token1,
    ACTIONS(3862), 1,
      anon_sym_DOT,
    ACTIONS(3864), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3866), 1,
      anon_sym_u2987,
    ACTIONS(3870), 1,
      anon_sym_Set,
    STATE(4299), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3868), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4296), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4295), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3848), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 15,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [423174] = 19,
    ACTIONS(6196), 1,
      sym_id,
    ACTIONS(6200), 1,
      anon_sym_record,
    ACTIONS(6202), 1,
      anon_sym_LPAREN,
    ACTIONS(6204), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6206), 1,
      anon_sym_u2983,
    ACTIONS(6208), 1,
      anon_sym_LBRACE,
    ACTIONS(6210), 1,
      aux_sym__qid_token1,
    ACTIONS(6212), 1,
      anon_sym_DOT,
    ACTIONS(6214), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6216), 1,
      anon_sym_u2987,
    ACTIONS(6220), 1,
      anon_sym_Set,
    STATE(4388), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6218), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4379), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4376), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6198), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 15,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [423264] = 19,
    ACTIONS(3334), 1,
      sym_id,
    ACTIONS(3344), 1,
      anon_sym_record,
    ACTIONS(3354), 1,
      aux_sym__qid_token1,
    ACTIONS(3362), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3364), 1,
      anon_sym_u2987,
    ACTIONS(3370), 1,
      anon_sym_Set,
    ACTIONS(4430), 1,
      anon_sym_LPAREN,
    ACTIONS(4432), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4434), 1,
      anon_sym_u2983,
    ACTIONS(4436), 1,
      anon_sym_LBRACE,
    ACTIONS(4438), 1,
      anon_sym_DOT,
    STATE(4358), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3368), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4355), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4354), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3342), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 15,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [423354] = 19,
    ACTIONS(9), 1,
      sym_id,
    ACTIONS(51), 1,
      anon_sym_LPAREN,
    ACTIONS(53), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(55), 1,
      anon_sym_u2983,
    ACTIONS(61), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      aux_sym__qid_token1,
    ACTIONS(71), 1,
      anon_sym_DOT,
    ACTIONS(79), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(81), 1,
      anon_sym_u2987,
    ACTIONS(89), 1,
      anon_sym_Set,
    ACTIONS(4278), 1,
      anon_sym_record,
    STATE(4618), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(87), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4564), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4530), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(17), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 14,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [423443] = 19,
    ACTIONS(6144), 1,
      sym_id,
    ACTIONS(6148), 1,
      anon_sym_record,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_u2983,
    ACTIONS(6156), 1,
      anon_sym_LBRACE,
    ACTIONS(6158), 1,
      aux_sym__qid_token1,
    ACTIONS(6160), 1,
      anon_sym_DOT,
    ACTIONS(6162), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6164), 1,
      anon_sym_u2987,
    ACTIONS(6168), 1,
      anon_sym_Set,
    STATE(4465), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6166), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4432), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4622), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6146), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 14,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [423532] = 19,
    ACTIONS(3194), 1,
      sym_id,
    ACTIONS(3204), 1,
      anon_sym_record,
    ACTIONS(3214), 1,
      aux_sym__qid_token1,
    ACTIONS(3222), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3224), 1,
      anon_sym_u2987,
    ACTIONS(3230), 1,
      anon_sym_Set,
    ACTIONS(4398), 1,
      anon_sym_LPAREN,
    ACTIONS(4400), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4402), 1,
      anon_sym_u2983,
    ACTIONS(4404), 1,
      anon_sym_LBRACE,
    ACTIONS(4406), 1,
      anon_sym_DOT,
    STATE(4443), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3228), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4440), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4435), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3202), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 14,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [423621] = 19,
    ACTIONS(1904), 1,
      sym_id,
    ACTIONS(1914), 1,
      anon_sym_record,
    ACTIONS(1924), 1,
      aux_sym__qid_token1,
    ACTIONS(1932), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1934), 1,
      anon_sym_u2987,
    ACTIONS(1940), 1,
      anon_sym_Set,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4328), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4330), 1,
      anon_sym_u2983,
    ACTIONS(4332), 1,
      anon_sym_LBRACE,
    ACTIONS(4334), 1,
      anon_sym_DOT,
    STATE(4477), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1938), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4621), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4454), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1912), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 14,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [423710] = 19,
    ACTIONS(2020), 1,
      sym_id,
    ACTIONS(2030), 1,
      anon_sym_record,
    ACTIONS(2040), 1,
      aux_sym__qid_token1,
    ACTIONS(2048), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2050), 1,
      anon_sym_u2987,
    ACTIONS(2056), 1,
      anon_sym_Set,
    ACTIONS(4652), 1,
      anon_sym_LPAREN,
    ACTIONS(4654), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4656), 1,
      anon_sym_u2983,
    ACTIONS(4658), 1,
      anon_sym_LBRACE,
    ACTIONS(4660), 1,
      anon_sym_DOT,
    STATE(4501), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2054), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4497), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4495), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2028), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 14,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [423799] = 19,
    ACTIONS(5768), 1,
      sym_id,
    ACTIONS(5772), 1,
      anon_sym_record,
    ACTIONS(5774), 1,
      anon_sym_LPAREN,
    ACTIONS(5776), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5778), 1,
      anon_sym_u2983,
    ACTIONS(5780), 1,
      anon_sym_LBRACE,
    ACTIONS(5782), 1,
      aux_sym__qid_token1,
    ACTIONS(5784), 1,
      anon_sym_DOT,
    ACTIONS(5786), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5788), 1,
      anon_sym_u2987,
    ACTIONS(5792), 1,
      anon_sym_Set,
    STATE(4532), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5790), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4528), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4524), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5770), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 14,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [423888] = 19,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2878), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2884), 1,
      anon_sym_Set,
    ACTIONS(4704), 1,
      anon_sym_LPAREN,
    ACTIONS(4706), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_u2983,
    ACTIONS(4710), 1,
      anon_sym_LBRACE,
    ACTIONS(4712), 1,
      anon_sym_DOT,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(4605), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2882), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2862), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 15,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [423977] = 19,
    ACTIONS(5954), 1,
      sym_id,
    ACTIONS(5958), 1,
      anon_sym_record,
    ACTIONS(5960), 1,
      anon_sym_LPAREN,
    ACTIONS(5962), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5964), 1,
      anon_sym_u2983,
    ACTIONS(5966), 1,
      anon_sym_LBRACE,
    ACTIONS(5968), 1,
      aux_sym__qid_token1,
    ACTIONS(5970), 1,
      anon_sym_DOT,
    ACTIONS(5972), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5974), 1,
      anon_sym_u2987,
    ACTIONS(5978), 1,
      anon_sym_Set,
    STATE(4588), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5976), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4561), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4526), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5956), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 14,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [424066] = 19,
    ACTIONS(3590), 1,
      sym_id,
    ACTIONS(3596), 1,
      anon_sym_record,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    ACTIONS(3600), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3602), 1,
      anon_sym_u2983,
    ACTIONS(3604), 1,
      anon_sym_LBRACE,
    ACTIONS(3606), 1,
      aux_sym__qid_token1,
    ACTIONS(3608), 1,
      anon_sym_DOT,
    ACTIONS(3610), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3612), 1,
      anon_sym_u2987,
    ACTIONS(3616), 1,
      anon_sym_Set,
    STATE(4552), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3614), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4519), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4459), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3594), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 14,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [424155] = 19,
    ACTIONS(3684), 1,
      sym_id,
    ACTIONS(3694), 1,
      anon_sym_record,
    ACTIONS(3704), 1,
      aux_sym__qid_token1,
    ACTIONS(3712), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3714), 1,
      anon_sym_u2987,
    ACTIONS(3720), 1,
      anon_sym_Set,
    ACTIONS(4590), 1,
      anon_sym_LPAREN,
    ACTIONS(4592), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4594), 1,
      anon_sym_u2983,
    ACTIONS(4596), 1,
      anon_sym_LBRACE,
    ACTIONS(4598), 1,
      anon_sym_DOT,
    STATE(4511), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3718), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4471), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4437), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 14,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [424244] = 19,
    ACTIONS(3816), 1,
      sym_id,
    ACTIONS(3822), 1,
      anon_sym_record,
    ACTIONS(3824), 1,
      anon_sym_LPAREN,
    ACTIONS(3826), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3828), 1,
      anon_sym_u2983,
    ACTIONS(3830), 1,
      anon_sym_LBRACE,
    ACTIONS(3832), 1,
      aux_sym__qid_token1,
    ACTIONS(3834), 1,
      anon_sym_DOT,
    ACTIONS(3836), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3838), 1,
      anon_sym_u2987,
    ACTIONS(3842), 1,
      anon_sym_Set,
    STATE(4467), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3840), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4457), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4439), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3820), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 14,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [424333] = 19,
    ACTIONS(3524), 1,
      sym_id,
    ACTIONS(3530), 1,
      anon_sym_record,
    ACTIONS(3532), 1,
      anon_sym_LPAREN,
    ACTIONS(3534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3536), 1,
      anon_sym_u2983,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    ACTIONS(3540), 1,
      aux_sym__qid_token1,
    ACTIONS(3542), 1,
      anon_sym_DOT,
    ACTIONS(3544), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3546), 1,
      anon_sym_u2987,
    ACTIONS(3550), 1,
      anon_sym_Set,
    STATE(4853), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3548), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4820), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4761), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [424421] = 19,
    ACTIONS(3448), 1,
      sym_id,
    ACTIONS(3458), 1,
      anon_sym_record,
    ACTIONS(3468), 1,
      aux_sym__qid_token1,
    ACTIONS(3476), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3478), 1,
      anon_sym_u2987,
    ACTIONS(3484), 1,
      anon_sym_Set,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4502), 1,
      anon_sym_u2983,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(4506), 1,
      anon_sym_DOT,
    STATE(4907), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3482), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4904), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3456), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [424509] = 19,
    ACTIONS(5924), 1,
      sym_id,
    ACTIONS(5928), 1,
      anon_sym_record,
    ACTIONS(5930), 1,
      anon_sym_LPAREN,
    ACTIONS(5932), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5934), 1,
      anon_sym_u2983,
    ACTIONS(5936), 1,
      anon_sym_LBRACE,
    ACTIONS(5938), 1,
      aux_sym__qid_token1,
    ACTIONS(5940), 1,
      anon_sym_DOT,
    ACTIONS(5942), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5944), 1,
      anon_sym_u2987,
    ACTIONS(5948), 1,
      anon_sym_Set,
    STATE(4682), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5946), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4676), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4673), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5926), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [424597] = 19,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(882), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(4540), 1,
      anon_sym_LPAREN,
    ACTIONS(4542), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4544), 1,
      anon_sym_u2983,
    ACTIONS(4546), 1,
      anon_sym_LBRACE,
    ACTIONS(4548), 1,
      anon_sym_DOT,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(4863), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(890), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(858), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 14,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [424685] = 19,
    ACTIONS(2096), 1,
      sym_id,
    ACTIONS(2106), 1,
      anon_sym_record,
    ACTIONS(2116), 1,
      aux_sym__qid_token1,
    ACTIONS(2124), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2126), 1,
      anon_sym_u2987,
    ACTIONS(2132), 1,
      anon_sym_Set,
    ACTIONS(4766), 1,
      anon_sym_LPAREN,
    ACTIONS(4768), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4770), 1,
      anon_sym_u2983,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4774), 1,
      anon_sym_DOT,
    STATE(4826), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2130), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4823), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4822), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2104), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [424773] = 19,
    ACTIONS(5742), 1,
      sym_id,
    ACTIONS(5746), 1,
      anon_sym_record,
    ACTIONS(5748), 1,
      anon_sym_LPAREN,
    ACTIONS(5750), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5752), 1,
      anon_sym_u2983,
    ACTIONS(5754), 1,
      anon_sym_LBRACE,
    ACTIONS(5756), 1,
      aux_sym__qid_token1,
    ACTIONS(5758), 1,
      anon_sym_DOT,
    ACTIONS(5760), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5762), 1,
      anon_sym_u2987,
    ACTIONS(5766), 1,
      anon_sym_Set,
    STATE(4706), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5764), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4758), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4732), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5744), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [424861] = 19,
    ACTIONS(3034), 1,
      sym_id,
    ACTIONS(3038), 1,
      anon_sym_record,
    ACTIONS(3048), 1,
      aux_sym__qid_token1,
    ACTIONS(3052), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3054), 1,
      anon_sym_u2987,
    ACTIONS(3058), 1,
      anon_sym_Set,
    ACTIONS(4306), 1,
      anon_sym_LPAREN,
    ACTIONS(4308), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4310), 1,
      anon_sym_u2983,
    ACTIONS(4312), 1,
      anon_sym_LBRACE,
    ACTIONS(4314), 1,
      anon_sym_DOT,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(4721), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3056), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4713), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4710), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3036), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 14,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [424949] = 19,
    ACTIONS(3932), 1,
      sym_id,
    ACTIONS(3938), 1,
      anon_sym_record,
    ACTIONS(3940), 1,
      anon_sym_LPAREN,
    ACTIONS(3942), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3944), 1,
      anon_sym_u2983,
    ACTIONS(3946), 1,
      anon_sym_LBRACE,
    ACTIONS(3948), 1,
      aux_sym__qid_token1,
    ACTIONS(3950), 1,
      anon_sym_DOT,
    ACTIONS(3952), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3954), 1,
      anon_sym_u2987,
    ACTIONS(3958), 1,
      anon_sym_Set,
    STATE(4890), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3956), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4887), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4886), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3936), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [425037] = 19,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2236), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2244), 1,
      anon_sym_Set,
    ACTIONS(4754), 1,
      anon_sym_LPAREN,
    ACTIONS(4756), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4758), 1,
      anon_sym_u2983,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4762), 1,
      anon_sym_DOT,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(4772), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2242), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2216), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 14,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [425125] = 19,
    ACTIONS(1866), 1,
      sym_id,
    ACTIONS(1876), 1,
      anon_sym_record,
    ACTIONS(1886), 1,
      aux_sym__qid_token1,
    ACTIONS(1894), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1896), 1,
      anon_sym_u2987,
    ACTIONS(1902), 1,
      anon_sym_Set,
    ACTIONS(4792), 1,
      anon_sym_LPAREN,
    ACTIONS(4794), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4796), 1,
      anon_sym_u2983,
    ACTIONS(4798), 1,
      anon_sym_LBRACE,
    ACTIONS(4800), 1,
      anon_sym_DOT,
    STATE(4884), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1900), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4844), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4861), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1874), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [425213] = 19,
    ACTIONS(5392), 1,
      sym_id,
    ACTIONS(5396), 1,
      anon_sym_record,
    ACTIONS(5398), 1,
      anon_sym_LPAREN,
    ACTIONS(5400), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5402), 1,
      anon_sym_u2983,
    ACTIONS(5404), 1,
      anon_sym_LBRACE,
    ACTIONS(5406), 1,
      aux_sym__qid_token1,
    ACTIONS(5408), 1,
      anon_sym_DOT,
    ACTIONS(5410), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5412), 1,
      anon_sym_u2987,
    ACTIONS(5416), 1,
      anon_sym_Set,
    STATE(4702), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5414), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4650), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4691), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5394), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [425301] = 19,
    ACTIONS(3158), 1,
      sym_id,
    ACTIONS(3162), 1,
      anon_sym_record,
    ACTIONS(3172), 1,
      aux_sym__qid_token1,
    ACTIONS(3176), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3178), 1,
      anon_sym_u2987,
    ACTIONS(3182), 1,
      anon_sym_Set,
    ACTIONS(4374), 1,
      anon_sym_LPAREN,
    ACTIONS(4376), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4378), 1,
      anon_sym_u2983,
    ACTIONS(4380), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOT,
    STATE(4768), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3180), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4757), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3160), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [425389] = 19,
    ACTIONS(2976), 1,
      sym_id,
    ACTIONS(2980), 1,
      anon_sym_record,
    ACTIONS(2990), 1,
      aux_sym__qid_token1,
    ACTIONS(2994), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2996), 1,
      anon_sym_u2987,
    ACTIONS(3000), 1,
      anon_sym_Set,
    ACTIONS(4826), 1,
      anon_sym_LPAREN,
    ACTIONS(4828), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4830), 1,
      anon_sym_u2983,
    ACTIONS(4832), 1,
      anon_sym_LBRACE,
    ACTIONS(4834), 1,
      anon_sym_DOT,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(4873), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2998), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4870), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4868), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2978), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 14,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [425477] = 19,
    ACTIONS(6116), 1,
      sym_id,
    ACTIONS(6120), 1,
      anon_sym_record,
    ACTIONS(6122), 1,
      anon_sym_LPAREN,
    ACTIONS(6124), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6126), 1,
      anon_sym_u2983,
    ACTIONS(6128), 1,
      anon_sym_LBRACE,
    ACTIONS(6130), 1,
      aux_sym__qid_token1,
    ACTIONS(6132), 1,
      anon_sym_DOT,
    ACTIONS(6134), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6136), 1,
      anon_sym_u2987,
    ACTIONS(6140), 1,
      anon_sym_Set,
    STATE(4869), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6138), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4756), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4743), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6118), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [425565] = 19,
    ACTIONS(894), 1,
      sym_id,
    ACTIONS(904), 1,
      anon_sym_record,
    ACTIONS(916), 1,
      aux_sym__qid_token1,
    ACTIONS(924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(926), 1,
      anon_sym_u2987,
    ACTIONS(932), 1,
      anon_sym_Set,
    ACTIONS(4846), 1,
      anon_sym_LPAREN,
    ACTIONS(4848), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4850), 1,
      anon_sym_u2983,
    ACTIONS(4852), 1,
      anon_sym_LBRACE,
    ACTIONS(4854), 1,
      anon_sym_DOT,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5096), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(930), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5081), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5079), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(902), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [425652] = 19,
    ACTIONS(2690), 1,
      sym_id,
    ACTIONS(2694), 1,
      anon_sym_record,
    ACTIONS(2704), 1,
      aux_sym__qid_token1,
    ACTIONS(2708), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2710), 1,
      anon_sym_u2987,
    ACTIONS(2714), 1,
      anon_sym_Set,
    ACTIONS(4908), 1,
      anon_sym_LPAREN,
    ACTIONS(4910), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4912), 1,
      anon_sym_u2983,
    ACTIONS(4914), 1,
      anon_sym_LBRACE,
    ACTIONS(4916), 1,
      anon_sym_DOT,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5275), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2712), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5272), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5268), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
  [425739] = 19,
    ACTIONS(950), 1,
      sym_id,
    ACTIONS(960), 1,
      anon_sym_record,
    ACTIONS(970), 1,
      aux_sym__qid_token1,
    ACTIONS(978), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(980), 1,
      anon_sym_u2987,
    ACTIONS(986), 1,
      anon_sym_Set,
    ACTIONS(4780), 1,
      anon_sym_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4784), 1,
      anon_sym_u2983,
    ACTIONS(4786), 1,
      anon_sym_LBRACE,
    ACTIONS(4788), 1,
      anon_sym_DOT,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5036), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(984), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5006), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5025), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(958), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2984,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [425826] = 19,
    ACTIONS(5500), 1,
      sym_id,
    ACTIONS(5504), 1,
      anon_sym_record,
    ACTIONS(5506), 1,
      anon_sym_LPAREN,
    ACTIONS(5508), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5510), 1,
      anon_sym_u2983,
    ACTIONS(5512), 1,
      anon_sym_LBRACE,
    ACTIONS(5514), 1,
      aux_sym__qid_token1,
    ACTIONS(5516), 1,
      anon_sym_DOT,
    ACTIONS(5518), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5520), 1,
      anon_sym_u2987,
    ACTIONS(5524), 1,
      anon_sym_Set,
    STATE(5043), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5522), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(5039), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5028), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5502), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [425913] = 19,
    ACTIONS(2598), 1,
      sym_id,
    ACTIONS(2602), 1,
      anon_sym_record,
    ACTIONS(2612), 1,
      aux_sym__qid_token1,
    ACTIONS(2616), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2618), 1,
      anon_sym_u2987,
    ACTIONS(2622), 1,
      anon_sym_Set,
    ACTIONS(4808), 1,
      anon_sym_LPAREN,
    ACTIONS(4810), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4812), 1,
      anon_sym_u2983,
    ACTIONS(4814), 1,
      anon_sym_LBRACE,
    ACTIONS(4816), 1,
      anon_sym_DOT,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5257), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2620), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5254), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5251), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2600), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_PIPE_RPAREN,
      anon_sym_let,
      anon_sym_do,
  [426000] = 19,
    ACTIONS(3118), 1,
      sym_id,
    ACTIONS(3130), 1,
      anon_sym_record,
    ACTIONS(3132), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3136), 1,
      anon_sym_u2983,
    ACTIONS(3138), 1,
      anon_sym_LBRACE,
    ACTIONS(3140), 1,
      aux_sym__qid_token1,
    ACTIONS(3142), 1,
      anon_sym_DOT,
    ACTIONS(3148), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3150), 1,
      anon_sym_u2987,
    ACTIONS(3156), 1,
      anon_sym_Set,
    STATE(5136), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3154), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(5014), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4982), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3128), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [426087] = 19,
    ACTIONS(692), 1,
      anon_sym_record,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(698), 1,
      anon_sym_u2983,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      anon_sym_DOT,
    ACTIONS(718), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(720), 1,
      anon_sym_u2987,
    ACTIONS(728), 1,
      anon_sym_Set,
    ACTIONS(3184), 1,
      sym_id,
    ACTIONS(3190), 1,
      aux_sym__qid_token1,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(4935), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(726), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5353), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4924), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(690), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [426174] = 19,
    ACTIONS(5846), 1,
      sym_id,
    ACTIONS(5850), 1,
      anon_sym_record,
    ACTIONS(5852), 1,
      anon_sym_LPAREN,
    ACTIONS(5854), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5856), 1,
      anon_sym_u2983,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(5860), 1,
      aux_sym__qid_token1,
    ACTIONS(5862), 1,
      anon_sym_DOT,
    ACTIONS(5864), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5866), 1,
      anon_sym_u2987,
    ACTIONS(5870), 1,
      anon_sym_Set,
    STATE(4962), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5868), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4954), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5345), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5848), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [426261] = 19,
    ACTIONS(5552), 1,
      sym_id,
    ACTIONS(5556), 1,
      anon_sym_record,
    ACTIONS(5558), 1,
      anon_sym_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5562), 1,
      anon_sym_u2983,
    ACTIONS(5564), 1,
      anon_sym_LBRACE,
    ACTIONS(5566), 1,
      aux_sym__qid_token1,
    ACTIONS(5568), 1,
      anon_sym_DOT,
    ACTIONS(5570), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5572), 1,
      anon_sym_u2987,
    ACTIONS(5576), 1,
      anon_sym_Set,
    STATE(5184), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5574), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(5181), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5179), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5554), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [426348] = 19,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(2822), 1,
      sym_id,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2838), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2844), 1,
      anon_sym_DOT,
    ACTIONS(2850), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2858), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(4799), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2856), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2832), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [426435] = 19,
    ACTIONS(1942), 1,
      sym_id,
    ACTIONS(1952), 1,
      anon_sym_record,
    ACTIONS(1962), 1,
      aux_sym__qid_token1,
    ACTIONS(1970), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1972), 1,
      anon_sym_u2987,
    ACTIONS(1978), 1,
      anon_sym_Set,
    ACTIONS(4616), 1,
      anon_sym_LPAREN,
    ACTIONS(4618), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4620), 1,
      anon_sym_u2983,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4624), 1,
      anon_sym_DOT,
    STATE(5118), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1976), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(5114), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5111), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1950), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [426522] = 19,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2838), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2850), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2886), 1,
      sym_id,
    ACTIONS(2896), 1,
      aux_sym__qid_token1,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2906), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(4799), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2856), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2832), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [426609] = 19,
    ACTIONS(5580), 1,
      sym_id,
    ACTIONS(5584), 1,
      anon_sym_record,
    ACTIONS(5586), 1,
      anon_sym_LPAREN,
    ACTIONS(5588), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5590), 1,
      anon_sym_u2983,
    ACTIONS(5592), 1,
      anon_sym_LBRACE,
    ACTIONS(5594), 1,
      aux_sym__qid_token1,
    ACTIONS(5596), 1,
      anon_sym_DOT,
    ACTIONS(5598), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5600), 1,
      anon_sym_u2987,
    ACTIONS(5604), 1,
      anon_sym_Set,
    STATE(5320), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5602), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(5316), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5313), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5582), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [426696] = 19,
    ACTIONS(3092), 1,
      sym_id,
    ACTIONS(3096), 1,
      anon_sym_record,
    ACTIONS(3106), 1,
      aux_sym__qid_token1,
    ACTIONS(3110), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3112), 1,
      anon_sym_u2987,
    ACTIONS(3116), 1,
      anon_sym_Set,
    ACTIONS(4344), 1,
      anon_sym_LPAREN,
    ACTIONS(4346), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4348), 1,
      anon_sym_u2983,
    ACTIONS(4350), 1,
      anon_sym_LBRACE,
    ACTIONS(4352), 1,
      anon_sym_DOT,
    STATE(4973), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3114), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(5351), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5163), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3094), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [426783] = 19,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(3002), 1,
      sym_id,
    ACTIONS(3012), 1,
      anon_sym_record,
    ACTIONS(3014), 1,
      anon_sym_LPAREN,
    ACTIONS(3016), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3018), 1,
      anon_sym_u2983,
    ACTIONS(3020), 1,
      anon_sym_LBRACE,
    ACTIONS(3022), 1,
      anon_sym_DOT,
    ACTIONS(3026), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3028), 1,
      anon_sym_u2987,
    ACTIONS(3032), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5155), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3030), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5150), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5143), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3010), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [426870] = 19,
    ACTIONS(2378), 1,
      sym_id,
    ACTIONS(2382), 1,
      anon_sym_record,
    ACTIONS(2392), 1,
      aux_sym__qid_token1,
    ACTIONS(2396), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2398), 1,
      anon_sym_u2987,
    ACTIONS(2402), 1,
      anon_sym_Set,
    ACTIONS(4858), 1,
      anon_sym_LPAREN,
    ACTIONS(4860), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4862), 1,
      anon_sym_u2983,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(4866), 1,
      anon_sym_DOT,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5221), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2400), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5218), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2380), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [426957] = 19,
    ACTIONS(3788), 1,
      sym_id,
    ACTIONS(3794), 1,
      anon_sym_record,
    ACTIONS(3796), 1,
      anon_sym_LPAREN,
    ACTIONS(3798), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3800), 1,
      anon_sym_u2983,
    ACTIONS(3802), 1,
      anon_sym_LBRACE,
    ACTIONS(3804), 1,
      aux_sym__qid_token1,
    ACTIONS(3806), 1,
      anon_sym_DOT,
    ACTIONS(3808), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3810), 1,
      anon_sym_u2987,
    ACTIONS(3814), 1,
      anon_sym_Set,
    STATE(4931), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3812), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(4928), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4922), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [427044] = 19,
    ACTIONS(5170), 1,
      sym_id,
    ACTIONS(5174), 1,
      anon_sym_record,
    ACTIONS(5176), 1,
      anon_sym_LPAREN,
    ACTIONS(5178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5180), 1,
      anon_sym_u2983,
    ACTIONS(5182), 1,
      anon_sym_LBRACE,
    ACTIONS(5184), 1,
      aux_sym__qid_token1,
    ACTIONS(5186), 1,
      anon_sym_DOT,
    ACTIONS(5188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5190), 1,
      anon_sym_u2987,
    ACTIONS(5194), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5298), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5192), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5294), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5265), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5172), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [427131] = 19,
    ACTIONS(2494), 1,
      sym_id,
    ACTIONS(2498), 1,
      anon_sym_record,
    ACTIONS(2508), 1,
      aux_sym__qid_token1,
    ACTIONS(2512), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2514), 1,
      anon_sym_u2987,
    ACTIONS(2518), 1,
      anon_sym_Set,
    ACTIONS(4888), 1,
      anon_sym_LPAREN,
    ACTIONS(4890), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4892), 1,
      anon_sym_u2983,
    ACTIONS(4894), 1,
      anon_sym_LBRACE,
    ACTIONS(4896), 1,
      anon_sym_DOT,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5236), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2516), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5233), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5229), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2496), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [427218] = 19,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1196), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(4836), 1,
      anon_sym_LPAREN,
    ACTIONS(4838), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4840), 1,
      anon_sym_u2983,
    ACTIONS(4842), 1,
      anon_sym_LBRACE,
    ACTIONS(4844), 1,
      anon_sym_DOT,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5022), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1174), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [427305] = 19,
    ACTIONS(734), 1,
      sym_id,
    ACTIONS(744), 1,
      anon_sym_record,
    ACTIONS(754), 1,
      aux_sym__qid_token1,
    ACTIONS(766), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(768), 1,
      anon_sym_u2987,
    ACTIONS(774), 1,
      anon_sym_Set,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4230), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4232), 1,
      anon_sym_u2983,
    ACTIONS(4234), 1,
      anon_sym_LBRACE,
    ACTIONS(4236), 1,
      anon_sym_DOT,
    STATE(5307), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(772), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(5228), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5289), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(742), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [427392] = 19,
    ACTIONS(3410), 1,
      sym_id,
    ACTIONS(3420), 1,
      anon_sym_record,
    ACTIONS(3430), 1,
      aux_sym__qid_token1,
    ACTIONS(3438), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3440), 1,
      anon_sym_u2987,
    ACTIONS(3446), 1,
      anon_sym_Set,
    ACTIONS(4472), 1,
      anon_sym_LPAREN,
    ACTIONS(4474), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4476), 1,
      anon_sym_u2983,
    ACTIONS(4478), 1,
      anon_sym_LBRACE,
    ACTIONS(4480), 1,
      anon_sym_DOT,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5193), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3444), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5177), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5173), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3418), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [427479] = 19,
    ACTIONS(1980), 1,
      sym_id,
    ACTIONS(1992), 1,
      anon_sym_record,
    ACTIONS(1994), 1,
      anon_sym_LPAREN,
    ACTIONS(1996), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1998), 1,
      anon_sym_u2983,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(2002), 1,
      aux_sym__qid_token1,
    ACTIONS(2004), 1,
      anon_sym_DOT,
    ACTIONS(2010), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2012), 1,
      anon_sym_u2987,
    ACTIONS(2018), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5066), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2016), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5060), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5058), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1990), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [427566] = 19,
    ACTIONS(2936), 1,
      sym_id,
    ACTIONS(2948), 1,
      anon_sym_record,
    ACTIONS(2950), 1,
      anon_sym_LPAREN,
    ACTIONS(2952), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2954), 1,
      anon_sym_u2983,
    ACTIONS(2956), 1,
      anon_sym_LBRACE,
    ACTIONS(2958), 1,
      aux_sym__qid_token1,
    ACTIONS(2960), 1,
      anon_sym_DOT,
    ACTIONS(2966), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2968), 1,
      anon_sym_u2987,
    ACTIONS(2974), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5208), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2972), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5205), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5202), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2946), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 13,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [427653] = 19,
    ACTIONS(5282), 1,
      sym_id,
    ACTIONS(5286), 1,
      anon_sym_record,
    ACTIONS(5288), 1,
      anon_sym_LPAREN,
    ACTIONS(5290), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5292), 1,
      anon_sym_u2983,
    ACTIONS(5294), 1,
      anon_sym_LBRACE,
    ACTIONS(5296), 1,
      aux_sym__qid_token1,
    ACTIONS(5298), 1,
      anon_sym_DOT,
    ACTIONS(5300), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5302), 1,
      anon_sym_u2987,
    ACTIONS(5306), 1,
      anon_sym_Set,
    STATE(5612), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5304), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(5609), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5427), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5284), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 11,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [427739] = 19,
    ACTIONS(3232), 1,
      sym_id,
    ACTIONS(3240), 1,
      anon_sym_record,
    ACTIONS(3242), 1,
      anon_sym_LPAREN,
    ACTIONS(3244), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3246), 1,
      anon_sym_u2983,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3250), 1,
      aux_sym__qid_token1,
    ACTIONS(3252), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3258), 1,
      anon_sym_u2987,
    ACTIONS(3262), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5400), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3260), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5393), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5591), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3238), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [427825] = 19,
    ACTIONS(5118), 1,
      sym_id,
    ACTIONS(5122), 1,
      anon_sym_record,
    ACTIONS(5124), 1,
      anon_sym_LPAREN,
    ACTIONS(5126), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5128), 1,
      anon_sym_u2983,
    ACTIONS(5130), 1,
      anon_sym_LBRACE,
    ACTIONS(5132), 1,
      aux_sym__qid_token1,
    ACTIONS(5134), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5138), 1,
      anon_sym_u2987,
    ACTIONS(5142), 1,
      anon_sym_Set,
    STATE(5733), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5140), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(5729), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5635), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5120), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 11,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [427911] = 19,
    ACTIONS(5526), 1,
      sym_id,
    ACTIONS(5530), 1,
      anon_sym_record,
    ACTIONS(5532), 1,
      anon_sym_LPAREN,
    ACTIONS(5534), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5536), 1,
      anon_sym_u2983,
    ACTIONS(5538), 1,
      anon_sym_LBRACE,
    ACTIONS(5540), 1,
      aux_sym__qid_token1,
    ACTIONS(5542), 1,
      anon_sym_DOT,
    ACTIONS(5544), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5546), 1,
      anon_sym_u2987,
    ACTIONS(5550), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5643), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5548), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5640), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5638), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5528), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [427997] = 19,
    ACTIONS(2170), 1,
      sym_id,
    ACTIONS(2180), 1,
      anon_sym_record,
    ACTIONS(2190), 1,
      aux_sym__qid_token1,
    ACTIONS(2198), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2200), 1,
      anon_sym_u2987,
    ACTIONS(2206), 1,
      anon_sym_Set,
    ACTIONS(4484), 1,
      anon_sym_LPAREN,
    ACTIONS(4486), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4488), 1,
      anon_sym_u2983,
    ACTIONS(4490), 1,
      anon_sym_LBRACE,
    ACTIONS(4492), 1,
      anon_sym_DOT,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5469), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2204), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5405), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5420), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2178), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [428083] = 19,
    ACTIONS(2340), 1,
      sym_id,
    ACTIONS(2350), 1,
      anon_sym_record,
    ACTIONS(2360), 1,
      aux_sym__qid_token1,
    ACTIONS(2368), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2370), 1,
      anon_sym_u2987,
    ACTIONS(2376), 1,
      anon_sym_Set,
    ACTIONS(4292), 1,
      anon_sym_LPAREN,
    ACTIONS(4294), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4296), 1,
      anon_sym_u2983,
    ACTIONS(4298), 1,
      anon_sym_LBRACE,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    STATE(5448), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2374), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(5425), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5431), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2348), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 11,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [428169] = 19,
    ACTIONS(6038), 1,
      sym_id,
    ACTIONS(6042), 1,
      anon_sym_record,
    ACTIONS(6044), 1,
      anon_sym_LPAREN,
    ACTIONS(6046), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_u2983,
    ACTIONS(6050), 1,
      anon_sym_LBRACE,
    ACTIONS(6052), 1,
      aux_sym__qid_token1,
    ACTIONS(6054), 1,
      anon_sym_DOT,
    ACTIONS(6056), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6058), 1,
      anon_sym_u2987,
    ACTIONS(6062), 1,
      anon_sym_Set,
    STATE(5357), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6060), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(5519), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5694), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6040), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 11,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [428255] = 19,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2290), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2298), 1,
      anon_sym_Set,
    ACTIONS(4442), 1,
      anon_sym_LPAREN,
    ACTIONS(4444), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4446), 1,
      anon_sym_u2983,
    ACTIONS(4448), 1,
      anon_sym_LBRACE,
    ACTIONS(4450), 1,
      anon_sym_DOT,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5446), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2296), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2270), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_PIPE_RPAREN,
      anon_sym_let,
      anon_sym_do,
  [428341] = 19,
    ACTIONS(2558), 1,
      sym_id,
    ACTIONS(2570), 1,
      anon_sym_record,
    ACTIONS(2572), 1,
      anon_sym_LPAREN,
    ACTIONS(2574), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2576), 1,
      anon_sym_u2983,
    ACTIONS(2578), 1,
      anon_sym_LBRACE,
    ACTIONS(2580), 1,
      aux_sym__qid_token1,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2588), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2590), 1,
      anon_sym_u2987,
    ACTIONS(2596), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5365), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2594), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5359), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5727), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2568), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_PIPE_RPAREN,
      anon_sym_let,
      anon_sym_do,
  [428427] = 19,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2458), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2466), 1,
      anon_sym_Set,
    ACTIONS(4604), 1,
      anon_sym_LPAREN,
    ACTIONS(4606), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4608), 1,
      anon_sym_u2983,
    ACTIONS(4610), 1,
      anon_sym_LBRACE,
    ACTIONS(4612), 1,
      anon_sym_DOT,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5720), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2464), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2438), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
  [428513] = 19,
    ACTIONS(5444), 1,
      sym_id,
    ACTIONS(5448), 1,
      anon_sym_record,
    ACTIONS(5450), 1,
      anon_sym_LPAREN,
    ACTIONS(5452), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5454), 1,
      anon_sym_u2983,
    ACTIONS(5456), 1,
      anon_sym_LBRACE,
    ACTIONS(5458), 1,
      aux_sym__qid_token1,
    ACTIONS(5460), 1,
      anon_sym_DOT,
    ACTIONS(5462), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5464), 1,
      anon_sym_u2987,
    ACTIONS(5468), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5673), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5466), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5605), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5574), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5446), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [428599] = 19,
    ACTIONS(5092), 1,
      sym_id,
    ACTIONS(5096), 1,
      anon_sym_record,
    ACTIONS(5098), 1,
      anon_sym_LPAREN,
    ACTIONS(5100), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5102), 1,
      anon_sym_u2983,
    ACTIONS(5104), 1,
      anon_sym_LBRACE,
    ACTIONS(5106), 1,
      aux_sym__qid_token1,
    ACTIONS(5108), 1,
      anon_sym_DOT,
    ACTIONS(5110), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5112), 1,
      anon_sym_u2987,
    ACTIONS(5116), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5551), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5114), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5543), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5535), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5094), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [428685] = 19,
    ACTIONS(3302), 1,
      sym_id,
    ACTIONS(3310), 1,
      anon_sym_record,
    ACTIONS(3312), 1,
      anon_sym_LPAREN,
    ACTIONS(3314), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3316), 1,
      anon_sym_u2983,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(3320), 1,
      aux_sym__qid_token1,
    ACTIONS(3322), 1,
      anon_sym_DOT,
    ACTIONS(3326), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3328), 1,
      anon_sym_u2987,
    ACTIONS(3332), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5598), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3330), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5589), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5523), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3308), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2984,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [428771] = 19,
    ACTIONS(3060), 1,
      sym_id,
    ACTIONS(3068), 1,
      anon_sym_record,
    ACTIONS(3070), 1,
      anon_sym_LPAREN,
    ACTIONS(3072), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3074), 1,
      anon_sym_u2983,
    ACTIONS(3076), 1,
      anon_sym_LBRACE,
    ACTIONS(3078), 1,
      aux_sym__qid_token1,
    ACTIONS(3080), 1,
      anon_sym_DOT,
    ACTIONS(3084), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3086), 1,
      anon_sym_u2987,
    ACTIONS(3090), 1,
      anon_sym_Set,
    STATE(5564), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3088), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(5561), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5558), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 11,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [428857] = 19,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1246), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(4738), 1,
      anon_sym_LPAREN,
    ACTIONS(4740), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4742), 1,
      anon_sym_u2983,
    ACTIONS(4744), 1,
      anon_sym_LBRACE,
    ACTIONS(4746), 1,
      anon_sym_DOT,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5704), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1252), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1226), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_u2984,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [428943] = 19,
    ACTIONS(5256), 1,
      sym_id,
    ACTIONS(5260), 1,
      anon_sym_record,
    ACTIONS(5262), 1,
      anon_sym_LPAREN,
    ACTIONS(5264), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5266), 1,
      anon_sym_u2983,
    ACTIONS(5268), 1,
      anon_sym_LBRACE,
    ACTIONS(5270), 1,
      aux_sym__qid_token1,
    ACTIONS(5272), 1,
      anon_sym_DOT,
    ACTIONS(5274), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5276), 1,
      anon_sym_u2987,
    ACTIONS(5280), 1,
      anon_sym_Set,
    STATE(5503), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5278), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(5500), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5496), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5258), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 11,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [429029] = 19,
    ACTIONS(6064), 1,
      sym_id,
    ACTIONS(6068), 1,
      anon_sym_record,
    ACTIONS(6070), 1,
      anon_sym_LPAREN,
    ACTIONS(6072), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6074), 1,
      anon_sym_u2983,
    ACTIONS(6076), 1,
      anon_sym_LBRACE,
    ACTIONS(6078), 1,
      aux_sym__qid_token1,
    ACTIONS(6080), 1,
      anon_sym_DOT,
    ACTIONS(6082), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6084), 1,
      anon_sym_u2987,
    ACTIONS(6088), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5677), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6086), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5670), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5668), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6066), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [429115] = 19,
    ACTIONS(2624), 1,
      sym_id,
    ACTIONS(2636), 1,
      anon_sym_record,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(2640), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2642), 1,
      anon_sym_u2983,
    ACTIONS(2644), 1,
      anon_sym_LBRACE,
    ACTIONS(2646), 1,
      aux_sym__qid_token1,
    ACTIONS(2648), 1,
      anon_sym_DOT,
    ACTIONS(2654), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2656), 1,
      anon_sym_u2987,
    ACTIONS(2662), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5382), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2660), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5378), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5374), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2634), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
  [429201] = 19,
    ACTIONS(2300), 1,
      sym_id,
    ACTIONS(2312), 1,
      anon_sym_record,
    ACTIONS(2314), 1,
      anon_sym_LPAREN,
    ACTIONS(2316), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2318), 1,
      anon_sym_u2983,
    ACTIONS(2320), 1,
      anon_sym_LBRACE,
    ACTIONS(2322), 1,
      aux_sym__qid_token1,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2330), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2332), 1,
      anon_sym_u2987,
    ACTIONS(2338), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5634), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2336), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5629), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5626), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2310), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [429287] = 19,
    ACTIONS(2468), 1,
      sym_id,
    ACTIONS(2472), 1,
      anon_sym_record,
    ACTIONS(2474), 1,
      anon_sym_LPAREN,
    ACTIONS(2476), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2478), 1,
      anon_sym_u2983,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    ACTIONS(2482), 1,
      aux_sym__qid_token1,
    ACTIONS(2484), 1,
      anon_sym_DOT,
    ACTIONS(2486), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2488), 1,
      anon_sym_u2987,
    ACTIONS(2492), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5436), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2490), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5429), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5422), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2470), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [429373] = 19,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1284), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(4636), 1,
      anon_sym_LPAREN,
    ACTIONS(4638), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4640), 1,
      anon_sym_u2983,
    ACTIONS(4642), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym_DOT,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5593), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(1290), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1264), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [429459] = 19,
    ACTIONS(3722), 1,
      sym_id,
    ACTIONS(3728), 1,
      anon_sym_record,
    ACTIONS(3730), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3734), 1,
      anon_sym_u2983,
    ACTIONS(3736), 1,
      anon_sym_LBRACE,
    ACTIONS(3738), 1,
      aux_sym__qid_token1,
    ACTIONS(3740), 1,
      anon_sym_DOT,
    ACTIONS(3742), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3744), 1,
      anon_sym_u2987,
    ACTIONS(3748), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5360), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3746), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5688), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5600), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3726), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [429545] = 19,
    ACTIONS(6090), 1,
      sym_id,
    ACTIONS(6094), 1,
      anon_sym_record,
    ACTIONS(6096), 1,
      anon_sym_LPAREN,
    ACTIONS(6098), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6100), 1,
      anon_sym_u2983,
    ACTIONS(6102), 1,
      anon_sym_LBRACE,
    ACTIONS(6104), 1,
      aux_sym__qid_token1,
    ACTIONS(6106), 1,
      anon_sym_DOT,
    ACTIONS(6108), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6110), 1,
      anon_sym_u2987,
    ACTIONS(6114), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5476), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6112), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5450), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5413), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6092), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 12,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [429631] = 19,
    ACTIONS(4250), 1,
      sym_id,
    ACTIONS(4254), 1,
      anon_sym_record,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4258), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4260), 1,
      anon_sym_u2983,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4264), 1,
      aux_sym__qid_token1,
    ACTIONS(4266), 1,
      anon_sym_DOT,
    ACTIONS(4268), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4270), 1,
      anon_sym_u2987,
    ACTIONS(4274), 1,
      anon_sym_Set,
    STATE(5783), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(4272), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(5777), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5768), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4252), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 10,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [429716] = 19,
    ACTIONS(5470), 1,
      sym_id,
    ACTIONS(5474), 1,
      anon_sym_record,
    ACTIONS(5476), 1,
      anon_sym_LPAREN,
    ACTIONS(5478), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_u2983,
    ACTIONS(5482), 1,
      anon_sym_LBRACE,
    ACTIONS(5484), 1,
      aux_sym__qid_token1,
    ACTIONS(5486), 1,
      anon_sym_DOT,
    ACTIONS(5488), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5490), 1,
      anon_sym_u2987,
    ACTIONS(5494), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5960), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5492), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5850), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5888), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5472), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 11,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [429801] = 19,
    ACTIONS(3900), 1,
      sym_id,
    ACTIONS(3908), 1,
      anon_sym_record,
    ACTIONS(3910), 1,
      anon_sym_LPAREN,
    ACTIONS(3912), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3914), 1,
      anon_sym_u2983,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    ACTIONS(3918), 1,
      aux_sym__qid_token1,
    ACTIONS(3920), 1,
      anon_sym_DOT,
    ACTIONS(3924), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3926), 1,
      anon_sym_u2987,
    ACTIONS(3930), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5745), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3928), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5741), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5737), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3906), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 11,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [429886] = 19,
    ACTIONS(5606), 1,
      sym_id,
    ACTIONS(5610), 1,
      anon_sym_record,
    ACTIONS(5612), 1,
      anon_sym_LPAREN,
    ACTIONS(5614), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5616), 1,
      anon_sym_u2983,
    ACTIONS(5618), 1,
      anon_sym_LBRACE,
    ACTIONS(5620), 1,
      aux_sym__qid_token1,
    ACTIONS(5622), 1,
      anon_sym_DOT,
    ACTIONS(5624), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5626), 1,
      anon_sym_u2987,
    ACTIONS(5630), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5899), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5628), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5896), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5891), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5608), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 11,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2984,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [429971] = 19,
    ACTIONS(5982), 1,
      sym_id,
    ACTIONS(5986), 1,
      anon_sym_record,
    ACTIONS(5988), 1,
      anon_sym_LPAREN,
    ACTIONS(5990), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5992), 1,
      anon_sym_u2983,
    ACTIONS(5994), 1,
      anon_sym_LBRACE,
    ACTIONS(5996), 1,
      aux_sym__qid_token1,
    ACTIONS(5998), 1,
      anon_sym_DOT,
    ACTIONS(6000), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6002), 1,
      anon_sym_u2987,
    ACTIONS(6006), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5755), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6004), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5940), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5894), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5984), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 11,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_PIPE_RPAREN,
      anon_sym_let,
      anon_sym_do,
  [430056] = 19,
    ACTIONS(4948), 1,
      sym_id,
    ACTIONS(4952), 1,
      anon_sym_record,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4958), 1,
      anon_sym_u2983,
    ACTIONS(4960), 1,
      anon_sym_LBRACE,
    ACTIONS(4962), 1,
      aux_sym__qid_token1,
    ACTIONS(4964), 1,
      anon_sym_DOT,
    ACTIONS(4966), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4968), 1,
      anon_sym_u2987,
    ACTIONS(4972), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5868), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(4970), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5913), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5970), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4950), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 11,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
  [430141] = 19,
    ACTIONS(5340), 1,
      sym_id,
    ACTIONS(5344), 1,
      anon_sym_record,
    ACTIONS(5346), 1,
      anon_sym_LPAREN,
    ACTIONS(5348), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5350), 1,
      anon_sym_u2983,
    ACTIONS(5352), 1,
      anon_sym_LBRACE,
    ACTIONS(5354), 1,
      aux_sym__qid_token1,
    ACTIONS(5356), 1,
      anon_sym_DOT,
    ACTIONS(5358), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5360), 1,
      anon_sym_u2987,
    ACTIONS(5364), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5815), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5362), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5805), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5786), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5342), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 11,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [430226] = 19,
    ACTIONS(5030), 1,
      sym_id,
    ACTIONS(5034), 1,
      anon_sym_record,
    ACTIONS(5036), 1,
      anon_sym_LPAREN,
    ACTIONS(5038), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5040), 1,
      anon_sym_u2983,
    ACTIONS(5042), 1,
      anon_sym_LBRACE,
    ACTIONS(5044), 1,
      aux_sym__qid_token1,
    ACTIONS(5046), 1,
      anon_sym_DOT,
    ACTIONS(5048), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5050), 1,
      anon_sym_u2987,
    ACTIONS(5054), 1,
      anon_sym_Set,
    STATE(5871), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5052), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(5864), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5852), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5032), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 10,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [430311] = 19,
    ACTIONS(5716), 1,
      sym_id,
    ACTIONS(5720), 1,
      anon_sym_record,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5724), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5726), 1,
      anon_sym_u2983,
    ACTIONS(5728), 1,
      anon_sym_LBRACE,
    ACTIONS(5730), 1,
      aux_sym__qid_token1,
    ACTIONS(5732), 1,
      anon_sym_DOT,
    ACTIONS(5734), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5736), 1,
      anon_sym_u2987,
    ACTIONS(5740), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5828), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5738), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5738), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5910), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5718), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 11,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2984,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [430396] = 19,
    ACTIONS(5638), 1,
      sym_id,
    ACTIONS(5642), 1,
      anon_sym_record,
    ACTIONS(5644), 1,
      anon_sym_LPAREN,
    ACTIONS(5646), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5648), 1,
      anon_sym_u2983,
    ACTIONS(5650), 1,
      anon_sym_LBRACE,
    ACTIONS(5652), 1,
      aux_sym__qid_token1,
    ACTIONS(5654), 1,
      anon_sym_DOT,
    ACTIONS(5656), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5658), 1,
      anon_sym_u2987,
    ACTIONS(5662), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5882), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5660), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5971), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5941), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5640), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 11,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [430481] = 19,
    ACTIONS(2782), 1,
      sym_id,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2796), 1,
      anon_sym_LPAREN,
    ACTIONS(2798), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2800), 1,
      anon_sym_u2983,
    ACTIONS(2802), 1,
      anon_sym_LBRACE,
    ACTIONS(2804), 1,
      aux_sym__qid_token1,
    ACTIONS(2806), 1,
      anon_sym_DOT,
    ACTIONS(2812), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2814), 1,
      anon_sym_u2987,
    ACTIONS(2820), 1,
      anon_sym_Set,
    STATE(5769), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2818), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(5759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5968), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 10,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_SEMI,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [430566] = 19,
    ACTIONS(5418), 1,
      sym_id,
    ACTIONS(5422), 1,
      anon_sym_record,
    ACTIONS(5424), 1,
      anon_sym_LPAREN,
    ACTIONS(5426), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5428), 1,
      anon_sym_u2983,
    ACTIONS(5430), 1,
      anon_sym_LBRACE,
    ACTIONS(5432), 1,
      aux_sym__qid_token1,
    ACTIONS(5434), 1,
      anon_sym_DOT,
    ACTIONS(5436), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5438), 1,
      anon_sym_u2987,
    ACTIONS(5442), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5839), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5440), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5826), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5740), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5420), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 11,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [430651] = 19,
    ACTIONS(6236), 1,
      sym_id,
    ACTIONS(6241), 1,
      anon_sym_BSLASH,
    ACTIONS(6246), 1,
      anon_sym_record,
    ACTIONS(6249), 1,
      anon_sym_LPAREN,
    ACTIONS(6252), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6255), 1,
      anon_sym_u2983,
    ACTIONS(6258), 1,
      anon_sym_LBRACE,
    ACTIONS(6261), 1,
      aux_sym__qid_token1,
    ACTIONS(6264), 1,
      anon_sym_DOT,
    ACTIONS(6267), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6270), 1,
      anon_sym_u2987,
    ACTIONS(6276), 1,
      anon_sym_Set,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6273), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(3987), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6144), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6142), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6243), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6239), 10,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [430736] = 19,
    ACTIONS(5664), 1,
      sym_id,
    ACTIONS(5668), 1,
      anon_sym_record,
    ACTIONS(5670), 1,
      anon_sym_LPAREN,
    ACTIONS(5672), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5674), 1,
      anon_sym_u2983,
    ACTIONS(5676), 1,
      anon_sym_LBRACE,
    ACTIONS(5678), 1,
      aux_sym__qid_token1,
    ACTIONS(5680), 1,
      anon_sym_DOT,
    ACTIONS(5682), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5684), 1,
      anon_sym_u2987,
    ACTIONS(5688), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5934), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5686), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5931), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5926), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5666), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 11,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [430821] = 19,
    ACTIONS(5198), 1,
      sym_id,
    ACTIONS(5202), 1,
      anon_sym_record,
    ACTIONS(5204), 1,
      anon_sym_LPAREN,
    ACTIONS(5206), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5208), 1,
      anon_sym_u2983,
    ACTIONS(5210), 1,
      anon_sym_LBRACE,
    ACTIONS(5212), 1,
      aux_sym__qid_token1,
    ACTIONS(5214), 1,
      anon_sym_DOT,
    ACTIONS(5216), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5218), 1,
      anon_sym_u2987,
    ACTIONS(5222), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5764), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5220), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5911), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5860), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5200), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 11,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [430906] = 19,
    ACTIONS(6008), 1,
      sym_id,
    ACTIONS(6012), 1,
      anon_sym_record,
    ACTIONS(6014), 1,
      anon_sym_LPAREN,
    ACTIONS(6016), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6018), 1,
      anon_sym_u2983,
    ACTIONS(6020), 1,
      anon_sym_LBRACE,
    ACTIONS(6022), 1,
      aux_sym__qid_token1,
    ACTIONS(6024), 1,
      anon_sym_DOT,
    ACTIONS(6026), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6028), 1,
      anon_sym_u2987,
    ACTIONS(6032), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(5736), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6030), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5967), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5840), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6010), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 11,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [430991] = 19,
    ACTIONS(4918), 1,
      sym_id,
    ACTIONS(4922), 1,
      anon_sym_record,
    ACTIONS(4924), 1,
      anon_sym_LPAREN,
    ACTIONS(4926), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4928), 1,
      anon_sym_u2983,
    ACTIONS(4930), 1,
      anon_sym_LBRACE,
    ACTIONS(4932), 1,
      aux_sym__qid_token1,
    ACTIONS(4934), 1,
      anon_sym_DOT,
    ACTIONS(4936), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4938), 1,
      anon_sym_u2987,
    ACTIONS(4942), 1,
      anon_sym_Set,
    STATE(5794), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(4940), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(5791), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5787), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4920), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 10,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [431076] = 19,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3978), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(6080), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(3996), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 10,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [431160] = 19,
    ACTIONS(6170), 1,
      sym_id,
    ACTIONS(6174), 1,
      anon_sym_record,
    ACTIONS(6176), 1,
      anon_sym_LPAREN,
    ACTIONS(6178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6180), 1,
      anon_sym_u2983,
    ACTIONS(6182), 1,
      anon_sym_LBRACE,
    ACTIONS(6184), 1,
      aux_sym__qid_token1,
    ACTIONS(6186), 1,
      anon_sym_DOT,
    ACTIONS(6188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6190), 1,
      anon_sym_u2987,
    ACTIONS(6194), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(6207), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6192), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6204), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6203), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6172), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 10,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [431244] = 19,
    ACTIONS(5144), 1,
      sym_id,
    ACTIONS(5148), 1,
      anon_sym_record,
    ACTIONS(5150), 1,
      anon_sym_LPAREN,
    ACTIONS(5152), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5154), 1,
      anon_sym_u2983,
    ACTIONS(5156), 1,
      anon_sym_LBRACE,
    ACTIONS(5158), 1,
      aux_sym__qid_token1,
    ACTIONS(5160), 1,
      anon_sym_DOT,
    ACTIONS(5162), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5164), 1,
      anon_sym_u2987,
    ACTIONS(5168), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(6135), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5166), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6132), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6130), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5146), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 10,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [431328] = 4,
    ACTIONS(6283), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 40,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [431382] = 19,
    ACTIONS(5366), 1,
      sym_id,
    ACTIONS(5370), 1,
      anon_sym_record,
    ACTIONS(5372), 1,
      anon_sym_LPAREN,
    ACTIONS(5374), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5376), 1,
      anon_sym_u2983,
    ACTIONS(5378), 1,
      anon_sym_LBRACE,
    ACTIONS(5380), 1,
      aux_sym__qid_token1,
    ACTIONS(5382), 1,
      anon_sym_DOT,
    ACTIONS(5384), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5386), 1,
      anon_sym_u2987,
    ACTIONS(5390), 1,
      anon_sym_Set,
    STATE(6175), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5388), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(6172), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6171), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5368), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 9,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [431466] = 19,
    ACTIONS(5308), 1,
      sym_id,
    ACTIONS(5312), 1,
      anon_sym_record,
    ACTIONS(5314), 1,
      anon_sym_LPAREN,
    ACTIONS(5316), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5318), 1,
      anon_sym_u2983,
    ACTIONS(5320), 1,
      anon_sym_LBRACE,
    ACTIONS(5322), 1,
      aux_sym__qid_token1,
    ACTIONS(5324), 1,
      anon_sym_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5328), 1,
      anon_sym_u2987,
    ACTIONS(5332), 1,
      anon_sym_Set,
    STATE(6162), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5330), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    ACTIONS(6226), 2,
      sym__newline,
      anon_sym_BSLASH,
    STATE(6159), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6158), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5310), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 9,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [431550] = 19,
    ACTIONS(5002), 1,
      sym_id,
    ACTIONS(5008), 1,
      anon_sym_record,
    ACTIONS(5010), 1,
      anon_sym_LPAREN,
    ACTIONS(5012), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5014), 1,
      anon_sym_u2983,
    ACTIONS(5016), 1,
      anon_sym_LBRACE,
    ACTIONS(5018), 1,
      aux_sym__qid_token1,
    ACTIONS(5020), 1,
      anon_sym_DOT,
    ACTIONS(5022), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5024), 1,
      anon_sym_u2987,
    ACTIONS(5028), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(6120), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5026), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6117), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6116), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5006), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 10,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [431634] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6285), 1,
      sym_id,
    ACTIONS(6287), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_record,
    ACTIONS(6295), 1,
      anon_sym_LPAREN,
    ACTIONS(6297), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6299), 1,
      anon_sym_u2983,
    ACTIONS(6301), 1,
      anon_sym_LBRACE,
    ACTIONS(6303), 1,
      aux_sym__qid_token1,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6307), 1,
      anon_sym_PIPE,
    ACTIONS(6309), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6311), 1,
      anon_sym_u2987,
    ACTIONS(6313), 1,
      aux_sym_integer_token1,
    ACTIONS(6315), 1,
      aux_sym_literal_token1,
    ACTIONS(6317), 1,
      anon_sym_Set,
    ACTIONS(6319), 1,
      sym__newline,
    STATE(4008), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6542), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6518), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6289), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6291), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [431726] = 19,
    ACTIONS(5898), 1,
      sym_id,
    ACTIONS(5902), 1,
      anon_sym_record,
    ACTIONS(5904), 1,
      anon_sym_LPAREN,
    ACTIONS(5906), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5908), 1,
      anon_sym_u2983,
    ACTIONS(5910), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      aux_sym__qid_token1,
    ACTIONS(5914), 1,
      anon_sym_DOT,
    ACTIONS(5916), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5918), 1,
      anon_sym_u2987,
    ACTIONS(5922), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(6242), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5920), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6239), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6237), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5900), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 10,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [431810] = 19,
    ACTIONS(5794), 1,
      sym_id,
    ACTIONS(5798), 1,
      anon_sym_record,
    ACTIONS(5800), 1,
      anon_sym_LPAREN,
    ACTIONS(5802), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5804), 1,
      anon_sym_u2983,
    ACTIONS(5806), 1,
      anon_sym_LBRACE,
    ACTIONS(5808), 1,
      aux_sym__qid_token1,
    ACTIONS(5810), 1,
      anon_sym_DOT,
    ACTIONS(5812), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5814), 1,
      anon_sym_u2987,
    ACTIONS(5818), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(6020), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5816), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6013), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6017), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5796), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 10,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_u2984,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [431894] = 19,
    ACTIONS(6241), 1,
      anon_sym_BSLASH,
    ACTIONS(6321), 1,
      sym_id,
    ACTIONS(6327), 1,
      anon_sym_record,
    ACTIONS(6330), 1,
      anon_sym_LPAREN,
    ACTIONS(6333), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6336), 1,
      anon_sym_u2983,
    ACTIONS(6339), 1,
      anon_sym_LBRACE,
    ACTIONS(6342), 1,
      aux_sym__qid_token1,
    ACTIONS(6345), 1,
      anon_sym_DOT,
    ACTIONS(6348), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6351), 1,
      anon_sym_u2987,
    ACTIONS(6357), 1,
      anon_sym_Set,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6354), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4002), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6562), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6556), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6239), 9,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
    ACTIONS(6324), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [431978] = 19,
    ACTIONS(5062), 1,
      sym_id,
    ACTIONS(5066), 1,
      anon_sym_record,
    ACTIONS(5068), 1,
      anon_sym_LPAREN,
    ACTIONS(5070), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5072), 1,
      anon_sym_u2983,
    ACTIONS(5074), 1,
      anon_sym_LBRACE,
    ACTIONS(5076), 1,
      aux_sym__qid_token1,
    ACTIONS(5078), 1,
      anon_sym_DOT,
    ACTIONS(5080), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5082), 1,
      anon_sym_u2987,
    ACTIONS(5086), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(6057), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5084), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6049), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6053), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5064), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 10,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
  [432062] = 19,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    ACTIONS(6360), 1,
      sym_id,
    ACTIONS(6364), 1,
      anon_sym_record,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6370), 1,
      anon_sym_u2983,
    ACTIONS(6372), 1,
      anon_sym_LBRACE,
    ACTIONS(6374), 1,
      aux_sym__qid_token1,
    ACTIONS(6376), 1,
      anon_sym_DOT,
    ACTIONS(6378), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6380), 1,
      anon_sym_u2987,
    ACTIONS(6384), 1,
      anon_sym_Set,
    STATE(6147), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6382), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6144), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6142), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6362), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 10,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [432146] = 19,
    ACTIONS(5690), 1,
      sym_id,
    ACTIONS(5694), 1,
      anon_sym_record,
    ACTIONS(5696), 1,
      anon_sym_LPAREN,
    ACTIONS(5698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5700), 1,
      anon_sym_u2983,
    ACTIONS(5702), 1,
      anon_sym_LBRACE,
    ACTIONS(5704), 1,
      aux_sym__qid_token1,
    ACTIONS(5706), 1,
      anon_sym_DOT,
    ACTIONS(5708), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5710), 1,
      anon_sym_u2987,
    ACTIONS(5714), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(6105), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5712), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6102), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6101), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5692), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 10,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_u2984,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [432230] = 19,
    ACTIONS(5820), 1,
      sym_id,
    ACTIONS(5824), 1,
      anon_sym_record,
    ACTIONS(5826), 1,
      anon_sym_LPAREN,
    ACTIONS(5828), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5830), 1,
      anon_sym_u2983,
    ACTIONS(5832), 1,
      anon_sym_LBRACE,
    ACTIONS(5834), 1,
      aux_sym__qid_token1,
    ACTIONS(5836), 1,
      anon_sym_DOT,
    ACTIONS(5838), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5840), 1,
      anon_sym_u2987,
    ACTIONS(5844), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(6040), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5842), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6031), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6037), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5822), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 10,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_PIPE_RPAREN,
      anon_sym_let,
      anon_sym_do,
  [432314] = 19,
    ACTIONS(5872), 1,
      sym_id,
    ACTIONS(5876), 1,
      anon_sym_record,
    ACTIONS(5878), 1,
      anon_sym_LPAREN,
    ACTIONS(5880), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(5882), 1,
      anon_sym_u2983,
    ACTIONS(5884), 1,
      anon_sym_LBRACE,
    ACTIONS(5886), 1,
      aux_sym__qid_token1,
    ACTIONS(5888), 1,
      anon_sym_DOT,
    ACTIONS(5890), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(5892), 1,
      anon_sym_u2987,
    ACTIONS(5896), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    STATE(6191), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(5894), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6188), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6187), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5874), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 10,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [432398] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(6386), 1,
      sym_id,
    ACTIONS(6389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6395), 1,
      anon_sym_record,
    ACTIONS(6398), 1,
      anon_sym_LPAREN,
    ACTIONS(6401), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6404), 1,
      anon_sym_u2983,
    ACTIONS(6407), 1,
      anon_sym_LBRACE,
    ACTIONS(6410), 1,
      aux_sym__qid_token1,
    ACTIONS(6413), 1,
      anon_sym_DOT,
    ACTIONS(6416), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6419), 1,
      anon_sym_u2987,
    ACTIONS(6422), 1,
      aux_sym_integer_token1,
    ACTIONS(6425), 1,
      aux_sym_literal_token1,
    ACTIONS(6428), 1,
      anon_sym_Set,
    STATE(4008), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6542), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6518), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6392), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6239), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_in,
  [432488] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 40,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [432539] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 40,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [432590] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(6439), 1,
      sym_id,
    ACTIONS(6441), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6445), 1,
      anon_sym_record,
    ACTIONS(6447), 1,
      anon_sym_LPAREN,
    ACTIONS(6449), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6451), 1,
      anon_sym_u2983,
    ACTIONS(6453), 1,
      anon_sym_LBRACE,
    ACTIONS(6455), 1,
      aux_sym__qid_token1,
    ACTIONS(6457), 1,
      anon_sym_DOT,
    ACTIONS(6459), 1,
      anon_sym_PIPE,
    ACTIONS(6461), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6463), 1,
      anon_sym_u2987,
    ACTIONS(6465), 1,
      aux_sym_integer_token1,
    ACTIONS(6467), 1,
      aux_sym_literal_token1,
    ACTIONS(6469), 1,
      anon_sym_Set,
    STATE(4019), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6821), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
    STATE(6820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6443), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [432681] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(6471), 1,
      sym_id,
    ACTIONS(6473), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6477), 1,
      anon_sym_record,
    ACTIONS(6479), 1,
      anon_sym_LPAREN,
    ACTIONS(6481), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_u2983,
    ACTIONS(6485), 1,
      anon_sym_LBRACE,
    ACTIONS(6487), 1,
      aux_sym__qid_token1,
    ACTIONS(6489), 1,
      anon_sym_DOT,
    ACTIONS(6491), 1,
      anon_sym_PIPE,
    ACTIONS(6493), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6495), 1,
      anon_sym_u2987,
    ACTIONS(6497), 1,
      aux_sym_integer_token1,
    ACTIONS(6499), 1,
      aux_sym_literal_token1,
    ACTIONS(6501), 1,
      anon_sym_Set,
    STATE(4021), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6848), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
    STATE(6847), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6475), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [432772] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 40,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [432823] = 4,
    ACTIONS(6507), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [432876] = 19,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    ACTIONS(6509), 1,
      sym_id,
    ACTIONS(6513), 1,
      anon_sym_record,
    ACTIONS(6515), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6519), 1,
      anon_sym_u2983,
    ACTIONS(6521), 1,
      anon_sym_LBRACE,
    ACTIONS(6523), 1,
      aux_sym__qid_token1,
    ACTIONS(6525), 1,
      anon_sym_DOT,
    ACTIONS(6527), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6529), 1,
      anon_sym_u2987,
    ACTIONS(6533), 1,
      anon_sym_Set,
    STATE(6567), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6531), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6562), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6556), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6224), 9,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
    ACTIONS(6511), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [432959] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [433014] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 40,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [433065] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(6547), 1,
      sym_id,
    ACTIONS(6549), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6553), 1,
      anon_sym_record,
    ACTIONS(6555), 1,
      anon_sym_LPAREN,
    ACTIONS(6557), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6559), 1,
      anon_sym_u2983,
    ACTIONS(6561), 1,
      anon_sym_LBRACE,
    ACTIONS(6563), 1,
      aux_sym__qid_token1,
    ACTIONS(6565), 1,
      anon_sym_DOT,
    ACTIONS(6567), 1,
      anon_sym_PIPE,
    ACTIONS(6569), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6571), 1,
      anon_sym_u2987,
    ACTIONS(6573), 1,
      aux_sym_integer_token1,
    ACTIONS(6575), 1,
      aux_sym_literal_token1,
    ACTIONS(6577), 1,
      anon_sym_Set,
    STATE(4029), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6803), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
    STATE(6853), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6551), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [433156] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(6579), 1,
      sym_id,
    ACTIONS(6582), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6588), 1,
      anon_sym_record,
    ACTIONS(6591), 1,
      anon_sym_LPAREN,
    ACTIONS(6594), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6597), 1,
      anon_sym_u2983,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    ACTIONS(6603), 1,
      aux_sym__qid_token1,
    ACTIONS(6606), 1,
      anon_sym_DOT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6612), 1,
      anon_sym_u2987,
    ACTIONS(6615), 1,
      aux_sym_integer_token1,
    ACTIONS(6618), 1,
      aux_sym_literal_token1,
    ACTIONS(6621), 1,
      anon_sym_Set,
    STATE(4019), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6821), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6239), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_in,
    ACTIONS(6585), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [433245] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 40,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [433296] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(6628), 1,
      sym_id,
    ACTIONS(6631), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6637), 1,
      anon_sym_record,
    ACTIONS(6640), 1,
      anon_sym_LPAREN,
    ACTIONS(6643), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6646), 1,
      anon_sym_u2983,
    ACTIONS(6649), 1,
      anon_sym_LBRACE,
    ACTIONS(6652), 1,
      aux_sym__qid_token1,
    ACTIONS(6655), 1,
      anon_sym_DOT,
    ACTIONS(6658), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6661), 1,
      anon_sym_u2987,
    ACTIONS(6664), 1,
      aux_sym_integer_token1,
    ACTIONS(6667), 1,
      aux_sym_literal_token1,
    ACTIONS(6670), 1,
      anon_sym_Set,
    STATE(4021), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6848), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6847), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6239), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(6634), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [433385] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 40,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [433436] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 40,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [433487] = 19,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4212), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4218), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    ACTIONS(6232), 1,
      sym_id,
    ACTIONS(6234), 1,
      aux_sym__qid_token1,
    STATE(6324), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(4216), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 9,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_u2984,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [433570] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 40,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [433621] = 4,
    ACTIONS(6685), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [433674] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 40,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [433725] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 40,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [433776] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(6695), 1,
      sym_id,
    ACTIONS(6698), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6704), 1,
      anon_sym_record,
    ACTIONS(6707), 1,
      anon_sym_LPAREN,
    ACTIONS(6710), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_u2983,
    ACTIONS(6716), 1,
      anon_sym_LBRACE,
    ACTIONS(6719), 1,
      aux_sym__qid_token1,
    ACTIONS(6722), 1,
      anon_sym_DOT,
    ACTIONS(6725), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6728), 1,
      anon_sym_u2987,
    ACTIONS(6731), 1,
      aux_sym_integer_token1,
    ACTIONS(6734), 1,
      aux_sym_literal_token1,
    ACTIONS(6737), 1,
      anon_sym_Set,
    STATE(4029), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6803), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6853), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6239), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_in,
    ACTIONS(6701), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [433865] = 4,
    ACTIONS(6740), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [433918] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 40,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [433969] = 20,
    ACTIONS(6746), 1,
      sym_id,
    ACTIONS(6751), 1,
      anon_sym_BSLASH,
    ACTIONS(6756), 1,
      anon_sym_record,
    ACTIONS(6759), 1,
      anon_sym_LPAREN,
    ACTIONS(6762), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6765), 1,
      anon_sym_u2983,
    ACTIONS(6768), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      aux_sym__qid_token1,
    ACTIONS(6774), 1,
      anon_sym_DOT,
    ACTIONS(6777), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6780), 1,
      anon_sym_u2987,
    ACTIONS(6786), 1,
      anon_sym_Set,
    STATE(4032), 1,
      aux_sym__with_exprs_repeat1,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6783), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(5873), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7835), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6749), 7,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
    STATE(7829), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6753), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [434054] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 40,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [434105] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(6285), 1,
      sym_id,
    ACTIONS(6287), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_record,
    ACTIONS(6295), 1,
      anon_sym_LPAREN,
    ACTIONS(6297), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6299), 1,
      anon_sym_u2983,
    ACTIONS(6301), 1,
      anon_sym_LBRACE,
    ACTIONS(6303), 1,
      aux_sym__qid_token1,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6309), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6311), 1,
      anon_sym_u2987,
    ACTIONS(6313), 1,
      aux_sym_integer_token1,
    ACTIONS(6315), 1,
      aux_sym_literal_token1,
    ACTIONS(6317), 1,
      anon_sym_Set,
    STATE(6553), 1,
      sym_atom,
    STATE(6542), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6518), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6289), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_in,
  [434194] = 4,
    ACTIONS(6793), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [434247] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 40,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [434298] = 19,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2146), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    ACTIONS(6228), 1,
      sym_id,
    ACTIONS(6230), 1,
      aux_sym__qid_token1,
    STATE(6634), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(2164), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
    ACTIONS(6224), 9,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
  [434381] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 40,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [434432] = 19,
    ACTIONS(6241), 1,
      anon_sym_BSLASH,
    ACTIONS(6799), 1,
      sym_id,
    ACTIONS(6805), 1,
      anon_sym_record,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6811), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6814), 1,
      anon_sym_u2983,
    ACTIONS(6817), 1,
      anon_sym_LBRACE,
    ACTIONS(6820), 1,
      aux_sym__qid_token1,
    ACTIONS(6823), 1,
      anon_sym_DOT,
    ACTIONS(6826), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6829), 1,
      anon_sym_u2987,
    ACTIONS(6835), 1,
      anon_sym_Set,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6832), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4039), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6808), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6239), 8,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
    ACTIONS(6802), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [434515] = 19,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    ACTIONS(6838), 1,
      sym_id,
    ACTIONS(6842), 1,
      anon_sym_record,
    ACTIONS(6844), 1,
      anon_sym_LPAREN,
    ACTIONS(6846), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6848), 1,
      anon_sym_u2983,
    ACTIONS(6850), 1,
      anon_sym_LBRACE,
    ACTIONS(6852), 1,
      aux_sym__qid_token1,
    ACTIONS(6854), 1,
      anon_sym_DOT,
    ACTIONS(6856), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6858), 1,
      anon_sym_u2987,
    ACTIONS(6862), 1,
      anon_sym_Set,
    STATE(6827), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6860), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6808), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6224), 8,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
    ACTIONS(6840), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [434597] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [434647] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [434697] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [434747] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [434797] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [434847] = 4,
    ACTIONS(6864), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [434899] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [434949] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(6866), 1,
      sym_id,
    ACTIONS(6868), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6872), 1,
      anon_sym_record,
    ACTIONS(6874), 1,
      anon_sym_LPAREN,
    ACTIONS(6876), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6878), 1,
      anon_sym_u2983,
    ACTIONS(6880), 1,
      anon_sym_LBRACE,
    ACTIONS(6882), 1,
      aux_sym__qid_token1,
    ACTIONS(6884), 1,
      anon_sym_DOT,
    ACTIONS(6886), 1,
      anon_sym_PIPE,
    ACTIONS(6888), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6890), 1,
      anon_sym_u2987,
    ACTIONS(6892), 1,
      aux_sym_integer_token1,
    ACTIONS(6894), 1,
      aux_sym_literal_token1,
    ACTIONS(6896), 1,
      anon_sym_Set,
    STATE(4108), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6908), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
    STATE(6899), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6870), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [435039] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(6898), 1,
      sym_id,
    ACTIONS(6900), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6904), 1,
      anon_sym_record,
    ACTIONS(6906), 1,
      anon_sym_LPAREN,
    ACTIONS(6908), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6910), 1,
      anon_sym_u2983,
    ACTIONS(6912), 1,
      anon_sym_LBRACE,
    ACTIONS(6914), 1,
      aux_sym__qid_token1,
    ACTIONS(6916), 1,
      anon_sym_DOT,
    ACTIONS(6918), 1,
      anon_sym_PIPE,
    ACTIONS(6920), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6922), 1,
      anon_sym_u2987,
    ACTIONS(6924), 1,
      aux_sym_integer_token1,
    ACTIONS(6926), 1,
      aux_sym_literal_token1,
    ACTIONS(6928), 1,
      anon_sym_Set,
    STATE(4070), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6876), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
    STATE(6874), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6902), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [435129] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [435179] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [435229] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [435283] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [435333] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [435383] = 4,
    ACTIONS(6930), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [435435] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [435485] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [435535] = 4,
    ACTIONS(6932), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [435587] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [435641] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [435691] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(6934), 1,
      sym_id,
    ACTIONS(6937), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6943), 1,
      anon_sym_record,
    ACTIONS(6946), 1,
      anon_sym_LPAREN,
    ACTIONS(6949), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6952), 1,
      anon_sym_u2983,
    ACTIONS(6955), 1,
      anon_sym_LBRACE,
    ACTIONS(6958), 1,
      aux_sym__qid_token1,
    ACTIONS(6961), 1,
      anon_sym_DOT,
    ACTIONS(6964), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6967), 1,
      anon_sym_u2987,
    ACTIONS(6970), 1,
      aux_sym_integer_token1,
    ACTIONS(6973), 1,
      aux_sym_literal_token1,
    ACTIONS(6976), 1,
      anon_sym_Set,
    STATE(4061), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6989), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_in,
    STATE(7110), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6940), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [435779] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [435833] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [435883] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [435933] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(6979), 1,
      sym_id,
    ACTIONS(6981), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6985), 1,
      anon_sym_record,
    ACTIONS(6987), 1,
      anon_sym_LPAREN,
    ACTIONS(6989), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6991), 1,
      anon_sym_u2983,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    ACTIONS(6995), 1,
      aux_sym__qid_token1,
    ACTIONS(6997), 1,
      anon_sym_DOT,
    ACTIONS(6999), 1,
      anon_sym_PIPE,
    ACTIONS(7001), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7003), 1,
      anon_sym_u2987,
    ACTIONS(7005), 1,
      aux_sym_integer_token1,
    ACTIONS(7007), 1,
      aux_sym_literal_token1,
    ACTIONS(7009), 1,
      anon_sym_Set,
    STATE(4061), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6989), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
    STATE(7110), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6983), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [436023] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [436073] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [436123] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(7011), 1,
      sym_id,
    ACTIONS(7013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7017), 1,
      anon_sym_record,
    ACTIONS(7019), 1,
      anon_sym_LPAREN,
    ACTIONS(7021), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7023), 1,
      anon_sym_u2983,
    ACTIONS(7025), 1,
      anon_sym_LBRACE,
    ACTIONS(7027), 1,
      aux_sym__qid_token1,
    ACTIONS(7029), 1,
      anon_sym_DOT,
    ACTIONS(7031), 1,
      anon_sym_PIPE,
    ACTIONS(7033), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7035), 1,
      anon_sym_u2987,
    ACTIONS(7037), 1,
      aux_sym_integer_token1,
    ACTIONS(7039), 1,
      aux_sym_literal_token1,
    ACTIONS(7041), 1,
      anon_sym_Set,
    STATE(4084), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6887), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
    STATE(6901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7015), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [436213] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [436263] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(7043), 1,
      sym_id,
    ACTIONS(7046), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7052), 1,
      anon_sym_record,
    ACTIONS(7055), 1,
      anon_sym_LPAREN,
    ACTIONS(7058), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7061), 1,
      anon_sym_u2983,
    ACTIONS(7064), 1,
      anon_sym_LBRACE,
    ACTIONS(7067), 1,
      aux_sym__qid_token1,
    ACTIONS(7070), 1,
      anon_sym_DOT,
    ACTIONS(7073), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7076), 1,
      anon_sym_u2987,
    ACTIONS(7079), 1,
      aux_sym_integer_token1,
    ACTIONS(7082), 1,
      aux_sym_literal_token1,
    ACTIONS(7085), 1,
      anon_sym_Set,
    STATE(4070), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6876), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_in,
    STATE(6874), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7049), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [436351] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [436401] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [436455] = 4,
    ACTIONS(7088), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [436507] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [436557] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [436607] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [436657] = 26,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7090), 1,
      sym_id,
    ACTIONS(7092), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7096), 1,
      anon_sym_record,
    ACTIONS(7098), 1,
      anon_sym_public,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_renaming,
    ACTIONS(7106), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7108), 1,
      anon_sym_u2983,
    ACTIONS(7110), 1,
      anon_sym_LBRACE,
    ACTIONS(7112), 1,
      aux_sym__qid_token1,
    ACTIONS(7114), 1,
      anon_sym_DOT,
    ACTIONS(7116), 1,
      anon_sym_in,
    ACTIONS(7118), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7120), 1,
      anon_sym_u2987,
    ACTIONS(7122), 1,
      aux_sym_integer_token1,
    ACTIONS(7124), 1,
      aux_sym_literal_token1,
    ACTIONS(7126), 1,
      anon_sym_Set,
    ACTIONS(7128), 1,
      sym__newline,
    ACTIONS(7100), 2,
      anon_sym_using,
      anon_sym_hiding,
    STATE(4111), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7204), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9017), 2,
      aux_sym__import_directives,
      sym_import_directive,
    STATE(7186), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7094), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [436753] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [436803] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(6439), 1,
      sym_id,
    ACTIONS(6441), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6445), 1,
      anon_sym_record,
    ACTIONS(6447), 1,
      anon_sym_LPAREN,
    ACTIONS(6449), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6451), 1,
      anon_sym_u2983,
    ACTIONS(6453), 1,
      anon_sym_LBRACE,
    ACTIONS(6455), 1,
      aux_sym__qid_token1,
    ACTIONS(6457), 1,
      anon_sym_DOT,
    ACTIONS(6461), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6463), 1,
      anon_sym_u2987,
    ACTIONS(6465), 1,
      aux_sym_integer_token1,
    ACTIONS(6467), 1,
      aux_sym_literal_token1,
    ACTIONS(6469), 1,
      anon_sym_Set,
    STATE(6825), 1,
      sym_atom,
    STATE(6821), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6224), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_in,
    ACTIONS(6443), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [436891] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [436941] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [436991] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [437041] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [437091] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(7130), 1,
      sym_id,
    ACTIONS(7133), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7139), 1,
      anon_sym_record,
    ACTIONS(7142), 1,
      anon_sym_LPAREN,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7148), 1,
      anon_sym_u2983,
    ACTIONS(7151), 1,
      anon_sym_LBRACE,
    ACTIONS(7154), 1,
      aux_sym__qid_token1,
    ACTIONS(7157), 1,
      anon_sym_DOT,
    ACTIONS(7160), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7163), 1,
      anon_sym_u2987,
    ACTIONS(7166), 1,
      aux_sym_integer_token1,
    ACTIONS(7169), 1,
      aux_sym_literal_token1,
    ACTIONS(7172), 1,
      anon_sym_Set,
    STATE(4084), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6887), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
    STATE(6901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7136), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [437179] = 26,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_id,
    ACTIONS(7177), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7181), 1,
      anon_sym_record,
    ACTIONS(7183), 1,
      anon_sym_public,
    ACTIONS(7187), 1,
      anon_sym_LPAREN,
    ACTIONS(7189), 1,
      anon_sym_renaming,
    ACTIONS(7191), 1,
      anon_sym_SEMI,
    ACTIONS(7193), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7195), 1,
      anon_sym_u2983,
    ACTIONS(7197), 1,
      anon_sym_LBRACE,
    ACTIONS(7199), 1,
      anon_sym_RBRACE,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(7203), 1,
      anon_sym_DOT,
    ACTIONS(7205), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7207), 1,
      anon_sym_u2987,
    ACTIONS(7209), 1,
      aux_sym_integer_token1,
    ACTIONS(7211), 1,
      aux_sym_literal_token1,
    ACTIONS(7213), 1,
      anon_sym_Set,
    ACTIONS(7185), 2,
      anon_sym_using,
      anon_sym_hiding,
    STATE(4097), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7180), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9042), 2,
      aux_sym__import_directives,
      sym_import_directive,
    STATE(7280), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7179), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [437275] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [437325] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [437375] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [437425] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [437475] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [437525] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [437575] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [437625] = 4,
    ACTIONS(7215), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [437677] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(6547), 1,
      sym_id,
    ACTIONS(6549), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6553), 1,
      anon_sym_record,
    ACTIONS(6555), 1,
      anon_sym_LPAREN,
    ACTIONS(6557), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6559), 1,
      anon_sym_u2983,
    ACTIONS(6561), 1,
      anon_sym_LBRACE,
    ACTIONS(6563), 1,
      aux_sym__qid_token1,
    ACTIONS(6565), 1,
      anon_sym_DOT,
    ACTIONS(6569), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6571), 1,
      anon_sym_u2987,
    ACTIONS(6573), 1,
      aux_sym_integer_token1,
    ACTIONS(6575), 1,
      aux_sym_literal_token1,
    ACTIONS(6577), 1,
      anon_sym_Set,
    STATE(6804), 1,
      sym_atom,
    STATE(6803), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6853), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6224), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_in,
    ACTIONS(6551), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [437765] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [437815] = 4,
    ACTIONS(7217), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [437867] = 26,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_id,
    ACTIONS(7177), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7181), 1,
      anon_sym_record,
    ACTIONS(7183), 1,
      anon_sym_public,
    ACTIONS(7187), 1,
      anon_sym_LPAREN,
    ACTIONS(7189), 1,
      anon_sym_renaming,
    ACTIONS(7193), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7195), 1,
      anon_sym_u2983,
    ACTIONS(7197), 1,
      anon_sym_LBRACE,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(7203), 1,
      anon_sym_DOT,
    ACTIONS(7205), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7207), 1,
      anon_sym_u2987,
    ACTIONS(7209), 1,
      aux_sym_integer_token1,
    ACTIONS(7211), 1,
      aux_sym_literal_token1,
    ACTIONS(7213), 1,
      anon_sym_Set,
    ACTIONS(7219), 1,
      anon_sym_SEMI,
    ACTIONS(7221), 1,
      anon_sym_RBRACE,
    ACTIONS(7185), 2,
      anon_sym_using,
      anon_sym_hiding,
    STATE(4261), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7180), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9023), 2,
      aux_sym__import_directives,
      sym_import_directive,
    STATE(7280), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7179), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [437963] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [438013] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [438063] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [438113] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [438163] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [438213] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [438263] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [438313] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [438363] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [438413] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [438463] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(7223), 1,
      sym_id,
    ACTIONS(7226), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7232), 1,
      anon_sym_record,
    ACTIONS(7235), 1,
      anon_sym_LPAREN,
    ACTIONS(7238), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7241), 1,
      anon_sym_u2983,
    ACTIONS(7244), 1,
      anon_sym_LBRACE,
    ACTIONS(7247), 1,
      aux_sym__qid_token1,
    ACTIONS(7250), 1,
      anon_sym_DOT,
    ACTIONS(7253), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7256), 1,
      anon_sym_u2987,
    ACTIONS(7259), 1,
      aux_sym_integer_token1,
    ACTIONS(7262), 1,
      aux_sym_literal_token1,
    ACTIONS(7265), 1,
      anon_sym_Set,
    STATE(4108), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6908), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(6899), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7229), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [438551] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [438601] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [438651] = 26,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7090), 1,
      sym_id,
    ACTIONS(7092), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7096), 1,
      anon_sym_record,
    ACTIONS(7098), 1,
      anon_sym_public,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_renaming,
    ACTIONS(7106), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7108), 1,
      anon_sym_u2983,
    ACTIONS(7110), 1,
      anon_sym_LBRACE,
    ACTIONS(7112), 1,
      aux_sym__qid_token1,
    ACTIONS(7114), 1,
      anon_sym_DOT,
    ACTIONS(7118), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7120), 1,
      anon_sym_u2987,
    ACTIONS(7122), 1,
      aux_sym_integer_token1,
    ACTIONS(7124), 1,
      aux_sym_literal_token1,
    ACTIONS(7126), 1,
      anon_sym_Set,
    ACTIONS(7268), 1,
      anon_sym_in,
    ACTIONS(7270), 1,
      sym__newline,
    ACTIONS(7100), 2,
      anon_sym_using,
      anon_sym_hiding,
    STATE(4270), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7204), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9013), 2,
      aux_sym__import_directives,
      sym_import_directive,
    STATE(7186), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7094), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [438747] = 4,
    ACTIONS(7272), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [438799] = 19,
    ACTIONS(6241), 1,
      anon_sym_BSLASH,
    ACTIONS(7274), 1,
      sym_id,
    ACTIONS(7280), 1,
      anon_sym_record,
    ACTIONS(7283), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7289), 1,
      anon_sym_u2983,
    ACTIONS(7292), 1,
      anon_sym_LBRACE,
    ACTIONS(7295), 1,
      aux_sym__qid_token1,
    ACTIONS(7298), 1,
      anon_sym_DOT,
    ACTIONS(7301), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7304), 1,
      anon_sym_u2987,
    ACTIONS(7310), 1,
      anon_sym_Set,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(7307), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(4113), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6950), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 7,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
    STATE(6868), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7277), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [438881] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [438931] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [438981] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [439031] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(6471), 1,
      sym_id,
    ACTIONS(6473), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6477), 1,
      anon_sym_record,
    ACTIONS(6479), 1,
      anon_sym_LPAREN,
    ACTIONS(6481), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_u2983,
    ACTIONS(6485), 1,
      anon_sym_LBRACE,
    ACTIONS(6487), 1,
      aux_sym__qid_token1,
    ACTIONS(6489), 1,
      anon_sym_DOT,
    ACTIONS(6493), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6495), 1,
      anon_sym_u2987,
    ACTIONS(6497), 1,
      aux_sym_integer_token1,
    ACTIONS(6499), 1,
      aux_sym_literal_token1,
    ACTIONS(6501), 1,
      anon_sym_Set,
    STATE(6852), 1,
      sym_atom,
    STATE(6848), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6847), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6224), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(6475), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [439119] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [439169] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [439219] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [439269] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [439319] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [439369] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 39,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [439419] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [439472] = 4,
    ACTIONS(7313), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [439523] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [439572] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [439621] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [439670] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [439719] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [439768] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [439817] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [439866] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [439915] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [439964] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [440013] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [440062] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [440111] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [440160] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [440209] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [440258] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [440307] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [440356] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [440405] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [440454] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [440503] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [440552] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [440601] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(6866), 1,
      sym_id,
    ACTIONS(6868), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6872), 1,
      anon_sym_record,
    ACTIONS(6874), 1,
      anon_sym_LPAREN,
    ACTIONS(6876), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6878), 1,
      anon_sym_u2983,
    ACTIONS(6880), 1,
      anon_sym_LBRACE,
    ACTIONS(6882), 1,
      aux_sym__qid_token1,
    ACTIONS(6884), 1,
      anon_sym_DOT,
    ACTIONS(6888), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6890), 1,
      anon_sym_u2987,
    ACTIONS(6892), 1,
      aux_sym_integer_token1,
    ACTIONS(6894), 1,
      aux_sym_literal_token1,
    ACTIONS(6896), 1,
      anon_sym_Set,
    STATE(6914), 1,
      sym_atom,
    STATE(6908), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(6899), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6870), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [440688] = 4,
    ACTIONS(7315), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [440739] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [440788] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [440837] = 25,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7128), 1,
      anon_sym_RPAREN,
    ACTIONS(7183), 1,
      anon_sym_public,
    ACTIONS(7189), 1,
      anon_sym_renaming,
    ACTIONS(7317), 1,
      sym_id,
    ACTIONS(7319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7323), 1,
      anon_sym_record,
    ACTIONS(7325), 1,
      anon_sym_LPAREN,
    ACTIONS(7327), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7329), 1,
      anon_sym_u2983,
    ACTIONS(7331), 1,
      anon_sym_LBRACE,
    ACTIONS(7333), 1,
      aux_sym__qid_token1,
    ACTIONS(7335), 1,
      anon_sym_DOT,
    ACTIONS(7337), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7339), 1,
      anon_sym_u2987,
    ACTIONS(7341), 1,
      aux_sym_integer_token1,
    ACTIONS(7343), 1,
      aux_sym_literal_token1,
    ACTIONS(7345), 1,
      anon_sym_Set,
    ACTIONS(7185), 2,
      anon_sym_using,
      anon_sym_hiding,
    STATE(4154), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7337), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9090), 2,
      aux_sym__import_directives,
      sym_import_directive,
    STATE(7307), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7321), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [440930] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [440979] = 25,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7183), 1,
      anon_sym_public,
    ACTIONS(7189), 1,
      anon_sym_renaming,
    ACTIONS(7270), 1,
      anon_sym_RPAREN,
    ACTIONS(7317), 1,
      sym_id,
    ACTIONS(7319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7323), 1,
      anon_sym_record,
    ACTIONS(7325), 1,
      anon_sym_LPAREN,
    ACTIONS(7327), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7329), 1,
      anon_sym_u2983,
    ACTIONS(7331), 1,
      anon_sym_LBRACE,
    ACTIONS(7333), 1,
      aux_sym__qid_token1,
    ACTIONS(7335), 1,
      anon_sym_DOT,
    ACTIONS(7337), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7339), 1,
      anon_sym_u2987,
    ACTIONS(7341), 1,
      aux_sym_integer_token1,
    ACTIONS(7343), 1,
      aux_sym_literal_token1,
    ACTIONS(7345), 1,
      anon_sym_Set,
    ACTIONS(7185), 2,
      anon_sym_using,
      anon_sym_hiding,
    STATE(4573), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7337), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9064), 2,
      aux_sym__import_directives,
      sym_import_directive,
    STATE(7307), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7321), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [441072] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [441121] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(7011), 1,
      sym_id,
    ACTIONS(7013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7017), 1,
      anon_sym_record,
    ACTIONS(7019), 1,
      anon_sym_LPAREN,
    ACTIONS(7021), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7023), 1,
      anon_sym_u2983,
    ACTIONS(7025), 1,
      anon_sym_LBRACE,
    ACTIONS(7027), 1,
      aux_sym__qid_token1,
    ACTIONS(7029), 1,
      anon_sym_DOT,
    ACTIONS(7033), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7035), 1,
      anon_sym_u2987,
    ACTIONS(7037), 1,
      aux_sym_integer_token1,
    ACTIONS(7039), 1,
      aux_sym_literal_token1,
    ACTIONS(7041), 1,
      anon_sym_Set,
    STATE(6909), 1,
      sym_atom,
    STATE(6887), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
    STATE(6901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7015), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [441208] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [441257] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [441306] = 4,
    ACTIONS(7347), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [441357] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(6898), 1,
      sym_id,
    ACTIONS(6900), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6904), 1,
      anon_sym_record,
    ACTIONS(6906), 1,
      anon_sym_LPAREN,
    ACTIONS(6908), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6910), 1,
      anon_sym_u2983,
    ACTIONS(6912), 1,
      anon_sym_LBRACE,
    ACTIONS(6914), 1,
      aux_sym__qid_token1,
    ACTIONS(6916), 1,
      anon_sym_DOT,
    ACTIONS(6920), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6922), 1,
      anon_sym_u2987,
    ACTIONS(6924), 1,
      aux_sym_integer_token1,
    ACTIONS(6926), 1,
      aux_sym_literal_token1,
    ACTIONS(6928), 1,
      anon_sym_Set,
    STATE(6880), 1,
      sym_atom,
    STATE(6876), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_in,
    STATE(6874), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6902), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [441444] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [441497] = 4,
    ACTIONS(7349), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [441548] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [441601] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [441654] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(7351), 1,
      sym_id,
    ACTIONS(7353), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7357), 1,
      anon_sym_record,
    ACTIONS(7359), 1,
      anon_sym_LPAREN,
    ACTIONS(7361), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7363), 1,
      anon_sym_u2983,
    ACTIONS(7365), 1,
      anon_sym_LBRACE,
    ACTIONS(7367), 1,
      aux_sym__qid_token1,
    ACTIONS(7369), 1,
      anon_sym_DOT,
    ACTIONS(7371), 1,
      anon_sym_PIPE,
    ACTIONS(7373), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7375), 1,
      anon_sym_u2987,
    ACTIONS(7377), 1,
      aux_sym_integer_token1,
    ACTIONS(7379), 1,
      aux_sym_literal_token1,
    ACTIONS(7381), 1,
      anon_sym_Set,
    STATE(4169), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7132), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
    STATE(7129), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7355), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [441743] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [441792] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [441841] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(7383), 1,
      sym_id,
    ACTIONS(7385), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7389), 1,
      anon_sym_record,
    ACTIONS(7391), 1,
      anon_sym_LPAREN,
    ACTIONS(7393), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7395), 1,
      anon_sym_u2983,
    ACTIONS(7397), 1,
      anon_sym_LBRACE,
    ACTIONS(7399), 1,
      aux_sym__qid_token1,
    ACTIONS(7401), 1,
      anon_sym_DOT,
    ACTIONS(7403), 1,
      anon_sym_PIPE,
    ACTIONS(7405), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7407), 1,
      anon_sym_u2987,
    ACTIONS(7409), 1,
      aux_sym_integer_token1,
    ACTIONS(7411), 1,
      aux_sym_literal_token1,
    ACTIONS(7413), 1,
      anon_sym_Set,
    STATE(4214), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7131), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
    STATE(7150), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7387), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [441930] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(7415), 1,
      sym_id,
    ACTIONS(7418), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7424), 1,
      anon_sym_record,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7430), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7433), 1,
      anon_sym_u2983,
    ACTIONS(7436), 1,
      anon_sym_LBRACE,
    ACTIONS(7439), 1,
      aux_sym__qid_token1,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(7445), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7448), 1,
      anon_sym_u2987,
    ACTIONS(7451), 1,
      aux_sym_integer_token1,
    ACTIONS(7454), 1,
      aux_sym_literal_token1,
    ACTIONS(7457), 1,
      anon_sym_Set,
    STATE(4169), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7132), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
    STATE(7129), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7421), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [442017] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [442066] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [442115] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [442168] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [442217] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [442266] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [442315] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [442364] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [442413] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [442462] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [442511] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [442560] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [442609] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [442658] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [442707] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [442756] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [442805] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [442854] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [442903] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [442952] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [443001] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [443050] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [443099] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [443148] = 25,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_public,
    ACTIONS(7104), 1,
      anon_sym_renaming,
    ACTIONS(7270), 1,
      sym__newline,
    ACTIONS(7460), 1,
      sym_id,
    ACTIONS(7462), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7466), 1,
      anon_sym_record,
    ACTIONS(7468), 1,
      anon_sym_LPAREN,
    ACTIONS(7470), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7472), 1,
      anon_sym_u2983,
    ACTIONS(7474), 1,
      anon_sym_LBRACE,
    ACTIONS(7476), 1,
      aux_sym__qid_token1,
    ACTIONS(7478), 1,
      anon_sym_DOT,
    ACTIONS(7480), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7482), 1,
      anon_sym_u2987,
    ACTIONS(7484), 1,
      aux_sym_integer_token1,
    ACTIONS(7486), 1,
      aux_sym_literal_token1,
    ACTIONS(7488), 1,
      anon_sym_Set,
    ACTIONS(7100), 2,
      anon_sym_using,
      anon_sym_hiding,
    STATE(4525), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7319), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9013), 2,
      aux_sym__import_directives,
      sym_import_directive,
    STATE(7303), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7464), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [443241] = 4,
    ACTIONS(7490), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [443292] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(6979), 1,
      sym_id,
    ACTIONS(6981), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6985), 1,
      anon_sym_record,
    ACTIONS(6987), 1,
      anon_sym_LPAREN,
    ACTIONS(6989), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6991), 1,
      anon_sym_u2983,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    ACTIONS(6995), 1,
      aux_sym__qid_token1,
    ACTIONS(6997), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7003), 1,
      anon_sym_u2987,
    ACTIONS(7005), 1,
      aux_sym_integer_token1,
    ACTIONS(7007), 1,
      aux_sym_literal_token1,
    ACTIONS(7009), 1,
      anon_sym_Set,
    STATE(6969), 1,
      sym_atom,
    STATE(6989), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_in,
    STATE(7110), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6983), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [443379] = 25,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_public,
    ACTIONS(7104), 1,
      anon_sym_renaming,
    ACTIONS(7128), 1,
      sym__newline,
    ACTIONS(7460), 1,
      sym_id,
    ACTIONS(7462), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7466), 1,
      anon_sym_record,
    ACTIONS(7468), 1,
      anon_sym_LPAREN,
    ACTIONS(7470), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7472), 1,
      anon_sym_u2983,
    ACTIONS(7474), 1,
      anon_sym_LBRACE,
    ACTIONS(7476), 1,
      aux_sym__qid_token1,
    ACTIONS(7478), 1,
      anon_sym_DOT,
    ACTIONS(7480), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7482), 1,
      anon_sym_u2987,
    ACTIONS(7484), 1,
      aux_sym_integer_token1,
    ACTIONS(7486), 1,
      aux_sym_literal_token1,
    ACTIONS(7488), 1,
      anon_sym_Set,
    ACTIONS(7100), 2,
      anon_sym_using,
      anon_sym_hiding,
    STATE(4193), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7319), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(9017), 2,
      aux_sym__import_directives,
      sym_import_directive,
    STATE(7303), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7464), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [443472] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [443521] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [443570] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [443619] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [443668] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [443717] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [443766] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [443815] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [443864] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [443913] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [443962] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [444011] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [444060] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [444109] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [444158] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [444207] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [444256] = 4,
    ACTIONS(7492), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [444307] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(7494), 1,
      sym_id,
    ACTIONS(7497), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7503), 1,
      anon_sym_record,
    ACTIONS(7506), 1,
      anon_sym_LPAREN,
    ACTIONS(7509), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7512), 1,
      anon_sym_u2983,
    ACTIONS(7515), 1,
      anon_sym_LBRACE,
    ACTIONS(7518), 1,
      aux_sym__qid_token1,
    ACTIONS(7521), 1,
      anon_sym_DOT,
    ACTIONS(7524), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7527), 1,
      anon_sym_u2987,
    ACTIONS(7530), 1,
      aux_sym_integer_token1,
    ACTIONS(7533), 1,
      aux_sym_literal_token1,
    ACTIONS(7536), 1,
      anon_sym_Set,
    STATE(4214), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7131), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_in,
    STATE(7150), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7500), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [444394] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [444443] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(7539), 1,
      sym_id,
    ACTIONS(7541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7545), 1,
      anon_sym_record,
    ACTIONS(7547), 1,
      anon_sym_LPAREN,
    ACTIONS(7549), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7551), 1,
      anon_sym_u2983,
    ACTIONS(7553), 1,
      anon_sym_LBRACE,
    ACTIONS(7555), 1,
      aux_sym__qid_token1,
    ACTIONS(7557), 1,
      anon_sym_DOT,
    ACTIONS(7559), 1,
      anon_sym_PIPE,
    ACTIONS(7561), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7563), 1,
      anon_sym_u2987,
    ACTIONS(7565), 1,
      aux_sym_integer_token1,
    ACTIONS(7567), 1,
      aux_sym_literal_token1,
    ACTIONS(7569), 1,
      anon_sym_Set,
    STATE(4231), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7159), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
    STATE(7141), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7543), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [444532] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [444581] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(7571), 1,
      sym_id,
    ACTIONS(7573), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7577), 1,
      anon_sym_record,
    ACTIONS(7579), 1,
      anon_sym_LPAREN,
    ACTIONS(7581), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7583), 1,
      anon_sym_u2983,
    ACTIONS(7585), 1,
      anon_sym_LBRACE,
    ACTIONS(7587), 1,
      aux_sym__qid_token1,
    ACTIONS(7589), 1,
      anon_sym_DOT,
    ACTIONS(7591), 1,
      anon_sym_PIPE,
    ACTIONS(7593), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7595), 1,
      anon_sym_u2987,
    ACTIONS(7597), 1,
      aux_sym_integer_token1,
    ACTIONS(7599), 1,
      aux_sym_literal_token1,
    ACTIONS(7601), 1,
      anon_sym_Set,
    STATE(4234), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7156), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 5,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
    STATE(7145), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7575), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [444670] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [444719] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [444768] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [444817] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [444866] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [444915] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [444964] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [445013] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [445062] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [445111] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [445160] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [445209] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [445258] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(7603), 1,
      sym_id,
    ACTIONS(7606), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7612), 1,
      anon_sym_record,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(7618), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7621), 1,
      anon_sym_u2983,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    ACTIONS(7627), 1,
      aux_sym__qid_token1,
    ACTIONS(7630), 1,
      anon_sym_DOT,
    ACTIONS(7633), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7636), 1,
      anon_sym_u2987,
    ACTIONS(7639), 1,
      aux_sym_integer_token1,
    ACTIONS(7642), 1,
      aux_sym_literal_token1,
    ACTIONS(7645), 1,
      anon_sym_Set,
    STATE(4231), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7159), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7141), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7609), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [445345] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [445394] = 19,
    ACTIONS(6226), 1,
      anon_sym_BSLASH,
    ACTIONS(7648), 1,
      sym_id,
    ACTIONS(7652), 1,
      anon_sym_record,
    ACTIONS(7654), 1,
      anon_sym_LPAREN,
    ACTIONS(7656), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7658), 1,
      anon_sym_u2983,
    ACTIONS(7660), 1,
      anon_sym_LBRACE,
    ACTIONS(7662), 1,
      aux_sym__qid_token1,
    ACTIONS(7664), 1,
      anon_sym_DOT,
    ACTIONS(7666), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7668), 1,
      anon_sym_u2987,
    ACTIONS(7672), 1,
      anon_sym_Set,
    STATE(6862), 1,
      sym_atom,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(7670), 2,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
    STATE(6950), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 7,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_let,
      anon_sym_do,
    STATE(6868), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7650), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [445475] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(7674), 1,
      sym_id,
    ACTIONS(7677), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7683), 1,
      anon_sym_record,
    ACTIONS(7686), 1,
      anon_sym_LPAREN,
    ACTIONS(7689), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7692), 1,
      anon_sym_u2983,
    ACTIONS(7695), 1,
      anon_sym_LBRACE,
    ACTIONS(7698), 1,
      aux_sym__qid_token1,
    ACTIONS(7701), 1,
      anon_sym_DOT,
    ACTIONS(7704), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7707), 1,
      anon_sym_u2987,
    ACTIONS(7710), 1,
      aux_sym_integer_token1,
    ACTIONS(7713), 1,
      aux_sym_literal_token1,
    ACTIONS(7716), 1,
      anon_sym_Set,
    STATE(4234), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7156), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 6,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_in,
    STATE(7145), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7680), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [445562] = 4,
    ACTIONS(7719), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [445613] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [445662] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [445711] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [445760] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [445809] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [445858] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [445907] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [445956] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [446005] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [446054] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [446103] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [446152] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [446201] = 4,
    ACTIONS(7721), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [446252] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [446305] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [446358] = 4,
    ACTIONS(7723), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [446409] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [446458] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [446507] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 38,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [446556] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [446604] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [446652] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [446700] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [446748] = 4,
    ACTIONS(7725), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [446798] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(7539), 1,
      sym_id,
    ACTIONS(7541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7545), 1,
      anon_sym_record,
    ACTIONS(7547), 1,
      anon_sym_LPAREN,
    ACTIONS(7549), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7551), 1,
      anon_sym_u2983,
    ACTIONS(7553), 1,
      anon_sym_LBRACE,
    ACTIONS(7555), 1,
      aux_sym__qid_token1,
    ACTIONS(7557), 1,
      anon_sym_DOT,
    ACTIONS(7561), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7563), 1,
      anon_sym_u2987,
    ACTIONS(7565), 1,
      aux_sym_integer_token1,
    ACTIONS(7567), 1,
      aux_sym_literal_token1,
    ACTIONS(7569), 1,
      anon_sym_Set,
    STATE(7171), 1,
      sym_atom,
    STATE(7159), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7141), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7543), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [446884] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym_RBRACE,
    ACTIONS(7727), 1,
      sym_id,
    ACTIONS(7730), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7736), 1,
      anon_sym_record,
    ACTIONS(7739), 1,
      anon_sym_LPAREN,
    ACTIONS(7742), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7745), 1,
      anon_sym_u2983,
    ACTIONS(7748), 1,
      anon_sym_LBRACE,
    ACTIONS(7751), 1,
      aux_sym__qid_token1,
    ACTIONS(7754), 1,
      anon_sym_DOT,
    ACTIONS(7757), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7760), 1,
      anon_sym_u2987,
    ACTIONS(7763), 1,
      aux_sym_integer_token1,
    ACTIONS(7766), 1,
      aux_sym_literal_token1,
    ACTIONS(7769), 1,
      anon_sym_Set,
    STATE(4261), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7180), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 5,
      anon_sym_public,
      anon_sym_using,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
    STATE(7280), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7733), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [446970] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(7772), 1,
      sym_id,
    ACTIONS(7774), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7778), 1,
      anon_sym_record,
    ACTIONS(7780), 1,
      anon_sym_LPAREN,
    ACTIONS(7782), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7784), 1,
      anon_sym_u2983,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    ACTIONS(7788), 1,
      aux_sym__qid_token1,
    ACTIONS(7790), 1,
      anon_sym_DOT,
    ACTIONS(7792), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7796), 1,
      anon_sym_u2987,
    ACTIONS(7798), 1,
      aux_sym_integer_token1,
    ACTIONS(7800), 1,
      aux_sym_literal_token1,
    ACTIONS(7802), 1,
      anon_sym_Set,
    STATE(4277), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7239), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
    STATE(7234), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7776), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [447058] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [447106] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [447154] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [447202] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [447250] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [447298] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [447346] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [447394] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(7804), 1,
      sym_id,
    ACTIONS(7807), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7813), 1,
      anon_sym_record,
    ACTIONS(7816), 1,
      anon_sym_LPAREN,
    ACTIONS(7819), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7822), 1,
      anon_sym_u2983,
    ACTIONS(7825), 1,
      anon_sym_LBRACE,
    ACTIONS(7828), 1,
      aux_sym__qid_token1,
    ACTIONS(7831), 1,
      anon_sym_DOT,
    ACTIONS(7834), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7837), 1,
      anon_sym_u2987,
    ACTIONS(7840), 1,
      aux_sym_integer_token1,
    ACTIONS(7843), 1,
      aux_sym_literal_token1,
    ACTIONS(7846), 1,
      anon_sym_Set,
    STATE(4270), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7204), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 5,
      anon_sym_public,
      anon_sym_using,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_in,
    STATE(7186), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7810), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [447480] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [447528] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [447576] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [447624] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [447672] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [447720] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(7849), 1,
      sym_id,
    ACTIONS(7851), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7855), 1,
      anon_sym_record,
    ACTIONS(7857), 1,
      anon_sym_LPAREN,
    ACTIONS(7859), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7861), 1,
      anon_sym_u2983,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(7865), 1,
      aux_sym__qid_token1,
    ACTIONS(7867), 1,
      anon_sym_DOT,
    ACTIONS(7869), 1,
      anon_sym_PIPE,
    ACTIONS(7871), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7873), 1,
      anon_sym_u2987,
    ACTIONS(7875), 1,
      aux_sym_integer_token1,
    ACTIONS(7877), 1,
      aux_sym_literal_token1,
    ACTIONS(7879), 1,
      anon_sym_Set,
    STATE(4319), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7248), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 4,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
    STATE(7199), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7853), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [447808] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(7881), 1,
      sym_id,
    ACTIONS(7884), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7890), 1,
      anon_sym_record,
    ACTIONS(7893), 1,
      anon_sym_LPAREN,
    ACTIONS(7896), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7899), 1,
      anon_sym_u2983,
    ACTIONS(7902), 1,
      anon_sym_LBRACE,
    ACTIONS(7905), 1,
      aux_sym__qid_token1,
    ACTIONS(7908), 1,
      anon_sym_DOT,
    ACTIONS(7911), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7914), 1,
      anon_sym_u2987,
    ACTIONS(7917), 1,
      aux_sym_integer_token1,
    ACTIONS(7920), 1,
      aux_sym_literal_token1,
    ACTIONS(7923), 1,
      anon_sym_Set,
    STATE(4277), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7239), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
    STATE(7234), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7887), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [447894] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [447942] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [447990] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [448038] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [448086] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(7926), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [448136] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [448184] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(7383), 1,
      sym_id,
    ACTIONS(7385), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7389), 1,
      anon_sym_record,
    ACTIONS(7391), 1,
      anon_sym_LPAREN,
    ACTIONS(7393), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7395), 1,
      anon_sym_u2983,
    ACTIONS(7397), 1,
      anon_sym_LBRACE,
    ACTIONS(7399), 1,
      aux_sym__qid_token1,
    ACTIONS(7401), 1,
      anon_sym_DOT,
    ACTIONS(7405), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7407), 1,
      anon_sym_u2987,
    ACTIONS(7409), 1,
      aux_sym_integer_token1,
    ACTIONS(7411), 1,
      aux_sym_literal_token1,
    ACTIONS(7413), 1,
      anon_sym_Set,
    STATE(7155), 1,
      sym_atom,
    STATE(7131), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_in,
    STATE(7150), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7387), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [448270] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [448318] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [448366] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7090), 1,
      sym_id,
    ACTIONS(7092), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7096), 1,
      anon_sym_record,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(7110), 1,
      anon_sym_LBRACE,
    ACTIONS(7112), 1,
      aux_sym__qid_token1,
    ACTIONS(7114), 1,
      anon_sym_DOT,
    ACTIONS(7118), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7120), 1,
      anon_sym_u2987,
    ACTIONS(7122), 1,
      aux_sym_integer_token1,
    ACTIONS(7124), 1,
      aux_sym_literal_token1,
    ACTIONS(7126), 1,
      anon_sym_Set,
    ACTIONS(7930), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_u2983,
    ACTIONS(7934), 1,
      sym__newline,
    STATE(4292), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7204), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(7928), 5,
      anon_sym_public,
      anon_sym_using,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_in,
    STATE(7186), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7094), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [448452] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [448500] = 4,
    ACTIONS(7936), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [448550] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [448598] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [448650] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7090), 1,
      sym_id,
    ACTIONS(7092), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7096), 1,
      anon_sym_record,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(7106), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7108), 1,
      anon_sym_u2983,
    ACTIONS(7110), 1,
      anon_sym_LBRACE,
    ACTIONS(7112), 1,
      aux_sym__qid_token1,
    ACTIONS(7114), 1,
      anon_sym_DOT,
    ACTIONS(7118), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7120), 1,
      anon_sym_u2987,
    ACTIONS(7122), 1,
      aux_sym_integer_token1,
    ACTIONS(7124), 1,
      aux_sym_literal_token1,
    ACTIONS(7126), 1,
      anon_sym_Set,
    ACTIONS(7940), 1,
      sym__newline,
    STATE(4270), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7204), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(7938), 5,
      anon_sym_public,
      anon_sym_using,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_in,
    STATE(7186), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7094), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [448736] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [448784] = 4,
    ACTIONS(7942), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [448834] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [448882] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [448930] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [448978] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [449026] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [449074] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [449122] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [449170] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [449218] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [449266] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [449314] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [449362] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [449410] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [449458] = 4,
    ACTIONS(7944), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [449508] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(7571), 1,
      sym_id,
    ACTIONS(7573), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7577), 1,
      anon_sym_record,
    ACTIONS(7579), 1,
      anon_sym_LPAREN,
    ACTIONS(7581), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7583), 1,
      anon_sym_u2983,
    ACTIONS(7585), 1,
      anon_sym_LBRACE,
    ACTIONS(7587), 1,
      aux_sym__qid_token1,
    ACTIONS(7589), 1,
      anon_sym_DOT,
    ACTIONS(7593), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7595), 1,
      anon_sym_u2987,
    ACTIONS(7597), 1,
      aux_sym_integer_token1,
    ACTIONS(7599), 1,
      aux_sym_literal_token1,
    ACTIONS(7601), 1,
      anon_sym_Set,
    STATE(7115), 1,
      sym_atom,
    STATE(7156), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 6,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_in,
    STATE(7145), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7575), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [449594] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [449642] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [449694] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [449742] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [449790] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [449838] = 4,
    ACTIONS(7946), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [449888] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [449936] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [449984] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [450032] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(7948), 1,
      sym_id,
    ACTIONS(7951), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7957), 1,
      anon_sym_record,
    ACTIONS(7960), 1,
      anon_sym_LPAREN,
    ACTIONS(7963), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7966), 1,
      anon_sym_u2983,
    ACTIONS(7969), 1,
      anon_sym_LBRACE,
    ACTIONS(7972), 1,
      aux_sym__qid_token1,
    ACTIONS(7975), 1,
      anon_sym_DOT,
    ACTIONS(7978), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7981), 1,
      anon_sym_u2987,
    ACTIONS(7984), 1,
      aux_sym_integer_token1,
    ACTIONS(7987), 1,
      aux_sym_literal_token1,
    ACTIONS(7990), 1,
      anon_sym_Set,
    STATE(4319), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7248), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 5,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_in,
    STATE(7199), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7954), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [450118] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [450166] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [450214] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [450262] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [450310] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(7993), 1,
      sym_id,
    ACTIONS(7995), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7999), 1,
      anon_sym_record,
    ACTIONS(8001), 1,
      anon_sym_LPAREN,
    ACTIONS(8003), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8005), 1,
      anon_sym_u2983,
    ACTIONS(8007), 1,
      anon_sym_LBRACE,
    ACTIONS(8009), 1,
      aux_sym__qid_token1,
    ACTIONS(8011), 1,
      anon_sym_DOT,
    ACTIONS(8013), 1,
      anon_sym_PIPE,
    ACTIONS(8015), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8017), 1,
      anon_sym_u2987,
    ACTIONS(8019), 1,
      aux_sym_integer_token1,
    ACTIONS(8021), 1,
      aux_sym_literal_token1,
    ACTIONS(8023), 1,
      anon_sym_Set,
    STATE(4352), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7227), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 4,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
    STATE(7216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7997), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [450398] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [450446] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [450494] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [450542] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [450590] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [450638] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [450686] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [450734] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8025), 1,
      sym_id,
    ACTIONS(8028), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8034), 1,
      anon_sym_record,
    ACTIONS(8037), 1,
      anon_sym_LPAREN,
    ACTIONS(8040), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8043), 1,
      anon_sym_u2983,
    ACTIONS(8046), 1,
      anon_sym_LBRACE,
    ACTIONS(8049), 1,
      aux_sym__qid_token1,
    ACTIONS(8052), 1,
      anon_sym_DOT,
    ACTIONS(8055), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8058), 1,
      anon_sym_u2987,
    ACTIONS(8061), 1,
      aux_sym_integer_token1,
    ACTIONS(8064), 1,
      aux_sym_literal_token1,
    ACTIONS(8067), 1,
      anon_sym_Set,
    ACTIONS(6241), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    STATE(4332), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7212), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7200), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8031), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [450820] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [450868] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [450916] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [450964] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [451012] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [451060] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [451108] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [451156] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [451204] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [451252] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [451300] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [451348] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [451396] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [451444] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [451492] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [451540] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [451588] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(8070), 1,
      sym_id,
    ACTIONS(8072), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8076), 1,
      anon_sym_record,
    ACTIONS(8078), 1,
      anon_sym_LPAREN,
    ACTIONS(8080), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8082), 1,
      anon_sym_u2983,
    ACTIONS(8084), 1,
      anon_sym_LBRACE,
    ACTIONS(8086), 1,
      aux_sym__qid_token1,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8090), 1,
      anon_sym_PIPE,
    ACTIONS(8092), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8094), 1,
      anon_sym_u2987,
    ACTIONS(8096), 1,
      aux_sym_integer_token1,
    ACTIONS(8098), 1,
      aux_sym_literal_token1,
    ACTIONS(8100), 1,
      anon_sym_Set,
    STATE(4385), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7189), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
    STATE(7185), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8074), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [451676] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [451724] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [451772] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(8102), 1,
      sym_id,
    ACTIONS(8105), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8111), 1,
      anon_sym_record,
    ACTIONS(8114), 1,
      anon_sym_LPAREN,
    ACTIONS(8117), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8120), 1,
      anon_sym_u2983,
    ACTIONS(8123), 1,
      anon_sym_LBRACE,
    ACTIONS(8126), 1,
      aux_sym__qid_token1,
    ACTIONS(8129), 1,
      anon_sym_DOT,
    ACTIONS(8132), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8135), 1,
      anon_sym_u2987,
    ACTIONS(8138), 1,
      aux_sym_integer_token1,
    ACTIONS(8141), 1,
      aux_sym_literal_token1,
    ACTIONS(8144), 1,
      anon_sym_Set,
    STATE(4352), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7227), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 5,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8108), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [451858] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [451906] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [451954] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452002] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452050] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452098] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452146] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452194] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452242] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452290] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452338] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452386] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452434] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452482] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452530] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452578] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452626] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452674] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452722] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452770] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452818] = 4,
    ACTIONS(8147), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452868] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452916] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [452964] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [453012] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [453060] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [453108] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [453156] = 4,
    ACTIONS(8149), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [453206] = 4,
    ACTIONS(8151), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [453256] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [453304] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [453352] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [453400] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(8153), 1,
      sym_id,
    ACTIONS(8156), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8162), 1,
      anon_sym_record,
    ACTIONS(8165), 1,
      anon_sym_LPAREN,
    ACTIONS(8168), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8171), 1,
      anon_sym_u2983,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    ACTIONS(8177), 1,
      aux_sym__qid_token1,
    ACTIONS(8180), 1,
      anon_sym_DOT,
    ACTIONS(8183), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8186), 1,
      anon_sym_u2987,
    ACTIONS(8189), 1,
      aux_sym_integer_token1,
    ACTIONS(8192), 1,
      aux_sym_literal_token1,
    ACTIONS(8195), 1,
      anon_sym_Set,
    STATE(4385), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7189), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 5,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_in,
    STATE(7185), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8159), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [453486] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [453534] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [453582] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [453630] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [453678] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [453726] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [453774] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [453822] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 5,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [453874] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [453922] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [453970] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [454018] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [454066] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [454114] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [454166] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [454214] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [454262] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [454314] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(7351), 1,
      sym_id,
    ACTIONS(7353), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7357), 1,
      anon_sym_record,
    ACTIONS(7359), 1,
      anon_sym_LPAREN,
    ACTIONS(7361), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7363), 1,
      anon_sym_u2983,
    ACTIONS(7365), 1,
      anon_sym_LBRACE,
    ACTIONS(7367), 1,
      aux_sym__qid_token1,
    ACTIONS(7369), 1,
      anon_sym_DOT,
    ACTIONS(7373), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7375), 1,
      anon_sym_u2987,
    ACTIONS(7377), 1,
      aux_sym_integer_token1,
    ACTIONS(7379), 1,
      aux_sym_literal_token1,
    ACTIONS(7381), 1,
      anon_sym_Set,
    STATE(7136), 1,
      sym_atom,
    STATE(7132), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
    STATE(7129), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7355), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [454400] = 4,
    ACTIONS(8198), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [454450] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [454502] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [454550] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [454602] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [454654] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [454702] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [454750] = 4,
    ACTIONS(8200), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [454800] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [454848] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 7,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [454900] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [454948] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [454996] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [455044] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [455092] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [455139] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [455186] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [455233] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [455280] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [455327] = 4,
    ACTIONS(8202), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [455376] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [455423] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [455470] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      anon_sym_RPAREN,
    ACTIONS(8204), 1,
      sym_id,
    ACTIONS(8206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8210), 1,
      anon_sym_record,
    ACTIONS(8212), 1,
      anon_sym_LPAREN,
    ACTIONS(8214), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8216), 1,
      anon_sym_u2983,
    ACTIONS(8218), 1,
      anon_sym_LBRACE,
    ACTIONS(8220), 1,
      aux_sym__qid_token1,
    ACTIONS(8222), 1,
      anon_sym_DOT,
    ACTIONS(8224), 1,
      anon_sym_PIPE,
    ACTIONS(8226), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8228), 1,
      anon_sym_u2987,
    ACTIONS(8230), 1,
      aux_sym_integer_token1,
    ACTIONS(8232), 1,
      aux_sym_literal_token1,
    ACTIONS(8234), 1,
      anon_sym_Set,
    STATE(4332), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7212), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
    STATE(7200), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8208), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [455557] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8236), 1,
      sym_id,
    ACTIONS(8239), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8245), 1,
      anon_sym_record,
    ACTIONS(8248), 1,
      anon_sym_LPAREN,
    ACTIONS(8251), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8254), 1,
      anon_sym_u2983,
    ACTIONS(8257), 1,
      anon_sym_LBRACE,
    ACTIONS(8260), 1,
      aux_sym__qid_token1,
    ACTIONS(8263), 1,
      anon_sym_DOT,
    ACTIONS(8266), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8269), 1,
      anon_sym_u2987,
    ACTIONS(8272), 1,
      aux_sym_integer_token1,
    ACTIONS(8275), 1,
      aux_sym_literal_token1,
    ACTIONS(8278), 1,
      anon_sym_Set,
    ACTIONS(6241), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    STATE(4427), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7367), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7361), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8242), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [455642] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [455689] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [455736] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [455783] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [455830] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [455877] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(8281), 1,
      sym_id,
    ACTIONS(8283), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8287), 1,
      anon_sym_record,
    ACTIONS(8289), 1,
      anon_sym_LPAREN,
    ACTIONS(8291), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8293), 1,
      anon_sym_u2983,
    ACTIONS(8295), 1,
      anon_sym_LBRACE,
    ACTIONS(8297), 1,
      aux_sym__qid_token1,
    ACTIONS(8299), 1,
      anon_sym_DOT,
    ACTIONS(8301), 1,
      anon_sym_PIPE,
    ACTIONS(8303), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8305), 1,
      anon_sym_u2987,
    ACTIONS(8307), 1,
      aux_sym_integer_token1,
    ACTIONS(8309), 1,
      aux_sym_literal_token1,
    ACTIONS(8311), 1,
      anon_sym_Set,
    STATE(4568), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7313), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 3,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
    STATE(7311), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8285), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [455964] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8313), 1,
      sym_id,
    ACTIONS(8316), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8322), 1,
      anon_sym_record,
    ACTIONS(8325), 1,
      anon_sym_LPAREN,
    ACTIONS(8328), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8331), 1,
      anon_sym_u2983,
    ACTIONS(8334), 1,
      anon_sym_LBRACE,
    ACTIONS(8337), 1,
      aux_sym__qid_token1,
    ACTIONS(8340), 1,
      anon_sym_DOT,
    ACTIONS(8343), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8346), 1,
      anon_sym_u2987,
    ACTIONS(8349), 1,
      aux_sym_integer_token1,
    ACTIONS(8352), 1,
      aux_sym_literal_token1,
    ACTIONS(8355), 1,
      anon_sym_Set,
    ACTIONS(6241), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    STATE(4434), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7424), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(7417), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8319), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [456049] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [456096] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [456143] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [456190] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(8070), 1,
      sym_id,
    ACTIONS(8072), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8076), 1,
      anon_sym_record,
    ACTIONS(8078), 1,
      anon_sym_LPAREN,
    ACTIONS(8080), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8082), 1,
      anon_sym_u2983,
    ACTIONS(8084), 1,
      anon_sym_LBRACE,
    ACTIONS(8086), 1,
      aux_sym__qid_token1,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8094), 1,
      anon_sym_u2987,
    ACTIONS(8096), 1,
      aux_sym_integer_token1,
    ACTIONS(8098), 1,
      aux_sym_literal_token1,
    ACTIONS(8100), 1,
      anon_sym_Set,
    STATE(7197), 1,
      sym_atom,
    STATE(7189), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 5,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_in,
    STATE(7185), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8074), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [456275] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [456322] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [456369] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [456416] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [456463] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [456510] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [456557] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [456604] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [456651] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [456698] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [456745] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [456792] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [456839] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [456886] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      anon_sym_RBRACE,
    ACTIONS(7175), 1,
      sym_id,
    ACTIONS(7177), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7181), 1,
      anon_sym_record,
    ACTIONS(7187), 1,
      anon_sym_LPAREN,
    ACTIONS(7193), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7195), 1,
      anon_sym_u2983,
    ACTIONS(7197), 1,
      anon_sym_LBRACE,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(7203), 1,
      anon_sym_DOT,
    ACTIONS(7205), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7207), 1,
      anon_sym_u2987,
    ACTIONS(7209), 1,
      aux_sym_integer_token1,
    ACTIONS(7211), 1,
      aux_sym_literal_token1,
    ACTIONS(7213), 1,
      anon_sym_Set,
    STATE(7184), 1,
      sym_atom,
    STATE(7180), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 5,
      anon_sym_public,
      anon_sym_using,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
    STATE(7280), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7179), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [456971] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8358), 1,
      sym_id,
    ACTIONS(8361), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8367), 1,
      anon_sym_record,
    ACTIONS(8370), 1,
      anon_sym_LPAREN,
    ACTIONS(8373), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8376), 1,
      anon_sym_u2983,
    ACTIONS(8379), 1,
      anon_sym_LBRACE,
    ACTIONS(8382), 1,
      aux_sym__qid_token1,
    ACTIONS(8385), 1,
      anon_sym_DOT,
    ACTIONS(8388), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8391), 1,
      anon_sym_u2987,
    ACTIONS(8394), 1,
      aux_sym_integer_token1,
    ACTIONS(8397), 1,
      aux_sym_literal_token1,
    ACTIONS(8400), 1,
      anon_sym_Set,
    STATE(4453), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7382), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
      anon_sym_PIPE,
    STATE(7363), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8364), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [457054] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [457101] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(8403), 1,
      sym_id,
    ACTIONS(8405), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_record,
    ACTIONS(8411), 1,
      anon_sym_LPAREN,
    ACTIONS(8413), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8415), 1,
      anon_sym_u2983,
    ACTIONS(8417), 1,
      anon_sym_LBRACE,
    ACTIONS(8419), 1,
      aux_sym__qid_token1,
    ACTIONS(8421), 1,
      anon_sym_DOT,
    ACTIONS(8423), 1,
      anon_sym_PIPE,
    ACTIONS(8425), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8427), 1,
      anon_sym_u2987,
    ACTIONS(8429), 1,
      aux_sym_integer_token1,
    ACTIONS(8431), 1,
      aux_sym_literal_token1,
    ACTIONS(8433), 1,
      anon_sym_Set,
    STATE(4516), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7444), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_in,
    STATE(7441), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8407), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [457188] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(8435), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [457237] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [457284] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [457331] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [457378] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [457425] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(8437), 1,
      sym_id,
    ACTIONS(8440), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8446), 1,
      anon_sym_record,
    ACTIONS(8449), 1,
      anon_sym_LPAREN,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8455), 1,
      anon_sym_u2983,
    ACTIONS(8458), 1,
      anon_sym_LBRACE,
    ACTIONS(8461), 1,
      aux_sym__qid_token1,
    ACTIONS(8464), 1,
      anon_sym_DOT,
    ACTIONS(8467), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8470), 1,
      anon_sym_u2987,
    ACTIONS(8473), 1,
      aux_sym_integer_token1,
    ACTIONS(8476), 1,
      aux_sym_literal_token1,
    ACTIONS(8479), 1,
      anon_sym_Set,
    STATE(4461), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7383), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_in,
    STATE(7298), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8443), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [457510] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [457561] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [457608] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(8482), 1,
      sym_id,
    ACTIONS(8485), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8491), 1,
      anon_sym_record,
    ACTIONS(8494), 1,
      anon_sym_LPAREN,
    ACTIONS(8497), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8500), 1,
      anon_sym_u2983,
    ACTIONS(8503), 1,
      anon_sym_LBRACE,
    ACTIONS(8506), 1,
      aux_sym__qid_token1,
    ACTIONS(8509), 1,
      anon_sym_DOT,
    ACTIONS(8512), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8515), 1,
      anon_sym_u2987,
    ACTIONS(8518), 1,
      aux_sym_integer_token1,
    ACTIONS(8521), 1,
      aux_sym_literal_token1,
    ACTIONS(8524), 1,
      anon_sym_Set,
    STATE(4464), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7434), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7399), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8488), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [457693] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [457740] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [457787] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [457834] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [457881] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [457928] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [457975] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [458022] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [458069] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [458116] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [458163] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [458210] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8527), 1,
      sym_id,
    ACTIONS(8529), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8533), 1,
      anon_sym_record,
    ACTIONS(8535), 1,
      anon_sym_LPAREN,
    ACTIONS(8537), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8539), 1,
      anon_sym_u2983,
    ACTIONS(8541), 1,
      anon_sym_LBRACE,
    ACTIONS(8543), 1,
      aux_sym__qid_token1,
    ACTIONS(8545), 1,
      anon_sym_DOT,
    ACTIONS(8547), 1,
      anon_sym_PIPE,
    ACTIONS(8549), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8551), 1,
      anon_sym_u2987,
    ACTIONS(8553), 1,
      aux_sym_integer_token1,
    ACTIONS(8555), 1,
      aux_sym_literal_token1,
    ACTIONS(8557), 1,
      anon_sym_Set,
    STATE(4453), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7382), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
    STATE(7363), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8531), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [458295] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [458342] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [458389] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [458436] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [458483] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [458530] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [458577] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7460), 1,
      sym_id,
    ACTIONS(7462), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7466), 1,
      anon_sym_record,
    ACTIONS(7468), 1,
      anon_sym_LPAREN,
    ACTIONS(7474), 1,
      anon_sym_LBRACE,
    ACTIONS(7476), 1,
      aux_sym__qid_token1,
    ACTIONS(7478), 1,
      anon_sym_DOT,
    ACTIONS(7480), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7482), 1,
      anon_sym_u2987,
    ACTIONS(7484), 1,
      aux_sym_integer_token1,
    ACTIONS(7486), 1,
      aux_sym_literal_token1,
    ACTIONS(7488), 1,
      anon_sym_Set,
    ACTIONS(7934), 1,
      sym__newline,
    ACTIONS(8559), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_u2983,
    STATE(4613), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7319), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(7928), 4,
      anon_sym_public,
      anon_sym_using,
      anon_sym_hiding,
      anon_sym_renaming,
    STATE(7303), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7464), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [458662] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [458709] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [458756] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [458803] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [458850] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [458897] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [458944] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [458991] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [459038] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [459085] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [459132] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(8563), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [459181] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [459228] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [459275] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [459322] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [459369] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [459416] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      anon_sym_RBRACE,
    ACTIONS(8565), 1,
      sym_id,
    ACTIONS(8567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8571), 1,
      anon_sym_record,
    ACTIONS(8573), 1,
      anon_sym_LPAREN,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8577), 1,
      anon_sym_u2983,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(8581), 1,
      aux_sym__qid_token1,
    ACTIONS(8583), 1,
      anon_sym_DOT,
    ACTIONS(8585), 1,
      anon_sym_PIPE,
    ACTIONS(8587), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8589), 1,
      anon_sym_u2987,
    ACTIONS(8591), 1,
      aux_sym_integer_token1,
    ACTIONS(8593), 1,
      aux_sym_literal_token1,
    ACTIONS(8595), 1,
      anon_sym_Set,
    STATE(4571), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7329), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
    STATE(7375), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8569), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [459503] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [459550] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [459597] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [459644] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [459691] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [459738] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [459785] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [459832] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [459879] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [459926] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [459973] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [460020] = 4,
    ACTIONS(8597), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [460069] = 4,
    ACTIONS(8599), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [460118] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [460165] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [460216] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(8601), 1,
      sym_id,
    ACTIONS(8604), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8610), 1,
      anon_sym_record,
    ACTIONS(8613), 1,
      anon_sym_LPAREN,
    ACTIONS(8616), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8619), 1,
      anon_sym_u2983,
    ACTIONS(8622), 1,
      anon_sym_LBRACE,
    ACTIONS(8625), 1,
      aux_sym__qid_token1,
    ACTIONS(8628), 1,
      anon_sym_DOT,
    ACTIONS(8631), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8634), 1,
      anon_sym_u2987,
    ACTIONS(8637), 1,
      aux_sym_integer_token1,
    ACTIONS(8640), 1,
      aux_sym_literal_token1,
    ACTIONS(8643), 1,
      anon_sym_Set,
    STATE(4516), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7444), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 4,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_in,
    STATE(7441), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8607), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [460301] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [460352] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [460399] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [460446] = 4,
    ACTIONS(8646), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [460495] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [460542] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(7849), 1,
      sym_id,
    ACTIONS(7851), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7855), 1,
      anon_sym_record,
    ACTIONS(7857), 1,
      anon_sym_LPAREN,
    ACTIONS(7859), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7861), 1,
      anon_sym_u2983,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(7865), 1,
      aux_sym__qid_token1,
    ACTIONS(7867), 1,
      anon_sym_DOT,
    ACTIONS(7871), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7873), 1,
      anon_sym_u2987,
    ACTIONS(7875), 1,
      aux_sym_integer_token1,
    ACTIONS(7877), 1,
      aux_sym_literal_token1,
    ACTIONS(7879), 1,
      anon_sym_Set,
    STATE(7286), 1,
      sym_atom,
    STATE(7248), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 5,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_in,
    STATE(7199), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7853), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [460627] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8204), 1,
      sym_id,
    ACTIONS(8206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8210), 1,
      anon_sym_record,
    ACTIONS(8212), 1,
      anon_sym_LPAREN,
    ACTIONS(8214), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8216), 1,
      anon_sym_u2983,
    ACTIONS(8218), 1,
      anon_sym_LBRACE,
    ACTIONS(8220), 1,
      aux_sym__qid_token1,
    ACTIONS(8222), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8228), 1,
      anon_sym_u2987,
    ACTIONS(8230), 1,
      aux_sym_integer_token1,
    ACTIONS(8232), 1,
      aux_sym_literal_token1,
    ACTIONS(8234), 1,
      anon_sym_Set,
    STATE(7271), 1,
      sym_atom,
    ACTIONS(6226), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    STATE(7212), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7200), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8208), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [460712] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [460759] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(8648), 1,
      sym_id,
    ACTIONS(8651), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8657), 1,
      anon_sym_record,
    ACTIONS(8660), 1,
      anon_sym_LPAREN,
    ACTIONS(8663), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8666), 1,
      anon_sym_u2983,
    ACTIONS(8669), 1,
      anon_sym_LBRACE,
    ACTIONS(8672), 1,
      aux_sym__qid_token1,
    ACTIONS(8675), 1,
      anon_sym_DOT,
    ACTIONS(8678), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8681), 1,
      anon_sym_u2987,
    ACTIONS(8684), 1,
      aux_sym_integer_token1,
    ACTIONS(8687), 1,
      aux_sym_literal_token1,
    ACTIONS(8690), 1,
      anon_sym_Set,
    STATE(4525), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7319), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 4,
      anon_sym_public,
      anon_sym_using,
      anon_sym_hiding,
      anon_sym_renaming,
    STATE(7303), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8654), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [460844] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [460891] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [460938] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [460985] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [461032] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [461079] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [461126] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [461173] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [461220] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [461267] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [461314] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [461361] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [461408] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [461455] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [461502] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [461549] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [461596] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [461643] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [461690] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [461737] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(7090), 1,
      sym_id,
    ACTIONS(7092), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7096), 1,
      anon_sym_record,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(7106), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7108), 1,
      anon_sym_u2983,
    ACTIONS(7110), 1,
      anon_sym_LBRACE,
    ACTIONS(7112), 1,
      aux_sym__qid_token1,
    ACTIONS(7114), 1,
      anon_sym_DOT,
    ACTIONS(7118), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7120), 1,
      anon_sym_u2987,
    ACTIONS(7122), 1,
      aux_sym_integer_token1,
    ACTIONS(7124), 1,
      aux_sym_literal_token1,
    ACTIONS(7126), 1,
      anon_sym_Set,
    STATE(7190), 1,
      sym_atom,
    STATE(7204), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 5,
      anon_sym_public,
      anon_sym_using,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_in,
    STATE(7186), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7094), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [461822] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [461869] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [461916] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [461967] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(8693), 1,
      sym_id,
    ACTIONS(8695), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8699), 1,
      anon_sym_record,
    ACTIONS(8701), 1,
      anon_sym_LPAREN,
    ACTIONS(8703), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8705), 1,
      anon_sym_u2983,
    ACTIONS(8707), 1,
      anon_sym_LBRACE,
    ACTIONS(8709), 1,
      aux_sym__qid_token1,
    ACTIONS(8711), 1,
      anon_sym_DOT,
    ACTIONS(8713), 1,
      anon_sym_PIPE,
    ACTIONS(8715), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8717), 1,
      anon_sym_u2987,
    ACTIONS(8719), 1,
      aux_sym_integer_token1,
    ACTIONS(8721), 1,
      aux_sym_literal_token1,
    ACTIONS(8723), 1,
      anon_sym_Set,
    STATE(4461), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7383), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_in,
    STATE(7298), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8697), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [462054] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [462101] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [462148] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [462195] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [462242] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [462289] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [462336] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [462383] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [462430] = 4,
    ACTIONS(8725), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [462479] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8727), 1,
      sym_id,
    ACTIONS(8730), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8736), 1,
      anon_sym_record,
    ACTIONS(8739), 1,
      anon_sym_LPAREN,
    ACTIONS(8742), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8745), 1,
      anon_sym_u2983,
    ACTIONS(8748), 1,
      anon_sym_LBRACE,
    ACTIONS(8751), 1,
      aux_sym__qid_token1,
    ACTIONS(8754), 1,
      anon_sym_DOT,
    ACTIONS(8757), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8760), 1,
      anon_sym_u2987,
    ACTIONS(8763), 1,
      aux_sym_integer_token1,
    ACTIONS(8766), 1,
      aux_sym_literal_token1,
    ACTIONS(8769), 1,
      anon_sym_Set,
    ACTIONS(6241), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(4559), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7370), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 3,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7365), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8733), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [462564] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [462611] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [462658] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [462705] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [462752] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [462799] = 4,
    ACTIONS(8772), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [462848] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [462895] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [462942] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(8774), 1,
      sym_id,
    ACTIONS(8777), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8783), 1,
      anon_sym_record,
    ACTIONS(8786), 1,
      anon_sym_LPAREN,
    ACTIONS(8789), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8792), 1,
      anon_sym_u2983,
    ACTIONS(8795), 1,
      anon_sym_LBRACE,
    ACTIONS(8798), 1,
      aux_sym__qid_token1,
    ACTIONS(8801), 1,
      anon_sym_DOT,
    ACTIONS(8804), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8807), 1,
      anon_sym_u2987,
    ACTIONS(8810), 1,
      aux_sym_integer_token1,
    ACTIONS(8813), 1,
      aux_sym_literal_token1,
    ACTIONS(8816), 1,
      anon_sym_Set,
    STATE(4568), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7313), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 4,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
    STATE(7311), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8780), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [463027] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(8819), 1,
      sym_id,
    ACTIONS(8821), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8825), 1,
      anon_sym_record,
    ACTIONS(8827), 1,
      anon_sym_LPAREN,
    ACTIONS(8829), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8831), 1,
      anon_sym_u2983,
    ACTIONS(8833), 1,
      anon_sym_LBRACE,
    ACTIONS(8835), 1,
      aux_sym__qid_token1,
    ACTIONS(8837), 1,
      anon_sym_DOT,
    ACTIONS(8839), 1,
      anon_sym_PIPE,
    ACTIONS(8841), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8843), 1,
      anon_sym_u2987,
    ACTIONS(8845), 1,
      aux_sym_integer_token1,
    ACTIONS(8847), 1,
      aux_sym_literal_token1,
    ACTIONS(8849), 1,
      anon_sym_Set,
    STATE(4464), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7434), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
    STATE(7399), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8823), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [463114] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [463161] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym_RBRACE,
    ACTIONS(8851), 1,
      sym_id,
    ACTIONS(8854), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8860), 1,
      anon_sym_record,
    ACTIONS(8863), 1,
      anon_sym_LPAREN,
    ACTIONS(8866), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8869), 1,
      anon_sym_u2983,
    ACTIONS(8872), 1,
      anon_sym_LBRACE,
    ACTIONS(8875), 1,
      aux_sym__qid_token1,
    ACTIONS(8878), 1,
      anon_sym_DOT,
    ACTIONS(8881), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8884), 1,
      anon_sym_u2987,
    ACTIONS(8887), 1,
      aux_sym_integer_token1,
    ACTIONS(8890), 1,
      aux_sym_literal_token1,
    ACTIONS(8893), 1,
      anon_sym_Set,
    STATE(4571), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7329), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7375), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8857), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [463246] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [463293] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym_RPAREN,
    ACTIONS(8896), 1,
      sym_id,
    ACTIONS(8899), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8905), 1,
      anon_sym_record,
    ACTIONS(8908), 1,
      anon_sym_LPAREN,
    ACTIONS(8911), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8914), 1,
      anon_sym_u2983,
    ACTIONS(8917), 1,
      anon_sym_LBRACE,
    ACTIONS(8920), 1,
      aux_sym__qid_token1,
    ACTIONS(8923), 1,
      anon_sym_DOT,
    ACTIONS(8926), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8929), 1,
      anon_sym_u2987,
    ACTIONS(8932), 1,
      aux_sym_integer_token1,
    ACTIONS(8935), 1,
      aux_sym_literal_token1,
    ACTIONS(8938), 1,
      anon_sym_Set,
    STATE(4573), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7337), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 4,
      anon_sym_public,
      anon_sym_using,
      anon_sym_hiding,
      anon_sym_renaming,
    STATE(7307), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8902), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [463378] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [463425] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [463476] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [463527] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(8941), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [463576] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [463625] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(7772), 1,
      sym_id,
    ACTIONS(7774), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7778), 1,
      anon_sym_record,
    ACTIONS(7780), 1,
      anon_sym_LPAREN,
    ACTIONS(7782), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7784), 1,
      anon_sym_u2983,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    ACTIONS(7788), 1,
      aux_sym__qid_token1,
    ACTIONS(7790), 1,
      anon_sym_DOT,
    ACTIONS(7794), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7796), 1,
      anon_sym_u2987,
    ACTIONS(7798), 1,
      aux_sym_integer_token1,
    ACTIONS(7800), 1,
      aux_sym_literal_token1,
    ACTIONS(7802), 1,
      anon_sym_Set,
    STATE(7243), 1,
      sym_atom,
    STATE(7239), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
    STATE(7234), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7776), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [463710] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [463757] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [463804] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 5,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [463855] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [463902] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(8943), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [463951] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [463998] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [464045] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [464096] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [464143] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [464190] = 4,
    ACTIONS(8945), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [464239] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [464286] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [464333] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(8204), 1,
      sym_id,
    ACTIONS(8206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8210), 1,
      anon_sym_record,
    ACTIONS(8212), 1,
      anon_sym_LPAREN,
    ACTIONS(8214), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8216), 1,
      anon_sym_u2983,
    ACTIONS(8218), 1,
      anon_sym_LBRACE,
    ACTIONS(8220), 1,
      aux_sym__qid_token1,
    ACTIONS(8222), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8228), 1,
      anon_sym_u2987,
    ACTIONS(8230), 1,
      aux_sym_integer_token1,
    ACTIONS(8232), 1,
      aux_sym_literal_token1,
    ACTIONS(8234), 1,
      anon_sym_Set,
    ACTIONS(8947), 1,
      anon_sym_PIPE,
    STATE(4332), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7212), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
    STATE(7200), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8208), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [464420] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [464467] = 4,
    ACTIONS(8949), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [464516] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [464563] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [464610] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [464657] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [464704] = 4,
    ACTIONS(8951), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [464753] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [464804] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [464851] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [464898] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [464945] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [464992] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [465039] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [465086] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [465133] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [465180] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [465227] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [465274] = 4,
    ACTIONS(8953), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [465323] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7460), 1,
      sym_id,
    ACTIONS(7462), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7466), 1,
      anon_sym_record,
    ACTIONS(7468), 1,
      anon_sym_LPAREN,
    ACTIONS(7470), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7472), 1,
      anon_sym_u2983,
    ACTIONS(7474), 1,
      anon_sym_LBRACE,
    ACTIONS(7476), 1,
      aux_sym__qid_token1,
    ACTIONS(7478), 1,
      anon_sym_DOT,
    ACTIONS(7480), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7482), 1,
      anon_sym_u2987,
    ACTIONS(7484), 1,
      aux_sym_integer_token1,
    ACTIONS(7486), 1,
      aux_sym_literal_token1,
    ACTIONS(7488), 1,
      anon_sym_Set,
    ACTIONS(7940), 1,
      sym__newline,
    STATE(4525), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7319), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(7938), 4,
      anon_sym_public,
      anon_sym_using,
      anon_sym_hiding,
      anon_sym_renaming,
    STATE(7303), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7464), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [465408] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [465455] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [465502] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 37,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [465549] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 6,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [465600] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [465647] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [465694] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [465741] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [465788] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [465835] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(7993), 1,
      sym_id,
    ACTIONS(7995), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7999), 1,
      anon_sym_record,
    ACTIONS(8001), 1,
      anon_sym_LPAREN,
    ACTIONS(8003), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8005), 1,
      anon_sym_u2983,
    ACTIONS(8007), 1,
      anon_sym_LBRACE,
    ACTIONS(8009), 1,
      aux_sym__qid_token1,
    ACTIONS(8011), 1,
      anon_sym_DOT,
    ACTIONS(8015), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8017), 1,
      anon_sym_u2987,
    ACTIONS(8019), 1,
      aux_sym_integer_token1,
    ACTIONS(8021), 1,
      aux_sym_literal_token1,
    ACTIONS(8023), 1,
      anon_sym_Set,
    STATE(7236), 1,
      sym_atom,
    STATE(7227), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 5,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7997), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [465920] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [465967] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [466013] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [466059] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [466105] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [466151] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8955), 1,
      sym_id,
    ACTIONS(8957), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8961), 1,
      anon_sym_record,
    ACTIONS(8963), 1,
      anon_sym_LPAREN,
    ACTIONS(8965), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8967), 1,
      anon_sym_u2983,
    ACTIONS(8969), 1,
      anon_sym_LBRACE,
    ACTIONS(8971), 1,
      aux_sym__qid_token1,
    ACTIONS(8973), 1,
      anon_sym_DOT,
    ACTIONS(8975), 1,
      anon_sym_PIPE,
    ACTIONS(8977), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8979), 1,
      anon_sym_u2987,
    ACTIONS(8981), 1,
      aux_sym_integer_token1,
    ACTIONS(8983), 1,
      aux_sym_literal_token1,
    ACTIONS(8985), 1,
      anon_sym_Set,
    STATE(4693), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7464), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
    STATE(7665), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8959), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [466235] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [466281] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [466327] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(8987), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [466375] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8989), 1,
      sym_id,
    ACTIONS(8991), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8995), 1,
      anon_sym_record,
    ACTIONS(8997), 1,
      anon_sym_LPAREN,
    ACTIONS(8999), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9001), 1,
      anon_sym_u2983,
    ACTIONS(9003), 1,
      anon_sym_LBRACE,
    ACTIONS(9005), 1,
      aux_sym__qid_token1,
    ACTIONS(9007), 1,
      anon_sym_DOT,
    ACTIONS(9009), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9011), 1,
      anon_sym_u2987,
    ACTIONS(9013), 1,
      aux_sym_integer_token1,
    ACTIONS(9015), 1,
      aux_sym_literal_token1,
    ACTIONS(9017), 1,
      anon_sym_Set,
    STATE(7438), 1,
      sym_atom,
    ACTIONS(6226), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    STATE(7424), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(7417), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8993), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [466459] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [466505] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [466551] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [466597] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [466643] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [466689] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(9019), 1,
      sym_id,
    ACTIONS(9022), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9028), 1,
      anon_sym_record,
    ACTIONS(9031), 1,
      anon_sym_LPAREN,
    ACTIONS(9034), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9037), 1,
      anon_sym_u2983,
    ACTIONS(9040), 1,
      anon_sym_LBRACE,
    ACTIONS(9043), 1,
      aux_sym__qid_token1,
    ACTIONS(9046), 1,
      anon_sym_DOT,
    ACTIONS(9049), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9052), 1,
      anon_sym_u2987,
    ACTIONS(9055), 1,
      aux_sym_integer_token1,
    ACTIONS(9058), 1,
      aux_sym_literal_token1,
    ACTIONS(9061), 1,
      anon_sym_Set,
    STATE(4639), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7505), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7503), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9025), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [466773] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [466819] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [466865] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [466911] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [466959] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [467005] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [467051] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [467097] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      anon_sym_RBRACE,
    ACTIONS(9064), 1,
      sym_id,
    ACTIONS(9066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9070), 1,
      anon_sym_record,
    ACTIONS(9072), 1,
      anon_sym_LPAREN,
    ACTIONS(9074), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9076), 1,
      anon_sym_u2983,
    ACTIONS(9078), 1,
      anon_sym_LBRACE,
    ACTIONS(9080), 1,
      aux_sym__qid_token1,
    ACTIONS(9082), 1,
      anon_sym_DOT,
    ACTIONS(9084), 1,
      anon_sym_PIPE,
    ACTIONS(9086), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9088), 1,
      anon_sym_u2987,
    ACTIONS(9090), 1,
      aux_sym_integer_token1,
    ACTIONS(9092), 1,
      aux_sym_literal_token1,
    ACTIONS(9094), 1,
      anon_sym_Set,
    ACTIONS(6291), 2,
      anon_sym_COLON,
      anon_sym_SEMI,
    STATE(4559), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7370), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7365), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9068), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [467183] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [467229] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [467279] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [467325] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9096), 1,
      sym_id,
    ACTIONS(9099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9105), 1,
      anon_sym_record,
    ACTIONS(9108), 1,
      anon_sym_LPAREN,
    ACTIONS(9111), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9114), 1,
      anon_sym_u2983,
    ACTIONS(9117), 1,
      anon_sym_LBRACE,
    ACTIONS(9120), 1,
      aux_sym__qid_token1,
    ACTIONS(9123), 1,
      anon_sym_DOT,
    ACTIONS(9126), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9129), 1,
      anon_sym_u2987,
    ACTIONS(9132), 1,
      aux_sym_integer_token1,
    ACTIONS(9135), 1,
      aux_sym_literal_token1,
    ACTIONS(9138), 1,
      anon_sym_Set,
    ACTIONS(6239), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(6241), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    STATE(4651), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7666), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7474), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9102), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [467409] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [467455] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [467501] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [467547] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [467593] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [467639] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9141), 1,
      sym_id,
    ACTIONS(9144), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9150), 1,
      anon_sym_record,
    ACTIONS(9153), 1,
      anon_sym_LPAREN,
    ACTIONS(9156), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9159), 1,
      anon_sym_u2983,
    ACTIONS(9162), 1,
      anon_sym_LBRACE,
    ACTIONS(9165), 1,
      aux_sym__qid_token1,
    ACTIONS(9168), 1,
      anon_sym_DOT,
    ACTIONS(9171), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9174), 1,
      anon_sym_u2987,
    ACTIONS(9177), 1,
      aux_sym_integer_token1,
    ACTIONS(9180), 1,
      aux_sym_literal_token1,
    ACTIONS(9183), 1,
      anon_sym_Set,
    STATE(4657), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7494), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2984,
      anon_sym_PIPE,
    STATE(7493), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9147), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [467721] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [467767] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(9186), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [467815] = 4,
    ACTIONS(9188), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [467863] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [467909] = 4,
    ACTIONS(9190), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [467957] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(9192), 1,
      sym_id,
    ACTIONS(9195), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9201), 1,
      anon_sym_record,
    ACTIONS(9204), 1,
      anon_sym_LPAREN,
    ACTIONS(9207), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9210), 1,
      anon_sym_u2983,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    ACTIONS(9216), 1,
      aux_sym__qid_token1,
    ACTIONS(9219), 1,
      anon_sym_DOT,
    ACTIONS(9222), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9225), 1,
      anon_sym_u2987,
    ACTIONS(9228), 1,
      aux_sym_integer_token1,
    ACTIONS(9231), 1,
      aux_sym_literal_token1,
    ACTIONS(9234), 1,
      anon_sym_Set,
    STATE(4663), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7593), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 3,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7592), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9198), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [468041] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [468087] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [468133] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9237), 1,
      sym_id,
    ACTIONS(9240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9246), 1,
      anon_sym_record,
    ACTIONS(9249), 1,
      anon_sym_LPAREN,
    ACTIONS(9252), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9255), 1,
      anon_sym_u2983,
    ACTIONS(9258), 1,
      anon_sym_LBRACE,
    ACTIONS(9261), 1,
      aux_sym__qid_token1,
    ACTIONS(9264), 1,
      anon_sym_DOT,
    ACTIONS(9267), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9270), 1,
      anon_sym_u2987,
    ACTIONS(9273), 1,
      aux_sym_integer_token1,
    ACTIONS(9276), 1,
      aux_sym_literal_token1,
    ACTIONS(9279), 1,
      anon_sym_Set,
    STATE(4666), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7605), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 4,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2984,
      anon_sym_PIPE,
    STATE(7604), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9243), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [468215] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [468261] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      anon_sym_RBRACE,
    ACTIONS(9282), 1,
      sym_id,
    ACTIONS(9284), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9288), 1,
      anon_sym_record,
    ACTIONS(9290), 1,
      anon_sym_LPAREN,
    ACTIONS(9292), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9294), 1,
      anon_sym_u2983,
    ACTIONS(9296), 1,
      anon_sym_LBRACE,
    ACTIONS(9298), 1,
      aux_sym__qid_token1,
    ACTIONS(9300), 1,
      anon_sym_DOT,
    ACTIONS(9302), 1,
      anon_sym_PIPE,
    ACTIONS(9304), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9306), 1,
      anon_sym_u2987,
    ACTIONS(9308), 1,
      aux_sym_integer_token1,
    ACTIONS(9310), 1,
      aux_sym_literal_token1,
    ACTIONS(9312), 1,
      anon_sym_Set,
    ACTIONS(6291), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(4751), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7524), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7523), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9286), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [468347] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9314), 1,
      sym_id,
    ACTIONS(9316), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9320), 1,
      anon_sym_record,
    ACTIONS(9322), 1,
      anon_sym_LPAREN,
    ACTIONS(9324), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9326), 1,
      anon_sym_u2983,
    ACTIONS(9328), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      aux_sym__qid_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    ACTIONS(9334), 1,
      anon_sym_PIPE,
    ACTIONS(9336), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9338), 1,
      anon_sym_u2987,
    ACTIONS(9340), 1,
      aux_sym_integer_token1,
    ACTIONS(9342), 1,
      aux_sym_literal_token1,
    ACTIONS(9344), 1,
      anon_sym_Set,
    STATE(4657), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7494), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2984,
    STATE(7493), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9318), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [468431] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(9346), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [468479] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9348), 1,
      sym_id,
    ACTIONS(9351), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9357), 1,
      anon_sym_record,
    ACTIONS(9360), 1,
      anon_sym_LPAREN,
    ACTIONS(9363), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9366), 1,
      anon_sym_u2983,
    ACTIONS(9369), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      aux_sym__qid_token1,
    ACTIONS(9375), 1,
      anon_sym_DOT,
    ACTIONS(9378), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9381), 1,
      anon_sym_u2987,
    ACTIONS(9384), 1,
      aux_sym_integer_token1,
    ACTIONS(9387), 1,
      aux_sym_literal_token1,
    ACTIONS(9390), 1,
      anon_sym_Set,
    STATE(4671), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7625), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 4,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
      anon_sym_PIPE,
    STATE(7622), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9354), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [468561] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [468607] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [468653] = 4,
    ACTIONS(9393), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [468701] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_in,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [468751] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [468797] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [468843] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      anon_sym_RBRACE,
    ACTIONS(9395), 1,
      sym_id,
    ACTIONS(9397), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9401), 1,
      anon_sym_record,
    ACTIONS(9403), 1,
      anon_sym_LPAREN,
    ACTIONS(9405), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9407), 1,
      anon_sym_u2983,
    ACTIONS(9409), 1,
      anon_sym_LBRACE,
    ACTIONS(9411), 1,
      aux_sym__qid_token1,
    ACTIONS(9413), 1,
      anon_sym_DOT,
    ACTIONS(9415), 1,
      anon_sym_PIPE,
    ACTIONS(9417), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9419), 1,
      anon_sym_u2987,
    ACTIONS(9421), 1,
      aux_sym_integer_token1,
    ACTIONS(9423), 1,
      aux_sym_literal_token1,
    ACTIONS(9425), 1,
      anon_sym_Set,
    ACTIONS(6291), 2,
      anon_sym_EQ,
      anon_sym_SEMI,
    STATE(4766), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7540), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7539), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9399), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [468929] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [468975] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(8403), 1,
      sym_id,
    ACTIONS(8405), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_record,
    ACTIONS(8411), 1,
      anon_sym_LPAREN,
    ACTIONS(8413), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8415), 1,
      anon_sym_u2983,
    ACTIONS(8417), 1,
      anon_sym_LBRACE,
    ACTIONS(8419), 1,
      aux_sym__qid_token1,
    ACTIONS(8421), 1,
      anon_sym_DOT,
    ACTIONS(8425), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8427), 1,
      anon_sym_u2987,
    ACTIONS(8429), 1,
      aux_sym_integer_token1,
    ACTIONS(8431), 1,
      aux_sym_literal_token1,
    ACTIONS(8433), 1,
      anon_sym_Set,
    STATE(7451), 1,
      sym_atom,
    STATE(7444), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 4,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_in,
    STATE(7441), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8407), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [469059] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [469105] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [469151] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [469197] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [469243] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [469289] = 4,
    ACTIONS(9427), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [469337] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [469387] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      anon_sym_RPAREN,
    ACTIONS(9429), 1,
      sym_id,
    ACTIONS(9431), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9435), 1,
      anon_sym_record,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    ACTIONS(9439), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9441), 1,
      anon_sym_u2983,
    ACTIONS(9443), 1,
      anon_sym_LBRACE,
    ACTIONS(9445), 1,
      aux_sym__qid_token1,
    ACTIONS(9447), 1,
      anon_sym_DOT,
    ACTIONS(9449), 1,
      anon_sym_PIPE,
    ACTIONS(9451), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9453), 1,
      anon_sym_u2987,
    ACTIONS(9455), 1,
      aux_sym_integer_token1,
    ACTIONS(9457), 1,
      aux_sym_literal_token1,
    ACTIONS(9459), 1,
      anon_sym_Set,
    ACTIONS(6291), 2,
      anon_sym_EQ,
      anon_sym_SEMI,
    STATE(4427), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7367), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7361), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9433), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [469473] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [469519] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(9461), 1,
      sym_id,
    ACTIONS(9464), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9470), 1,
      anon_sym_record,
    ACTIONS(9473), 1,
      anon_sym_LPAREN,
    ACTIONS(9476), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9479), 1,
      anon_sym_u2983,
    ACTIONS(9482), 1,
      anon_sym_LBRACE,
    ACTIONS(9485), 1,
      aux_sym__qid_token1,
    ACTIONS(9488), 1,
      anon_sym_DOT,
    ACTIONS(9491), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9494), 1,
      anon_sym_u2987,
    ACTIONS(9497), 1,
      aux_sym_integer_token1,
    ACTIONS(9500), 1,
      aux_sym_literal_token1,
    ACTIONS(9503), 1,
      anon_sym_Set,
    STATE(4690), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7559), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_PIPE,
    STATE(7558), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9467), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [469603] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [469649] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [469695] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9506), 1,
      sym_id,
    ACTIONS(9509), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9515), 1,
      anon_sym_record,
    ACTIONS(9518), 1,
      anon_sym_LPAREN,
    ACTIONS(9521), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9524), 1,
      anon_sym_u2983,
    ACTIONS(9527), 1,
      anon_sym_LBRACE,
    ACTIONS(9530), 1,
      aux_sym__qid_token1,
    ACTIONS(9533), 1,
      anon_sym_DOT,
    ACTIONS(9536), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9539), 1,
      anon_sym_u2987,
    ACTIONS(9542), 1,
      aux_sym_integer_token1,
    ACTIONS(9545), 1,
      aux_sym_literal_token1,
    ACTIONS(9548), 1,
      anon_sym_Set,
    STATE(4693), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7464), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7665), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9512), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [469777] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [469823] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9551), 1,
      sym_id,
    ACTIONS(9553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9557), 1,
      anon_sym_record,
    ACTIONS(9559), 1,
      anon_sym_LPAREN,
    ACTIONS(9561), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9563), 1,
      anon_sym_u2983,
    ACTIONS(9565), 1,
      anon_sym_LBRACE,
    ACTIONS(9567), 1,
      aux_sym__qid_token1,
    ACTIONS(9569), 1,
      anon_sym_DOT,
    ACTIONS(9571), 1,
      anon_sym_PIPE,
    ACTIONS(9573), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9575), 1,
      anon_sym_u2987,
    ACTIONS(9577), 1,
      aux_sym_integer_token1,
    ACTIONS(9579), 1,
      aux_sym_literal_token1,
    ACTIONS(9581), 1,
      anon_sym_Set,
    STATE(4671), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7625), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
    STATE(7622), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9555), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [469907] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [469953] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [469999] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [470045] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9583), 1,
      sym_id,
    ACTIONS(9586), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9592), 1,
      anon_sym_record,
    ACTIONS(9595), 1,
      anon_sym_LPAREN,
    ACTIONS(9598), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9601), 1,
      anon_sym_u2983,
    ACTIONS(9604), 1,
      anon_sym_LBRACE,
    ACTIONS(9607), 1,
      aux_sym__qid_token1,
    ACTIONS(9610), 1,
      anon_sym_DOT,
    ACTIONS(9613), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9616), 1,
      anon_sym_u2987,
    ACTIONS(9619), 1,
      aux_sym_integer_token1,
    ACTIONS(9622), 1,
      aux_sym_literal_token1,
    ACTIONS(9625), 1,
      anon_sym_Set,
    ACTIONS(6239), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(6241), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    STATE(4699), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7570), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7569), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9589), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [470129] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(9628), 1,
      sym_id,
    ACTIONS(9630), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9634), 1,
      anon_sym_record,
    ACTIONS(9636), 1,
      anon_sym_LPAREN,
    ACTIONS(9638), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9640), 1,
      anon_sym_u2983,
    ACTIONS(9642), 1,
      anon_sym_LBRACE,
    ACTIONS(9644), 1,
      aux_sym__qid_token1,
    ACTIONS(9646), 1,
      anon_sym_DOT,
    ACTIONS(9648), 1,
      anon_sym_PIPE,
    ACTIONS(9650), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9652), 1,
      anon_sym_u2987,
    ACTIONS(9654), 1,
      aux_sym_integer_token1,
    ACTIONS(9656), 1,
      aux_sym_literal_token1,
    ACTIONS(9658), 1,
      anon_sym_Set,
    ACTIONS(6291), 2,
      anon_sym_EQ,
      anon_sym_SEMI,
    STATE(4639), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7505), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7503), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9632), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [470215] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [470261] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [470307] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(9660), 1,
      sym_id,
    ACTIONS(9663), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9669), 1,
      anon_sym_record,
    ACTIONS(9672), 1,
      anon_sym_LPAREN,
    ACTIONS(9675), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9678), 1,
      anon_sym_u2983,
    ACTIONS(9681), 1,
      anon_sym_LBRACE,
    ACTIONS(9684), 1,
      aux_sym__qid_token1,
    ACTIONS(9687), 1,
      anon_sym_DOT,
    ACTIONS(9690), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9693), 1,
      anon_sym_u2987,
    ACTIONS(9696), 1,
      aux_sym_integer_token1,
    ACTIONS(9699), 1,
      aux_sym_literal_token1,
    ACTIONS(9702), 1,
      anon_sym_Set,
    STATE(4703), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7640), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7639), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9666), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [470391] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [470437] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [470483] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [470529] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [470579] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(9705), 1,
      sym_id,
    ACTIONS(9707), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9711), 1,
      anon_sym_record,
    ACTIONS(9713), 1,
      anon_sym_LPAREN,
    ACTIONS(9715), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9717), 1,
      anon_sym_u2983,
    ACTIONS(9719), 1,
      anon_sym_LBRACE,
    ACTIONS(9721), 1,
      aux_sym__qid_token1,
    ACTIONS(9723), 1,
      anon_sym_DOT,
    ACTIONS(9725), 1,
      anon_sym_PIPE,
    ACTIONS(9727), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9729), 1,
      anon_sym_u2987,
    ACTIONS(9731), 1,
      aux_sym_integer_token1,
    ACTIONS(9733), 1,
      aux_sym_literal_token1,
    ACTIONS(9735), 1,
      anon_sym_Set,
    ACTIONS(6291), 2,
      anon_sym_EQ,
      anon_sym_SEMI,
    STATE(4703), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7640), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7639), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9709), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [470665] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9737), 1,
      sym_id,
    ACTIONS(9739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9743), 1,
      anon_sym_record,
    ACTIONS(9745), 1,
      anon_sym_LPAREN,
    ACTIONS(9747), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9749), 1,
      anon_sym_u2983,
    ACTIONS(9751), 1,
      anon_sym_LBRACE,
    ACTIONS(9753), 1,
      aux_sym__qid_token1,
    ACTIONS(9755), 1,
      anon_sym_DOT,
    ACTIONS(9757), 1,
      anon_sym_PIPE,
    ACTIONS(9759), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9761), 1,
      anon_sym_u2987,
    ACTIONS(9763), 1,
      aux_sym_integer_token1,
    ACTIONS(9765), 1,
      aux_sym_literal_token1,
    ACTIONS(9767), 1,
      anon_sym_Set,
    STATE(4729), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7654), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2988,
    STATE(7653), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9741), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [470749] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [470795] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(9769), 1,
      sym_id,
    ACTIONS(9771), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9775), 1,
      anon_sym_record,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(9779), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9781), 1,
      anon_sym_u2983,
    ACTIONS(9783), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      aux_sym__qid_token1,
    ACTIONS(9787), 1,
      anon_sym_DOT,
    ACTIONS(9789), 1,
      anon_sym_PIPE,
    ACTIONS(9791), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9793), 1,
      anon_sym_u2987,
    ACTIONS(9795), 1,
      aux_sym_integer_token1,
    ACTIONS(9797), 1,
      aux_sym_literal_token1,
    ACTIONS(9799), 1,
      anon_sym_Set,
    ACTIONS(6291), 2,
      anon_sym_EQ,
      anon_sym_in,
    STATE(4746), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7478), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7534), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9773), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [470881] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [470927] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [470973] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [471019] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      anon_sym_RBRACE,
    ACTIONS(8565), 1,
      sym_id,
    ACTIONS(8567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8571), 1,
      anon_sym_record,
    ACTIONS(8573), 1,
      anon_sym_LPAREN,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8577), 1,
      anon_sym_u2983,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(8581), 1,
      aux_sym__qid_token1,
    ACTIONS(8583), 1,
      anon_sym_DOT,
    ACTIONS(8587), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8589), 1,
      anon_sym_u2987,
    ACTIONS(8591), 1,
      aux_sym_integer_token1,
    ACTIONS(8593), 1,
      aux_sym_literal_token1,
    ACTIONS(8595), 1,
      anon_sym_Set,
    STATE(7449), 1,
      sym_atom,
    STATE(7329), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7375), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8569), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [471103] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [471149] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [471195] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [471241] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [471287] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [471333] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [471379] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [471425] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [471471] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [471517] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [471563] = 4,
    ACTIONS(9801), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [471611] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [471657] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [471703] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9803), 1,
      sym_id,
    ACTIONS(9806), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9812), 1,
      anon_sym_record,
    ACTIONS(9815), 1,
      anon_sym_LPAREN,
    ACTIONS(9818), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9821), 1,
      anon_sym_u2983,
    ACTIONS(9824), 1,
      anon_sym_LBRACE,
    ACTIONS(9827), 1,
      aux_sym__qid_token1,
    ACTIONS(9830), 1,
      anon_sym_DOT,
    ACTIONS(9833), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9836), 1,
      anon_sym_u2987,
    ACTIONS(9839), 1,
      aux_sym_integer_token1,
    ACTIONS(9842), 1,
      aux_sym_literal_token1,
    ACTIONS(9845), 1,
      anon_sym_Set,
    STATE(4729), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7654), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 4,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_u2988,
    STATE(7653), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9809), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [471785] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [471833] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [471879] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [471925] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [471971] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [472017] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [472063] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      anon_sym_RPAREN,
    ACTIONS(8989), 1,
      sym_id,
    ACTIONS(8991), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8995), 1,
      anon_sym_record,
    ACTIONS(8997), 1,
      anon_sym_LPAREN,
    ACTIONS(8999), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9001), 1,
      anon_sym_u2983,
    ACTIONS(9003), 1,
      anon_sym_LBRACE,
    ACTIONS(9005), 1,
      aux_sym__qid_token1,
    ACTIONS(9007), 1,
      anon_sym_DOT,
    ACTIONS(9009), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9011), 1,
      anon_sym_u2987,
    ACTIONS(9013), 1,
      aux_sym_integer_token1,
    ACTIONS(9015), 1,
      aux_sym_literal_token1,
    ACTIONS(9017), 1,
      anon_sym_Set,
    ACTIONS(9848), 1,
      anon_sym_PIPE,
    ACTIONS(6291), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(4434), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7424), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7417), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8993), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [472149] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [472195] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [472241] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [472291] = 4,
    ACTIONS(9850), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [472339] = 4,
    ACTIONS(9852), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [472387] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_in,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [472437] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [472483] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [472529] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(9854), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [472577] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(9856), 1,
      sym_id,
    ACTIONS(9859), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9865), 1,
      anon_sym_record,
    ACTIONS(9868), 1,
      anon_sym_LPAREN,
    ACTIONS(9871), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9874), 1,
      anon_sym_u2983,
    ACTIONS(9877), 1,
      anon_sym_LBRACE,
    ACTIONS(9880), 1,
      aux_sym__qid_token1,
    ACTIONS(9883), 1,
      anon_sym_DOT,
    ACTIONS(9886), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9889), 1,
      anon_sym_u2987,
    ACTIONS(9892), 1,
      aux_sym_integer_token1,
    ACTIONS(9895), 1,
      aux_sym_literal_token1,
    ACTIONS(9898), 1,
      anon_sym_Set,
    STATE(4746), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7478), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_in,
    STATE(7534), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9862), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [472661] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [472707] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(8819), 1,
      sym_id,
    ACTIONS(8821), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8825), 1,
      anon_sym_record,
    ACTIONS(8827), 1,
      anon_sym_LPAREN,
    ACTIONS(8829), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8831), 1,
      anon_sym_u2983,
    ACTIONS(8833), 1,
      anon_sym_LBRACE,
    ACTIONS(8835), 1,
      aux_sym__qid_token1,
    ACTIONS(8837), 1,
      anon_sym_DOT,
    ACTIONS(8841), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8843), 1,
      anon_sym_u2987,
    ACTIONS(8845), 1,
      aux_sym_integer_token1,
    ACTIONS(8847), 1,
      aux_sym_literal_token1,
    ACTIONS(8849), 1,
      anon_sym_Set,
    STATE(7356), 1,
      sym_atom,
    STATE(7434), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7399), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8823), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [472791] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(9901), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [472839] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [472885] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym_RBRACE,
    ACTIONS(9903), 1,
      sym_id,
    ACTIONS(9906), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9912), 1,
      anon_sym_record,
    ACTIONS(9915), 1,
      anon_sym_LPAREN,
    ACTIONS(9918), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9921), 1,
      anon_sym_u2983,
    ACTIONS(9924), 1,
      anon_sym_LBRACE,
    ACTIONS(9927), 1,
      aux_sym__qid_token1,
    ACTIONS(9930), 1,
      anon_sym_DOT,
    ACTIONS(9933), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9936), 1,
      anon_sym_u2987,
    ACTIONS(9939), 1,
      aux_sym_integer_token1,
    ACTIONS(9942), 1,
      aux_sym_literal_token1,
    ACTIONS(9945), 1,
      anon_sym_Set,
    STATE(4751), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7524), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(7523), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9909), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [472969] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [473015] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [473061] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [473107] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(9948), 1,
      sym_id,
    ACTIONS(9950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9954), 1,
      anon_sym_record,
    ACTIONS(9956), 1,
      anon_sym_LPAREN,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9960), 1,
      anon_sym_u2983,
    ACTIONS(9962), 1,
      anon_sym_LBRACE,
    ACTIONS(9964), 1,
      aux_sym__qid_token1,
    ACTIONS(9966), 1,
      anon_sym_DOT,
    ACTIONS(9968), 1,
      anon_sym_PIPE,
    ACTIONS(9970), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9972), 1,
      anon_sym_u2987,
    ACTIONS(9974), 1,
      aux_sym_integer_token1,
    ACTIONS(9976), 1,
      aux_sym_literal_token1,
    ACTIONS(9978), 1,
      anon_sym_Set,
    ACTIONS(6291), 2,
      anon_sym_EQ,
      anon_sym_where,
    STATE(4690), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7559), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7558), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9952), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [473193] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [473239] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [473285] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [473331] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [473377] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [473423] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [473469] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [473515] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [473561] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [473607] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [473653] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym_RBRACE,
    ACTIONS(9980), 1,
      sym_id,
    ACTIONS(9983), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9989), 1,
      anon_sym_record,
    ACTIONS(9992), 1,
      anon_sym_LPAREN,
    ACTIONS(9995), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9998), 1,
      anon_sym_u2983,
    ACTIONS(10001), 1,
      anon_sym_LBRACE,
    ACTIONS(10004), 1,
      aux_sym__qid_token1,
    ACTIONS(10007), 1,
      anon_sym_DOT,
    ACTIONS(10010), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10013), 1,
      anon_sym_u2987,
    ACTIONS(10016), 1,
      aux_sym_integer_token1,
    ACTIONS(10019), 1,
      aux_sym_literal_token1,
    ACTIONS(10022), 1,
      anon_sym_Set,
    STATE(4766), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7540), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7539), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9986), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [473737] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [473783] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [473829] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [473875] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [473921] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [473967] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474013] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474059] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474105] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474151] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474197] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474243] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474289] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474335] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474381] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474431] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474477] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474523] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474569] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474615] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474661] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474707] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474753] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474799] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474845] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9064), 1,
      sym_id,
    ACTIONS(9066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9070), 1,
      anon_sym_record,
    ACTIONS(9072), 1,
      anon_sym_LPAREN,
    ACTIONS(9074), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9076), 1,
      anon_sym_u2983,
    ACTIONS(9078), 1,
      anon_sym_LBRACE,
    ACTIONS(9080), 1,
      aux_sym__qid_token1,
    ACTIONS(9082), 1,
      anon_sym_DOT,
    ACTIONS(9086), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9088), 1,
      anon_sym_u2987,
    ACTIONS(9090), 1,
      aux_sym_integer_token1,
    ACTIONS(9092), 1,
      aux_sym_literal_token1,
    ACTIONS(9094), 1,
      anon_sym_Set,
    STATE(7388), 1,
      sym_atom,
    ACTIONS(6226), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(7370), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 3,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7365), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9068), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [474929] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [474977] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475023] = 4,
    ACTIONS(10025), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475071] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(8281), 1,
      sym_id,
    ACTIONS(8283), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8287), 1,
      anon_sym_record,
    ACTIONS(8289), 1,
      anon_sym_LPAREN,
    ACTIONS(8291), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8293), 1,
      anon_sym_u2983,
    ACTIONS(8295), 1,
      anon_sym_LBRACE,
    ACTIONS(8297), 1,
      aux_sym__qid_token1,
    ACTIONS(8299), 1,
      anon_sym_DOT,
    ACTIONS(8303), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8305), 1,
      anon_sym_u2987,
    ACTIONS(8307), 1,
      aux_sym_integer_token1,
    ACTIONS(8309), 1,
      aux_sym_literal_token1,
    ACTIONS(8311), 1,
      anon_sym_Set,
    STATE(7321), 1,
      sym_atom,
    STATE(7313), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 4,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_PIPE,
    STATE(7311), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8285), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [475155] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475201] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475247] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475293] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475339] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475385] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475431] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475477] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475523] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475569] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475615] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475661] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475707] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475753] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10027), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475801] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475847] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10029), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475895] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10031), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475943] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [475989] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      anon_sym_RPAREN,
    ACTIONS(7317), 1,
      sym_id,
    ACTIONS(7319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7323), 1,
      anon_sym_record,
    ACTIONS(7325), 1,
      anon_sym_LPAREN,
    ACTIONS(7327), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7329), 1,
      anon_sym_u2983,
    ACTIONS(7331), 1,
      anon_sym_LBRACE,
    ACTIONS(7333), 1,
      aux_sym__qid_token1,
    ACTIONS(7335), 1,
      anon_sym_DOT,
    ACTIONS(7337), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7339), 1,
      anon_sym_u2987,
    ACTIONS(7341), 1,
      aux_sym_integer_token1,
    ACTIONS(7343), 1,
      aux_sym_literal_token1,
    ACTIONS(7345), 1,
      anon_sym_Set,
    STATE(7343), 1,
      sym_atom,
    STATE(7337), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 4,
      anon_sym_public,
      anon_sym_using,
      anon_sym_hiding,
      anon_sym_renaming,
    STATE(7307), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7321), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [476073] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [476123] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10033), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [476171] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [476217] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(10035), 1,
      sym_id,
    ACTIONS(10037), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10041), 1,
      anon_sym_record,
    ACTIONS(10043), 1,
      anon_sym_LPAREN,
    ACTIONS(10045), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10047), 1,
      anon_sym_u2983,
    ACTIONS(10049), 1,
      anon_sym_LBRACE,
    ACTIONS(10051), 1,
      aux_sym__qid_token1,
    ACTIONS(10053), 1,
      anon_sym_DOT,
    ACTIONS(10055), 1,
      anon_sym_PIPE,
    ACTIONS(10057), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10059), 1,
      anon_sym_u2987,
    ACTIONS(10061), 1,
      aux_sym_integer_token1,
    ACTIONS(10063), 1,
      aux_sym_literal_token1,
    ACTIONS(10065), 1,
      anon_sym_Set,
    ACTIONS(6291), 2,
      anon_sym_COLON,
      anon_sym_SEMI,
    STATE(4663), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7593), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7592), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10039), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [476303] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10067), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [476351] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [476397] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [476447] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [476493] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [476539] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [476585] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [476631] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [476677] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [476723] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [476769] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [476815] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [476861] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [476907] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [476953] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9429), 1,
      sym_id,
    ACTIONS(9431), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9435), 1,
      anon_sym_record,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    ACTIONS(9439), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9441), 1,
      anon_sym_u2983,
    ACTIONS(9443), 1,
      anon_sym_LBRACE,
    ACTIONS(9445), 1,
      aux_sym__qid_token1,
    ACTIONS(9447), 1,
      anon_sym_DOT,
    ACTIONS(9451), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9453), 1,
      anon_sym_u2987,
    ACTIONS(9455), 1,
      aux_sym_integer_token1,
    ACTIONS(9457), 1,
      aux_sym_literal_token1,
    ACTIONS(9459), 1,
      anon_sym_Set,
    STATE(7381), 1,
      sym_atom,
    ACTIONS(6226), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    STATE(7367), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7361), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9433), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [477037] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10069), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [477085] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [477131] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [477177] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [477223] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10071), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [477271] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [477317] = 4,
    ACTIONS(10073), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [477365] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [477411] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [477457] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [477503] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [477549] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10075), 1,
      sym_id,
    ACTIONS(10077), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10081), 1,
      anon_sym_record,
    ACTIONS(10083), 1,
      anon_sym_LPAREN,
    ACTIONS(10085), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10087), 1,
      anon_sym_u2983,
    ACTIONS(10089), 1,
      anon_sym_LBRACE,
    ACTIONS(10091), 1,
      aux_sym__qid_token1,
    ACTIONS(10093), 1,
      anon_sym_DOT,
    ACTIONS(10095), 1,
      anon_sym_PIPE,
    ACTIONS(10097), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10099), 1,
      anon_sym_u2987,
    ACTIONS(10101), 1,
      aux_sym_integer_token1,
    ACTIONS(10103), 1,
      aux_sym_literal_token1,
    ACTIONS(10105), 1,
      anon_sym_Set,
    STATE(4666), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7605), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6291), 3,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2984,
    STATE(7604), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10079), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [477633] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [477679] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [477725] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [477771] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 5,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [477821] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(7460), 1,
      sym_id,
    ACTIONS(7462), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7466), 1,
      anon_sym_record,
    ACTIONS(7468), 1,
      anon_sym_LPAREN,
    ACTIONS(7470), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7472), 1,
      anon_sym_u2983,
    ACTIONS(7474), 1,
      anon_sym_LBRACE,
    ACTIONS(7476), 1,
      aux_sym__qid_token1,
    ACTIONS(7478), 1,
      anon_sym_DOT,
    ACTIONS(7480), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7482), 1,
      anon_sym_u2987,
    ACTIONS(7484), 1,
      aux_sym_integer_token1,
    ACTIONS(7486), 1,
      aux_sym_literal_token1,
    ACTIONS(7488), 1,
      anon_sym_Set,
    STATE(7339), 1,
      sym_atom,
    STATE(7319), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 4,
      anon_sym_public,
      anon_sym_using,
      anon_sym_hiding,
      anon_sym_renaming,
    STATE(7303), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7464), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [477905] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [477953] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [477999] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [478045] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [478091] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(8693), 1,
      sym_id,
    ACTIONS(8695), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8699), 1,
      anon_sym_record,
    ACTIONS(8701), 1,
      anon_sym_LPAREN,
    ACTIONS(8703), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8705), 1,
      anon_sym_u2983,
    ACTIONS(8707), 1,
      anon_sym_LBRACE,
    ACTIONS(8709), 1,
      aux_sym__qid_token1,
    ACTIONS(8711), 1,
      anon_sym_DOT,
    ACTIONS(8715), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8717), 1,
      anon_sym_u2987,
    ACTIONS(8719), 1,
      aux_sym_integer_token1,
    ACTIONS(8721), 1,
      aux_sym_literal_token1,
    ACTIONS(8723), 1,
      anon_sym_Set,
    STATE(7412), 1,
      sym_atom,
    STATE(7383), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_in,
    STATE(7298), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8697), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [478175] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [478221] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [478267] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [478313] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8527), 1,
      sym_id,
    ACTIONS(8529), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8533), 1,
      anon_sym_record,
    ACTIONS(8535), 1,
      anon_sym_LPAREN,
    ACTIONS(8537), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8539), 1,
      anon_sym_u2983,
    ACTIONS(8541), 1,
      anon_sym_LBRACE,
    ACTIONS(8543), 1,
      aux_sym__qid_token1,
    ACTIONS(8545), 1,
      anon_sym_DOT,
    ACTIONS(8549), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8551), 1,
      anon_sym_u2987,
    ACTIONS(8553), 1,
      aux_sym_integer_token1,
    ACTIONS(8555), 1,
      aux_sym_literal_token1,
    ACTIONS(8557), 1,
      anon_sym_Set,
    STATE(7406), 1,
      sym_atom,
    STATE(7382), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
      anon_sym_PIPE,
    STATE(7363), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8531), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [478395] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [478443] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [478489] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [478535] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [478581] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [478627] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [478673] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [478719] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [478765] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [478811] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [478857] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [478903] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [478949] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [478995] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [479041] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [479087] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [479133] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [479179] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [479225] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [479271] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [479317] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [479363] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [479409] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [479455] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(8989), 1,
      sym_id,
    ACTIONS(8991), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8995), 1,
      anon_sym_record,
    ACTIONS(8997), 1,
      anon_sym_LPAREN,
    ACTIONS(8999), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9001), 1,
      anon_sym_u2983,
    ACTIONS(9003), 1,
      anon_sym_LBRACE,
    ACTIONS(9005), 1,
      aux_sym__qid_token1,
    ACTIONS(9007), 1,
      anon_sym_DOT,
    ACTIONS(9009), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9011), 1,
      anon_sym_u2987,
    ACTIONS(9013), 1,
      aux_sym_integer_token1,
    ACTIONS(9015), 1,
      aux_sym_literal_token1,
    ACTIONS(9017), 1,
      anon_sym_Set,
    ACTIONS(10107), 1,
      anon_sym_PIPE,
    ACTIONS(6291), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(4434), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7424), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7417), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8993), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [479541] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [479587] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [479633] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [479679] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [479725] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [479771] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [479817] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [479863] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [479909] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      anon_sym_RPAREN,
    ACTIONS(9064), 1,
      sym_id,
    ACTIONS(9066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9070), 1,
      anon_sym_record,
    ACTIONS(9072), 1,
      anon_sym_LPAREN,
    ACTIONS(9074), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9076), 1,
      anon_sym_u2983,
    ACTIONS(9078), 1,
      anon_sym_LBRACE,
    ACTIONS(9080), 1,
      aux_sym__qid_token1,
    ACTIONS(9082), 1,
      anon_sym_DOT,
    ACTIONS(9086), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9088), 1,
      anon_sym_u2987,
    ACTIONS(9090), 1,
      aux_sym_integer_token1,
    ACTIONS(9092), 1,
      aux_sym_literal_token1,
    ACTIONS(9094), 1,
      anon_sym_Set,
    ACTIONS(10109), 1,
      anon_sym_PIPE,
    ACTIONS(6291), 2,
      anon_sym_COLON,
      anon_sym_SEMI,
    STATE(4559), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7370), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7365), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9068), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [479995] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6319), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(9429), 1,
      sym_id,
    ACTIONS(9431), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9435), 1,
      anon_sym_record,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    ACTIONS(9439), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9441), 1,
      anon_sym_u2983,
    ACTIONS(9443), 1,
      anon_sym_LBRACE,
    ACTIONS(9445), 1,
      aux_sym__qid_token1,
    ACTIONS(9447), 1,
      anon_sym_DOT,
    ACTIONS(9451), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9453), 1,
      anon_sym_u2987,
    ACTIONS(9455), 1,
      aux_sym_integer_token1,
    ACTIONS(9457), 1,
      aux_sym_literal_token1,
    ACTIONS(9459), 1,
      anon_sym_Set,
    ACTIONS(10111), 1,
      anon_sym_PIPE,
    ACTIONS(6291), 2,
      anon_sym_EQ,
      anon_sym_SEMI,
    STATE(4427), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7367), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7361), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9433), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [480081] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [480127] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [480173] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [480219] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [480265] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [480311] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10113), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [480359] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [480405] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [480451] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10115), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [480499] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [480545] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [480591] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 36,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [480637] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [480683] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [480729] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [480775] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [480821] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [480867] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [480913] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [480959] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [481005] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [481051] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [481099] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [481145] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10027), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [481193] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [481238] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10119), 1,
      sym_id,
    ACTIONS(10122), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10128), 1,
      anon_sym_record,
    ACTIONS(10131), 1,
      anon_sym_LPAREN,
    ACTIONS(10134), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10137), 1,
      anon_sym_u2983,
    ACTIONS(10140), 1,
      anon_sym_LBRACE,
    ACTIONS(10143), 1,
      aux_sym__qid_token1,
    ACTIONS(10146), 1,
      anon_sym_DOT,
    ACTIONS(10149), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10152), 1,
      anon_sym_u2987,
    ACTIONS(10155), 1,
      aux_sym_integer_token1,
    ACTIONS(10158), 1,
      aux_sym_literal_token1,
    ACTIONS(10161), 1,
      anon_sym_Set,
    STATE(4919), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7811), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_PIPE,
    STATE(7749), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10125), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [481319] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [481364] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(9769), 1,
      sym_id,
    ACTIONS(9771), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9775), 1,
      anon_sym_record,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(9779), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9781), 1,
      anon_sym_u2983,
    ACTIONS(9783), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      aux_sym__qid_token1,
    ACTIONS(9787), 1,
      anon_sym_DOT,
    ACTIONS(9791), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9793), 1,
      anon_sym_u2987,
    ACTIONS(9795), 1,
      aux_sym_integer_token1,
    ACTIONS(9797), 1,
      aux_sym_literal_token1,
    ACTIONS(9799), 1,
      anon_sym_Set,
    STATE(7484), 1,
      sym_atom,
    STATE(7478), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_in,
    STATE(7534), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9773), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [481447] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [481492] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10164), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [481539] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [481584] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1649), 1,
      sym__ARROW,
    ACTIONS(10168), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [481667] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1507), 1,
      sym__ARROW,
    ACTIONS(10198), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [481750] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [481799] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [481844] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [481889] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [481934] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [481979] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [482024] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [482069] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym_SEMI,
    ACTIONS(6319), 1,
      anon_sym_RBRACE,
    ACTIONS(10200), 1,
      sym_id,
    ACTIONS(10202), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10206), 1,
      anon_sym_record,
    ACTIONS(10208), 1,
      anon_sym_LPAREN,
    ACTIONS(10210), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10212), 1,
      anon_sym_u2983,
    ACTIONS(10214), 1,
      anon_sym_LBRACE,
    ACTIONS(10216), 1,
      aux_sym__qid_token1,
    ACTIONS(10218), 1,
      anon_sym_DOT,
    ACTIONS(10220), 1,
      anon_sym_PIPE,
    ACTIONS(10222), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10224), 1,
      anon_sym_u2987,
    ACTIONS(10226), 1,
      aux_sym_integer_token1,
    ACTIONS(10228), 1,
      aux_sym_literal_token1,
    ACTIONS(10230), 1,
      anon_sym_Set,
    STATE(5056), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7740), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7726), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10204), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [482154] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [482199] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [482244] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [482289] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [482334] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [482379] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [482424] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [482469] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [482514] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [482559] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [482604] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [482649] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [482694] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1659), 1,
      sym__ARROW,
    ACTIONS(10232), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [482777] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [482822] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [482867] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10234), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [482914] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [482959] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2984,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [483006] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1435), 1,
      sym__ARROW,
    ACTIONS(5252), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [483089] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [483134] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [483179] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym_EQ,
    ACTIONS(6319), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(10236), 1,
      sym_id,
    ACTIONS(10238), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10242), 1,
      anon_sym_record,
    ACTIONS(10244), 1,
      anon_sym_LPAREN,
    ACTIONS(10246), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10248), 1,
      anon_sym_u2983,
    ACTIONS(10250), 1,
      anon_sym_LBRACE,
    ACTIONS(10252), 1,
      aux_sym__qid_token1,
    ACTIONS(10254), 1,
      anon_sym_DOT,
    ACTIONS(10256), 1,
      anon_sym_PIPE,
    ACTIONS(10258), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10260), 1,
      anon_sym_u2987,
    ACTIONS(10262), 1,
      aux_sym_integer_token1,
    ACTIONS(10264), 1,
      aux_sym_literal_token1,
    ACTIONS(10266), 1,
      anon_sym_Set,
    STATE(4969), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7797), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7715), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10240), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [483264] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1669), 1,
      sym__ARROW,
    ACTIONS(10268), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [483347] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [483392] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [483437] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1461), 1,
      sym__ARROW,
    ACTIONS(10270), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [483520] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1522), 1,
      sym__ARROW,
    ACTIONS(10272), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [483603] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [483648] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [483693] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [483738] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_EQ,
      anon_sym_in,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [483787] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [483832] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [483877] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [483922] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(10274), 1,
      sym_id,
    ACTIONS(10277), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10283), 1,
      anon_sym_record,
    ACTIONS(10286), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10292), 1,
      anon_sym_u2983,
    ACTIONS(10295), 1,
      anon_sym_LBRACE,
    ACTIONS(10298), 1,
      aux_sym__qid_token1,
    ACTIONS(10301), 1,
      anon_sym_DOT,
    ACTIONS(10304), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10307), 1,
      anon_sym_u2987,
    ACTIONS(10310), 1,
      aux_sym_integer_token1,
    ACTIONS(10313), 1,
      aux_sym_literal_token1,
    ACTIONS(10316), 1,
      anon_sym_Set,
    ACTIONS(6239), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(4969), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7797), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7715), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10280), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [484005] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1678), 1,
      sym__ARROW,
    ACTIONS(10319), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [484088] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [484133] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [484178] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [484223] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [484268] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [484313] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [484358] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [484403] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1685), 1,
      sym__ARROW,
    ACTIONS(10321), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [484486] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym_EQ,
    ACTIONS(6319), 1,
      anon_sym_RPAREN,
    ACTIONS(10323), 1,
      sym_id,
    ACTIONS(10325), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10329), 1,
      anon_sym_record,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10335), 1,
      anon_sym_u2983,
    ACTIONS(10337), 1,
      anon_sym_LBRACE,
    ACTIONS(10339), 1,
      aux_sym__qid_token1,
    ACTIONS(10341), 1,
      anon_sym_DOT,
    ACTIONS(10343), 1,
      anon_sym_PIPE,
    ACTIONS(10345), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10347), 1,
      anon_sym_u2987,
    ACTIONS(10349), 1,
      aux_sym_integer_token1,
    ACTIONS(10351), 1,
      aux_sym_literal_token1,
    ACTIONS(10353), 1,
      anon_sym_Set,
    STATE(4651), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7666), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7474), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10327), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [484571] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [484616] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [484661] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [484706] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym_EQ,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(10355), 1,
      sym_id,
    ACTIONS(10357), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10361), 1,
      anon_sym_record,
    ACTIONS(10363), 1,
      anon_sym_LPAREN,
    ACTIONS(10365), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10367), 1,
      anon_sym_u2983,
    ACTIONS(10369), 1,
      anon_sym_LBRACE,
    ACTIONS(10371), 1,
      aux_sym__qid_token1,
    ACTIONS(10373), 1,
      anon_sym_DOT,
    ACTIONS(10375), 1,
      anon_sym_PIPE,
    ACTIONS(10377), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10379), 1,
      anon_sym_u2987,
    ACTIONS(10381), 1,
      aux_sym_integer_token1,
    ACTIONS(10383), 1,
      aux_sym_literal_token1,
    ACTIONS(10385), 1,
      anon_sym_Set,
    STATE(5137), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7699), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7698), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10359), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [484791] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [484836] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1536), 1,
      sym__ARROW,
    ACTIONS(10387), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [484919] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10389), 1,
      sym_id,
    ACTIONS(10392), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10398), 1,
      anon_sym_record,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10404), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10407), 1,
      anon_sym_u2983,
    ACTIONS(10410), 1,
      anon_sym_LBRACE,
    ACTIONS(10413), 1,
      aux_sym__qid_token1,
    ACTIONS(10416), 1,
      anon_sym_DOT,
    ACTIONS(10419), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10422), 1,
      anon_sym_u2987,
    ACTIONS(10425), 1,
      aux_sym_integer_token1,
    ACTIONS(10428), 1,
      aux_sym_literal_token1,
    ACTIONS(10431), 1,
      anon_sym_Set,
    STATE(4986), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7770), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_u2988,
    STATE(7780), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10395), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [485000] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [485045] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1692), 1,
      sym__ARROW,
    ACTIONS(10434), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [485128] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [485173] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [485218] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [485263] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [485308] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [485353] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [485398] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [485443] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [485488] = 4,
    ACTIONS(10436), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [485535] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [485580] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1846), 1,
      sym__ARROW,
    ACTIONS(10438), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [485663] = 4,
    ACTIONS(10440), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [485710] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9737), 1,
      sym_id,
    ACTIONS(9739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9743), 1,
      anon_sym_record,
    ACTIONS(9745), 1,
      anon_sym_LPAREN,
    ACTIONS(9747), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9749), 1,
      anon_sym_u2983,
    ACTIONS(9751), 1,
      anon_sym_LBRACE,
    ACTIONS(9753), 1,
      aux_sym__qid_token1,
    ACTIONS(9755), 1,
      anon_sym_DOT,
    ACTIONS(9759), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9761), 1,
      anon_sym_u2987,
    ACTIONS(9763), 1,
      aux_sym_integer_token1,
    ACTIONS(9765), 1,
      aux_sym_literal_token1,
    ACTIONS(9767), 1,
      anon_sym_Set,
    STATE(7657), 1,
      sym_atom,
    STATE(7654), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 4,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_u2988,
    STATE(7653), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9741), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [485791] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [485836] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1447), 1,
      sym__ARROW,
    ACTIONS(10442), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [485919] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1699), 1,
      sym__ARROW,
    ACTIONS(10444), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [486002] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [486047] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [486092] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [486137] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [486182] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1549), 1,
      sym__ARROW,
    ACTIONS(10446), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [486265] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym_COLON,
    ACTIONS(6319), 1,
      anon_sym_RPAREN,
    ACTIONS(10448), 1,
      sym_id,
    ACTIONS(10450), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10454), 1,
      anon_sym_record,
    ACTIONS(10456), 1,
      anon_sym_LPAREN,
    ACTIONS(10458), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10460), 1,
      anon_sym_u2983,
    ACTIONS(10462), 1,
      anon_sym_LBRACE,
    ACTIONS(10464), 1,
      aux_sym__qid_token1,
    ACTIONS(10466), 1,
      anon_sym_DOT,
    ACTIONS(10468), 1,
      anon_sym_PIPE,
    ACTIONS(10470), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10472), 1,
      anon_sym_u2987,
    ACTIONS(10474), 1,
      aux_sym_integer_token1,
    ACTIONS(10476), 1,
      aux_sym_literal_token1,
    ACTIONS(10478), 1,
      anon_sym_Set,
    STATE(4699), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7570), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7569), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10452), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [486350] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [486395] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1706), 1,
      sym__ARROW,
    ACTIONS(10480), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [486478] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10482), 1,
      sym_id,
    ACTIONS(10484), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10488), 1,
      anon_sym_record,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10494), 1,
      anon_sym_u2983,
    ACTIONS(10496), 1,
      anon_sym_LBRACE,
    ACTIONS(10498), 1,
      aux_sym__qid_token1,
    ACTIONS(10500), 1,
      anon_sym_DOT,
    ACTIONS(10502), 1,
      anon_sym_PIPE,
    ACTIONS(10504), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10506), 1,
      anon_sym_u2987,
    ACTIONS(10508), 1,
      aux_sym_integer_token1,
    ACTIONS(10510), 1,
      aux_sym_literal_token1,
    ACTIONS(10512), 1,
      anon_sym_Set,
    ACTIONS(6291), 2,
      anon_sym_EQ,
      anon_sym_u2984,
    STATE(5350), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7718), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7805), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10486), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [486561] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [486606] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [486651] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1474), 1,
      sym__ARROW,
    ACTIONS(10514), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [486734] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [486779] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10516), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [486826] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1498), 1,
      sym__ARROW,
    ACTIONS(5196), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [486909] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10518), 1,
      sym_id,
    ACTIONS(10520), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10524), 1,
      anon_sym_record,
    ACTIONS(10526), 1,
      anon_sym_LPAREN,
    ACTIONS(10528), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10530), 1,
      anon_sym_u2983,
    ACTIONS(10532), 1,
      anon_sym_LBRACE,
    ACTIONS(10534), 1,
      aux_sym__qid_token1,
    ACTIONS(10536), 1,
      anon_sym_DOT,
    ACTIONS(10538), 1,
      anon_sym_PIPE,
    ACTIONS(10540), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10542), 1,
      anon_sym_u2987,
    ACTIONS(10544), 1,
      aux_sym_integer_token1,
    ACTIONS(10546), 1,
      aux_sym_literal_token1,
    ACTIONS(10548), 1,
      anon_sym_Set,
    ACTIONS(6291), 2,
      anon_sym_EQ,
      anon_sym_u2988,
    STATE(4986), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7770), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7780), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10522), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [486992] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1713), 1,
      sym__ARROW,
    ACTIONS(10550), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [487075] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [487120] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym_SEMI,
    ACTIONS(6319), 1,
      sym__newline,
    ACTIONS(10552), 1,
      sym_id,
    ACTIONS(10554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10558), 1,
      anon_sym_record,
    ACTIONS(10560), 1,
      anon_sym_LPAREN,
    ACTIONS(10562), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10564), 1,
      anon_sym_u2983,
    ACTIONS(10566), 1,
      anon_sym_LBRACE,
    ACTIONS(10568), 1,
      aux_sym__qid_token1,
    ACTIONS(10570), 1,
      anon_sym_DOT,
    ACTIONS(10572), 1,
      anon_sym_PIPE,
    ACTIONS(10574), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10576), 1,
      anon_sym_u2987,
    ACTIONS(10578), 1,
      aux_sym_integer_token1,
    ACTIONS(10580), 1,
      aux_sym_literal_token1,
    ACTIONS(10582), 1,
      anon_sym_Set,
    STATE(5095), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7728), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7727), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10556), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [487205] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1720), 1,
      sym__ARROW,
    ACTIONS(10584), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [487288] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [487333] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10586), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [487380] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [487425] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [487470] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1727), 1,
      sym__ARROW,
    ACTIONS(10588), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [487553] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [487598] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(9628), 1,
      sym_id,
    ACTIONS(9630), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9634), 1,
      anon_sym_record,
    ACTIONS(9636), 1,
      anon_sym_LPAREN,
    ACTIONS(9638), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9640), 1,
      anon_sym_u2983,
    ACTIONS(9642), 1,
      anon_sym_LBRACE,
    ACTIONS(9644), 1,
      aux_sym__qid_token1,
    ACTIONS(9646), 1,
      anon_sym_DOT,
    ACTIONS(9650), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9652), 1,
      anon_sym_u2987,
    ACTIONS(9654), 1,
      aux_sym_integer_token1,
    ACTIONS(9656), 1,
      aux_sym_literal_token1,
    ACTIONS(9658), 1,
      anon_sym_Set,
    STATE(7508), 1,
      sym_atom,
    STATE(7505), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7503), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9632), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [487681] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1559), 1,
      sym__ARROW,
    ACTIONS(10590), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [487764] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1734), 1,
      sym__ARROW,
    ACTIONS(10592), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [487847] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [487892] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10594), 1,
      sym_id,
    ACTIONS(10596), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10600), 1,
      anon_sym_record,
    ACTIONS(10602), 1,
      anon_sym_LPAREN,
    ACTIONS(10604), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10606), 1,
      anon_sym_u2983,
    ACTIONS(10608), 1,
      anon_sym_LBRACE,
    ACTIONS(10610), 1,
      aux_sym__qid_token1,
    ACTIONS(10612), 1,
      anon_sym_DOT,
    ACTIONS(10614), 1,
      anon_sym_PIPE,
    ACTIONS(10616), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10618), 1,
      anon_sym_u2987,
    ACTIONS(10620), 1,
      aux_sym_integer_token1,
    ACTIONS(10622), 1,
      aux_sym_literal_token1,
    ACTIONS(10624), 1,
      anon_sym_Set,
    ACTIONS(6291), 2,
      anon_sym_COLON,
      anon_sym_u2984,
    STATE(5200), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7704), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7703), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10598), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [487975] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [488020] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [488065] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1741), 1,
      sym__ARROW,
    ACTIONS(10626), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [488148] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [488193] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [488238] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [488283] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [488328] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [488373] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [488418] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [488463] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [488508] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [488553] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1748), 1,
      sym__ARROW,
    ACTIONS(10628), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [488636] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [488681] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [488726] = 4,
    ACTIONS(10630), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [488773] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [488818] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1755), 1,
      sym__ARROW,
    ACTIONS(10632), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [488901] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [488946] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [488991] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym_RBRACE,
    ACTIONS(10634), 1,
      sym_id,
    ACTIONS(10637), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10643), 1,
      anon_sym_record,
    ACTIONS(10646), 1,
      anon_sym_LPAREN,
    ACTIONS(10649), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10652), 1,
      anon_sym_u2983,
    ACTIONS(10655), 1,
      anon_sym_LBRACE,
    ACTIONS(10658), 1,
      aux_sym__qid_token1,
    ACTIONS(10661), 1,
      anon_sym_DOT,
    ACTIONS(10664), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10667), 1,
      anon_sym_u2987,
    ACTIONS(10670), 1,
      aux_sym_integer_token1,
    ACTIONS(10673), 1,
      aux_sym_literal_token1,
    ACTIONS(10676), 1,
      anon_sym_Set,
    ACTIONS(6239), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(5056), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7740), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7726), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10640), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [489074] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [489119] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [489164] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [489209] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [489254] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [489299] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [489344] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1762), 1,
      sym__ARROW,
    ACTIONS(10679), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [489427] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [489472] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [489517] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [489562] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [489607] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1569), 1,
      sym__ARROW,
    ACTIONS(10681), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [489690] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [489735] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1769), 1,
      sym__ARROW,
    ACTIONS(10683), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [489818] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [489863] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [489908] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_EQ,
      anon_sym_where,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [489957] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [490002] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [490047] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [490096] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10685), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [490143] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1776), 1,
      sym__ARROW,
    ACTIONS(10687), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [490226] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [490271] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1783), 1,
      sym__ARROW,
    ACTIONS(10689), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [490354] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [490399] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [490444] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1790), 1,
      sym__ARROW,
    ACTIONS(10691), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [490527] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10693), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [490574] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [490619] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9314), 1,
      sym_id,
    ACTIONS(9316), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9320), 1,
      anon_sym_record,
    ACTIONS(9322), 1,
      anon_sym_LPAREN,
    ACTIONS(9324), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9326), 1,
      anon_sym_u2983,
    ACTIONS(9328), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      aux_sym__qid_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    ACTIONS(9336), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9338), 1,
      anon_sym_u2987,
    ACTIONS(9340), 1,
      aux_sym_integer_token1,
    ACTIONS(9342), 1,
      aux_sym_literal_token1,
    ACTIONS(9344), 1,
      anon_sym_Set,
    STATE(7497), 1,
      sym_atom,
    STATE(7494), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2984,
      anon_sym_PIPE,
    STATE(7493), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9318), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [490700] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [490747] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10323), 1,
      sym_id,
    ACTIONS(10325), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10329), 1,
      anon_sym_record,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10335), 1,
      anon_sym_u2983,
    ACTIONS(10337), 1,
      anon_sym_LBRACE,
    ACTIONS(10339), 1,
      aux_sym__qid_token1,
    ACTIONS(10341), 1,
      anon_sym_DOT,
    ACTIONS(10345), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10347), 1,
      anon_sym_u2987,
    ACTIONS(10349), 1,
      aux_sym_integer_token1,
    ACTIONS(10351), 1,
      aux_sym_literal_token1,
    ACTIONS(10353), 1,
      anon_sym_Set,
    STATE(7552), 1,
      sym_atom,
    ACTIONS(6224), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(6226), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    STATE(7666), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7474), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10327), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [490830] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [490875] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [490920] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      anon_sym_RBRACE,
    ACTIONS(9282), 1,
      sym_id,
    ACTIONS(9284), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9288), 1,
      anon_sym_record,
    ACTIONS(9290), 1,
      anon_sym_LPAREN,
    ACTIONS(9292), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9294), 1,
      anon_sym_u2983,
    ACTIONS(9296), 1,
      anon_sym_LBRACE,
    ACTIONS(9298), 1,
      aux_sym__qid_token1,
    ACTIONS(9300), 1,
      anon_sym_DOT,
    ACTIONS(9304), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9306), 1,
      anon_sym_u2987,
    ACTIONS(9308), 1,
      aux_sym_integer_token1,
    ACTIONS(9310), 1,
      aux_sym_literal_token1,
    ACTIONS(9312), 1,
      anon_sym_Set,
    STATE(7527), 1,
      sym_atom,
    STATE(7524), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(7523), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9286), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [491003] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [491050] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [491095] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1797), 1,
      sym__ARROW,
    ACTIONS(10695), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [491178] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(10697), 1,
      sym_id,
    ACTIONS(10700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10706), 1,
      anon_sym_record,
    ACTIONS(10709), 1,
      anon_sym_LPAREN,
    ACTIONS(10712), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10715), 1,
      anon_sym_u2983,
    ACTIONS(10718), 1,
      anon_sym_LBRACE,
    ACTIONS(10721), 1,
      aux_sym__qid_token1,
    ACTIONS(10724), 1,
      anon_sym_DOT,
    ACTIONS(10727), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10730), 1,
      anon_sym_u2987,
    ACTIONS(10733), 1,
      aux_sym_integer_token1,
    ACTIONS(10736), 1,
      aux_sym_literal_token1,
    ACTIONS(10739), 1,
      anon_sym_Set,
    ACTIONS(6239), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(5095), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7728), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7727), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10703), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [491261] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [491306] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [491351] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [491396] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [491441] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [491488] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1804), 1,
      sym__ARROW,
    ACTIONS(10742), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [491571] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1579), 1,
      sym__ARROW,
    ACTIONS(10744), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [491654] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1811), 1,
      sym__ARROW,
    ACTIONS(10746), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [491737] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym_EQ,
    ACTIONS(6319), 1,
      anon_sym_RBRACE,
    ACTIONS(10748), 1,
      sym_id,
    ACTIONS(10750), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10754), 1,
      anon_sym_record,
    ACTIONS(10756), 1,
      anon_sym_LPAREN,
    ACTIONS(10758), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10760), 1,
      anon_sym_u2983,
    ACTIONS(10762), 1,
      anon_sym_LBRACE,
    ACTIONS(10764), 1,
      aux_sym__qid_token1,
    ACTIONS(10766), 1,
      anon_sym_DOT,
    ACTIONS(10768), 1,
      anon_sym_PIPE,
    ACTIONS(10770), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10772), 1,
      anon_sym_u2987,
    ACTIONS(10774), 1,
      aux_sym_integer_token1,
    ACTIONS(10776), 1,
      aux_sym_literal_token1,
    ACTIONS(10778), 1,
      anon_sym_Set,
    STATE(5149), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7778), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7776), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10752), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [491822] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [491867] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10780), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [491914] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [491959] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE_RPAREN,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492006] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492051] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492096] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492141] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10782), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492188] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2988,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492235] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492280] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492325] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492370] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym_COLON,
    ACTIONS(6319), 1,
      anon_sym_RBRACE,
    ACTIONS(10784), 1,
      sym_id,
    ACTIONS(10786), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10790), 1,
      anon_sym_record,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10794), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10796), 1,
      anon_sym_u2983,
    ACTIONS(10798), 1,
      anon_sym_LBRACE,
    ACTIONS(10800), 1,
      aux_sym__qid_token1,
    ACTIONS(10802), 1,
      anon_sym_DOT,
    ACTIONS(10804), 1,
      anon_sym_PIPE,
    ACTIONS(10806), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10808), 1,
      anon_sym_u2987,
    ACTIONS(10810), 1,
      aux_sym_integer_token1,
    ACTIONS(10812), 1,
      aux_sym_literal_token1,
    ACTIONS(10814), 1,
      anon_sym_Set,
    STATE(5156), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7671), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7810), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10788), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [492455] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492500] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492545] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492590] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492635] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492680] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492725] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492770] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492815] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492860] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10816), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492907] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492952] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [492997] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [493042] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [493087] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [493132] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [493177] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10818), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [493224] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1589), 1,
      sym__ARROW,
    ACTIONS(10820), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [493307] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [493352] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym__newline,
    ACTIONS(10822), 1,
      sym_id,
    ACTIONS(10825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10831), 1,
      anon_sym_record,
    ACTIONS(10834), 1,
      anon_sym_LPAREN,
    ACTIONS(10837), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10840), 1,
      anon_sym_u2983,
    ACTIONS(10843), 1,
      anon_sym_LBRACE,
    ACTIONS(10846), 1,
      aux_sym__qid_token1,
    ACTIONS(10849), 1,
      anon_sym_DOT,
    ACTIONS(10852), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10855), 1,
      anon_sym_u2987,
    ACTIONS(10858), 1,
      aux_sym_integer_token1,
    ACTIONS(10861), 1,
      aux_sym_literal_token1,
    ACTIONS(10864), 1,
      anon_sym_Set,
    ACTIONS(6239), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(5137), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7699), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7698), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10828), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [493435] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [493480] = 4,
    ACTIONS(10867), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [493527] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [493574] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [493619] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [493664] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [493709] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [493758] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10869), 1,
      sym_id,
    ACTIONS(10871), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10875), 1,
      anon_sym_record,
    ACTIONS(10877), 1,
      anon_sym_LPAREN,
    ACTIONS(10879), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10881), 1,
      anon_sym_u2983,
    ACTIONS(10883), 1,
      anon_sym_LBRACE,
    ACTIONS(10885), 1,
      aux_sym__qid_token1,
    ACTIONS(10887), 1,
      anon_sym_DOT,
    ACTIONS(10889), 1,
      anon_sym_PIPE,
    ACTIONS(10891), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10893), 1,
      anon_sym_u2987,
    ACTIONS(10895), 1,
      aux_sym_integer_token1,
    ACTIONS(10897), 1,
      aux_sym_literal_token1,
    ACTIONS(10899), 1,
      anon_sym_Set,
    ACTIONS(6291), 2,
      anon_sym_EQ,
      anon_sym_where,
    STATE(4919), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7811), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7749), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10873), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [493841] = 4,
    ACTIONS(10903), 1,
      anon_sym_BSLASH,
    ACTIONS(10905), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(10901), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [493888] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1599), 1,
      sym__ARROW,
    ACTIONS(10907), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [493971] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [494020] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym_RBRACE,
    ACTIONS(10909), 1,
      sym_id,
    ACTIONS(10912), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10918), 1,
      anon_sym_record,
    ACTIONS(10921), 1,
      anon_sym_LPAREN,
    ACTIONS(10924), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10927), 1,
      anon_sym_u2983,
    ACTIONS(10930), 1,
      anon_sym_LBRACE,
    ACTIONS(10933), 1,
      aux_sym__qid_token1,
    ACTIONS(10936), 1,
      anon_sym_DOT,
    ACTIONS(10939), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10942), 1,
      anon_sym_u2987,
    ACTIONS(10945), 1,
      aux_sym_integer_token1,
    ACTIONS(10948), 1,
      aux_sym_literal_token1,
    ACTIONS(10951), 1,
      anon_sym_Set,
    ACTIONS(6239), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(5149), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7778), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7776), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10915), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [494103] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [494148] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [494193] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [494238] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [494283] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [494328] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [494373] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym_RBRACE,
    ACTIONS(10954), 1,
      sym_id,
    ACTIONS(10957), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10963), 1,
      anon_sym_record,
    ACTIONS(10966), 1,
      anon_sym_LPAREN,
    ACTIONS(10969), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10972), 1,
      anon_sym_u2983,
    ACTIONS(10975), 1,
      anon_sym_LBRACE,
    ACTIONS(10978), 1,
      aux_sym__qid_token1,
    ACTIONS(10981), 1,
      anon_sym_DOT,
    ACTIONS(10984), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10987), 1,
      anon_sym_u2987,
    ACTIONS(10990), 1,
      aux_sym_integer_token1,
    ACTIONS(10993), 1,
      aux_sym_literal_token1,
    ACTIONS(10996), 1,
      anon_sym_Set,
    ACTIONS(6239), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(5156), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7671), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7810), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10960), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [494456] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [494501] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(10999), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [494548] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [494593] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [494638] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [494683] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [494728] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [494773] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [494818] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [494863] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [494908] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(9948), 1,
      sym_id,
    ACTIONS(9950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9954), 1,
      anon_sym_record,
    ACTIONS(9956), 1,
      anon_sym_LPAREN,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9960), 1,
      anon_sym_u2983,
    ACTIONS(9962), 1,
      anon_sym_LBRACE,
    ACTIONS(9964), 1,
      aux_sym__qid_token1,
    ACTIONS(9966), 1,
      anon_sym_DOT,
    ACTIONS(9970), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9972), 1,
      anon_sym_u2987,
    ACTIONS(9974), 1,
      aux_sym_integer_token1,
    ACTIONS(9976), 1,
      aux_sym_literal_token1,
    ACTIONS(9978), 1,
      anon_sym_Set,
    STATE(7562), 1,
      sym_atom,
    STATE(7559), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_PIPE,
    STATE(7558), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9952), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [494991] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [495036] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [495081] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [495126] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [495171] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [495216] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [495261] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1488), 1,
      sym__ARROW,
    ACTIONS(11001), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [495344] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10448), 1,
      sym_id,
    ACTIONS(10450), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10454), 1,
      anon_sym_record,
    ACTIONS(10456), 1,
      anon_sym_LPAREN,
    ACTIONS(10458), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10460), 1,
      anon_sym_u2983,
    ACTIONS(10462), 1,
      anon_sym_LBRACE,
    ACTIONS(10464), 1,
      aux_sym__qid_token1,
    ACTIONS(10466), 1,
      anon_sym_DOT,
    ACTIONS(10470), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10472), 1,
      anon_sym_u2987,
    ACTIONS(10474), 1,
      aux_sym_integer_token1,
    ACTIONS(10476), 1,
      aux_sym_literal_token1,
    ACTIONS(10478), 1,
      anon_sym_Set,
    STATE(7574), 1,
      sym_atom,
    ACTIONS(6224), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(6226), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    STATE(7570), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7569), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10452), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [495427] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1609), 1,
      sym__ARROW,
    ACTIONS(11003), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [495510] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [495555] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [495600] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [495645] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [495690] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [495735] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [495780] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [495825] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [495870] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [495915] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [495960] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496005] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496050] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496095] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496140] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496185] = 4,
    ACTIONS(11005), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496232] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496277] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496322] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496367] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496412] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496457] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496502] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11007), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496549] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11009), 1,
      sym_id,
    ACTIONS(11012), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11018), 1,
      anon_sym_record,
    ACTIONS(11021), 1,
      anon_sym_LPAREN,
    ACTIONS(11024), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11027), 1,
      anon_sym_u2983,
    ACTIONS(11030), 1,
      anon_sym_LBRACE,
    ACTIONS(11033), 1,
      aux_sym__qid_token1,
    ACTIONS(11036), 1,
      anon_sym_DOT,
    ACTIONS(11039), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11042), 1,
      anon_sym_u2987,
    ACTIONS(11045), 1,
      aux_sym_integer_token1,
    ACTIONS(11048), 1,
      aux_sym_literal_token1,
    ACTIONS(11051), 1,
      anon_sym_Set,
    STATE(5200), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7704), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 3,
      anon_sym_COLON,
      anon_sym_u2984,
      anon_sym_PIPE,
    STATE(7703), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(11015), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [496630] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496675] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496720] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496765] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496814] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496859] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496904] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496949] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [496994] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497039] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497084] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497129] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497174] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497219] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497264] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11054), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497311] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497356] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497401] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497446] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497491] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497536] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497581] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497626] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497671] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497716] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497761] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497806] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497851] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497896] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497941] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [497986] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498031] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_in,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498080] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498125] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498170] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498215] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498260] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498305] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498350] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498395] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498440] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498485] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498530] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498575] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498622] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498667] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498712] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498757] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498802] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498847] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498892] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498937] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [498982] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499027] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499072] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499117] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499162] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499207] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499252] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499297] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499342] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499387] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499432] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499477] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499522] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499567] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499612] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499657] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499702] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499747] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499792] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499837] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499882] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499927] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [499972] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [500017] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [500062] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [500107] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [500152] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [500197] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [500242] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [500287] = 4,
    ACTIONS(11056), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [500334] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [500379] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1619), 1,
      sym__ARROW,
    ACTIONS(11058), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [500462] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8955), 1,
      sym_id,
    ACTIONS(8957), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8961), 1,
      anon_sym_record,
    ACTIONS(8963), 1,
      anon_sym_LPAREN,
    ACTIONS(8965), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8967), 1,
      anon_sym_u2983,
    ACTIONS(8969), 1,
      anon_sym_LBRACE,
    ACTIONS(8971), 1,
      aux_sym__qid_token1,
    ACTIONS(8973), 1,
      anon_sym_DOT,
    ACTIONS(8977), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8979), 1,
      anon_sym_u2987,
    ACTIONS(8981), 1,
      aux_sym_integer_token1,
    ACTIONS(8983), 1,
      aux_sym_literal_token1,
    ACTIONS(8985), 1,
      anon_sym_Set,
    STATE(7467), 1,
      sym_atom,
    STATE(7464), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7665), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8959), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [500543] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [500590] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [500635] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [500680] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [500725] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [500770] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [500815] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [500860] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9551), 1,
      sym_id,
    ACTIONS(9553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9557), 1,
      anon_sym_record,
    ACTIONS(9559), 1,
      anon_sym_LPAREN,
    ACTIONS(9561), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9563), 1,
      anon_sym_u2983,
    ACTIONS(9565), 1,
      anon_sym_LBRACE,
    ACTIONS(9567), 1,
      aux_sym__qid_token1,
    ACTIONS(9569), 1,
      anon_sym_DOT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9575), 1,
      anon_sym_u2987,
    ACTIONS(9577), 1,
      aux_sym_integer_token1,
    ACTIONS(9579), 1,
      aux_sym_literal_token1,
    ACTIONS(9581), 1,
      anon_sym_Set,
    STATE(7628), 1,
      sym_atom,
    STATE(7625), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 4,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
      anon_sym_PIPE,
    STATE(7622), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9555), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [500941] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [500986] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [501031] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [501076] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1539), 1,
      sym__ARROW,
    ACTIONS(11060), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [501159] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [501204] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [501249] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [501294] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [501341] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [501386] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [501431] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [501476] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [501521] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [501566] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [501611] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [501656] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [501701] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      anon_sym_RBRACE,
    ACTIONS(9395), 1,
      sym_id,
    ACTIONS(9397), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9401), 1,
      anon_sym_record,
    ACTIONS(9403), 1,
      anon_sym_LPAREN,
    ACTIONS(9405), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9407), 1,
      anon_sym_u2983,
    ACTIONS(9409), 1,
      anon_sym_LBRACE,
    ACTIONS(9411), 1,
      aux_sym__qid_token1,
    ACTIONS(9413), 1,
      anon_sym_DOT,
    ACTIONS(9417), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9419), 1,
      anon_sym_u2987,
    ACTIONS(9421), 1,
      aux_sym_integer_token1,
    ACTIONS(9423), 1,
      aux_sym_literal_token1,
    ACTIONS(9425), 1,
      anon_sym_Set,
    STATE(7543), 1,
      sym_atom,
    STATE(7540), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7539), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9399), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [501784] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(10035), 1,
      sym_id,
    ACTIONS(10037), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10041), 1,
      anon_sym_record,
    ACTIONS(10043), 1,
      anon_sym_LPAREN,
    ACTIONS(10045), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10047), 1,
      anon_sym_u2983,
    ACTIONS(10049), 1,
      anon_sym_LBRACE,
    ACTIONS(10051), 1,
      aux_sym__qid_token1,
    ACTIONS(10053), 1,
      anon_sym_DOT,
    ACTIONS(10057), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10059), 1,
      anon_sym_u2987,
    ACTIONS(10061), 1,
      aux_sym_integer_token1,
    ACTIONS(10063), 1,
      aux_sym_literal_token1,
    ACTIONS(10065), 1,
      anon_sym_Set,
    STATE(7596), 1,
      sym_atom,
    STATE(7593), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 3,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7592), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10039), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [501867] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [501912] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [501957] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(9705), 1,
      sym_id,
    ACTIONS(9707), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9711), 1,
      anon_sym_record,
    ACTIONS(9713), 1,
      anon_sym_LPAREN,
    ACTIONS(9715), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9717), 1,
      anon_sym_u2983,
    ACTIONS(9719), 1,
      anon_sym_LBRACE,
    ACTIONS(9721), 1,
      aux_sym__qid_token1,
    ACTIONS(9723), 1,
      anon_sym_DOT,
    ACTIONS(9727), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9729), 1,
      anon_sym_u2987,
    ACTIONS(9731), 1,
      aux_sym_integer_token1,
    ACTIONS(9733), 1,
      aux_sym_literal_token1,
    ACTIONS(9735), 1,
      anon_sym_Set,
    STATE(7644), 1,
      sym_atom,
    STATE(7640), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7639), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9709), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [502040] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [502087] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [502132] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [502177] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [502222] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [502267] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [502312] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [502357] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [502402] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [502447] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(2655), 1,
      sym__ARROW,
    ACTIONS(11062), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [502530] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1629), 1,
      sym__ARROW,
    ACTIONS(11064), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [502613] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [502658] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [502703] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11066), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [502750] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [502795] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11068), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [502842] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1421), 1,
      sym__ARROW,
    ACTIONS(5004), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [502925] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [502970] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [503015] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [503060] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(2653), 1,
      sym__ARROW,
    ACTIONS(6222), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [503143] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym_EQ,
    ACTIONS(6319), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(10323), 1,
      sym_id,
    ACTIONS(10325), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10329), 1,
      anon_sym_record,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10335), 1,
      anon_sym_u2983,
    ACTIONS(10337), 1,
      anon_sym_LBRACE,
    ACTIONS(10339), 1,
      aux_sym__qid_token1,
    ACTIONS(10341), 1,
      anon_sym_DOT,
    ACTIONS(10345), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10347), 1,
      anon_sym_u2987,
    ACTIONS(10349), 1,
      aux_sym_integer_token1,
    ACTIONS(10351), 1,
      aux_sym_literal_token1,
    ACTIONS(10353), 1,
      anon_sym_Set,
    ACTIONS(11070), 1,
      anon_sym_PIPE,
    STATE(4651), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7666), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7474), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10327), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [503228] = 23,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym_COLON,
    ACTIONS(6319), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(10448), 1,
      sym_id,
    ACTIONS(10450), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10454), 1,
      anon_sym_record,
    ACTIONS(10456), 1,
      anon_sym_LPAREN,
    ACTIONS(10458), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10460), 1,
      anon_sym_u2983,
    ACTIONS(10462), 1,
      anon_sym_LBRACE,
    ACTIONS(10464), 1,
      aux_sym__qid_token1,
    ACTIONS(10466), 1,
      anon_sym_DOT,
    ACTIONS(10470), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10472), 1,
      anon_sym_u2987,
    ACTIONS(10474), 1,
      aux_sym_integer_token1,
    ACTIONS(10476), 1,
      aux_sym_literal_token1,
    ACTIONS(10478), 1,
      anon_sym_Set,
    ACTIONS(11072), 1,
      anon_sym_PIPE,
    STATE(4699), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7570), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7569), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10452), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [503313] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [503358] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [503403] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10075), 1,
      sym_id,
    ACTIONS(10077), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10081), 1,
      anon_sym_record,
    ACTIONS(10083), 1,
      anon_sym_LPAREN,
    ACTIONS(10085), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10087), 1,
      anon_sym_u2983,
    ACTIONS(10089), 1,
      anon_sym_LBRACE,
    ACTIONS(10091), 1,
      aux_sym__qid_token1,
    ACTIONS(10093), 1,
      anon_sym_DOT,
    ACTIONS(10097), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10099), 1,
      anon_sym_u2987,
    ACTIONS(10101), 1,
      aux_sym_integer_token1,
    ACTIONS(10103), 1,
      aux_sym_literal_token1,
    ACTIONS(10105), 1,
      anon_sym_Set,
    STATE(7608), 1,
      sym_atom,
    STATE(7605), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 4,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2984,
      anon_sym_PIPE,
    STATE(7604), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10079), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [503484] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11074), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [503531] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [503576] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [503621] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11076), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [503668] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [503713] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [503758] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [503807] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [503854] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(1639), 1,
      sym__ARROW,
    ACTIONS(11078), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [503937] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11080), 1,
      sym_id,
    ACTIONS(11083), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11089), 1,
      anon_sym_record,
    ACTIONS(11092), 1,
      anon_sym_LPAREN,
    ACTIONS(11095), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11098), 1,
      anon_sym_u2983,
    ACTIONS(11101), 1,
      anon_sym_LBRACE,
    ACTIONS(11104), 1,
      aux_sym__qid_token1,
    ACTIONS(11107), 1,
      anon_sym_DOT,
    ACTIONS(11110), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11113), 1,
      anon_sym_u2987,
    ACTIONS(11116), 1,
      aux_sym_integer_token1,
    ACTIONS(11119), 1,
      aux_sym_literal_token1,
    ACTIONS(11122), 1,
      anon_sym_Set,
    STATE(5350), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7718), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6239), 3,
      anon_sym_EQ,
      anon_sym_u2984,
      anon_sym_PIPE,
    STATE(7805), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(11086), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [504018] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504063] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504108] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504153] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504198] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504245] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 35,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504290] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504334] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504378] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504422] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504466] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504510] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504554] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504598] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504642] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504686] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504730] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504774] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504818] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504862] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504906] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504950] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [504994] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505038] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505082] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505126] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505170] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505218] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505262] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505306] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505350] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505394] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505438] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6539), 1,
      anon_sym_EQ,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505486] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505530] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505574] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505618] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505662] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505706] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505750] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505794] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505838] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505882] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505926] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11125), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [505972] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE_RPAREN,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506018] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506062] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11127), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506108] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506152] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506196] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506240] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506284] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506328] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506372] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506416] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506460] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506504] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(10355), 1,
      sym_id,
    ACTIONS(10357), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10361), 1,
      anon_sym_record,
    ACTIONS(10363), 1,
      anon_sym_LPAREN,
    ACTIONS(10365), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10367), 1,
      anon_sym_u2983,
    ACTIONS(10369), 1,
      anon_sym_LBRACE,
    ACTIONS(10371), 1,
      aux_sym__qid_token1,
    ACTIONS(10373), 1,
      anon_sym_DOT,
    ACTIONS(10377), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10379), 1,
      anon_sym_u2987,
    ACTIONS(10381), 1,
      aux_sym_integer_token1,
    ACTIONS(10383), 1,
      aux_sym_literal_token1,
    ACTIONS(10385), 1,
      anon_sym_Set,
    STATE(7702), 1,
      sym_atom,
    ACTIONS(6224), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(7699), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7698), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10359), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [506586] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506630] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506674] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_EQ,
      anon_sym_RBRACE,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506720] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506764] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11129), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506810] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506854] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506898] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506942] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [506986] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507030] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507074] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507118] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507162] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507206] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507250] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507294] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507338] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507382] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507426] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507470] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507514] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507558] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507602] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507646] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507690] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10482), 1,
      sym_id,
    ACTIONS(10484), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10488), 1,
      anon_sym_record,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10494), 1,
      anon_sym_u2983,
    ACTIONS(10496), 1,
      anon_sym_LBRACE,
    ACTIONS(10498), 1,
      aux_sym__qid_token1,
    ACTIONS(10500), 1,
      anon_sym_DOT,
    ACTIONS(10504), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10506), 1,
      anon_sym_u2987,
    ACTIONS(10508), 1,
      aux_sym_integer_token1,
    ACTIONS(10510), 1,
      aux_sym_literal_token1,
    ACTIONS(10512), 1,
      anon_sym_Set,
    STATE(7681), 1,
      sym_atom,
    STATE(7718), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 3,
      anon_sym_EQ,
      anon_sym_u2984,
      anon_sym_PIPE,
    STATE(7805), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10486), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [507770] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507814] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507858] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507902] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507946] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [507990] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508034] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508078] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508122] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508166] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11131), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508212] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_in,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508260] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508304] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508348] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11133), 1,
      sym_id,
    ACTIONS(11136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11142), 1,
      anon_sym_record,
    ACTIONS(11145), 1,
      anon_sym_LPAREN,
    ACTIONS(11148), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11151), 1,
      anon_sym_u2983,
    ACTIONS(11154), 1,
      anon_sym_LBRACE,
    ACTIONS(11157), 1,
      aux_sym__qid_token1,
    ACTIONS(11160), 1,
      anon_sym_DOT,
    ACTIONS(11163), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11166), 1,
      anon_sym_u2987,
    ACTIONS(11169), 1,
      aux_sym_integer_token1,
    ACTIONS(11172), 1,
      aux_sym_literal_token1,
    ACTIONS(11175), 1,
      anon_sym_Set,
    ACTIONS(6239), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(5447), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(11139), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [508428] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508472] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508516] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508560] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508604] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508648] = 4,
    ACTIONS(11178), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508694] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508738] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508782] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508826] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508870] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508914] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [508958] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509002] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509048] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509092] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509136] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509180] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2984,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509226] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509270] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509314] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509358] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509402] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509446] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509490] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509534] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11180), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509580] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509624] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509668] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509712] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509756] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509800] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509844] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509890] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509934] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [509978] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      anon_sym_RBRACE,
    ACTIONS(10748), 1,
      sym_id,
    ACTIONS(10750), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10754), 1,
      anon_sym_record,
    ACTIONS(10756), 1,
      anon_sym_LPAREN,
    ACTIONS(10758), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10760), 1,
      anon_sym_u2983,
    ACTIONS(10762), 1,
      anon_sym_LBRACE,
    ACTIONS(10764), 1,
      aux_sym__qid_token1,
    ACTIONS(10766), 1,
      anon_sym_DOT,
    ACTIONS(10770), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10772), 1,
      anon_sym_u2987,
    ACTIONS(10774), 1,
      aux_sym_integer_token1,
    ACTIONS(10776), 1,
      aux_sym_literal_token1,
    ACTIONS(10778), 1,
      anon_sym_Set,
    STATE(7783), 1,
      sym_atom,
    ACTIONS(6224), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(7778), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7776), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10752), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [510060] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [510104] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [510148] = 4,
    ACTIONS(11182), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [510194] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [510238] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [510282] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [510326] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [510370] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [510414] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__newline,
    ACTIONS(10552), 1,
      sym_id,
    ACTIONS(10554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10558), 1,
      anon_sym_record,
    ACTIONS(10560), 1,
      anon_sym_LPAREN,
    ACTIONS(10562), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10564), 1,
      anon_sym_u2983,
    ACTIONS(10566), 1,
      anon_sym_LBRACE,
    ACTIONS(10568), 1,
      aux_sym__qid_token1,
    ACTIONS(10570), 1,
      anon_sym_DOT,
    ACTIONS(10574), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10576), 1,
      anon_sym_u2987,
    ACTIONS(10578), 1,
      aux_sym_integer_token1,
    ACTIONS(10580), 1,
      aux_sym_literal_token1,
    ACTIONS(10582), 1,
      anon_sym_Set,
    STATE(7731), 1,
      sym_atom,
    ACTIONS(6224), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7728), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7727), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10556), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [510496] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [510540] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [510584] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [510628] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [510672] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [510720] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10594), 1,
      sym_id,
    ACTIONS(10596), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10600), 1,
      anon_sym_record,
    ACTIONS(10602), 1,
      anon_sym_LPAREN,
    ACTIONS(10604), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10606), 1,
      anon_sym_u2983,
    ACTIONS(10608), 1,
      anon_sym_LBRACE,
    ACTIONS(10610), 1,
      aux_sym__qid_token1,
    ACTIONS(10612), 1,
      anon_sym_DOT,
    ACTIONS(10616), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10618), 1,
      anon_sym_u2987,
    ACTIONS(10620), 1,
      aux_sym_integer_token1,
    ACTIONS(10622), 1,
      aux_sym_literal_token1,
    ACTIONS(10624), 1,
      anon_sym_Set,
    STATE(7707), 1,
      sym_atom,
    STATE(7704), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 3,
      anon_sym_COLON,
      anon_sym_u2984,
      anon_sym_PIPE,
    STATE(7703), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10598), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [510800] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [510844] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [510888] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [510932] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [510976] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511020] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511064] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511108] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511152] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511196] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511240] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511284] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      anon_sym_RBRACE,
    ACTIONS(10784), 1,
      sym_id,
    ACTIONS(10786), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10790), 1,
      anon_sym_record,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10794), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10796), 1,
      anon_sym_u2983,
    ACTIONS(10798), 1,
      anon_sym_LBRACE,
    ACTIONS(10800), 1,
      aux_sym__qid_token1,
    ACTIONS(10802), 1,
      anon_sym_DOT,
    ACTIONS(10806), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10808), 1,
      anon_sym_u2987,
    ACTIONS(10810), 1,
      aux_sym_integer_token1,
    ACTIONS(10812), 1,
      aux_sym_literal_token1,
    ACTIONS(10814), 1,
      anon_sym_Set,
    STATE(7674), 1,
      sym_atom,
    ACTIONS(6224), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(7671), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7810), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10788), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [511366] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511412] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511456] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511500] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511544] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511590] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511634] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511678] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11184), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511724] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511768] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511812] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511856] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511900] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511944] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [511988] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_EQ,
      anon_sym_where,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512034] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512078] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512122] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11186), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512168] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512212] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512256] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512300] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512344] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512388] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512432] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512476] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512520] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512564] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512608] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512654] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(10236), 1,
      sym_id,
    ACTIONS(10238), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10242), 1,
      anon_sym_record,
    ACTIONS(10244), 1,
      anon_sym_LPAREN,
    ACTIONS(10246), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10248), 1,
      anon_sym_u2983,
    ACTIONS(10250), 1,
      anon_sym_LBRACE,
    ACTIONS(10252), 1,
      aux_sym__qid_token1,
    ACTIONS(10254), 1,
      anon_sym_DOT,
    ACTIONS(10258), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10260), 1,
      anon_sym_u2987,
    ACTIONS(10262), 1,
      aux_sym_integer_token1,
    ACTIONS(10264), 1,
      aux_sym_literal_token1,
    ACTIONS(10266), 1,
      anon_sym_Set,
    STATE(7724), 1,
      sym_atom,
    ACTIONS(6224), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(7797), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7715), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10240), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [512736] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_in,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512784] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512828] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512872] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512916] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [512960] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513004] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10869), 1,
      sym_id,
    ACTIONS(10871), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10875), 1,
      anon_sym_record,
    ACTIONS(10877), 1,
      anon_sym_LPAREN,
    ACTIONS(10879), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10881), 1,
      anon_sym_u2983,
    ACTIONS(10883), 1,
      anon_sym_LBRACE,
    ACTIONS(10885), 1,
      aux_sym__qid_token1,
    ACTIONS(10887), 1,
      anon_sym_DOT,
    ACTIONS(10891), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10893), 1,
      anon_sym_u2987,
    ACTIONS(10895), 1,
      aux_sym_integer_token1,
    ACTIONS(10897), 1,
      aux_sym_literal_token1,
    ACTIONS(10899), 1,
      anon_sym_Set,
    STATE(7754), 1,
      sym_atom,
    STATE(7811), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_PIPE,
    STATE(7749), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10873), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [513084] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513128] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11188), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513174] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513218] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513262] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513306] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513350] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513394] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513438] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513482] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513526] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513570] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513614] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513658] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513702] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513746] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513790] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513834] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513878] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513922] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [513966] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514010] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514054] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514098] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514142] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514186] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11190), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514232] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514276] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514320] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514366] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11192), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514412] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514456] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514504] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514548] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514592] = 4,
    ACTIONS(11194), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514638] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514682] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514726] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514770] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514814] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514858] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_EQ,
      anon_sym_u2988,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514904] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514948] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2988,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [514994] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515038] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515082] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515126] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515170] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515214] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515258] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515302] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515346] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515390] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515434] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515478] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515522] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515566] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515610] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515654] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515698] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515742] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515786] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515830] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515874] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515918] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [515962] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516006] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_EQ,
      anon_sym_u2984,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516052] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516096] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516140] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516184] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516228] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516272] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516318] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516362] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516406] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516450] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516494] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516538] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516582] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516626] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516670] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516714] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516758] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516802] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516846] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516890] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516934] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [516978] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517022] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517066] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517110] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517154] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517198] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517242] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517286] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517330] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517374] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517418] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517462] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517506] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517550] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517594] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517638] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517682] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517726] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517770] = 4,
    ACTIONS(11196), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517816] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517860] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517904] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517948] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [517992] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518036] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518080] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518124] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518168] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518212] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518256] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518300] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_EQ,
      anon_sym_PIPE_RPAREN,
    ACTIONS(6535), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518346] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518390] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518434] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11198), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518480] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518524] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518568] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518612] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518656] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518700] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518744] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518788] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518832] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518876] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518920] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [518964] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519008] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519052] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519096] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519140] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519184] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11200), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519230] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519274] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519318] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519362] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519406] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10518), 1,
      sym_id,
    ACTIONS(10520), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10524), 1,
      anon_sym_record,
    ACTIONS(10526), 1,
      anon_sym_LPAREN,
    ACTIONS(10528), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10530), 1,
      anon_sym_u2983,
    ACTIONS(10532), 1,
      anon_sym_LBRACE,
    ACTIONS(10534), 1,
      aux_sym__qid_token1,
    ACTIONS(10536), 1,
      anon_sym_DOT,
    ACTIONS(10540), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10542), 1,
      anon_sym_u2987,
    ACTIONS(10544), 1,
      aux_sym_integer_token1,
    ACTIONS(10546), 1,
      aux_sym_literal_token1,
    ACTIONS(10548), 1,
      anon_sym_Set,
    STATE(7786), 1,
      sym_atom,
    STATE(7770), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_u2988,
    STATE(7780), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10522), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [519486] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519530] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519576] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519620] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519664] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519708] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519752] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519796] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11202), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519842] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519886] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519930] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [519974] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6226), 1,
      anon_sym_RBRACE,
    ACTIONS(10200), 1,
      sym_id,
    ACTIONS(10202), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10206), 1,
      anon_sym_record,
    ACTIONS(10208), 1,
      anon_sym_LPAREN,
    ACTIONS(10210), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10212), 1,
      anon_sym_u2983,
    ACTIONS(10214), 1,
      anon_sym_LBRACE,
    ACTIONS(10216), 1,
      aux_sym__qid_token1,
    ACTIONS(10218), 1,
      anon_sym_DOT,
    ACTIONS(10222), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10224), 1,
      anon_sym_u2987,
    ACTIONS(10226), 1,
      aux_sym_integer_token1,
    ACTIONS(10228), 1,
      aux_sym_literal_token1,
    ACTIONS(10230), 1,
      anon_sym_Set,
    STATE(7743), 1,
      sym_atom,
    ACTIONS(6224), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(7740), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7726), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10204), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [520056] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [520100] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [520144] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11204), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [520190] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [520234] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [520278] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [520322] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [520366] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [520410] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [520454] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [520500] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [520544] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [520588] = 22,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym_SEMI,
    ACTIONS(10200), 1,
      sym_id,
    ACTIONS(10202), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10206), 1,
      anon_sym_record,
    ACTIONS(10208), 1,
      anon_sym_LPAREN,
    ACTIONS(10210), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10212), 1,
      anon_sym_u2983,
    ACTIONS(10214), 1,
      anon_sym_LBRACE,
    ACTIONS(10216), 1,
      aux_sym__qid_token1,
    ACTIONS(10218), 1,
      anon_sym_DOT,
    ACTIONS(10222), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10224), 1,
      anon_sym_u2987,
    ACTIONS(10226), 1,
      aux_sym_integer_token1,
    ACTIONS(10228), 1,
      aux_sym_literal_token1,
    ACTIONS(10230), 1,
      anon_sym_Set,
    ACTIONS(11206), 1,
      anon_sym_PIPE,
    STATE(5056), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7740), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7726), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10204), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [520670] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [520714] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [520758] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [520802] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [520846] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [520890] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [520934] = 4,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(11208), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [520980] = 4,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(11208), 1,
      anon_sym_u2984,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521026] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521070] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521114] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521158] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11210), 1,
      sym_id,
    ACTIONS(11212), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11216), 1,
      anon_sym_record,
    ACTIONS(11218), 1,
      anon_sym_LPAREN,
    ACTIONS(11220), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11222), 1,
      anon_sym_u2983,
    ACTIONS(11224), 1,
      anon_sym_LBRACE,
    ACTIONS(11226), 1,
      aux_sym__qid_token1,
    ACTIONS(11228), 1,
      anon_sym_DOT,
    ACTIONS(11230), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11232), 1,
      anon_sym_u2987,
    ACTIONS(11234), 1,
      aux_sym_integer_token1,
    ACTIONS(11236), 1,
      aux_sym_literal_token1,
    ACTIONS(11238), 1,
      anon_sym_Set,
    STATE(8815), 1,
      sym_atom,
    STATE(8694), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    ACTIONS(6224), 3,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_DOT_DOT,
    STATE(8901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(11214), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [521238] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521282] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521326] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521370] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 34,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521414] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521458] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521502] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521545] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521588] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521631] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521674] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521717] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521760] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521803] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521846] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521889] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521932] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [521975] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522018] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522061] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522104] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522147] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522190] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522233] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6239), 1,
      anon_sym_PIPE,
    ACTIONS(11240), 1,
      sym_id,
    ACTIONS(11243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11249), 1,
      anon_sym_record,
    ACTIONS(11252), 1,
      anon_sym_LPAREN,
    ACTIONS(11255), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11258), 1,
      anon_sym_u2983,
    ACTIONS(11261), 1,
      anon_sym_LBRACE,
    ACTIONS(11264), 1,
      aux_sym__qid_token1,
    ACTIONS(11267), 1,
      anon_sym_DOT,
    ACTIONS(11270), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11273), 1,
      anon_sym_u2987,
    ACTIONS(11276), 1,
      aux_sym_integer_token1,
    ACTIONS(11279), 1,
      aux_sym_literal_token1,
    ACTIONS(11282), 1,
      anon_sym_Set,
    STATE(5752), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7835), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7829), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(11246), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [522312] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522355] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522398] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522441] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522484] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522527] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522570] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522613] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522656] = 5,
    ACTIONS(712), 1,
      anon_sym_AT,
    ACTIONS(11287), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    STATE(5999), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    ACTIONS(11285), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522703] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11289), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522748] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522791] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522834] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522877] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522920] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11291), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [522965] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523008] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523051] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523094] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523137] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523182] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_EQ,
      anon_sym_in,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523229] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523272] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11200), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523317] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523360] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523403] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523446] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523489] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523532] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523577] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523620] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523663] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523706] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523749] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523792] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523835] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523878] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523921] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [523964] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524007] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524050] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524093] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524136] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524179] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524222] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524265] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524308] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524351] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524394] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524437] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524480] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524523] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524566] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524609] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524652] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524695] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524738] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524781] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524824] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524867] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_EQ,
      anon_sym_where,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524914] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [524957] = 4,
    ACTIONS(11295), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525002] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525045] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525088] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525131] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525174] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525217] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525260] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525303] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525346] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525389] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525432] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525475] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525518] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2984,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525563] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525606] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525651] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525694] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525737] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525780] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525823] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525866] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525911] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525954] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [525997] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526040] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526083] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526126] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526169] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526214] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526257] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526300] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526343] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526386] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526429] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526472] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526515] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526558] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526601] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526644] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526687] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526730] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11297), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526775] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11299), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526820] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526863] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526906] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526949] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [526992] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527035] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527078] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527121] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527164] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527207] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527250] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527293] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527336] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527379] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527422] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527465] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527510] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4238), 1,
      anon_sym_PIPE,
    ACTIONS(11301), 1,
      sym_id,
    ACTIONS(11303), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11307), 1,
      anon_sym_record,
    ACTIONS(11309), 1,
      anon_sym_LPAREN,
    ACTIONS(11311), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11313), 1,
      anon_sym_u2983,
    ACTIONS(11315), 1,
      anon_sym_LBRACE,
    ACTIONS(11317), 1,
      aux_sym__qid_token1,
    ACTIONS(11319), 1,
      anon_sym_DOT,
    ACTIONS(11321), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11323), 1,
      anon_sym_u2987,
    ACTIONS(11325), 1,
      aux_sym_integer_token1,
    ACTIONS(11327), 1,
      aux_sym_literal_token1,
    ACTIONS(11329), 1,
      anon_sym_Set,
    STATE(5752), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7835), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7829), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(11305), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [527589] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527632] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527675] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_in,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527718] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527761] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527804] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11188), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527849] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527892] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527935] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [527978] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528021] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE_RPAREN,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528066] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6539), 1,
      anon_sym_SEMI,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528113] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11331), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528158] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528201] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528244] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528287] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2988,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528332] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528375] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528418] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528461] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528504] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528547] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528590] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528633] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528676] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528719] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528762] = 4,
    ACTIONS(10903), 1,
      anon_sym_BSLASH,
    ACTIONS(11333), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(10901), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528807] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528850] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528893] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528936] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [528979] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529022] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529065] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529108] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529155] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529198] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529241] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529284] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529327] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529372] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529415] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529458] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11335), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529503] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529546] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529589] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529632] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529675] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529718] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529761] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11337), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529806] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529849] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529892] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529935] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [529978] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530021] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2984,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530066] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530109] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530152] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530195] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530238] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530281] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530324] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530367] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530410] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530455] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530498] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530541] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530584] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530627] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530670] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11339), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530715] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530758] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530801] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530844] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530887] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530930] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [530973] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531016] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531059] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531102] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531145] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531188] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531233] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531276] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531319] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531362] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531405] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11341), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531450] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531493] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531536] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531579] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531622] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531665] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531708] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531751] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531794] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531837] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531880] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531923] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [531966] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532009] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532052] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532095] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532138] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532181] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532224] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532267] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532310] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11343), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532355] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532398] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532441] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532484] = 4,
    ACTIONS(10903), 1,
      anon_sym_BSLASH,
    ACTIONS(11333), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(10901), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532529] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532572] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532615] = 4,
    ACTIONS(11345), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532660] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532703] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532746] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532789] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(7823), 1,
      sym_atom,
    ACTIONS(6224), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [532868] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532911] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11341), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532956] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [532999] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 33,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [533042] = 5,
    ACTIONS(11349), 1,
      anon_sym_BSLASH,
    ACTIONS(11351), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    STATE(5999), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    ACTIONS(11347), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [533089] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10075), 1,
      sym_id,
    ACTIONS(10077), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10081), 1,
      anon_sym_record,
    ACTIONS(10083), 1,
      anon_sym_LPAREN,
    ACTIONS(10085), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10087), 1,
      anon_sym_u2983,
    ACTIONS(10089), 1,
      anon_sym_LBRACE,
    ACTIONS(10091), 1,
      aux_sym__qid_token1,
    ACTIONS(10093), 1,
      anon_sym_DOT,
    ACTIONS(10097), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10099), 1,
      anon_sym_u2987,
    ACTIONS(10101), 1,
      aux_sym_integer_token1,
    ACTIONS(10103), 1,
      aux_sym_literal_token1,
    ACTIONS(10105), 1,
      anon_sym_Set,
    STATE(4845), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7605), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7604), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10079), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [533165] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10869), 1,
      sym_id,
    ACTIONS(10871), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10875), 1,
      anon_sym_record,
    ACTIONS(10877), 1,
      anon_sym_LPAREN,
    ACTIONS(10879), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10881), 1,
      anon_sym_u2983,
    ACTIONS(10883), 1,
      anon_sym_LBRACE,
    ACTIONS(10885), 1,
      aux_sym__qid_token1,
    ACTIONS(10887), 1,
      anon_sym_DOT,
    ACTIONS(10891), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10893), 1,
      anon_sym_u2987,
    ACTIONS(10895), 1,
      aux_sym_integer_token1,
    ACTIONS(10897), 1,
      aux_sym_literal_token1,
    ACTIONS(10899), 1,
      anon_sym_Set,
    STATE(5145), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7811), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7749), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10873), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [533241] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_COLON,
      anon_sym_u2984,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [533285] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5335), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [533361] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_EQ,
      anon_sym_u2988,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [533405] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9429), 1,
      sym_id,
    ACTIONS(9431), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9435), 1,
      anon_sym_record,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    ACTIONS(9439), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9441), 1,
      anon_sym_u2983,
    ACTIONS(9443), 1,
      anon_sym_LBRACE,
    ACTIONS(9445), 1,
      aux_sym__qid_token1,
    ACTIONS(9447), 1,
      anon_sym_DOT,
    ACTIONS(9451), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9453), 1,
      anon_sym_u2987,
    ACTIONS(9455), 1,
      aux_sym_integer_token1,
    ACTIONS(9457), 1,
      aux_sym_literal_token1,
    ACTIONS(9459), 1,
      anon_sym_Set,
    STATE(4688), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7367), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7361), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9433), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [533481] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9551), 1,
      sym_id,
    ACTIONS(9553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9557), 1,
      anon_sym_record,
    ACTIONS(9559), 1,
      anon_sym_LPAREN,
    ACTIONS(9561), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9563), 1,
      anon_sym_u2983,
    ACTIONS(9565), 1,
      anon_sym_LBRACE,
    ACTIONS(9567), 1,
      aux_sym__qid_token1,
    ACTIONS(9569), 1,
      anon_sym_DOT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9575), 1,
      anon_sym_u2987,
    ACTIONS(9577), 1,
      aux_sym_integer_token1,
    ACTIONS(9579), 1,
      aux_sym_literal_token1,
    ACTIONS(9581), 1,
      anon_sym_Set,
    STATE(4695), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7625), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7622), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9555), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [533557] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9395), 1,
      sym_id,
    ACTIONS(9397), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9401), 1,
      anon_sym_record,
    ACTIONS(9403), 1,
      anon_sym_LPAREN,
    ACTIONS(9405), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9407), 1,
      anon_sym_u2983,
    ACTIONS(9409), 1,
      anon_sym_LBRACE,
    ACTIONS(9411), 1,
      aux_sym__qid_token1,
    ACTIONS(9413), 1,
      anon_sym_DOT,
    ACTIONS(9417), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9419), 1,
      anon_sym_u2987,
    ACTIONS(9421), 1,
      aux_sym_integer_token1,
    ACTIONS(9423), 1,
      aux_sym_literal_token1,
    ACTIONS(9425), 1,
      anon_sym_Set,
    STATE(4678), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7540), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7539), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9399), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [533633] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9705), 1,
      sym_id,
    ACTIONS(9707), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9711), 1,
      anon_sym_record,
    ACTIONS(9713), 1,
      anon_sym_LPAREN,
    ACTIONS(9715), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9717), 1,
      anon_sym_u2983,
    ACTIONS(9719), 1,
      anon_sym_LBRACE,
    ACTIONS(9721), 1,
      aux_sym__qid_token1,
    ACTIONS(9723), 1,
      anon_sym_DOT,
    ACTIONS(9727), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9729), 1,
      anon_sym_u2987,
    ACTIONS(9731), 1,
      aux_sym_integer_token1,
    ACTIONS(9733), 1,
      aux_sym_literal_token1,
    ACTIONS(9735), 1,
      anon_sym_Set,
    STATE(4708), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7640), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7639), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9709), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [533709] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(6535), 29,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [533753] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9737), 1,
      sym_id,
    ACTIONS(9739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9743), 1,
      anon_sym_record,
    ACTIONS(9745), 1,
      anon_sym_LPAREN,
    ACTIONS(9747), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9749), 1,
      anon_sym_u2983,
    ACTIONS(9751), 1,
      anon_sym_LBRACE,
    ACTIONS(9753), 1,
      aux_sym__qid_token1,
    ACTIONS(9755), 1,
      anon_sym_DOT,
    ACTIONS(9759), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9761), 1,
      anon_sym_u2987,
    ACTIONS(9763), 1,
      aux_sym_integer_token1,
    ACTIONS(9765), 1,
      aux_sym_literal_token1,
    ACTIONS(9767), 1,
      anon_sym_Set,
    STATE(4709), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7654), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7653), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9741), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [533829] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11354), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 27,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [533875] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9769), 1,
      sym_id,
    ACTIONS(9771), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9775), 1,
      anon_sym_record,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(9779), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9781), 1,
      anon_sym_u2983,
    ACTIONS(9783), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      aux_sym__qid_token1,
    ACTIONS(9787), 1,
      anon_sym_DOT,
    ACTIONS(9791), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9793), 1,
      anon_sym_u2987,
    ACTIONS(9795), 1,
      aux_sym_integer_token1,
    ACTIONS(9797), 1,
      aux_sym_literal_token1,
    ACTIONS(9799), 1,
      anon_sym_Set,
    STATE(4711), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7478), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7534), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9773), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [533951] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [533993] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [534035] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6285), 1,
      sym_id,
    ACTIONS(6287), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_record,
    ACTIONS(6295), 1,
      anon_sym_LPAREN,
    ACTIONS(6297), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6299), 1,
      anon_sym_u2983,
    ACTIONS(6301), 1,
      anon_sym_LBRACE,
    ACTIONS(6303), 1,
      aux_sym__qid_token1,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6309), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6311), 1,
      anon_sym_u2987,
    ACTIONS(6313), 1,
      aux_sym_integer_token1,
    ACTIONS(6315), 1,
      aux_sym_literal_token1,
    ACTIONS(6317), 1,
      anon_sym_Set,
    STATE(3999), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6542), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6518), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6289), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [534111] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [534153] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [534195] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7849), 1,
      sym_id,
    ACTIONS(7851), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7855), 1,
      anon_sym_record,
    ACTIONS(7857), 1,
      anon_sym_LPAREN,
    ACTIONS(7859), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7861), 1,
      anon_sym_u2983,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(7865), 1,
      aux_sym__qid_token1,
    ACTIONS(7867), 1,
      anon_sym_DOT,
    ACTIONS(7871), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7873), 1,
      anon_sym_u2987,
    ACTIONS(7875), 1,
      aux_sym_integer_token1,
    ACTIONS(7877), 1,
      aux_sym_literal_token1,
    ACTIONS(7879), 1,
      anon_sym_Set,
    STATE(4276), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7248), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7199), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7853), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [534271] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [534313] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [534355] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [534397] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [534439] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7383), 1,
      sym_id,
    ACTIONS(7385), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7389), 1,
      anon_sym_record,
    ACTIONS(7391), 1,
      anon_sym_LPAREN,
    ACTIONS(7393), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7395), 1,
      anon_sym_u2983,
    ACTIONS(7397), 1,
      anon_sym_LBRACE,
    ACTIONS(7399), 1,
      aux_sym__qid_token1,
    ACTIONS(7401), 1,
      anon_sym_DOT,
    ACTIONS(7405), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7407), 1,
      anon_sym_u2987,
    ACTIONS(7409), 1,
      aux_sym_integer_token1,
    ACTIONS(7411), 1,
      aux_sym_literal_token1,
    ACTIONS(7413), 1,
      anon_sym_Set,
    STATE(4168), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7131), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7150), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7387), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [534515] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [534557] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [534599] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [534641] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6979), 1,
      sym_id,
    ACTIONS(6981), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6985), 1,
      anon_sym_record,
    ACTIONS(6987), 1,
      anon_sym_LPAREN,
    ACTIONS(6989), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6991), 1,
      anon_sym_u2983,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    ACTIONS(6995), 1,
      aux_sym__qid_token1,
    ACTIONS(6997), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7003), 1,
      anon_sym_u2987,
    ACTIONS(7005), 1,
      aux_sym_integer_token1,
    ACTIONS(7007), 1,
      aux_sym_literal_token1,
    ACTIONS(7009), 1,
      anon_sym_Set,
    STATE(4065), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6989), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7110), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6983), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [534717] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_id,
    ACTIONS(10202), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10206), 1,
      anon_sym_record,
    ACTIONS(10208), 1,
      anon_sym_LPAREN,
    ACTIONS(10210), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10212), 1,
      anon_sym_u2983,
    ACTIONS(10214), 1,
      anon_sym_LBRACE,
    ACTIONS(10216), 1,
      aux_sym__qid_token1,
    ACTIONS(10218), 1,
      anon_sym_DOT,
    ACTIONS(10222), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10224), 1,
      anon_sym_u2987,
    ACTIONS(10226), 1,
      aux_sym_integer_token1,
    ACTIONS(10228), 1,
      aux_sym_literal_token1,
    ACTIONS(10230), 1,
      anon_sym_Set,
    STATE(4934), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7740), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7726), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10204), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [534793] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [534837] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [534879] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [534921] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [534963] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8204), 1,
      sym_id,
    ACTIONS(8206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8210), 1,
      anon_sym_record,
    ACTIONS(8212), 1,
      anon_sym_LPAREN,
    ACTIONS(8214), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8216), 1,
      anon_sym_u2983,
    ACTIONS(8218), 1,
      anon_sym_LBRACE,
    ACTIONS(8220), 1,
      aux_sym__qid_token1,
    ACTIONS(8222), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8228), 1,
      anon_sym_u2987,
    ACTIONS(8230), 1,
      aux_sym_integer_token1,
    ACTIONS(8232), 1,
      aux_sym_literal_token1,
    ACTIONS(8234), 1,
      anon_sym_Set,
    STATE(4426), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7212), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7200), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8208), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [535039] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [535081] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [535123] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8527), 1,
      sym_id,
    ACTIONS(8529), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8533), 1,
      anon_sym_record,
    ACTIONS(8535), 1,
      anon_sym_LPAREN,
    ACTIONS(8537), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8539), 1,
      anon_sym_u2983,
    ACTIONS(8541), 1,
      anon_sym_LBRACE,
    ACTIONS(8543), 1,
      aux_sym__qid_token1,
    ACTIONS(8545), 1,
      anon_sym_DOT,
    ACTIONS(8549), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8551), 1,
      anon_sym_u2987,
    ACTIONS(8553), 1,
      aux_sym_integer_token1,
    ACTIONS(8555), 1,
      aux_sym_literal_token1,
    ACTIONS(8557), 1,
      anon_sym_Set,
    STATE(4476), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7382), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7363), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8531), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [535199] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [535241] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [535283] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8565), 1,
      sym_id,
    ACTIONS(8567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8571), 1,
      anon_sym_record,
    ACTIONS(8573), 1,
      anon_sym_LPAREN,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8577), 1,
      anon_sym_u2983,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(8581), 1,
      aux_sym__qid_token1,
    ACTIONS(8583), 1,
      anon_sym_DOT,
    ACTIONS(8587), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8589), 1,
      anon_sym_u2987,
    ACTIONS(8591), 1,
      aux_sym_integer_token1,
    ACTIONS(8593), 1,
      aux_sym_literal_token1,
    ACTIONS(8595), 1,
      anon_sym_Set,
    STATE(4500), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7329), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7375), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8569), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [535359] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [535401] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [535443] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [535485] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11356), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [535529] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [535571] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [535613] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [535655] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9628), 1,
      sym_id,
    ACTIONS(9630), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9634), 1,
      anon_sym_record,
    ACTIONS(9636), 1,
      anon_sym_LPAREN,
    ACTIONS(9638), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9640), 1,
      anon_sym_u2983,
    ACTIONS(9642), 1,
      anon_sym_LBRACE,
    ACTIONS(9644), 1,
      aux_sym__qid_token1,
    ACTIONS(9646), 1,
      anon_sym_DOT,
    ACTIONS(9650), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9652), 1,
      anon_sym_u2987,
    ACTIONS(9654), 1,
      aux_sym_integer_token1,
    ACTIONS(9656), 1,
      aux_sym_literal_token1,
    ACTIONS(9658), 1,
      anon_sym_Set,
    STATE(4700), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7505), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7503), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9632), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [535731] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(848), 2,
      sym__dedent,
      anon_sym_BSLASH,
    ACTIONS(11358), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [535773] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [535815] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [535857] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [535899] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8693), 1,
      sym_id,
    ACTIONS(8695), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8699), 1,
      anon_sym_record,
    ACTIONS(8701), 1,
      anon_sym_LPAREN,
    ACTIONS(8703), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8705), 1,
      anon_sym_u2983,
    ACTIONS(8707), 1,
      anon_sym_LBRACE,
    ACTIONS(8709), 1,
      aux_sym__qid_token1,
    ACTIONS(8711), 1,
      anon_sym_DOT,
    ACTIONS(8715), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8717), 1,
      anon_sym_u2987,
    ACTIONS(8719), 1,
      aux_sym_integer_token1,
    ACTIONS(8721), 1,
      aux_sym_literal_token1,
    ACTIONS(8723), 1,
      anon_sym_Set,
    STATE(4549), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7383), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7298), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8697), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [535975] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [536017] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [536059] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [536101] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8819), 1,
      sym_id,
    ACTIONS(8821), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8825), 1,
      anon_sym_record,
    ACTIONS(8827), 1,
      anon_sym_LPAREN,
    ACTIONS(8829), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8831), 1,
      anon_sym_u2983,
    ACTIONS(8833), 1,
      anon_sym_LBRACE,
    ACTIONS(8835), 1,
      aux_sym__qid_token1,
    ACTIONS(8837), 1,
      anon_sym_DOT,
    ACTIONS(8841), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8843), 1,
      anon_sym_u2987,
    ACTIONS(8845), 1,
      aux_sym_integer_token1,
    ACTIONS(8847), 1,
      aux_sym_literal_token1,
    ACTIONS(8849), 1,
      anon_sym_Set,
    STATE(4569), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7434), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7399), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8823), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [536177] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [536219] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [536261] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [536303] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [536345] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [536387] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10552), 1,
      sym_id,
    ACTIONS(10554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10558), 1,
      anon_sym_record,
    ACTIONS(10560), 1,
      anon_sym_LPAREN,
    ACTIONS(10562), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10564), 1,
      anon_sym_u2983,
    ACTIONS(10566), 1,
      anon_sym_LBRACE,
    ACTIONS(10568), 1,
      aux_sym__qid_token1,
    ACTIONS(10570), 1,
      anon_sym_DOT,
    ACTIONS(10574), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10576), 1,
      anon_sym_u2987,
    ACTIONS(10578), 1,
      aux_sym_integer_token1,
    ACTIONS(10580), 1,
      aux_sym_literal_token1,
    ACTIONS(10582), 1,
      anon_sym_Set,
    STATE(5023), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7728), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7727), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10556), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [536463] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [536505] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [536547] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [536589] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6539), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6535), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [536633] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10035), 1,
      sym_id,
    ACTIONS(10037), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10041), 1,
      anon_sym_record,
    ACTIONS(10043), 1,
      anon_sym_LPAREN,
    ACTIONS(10045), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10047), 1,
      anon_sym_u2983,
    ACTIONS(10049), 1,
      anon_sym_LBRACE,
    ACTIONS(10051), 1,
      aux_sym__qid_token1,
    ACTIONS(10053), 1,
      anon_sym_DOT,
    ACTIONS(10057), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10059), 1,
      anon_sym_u2987,
    ACTIONS(10061), 1,
      aux_sym_integer_token1,
    ACTIONS(10063), 1,
      aux_sym_literal_token1,
    ACTIONS(10065), 1,
      anon_sym_Set,
    STATE(4818), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7593), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7592), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10039), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [536709] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6539), 1,
      anon_sym_SEMI,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [536755] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [536797] = 3,
    ACTIONS(11362), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(11360), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE_DASH_POUND,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [536839] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [536881] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [536923] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7993), 1,
      sym_id,
    ACTIONS(7995), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7999), 1,
      anon_sym_record,
    ACTIONS(8001), 1,
      anon_sym_LPAREN,
    ACTIONS(8003), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8005), 1,
      anon_sym_u2983,
    ACTIONS(8007), 1,
      anon_sym_LBRACE,
    ACTIONS(8009), 1,
      aux_sym__qid_token1,
    ACTIONS(8011), 1,
      anon_sym_DOT,
    ACTIONS(8015), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8017), 1,
      anon_sym_u2987,
    ACTIONS(8019), 1,
      aux_sym_integer_token1,
    ACTIONS(8021), 1,
      aux_sym_literal_token1,
    ACTIONS(8023), 1,
      anon_sym_Set,
    STATE(4324), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7227), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7997), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [536999] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [537041] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [537083] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [537125] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7539), 1,
      sym_id,
    ACTIONS(7541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7545), 1,
      anon_sym_record,
    ACTIONS(7547), 1,
      anon_sym_LPAREN,
    ACTIONS(7549), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7551), 1,
      anon_sym_u2983,
    ACTIONS(7553), 1,
      anon_sym_LBRACE,
    ACTIONS(7555), 1,
      aux_sym__qid_token1,
    ACTIONS(7557), 1,
      anon_sym_DOT,
    ACTIONS(7561), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7563), 1,
      anon_sym_u2987,
    ACTIONS(7565), 1,
      aux_sym_integer_token1,
    ACTIONS(7567), 1,
      aux_sym_literal_token1,
    ACTIONS(7569), 1,
      anon_sym_Set,
    STATE(4216), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7159), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7141), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7543), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [537201] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6866), 1,
      sym_id,
    ACTIONS(6868), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6872), 1,
      anon_sym_record,
    ACTIONS(6874), 1,
      anon_sym_LPAREN,
    ACTIONS(6876), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6878), 1,
      anon_sym_u2983,
    ACTIONS(6880), 1,
      anon_sym_LBRACE,
    ACTIONS(6882), 1,
      aux_sym__qid_token1,
    ACTIONS(6884), 1,
      anon_sym_DOT,
    ACTIONS(6888), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6890), 1,
      anon_sym_u2987,
    ACTIONS(6892), 1,
      aux_sym_integer_token1,
    ACTIONS(6894), 1,
      aux_sym_literal_token1,
    ACTIONS(6896), 1,
      anon_sym_Set,
    STATE(4048), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6908), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6899), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6870), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [537277] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [537319] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [537361] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8955), 1,
      sym_id,
    ACTIONS(8957), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8961), 1,
      anon_sym_record,
    ACTIONS(8963), 1,
      anon_sym_LPAREN,
    ACTIONS(8965), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8967), 1,
      anon_sym_u2983,
    ACTIONS(8969), 1,
      anon_sym_LBRACE,
    ACTIONS(8971), 1,
      aux_sym__qid_token1,
    ACTIONS(8973), 1,
      anon_sym_DOT,
    ACTIONS(8977), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8979), 1,
      anon_sym_u2987,
    ACTIONS(8981), 1,
      aux_sym_integer_token1,
    ACTIONS(8983), 1,
      aux_sym_literal_token1,
    ACTIONS(8985), 1,
      anon_sym_Set,
    STATE(4629), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7464), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7665), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8959), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [537437] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [537479] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [537521] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [537563] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [537605] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8403), 1,
      sym_id,
    ACTIONS(8405), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_record,
    ACTIONS(8411), 1,
      anon_sym_LPAREN,
    ACTIONS(8413), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8415), 1,
      anon_sym_u2983,
    ACTIONS(8417), 1,
      anon_sym_LBRACE,
    ACTIONS(8419), 1,
      aux_sym__qid_token1,
    ACTIONS(8421), 1,
      anon_sym_DOT,
    ACTIONS(8425), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8427), 1,
      anon_sym_u2987,
    ACTIONS(8429), 1,
      aux_sym_integer_token1,
    ACTIONS(8431), 1,
      aux_sym_literal_token1,
    ACTIONS(8433), 1,
      anon_sym_Set,
    STATE(4455), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7444), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7441), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8407), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [537681] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_EQ,
      anon_sym_RBRACE,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [537725] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [537767] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7571), 1,
      sym_id,
    ACTIONS(7573), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7577), 1,
      anon_sym_record,
    ACTIONS(7579), 1,
      anon_sym_LPAREN,
    ACTIONS(7581), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7583), 1,
      anon_sym_u2983,
    ACTIONS(7585), 1,
      anon_sym_LBRACE,
    ACTIONS(7587), 1,
      aux_sym__qid_token1,
    ACTIONS(7589), 1,
      anon_sym_DOT,
    ACTIONS(7593), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7595), 1,
      anon_sym_u2987,
    ACTIONS(7597), 1,
      aux_sym_integer_token1,
    ACTIONS(7599), 1,
      aux_sym_literal_token1,
    ACTIONS(7601), 1,
      anon_sym_Set,
    STATE(4218), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7156), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7145), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7575), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [537843] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [537885] = 5,
    ACTIONS(11349), 1,
      anon_sym_BSLASH,
    ACTIONS(11364), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    STATE(6091), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    ACTIONS(11347), 29,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [537931] = 5,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(6539), 1,
      anon_sym_EQ,
    ACTIONS(6541), 1,
      sym__newline,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [537977] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6898), 1,
      sym_id,
    ACTIONS(6900), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6904), 1,
      anon_sym_record,
    ACTIONS(6906), 1,
      anon_sym_LPAREN,
    ACTIONS(6908), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6910), 1,
      anon_sym_u2983,
    ACTIONS(6912), 1,
      anon_sym_LBRACE,
    ACTIONS(6914), 1,
      aux_sym__qid_token1,
    ACTIONS(6916), 1,
      anon_sym_DOT,
    ACTIONS(6920), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6922), 1,
      anon_sym_u2987,
    ACTIONS(6924), 1,
      aux_sym_integer_token1,
    ACTIONS(6926), 1,
      aux_sym_literal_token1,
    ACTIONS(6928), 1,
      anon_sym_Set,
    STATE(4049), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6876), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6874), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6902), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [538053] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6439), 1,
      sym_id,
    ACTIONS(6441), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6445), 1,
      anon_sym_record,
    ACTIONS(6447), 1,
      anon_sym_LPAREN,
    ACTIONS(6449), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6451), 1,
      anon_sym_u2983,
    ACTIONS(6453), 1,
      anon_sym_LBRACE,
    ACTIONS(6455), 1,
      aux_sym__qid_token1,
    ACTIONS(6457), 1,
      anon_sym_DOT,
    ACTIONS(6461), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6463), 1,
      anon_sym_u2987,
    ACTIONS(6465), 1,
      aux_sym_integer_token1,
    ACTIONS(6467), 1,
      aux_sym_literal_token1,
    ACTIONS(6469), 1,
      anon_sym_Set,
    STATE(4011), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6821), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6443), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [538129] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8070), 1,
      sym_id,
    ACTIONS(8072), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8076), 1,
      anon_sym_record,
    ACTIONS(8078), 1,
      anon_sym_LPAREN,
    ACTIONS(8080), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8082), 1,
      anon_sym_u2983,
    ACTIONS(8084), 1,
      anon_sym_LBRACE,
    ACTIONS(8086), 1,
      aux_sym__qid_token1,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8094), 1,
      anon_sym_u2987,
    ACTIONS(8096), 1,
      aux_sym_integer_token1,
    ACTIONS(8098), 1,
      aux_sym_literal_token1,
    ACTIONS(8100), 1,
      anon_sym_Set,
    STATE(4349), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7189), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7185), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8074), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [538205] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [538247] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [538289] = 5,
    ACTIONS(73), 1,
      anon_sym_AT,
    ACTIONS(11287), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    STATE(6091), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    ACTIONS(11285), 29,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [538335] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_u2988,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [538377] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_COLON,
      anon_sym_RBRACE,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [538421] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [538463] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [538505] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [538547] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [538589] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [538631] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [538673] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [538715] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [538757] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [538799] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [538841] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [538883] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [538925] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [538967] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [539009] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [539051] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [539093] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [539135] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [539177] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [539219] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [539261] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [539303] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [539345] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [539387] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [539429] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [539471] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [539513] = 21,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6224), 1,
      anon_sym_PIPE,
    ACTIONS(11301), 1,
      sym_id,
    ACTIONS(11303), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11307), 1,
      anon_sym_record,
    ACTIONS(11309), 1,
      anon_sym_LPAREN,
    ACTIONS(11311), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11313), 1,
      anon_sym_u2983,
    ACTIONS(11315), 1,
      anon_sym_LBRACE,
    ACTIONS(11317), 1,
      aux_sym__qid_token1,
    ACTIONS(11319), 1,
      anon_sym_DOT,
    ACTIONS(11321), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11323), 1,
      anon_sym_u2987,
    ACTIONS(11325), 1,
      aux_sym_integer_token1,
    ACTIONS(11327), 1,
      aux_sym_literal_token1,
    ACTIONS(11329), 1,
      anon_sym_Set,
    STATE(7838), 1,
      sym_atom,
    STATE(7835), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7829), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(11305), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [539591] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9064), 1,
      sym_id,
    ACTIONS(9066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9070), 1,
      anon_sym_record,
    ACTIONS(9072), 1,
      anon_sym_LPAREN,
    ACTIONS(9074), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9076), 1,
      anon_sym_u2983,
    ACTIONS(9078), 1,
      anon_sym_LBRACE,
    ACTIONS(9080), 1,
      aux_sym__qid_token1,
    ACTIONS(9082), 1,
      anon_sym_DOT,
    ACTIONS(9086), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9088), 1,
      anon_sym_u2987,
    ACTIONS(9090), 1,
      aux_sym_integer_token1,
    ACTIONS(9092), 1,
      aux_sym_literal_token1,
    ACTIONS(9094), 1,
      anon_sym_Set,
    STATE(4892), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7370), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7365), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9068), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [539667] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9429), 1,
      sym_id,
    ACTIONS(9431), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9435), 1,
      anon_sym_record,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    ACTIONS(9439), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9441), 1,
      anon_sym_u2983,
    ACTIONS(9443), 1,
      anon_sym_LBRACE,
    ACTIONS(9445), 1,
      aux_sym__qid_token1,
    ACTIONS(9447), 1,
      anon_sym_DOT,
    ACTIONS(9451), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9453), 1,
      anon_sym_u2987,
    ACTIONS(9455), 1,
      aux_sym_integer_token1,
    ACTIONS(9457), 1,
      aux_sym_literal_token1,
    ACTIONS(9459), 1,
      anon_sym_Set,
    STATE(4893), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7367), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7361), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9433), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [539743] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [539785] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_id,
    ACTIONS(10202), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10206), 1,
      anon_sym_record,
    ACTIONS(10208), 1,
      anon_sym_LPAREN,
    ACTIONS(10210), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10212), 1,
      anon_sym_u2983,
    ACTIONS(10214), 1,
      anon_sym_LBRACE,
    ACTIONS(10216), 1,
      aux_sym__qid_token1,
    ACTIONS(10218), 1,
      anon_sym_DOT,
    ACTIONS(10222), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10224), 1,
      anon_sym_u2987,
    ACTIONS(10226), 1,
      aux_sym_integer_token1,
    ACTIONS(10228), 1,
      aux_sym_literal_token1,
    ACTIONS(10230), 1,
      anon_sym_Set,
    STATE(5716), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7740), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7726), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10204), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [539861] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [539903] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [539945] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [539987] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540029] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540071] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540113] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540155] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540197] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540239] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540281] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540323] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540365] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540407] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540449] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540491] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540533] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540575] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540617] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540659] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540701] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540743] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540785] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540827] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540869] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540911] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_EQ,
      anon_sym_where,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540955] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [540997] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541039] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541081] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541123] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541165] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541207] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541249] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541291] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541333] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541375] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_EQ,
      anon_sym_PIPE_RPAREN,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541419] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541461] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541503] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6791), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6789), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541545] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6797), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6795), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541587] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6505), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6503), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541629] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6437), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6435), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541671] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6693), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6691), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541713] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6545), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6543), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541755] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6626), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6624), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541797] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6675), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6673), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541839] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6679), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6677), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541881] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6683), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6681), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541923] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [541965] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542007] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542049] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542091] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542133] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6433), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6431), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542175] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542217] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542259] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542301] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542343] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542385] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542427] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542469] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542511] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542553] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542595] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542637] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6744), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6742), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542679] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542721] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542763] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542805] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542847] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542889] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542931] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [542973] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [543015] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [543057] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [543099] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [543141] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [543183] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [543225] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [543267] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [543309] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [543351] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [543393] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [543435] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [543477] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [543519] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10323), 1,
      sym_id,
    ACTIONS(10325), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10329), 1,
      anon_sym_record,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10335), 1,
      anon_sym_u2983,
    ACTIONS(10337), 1,
      anon_sym_LBRACE,
    ACTIONS(10339), 1,
      aux_sym__qid_token1,
    ACTIONS(10341), 1,
      anon_sym_DOT,
    ACTIONS(10345), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10347), 1,
      anon_sym_u2987,
    ACTIONS(10349), 1,
      aux_sym_integer_token1,
    ACTIONS(10351), 1,
      aux_sym_literal_token1,
    ACTIONS(10353), 1,
      anon_sym_Set,
    STATE(4979), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7666), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7474), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10327), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [543595] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [543637] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10482), 1,
      sym_id,
    ACTIONS(10484), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10488), 1,
      anon_sym_record,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10494), 1,
      anon_sym_u2983,
    ACTIONS(10496), 1,
      anon_sym_LBRACE,
    ACTIONS(10498), 1,
      aux_sym__qid_token1,
    ACTIONS(10500), 1,
      anon_sym_DOT,
    ACTIONS(10504), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10506), 1,
      anon_sym_u2987,
    ACTIONS(10508), 1,
      aux_sym_integer_token1,
    ACTIONS(10510), 1,
      aux_sym_literal_token1,
    ACTIONS(10512), 1,
      anon_sym_Set,
    STATE(5013), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7718), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7805), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10486), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [543713] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6279), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [543755] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10748), 1,
      sym_id,
    ACTIONS(10750), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10754), 1,
      anon_sym_record,
    ACTIONS(10756), 1,
      anon_sym_LPAREN,
    ACTIONS(10758), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10760), 1,
      anon_sym_u2983,
    ACTIONS(10762), 1,
      anon_sym_LBRACE,
    ACTIONS(10764), 1,
      aux_sym__qid_token1,
    ACTIONS(10766), 1,
      anon_sym_DOT,
    ACTIONS(10770), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10772), 1,
      anon_sym_u2987,
    ACTIONS(10774), 1,
      aux_sym_integer_token1,
    ACTIONS(10776), 1,
      aux_sym_literal_token1,
    ACTIONS(10778), 1,
      anon_sym_Set,
    STATE(5104), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7778), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7776), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10752), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [543831] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10236), 1,
      sym_id,
    ACTIONS(10238), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10242), 1,
      anon_sym_record,
    ACTIONS(10244), 1,
      anon_sym_LPAREN,
    ACTIONS(10246), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10248), 1,
      anon_sym_u2983,
    ACTIONS(10250), 1,
      anon_sym_LBRACE,
    ACTIONS(10252), 1,
      aux_sym__qid_token1,
    ACTIONS(10254), 1,
      anon_sym_DOT,
    ACTIONS(10258), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10260), 1,
      anon_sym_u2987,
    ACTIONS(10262), 1,
      aux_sym_integer_token1,
    ACTIONS(10264), 1,
      aux_sym_literal_token1,
    ACTIONS(10266), 1,
      anon_sym_Set,
    STATE(4956), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7797), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7715), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10240), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [543907] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10518), 1,
      sym_id,
    ACTIONS(10520), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10524), 1,
      anon_sym_record,
    ACTIONS(10526), 1,
      anon_sym_LPAREN,
    ACTIONS(10528), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10530), 1,
      anon_sym_u2983,
    ACTIONS(10532), 1,
      anon_sym_LBRACE,
    ACTIONS(10534), 1,
      aux_sym__qid_token1,
    ACTIONS(10536), 1,
      anon_sym_DOT,
    ACTIONS(10540), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10542), 1,
      anon_sym_u2987,
    ACTIONS(10544), 1,
      aux_sym_integer_token1,
    ACTIONS(10546), 1,
      aux_sym_literal_token1,
    ACTIONS(10548), 1,
      anon_sym_Set,
    STATE(5020), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7770), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7780), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10522), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [543983] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6547), 1,
      sym_id,
    ACTIONS(6549), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6553), 1,
      anon_sym_record,
    ACTIONS(6555), 1,
      anon_sym_LPAREN,
    ACTIONS(6557), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6559), 1,
      anon_sym_u2983,
    ACTIONS(6561), 1,
      anon_sym_LBRACE,
    ACTIONS(6563), 1,
      aux_sym__qid_token1,
    ACTIONS(6565), 1,
      anon_sym_DOT,
    ACTIONS(6569), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6571), 1,
      anon_sym_u2987,
    ACTIONS(6573), 1,
      aux_sym_integer_token1,
    ACTIONS(6575), 1,
      aux_sym_literal_token1,
    ACTIONS(6577), 1,
      anon_sym_Set,
    STATE(4018), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6803), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6853), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6551), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [544059] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11335), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [544103] = 4,
    ACTIONS(10903), 1,
      anon_sym_BSLASH,
    ACTIONS(11333), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(10901), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [544147] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8989), 1,
      sym_id,
    ACTIONS(8991), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8995), 1,
      anon_sym_record,
    ACTIONS(8997), 1,
      anon_sym_LPAREN,
    ACTIONS(8999), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9001), 1,
      anon_sym_u2983,
    ACTIONS(9003), 1,
      anon_sym_LBRACE,
    ACTIONS(9005), 1,
      aux_sym__qid_token1,
    ACTIONS(9007), 1,
      anon_sym_DOT,
    ACTIONS(9009), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9011), 1,
      anon_sym_u2987,
    ACTIONS(9013), 1,
      aux_sym_integer_token1,
    ACTIONS(9015), 1,
      aux_sym_literal_token1,
    ACTIONS(9017), 1,
      anon_sym_Set,
    STATE(4736), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7424), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7417), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8993), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [544223] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11341), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [544267] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5019), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [544343] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9314), 1,
      sym_id,
    ACTIONS(9316), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9320), 1,
      anon_sym_record,
    ACTIONS(9322), 1,
      anon_sym_LPAREN,
    ACTIONS(9324), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9326), 1,
      anon_sym_u2983,
    ACTIONS(9328), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      aux_sym__qid_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    ACTIONS(9336), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9338), 1,
      anon_sym_u2987,
    ACTIONS(9340), 1,
      aux_sym_integer_token1,
    ACTIONS(9342), 1,
      aux_sym_literal_token1,
    ACTIONS(9344), 1,
      anon_sym_Set,
    STATE(4669), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7494), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7493), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9318), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [544419] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5297), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [544495] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9282), 1,
      sym_id,
    ACTIONS(9284), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9288), 1,
      anon_sym_record,
    ACTIONS(9290), 1,
      anon_sym_LPAREN,
    ACTIONS(9292), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9294), 1,
      anon_sym_u2983,
    ACTIONS(9296), 1,
      anon_sym_LBRACE,
    ACTIONS(9298), 1,
      aux_sym__qid_token1,
    ACTIONS(9300), 1,
      anon_sym_DOT,
    ACTIONS(9304), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9306), 1,
      anon_sym_u2987,
    ACTIONS(9308), 1,
      aux_sym_integer_token1,
    ACTIONS(9310), 1,
      aux_sym_literal_token1,
    ACTIONS(9312), 1,
      anon_sym_Set,
    STATE(4668), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7524), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7523), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9286), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [544571] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10355), 1,
      sym_id,
    ACTIONS(10357), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10361), 1,
      anon_sym_record,
    ACTIONS(10363), 1,
      anon_sym_LPAREN,
    ACTIONS(10365), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10367), 1,
      anon_sym_u2983,
    ACTIONS(10369), 1,
      anon_sym_LBRACE,
    ACTIONS(10371), 1,
      aux_sym__qid_token1,
    ACTIONS(10373), 1,
      anon_sym_DOT,
    ACTIONS(10377), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10379), 1,
      anon_sym_u2987,
    ACTIONS(10381), 1,
      aux_sym_integer_token1,
    ACTIONS(10383), 1,
      aux_sym_literal_token1,
    ACTIONS(10385), 1,
      anon_sym_Set,
    STATE(4983), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7699), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7698), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10359), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [544647] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9948), 1,
      sym_id,
    ACTIONS(9950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9954), 1,
      anon_sym_record,
    ACTIONS(9956), 1,
      anon_sym_LPAREN,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9960), 1,
      anon_sym_u2983,
    ACTIONS(9962), 1,
      anon_sym_LBRACE,
    ACTIONS(9964), 1,
      aux_sym__qid_token1,
    ACTIONS(9966), 1,
      anon_sym_DOT,
    ACTIONS(9970), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9972), 1,
      anon_sym_u2987,
    ACTIONS(9974), 1,
      aux_sym_integer_token1,
    ACTIONS(9976), 1,
      aux_sym_literal_token1,
    ACTIONS(9978), 1,
      anon_sym_Set,
    STATE(4755), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7559), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7558), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9952), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [544723] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [544765] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10448), 1,
      sym_id,
    ACTIONS(10450), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10454), 1,
      anon_sym_record,
    ACTIONS(10456), 1,
      anon_sym_LPAREN,
    ACTIONS(10458), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10460), 1,
      anon_sym_u2983,
    ACTIONS(10462), 1,
      anon_sym_LBRACE,
    ACTIONS(10464), 1,
      aux_sym__qid_token1,
    ACTIONS(10466), 1,
      anon_sym_DOT,
    ACTIONS(10470), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10472), 1,
      anon_sym_u2987,
    ACTIONS(10474), 1,
      aux_sym_integer_token1,
    ACTIONS(10476), 1,
      aux_sym_literal_token1,
    ACTIONS(10478), 1,
      anon_sym_Set,
    STATE(5010), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7570), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7569), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10452), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [544841] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [544883] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [544925] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [544967] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [545009] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [545051] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [545093] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [545135] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [545177] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [545219] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [545261] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7011), 1,
      sym_id,
    ACTIONS(7013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7017), 1,
      anon_sym_record,
    ACTIONS(7019), 1,
      anon_sym_LPAREN,
    ACTIONS(7021), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7023), 1,
      anon_sym_u2983,
    ACTIONS(7025), 1,
      anon_sym_LBRACE,
    ACTIONS(7027), 1,
      aux_sym__qid_token1,
    ACTIONS(7029), 1,
      anon_sym_DOT,
    ACTIONS(7033), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7035), 1,
      anon_sym_u2987,
    ACTIONS(7037), 1,
      aux_sym_integer_token1,
    ACTIONS(7039), 1,
      aux_sym_literal_token1,
    ACTIONS(7041), 1,
      anon_sym_Set,
    STATE(4068), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6887), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7015), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [545337] = 4,
    ACTIONS(10903), 1,
      anon_sym_BSLASH,
    ACTIONS(10905), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(10901), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [545381] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10594), 1,
      sym_id,
    ACTIONS(10596), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10600), 1,
      anon_sym_record,
    ACTIONS(10602), 1,
      anon_sym_LPAREN,
    ACTIONS(10604), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10606), 1,
      anon_sym_u2983,
    ACTIONS(10608), 1,
      anon_sym_LBRACE,
    ACTIONS(10610), 1,
      aux_sym__qid_token1,
    ACTIONS(10612), 1,
      anon_sym_DOT,
    ACTIONS(10616), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10618), 1,
      anon_sym_u2987,
    ACTIONS(10620), 1,
      aux_sym_integer_token1,
    ACTIONS(10622), 1,
      aux_sym_literal_token1,
    ACTIONS(10624), 1,
      anon_sym_Set,
    STATE(5035), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7704), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7703), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10598), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [545457] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10784), 1,
      sym_id,
    ACTIONS(10786), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10790), 1,
      anon_sym_record,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10794), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10796), 1,
      anon_sym_u2983,
    ACTIONS(10798), 1,
      anon_sym_LBRACE,
    ACTIONS(10800), 1,
      aux_sym__qid_token1,
    ACTIONS(10802), 1,
      anon_sym_DOT,
    ACTIONS(10806), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10808), 1,
      anon_sym_u2987,
    ACTIONS(10810), 1,
      aux_sym_integer_token1,
    ACTIONS(10812), 1,
      aux_sym_literal_token1,
    ACTIONS(10814), 1,
      anon_sym_Set,
    STATE(5117), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7671), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7810), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10788), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [545533] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [545575] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [545617] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6471), 1,
      sym_id,
    ACTIONS(6473), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6477), 1,
      anon_sym_record,
    ACTIONS(6479), 1,
      anon_sym_LPAREN,
    ACTIONS(6481), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_u2983,
    ACTIONS(6485), 1,
      anon_sym_LBRACE,
    ACTIONS(6487), 1,
      aux_sym__qid_token1,
    ACTIONS(6489), 1,
      anon_sym_DOT,
    ACTIONS(6493), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6495), 1,
      anon_sym_u2987,
    ACTIONS(6497), 1,
      aux_sym_integer_token1,
    ACTIONS(6499), 1,
      aux_sym_literal_token1,
    ACTIONS(6501), 1,
      anon_sym_Set,
    STATE(4012), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(6848), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6847), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6475), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [545693] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_EQ,
      anon_sym_u2984,
    ACTIONS(6535), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [545737] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9064), 1,
      sym_id,
    ACTIONS(9066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9070), 1,
      anon_sym_record,
    ACTIONS(9072), 1,
      anon_sym_LPAREN,
    ACTIONS(9074), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9076), 1,
      anon_sym_u2983,
    ACTIONS(9078), 1,
      anon_sym_LBRACE,
    ACTIONS(9080), 1,
      aux_sym__qid_token1,
    ACTIONS(9082), 1,
      anon_sym_DOT,
    ACTIONS(9086), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9088), 1,
      anon_sym_u2987,
    ACTIONS(9090), 1,
      aux_sym_integer_token1,
    ACTIONS(9092), 1,
      aux_sym_literal_token1,
    ACTIONS(9094), 1,
      anon_sym_Set,
    STATE(4647), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7370), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7365), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9068), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [545813] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8281), 1,
      sym_id,
    ACTIONS(8283), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8287), 1,
      anon_sym_record,
    ACTIONS(8289), 1,
      anon_sym_LPAREN,
    ACTIONS(8291), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8293), 1,
      anon_sym_u2983,
    ACTIONS(8295), 1,
      anon_sym_LBRACE,
    ACTIONS(8297), 1,
      aux_sym__qid_token1,
    ACTIONS(8299), 1,
      anon_sym_DOT,
    ACTIONS(8303), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8305), 1,
      anon_sym_u2987,
    ACTIONS(8307), 1,
      aux_sym_integer_token1,
    ACTIONS(8309), 1,
      aux_sym_literal_token1,
    ACTIONS(8311), 1,
      anon_sym_Set,
    STATE(4433), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7313), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7311), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8285), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [545889] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5331), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [545965] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8204), 1,
      sym_id,
    ACTIONS(8206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8210), 1,
      anon_sym_record,
    ACTIONS(8212), 1,
      anon_sym_LPAREN,
    ACTIONS(8214), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8216), 1,
      anon_sym_u2983,
    ACTIONS(8218), 1,
      anon_sym_LBRACE,
    ACTIONS(8220), 1,
      aux_sym__qid_token1,
    ACTIONS(8222), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8228), 1,
      anon_sym_u2987,
    ACTIONS(8230), 1,
      aux_sym_integer_token1,
    ACTIONS(8232), 1,
      aux_sym_literal_token1,
    ACTIONS(8234), 1,
      anon_sym_Set,
    STATE(4593), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7212), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7200), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8208), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [546041] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(4953), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [546117] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5003), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [546193] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(4960), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [546269] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7772), 1,
      sym_id,
    ACTIONS(7774), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7778), 1,
      anon_sym_record,
    ACTIONS(7780), 1,
      anon_sym_LPAREN,
    ACTIONS(7782), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7784), 1,
      anon_sym_u2983,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    ACTIONS(7788), 1,
      aux_sym__qid_token1,
    ACTIONS(7790), 1,
      anon_sym_DOT,
    ACTIONS(7794), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7796), 1,
      anon_sym_u2987,
    ACTIONS(7798), 1,
      aux_sym_integer_token1,
    ACTIONS(7800), 1,
      aux_sym_literal_token1,
    ACTIONS(7802), 1,
      anon_sym_Set,
    STATE(4262), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7239), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7234), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7776), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [546345] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5016), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [546421] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5174), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [546497] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(4926), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [546573] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(4961), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [546649] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(4985), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [546725] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5009), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [546801] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5032), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [546877] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5068), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [546953] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5102), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [547029] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5135), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [547105] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5147), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [547181] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5176), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [547257] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5284), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [547333] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5325), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [547409] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5349), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [547485] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(4925), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [547561] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(4947), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [547637] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(4957), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [547713] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(4970), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [547789] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(4978), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [547865] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(4988), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [547941] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(4999), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [548017] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5324), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [548093] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5004), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [548169] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5012), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [548245] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5021), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [548321] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5024), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [548397] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5029), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [548473] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5033), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [548549] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5038), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [548625] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5048), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [548701] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5053), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [548777] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5063), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [548853] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5070), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [548929] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5078), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [549005] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5080), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [549081] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5083), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [549157] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5094), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [549233] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5101), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [549309] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(5103), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [549385] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10323), 1,
      sym_id,
    ACTIONS(10325), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10329), 1,
      anon_sym_record,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10335), 1,
      anon_sym_u2983,
    ACTIONS(10337), 1,
      anon_sym_LBRACE,
    ACTIONS(10339), 1,
      aux_sym__qid_token1,
    ACTIONS(10341), 1,
      anon_sym_DOT,
    ACTIONS(10345), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10347), 1,
      anon_sym_u2987,
    ACTIONS(10349), 1,
      aux_sym_integer_token1,
    ACTIONS(10351), 1,
      aux_sym_literal_token1,
    ACTIONS(10353), 1,
      anon_sym_Set,
    STATE(5336), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7666), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7474), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10327), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [549461] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8989), 1,
      sym_id,
    ACTIONS(8991), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8995), 1,
      anon_sym_record,
    ACTIONS(8997), 1,
      anon_sym_LPAREN,
    ACTIONS(8999), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9001), 1,
      anon_sym_u2983,
    ACTIONS(9003), 1,
      anon_sym_LBRACE,
    ACTIONS(9005), 1,
      aux_sym__qid_token1,
    ACTIONS(9007), 1,
      anon_sym_DOT,
    ACTIONS(9009), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9011), 1,
      anon_sym_u2987,
    ACTIONS(9013), 1,
      aux_sym_integer_token1,
    ACTIONS(9015), 1,
      aux_sym_literal_token1,
    ACTIONS(9017), 1,
      anon_sym_Set,
    STATE(4883), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7424), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7417), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8993), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [549537] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10448), 1,
      sym_id,
    ACTIONS(10450), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10454), 1,
      anon_sym_record,
    ACTIONS(10456), 1,
      anon_sym_LPAREN,
    ACTIONS(10458), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10460), 1,
      anon_sym_u2983,
    ACTIONS(10462), 1,
      anon_sym_LBRACE,
    ACTIONS(10464), 1,
      aux_sym__qid_token1,
    ACTIONS(10466), 1,
      anon_sym_DOT,
    ACTIONS(10470), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10472), 1,
      anon_sym_u2987,
    ACTIONS(10474), 1,
      aux_sym_integer_token1,
    ACTIONS(10476), 1,
      aux_sym_literal_token1,
    ACTIONS(10478), 1,
      anon_sym_Set,
    STATE(5337), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7570), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7569), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10452), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [549613] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7351), 1,
      sym_id,
    ACTIONS(7353), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7357), 1,
      anon_sym_record,
    ACTIONS(7359), 1,
      anon_sym_LPAREN,
    ACTIONS(7361), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7363), 1,
      anon_sym_u2983,
    ACTIONS(7365), 1,
      anon_sym_LBRACE,
    ACTIONS(7367), 1,
      aux_sym__qid_token1,
    ACTIONS(7369), 1,
      anon_sym_DOT,
    ACTIONS(7373), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7375), 1,
      anon_sym_u2987,
    ACTIONS(7377), 1,
      aux_sym_integer_token1,
    ACTIONS(7379), 1,
      aux_sym_literal_token1,
    ACTIONS(7381), 1,
      anon_sym_Set,
    STATE(4165), 2,
      sym_atom,
      aux_sym__atoms,
    STATE(7132), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7129), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7355), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [549689] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 32,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [549731] = 3,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6689), 2,
      sym__newline,
      anon_sym_BSLASH,
    ACTIONS(6687), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [549773] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_COLON,
      anon_sym_u2984,
    ACTIONS(6535), 29,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [549816] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2378), 1,
      sym_id,
    ACTIONS(2382), 1,
      anon_sym_record,
    ACTIONS(2392), 1,
      aux_sym__qid_token1,
    ACTIONS(2398), 1,
      anon_sym_u2987,
    ACTIONS(2400), 1,
      aux_sym_integer_token1,
    ACTIONS(2402), 1,
      anon_sym_Set,
    ACTIONS(4866), 1,
      anon_sym_DOT,
    ACTIONS(11367), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11369), 1,
      anon_sym_LPAREN,
    ACTIONS(11371), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11373), 1,
      anon_sym_u2983,
    ACTIONS(11375), 1,
      anon_sym_LBRACE,
    ACTIONS(11377), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11379), 1,
      aux_sym_literal_token1,
    STATE(5219), 1,
      sym_atom,
    STATE(5218), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2380), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [549891] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [549932] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2624), 1,
      sym_id,
    ACTIONS(2636), 1,
      anon_sym_record,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_u2983,
    ACTIONS(2644), 1,
      anon_sym_LBRACE,
    ACTIONS(2646), 1,
      aux_sym__qid_token1,
    ACTIONS(2648), 1,
      anon_sym_DOT,
    ACTIONS(2656), 1,
      anon_sym_u2987,
    ACTIONS(2660), 1,
      aux_sym_integer_token1,
    ACTIONS(2662), 1,
      anon_sym_Set,
    ACTIONS(11381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11383), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11385), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11387), 1,
      aux_sym_literal_token1,
    STATE(5379), 1,
      sym_atom,
    STATE(5378), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5374), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2634), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [550007] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2882), 1,
      aux_sym_integer_token1,
    ACTIONS(2884), 1,
      anon_sym_Set,
    ACTIONS(4712), 1,
      anon_sym_DOT,
    ACTIONS(11389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11391), 1,
      anon_sym_LPAREN,
    ACTIONS(11393), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11395), 1,
      anon_sym_u2983,
    ACTIONS(11397), 1,
      anon_sym_LBRACE,
    ACTIONS(11399), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11401), 1,
      aux_sym_literal_token1,
    STATE(4603), 1,
      sym_atom,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2862), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [550082] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2690), 1,
      sym_id,
    ACTIONS(2694), 1,
      anon_sym_record,
    ACTIONS(2704), 1,
      aux_sym__qid_token1,
    ACTIONS(2710), 1,
      anon_sym_u2987,
    ACTIONS(2712), 1,
      aux_sym_integer_token1,
    ACTIONS(2714), 1,
      anon_sym_Set,
    ACTIONS(4908), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      anon_sym_u2983,
    ACTIONS(4914), 1,
      anon_sym_LBRACE,
    ACTIONS(4916), 1,
      anon_sym_DOT,
    ACTIONS(11403), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11407), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11409), 1,
      aux_sym_literal_token1,
    STATE(5277), 1,
      sym_atom,
    STATE(5272), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5268), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2692), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [550157] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3722), 1,
      sym_id,
    ACTIONS(3728), 1,
      anon_sym_record,
    ACTIONS(3730), 1,
      anon_sym_LPAREN,
    ACTIONS(3734), 1,
      anon_sym_u2983,
    ACTIONS(3736), 1,
      anon_sym_LBRACE,
    ACTIONS(3738), 1,
      aux_sym__qid_token1,
    ACTIONS(3740), 1,
      anon_sym_DOT,
    ACTIONS(3744), 1,
      anon_sym_u2987,
    ACTIONS(3746), 1,
      aux_sym_integer_token1,
    ACTIONS(3748), 1,
      anon_sym_Set,
    ACTIONS(11411), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11413), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11415), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11417), 1,
      aux_sym_literal_token1,
    STATE(5376), 1,
      sym_atom,
    STATE(5688), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5600), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3726), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [550232] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7090), 1,
      sym_id,
    ACTIONS(7092), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7096), 1,
      anon_sym_record,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(7106), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7108), 1,
      anon_sym_u2983,
    ACTIONS(7110), 1,
      anon_sym_LBRACE,
    ACTIONS(7112), 1,
      aux_sym__qid_token1,
    ACTIONS(7114), 1,
      anon_sym_DOT,
    ACTIONS(7118), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7120), 1,
      anon_sym_u2987,
    ACTIONS(7122), 1,
      aux_sym_integer_token1,
    ACTIONS(7124), 1,
      aux_sym_literal_token1,
    ACTIONS(7126), 1,
      anon_sym_Set,
    STATE(7207), 1,
      sym_atom,
    STATE(7204), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7186), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7094), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [550307] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [550348] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2716), 1,
      sym_id,
    ACTIONS(2728), 1,
      anon_sym_record,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    ACTIONS(2734), 1,
      anon_sym_u2983,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      aux_sym__qid_token1,
    ACTIONS(2740), 1,
      anon_sym_DOT,
    ACTIONS(2748), 1,
      anon_sym_u2987,
    ACTIONS(2752), 1,
      aux_sym_integer_token1,
    ACTIONS(2754), 1,
      anon_sym_Set,
    ACTIONS(11419), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11421), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11423), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11425), 1,
      aux_sym_literal_token1,
    STATE(4047), 1,
      sym_atom,
    STATE(4080), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4078), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2726), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [550423] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [550464] = 4,
    ACTIONS(6537), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_COLON,
      anon_sym_RBRACE,
    ACTIONS(6535), 29,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [550507] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5062), 1,
      sym_id,
    ACTIONS(5066), 1,
      anon_sym_record,
    ACTIONS(5068), 1,
      anon_sym_LPAREN,
    ACTIONS(5072), 1,
      anon_sym_u2983,
    ACTIONS(5074), 1,
      anon_sym_LBRACE,
    ACTIONS(5076), 1,
      aux_sym__qid_token1,
    ACTIONS(5078), 1,
      anon_sym_DOT,
    ACTIONS(5082), 1,
      anon_sym_u2987,
    ACTIONS(5084), 1,
      aux_sym_integer_token1,
    ACTIONS(5086), 1,
      anon_sym_Set,
    ACTIONS(11427), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11429), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11431), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11433), 1,
      aux_sym_literal_token1,
    STATE(6060), 1,
      sym_atom,
    STATE(6049), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6053), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5064), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [550582] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [550623] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6090), 1,
      sym_id,
    ACTIONS(6094), 1,
      anon_sym_record,
    ACTIONS(6096), 1,
      anon_sym_LPAREN,
    ACTIONS(6100), 1,
      anon_sym_u2983,
    ACTIONS(6102), 1,
      anon_sym_LBRACE,
    ACTIONS(6104), 1,
      aux_sym__qid_token1,
    ACTIONS(6106), 1,
      anon_sym_DOT,
    ACTIONS(6110), 1,
      anon_sym_u2987,
    ACTIONS(6112), 1,
      aux_sym_integer_token1,
    ACTIONS(6114), 1,
      anon_sym_Set,
    ACTIONS(11435), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11437), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11439), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11441), 1,
      aux_sym_literal_token1,
    STATE(5651), 1,
      sym_atom,
    STATE(5450), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5413), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6092), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [550698] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5768), 1,
      sym_id,
    ACTIONS(5772), 1,
      anon_sym_record,
    ACTIONS(5774), 1,
      anon_sym_LPAREN,
    ACTIONS(5778), 1,
      anon_sym_u2983,
    ACTIONS(5780), 1,
      anon_sym_LBRACE,
    ACTIONS(5782), 1,
      aux_sym__qid_token1,
    ACTIONS(5784), 1,
      anon_sym_DOT,
    ACTIONS(5788), 1,
      anon_sym_u2987,
    ACTIONS(5790), 1,
      aux_sym_integer_token1,
    ACTIONS(5792), 1,
      anon_sym_Set,
    ACTIONS(11443), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11445), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11447), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11449), 1,
      aux_sym_literal_token1,
    STATE(4418), 1,
      sym_atom,
    STATE(4528), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4524), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5770), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [550773] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [550814] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [550855] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(734), 1,
      sym_id,
    ACTIONS(744), 1,
      anon_sym_record,
    ACTIONS(754), 1,
      aux_sym__qid_token1,
    ACTIONS(768), 1,
      anon_sym_u2987,
    ACTIONS(772), 1,
      aux_sym_integer_token1,
    ACTIONS(774), 1,
      anon_sym_Set,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_u2983,
    ACTIONS(4234), 1,
      anon_sym_LBRACE,
    ACTIONS(4236), 1,
      anon_sym_DOT,
    ACTIONS(11451), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11453), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11455), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11457), 1,
      aux_sym_literal_token1,
    STATE(5305), 1,
      sym_atom,
    STATE(5228), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5289), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(742), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [550930] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [550971] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(890), 1,
      aux_sym_integer_token1,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(4540), 1,
      anon_sym_LPAREN,
    ACTIONS(4544), 1,
      anon_sym_u2983,
    ACTIONS(4546), 1,
      anon_sym_LBRACE,
    ACTIONS(4548), 1,
      anon_sym_DOT,
    ACTIONS(11459), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11461), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11463), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11465), 1,
      aux_sym_literal_token1,
    STATE(4865), 1,
      sym_atom,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(858), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [551046] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [551087] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8204), 1,
      sym_id,
    ACTIONS(8206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8210), 1,
      anon_sym_record,
    ACTIONS(8212), 1,
      anon_sym_LPAREN,
    ACTIONS(8214), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8216), 1,
      anon_sym_u2983,
    ACTIONS(8218), 1,
      anon_sym_LBRACE,
    ACTIONS(8220), 1,
      aux_sym__qid_token1,
    ACTIONS(8222), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8228), 1,
      anon_sym_u2987,
    ACTIONS(8230), 1,
      aux_sym_integer_token1,
    ACTIONS(8232), 1,
      aux_sym_literal_token1,
    ACTIONS(8234), 1,
      anon_sym_Set,
    STATE(7188), 1,
      sym_atom,
    STATE(7212), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7200), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8208), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [551162] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9948), 1,
      sym_id,
    ACTIONS(9950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9954), 1,
      anon_sym_record,
    ACTIONS(9956), 1,
      anon_sym_LPAREN,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9960), 1,
      anon_sym_u2983,
    ACTIONS(9962), 1,
      anon_sym_LBRACE,
    ACTIONS(9964), 1,
      aux_sym__qid_token1,
    ACTIONS(9966), 1,
      anon_sym_DOT,
    ACTIONS(9970), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9972), 1,
      anon_sym_u2987,
    ACTIONS(9974), 1,
      aux_sym_integer_token1,
    ACTIONS(9976), 1,
      aux_sym_literal_token1,
    ACTIONS(9978), 1,
      anon_sym_Set,
    STATE(7560), 1,
      sym_atom,
    STATE(7559), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7558), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9952), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [551237] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4250), 1,
      sym_id,
    ACTIONS(4254), 1,
      anon_sym_record,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4260), 1,
      anon_sym_u2983,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4264), 1,
      aux_sym__qid_token1,
    ACTIONS(4266), 1,
      anon_sym_DOT,
    ACTIONS(4270), 1,
      anon_sym_u2987,
    ACTIONS(4272), 1,
      aux_sym_integer_token1,
    ACTIONS(4274), 1,
      anon_sym_Set,
    ACTIONS(11467), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11469), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11471), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11473), 1,
      aux_sym_literal_token1,
    STATE(5778), 1,
      sym_atom,
    STATE(5777), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5768), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4252), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [551312] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [551353] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2882), 1,
      aux_sym_integer_token1,
    ACTIONS(2884), 1,
      anon_sym_Set,
    ACTIONS(4704), 1,
      anon_sym_LPAREN,
    ACTIONS(4708), 1,
      anon_sym_u2983,
    ACTIONS(4710), 1,
      anon_sym_LBRACE,
    ACTIONS(4712), 1,
      anon_sym_DOT,
    ACTIONS(11389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11399), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11401), 1,
      aux_sym_literal_token1,
    ACTIONS(11475), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(4607), 1,
      sym_atom,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2862), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [551428] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10448), 1,
      sym_id,
    ACTIONS(10450), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10454), 1,
      anon_sym_record,
    ACTIONS(10456), 1,
      anon_sym_LPAREN,
    ACTIONS(10458), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10460), 1,
      anon_sym_u2983,
    ACTIONS(10462), 1,
      anon_sym_LBRACE,
    ACTIONS(10464), 1,
      aux_sym__qid_token1,
    ACTIONS(10466), 1,
      anon_sym_DOT,
    ACTIONS(10470), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10472), 1,
      anon_sym_u2987,
    ACTIONS(10474), 1,
      aux_sym_integer_token1,
    ACTIONS(10476), 1,
      aux_sym_literal_token1,
    ACTIONS(10478), 1,
      anon_sym_Set,
    STATE(7572), 1,
      sym_atom,
    STATE(7570), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7569), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10452), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [551503] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(950), 1,
      sym_id,
    ACTIONS(960), 1,
      anon_sym_record,
    ACTIONS(970), 1,
      aux_sym__qid_token1,
    ACTIONS(980), 1,
      anon_sym_u2987,
    ACTIONS(984), 1,
      aux_sym_integer_token1,
    ACTIONS(986), 1,
      anon_sym_Set,
    ACTIONS(4780), 1,
      anon_sym_LPAREN,
    ACTIONS(4784), 1,
      anon_sym_u2983,
    ACTIONS(4786), 1,
      anon_sym_LBRACE,
    ACTIONS(4788), 1,
      anon_sym_DOT,
    ACTIONS(11477), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11479), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11481), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11483), 1,
      aux_sym_literal_token1,
    STATE(5055), 1,
      sym_atom,
    STATE(5006), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5025), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(958), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [551578] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10594), 1,
      sym_id,
    ACTIONS(10596), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10600), 1,
      anon_sym_record,
    ACTIONS(10602), 1,
      anon_sym_LPAREN,
    ACTIONS(10604), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10606), 1,
      anon_sym_u2983,
    ACTIONS(10608), 1,
      anon_sym_LBRACE,
    ACTIONS(10610), 1,
      aux_sym__qid_token1,
    ACTIONS(10612), 1,
      anon_sym_DOT,
    ACTIONS(10616), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10618), 1,
      anon_sym_u2987,
    ACTIONS(10620), 1,
      aux_sym_integer_token1,
    ACTIONS(10622), 1,
      aux_sym_literal_token1,
    ACTIONS(10624), 1,
      anon_sym_Set,
    STATE(7705), 1,
      sym_atom,
    STATE(7704), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7703), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10598), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [551653] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6547), 1,
      sym_id,
    ACTIONS(6549), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6553), 1,
      anon_sym_record,
    ACTIONS(6555), 1,
      anon_sym_LPAREN,
    ACTIONS(6557), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6559), 1,
      anon_sym_u2983,
    ACTIONS(6561), 1,
      anon_sym_LBRACE,
    ACTIONS(6563), 1,
      aux_sym__qid_token1,
    ACTIONS(6565), 1,
      anon_sym_DOT,
    ACTIONS(6569), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6571), 1,
      anon_sym_u2987,
    ACTIONS(6573), 1,
      aux_sym_integer_token1,
    ACTIONS(6575), 1,
      aux_sym_literal_token1,
    ACTIONS(6577), 1,
      anon_sym_Set,
    STATE(6828), 1,
      sym_atom,
    STATE(6803), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6853), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6551), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [551728] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10784), 1,
      sym_id,
    ACTIONS(10786), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10790), 1,
      anon_sym_record,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10794), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10796), 1,
      anon_sym_u2983,
    ACTIONS(10798), 1,
      anon_sym_LBRACE,
    ACTIONS(10800), 1,
      aux_sym__qid_token1,
    ACTIONS(10802), 1,
      anon_sym_DOT,
    ACTIONS(10806), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10808), 1,
      anon_sym_u2987,
    ACTIONS(10810), 1,
      aux_sym_integer_token1,
    ACTIONS(10812), 1,
      aux_sym_literal_token1,
    ACTIONS(10814), 1,
      anon_sym_Set,
    STATE(7672), 1,
      sym_atom,
    STATE(7671), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7810), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10788), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [551803] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2378), 1,
      sym_id,
    ACTIONS(2382), 1,
      anon_sym_record,
    ACTIONS(2392), 1,
      aux_sym__qid_token1,
    ACTIONS(2398), 1,
      anon_sym_u2987,
    ACTIONS(2400), 1,
      aux_sym_integer_token1,
    ACTIONS(2402), 1,
      anon_sym_Set,
    ACTIONS(4858), 1,
      anon_sym_LPAREN,
    ACTIONS(4862), 1,
      anon_sym_u2983,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(4866), 1,
      anon_sym_DOT,
    ACTIONS(11367), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11377), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11379), 1,
      aux_sym_literal_token1,
    ACTIONS(11485), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(5223), 1,
      sym_atom,
    STATE(5218), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2380), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [551878] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5606), 1,
      sym_id,
    ACTIONS(5610), 1,
      anon_sym_record,
    ACTIONS(5612), 1,
      anon_sym_LPAREN,
    ACTIONS(5616), 1,
      anon_sym_u2983,
    ACTIONS(5618), 1,
      anon_sym_LBRACE,
    ACTIONS(5620), 1,
      aux_sym__qid_token1,
    ACTIONS(5622), 1,
      anon_sym_DOT,
    ACTIONS(5626), 1,
      anon_sym_u2987,
    ACTIONS(5628), 1,
      aux_sym_integer_token1,
    ACTIONS(5630), 1,
      anon_sym_Set,
    ACTIONS(11487), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11489), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11491), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11493), 1,
      aux_sym_literal_token1,
    STATE(5902), 1,
      sym_atom,
    STATE(5896), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5891), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5608), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [551953] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6471), 1,
      sym_id,
    ACTIONS(6473), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6477), 1,
      anon_sym_record,
    ACTIONS(6479), 1,
      anon_sym_LPAREN,
    ACTIONS(6481), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_u2983,
    ACTIONS(6485), 1,
      anon_sym_LBRACE,
    ACTIONS(6487), 1,
      aux_sym__qid_token1,
    ACTIONS(6489), 1,
      anon_sym_DOT,
    ACTIONS(6493), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6495), 1,
      anon_sym_u2987,
    ACTIONS(6497), 1,
      aux_sym_integer_token1,
    ACTIONS(6499), 1,
      aux_sym_literal_token1,
    ACTIONS(6501), 1,
      anon_sym_Set,
    STATE(6849), 1,
      sym_atom,
    STATE(6848), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6847), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6475), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [552028] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(7812), 1,
      sym_atom,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [552103] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9064), 1,
      sym_id,
    ACTIONS(9066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9070), 1,
      anon_sym_record,
    ACTIONS(9072), 1,
      anon_sym_LPAREN,
    ACTIONS(9074), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9076), 1,
      anon_sym_u2983,
    ACTIONS(9078), 1,
      anon_sym_LBRACE,
    ACTIONS(9080), 1,
      aux_sym__qid_token1,
    ACTIONS(9082), 1,
      anon_sym_DOT,
    ACTIONS(9086), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9088), 1,
      anon_sym_u2987,
    ACTIONS(9090), 1,
      aux_sym_integer_token1,
    ACTIONS(9092), 1,
      aux_sym_literal_token1,
    ACTIONS(9094), 1,
      anon_sym_Set,
    STATE(7373), 1,
      sym_atom,
    STATE(7370), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7365), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9068), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [552178] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3900), 1,
      sym_id,
    ACTIONS(3908), 1,
      anon_sym_record,
    ACTIONS(3910), 1,
      anon_sym_LPAREN,
    ACTIONS(3914), 1,
      anon_sym_u2983,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    ACTIONS(3918), 1,
      aux_sym__qid_token1,
    ACTIONS(3920), 1,
      anon_sym_DOT,
    ACTIONS(3926), 1,
      anon_sym_u2987,
    ACTIONS(3928), 1,
      aux_sym_integer_token1,
    ACTIONS(3930), 1,
      anon_sym_Set,
    ACTIONS(11495), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11497), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11499), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11501), 1,
      aux_sym_literal_token1,
    STATE(5743), 1,
      sym_atom,
    STATE(5741), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5737), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3906), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [552253] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2096), 1,
      sym_id,
    ACTIONS(2106), 1,
      anon_sym_record,
    ACTIONS(2116), 1,
      aux_sym__qid_token1,
    ACTIONS(2126), 1,
      anon_sym_u2987,
    ACTIONS(2130), 1,
      aux_sym_integer_token1,
    ACTIONS(2132), 1,
      anon_sym_Set,
    ACTIONS(4766), 1,
      anon_sym_LPAREN,
    ACTIONS(4770), 1,
      anon_sym_u2983,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4774), 1,
      anon_sym_DOT,
    ACTIONS(11503), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11505), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11507), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11509), 1,
      aux_sym_literal_token1,
    STATE(4828), 1,
      sym_atom,
    STATE(4823), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4822), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2104), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [552328] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_id,
    ACTIONS(1876), 1,
      anon_sym_record,
    ACTIONS(1886), 1,
      aux_sym__qid_token1,
    ACTIONS(1896), 1,
      anon_sym_u2987,
    ACTIONS(1900), 1,
      aux_sym_integer_token1,
    ACTIONS(1902), 1,
      anon_sym_Set,
    ACTIONS(4792), 1,
      anon_sym_LPAREN,
    ACTIONS(4796), 1,
      anon_sym_u2983,
    ACTIONS(4798), 1,
      anon_sym_LBRACE,
    ACTIONS(4800), 1,
      anon_sym_DOT,
    ACTIONS(11511), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11513), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11515), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11517), 1,
      aux_sym_literal_token1,
    STATE(4866), 1,
      sym_atom,
    STATE(4844), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4861), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1874), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [552403] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8527), 1,
      sym_id,
    ACTIONS(8529), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8533), 1,
      anon_sym_record,
    ACTIONS(8535), 1,
      anon_sym_LPAREN,
    ACTIONS(8537), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8539), 1,
      anon_sym_u2983,
    ACTIONS(8541), 1,
      anon_sym_LBRACE,
    ACTIONS(8543), 1,
      aux_sym__qid_token1,
    ACTIONS(8545), 1,
      anon_sym_DOT,
    ACTIONS(8549), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8551), 1,
      anon_sym_u2987,
    ACTIONS(8553), 1,
      aux_sym_integer_token1,
    ACTIONS(8555), 1,
      aux_sym_literal_token1,
    ACTIONS(8557), 1,
      anon_sym_Set,
    STATE(7411), 1,
      sym_atom,
    STATE(7382), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7363), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8531), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [552478] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [552519] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8281), 1,
      sym_id,
    ACTIONS(8283), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8287), 1,
      anon_sym_record,
    ACTIONS(8289), 1,
      anon_sym_LPAREN,
    ACTIONS(8291), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8293), 1,
      anon_sym_u2983,
    ACTIONS(8295), 1,
      anon_sym_LBRACE,
    ACTIONS(8297), 1,
      aux_sym__qid_token1,
    ACTIONS(8299), 1,
      anon_sym_DOT,
    ACTIONS(8303), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8305), 1,
      anon_sym_u2987,
    ACTIONS(8307), 1,
      aux_sym_integer_token1,
    ACTIONS(8309), 1,
      aux_sym_literal_token1,
    ACTIONS(8311), 1,
      anon_sym_Set,
    STATE(7315), 1,
      sym_atom,
    STATE(7313), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7311), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8285), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [552594] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(734), 1,
      sym_id,
    ACTIONS(744), 1,
      anon_sym_record,
    ACTIONS(754), 1,
      aux_sym__qid_token1,
    ACTIONS(768), 1,
      anon_sym_u2987,
    ACTIONS(772), 1,
      aux_sym_integer_token1,
    ACTIONS(774), 1,
      anon_sym_Set,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_u2983,
    ACTIONS(4234), 1,
      anon_sym_LBRACE,
    ACTIONS(4236), 1,
      anon_sym_DOT,
    ACTIONS(11451), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11453), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11455), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11457), 1,
      aux_sym_literal_token1,
    STATE(5318), 1,
      sym_atom,
    STATE(5228), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5289), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(742), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [552669] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5256), 1,
      sym_id,
    ACTIONS(5260), 1,
      anon_sym_record,
    ACTIONS(5262), 1,
      anon_sym_LPAREN,
    ACTIONS(5266), 1,
      anon_sym_u2983,
    ACTIONS(5268), 1,
      anon_sym_LBRACE,
    ACTIONS(5270), 1,
      aux_sym__qid_token1,
    ACTIONS(5272), 1,
      anon_sym_DOT,
    ACTIONS(5276), 1,
      anon_sym_u2987,
    ACTIONS(5278), 1,
      aux_sym_integer_token1,
    ACTIONS(5280), 1,
      anon_sym_Set,
    ACTIONS(11519), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11521), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11523), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11525), 1,
      aux_sym_literal_token1,
    STATE(5501), 1,
      sym_atom,
    STATE(5500), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5496), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5258), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [552744] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1904), 1,
      sym_id,
    ACTIONS(1914), 1,
      anon_sym_record,
    ACTIONS(1924), 1,
      aux_sym__qid_token1,
    ACTIONS(1934), 1,
      anon_sym_u2987,
    ACTIONS(1938), 1,
      aux_sym_integer_token1,
    ACTIONS(1940), 1,
      anon_sym_Set,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_u2983,
    ACTIONS(4332), 1,
      anon_sym_LBRACE,
    ACTIONS(4334), 1,
      anon_sym_DOT,
    ACTIONS(11527), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11529), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11531), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11533), 1,
      aux_sym_literal_token1,
    STATE(4475), 1,
      sym_atom,
    STATE(4621), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4454), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1912), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [552819] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6838), 1,
      sym_id,
    ACTIONS(6842), 1,
      anon_sym_record,
    ACTIONS(6844), 1,
      anon_sym_LPAREN,
    ACTIONS(6848), 1,
      anon_sym_u2983,
    ACTIONS(6850), 1,
      anon_sym_LBRACE,
    ACTIONS(6852), 1,
      aux_sym__qid_token1,
    ACTIONS(6854), 1,
      anon_sym_DOT,
    ACTIONS(6858), 1,
      anon_sym_u2987,
    ACTIONS(6860), 1,
      aux_sym_integer_token1,
    ACTIONS(6862), 1,
      anon_sym_Set,
    ACTIONS(11535), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11537), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11539), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11541), 1,
      aux_sym_literal_token1,
    STATE(6813), 1,
      sym_atom,
    STATE(6824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6808), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6840), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [552894] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7772), 1,
      sym_id,
    ACTIONS(7774), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7778), 1,
      anon_sym_record,
    ACTIONS(7780), 1,
      anon_sym_LPAREN,
    ACTIONS(7782), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7784), 1,
      anon_sym_u2983,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    ACTIONS(7788), 1,
      aux_sym__qid_token1,
    ACTIONS(7790), 1,
      anon_sym_DOT,
    ACTIONS(7794), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7796), 1,
      anon_sym_u2987,
    ACTIONS(7798), 1,
      aux_sym_integer_token1,
    ACTIONS(7800), 1,
      aux_sym_literal_token1,
    ACTIONS(7802), 1,
      anon_sym_Set,
    STATE(7240), 1,
      sym_atom,
    STATE(7239), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7234), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7776), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [552969] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [553010] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2976), 1,
      sym_id,
    ACTIONS(2980), 1,
      anon_sym_record,
    ACTIONS(2990), 1,
      aux_sym__qid_token1,
    ACTIONS(2996), 1,
      anon_sym_u2987,
    ACTIONS(2998), 1,
      aux_sym_integer_token1,
    ACTIONS(3000), 1,
      anon_sym_Set,
    ACTIONS(4826), 1,
      anon_sym_LPAREN,
    ACTIONS(4830), 1,
      anon_sym_u2983,
    ACTIONS(4832), 1,
      anon_sym_LBRACE,
    ACTIONS(4834), 1,
      anon_sym_DOT,
    ACTIONS(11543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11545), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11547), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11549), 1,
      aux_sym_literal_token1,
    STATE(4876), 1,
      sym_atom,
    STATE(4870), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4868), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2978), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [553085] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5552), 1,
      sym_id,
    ACTIONS(5556), 1,
      anon_sym_record,
    ACTIONS(5558), 1,
      anon_sym_LPAREN,
    ACTIONS(5562), 1,
      anon_sym_u2983,
    ACTIONS(5564), 1,
      anon_sym_LBRACE,
    ACTIONS(5566), 1,
      aux_sym__qid_token1,
    ACTIONS(5568), 1,
      anon_sym_DOT,
    ACTIONS(5572), 1,
      anon_sym_u2987,
    ACTIONS(5574), 1,
      aux_sym_integer_token1,
    ACTIONS(5576), 1,
      anon_sym_Set,
    ACTIONS(11551), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11553), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11555), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11557), 1,
      aux_sym_literal_token1,
    STATE(5182), 1,
      sym_atom,
    STATE(5181), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5179), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5554), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [553160] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7351), 1,
      sym_id,
    ACTIONS(7353), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7357), 1,
      anon_sym_record,
    ACTIONS(7359), 1,
      anon_sym_LPAREN,
    ACTIONS(7361), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7363), 1,
      anon_sym_u2983,
    ACTIONS(7365), 1,
      anon_sym_LBRACE,
    ACTIONS(7367), 1,
      aux_sym__qid_token1,
    ACTIONS(7369), 1,
      anon_sym_DOT,
    ACTIONS(7373), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7375), 1,
      anon_sym_u2987,
    ACTIONS(7377), 1,
      aux_sym_integer_token1,
    ACTIONS(7379), 1,
      aux_sym_literal_token1,
    ACTIONS(7381), 1,
      anon_sym_Set,
    STATE(7133), 1,
      sym_atom,
    STATE(7132), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7129), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7355), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [553235] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2170), 1,
      sym_id,
    ACTIONS(2180), 1,
      anon_sym_record,
    ACTIONS(2190), 1,
      aux_sym__qid_token1,
    ACTIONS(2200), 1,
      anon_sym_u2987,
    ACTIONS(2204), 1,
      aux_sym_integer_token1,
    ACTIONS(2206), 1,
      anon_sym_Set,
    ACTIONS(4484), 1,
      anon_sym_LPAREN,
    ACTIONS(4488), 1,
      anon_sym_u2983,
    ACTIONS(4490), 1,
      anon_sym_LBRACE,
    ACTIONS(4492), 1,
      anon_sym_DOT,
    ACTIONS(11559), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11561), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11563), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11565), 1,
      aux_sym_literal_token1,
    STATE(5464), 1,
      sym_atom,
    STATE(5405), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5420), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2178), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [553310] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10869), 1,
      sym_id,
    ACTIONS(10871), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10875), 1,
      anon_sym_record,
    ACTIONS(10877), 1,
      anon_sym_LPAREN,
    ACTIONS(10879), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10881), 1,
      anon_sym_u2983,
    ACTIONS(10883), 1,
      anon_sym_LBRACE,
    ACTIONS(10885), 1,
      aux_sym__qid_token1,
    ACTIONS(10887), 1,
      anon_sym_DOT,
    ACTIONS(10891), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10893), 1,
      anon_sym_u2987,
    ACTIONS(10895), 1,
      aux_sym_integer_token1,
    ACTIONS(10897), 1,
      aux_sym_literal_token1,
    ACTIONS(10899), 1,
      anon_sym_Set,
    STATE(7752), 1,
      sym_atom,
    STATE(7811), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7749), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10873), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [553385] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5418), 1,
      sym_id,
    ACTIONS(5422), 1,
      anon_sym_record,
    ACTIONS(5424), 1,
      anon_sym_LPAREN,
    ACTIONS(5428), 1,
      anon_sym_u2983,
    ACTIONS(5430), 1,
      anon_sym_LBRACE,
    ACTIONS(5432), 1,
      aux_sym__qid_token1,
    ACTIONS(5434), 1,
      anon_sym_DOT,
    ACTIONS(5438), 1,
      anon_sym_u2987,
    ACTIONS(5440), 1,
      aux_sym_integer_token1,
    ACTIONS(5442), 1,
      anon_sym_Set,
    ACTIONS(11567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11569), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11571), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11573), 1,
      aux_sym_literal_token1,
    STATE(5845), 1,
      sym_atom,
    STATE(5826), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5740), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5420), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [553460] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5898), 1,
      sym_id,
    ACTIONS(5902), 1,
      anon_sym_record,
    ACTIONS(5904), 1,
      anon_sym_LPAREN,
    ACTIONS(5908), 1,
      anon_sym_u2983,
    ACTIONS(5910), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      aux_sym__qid_token1,
    ACTIONS(5914), 1,
      anon_sym_DOT,
    ACTIONS(5918), 1,
      anon_sym_u2987,
    ACTIONS(5920), 1,
      aux_sym_integer_token1,
    ACTIONS(5922), 1,
      anon_sym_Set,
    ACTIONS(11575), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11577), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11579), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11581), 1,
      aux_sym_literal_token1,
    STATE(6240), 1,
      sym_atom,
    STATE(6239), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6237), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5900), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [553535] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7317), 1,
      sym_id,
    ACTIONS(7319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7323), 1,
      anon_sym_record,
    ACTIONS(7325), 1,
      anon_sym_LPAREN,
    ACTIONS(7327), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7329), 1,
      anon_sym_u2983,
    ACTIONS(7331), 1,
      anon_sym_LBRACE,
    ACTIONS(7333), 1,
      aux_sym__qid_token1,
    ACTIONS(7335), 1,
      anon_sym_DOT,
    ACTIONS(7337), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7339), 1,
      anon_sym_u2987,
    ACTIONS(7341), 1,
      aux_sym_integer_token1,
    ACTIONS(7343), 1,
      aux_sym_literal_token1,
    ACTIONS(7345), 1,
      anon_sym_Set,
    STATE(7340), 1,
      sym_atom,
    STATE(7337), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7307), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7321), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [553610] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3996), 1,
      aux_sym_integer_token1,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    ACTIONS(11583), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11585), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11587), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11589), 1,
      aux_sym_literal_token1,
    STATE(6083), 1,
      sym_atom,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [553685] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(2822), 1,
      sym_id,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2844), 1,
      anon_sym_DOT,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2856), 1,
      aux_sym_integer_token1,
    ACTIONS(2858), 1,
      anon_sym_Set,
    ACTIONS(11591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11593), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11595), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11597), 1,
      aux_sym_literal_token1,
    STATE(4797), 1,
      sym_atom,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2832), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [553760] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2856), 1,
      aux_sym_integer_token1,
    ACTIONS(2886), 1,
      sym_id,
    ACTIONS(2896), 1,
      aux_sym__qid_token1,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2906), 1,
      anon_sym_Set,
    ACTIONS(11591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11593), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11595), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11597), 1,
      aux_sym_literal_token1,
    STATE(4797), 1,
      sym_atom,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2832), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [553835] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2936), 1,
      sym_id,
    ACTIONS(2948), 1,
      anon_sym_record,
    ACTIONS(2950), 1,
      anon_sym_LPAREN,
    ACTIONS(2954), 1,
      anon_sym_u2983,
    ACTIONS(2956), 1,
      anon_sym_LBRACE,
    ACTIONS(2958), 1,
      aux_sym__qid_token1,
    ACTIONS(2960), 1,
      anon_sym_DOT,
    ACTIONS(2968), 1,
      anon_sym_u2987,
    ACTIONS(2972), 1,
      aux_sym_integer_token1,
    ACTIONS(2974), 1,
      anon_sym_Set,
    ACTIONS(11599), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11601), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11603), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11605), 1,
      aux_sym_literal_token1,
    STATE(5206), 1,
      sym_atom,
    STATE(5205), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5202), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2946), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [553910] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8565), 1,
      sym_id,
    ACTIONS(8567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8571), 1,
      anon_sym_record,
    ACTIONS(8573), 1,
      anon_sym_LPAREN,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8577), 1,
      anon_sym_u2983,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(8581), 1,
      aux_sym__qid_token1,
    ACTIONS(8583), 1,
      anon_sym_DOT,
    ACTIONS(8587), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8589), 1,
      anon_sym_u2987,
    ACTIONS(8591), 1,
      aux_sym_integer_token1,
    ACTIONS(8593), 1,
      aux_sym_literal_token1,
    ACTIONS(8595), 1,
      anon_sym_Set,
    STATE(7457), 1,
      sym_atom,
    STATE(7329), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7375), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8569), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [553985] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(3002), 1,
      sym_id,
    ACTIONS(3012), 1,
      anon_sym_record,
    ACTIONS(3014), 1,
      anon_sym_LPAREN,
    ACTIONS(3018), 1,
      anon_sym_u2983,
    ACTIONS(3020), 1,
      anon_sym_LBRACE,
    ACTIONS(3022), 1,
      anon_sym_DOT,
    ACTIONS(3028), 1,
      anon_sym_u2987,
    ACTIONS(3030), 1,
      aux_sym_integer_token1,
    ACTIONS(3032), 1,
      anon_sym_Set,
    ACTIONS(11607), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11609), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11611), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11613), 1,
      aux_sym_literal_token1,
    STATE(5152), 1,
      sym_atom,
    STATE(5150), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5143), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3010), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [554060] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9429), 1,
      sym_id,
    ACTIONS(9431), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9435), 1,
      anon_sym_record,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    ACTIONS(9439), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9441), 1,
      anon_sym_u2983,
    ACTIONS(9443), 1,
      anon_sym_LBRACE,
    ACTIONS(9445), 1,
      aux_sym__qid_token1,
    ACTIONS(9447), 1,
      anon_sym_DOT,
    ACTIONS(9451), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9453), 1,
      anon_sym_u2987,
    ACTIONS(9455), 1,
      aux_sym_integer_token1,
    ACTIONS(9457), 1,
      aux_sym_literal_token1,
    ACTIONS(9459), 1,
      anon_sym_Set,
    STATE(7372), 1,
      sym_atom,
    STATE(7367), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7361), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9433), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [554135] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9551), 1,
      sym_id,
    ACTIONS(9553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9557), 1,
      anon_sym_record,
    ACTIONS(9559), 1,
      anon_sym_LPAREN,
    ACTIONS(9561), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9563), 1,
      anon_sym_u2983,
    ACTIONS(9565), 1,
      anon_sym_LBRACE,
    ACTIONS(9567), 1,
      aux_sym__qid_token1,
    ACTIONS(9569), 1,
      anon_sym_DOT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9575), 1,
      anon_sym_u2987,
    ACTIONS(9577), 1,
      aux_sym_integer_token1,
    ACTIONS(9579), 1,
      aux_sym_literal_token1,
    ACTIONS(9581), 1,
      anon_sym_Set,
    STATE(7626), 1,
      sym_atom,
    STATE(7625), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7622), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9555), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [554210] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9395), 1,
      sym_id,
    ACTIONS(9397), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9401), 1,
      anon_sym_record,
    ACTIONS(9403), 1,
      anon_sym_LPAREN,
    ACTIONS(9405), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9407), 1,
      anon_sym_u2983,
    ACTIONS(9409), 1,
      anon_sym_LBRACE,
    ACTIONS(9411), 1,
      aux_sym__qid_token1,
    ACTIONS(9413), 1,
      anon_sym_DOT,
    ACTIONS(9417), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9419), 1,
      anon_sym_u2987,
    ACTIONS(9421), 1,
      aux_sym_integer_token1,
    ACTIONS(9423), 1,
      aux_sym_literal_token1,
    ACTIONS(9425), 1,
      anon_sym_Set,
    STATE(7541), 1,
      sym_atom,
    STATE(7540), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7539), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9399), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [554285] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3034), 1,
      sym_id,
    ACTIONS(3038), 1,
      anon_sym_record,
    ACTIONS(3048), 1,
      aux_sym__qid_token1,
    ACTIONS(3054), 1,
      anon_sym_u2987,
    ACTIONS(3056), 1,
      aux_sym_integer_token1,
    ACTIONS(3058), 1,
      anon_sym_Set,
    ACTIONS(4306), 1,
      anon_sym_LPAREN,
    ACTIONS(4310), 1,
      anon_sym_u2983,
    ACTIONS(4312), 1,
      anon_sym_LBRACE,
    ACTIONS(4314), 1,
      anon_sym_DOT,
    ACTIONS(11615), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11617), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11619), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11621), 1,
      aux_sym_literal_token1,
    STATE(4723), 1,
      sym_atom,
    STATE(4713), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4710), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3036), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [554360] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3060), 1,
      sym_id,
    ACTIONS(3068), 1,
      anon_sym_record,
    ACTIONS(3070), 1,
      anon_sym_LPAREN,
    ACTIONS(3074), 1,
      anon_sym_u2983,
    ACTIONS(3076), 1,
      anon_sym_LBRACE,
    ACTIONS(3078), 1,
      aux_sym__qid_token1,
    ACTIONS(3080), 1,
      anon_sym_DOT,
    ACTIONS(3086), 1,
      anon_sym_u2987,
    ACTIONS(3088), 1,
      aux_sym_integer_token1,
    ACTIONS(3090), 1,
      anon_sym_Set,
    ACTIONS(11623), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11625), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11627), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11629), 1,
      aux_sym_literal_token1,
    STATE(5562), 1,
      sym_atom,
    STATE(5561), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5558), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3066), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [554435] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2404), 1,
      sym_id,
    ACTIONS(2408), 1,
      anon_sym_record,
    ACTIONS(2418), 1,
      aux_sym__qid_token1,
    ACTIONS(2424), 1,
      anon_sym_u2987,
    ACTIONS(2426), 1,
      aux_sym_integer_token1,
    ACTIONS(2428), 1,
      anon_sym_Set,
    ACTIONS(4552), 1,
      anon_sym_LPAREN,
    ACTIONS(4556), 1,
      anon_sym_u2983,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4560), 1,
      anon_sym_DOT,
    ACTIONS(11631), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11633), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11635), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11637), 1,
      aux_sym_literal_token1,
    STATE(4221), 1,
      sym_atom,
    STATE(4220), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4219), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2406), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [554510] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9705), 1,
      sym_id,
    ACTIONS(9707), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9711), 1,
      anon_sym_record,
    ACTIONS(9713), 1,
      anon_sym_LPAREN,
    ACTIONS(9715), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9717), 1,
      anon_sym_u2983,
    ACTIONS(9719), 1,
      anon_sym_LBRACE,
    ACTIONS(9721), 1,
      aux_sym__qid_token1,
    ACTIONS(9723), 1,
      anon_sym_DOT,
    ACTIONS(9727), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9729), 1,
      anon_sym_u2987,
    ACTIONS(9731), 1,
      aux_sym_integer_token1,
    ACTIONS(9733), 1,
      aux_sym_literal_token1,
    ACTIONS(9735), 1,
      anon_sym_Set,
    STATE(7642), 1,
      sym_atom,
    STATE(7640), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7639), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9709), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [554585] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9737), 1,
      sym_id,
    ACTIONS(9739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9743), 1,
      anon_sym_record,
    ACTIONS(9745), 1,
      anon_sym_LPAREN,
    ACTIONS(9747), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9749), 1,
      anon_sym_u2983,
    ACTIONS(9751), 1,
      anon_sym_LBRACE,
    ACTIONS(9753), 1,
      aux_sym__qid_token1,
    ACTIONS(9755), 1,
      anon_sym_DOT,
    ACTIONS(9759), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9761), 1,
      anon_sym_u2987,
    ACTIONS(9763), 1,
      aux_sym_integer_token1,
    ACTIONS(9765), 1,
      aux_sym_literal_token1,
    ACTIONS(9767), 1,
      anon_sym_Set,
    STATE(7655), 1,
      sym_atom,
    STATE(7654), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7653), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9741), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [554660] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5664), 1,
      sym_id,
    ACTIONS(5668), 1,
      anon_sym_record,
    ACTIONS(5670), 1,
      anon_sym_LPAREN,
    ACTIONS(5674), 1,
      anon_sym_u2983,
    ACTIONS(5676), 1,
      anon_sym_LBRACE,
    ACTIONS(5678), 1,
      aux_sym__qid_token1,
    ACTIONS(5680), 1,
      anon_sym_DOT,
    ACTIONS(5684), 1,
      anon_sym_u2987,
    ACTIONS(5686), 1,
      aux_sym_integer_token1,
    ACTIONS(5688), 1,
      anon_sym_Set,
    ACTIONS(11639), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11641), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11643), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11645), 1,
      aux_sym_literal_token1,
    STATE(5937), 1,
      sym_atom,
    STATE(5931), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5926), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5666), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [554735] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1942), 1,
      sym_id,
    ACTIONS(1952), 1,
      anon_sym_record,
    ACTIONS(1962), 1,
      aux_sym__qid_token1,
    ACTIONS(1972), 1,
      anon_sym_u2987,
    ACTIONS(1976), 1,
      aux_sym_integer_token1,
    ACTIONS(1978), 1,
      anon_sym_Set,
    ACTIONS(4616), 1,
      anon_sym_LPAREN,
    ACTIONS(4620), 1,
      anon_sym_u2983,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4624), 1,
      anon_sym_DOT,
    ACTIONS(11647), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11649), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11651), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11653), 1,
      aux_sym_literal_token1,
    STATE(5115), 1,
      sym_atom,
    STATE(5114), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5111), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1950), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [554810] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4216), 1,
      aux_sym_integer_token1,
    ACTIONS(4218), 1,
      anon_sym_Set,
    ACTIONS(6232), 1,
      sym_id,
    ACTIONS(6234), 1,
      aux_sym__qid_token1,
    ACTIONS(11655), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11657), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11659), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11661), 1,
      aux_sym_literal_token1,
    STATE(6328), 1,
      sym_atom,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [554885] = 3,
    ACTIONS(11665), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(11663), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [554926] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9769), 1,
      sym_id,
    ACTIONS(9771), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9775), 1,
      anon_sym_record,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(9779), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9781), 1,
      anon_sym_u2983,
    ACTIONS(9783), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      aux_sym__qid_token1,
    ACTIONS(9787), 1,
      anon_sym_DOT,
    ACTIONS(9791), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9793), 1,
      anon_sym_u2987,
    ACTIONS(9795), 1,
      aux_sym_integer_token1,
    ACTIONS(9797), 1,
      aux_sym_literal_token1,
    ACTIONS(9799), 1,
      anon_sym_Set,
    STATE(7482), 1,
      sym_atom,
    STATE(7478), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7534), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9773), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [555001] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4918), 1,
      sym_id,
    ACTIONS(4922), 1,
      anon_sym_record,
    ACTIONS(4924), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      anon_sym_u2983,
    ACTIONS(4930), 1,
      anon_sym_LBRACE,
    ACTIONS(4932), 1,
      aux_sym__qid_token1,
    ACTIONS(4934), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      anon_sym_u2987,
    ACTIONS(4940), 1,
      aux_sym_integer_token1,
    ACTIONS(4942), 1,
      anon_sym_Set,
    ACTIONS(11667), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11669), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11671), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11673), 1,
      aux_sym_literal_token1,
    STATE(5792), 1,
      sym_atom,
    STATE(5791), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5787), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4920), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [555076] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6285), 1,
      sym_id,
    ACTIONS(6287), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_record,
    ACTIONS(6295), 1,
      anon_sym_LPAREN,
    ACTIONS(6297), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6299), 1,
      anon_sym_u2983,
    ACTIONS(6301), 1,
      anon_sym_LBRACE,
    ACTIONS(6303), 1,
      aux_sym__qid_token1,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6309), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6311), 1,
      anon_sym_u2987,
    ACTIONS(6313), 1,
      aux_sym_integer_token1,
    ACTIONS(6315), 1,
      aux_sym_literal_token1,
    ACTIONS(6317), 1,
      anon_sym_Set,
    STATE(6543), 1,
      sym_atom,
    STATE(6542), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6518), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6289), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [555151] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5198), 1,
      sym_id,
    ACTIONS(5202), 1,
      anon_sym_record,
    ACTIONS(5204), 1,
      anon_sym_LPAREN,
    ACTIONS(5208), 1,
      anon_sym_u2983,
    ACTIONS(5210), 1,
      anon_sym_LBRACE,
    ACTIONS(5212), 1,
      aux_sym__qid_token1,
    ACTIONS(5214), 1,
      anon_sym_DOT,
    ACTIONS(5218), 1,
      anon_sym_u2987,
    ACTIONS(5220), 1,
      aux_sym_integer_token1,
    ACTIONS(5222), 1,
      anon_sym_Set,
    ACTIONS(11675), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11677), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11679), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11681), 1,
      aux_sym_literal_token1,
    STATE(5993), 1,
      sym_atom,
    STATE(5911), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5860), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5200), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [555226] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2020), 1,
      sym_id,
    ACTIONS(2030), 1,
      anon_sym_record,
    ACTIONS(2040), 1,
      aux_sym__qid_token1,
    ACTIONS(2050), 1,
      anon_sym_u2987,
    ACTIONS(2054), 1,
      aux_sym_integer_token1,
    ACTIONS(2056), 1,
      anon_sym_Set,
    ACTIONS(4652), 1,
      anon_sym_LPAREN,
    ACTIONS(4656), 1,
      anon_sym_u2983,
    ACTIONS(4658), 1,
      anon_sym_LBRACE,
    ACTIONS(4660), 1,
      anon_sym_DOT,
    ACTIONS(11683), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11685), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11687), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11689), 1,
      aux_sym_literal_token1,
    STATE(4498), 1,
      sym_atom,
    STATE(4497), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4495), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2028), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [555301] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7849), 1,
      sym_id,
    ACTIONS(7851), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7855), 1,
      anon_sym_record,
    ACTIONS(7857), 1,
      anon_sym_LPAREN,
    ACTIONS(7859), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7861), 1,
      anon_sym_u2983,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(7865), 1,
      aux_sym__qid_token1,
    ACTIONS(7867), 1,
      anon_sym_DOT,
    ACTIONS(7871), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7873), 1,
      anon_sym_u2987,
    ACTIONS(7875), 1,
      aux_sym_integer_token1,
    ACTIONS(7877), 1,
      aux_sym_literal_token1,
    ACTIONS(7879), 1,
      anon_sym_Set,
    STATE(7260), 1,
      sym_atom,
    STATE(7248), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7199), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7853), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [555376] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5580), 1,
      sym_id,
    ACTIONS(5584), 1,
      anon_sym_record,
    ACTIONS(5586), 1,
      anon_sym_LPAREN,
    ACTIONS(5590), 1,
      anon_sym_u2983,
    ACTIONS(5592), 1,
      anon_sym_LBRACE,
    ACTIONS(5594), 1,
      aux_sym__qid_token1,
    ACTIONS(5596), 1,
      anon_sym_DOT,
    ACTIONS(5600), 1,
      anon_sym_u2987,
    ACTIONS(5602), 1,
      aux_sym_integer_token1,
    ACTIONS(5604), 1,
      anon_sym_Set,
    ACTIONS(11691), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11693), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11695), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11697), 1,
      aux_sym_literal_token1,
    STATE(5317), 1,
      sym_atom,
    STATE(5316), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5313), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5582), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [555451] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2058), 1,
      sym_id,
    ACTIONS(2068), 1,
      anon_sym_record,
    ACTIONS(2078), 1,
      aux_sym__qid_token1,
    ACTIONS(2088), 1,
      anon_sym_u2987,
    ACTIONS(2092), 1,
      aux_sym_integer_token1,
    ACTIONS(2094), 1,
      anon_sym_Set,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4680), 1,
      anon_sym_u2983,
    ACTIONS(4682), 1,
      anon_sym_LBRACE,
    ACTIONS(4684), 1,
      anon_sym_DOT,
    ACTIONS(11699), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11701), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11703), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11705), 1,
      aux_sym_literal_token1,
    STATE(4364), 1,
      sym_atom,
    STATE(4363), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4360), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2066), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [555526] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7383), 1,
      sym_id,
    ACTIONS(7385), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7389), 1,
      anon_sym_record,
    ACTIONS(7391), 1,
      anon_sym_LPAREN,
    ACTIONS(7393), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7395), 1,
      anon_sym_u2983,
    ACTIONS(7397), 1,
      anon_sym_LBRACE,
    ACTIONS(7399), 1,
      aux_sym__qid_token1,
    ACTIONS(7401), 1,
      anon_sym_DOT,
    ACTIONS(7405), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7407), 1,
      anon_sym_u2987,
    ACTIONS(7409), 1,
      aux_sym_integer_token1,
    ACTIONS(7411), 1,
      aux_sym_literal_token1,
    ACTIONS(7413), 1,
      anon_sym_Set,
    STATE(7151), 1,
      sym_atom,
    STATE(7131), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7150), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7387), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [555601] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9628), 1,
      sym_id,
    ACTIONS(9630), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9634), 1,
      anon_sym_record,
    ACTIONS(9636), 1,
      anon_sym_LPAREN,
    ACTIONS(9638), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9640), 1,
      anon_sym_u2983,
    ACTIONS(9642), 1,
      anon_sym_LBRACE,
    ACTIONS(9644), 1,
      aux_sym__qid_token1,
    ACTIONS(9646), 1,
      anon_sym_DOT,
    ACTIONS(9650), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9652), 1,
      anon_sym_u2987,
    ACTIONS(9654), 1,
      aux_sym_integer_token1,
    ACTIONS(9656), 1,
      aux_sym_literal_token1,
    ACTIONS(9658), 1,
      anon_sym_Set,
    STATE(7510), 1,
      sym_atom,
    STATE(7505), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7503), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9632), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [555676] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5742), 1,
      sym_id,
    ACTIONS(5746), 1,
      anon_sym_record,
    ACTIONS(5748), 1,
      anon_sym_LPAREN,
    ACTIONS(5752), 1,
      anon_sym_u2983,
    ACTIONS(5754), 1,
      anon_sym_LBRACE,
    ACTIONS(5756), 1,
      aux_sym__qid_token1,
    ACTIONS(5758), 1,
      anon_sym_DOT,
    ACTIONS(5762), 1,
      anon_sym_u2987,
    ACTIONS(5764), 1,
      aux_sym_integer_token1,
    ACTIONS(5766), 1,
      anon_sym_Set,
    ACTIONS(11707), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11709), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11711), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11713), 1,
      aux_sym_literal_token1,
    STATE(4765), 1,
      sym_atom,
    STATE(4758), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4732), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5744), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [555751] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6979), 1,
      sym_id,
    ACTIONS(6981), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6985), 1,
      anon_sym_record,
    ACTIONS(6987), 1,
      anon_sym_LPAREN,
    ACTIONS(6989), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6991), 1,
      anon_sym_u2983,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    ACTIONS(6995), 1,
      aux_sym__qid_token1,
    ACTIONS(6997), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7003), 1,
      anon_sym_u2987,
    ACTIONS(7005), 1,
      aux_sym_integer_token1,
    ACTIONS(7007), 1,
      aux_sym_literal_token1,
    ACTIONS(7009), 1,
      anon_sym_Set,
    STATE(6857), 1,
      sym_atom,
    STATE(6989), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7110), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6983), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [555826] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3118), 1,
      sym_id,
    ACTIONS(3130), 1,
      anon_sym_record,
    ACTIONS(3132), 1,
      anon_sym_LPAREN,
    ACTIONS(3136), 1,
      anon_sym_u2983,
    ACTIONS(3138), 1,
      anon_sym_LBRACE,
    ACTIONS(3140), 1,
      aux_sym__qid_token1,
    ACTIONS(3142), 1,
      anon_sym_DOT,
    ACTIONS(3150), 1,
      anon_sym_u2987,
    ACTIONS(3154), 1,
      aux_sym_integer_token1,
    ACTIONS(3156), 1,
      anon_sym_Set,
    ACTIONS(11715), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11717), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11719), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11721), 1,
      aux_sym_literal_token1,
    STATE(5017), 1,
      sym_atom,
    STATE(5014), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4982), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3128), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [555901] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym_id,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2796), 1,
      anon_sym_LPAREN,
    ACTIONS(2800), 1,
      anon_sym_u2983,
    ACTIONS(2802), 1,
      anon_sym_LBRACE,
    ACTIONS(2804), 1,
      aux_sym__qid_token1,
    ACTIONS(2806), 1,
      anon_sym_DOT,
    ACTIONS(2814), 1,
      anon_sym_u2987,
    ACTIONS(2818), 1,
      aux_sym_integer_token1,
    ACTIONS(2820), 1,
      anon_sym_Set,
    ACTIONS(11723), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11725), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11727), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11729), 1,
      aux_sym_literal_token1,
    STATE(5980), 1,
      sym_atom,
    STATE(5759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5968), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2792), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [555976] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_id,
    ACTIONS(3096), 1,
      anon_sym_record,
    ACTIONS(3106), 1,
      aux_sym__qid_token1,
    ACTIONS(3112), 1,
      anon_sym_u2987,
    ACTIONS(3114), 1,
      aux_sym_integer_token1,
    ACTIONS(3116), 1,
      anon_sym_Set,
    ACTIONS(4344), 1,
      anon_sym_LPAREN,
    ACTIONS(4348), 1,
      anon_sym_u2983,
    ACTIONS(4350), 1,
      anon_sym_LBRACE,
    ACTIONS(4352), 1,
      anon_sym_DOT,
    ACTIONS(11731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11733), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11735), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11737), 1,
      aux_sym_literal_token1,
    STATE(4981), 1,
      sym_atom,
    STATE(5351), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5163), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3094), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [556051] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7648), 1,
      sym_id,
    ACTIONS(7652), 1,
      anon_sym_record,
    ACTIONS(7654), 1,
      anon_sym_LPAREN,
    ACTIONS(7658), 1,
      anon_sym_u2983,
    ACTIONS(7660), 1,
      anon_sym_LBRACE,
    ACTIONS(7662), 1,
      aux_sym__qid_token1,
    ACTIONS(7664), 1,
      anon_sym_DOT,
    ACTIONS(7668), 1,
      anon_sym_u2987,
    ACTIONS(7670), 1,
      aux_sym_integer_token1,
    ACTIONS(7672), 1,
      anon_sym_Set,
    ACTIONS(11739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11741), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11743), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11745), 1,
      aux_sym_literal_token1,
    STATE(6956), 1,
      sym_atom,
    STATE(6950), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6868), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7650), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [556126] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3232), 1,
      sym_id,
    ACTIONS(3240), 1,
      anon_sym_record,
    ACTIONS(3242), 1,
      anon_sym_LPAREN,
    ACTIONS(3246), 1,
      anon_sym_u2983,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3250), 1,
      aux_sym__qid_token1,
    ACTIONS(3252), 1,
      anon_sym_DOT,
    ACTIONS(3258), 1,
      anon_sym_u2987,
    ACTIONS(3260), 1,
      aux_sym_integer_token1,
    ACTIONS(3262), 1,
      anon_sym_Set,
    ACTIONS(11747), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11749), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11751), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11753), 1,
      aux_sym_literal_token1,
    STATE(5396), 1,
      sym_atom,
    STATE(5393), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5591), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3238), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [556201] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2598), 1,
      sym_id,
    ACTIONS(2602), 1,
      anon_sym_record,
    ACTIONS(2612), 1,
      aux_sym__qid_token1,
    ACTIONS(2618), 1,
      anon_sym_u2987,
    ACTIONS(2620), 1,
      aux_sym_integer_token1,
    ACTIONS(2622), 1,
      anon_sym_Set,
    ACTIONS(4816), 1,
      anon_sym_DOT,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(11759), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11761), 1,
      anon_sym_u2983,
    ACTIONS(11763), 1,
      anon_sym_LBRACE,
    ACTIONS(11765), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11767), 1,
      aux_sym_literal_token1,
    STATE(5255), 1,
      sym_atom,
    STATE(5254), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5251), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2600), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [556276] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3302), 1,
      sym_id,
    ACTIONS(3310), 1,
      anon_sym_record,
    ACTIONS(3312), 1,
      anon_sym_LPAREN,
    ACTIONS(3316), 1,
      anon_sym_u2983,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(3320), 1,
      aux_sym__qid_token1,
    ACTIONS(3322), 1,
      anon_sym_DOT,
    ACTIONS(3328), 1,
      anon_sym_u2987,
    ACTIONS(3330), 1,
      aux_sym_integer_token1,
    ACTIONS(3332), 1,
      anon_sym_Set,
    ACTIONS(11769), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11771), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11773), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11775), 1,
      aux_sym_literal_token1,
    STATE(5594), 1,
      sym_atom,
    STATE(5589), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5523), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3308), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [556351] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2164), 1,
      aux_sym_integer_token1,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(6228), 1,
      sym_id,
    ACTIONS(6230), 1,
      aux_sym__qid_token1,
    ACTIONS(11777), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11779), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11781), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11783), 1,
      aux_sym_literal_token1,
    STATE(6636), 1,
      sym_atom,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [556426] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2520), 1,
      sym_id,
    ACTIONS(2530), 1,
      anon_sym_record,
    ACTIONS(2540), 1,
      aux_sym__qid_token1,
    ACTIONS(2550), 1,
      anon_sym_u2987,
    ACTIONS(2554), 1,
      aux_sym_integer_token1,
    ACTIONS(2556), 1,
      anon_sym_Set,
    ACTIONS(4718), 1,
      anon_sym_LPAREN,
    ACTIONS(4722), 1,
      anon_sym_u2983,
    ACTIONS(4724), 1,
      anon_sym_LBRACE,
    ACTIONS(4726), 1,
      anon_sym_DOT,
    ACTIONS(11785), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11787), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11789), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11791), 1,
      aux_sym_literal_token1,
    STATE(4087), 1,
      sym_atom,
    STATE(4086), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4083), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2528), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [556501] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2976), 1,
      sym_id,
    ACTIONS(2980), 1,
      anon_sym_record,
    ACTIONS(2990), 1,
      aux_sym__qid_token1,
    ACTIONS(2996), 1,
      anon_sym_u2987,
    ACTIONS(2998), 1,
      aux_sym_integer_token1,
    ACTIONS(3000), 1,
      anon_sym_Set,
    ACTIONS(4834), 1,
      anon_sym_DOT,
    ACTIONS(11543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11547), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11549), 1,
      aux_sym_literal_token1,
    ACTIONS(11793), 1,
      anon_sym_LPAREN,
    ACTIONS(11795), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11797), 1,
      anon_sym_u2983,
    ACTIONS(11799), 1,
      anon_sym_LBRACE,
    STATE(4871), 1,
      sym_atom,
    STATE(4870), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4868), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2978), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [556576] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5982), 1,
      sym_id,
    ACTIONS(5986), 1,
      anon_sym_record,
    ACTIONS(5988), 1,
      anon_sym_LPAREN,
    ACTIONS(5992), 1,
      anon_sym_u2983,
    ACTIONS(5994), 1,
      anon_sym_LBRACE,
    ACTIONS(5996), 1,
      aux_sym__qid_token1,
    ACTIONS(5998), 1,
      anon_sym_DOT,
    ACTIONS(6002), 1,
      anon_sym_u2987,
    ACTIONS(6004), 1,
      aux_sym_integer_token1,
    ACTIONS(6006), 1,
      anon_sym_Set,
    ACTIONS(11801), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11803), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11805), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11807), 1,
      aux_sym_literal_token1,
    STATE(5809), 1,
      sym_atom,
    STATE(5940), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5894), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5984), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [556651] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9769), 1,
      sym_id,
    ACTIONS(9771), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9775), 1,
      anon_sym_record,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(9779), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9781), 1,
      anon_sym_u2983,
    ACTIONS(9783), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      aux_sym__qid_token1,
    ACTIONS(9787), 1,
      anon_sym_DOT,
    ACTIONS(9791), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9793), 1,
      anon_sym_u2987,
    ACTIONS(9795), 1,
      aux_sym_integer_token1,
    ACTIONS(9797), 1,
      aux_sym_literal_token1,
    ACTIONS(9799), 1,
      anon_sym_Set,
    STATE(7485), 1,
      sym_atom,
    STATE(7478), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7534), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9773), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [556726] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4976), 1,
      sym_id,
    ACTIONS(4980), 1,
      anon_sym_record,
    ACTIONS(4982), 1,
      anon_sym_LPAREN,
    ACTIONS(4986), 1,
      anon_sym_u2983,
    ACTIONS(4988), 1,
      anon_sym_LBRACE,
    ACTIONS(4990), 1,
      aux_sym__qid_token1,
    ACTIONS(4992), 1,
      anon_sym_DOT,
    ACTIONS(4996), 1,
      anon_sym_u2987,
    ACTIONS(4998), 1,
      aux_sym_integer_token1,
    ACTIONS(5000), 1,
      anon_sym_Set,
    ACTIONS(11809), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11811), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11813), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11815), 1,
      aux_sym_literal_token1,
    STATE(4267), 1,
      sym_atom,
    STATE(4265), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4263), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4978), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [556801] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9551), 1,
      sym_id,
    ACTIONS(9553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9557), 1,
      anon_sym_record,
    ACTIONS(9559), 1,
      anon_sym_LPAREN,
    ACTIONS(9561), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9563), 1,
      anon_sym_u2983,
    ACTIONS(9565), 1,
      anon_sym_LBRACE,
    ACTIONS(9567), 1,
      aux_sym__qid_token1,
    ACTIONS(9569), 1,
      anon_sym_DOT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9575), 1,
      anon_sym_u2987,
    ACTIONS(9577), 1,
      aux_sym_integer_token1,
    ACTIONS(9579), 1,
      aux_sym_literal_token1,
    ACTIONS(9581), 1,
      anon_sym_Set,
    STATE(7630), 1,
      sym_atom,
    STATE(7625), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7622), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9555), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [556876] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_id,
    ACTIONS(6513), 1,
      anon_sym_record,
    ACTIONS(6515), 1,
      anon_sym_LPAREN,
    ACTIONS(6519), 1,
      anon_sym_u2983,
    ACTIONS(6521), 1,
      anon_sym_LBRACE,
    ACTIONS(6523), 1,
      aux_sym__qid_token1,
    ACTIONS(6525), 1,
      anon_sym_DOT,
    ACTIONS(6529), 1,
      anon_sym_u2987,
    ACTIONS(6531), 1,
      aux_sym_integer_token1,
    ACTIONS(6533), 1,
      anon_sym_Set,
    ACTIONS(11817), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11819), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11821), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11823), 1,
      aux_sym_literal_token1,
    STATE(6563), 1,
      sym_atom,
    STATE(6562), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6556), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6511), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [556951] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11301), 1,
      sym_id,
    ACTIONS(11303), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11307), 1,
      anon_sym_record,
    ACTIONS(11309), 1,
      anon_sym_LPAREN,
    ACTIONS(11311), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11313), 1,
      anon_sym_u2983,
    ACTIONS(11315), 1,
      anon_sym_LBRACE,
    ACTIONS(11317), 1,
      aux_sym__qid_token1,
    ACTIONS(11319), 1,
      anon_sym_DOT,
    ACTIONS(11321), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11323), 1,
      anon_sym_u2987,
    ACTIONS(11325), 1,
      aux_sym_integer_token1,
    ACTIONS(11327), 1,
      aux_sym_literal_token1,
    ACTIONS(11329), 1,
      anon_sym_Set,
    STATE(7836), 1,
      sym_atom,
    STATE(7835), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7829), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(11305), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [557026] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4196), 1,
      anon_sym_record,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4202), 1,
      anon_sym_u2983,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4214), 1,
      anon_sym_u2987,
    ACTIONS(4216), 1,
      aux_sym_integer_token1,
    ACTIONS(4218), 1,
      anon_sym_Set,
    ACTIONS(6232), 1,
      sym_id,
    ACTIONS(6234), 1,
      aux_sym__qid_token1,
    ACTIONS(11655), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11657), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11659), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11661), 1,
      aux_sym_literal_token1,
    STATE(6321), 1,
      sym_atom,
    STATE(6784), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6319), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4194), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [557101] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2242), 1,
      aux_sym_integer_token1,
    ACTIONS(2244), 1,
      anon_sym_Set,
    ACTIONS(4754), 1,
      anon_sym_LPAREN,
    ACTIONS(4758), 1,
      anon_sym_u2983,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4762), 1,
      anon_sym_DOT,
    ACTIONS(11825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11827), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11829), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11831), 1,
      aux_sym_literal_token1,
    STATE(4770), 1,
      sym_atom,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2216), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [557176] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5444), 1,
      sym_id,
    ACTIONS(5448), 1,
      anon_sym_record,
    ACTIONS(5450), 1,
      anon_sym_LPAREN,
    ACTIONS(5454), 1,
      anon_sym_u2983,
    ACTIONS(5456), 1,
      anon_sym_LBRACE,
    ACTIONS(5458), 1,
      aux_sym__qid_token1,
    ACTIONS(5460), 1,
      anon_sym_DOT,
    ACTIONS(5464), 1,
      anon_sym_u2987,
    ACTIONS(5466), 1,
      aux_sym_integer_token1,
    ACTIONS(5468), 1,
      anon_sym_Set,
    ACTIONS(11833), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11835), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11837), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11839), 1,
      aux_sym_literal_token1,
    STATE(5608), 1,
      sym_atom,
    STATE(5605), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5574), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5446), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [557251] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4948), 1,
      sym_id,
    ACTIONS(4952), 1,
      anon_sym_record,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4958), 1,
      anon_sym_u2983,
    ACTIONS(4960), 1,
      anon_sym_LBRACE,
    ACTIONS(4962), 1,
      aux_sym__qid_token1,
    ACTIONS(4964), 1,
      anon_sym_DOT,
    ACTIONS(4968), 1,
      anon_sym_u2987,
    ACTIONS(4970), 1,
      aux_sym_integer_token1,
    ACTIONS(4972), 1,
      anon_sym_Set,
    ACTIONS(11841), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11843), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11845), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11847), 1,
      aux_sym_literal_token1,
    STATE(5824), 1,
      sym_atom,
    STATE(5913), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5970), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4950), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [557326] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_id,
    ACTIONS(10202), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10206), 1,
      anon_sym_record,
    ACTIONS(10208), 1,
      anon_sym_LPAREN,
    ACTIONS(10210), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10212), 1,
      anon_sym_u2983,
    ACTIONS(10214), 1,
      anon_sym_LBRACE,
    ACTIONS(10216), 1,
      aux_sym__qid_token1,
    ACTIONS(10218), 1,
      anon_sym_DOT,
    ACTIONS(10222), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10224), 1,
      anon_sym_u2987,
    ACTIONS(10226), 1,
      aux_sym_integer_token1,
    ACTIONS(10228), 1,
      aux_sym_literal_token1,
    ACTIONS(10230), 1,
      anon_sym_Set,
    STATE(7741), 1,
      sym_atom,
    STATE(7740), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7726), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10204), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [557401] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3524), 1,
      sym_id,
    ACTIONS(3530), 1,
      anon_sym_record,
    ACTIONS(3532), 1,
      anon_sym_LPAREN,
    ACTIONS(3536), 1,
      anon_sym_u2983,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    ACTIONS(3540), 1,
      aux_sym__qid_token1,
    ACTIONS(3542), 1,
      anon_sym_DOT,
    ACTIONS(3546), 1,
      anon_sym_u2987,
    ACTIONS(3548), 1,
      aux_sym_integer_token1,
    ACTIONS(3550), 1,
      anon_sym_Set,
    ACTIONS(11849), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11851), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11853), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11855), 1,
      aux_sym_literal_token1,
    STATE(4836), 1,
      sym_atom,
    STATE(4820), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4761), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3528), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [557476] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3590), 1,
      sym_id,
    ACTIONS(3596), 1,
      anon_sym_record,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    ACTIONS(3602), 1,
      anon_sym_u2983,
    ACTIONS(3604), 1,
      anon_sym_LBRACE,
    ACTIONS(3606), 1,
      aux_sym__qid_token1,
    ACTIONS(3608), 1,
      anon_sym_DOT,
    ACTIONS(3612), 1,
      anon_sym_u2987,
    ACTIONS(3614), 1,
      aux_sym_integer_token1,
    ACTIONS(3616), 1,
      anon_sym_Set,
    ACTIONS(11857), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11859), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11861), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11863), 1,
      aux_sym_literal_token1,
    STATE(4533), 1,
      sym_atom,
    STATE(4519), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4459), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3594), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [557551] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3656), 1,
      sym_id,
    ACTIONS(3662), 1,
      anon_sym_record,
    ACTIONS(3664), 1,
      anon_sym_LPAREN,
    ACTIONS(3668), 1,
      anon_sym_u2983,
    ACTIONS(3670), 1,
      anon_sym_LBRACE,
    ACTIONS(3672), 1,
      aux_sym__qid_token1,
    ACTIONS(3674), 1,
      anon_sym_DOT,
    ACTIONS(3678), 1,
      anon_sym_u2987,
    ACTIONS(3680), 1,
      aux_sym_integer_token1,
    ACTIONS(3682), 1,
      anon_sym_Set,
    ACTIONS(11865), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11867), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11869), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11871), 1,
      aux_sym_literal_token1,
    STATE(4321), 1,
      sym_atom,
    STATE(4320), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4317), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3660), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [557626] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3722), 1,
      sym_id,
    ACTIONS(3728), 1,
      anon_sym_record,
    ACTIONS(3730), 1,
      anon_sym_LPAREN,
    ACTIONS(3734), 1,
      anon_sym_u2983,
    ACTIONS(3736), 1,
      anon_sym_LBRACE,
    ACTIONS(3738), 1,
      aux_sym__qid_token1,
    ACTIONS(3740), 1,
      anon_sym_DOT,
    ACTIONS(3744), 1,
      anon_sym_u2987,
    ACTIONS(3746), 1,
      aux_sym_integer_token1,
    ACTIONS(3748), 1,
      anon_sym_Set,
    ACTIONS(11411), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11413), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11415), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11417), 1,
      aux_sym_literal_token1,
    STATE(5714), 1,
      sym_atom,
    STATE(5688), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5600), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3726), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [557701] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8693), 1,
      sym_id,
    ACTIONS(8695), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8699), 1,
      anon_sym_record,
    ACTIONS(8701), 1,
      anon_sym_LPAREN,
    ACTIONS(8703), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8705), 1,
      anon_sym_u2983,
    ACTIONS(8707), 1,
      anon_sym_LBRACE,
    ACTIONS(8709), 1,
      aux_sym__qid_token1,
    ACTIONS(8711), 1,
      anon_sym_DOT,
    ACTIONS(8715), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8717), 1,
      anon_sym_u2987,
    ACTIONS(8719), 1,
      aux_sym_integer_token1,
    ACTIONS(8721), 1,
      aux_sym_literal_token1,
    ACTIONS(8723), 1,
      anon_sym_Set,
    STATE(7354), 1,
      sym_atom,
    STATE(7383), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7298), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8697), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [557776] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6090), 1,
      sym_id,
    ACTIONS(6094), 1,
      anon_sym_record,
    ACTIONS(6096), 1,
      anon_sym_LPAREN,
    ACTIONS(6100), 1,
      anon_sym_u2983,
    ACTIONS(6102), 1,
      anon_sym_LBRACE,
    ACTIONS(6104), 1,
      aux_sym__qid_token1,
    ACTIONS(6106), 1,
      anon_sym_DOT,
    ACTIONS(6110), 1,
      anon_sym_u2987,
    ACTIONS(6112), 1,
      aux_sym_integer_token1,
    ACTIONS(6114), 1,
      anon_sym_Set,
    ACTIONS(11435), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11437), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11439), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11441), 1,
      aux_sym_literal_token1,
    STATE(5457), 1,
      sym_atom,
    STATE(5450), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5413), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6092), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [557851] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8204), 1,
      sym_id,
    ACTIONS(8206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8210), 1,
      anon_sym_record,
    ACTIONS(8212), 1,
      anon_sym_LPAREN,
    ACTIONS(8214), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8216), 1,
      anon_sym_u2983,
    ACTIONS(8218), 1,
      anon_sym_LBRACE,
    ACTIONS(8220), 1,
      aux_sym__qid_token1,
    ACTIONS(8222), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8228), 1,
      anon_sym_u2987,
    ACTIONS(8230), 1,
      aux_sym_integer_token1,
    ACTIONS(8232), 1,
      aux_sym_literal_token1,
    ACTIONS(8234), 1,
      anon_sym_Set,
    STATE(7217), 1,
      sym_atom,
    STATE(7212), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7200), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8208), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [557926] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5606), 1,
      sym_id,
    ACTIONS(5610), 1,
      anon_sym_record,
    ACTIONS(5612), 1,
      anon_sym_LPAREN,
    ACTIONS(5616), 1,
      anon_sym_u2983,
    ACTIONS(5618), 1,
      anon_sym_LBRACE,
    ACTIONS(5620), 1,
      aux_sym__qid_token1,
    ACTIONS(5622), 1,
      anon_sym_DOT,
    ACTIONS(5626), 1,
      anon_sym_u2987,
    ACTIONS(5628), 1,
      aux_sym_integer_token1,
    ACTIONS(5630), 1,
      anon_sym_Set,
    ACTIONS(11487), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11489), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11491), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11493), 1,
      aux_sym_literal_token1,
    STATE(5897), 1,
      sym_atom,
    STATE(5896), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5891), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5608), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [558001] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8527), 1,
      sym_id,
    ACTIONS(8529), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8533), 1,
      anon_sym_record,
    ACTIONS(8535), 1,
      anon_sym_LPAREN,
    ACTIONS(8537), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8539), 1,
      anon_sym_u2983,
    ACTIONS(8541), 1,
      anon_sym_LBRACE,
    ACTIONS(8543), 1,
      aux_sym__qid_token1,
    ACTIONS(8545), 1,
      anon_sym_DOT,
    ACTIONS(8549), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8551), 1,
      anon_sym_u2987,
    ACTIONS(8553), 1,
      aux_sym_integer_token1,
    ACTIONS(8555), 1,
      aux_sym_literal_token1,
    ACTIONS(8557), 1,
      anon_sym_Set,
    STATE(7401), 1,
      sym_atom,
    STATE(7382), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7363), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8531), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [558076] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5118), 1,
      sym_id,
    ACTIONS(5122), 1,
      anon_sym_record,
    ACTIONS(5124), 1,
      anon_sym_LPAREN,
    ACTIONS(5128), 1,
      anon_sym_u2983,
    ACTIONS(5130), 1,
      anon_sym_LBRACE,
    ACTIONS(5132), 1,
      aux_sym__qid_token1,
    ACTIONS(5134), 1,
      anon_sym_DOT,
    ACTIONS(5138), 1,
      anon_sym_u2987,
    ACTIONS(5140), 1,
      aux_sym_integer_token1,
    ACTIONS(5142), 1,
      anon_sym_Set,
    ACTIONS(11873), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11875), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11877), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11879), 1,
      aux_sym_literal_token1,
    STATE(5423), 1,
      sym_atom,
    STATE(5729), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5635), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5120), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [558151] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5418), 1,
      sym_id,
    ACTIONS(5422), 1,
      anon_sym_record,
    ACTIONS(5424), 1,
      anon_sym_LPAREN,
    ACTIONS(5428), 1,
      anon_sym_u2983,
    ACTIONS(5430), 1,
      anon_sym_LBRACE,
    ACTIONS(5432), 1,
      aux_sym__qid_token1,
    ACTIONS(5434), 1,
      anon_sym_DOT,
    ACTIONS(5438), 1,
      anon_sym_u2987,
    ACTIONS(5440), 1,
      aux_sym_integer_token1,
    ACTIONS(5442), 1,
      anon_sym_Set,
    ACTIONS(11567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11569), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11571), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11573), 1,
      aux_sym_literal_token1,
    STATE(5831), 1,
      sym_atom,
    STATE(5826), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5740), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5420), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [558226] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8565), 1,
      sym_id,
    ACTIONS(8567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8571), 1,
      anon_sym_record,
    ACTIONS(8573), 1,
      anon_sym_LPAREN,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8577), 1,
      anon_sym_u2983,
    ACTIONS(8579), 1,
      anon_sym_LBRACE,
    ACTIONS(8581), 1,
      aux_sym__qid_token1,
    ACTIONS(8583), 1,
      anon_sym_DOT,
    ACTIONS(8587), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8589), 1,
      anon_sym_u2987,
    ACTIONS(8591), 1,
      aux_sym_integer_token1,
    ACTIONS(8593), 1,
      aux_sym_literal_token1,
    ACTIONS(8595), 1,
      anon_sym_Set,
    STATE(7347), 1,
      sym_atom,
    STATE(7329), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7375), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8569), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [558301] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2378), 1,
      sym_id,
    ACTIONS(2382), 1,
      anon_sym_record,
    ACTIONS(2392), 1,
      aux_sym__qid_token1,
    ACTIONS(2398), 1,
      anon_sym_u2987,
    ACTIONS(2400), 1,
      aux_sym_integer_token1,
    ACTIONS(2402), 1,
      anon_sym_Set,
    ACTIONS(4858), 1,
      anon_sym_LPAREN,
    ACTIONS(4862), 1,
      anon_sym_u2983,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(4866), 1,
      anon_sym_DOT,
    ACTIONS(11367), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11377), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11379), 1,
      aux_sym_literal_token1,
    ACTIONS(11485), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(5219), 1,
      sym_atom,
    STATE(5218), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2380), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [558376] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(11881), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [558419] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5664), 1,
      sym_id,
    ACTIONS(5668), 1,
      anon_sym_record,
    ACTIONS(5670), 1,
      anon_sym_LPAREN,
    ACTIONS(5674), 1,
      anon_sym_u2983,
    ACTIONS(5676), 1,
      anon_sym_LBRACE,
    ACTIONS(5678), 1,
      aux_sym__qid_token1,
    ACTIONS(5680), 1,
      anon_sym_DOT,
    ACTIONS(5684), 1,
      anon_sym_u2987,
    ACTIONS(5686), 1,
      aux_sym_integer_token1,
    ACTIONS(5688), 1,
      anon_sym_Set,
    ACTIONS(11639), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11641), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11643), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11645), 1,
      aux_sym_literal_token1,
    STATE(5932), 1,
      sym_atom,
    STATE(5931), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5926), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5666), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [558494] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3788), 1,
      sym_id,
    ACTIONS(3794), 1,
      anon_sym_record,
    ACTIONS(3796), 1,
      anon_sym_LPAREN,
    ACTIONS(3800), 1,
      anon_sym_u2983,
    ACTIONS(3802), 1,
      anon_sym_LBRACE,
    ACTIONS(3804), 1,
      aux_sym__qid_token1,
    ACTIONS(3806), 1,
      anon_sym_DOT,
    ACTIONS(3810), 1,
      anon_sym_u2987,
    ACTIONS(3812), 1,
      aux_sym_integer_token1,
    ACTIONS(3814), 1,
      anon_sym_Set,
    ACTIONS(11883), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11885), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11887), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11889), 1,
      aux_sym_literal_token1,
    STATE(4938), 1,
      sym_atom,
    STATE(4928), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4922), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3792), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [558569] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2494), 1,
      sym_id,
    ACTIONS(2498), 1,
      anon_sym_record,
    ACTIONS(2508), 1,
      aux_sym__qid_token1,
    ACTIONS(2514), 1,
      anon_sym_u2987,
    ACTIONS(2516), 1,
      aux_sym_integer_token1,
    ACTIONS(2518), 1,
      anon_sym_Set,
    ACTIONS(4888), 1,
      anon_sym_LPAREN,
    ACTIONS(4892), 1,
      anon_sym_u2983,
    ACTIONS(4894), 1,
      anon_sym_LBRACE,
    ACTIONS(4896), 1,
      anon_sym_DOT,
    ACTIONS(11891), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11893), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11895), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11897), 1,
      aux_sym_literal_token1,
    STATE(5234), 1,
      sym_atom,
    STATE(5233), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5229), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2496), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [558644] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2908), 1,
      sym_id,
    ACTIONS(2914), 1,
      anon_sym_record,
    ACTIONS(2916), 1,
      anon_sym_LPAREN,
    ACTIONS(2920), 1,
      anon_sym_u2983,
    ACTIONS(2922), 1,
      anon_sym_LBRACE,
    ACTIONS(2924), 1,
      aux_sym__qid_token1,
    ACTIONS(2926), 1,
      anon_sym_DOT,
    ACTIONS(2930), 1,
      anon_sym_u2987,
    ACTIONS(2932), 1,
      aux_sym_integer_token1,
    ACTIONS(2934), 1,
      anon_sym_Set,
    ACTIONS(11899), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11901), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11903), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11905), 1,
      aux_sym_literal_token1,
    STATE(4176), 1,
      sym_atom,
    STATE(4166), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4171), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2912), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [558719] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5198), 1,
      sym_id,
    ACTIONS(5202), 1,
      anon_sym_record,
    ACTIONS(5204), 1,
      anon_sym_LPAREN,
    ACTIONS(5208), 1,
      anon_sym_u2983,
    ACTIONS(5210), 1,
      anon_sym_LBRACE,
    ACTIONS(5212), 1,
      aux_sym__qid_token1,
    ACTIONS(5214), 1,
      anon_sym_DOT,
    ACTIONS(5218), 1,
      anon_sym_u2987,
    ACTIONS(5220), 1,
      aux_sym_integer_token1,
    ACTIONS(5222), 1,
      anon_sym_Set,
    ACTIONS(11675), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11677), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11679), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11681), 1,
      aux_sym_literal_token1,
    STATE(5997), 1,
      sym_atom,
    STATE(5911), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5860), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5200), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [558794] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9628), 1,
      sym_id,
    ACTIONS(9630), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9634), 1,
      anon_sym_record,
    ACTIONS(9636), 1,
      anon_sym_LPAREN,
    ACTIONS(9638), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9640), 1,
      anon_sym_u2983,
    ACTIONS(9642), 1,
      anon_sym_LBRACE,
    ACTIONS(9644), 1,
      aux_sym__qid_token1,
    ACTIONS(9646), 1,
      anon_sym_DOT,
    ACTIONS(9650), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9652), 1,
      anon_sym_u2987,
    ACTIONS(9654), 1,
      aux_sym_integer_token1,
    ACTIONS(9656), 1,
      aux_sym_literal_token1,
    ACTIONS(9658), 1,
      anon_sym_Set,
    STATE(7506), 1,
      sym_atom,
    STATE(7505), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7503), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9632), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [558869] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2598), 1,
      sym_id,
    ACTIONS(2602), 1,
      anon_sym_record,
    ACTIONS(2612), 1,
      aux_sym__qid_token1,
    ACTIONS(2618), 1,
      anon_sym_u2987,
    ACTIONS(2620), 1,
      aux_sym_integer_token1,
    ACTIONS(2622), 1,
      anon_sym_Set,
    ACTIONS(4808), 1,
      anon_sym_LPAREN,
    ACTIONS(4812), 1,
      anon_sym_u2983,
    ACTIONS(4814), 1,
      anon_sym_LBRACE,
    ACTIONS(4816), 1,
      anon_sym_DOT,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11765), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11767), 1,
      aux_sym_literal_token1,
    ACTIONS(11907), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(5255), 1,
      sym_atom,
    STATE(5254), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5251), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2600), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [558944] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5226), 1,
      sym_id,
    ACTIONS(5230), 1,
      anon_sym_record,
    ACTIONS(5232), 1,
      anon_sym_LPAREN,
    ACTIONS(5236), 1,
      anon_sym_u2983,
    ACTIONS(5238), 1,
      anon_sym_LBRACE,
    ACTIONS(5240), 1,
      aux_sym__qid_token1,
    ACTIONS(5242), 1,
      anon_sym_DOT,
    ACTIONS(5246), 1,
      anon_sym_u2987,
    ACTIONS(5248), 1,
      aux_sym_integer_token1,
    ACTIONS(5250), 1,
      anon_sym_Set,
    ACTIONS(11909), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11911), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11913), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11915), 1,
      aux_sym_literal_token1,
    STATE(4187), 1,
      sym_atom,
    STATE(4182), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4180), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5228), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [559019] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5982), 1,
      sym_id,
    ACTIONS(5986), 1,
      anon_sym_record,
    ACTIONS(5988), 1,
      anon_sym_LPAREN,
    ACTIONS(5992), 1,
      anon_sym_u2983,
    ACTIONS(5994), 1,
      anon_sym_LBRACE,
    ACTIONS(5996), 1,
      aux_sym__qid_token1,
    ACTIONS(5998), 1,
      anon_sym_DOT,
    ACTIONS(6002), 1,
      anon_sym_u2987,
    ACTIONS(6004), 1,
      aux_sym_integer_token1,
    ACTIONS(6006), 1,
      anon_sym_Set,
    ACTIONS(11801), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11803), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11805), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11807), 1,
      aux_sym_literal_token1,
    STATE(5942), 1,
      sym_atom,
    STATE(5940), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5894), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5984), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [559094] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2690), 1,
      sym_id,
    ACTIONS(2694), 1,
      anon_sym_record,
    ACTIONS(2704), 1,
      aux_sym__qid_token1,
    ACTIONS(2710), 1,
      anon_sym_u2987,
    ACTIONS(2712), 1,
      aux_sym_integer_token1,
    ACTIONS(2714), 1,
      anon_sym_Set,
    ACTIONS(4908), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      anon_sym_u2983,
    ACTIONS(4914), 1,
      anon_sym_LBRACE,
    ACTIONS(4916), 1,
      anon_sym_DOT,
    ACTIONS(11403), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11407), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11409), 1,
      aux_sym_literal_token1,
    STATE(5273), 1,
      sym_atom,
    STATE(5272), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5268), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2692), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [559169] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4948), 1,
      sym_id,
    ACTIONS(4952), 1,
      anon_sym_record,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4958), 1,
      anon_sym_u2983,
    ACTIONS(4960), 1,
      anon_sym_LBRACE,
    ACTIONS(4962), 1,
      aux_sym__qid_token1,
    ACTIONS(4964), 1,
      anon_sym_DOT,
    ACTIONS(4968), 1,
      anon_sym_u2987,
    ACTIONS(4970), 1,
      aux_sym_integer_token1,
    ACTIONS(4972), 1,
      anon_sym_Set,
    ACTIONS(11841), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11843), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11845), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11847), 1,
      aux_sym_literal_token1,
    STATE(5964), 1,
      sym_atom,
    STATE(5913), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5970), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4950), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [559244] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2096), 1,
      sym_id,
    ACTIONS(2106), 1,
      anon_sym_record,
    ACTIONS(2116), 1,
      aux_sym__qid_token1,
    ACTIONS(2126), 1,
      anon_sym_u2987,
    ACTIONS(2130), 1,
      aux_sym_integer_token1,
    ACTIONS(2132), 1,
      anon_sym_Set,
    ACTIONS(4766), 1,
      anon_sym_LPAREN,
    ACTIONS(4770), 1,
      anon_sym_u2983,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4774), 1,
      anon_sym_DOT,
    ACTIONS(11503), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11505), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11507), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11509), 1,
      aux_sym_literal_token1,
    STATE(4824), 1,
      sym_atom,
    STATE(4823), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4822), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2104), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [559319] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8693), 1,
      sym_id,
    ACTIONS(8695), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8699), 1,
      anon_sym_record,
    ACTIONS(8701), 1,
      anon_sym_LPAREN,
    ACTIONS(8703), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8705), 1,
      anon_sym_u2983,
    ACTIONS(8707), 1,
      anon_sym_LBRACE,
    ACTIONS(8709), 1,
      aux_sym__qid_token1,
    ACTIONS(8711), 1,
      anon_sym_DOT,
    ACTIONS(8715), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8717), 1,
      anon_sym_u2987,
    ACTIONS(8719), 1,
      aux_sym_integer_token1,
    ACTIONS(8721), 1,
      aux_sym_literal_token1,
    ACTIONS(8723), 1,
      anon_sym_Set,
    STATE(7324), 1,
      sym_atom,
    STATE(7383), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7298), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8697), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [559394] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3816), 1,
      sym_id,
    ACTIONS(3822), 1,
      anon_sym_record,
    ACTIONS(3824), 1,
      anon_sym_LPAREN,
    ACTIONS(3828), 1,
      anon_sym_u2983,
    ACTIONS(3830), 1,
      anon_sym_LBRACE,
    ACTIONS(3832), 1,
      aux_sym__qid_token1,
    ACTIONS(3834), 1,
      anon_sym_DOT,
    ACTIONS(3838), 1,
      anon_sym_u2987,
    ACTIONS(3840), 1,
      aux_sym_integer_token1,
    ACTIONS(3842), 1,
      anon_sym_Set,
    ACTIONS(11917), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11919), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11921), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11923), 1,
      aux_sym_literal_token1,
    STATE(4469), 1,
      sym_atom,
    STATE(4457), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4439), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3820), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [559469] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5118), 1,
      sym_id,
    ACTIONS(5122), 1,
      anon_sym_record,
    ACTIONS(5124), 1,
      anon_sym_LPAREN,
    ACTIONS(5128), 1,
      anon_sym_u2983,
    ACTIONS(5130), 1,
      anon_sym_LBRACE,
    ACTIONS(5132), 1,
      aux_sym__qid_token1,
    ACTIONS(5134), 1,
      anon_sym_DOT,
    ACTIONS(5138), 1,
      anon_sym_u2987,
    ACTIONS(5140), 1,
      aux_sym_integer_token1,
    ACTIONS(5142), 1,
      anon_sym_Set,
    ACTIONS(11873), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11875), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11877), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11879), 1,
      aux_sym_literal_token1,
    STATE(5730), 1,
      sym_atom,
    STATE(5729), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5635), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5120), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [559544] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3788), 1,
      sym_id,
    ACTIONS(3794), 1,
      anon_sym_record,
    ACTIONS(3796), 1,
      anon_sym_LPAREN,
    ACTIONS(3800), 1,
      anon_sym_u2983,
    ACTIONS(3802), 1,
      anon_sym_LBRACE,
    ACTIONS(3804), 1,
      aux_sym__qid_token1,
    ACTIONS(3806), 1,
      anon_sym_DOT,
    ACTIONS(3810), 1,
      anon_sym_u2987,
    ACTIONS(3812), 1,
      aux_sym_integer_token1,
    ACTIONS(3814), 1,
      anon_sym_Set,
    ACTIONS(11883), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11885), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11887), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11889), 1,
      aux_sym_literal_token1,
    STATE(4929), 1,
      sym_atom,
    STATE(4928), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4922), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3792), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [559619] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2664), 1,
      sym_id,
    ACTIONS(2668), 1,
      anon_sym_record,
    ACTIONS(2678), 1,
      aux_sym__qid_token1,
    ACTIONS(2684), 1,
      anon_sym_u2987,
    ACTIONS(2686), 1,
      aux_sym_integer_token1,
    ACTIONS(2688), 1,
      anon_sym_Set,
    ACTIONS(4876), 1,
      anon_sym_LPAREN,
    ACTIONS(4880), 1,
      anon_sym_u2983,
    ACTIONS(4882), 1,
      anon_sym_LBRACE,
    ACTIONS(4884), 1,
      anon_sym_DOT,
    ACTIONS(11925), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11927), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11929), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11931), 1,
      aux_sym_literal_token1,
    STATE(4054), 1,
      sym_atom,
    STATE(4053), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4075), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2666), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [559694] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2756), 1,
      sym_id,
    ACTIONS(2760), 1,
      anon_sym_record,
    ACTIONS(2770), 1,
      aux_sym__qid_token1,
    ACTIONS(2776), 1,
      anon_sym_u2987,
    ACTIONS(2778), 1,
      aux_sym_integer_token1,
    ACTIONS(2780), 1,
      anon_sym_Set,
    ACTIONS(4356), 1,
      anon_sym_LPAREN,
    ACTIONS(4360), 1,
      anon_sym_u2983,
    ACTIONS(4362), 1,
      anon_sym_LBRACE,
    ACTIONS(4364), 1,
      anon_sym_DOT,
    ACTIONS(11933), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11935), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11937), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11939), 1,
      aux_sym_literal_token1,
    STATE(4013), 1,
      sym_atom,
    STATE(4036), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4033), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2758), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [559769] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3844), 1,
      sym_id,
    ACTIONS(3850), 1,
      anon_sym_record,
    ACTIONS(3852), 1,
      anon_sym_LPAREN,
    ACTIONS(3856), 1,
      anon_sym_u2983,
    ACTIONS(3858), 1,
      anon_sym_LBRACE,
    ACTIONS(3860), 1,
      aux_sym__qid_token1,
    ACTIONS(3862), 1,
      anon_sym_DOT,
    ACTIONS(3866), 1,
      anon_sym_u2987,
    ACTIONS(3868), 1,
      aux_sym_integer_token1,
    ACTIONS(3870), 1,
      anon_sym_Set,
    ACTIONS(11941), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11943), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11945), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11947), 1,
      aux_sym_literal_token1,
    STATE(4301), 1,
      sym_atom,
    STATE(4296), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4295), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3848), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [559844] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5226), 1,
      sym_id,
    ACTIONS(5230), 1,
      anon_sym_record,
    ACTIONS(5232), 1,
      anon_sym_LPAREN,
    ACTIONS(5236), 1,
      anon_sym_u2983,
    ACTIONS(5238), 1,
      anon_sym_LBRACE,
    ACTIONS(5240), 1,
      aux_sym__qid_token1,
    ACTIONS(5242), 1,
      anon_sym_DOT,
    ACTIONS(5246), 1,
      anon_sym_u2987,
    ACTIONS(5248), 1,
      aux_sym_integer_token1,
    ACTIONS(5250), 1,
      anon_sym_Set,
    ACTIONS(11909), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11911), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11913), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11915), 1,
      aux_sym_literal_token1,
    STATE(4183), 1,
      sym_atom,
    STATE(4182), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4180), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5228), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [559919] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(692), 1,
      anon_sym_record,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_u2983,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      anon_sym_DOT,
    ACTIONS(720), 1,
      anon_sym_u2987,
    ACTIONS(726), 1,
      aux_sym_integer_token1,
    ACTIONS(728), 1,
      anon_sym_Set,
    ACTIONS(3184), 1,
      sym_id,
    ACTIONS(3190), 1,
      aux_sym__qid_token1,
    ACTIONS(11949), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11951), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11953), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11955), 1,
      aux_sym_literal_token1,
    STATE(4937), 1,
      sym_atom,
    STATE(5353), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4924), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(690), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [559994] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3816), 1,
      sym_id,
    ACTIONS(3822), 1,
      anon_sym_record,
    ACTIONS(3824), 1,
      anon_sym_LPAREN,
    ACTIONS(3828), 1,
      anon_sym_u2983,
    ACTIONS(3830), 1,
      anon_sym_LBRACE,
    ACTIONS(3832), 1,
      aux_sym__qid_token1,
    ACTIONS(3834), 1,
      anon_sym_DOT,
    ACTIONS(3838), 1,
      anon_sym_u2987,
    ACTIONS(3840), 1,
      aux_sym_integer_token1,
    ACTIONS(3842), 1,
      anon_sym_Set,
    ACTIONS(11917), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11919), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11921), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11923), 1,
      aux_sym_literal_token1,
    STATE(4458), 1,
      sym_atom,
    STATE(4457), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4439), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3820), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [560069] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3844), 1,
      sym_id,
    ACTIONS(3850), 1,
      anon_sym_record,
    ACTIONS(3852), 1,
      anon_sym_LPAREN,
    ACTIONS(3856), 1,
      anon_sym_u2983,
    ACTIONS(3858), 1,
      anon_sym_LBRACE,
    ACTIONS(3860), 1,
      aux_sym__qid_token1,
    ACTIONS(3862), 1,
      anon_sym_DOT,
    ACTIONS(3866), 1,
      anon_sym_u2987,
    ACTIONS(3868), 1,
      aux_sym_integer_token1,
    ACTIONS(3870), 1,
      anon_sym_Set,
    ACTIONS(11941), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11943), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11945), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11947), 1,
      aux_sym_literal_token1,
    STATE(4297), 1,
      sym_atom,
    STATE(4296), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4295), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3848), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [560144] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3872), 1,
      sym_id,
    ACTIONS(3878), 1,
      anon_sym_record,
    ACTIONS(3880), 1,
      anon_sym_LPAREN,
    ACTIONS(3884), 1,
      anon_sym_u2983,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(3888), 1,
      aux_sym__qid_token1,
    ACTIONS(3890), 1,
      anon_sym_DOT,
    ACTIONS(3894), 1,
      anon_sym_u2987,
    ACTIONS(3896), 1,
      aux_sym_integer_token1,
    ACTIONS(3898), 1,
      anon_sym_Set,
    ACTIONS(11957), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11961), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11963), 1,
      aux_sym_literal_token1,
    STATE(4200), 1,
      sym_atom,
    STATE(4199), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4197), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3876), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [560219] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3872), 1,
      sym_id,
    ACTIONS(3878), 1,
      anon_sym_record,
    ACTIONS(3880), 1,
      anon_sym_LPAREN,
    ACTIONS(3884), 1,
      anon_sym_u2983,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(3888), 1,
      aux_sym__qid_token1,
    ACTIONS(3890), 1,
      anon_sym_DOT,
    ACTIONS(3894), 1,
      anon_sym_u2987,
    ACTIONS(3896), 1,
      aux_sym_integer_token1,
    ACTIONS(3898), 1,
      anon_sym_Set,
    ACTIONS(11957), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11961), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11963), 1,
      aux_sym_literal_token1,
    STATE(4205), 1,
      sym_atom,
    STATE(4199), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4197), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3876), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [560294] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8819), 1,
      sym_id,
    ACTIONS(8821), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8825), 1,
      anon_sym_record,
    ACTIONS(8827), 1,
      anon_sym_LPAREN,
    ACTIONS(8829), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8831), 1,
      anon_sym_u2983,
    ACTIONS(8833), 1,
      anon_sym_LBRACE,
    ACTIONS(8835), 1,
      aux_sym__qid_token1,
    ACTIONS(8837), 1,
      anon_sym_DOT,
    ACTIONS(8841), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8843), 1,
      anon_sym_u2987,
    ACTIONS(8845), 1,
      aux_sym_integer_token1,
    ACTIONS(8847), 1,
      aux_sym_literal_token1,
    ACTIONS(8849), 1,
      anon_sym_Set,
    STATE(7450), 1,
      sym_atom,
    STATE(7434), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7399), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8823), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [560369] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10552), 1,
      sym_id,
    ACTIONS(10554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10558), 1,
      anon_sym_record,
    ACTIONS(10560), 1,
      anon_sym_LPAREN,
    ACTIONS(10562), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10564), 1,
      anon_sym_u2983,
    ACTIONS(10566), 1,
      anon_sym_LBRACE,
    ACTIONS(10568), 1,
      aux_sym__qid_token1,
    ACTIONS(10570), 1,
      anon_sym_DOT,
    ACTIONS(10574), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10576), 1,
      anon_sym_u2987,
    ACTIONS(10578), 1,
      aux_sym_integer_token1,
    ACTIONS(10580), 1,
      aux_sym_literal_token1,
    ACTIONS(10582), 1,
      anon_sym_Set,
    STATE(7729), 1,
      sym_atom,
    STATE(7728), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7727), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10556), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [560444] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5340), 1,
      sym_id,
    ACTIONS(5344), 1,
      anon_sym_record,
    ACTIONS(5346), 1,
      anon_sym_LPAREN,
    ACTIONS(5350), 1,
      anon_sym_u2983,
    ACTIONS(5352), 1,
      anon_sym_LBRACE,
    ACTIONS(5354), 1,
      aux_sym__qid_token1,
    ACTIONS(5356), 1,
      anon_sym_DOT,
    ACTIONS(5360), 1,
      anon_sym_u2987,
    ACTIONS(5362), 1,
      aux_sym_integer_token1,
    ACTIONS(5364), 1,
      anon_sym_Set,
    ACTIONS(11965), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11967), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11969), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11971), 1,
      aux_sym_literal_token1,
    STATE(5807), 1,
      sym_atom,
    STATE(5805), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5786), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5342), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [560519] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10035), 1,
      sym_id,
    ACTIONS(10037), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10041), 1,
      anon_sym_record,
    ACTIONS(10043), 1,
      anon_sym_LPAREN,
    ACTIONS(10045), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10047), 1,
      anon_sym_u2983,
    ACTIONS(10049), 1,
      anon_sym_LBRACE,
    ACTIONS(10051), 1,
      aux_sym__qid_token1,
    ACTIONS(10053), 1,
      anon_sym_DOT,
    ACTIONS(10057), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10059), 1,
      anon_sym_u2987,
    ACTIONS(10061), 1,
      aux_sym_integer_token1,
    ACTIONS(10063), 1,
      aux_sym_literal_token1,
    ACTIONS(10065), 1,
      anon_sym_Set,
    STATE(7594), 1,
      sym_atom,
    STATE(7593), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7592), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10039), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [560594] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8819), 1,
      sym_id,
    ACTIONS(8821), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8825), 1,
      anon_sym_record,
    ACTIONS(8827), 1,
      anon_sym_LPAREN,
    ACTIONS(8829), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8831), 1,
      anon_sym_u2983,
    ACTIONS(8833), 1,
      anon_sym_LBRACE,
    ACTIONS(8835), 1,
      aux_sym__qid_token1,
    ACTIONS(8837), 1,
      anon_sym_DOT,
    ACTIONS(8841), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8843), 1,
      anon_sym_u2987,
    ACTIONS(8845), 1,
      aux_sym_integer_token1,
    ACTIONS(8847), 1,
      aux_sym_literal_token1,
    ACTIONS(8849), 1,
      anon_sym_Set,
    STATE(7425), 1,
      sym_atom,
    STATE(7434), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7399), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8823), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [560669] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5690), 1,
      sym_id,
    ACTIONS(5694), 1,
      anon_sym_record,
    ACTIONS(5696), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_u2983,
    ACTIONS(5702), 1,
      anon_sym_LBRACE,
    ACTIONS(5704), 1,
      aux_sym__qid_token1,
    ACTIONS(5706), 1,
      anon_sym_DOT,
    ACTIONS(5710), 1,
      anon_sym_u2987,
    ACTIONS(5712), 1,
      aux_sym_integer_token1,
    ACTIONS(5714), 1,
      anon_sym_Set,
    ACTIONS(11973), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11975), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11977), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11979), 1,
      aux_sym_literal_token1,
    STATE(6103), 1,
      sym_atom,
    STATE(6102), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6101), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5692), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [560744] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10075), 1,
      sym_id,
    ACTIONS(10077), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10081), 1,
      anon_sym_record,
    ACTIONS(10083), 1,
      anon_sym_LPAREN,
    ACTIONS(10085), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10087), 1,
      anon_sym_u2983,
    ACTIONS(10089), 1,
      anon_sym_LBRACE,
    ACTIONS(10091), 1,
      aux_sym__qid_token1,
    ACTIONS(10093), 1,
      anon_sym_DOT,
    ACTIONS(10097), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10099), 1,
      anon_sym_u2987,
    ACTIONS(10101), 1,
      aux_sym_integer_token1,
    ACTIONS(10103), 1,
      aux_sym_literal_token1,
    ACTIONS(10105), 1,
      anon_sym_Set,
    STATE(7606), 1,
      sym_atom,
    STATE(7605), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7604), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10079), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [560819] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6170), 1,
      sym_id,
    ACTIONS(6174), 1,
      anon_sym_record,
    ACTIONS(6176), 1,
      anon_sym_LPAREN,
    ACTIONS(6180), 1,
      anon_sym_u2983,
    ACTIONS(6182), 1,
      anon_sym_LBRACE,
    ACTIONS(6184), 1,
      aux_sym__qid_token1,
    ACTIONS(6186), 1,
      anon_sym_DOT,
    ACTIONS(6190), 1,
      anon_sym_u2987,
    ACTIONS(6192), 1,
      aux_sym_integer_token1,
    ACTIONS(6194), 1,
      anon_sym_Set,
    ACTIONS(11981), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11983), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11985), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11987), 1,
      aux_sym_literal_token1,
    STATE(6205), 1,
      sym_atom,
    STATE(6204), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6203), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [560894] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3034), 1,
      sym_id,
    ACTIONS(3038), 1,
      anon_sym_record,
    ACTIONS(3048), 1,
      aux_sym__qid_token1,
    ACTIONS(3054), 1,
      anon_sym_u2987,
    ACTIONS(3056), 1,
      aux_sym_integer_token1,
    ACTIONS(3058), 1,
      anon_sym_Set,
    ACTIONS(4314), 1,
      anon_sym_DOT,
    ACTIONS(11615), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11619), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11621), 1,
      aux_sym_literal_token1,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    ACTIONS(11991), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11993), 1,
      anon_sym_u2983,
    ACTIONS(11995), 1,
      anon_sym_LBRACE,
    STATE(4714), 1,
      sym_atom,
    STATE(4713), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4710), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3036), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [560969] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5092), 1,
      sym_id,
    ACTIONS(5096), 1,
      anon_sym_record,
    ACTIONS(5098), 1,
      anon_sym_LPAREN,
    ACTIONS(5102), 1,
      anon_sym_u2983,
    ACTIONS(5104), 1,
      anon_sym_LBRACE,
    ACTIONS(5106), 1,
      aux_sym__qid_token1,
    ACTIONS(5108), 1,
      anon_sym_DOT,
    ACTIONS(5112), 1,
      anon_sym_u2987,
    ACTIONS(5114), 1,
      aux_sym_integer_token1,
    ACTIONS(5116), 1,
      anon_sym_Set,
    ACTIONS(11997), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11999), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12001), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12003), 1,
      aux_sym_literal_token1,
    STATE(5546), 1,
      sym_atom,
    STATE(5543), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5535), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5094), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [561044] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7993), 1,
      sym_id,
    ACTIONS(7995), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7999), 1,
      anon_sym_record,
    ACTIONS(8001), 1,
      anon_sym_LPAREN,
    ACTIONS(8003), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8005), 1,
      anon_sym_u2983,
    ACTIONS(8007), 1,
      anon_sym_LBRACE,
    ACTIONS(8009), 1,
      aux_sym__qid_token1,
    ACTIONS(8011), 1,
      anon_sym_DOT,
    ACTIONS(8015), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8017), 1,
      anon_sym_u2987,
    ACTIONS(8019), 1,
      aux_sym_integer_token1,
    ACTIONS(8021), 1,
      aux_sym_literal_token1,
    ACTIONS(8023), 1,
      anon_sym_Set,
    STATE(7228), 1,
      sym_atom,
    STATE(7227), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7997), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [561119] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3158), 1,
      sym_id,
    ACTIONS(3162), 1,
      anon_sym_record,
    ACTIONS(3172), 1,
      aux_sym__qid_token1,
    ACTIONS(3178), 1,
      anon_sym_u2987,
    ACTIONS(3180), 1,
      aux_sym_integer_token1,
    ACTIONS(3182), 1,
      anon_sym_Set,
    ACTIONS(4374), 1,
      anon_sym_LPAREN,
    ACTIONS(4378), 1,
      anon_sym_u2983,
    ACTIONS(4380), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOT,
    ACTIONS(12005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12007), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12009), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12011), 1,
      aux_sym_literal_token1,
    STATE(4782), 1,
      sym_atom,
    STATE(4759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4757), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3160), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [561194] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7539), 1,
      sym_id,
    ACTIONS(7541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7545), 1,
      anon_sym_record,
    ACTIONS(7547), 1,
      anon_sym_LPAREN,
    ACTIONS(7549), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7551), 1,
      anon_sym_u2983,
    ACTIONS(7553), 1,
      anon_sym_LBRACE,
    ACTIONS(7555), 1,
      aux_sym__qid_token1,
    ACTIONS(7557), 1,
      anon_sym_DOT,
    ACTIONS(7561), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7563), 1,
      anon_sym_u2987,
    ACTIONS(7565), 1,
      aux_sym_integer_token1,
    ACTIONS(7567), 1,
      aux_sym_literal_token1,
    ACTIONS(7569), 1,
      anon_sym_Set,
    STATE(7160), 1,
      sym_atom,
    STATE(7159), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7141), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7543), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [561269] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6866), 1,
      sym_id,
    ACTIONS(6868), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6872), 1,
      anon_sym_record,
    ACTIONS(6874), 1,
      anon_sym_LPAREN,
    ACTIONS(6876), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6878), 1,
      anon_sym_u2983,
    ACTIONS(6880), 1,
      anon_sym_LBRACE,
    ACTIONS(6882), 1,
      aux_sym__qid_token1,
    ACTIONS(6884), 1,
      anon_sym_DOT,
    ACTIONS(6888), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6890), 1,
      anon_sym_u2987,
    ACTIONS(6892), 1,
      aux_sym_integer_token1,
    ACTIONS(6894), 1,
      aux_sym_literal_token1,
    ACTIONS(6896), 1,
      anon_sym_Set,
    STATE(6911), 1,
      sym_atom,
    STATE(6908), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6899), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6870), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [561344] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8955), 1,
      sym_id,
    ACTIONS(8957), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8961), 1,
      anon_sym_record,
    ACTIONS(8963), 1,
      anon_sym_LPAREN,
    ACTIONS(8965), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8967), 1,
      anon_sym_u2983,
    ACTIONS(8969), 1,
      anon_sym_LBRACE,
    ACTIONS(8971), 1,
      aux_sym__qid_token1,
    ACTIONS(8973), 1,
      anon_sym_DOT,
    ACTIONS(8977), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8979), 1,
      anon_sym_u2987,
    ACTIONS(8981), 1,
      aux_sym_integer_token1,
    ACTIONS(8983), 1,
      aux_sym_literal_token1,
    ACTIONS(8985), 1,
      anon_sym_Set,
    STATE(7465), 1,
      sym_atom,
    STATE(7464), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7665), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8959), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [561419] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2860), 1,
      sym_id,
    ACTIONS(2864), 1,
      anon_sym_record,
    ACTIONS(2874), 1,
      aux_sym__qid_token1,
    ACTIONS(2880), 1,
      anon_sym_u2987,
    ACTIONS(2882), 1,
      aux_sym_integer_token1,
    ACTIONS(2884), 1,
      anon_sym_Set,
    ACTIONS(4704), 1,
      anon_sym_LPAREN,
    ACTIONS(4708), 1,
      anon_sym_u2983,
    ACTIONS(4710), 1,
      anon_sym_LBRACE,
    ACTIONS(4712), 1,
      anon_sym_DOT,
    ACTIONS(11389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11399), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11401), 1,
      aux_sym_literal_token1,
    ACTIONS(11475), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(4603), 1,
      sym_atom,
    STATE(4602), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4598), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2862), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [561494] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10552), 1,
      sym_id,
    ACTIONS(10554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10558), 1,
      anon_sym_record,
    ACTIONS(10560), 1,
      anon_sym_LPAREN,
    ACTIONS(10562), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10564), 1,
      anon_sym_u2983,
    ACTIONS(10566), 1,
      anon_sym_LBRACE,
    ACTIONS(10568), 1,
      aux_sym__qid_token1,
    ACTIONS(10570), 1,
      anon_sym_DOT,
    ACTIONS(10574), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10576), 1,
      anon_sym_u2987,
    ACTIONS(10578), 1,
      aux_sym_integer_token1,
    ACTIONS(10580), 1,
      aux_sym_literal_token1,
    ACTIONS(10582), 1,
      anon_sym_Set,
    STATE(7734), 1,
      sym_atom,
    STATE(7728), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7727), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10556), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [561569] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_id,
    ACTIONS(1876), 1,
      anon_sym_record,
    ACTIONS(1886), 1,
      aux_sym__qid_token1,
    ACTIONS(1896), 1,
      anon_sym_u2987,
    ACTIONS(1900), 1,
      aux_sym_integer_token1,
    ACTIONS(1902), 1,
      anon_sym_Set,
    ACTIONS(4792), 1,
      anon_sym_LPAREN,
    ACTIONS(4796), 1,
      anon_sym_u2983,
    ACTIONS(4798), 1,
      anon_sym_LBRACE,
    ACTIONS(4800), 1,
      anon_sym_DOT,
    ACTIONS(11511), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11513), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11515), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11517), 1,
      aux_sym_literal_token1,
    STATE(4641), 1,
      sym_atom,
    STATE(4844), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4861), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1874), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [561644] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5170), 1,
      sym_id,
    ACTIONS(5174), 1,
      anon_sym_record,
    ACTIONS(5176), 1,
      anon_sym_LPAREN,
    ACTIONS(5180), 1,
      anon_sym_u2983,
    ACTIONS(5182), 1,
      anon_sym_LBRACE,
    ACTIONS(5184), 1,
      aux_sym__qid_token1,
    ACTIONS(5186), 1,
      anon_sym_DOT,
    ACTIONS(5190), 1,
      anon_sym_u2987,
    ACTIONS(5192), 1,
      aux_sym_integer_token1,
    ACTIONS(5194), 1,
      anon_sym_Set,
    ACTIONS(12013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12015), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12017), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12019), 1,
      aux_sym_literal_token1,
    STATE(5295), 1,
      sym_atom,
    STATE(5294), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5265), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [561719] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2976), 1,
      sym_id,
    ACTIONS(2980), 1,
      anon_sym_record,
    ACTIONS(2990), 1,
      aux_sym__qid_token1,
    ACTIONS(2996), 1,
      anon_sym_u2987,
    ACTIONS(2998), 1,
      aux_sym_integer_token1,
    ACTIONS(3000), 1,
      anon_sym_Set,
    ACTIONS(4826), 1,
      anon_sym_LPAREN,
    ACTIONS(4830), 1,
      anon_sym_u2983,
    ACTIONS(4832), 1,
      anon_sym_LBRACE,
    ACTIONS(4834), 1,
      anon_sym_DOT,
    ACTIONS(11543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11545), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11547), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11549), 1,
      aux_sym_literal_token1,
    STATE(4871), 1,
      sym_atom,
    STATE(4870), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4868), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2978), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [561794] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5526), 1,
      sym_id,
    ACTIONS(5530), 1,
      anon_sym_record,
    ACTIONS(5532), 1,
      anon_sym_LPAREN,
    ACTIONS(5536), 1,
      anon_sym_u2983,
    ACTIONS(5538), 1,
      anon_sym_LBRACE,
    ACTIONS(5540), 1,
      aux_sym__qid_token1,
    ACTIONS(5542), 1,
      anon_sym_DOT,
    ACTIONS(5546), 1,
      anon_sym_u2987,
    ACTIONS(5548), 1,
      aux_sym_integer_token1,
    ACTIONS(5550), 1,
      anon_sym_Set,
    ACTIONS(12021), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12023), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12025), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12027), 1,
      aux_sym_literal_token1,
    STATE(5641), 1,
      sym_atom,
    STATE(5640), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5638), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5528), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [561869] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3034), 1,
      sym_id,
    ACTIONS(3038), 1,
      anon_sym_record,
    ACTIONS(3048), 1,
      aux_sym__qid_token1,
    ACTIONS(3054), 1,
      anon_sym_u2987,
    ACTIONS(3056), 1,
      aux_sym_integer_token1,
    ACTIONS(3058), 1,
      anon_sym_Set,
    ACTIONS(4306), 1,
      anon_sym_LPAREN,
    ACTIONS(4310), 1,
      anon_sym_u2983,
    ACTIONS(4312), 1,
      anon_sym_LBRACE,
    ACTIONS(4314), 1,
      anon_sym_DOT,
    ACTIONS(11615), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11617), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11619), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11621), 1,
      aux_sym_literal_token1,
    STATE(4714), 1,
      sym_atom,
    STATE(4713), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4710), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3036), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [561944] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5340), 1,
      sym_id,
    ACTIONS(5344), 1,
      anon_sym_record,
    ACTIONS(5346), 1,
      anon_sym_LPAREN,
    ACTIONS(5350), 1,
      anon_sym_u2983,
    ACTIONS(5352), 1,
      anon_sym_LBRACE,
    ACTIONS(5354), 1,
      aux_sym__qid_token1,
    ACTIONS(5356), 1,
      anon_sym_DOT,
    ACTIONS(5360), 1,
      anon_sym_u2987,
    ACTIONS(5362), 1,
      aux_sym_integer_token1,
    ACTIONS(5364), 1,
      anon_sym_Set,
    ACTIONS(11965), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11967), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11969), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11971), 1,
      aux_sym_literal_token1,
    STATE(5817), 1,
      sym_atom,
    STATE(5805), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5786), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5342), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [562019] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6064), 1,
      sym_id,
    ACTIONS(6068), 1,
      anon_sym_record,
    ACTIONS(6070), 1,
      anon_sym_LPAREN,
    ACTIONS(6074), 1,
      anon_sym_u2983,
    ACTIONS(6076), 1,
      anon_sym_LBRACE,
    ACTIONS(6078), 1,
      aux_sym__qid_token1,
    ACTIONS(6080), 1,
      anon_sym_DOT,
    ACTIONS(6084), 1,
      anon_sym_u2987,
    ACTIONS(6086), 1,
      aux_sym_integer_token1,
    ACTIONS(6088), 1,
      anon_sym_Set,
    ACTIONS(12029), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12031), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12033), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12035), 1,
      aux_sym_literal_token1,
    STATE(5671), 1,
      sym_atom,
    STATE(5670), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5668), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6066), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [562094] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_id,
    ACTIONS(3096), 1,
      anon_sym_record,
    ACTIONS(3106), 1,
      aux_sym__qid_token1,
    ACTIONS(3112), 1,
      anon_sym_u2987,
    ACTIONS(3114), 1,
      aux_sym_integer_token1,
    ACTIONS(3116), 1,
      anon_sym_Set,
    ACTIONS(4344), 1,
      anon_sym_LPAREN,
    ACTIONS(4348), 1,
      anon_sym_u2983,
    ACTIONS(4350), 1,
      anon_sym_LBRACE,
    ACTIONS(4352), 1,
      anon_sym_DOT,
    ACTIONS(11731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11733), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11735), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11737), 1,
      aux_sym_literal_token1,
    STATE(4995), 1,
      sym_atom,
    STATE(5351), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5163), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3094), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [562169] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5030), 1,
      sym_id,
    ACTIONS(5034), 1,
      anon_sym_record,
    ACTIONS(5036), 1,
      anon_sym_LPAREN,
    ACTIONS(5040), 1,
      anon_sym_u2983,
    ACTIONS(5042), 1,
      anon_sym_LBRACE,
    ACTIONS(5044), 1,
      aux_sym__qid_token1,
    ACTIONS(5046), 1,
      anon_sym_DOT,
    ACTIONS(5050), 1,
      anon_sym_u2987,
    ACTIONS(5052), 1,
      aux_sym_integer_token1,
    ACTIONS(5054), 1,
      anon_sym_Set,
    ACTIONS(12037), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12039), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12041), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12043), 1,
      aux_sym_literal_token1,
    STATE(5865), 1,
      sym_atom,
    STATE(5864), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5852), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5032), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [562244] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3932), 1,
      sym_id,
    ACTIONS(3938), 1,
      anon_sym_record,
    ACTIONS(3940), 1,
      anon_sym_LPAREN,
    ACTIONS(3944), 1,
      anon_sym_u2983,
    ACTIONS(3946), 1,
      anon_sym_LBRACE,
    ACTIONS(3948), 1,
      aux_sym__qid_token1,
    ACTIONS(3950), 1,
      anon_sym_DOT,
    ACTIONS(3954), 1,
      anon_sym_u2987,
    ACTIONS(3956), 1,
      aux_sym_integer_token1,
    ACTIONS(3958), 1,
      anon_sym_Set,
    ACTIONS(12045), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12047), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12049), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12051), 1,
      aux_sym_literal_token1,
    STATE(4888), 1,
      sym_atom,
    STATE(4887), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4886), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3936), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [562319] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10035), 1,
      sym_id,
    ACTIONS(10037), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10041), 1,
      anon_sym_record,
    ACTIONS(10043), 1,
      anon_sym_LPAREN,
    ACTIONS(10045), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10047), 1,
      anon_sym_u2983,
    ACTIONS(10049), 1,
      anon_sym_LBRACE,
    ACTIONS(10051), 1,
      aux_sym__qid_token1,
    ACTIONS(10053), 1,
      anon_sym_DOT,
    ACTIONS(10057), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10059), 1,
      anon_sym_u2987,
    ACTIONS(10061), 1,
      aux_sym_integer_token1,
    ACTIONS(10063), 1,
      aux_sym_literal_token1,
    ACTIONS(10065), 1,
      anon_sym_Set,
    STATE(7598), 1,
      sym_atom,
    STATE(7593), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7592), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10039), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [562394] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8403), 1,
      sym_id,
    ACTIONS(8405), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_record,
    ACTIONS(8411), 1,
      anon_sym_LPAREN,
    ACTIONS(8413), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8415), 1,
      anon_sym_u2983,
    ACTIONS(8417), 1,
      anon_sym_LBRACE,
    ACTIONS(8419), 1,
      aux_sym__qid_token1,
    ACTIONS(8421), 1,
      anon_sym_DOT,
    ACTIONS(8425), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8427), 1,
      anon_sym_u2987,
    ACTIONS(8429), 1,
      aux_sym_integer_token1,
    ACTIONS(8431), 1,
      aux_sym_literal_token1,
    ACTIONS(8433), 1,
      anon_sym_Set,
    STATE(7447), 1,
      sym_atom,
    STATE(7444), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7441), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8407), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [562469] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7571), 1,
      sym_id,
    ACTIONS(7573), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7577), 1,
      anon_sym_record,
    ACTIONS(7579), 1,
      anon_sym_LPAREN,
    ACTIONS(7581), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7583), 1,
      anon_sym_u2983,
    ACTIONS(7585), 1,
      anon_sym_LBRACE,
    ACTIONS(7587), 1,
      aux_sym__qid_token1,
    ACTIONS(7589), 1,
      anon_sym_DOT,
    ACTIONS(7593), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7595), 1,
      anon_sym_u2987,
    ACTIONS(7597), 1,
      aux_sym_integer_token1,
    ACTIONS(7599), 1,
      aux_sym_literal_token1,
    ACTIONS(7601), 1,
      anon_sym_Set,
    STATE(7163), 1,
      sym_atom,
    STATE(7156), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7145), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7575), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [562544] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1904), 1,
      sym_id,
    ACTIONS(1914), 1,
      anon_sym_record,
    ACTIONS(1924), 1,
      aux_sym__qid_token1,
    ACTIONS(1934), 1,
      anon_sym_u2987,
    ACTIONS(1938), 1,
      aux_sym_integer_token1,
    ACTIONS(1940), 1,
      anon_sym_Set,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_u2983,
    ACTIONS(4332), 1,
      anon_sym_LBRACE,
    ACTIONS(4334), 1,
      anon_sym_DOT,
    ACTIONS(11527), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11529), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11531), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11533), 1,
      aux_sym_literal_token1,
    STATE(4479), 1,
      sym_atom,
    STATE(4621), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4454), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1912), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [562619] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6898), 1,
      sym_id,
    ACTIONS(6900), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6904), 1,
      anon_sym_record,
    ACTIONS(6906), 1,
      anon_sym_LPAREN,
    ACTIONS(6908), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6910), 1,
      anon_sym_u2983,
    ACTIONS(6912), 1,
      anon_sym_LBRACE,
    ACTIONS(6914), 1,
      aux_sym__qid_token1,
    ACTIONS(6916), 1,
      anon_sym_DOT,
    ACTIONS(6920), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6922), 1,
      anon_sym_u2987,
    ACTIONS(6924), 1,
      aux_sym_integer_token1,
    ACTIONS(6926), 1,
      aux_sym_literal_token1,
    ACTIONS(6928), 1,
      anon_sym_Set,
    STATE(6877), 1,
      sym_atom,
    STATE(6876), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6874), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6902), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [562694] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6439), 1,
      sym_id,
    ACTIONS(6441), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6445), 1,
      anon_sym_record,
    ACTIONS(6447), 1,
      anon_sym_LPAREN,
    ACTIONS(6449), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6451), 1,
      anon_sym_u2983,
    ACTIONS(6453), 1,
      anon_sym_LBRACE,
    ACTIONS(6455), 1,
      aux_sym__qid_token1,
    ACTIONS(6457), 1,
      anon_sym_DOT,
    ACTIONS(6461), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6463), 1,
      anon_sym_u2987,
    ACTIONS(6465), 1,
      aux_sym_integer_token1,
    ACTIONS(6467), 1,
      aux_sym_literal_token1,
    ACTIONS(6469), 1,
      anon_sym_Set,
    STATE(6822), 1,
      sym_atom,
    STATE(6821), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6443), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [562769] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3158), 1,
      sym_id,
    ACTIONS(3162), 1,
      anon_sym_record,
    ACTIONS(3172), 1,
      aux_sym__qid_token1,
    ACTIONS(3178), 1,
      anon_sym_u2987,
    ACTIONS(3180), 1,
      aux_sym_integer_token1,
    ACTIONS(3182), 1,
      anon_sym_Set,
    ACTIONS(4374), 1,
      anon_sym_LPAREN,
    ACTIONS(4378), 1,
      anon_sym_u2983,
    ACTIONS(4380), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOT,
    ACTIONS(12005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12007), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12009), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12011), 1,
      aux_sym_literal_token1,
    STATE(4760), 1,
      sym_atom,
    STATE(4759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4757), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3160), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [562844] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5690), 1,
      sym_id,
    ACTIONS(5694), 1,
      anon_sym_record,
    ACTIONS(5696), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_u2983,
    ACTIONS(5702), 1,
      anon_sym_LBRACE,
    ACTIONS(5704), 1,
      aux_sym__qid_token1,
    ACTIONS(5706), 1,
      anon_sym_DOT,
    ACTIONS(5710), 1,
      anon_sym_u2987,
    ACTIONS(5712), 1,
      aux_sym_integer_token1,
    ACTIONS(5714), 1,
      anon_sym_Set,
    ACTIONS(11973), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11975), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11977), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11979), 1,
      aux_sym_literal_token1,
    STATE(6107), 1,
      sym_atom,
    STATE(6102), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6101), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5692), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [562919] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5282), 1,
      sym_id,
    ACTIONS(5286), 1,
      anon_sym_record,
    ACTIONS(5288), 1,
      anon_sym_LPAREN,
    ACTIONS(5292), 1,
      anon_sym_u2983,
    ACTIONS(5294), 1,
      anon_sym_LBRACE,
    ACTIONS(5296), 1,
      aux_sym__qid_token1,
    ACTIONS(5298), 1,
      anon_sym_DOT,
    ACTIONS(5302), 1,
      anon_sym_u2987,
    ACTIONS(5304), 1,
      aux_sym_integer_token1,
    ACTIONS(5306), 1,
      anon_sym_Set,
    ACTIONS(12053), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12055), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12057), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12059), 1,
      aux_sym_literal_token1,
    STATE(5610), 1,
      sym_atom,
    STATE(5609), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5427), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5284), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [562994] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5144), 1,
      sym_id,
    ACTIONS(5148), 1,
      anon_sym_record,
    ACTIONS(5150), 1,
      anon_sym_LPAREN,
    ACTIONS(5154), 1,
      anon_sym_u2983,
    ACTIONS(5156), 1,
      anon_sym_LBRACE,
    ACTIONS(5158), 1,
      aux_sym__qid_token1,
    ACTIONS(5160), 1,
      anon_sym_DOT,
    ACTIONS(5164), 1,
      anon_sym_u2987,
    ACTIONS(5166), 1,
      aux_sym_integer_token1,
    ACTIONS(5168), 1,
      anon_sym_Set,
    ACTIONS(12061), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12063), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12065), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12067), 1,
      aux_sym_literal_token1,
    STATE(6133), 1,
      sym_atom,
    STATE(6132), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6130), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5146), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [563069] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3194), 1,
      sym_id,
    ACTIONS(3204), 1,
      anon_sym_record,
    ACTIONS(3214), 1,
      aux_sym__qid_token1,
    ACTIONS(3224), 1,
      anon_sym_u2987,
    ACTIONS(3228), 1,
      aux_sym_integer_token1,
    ACTIONS(3230), 1,
      anon_sym_Set,
    ACTIONS(4398), 1,
      anon_sym_LPAREN,
    ACTIONS(4402), 1,
      anon_sym_u2983,
    ACTIONS(4404), 1,
      anon_sym_LBRACE,
    ACTIONS(4406), 1,
      anon_sym_DOT,
    ACTIONS(12069), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12071), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12073), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12075), 1,
      aux_sym_literal_token1,
    STATE(4441), 1,
      sym_atom,
    STATE(4440), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4435), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3202), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [563144] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym_id,
    ACTIONS(5850), 1,
      anon_sym_record,
    ACTIONS(5852), 1,
      anon_sym_LPAREN,
    ACTIONS(5856), 1,
      anon_sym_u2983,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(5860), 1,
      aux_sym__qid_token1,
    ACTIONS(5862), 1,
      anon_sym_DOT,
    ACTIONS(5866), 1,
      anon_sym_u2987,
    ACTIONS(5868), 1,
      aux_sym_integer_token1,
    ACTIONS(5870), 1,
      anon_sym_Set,
    ACTIONS(12077), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12079), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12081), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12083), 1,
      aux_sym_literal_token1,
    STATE(4955), 1,
      sym_atom,
    STATE(4954), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5345), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5848), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [563219] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10075), 1,
      sym_id,
    ACTIONS(10077), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10081), 1,
      anon_sym_record,
    ACTIONS(10083), 1,
      anon_sym_LPAREN,
    ACTIONS(10085), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10087), 1,
      anon_sym_u2983,
    ACTIONS(10089), 1,
      anon_sym_LBRACE,
    ACTIONS(10091), 1,
      aux_sym__qid_token1,
    ACTIONS(10093), 1,
      anon_sym_DOT,
    ACTIONS(10097), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10099), 1,
      anon_sym_u2987,
    ACTIONS(10101), 1,
      aux_sym_integer_token1,
    ACTIONS(10103), 1,
      aux_sym_literal_token1,
    ACTIONS(10105), 1,
      anon_sym_Set,
    STATE(7610), 1,
      sym_atom,
    STATE(7605), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7604), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10079), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [563294] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3264), 1,
      sym_id,
    ACTIONS(3274), 1,
      anon_sym_record,
    ACTIONS(3284), 1,
      aux_sym__qid_token1,
    ACTIONS(3294), 1,
      anon_sym_u2987,
    ACTIONS(3298), 1,
      aux_sym_integer_token1,
    ACTIONS(3300), 1,
      anon_sym_Set,
    ACTIONS(4414), 1,
      anon_sym_LPAREN,
    ACTIONS(4418), 1,
      anon_sym_u2983,
    ACTIONS(4420), 1,
      anon_sym_LBRACE,
    ACTIONS(4422), 1,
      anon_sym_DOT,
    ACTIONS(12085), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12087), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12089), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12091), 1,
      aux_sym_literal_token1,
    STATE(4336), 1,
      sym_atom,
    STATE(4335), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4334), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3272), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [563369] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5392), 1,
      sym_id,
    ACTIONS(5396), 1,
      anon_sym_record,
    ACTIONS(5398), 1,
      anon_sym_LPAREN,
    ACTIONS(5402), 1,
      anon_sym_u2983,
    ACTIONS(5404), 1,
      anon_sym_LBRACE,
    ACTIONS(5406), 1,
      aux_sym__qid_token1,
    ACTIONS(5408), 1,
      anon_sym_DOT,
    ACTIONS(5412), 1,
      anon_sym_u2987,
    ACTIONS(5414), 1,
      aux_sym_integer_token1,
    ACTIONS(5416), 1,
      anon_sym_Set,
    ACTIONS(12093), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12095), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12097), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12099), 1,
      aux_sym_literal_token1,
    STATE(4717), 1,
      sym_atom,
    STATE(4650), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4691), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5394), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [563444] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5924), 1,
      sym_id,
    ACTIONS(5928), 1,
      anon_sym_record,
    ACTIONS(5930), 1,
      anon_sym_LPAREN,
    ACTIONS(5934), 1,
      anon_sym_u2983,
    ACTIONS(5936), 1,
      anon_sym_LBRACE,
    ACTIONS(5938), 1,
      aux_sym__qid_token1,
    ACTIONS(5940), 1,
      anon_sym_DOT,
    ACTIONS(5944), 1,
      anon_sym_u2987,
    ACTIONS(5946), 1,
      aux_sym_integer_token1,
    ACTIONS(5948), 1,
      anon_sym_Set,
    ACTIONS(12101), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12103), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12105), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12107), 1,
      aux_sym_literal_token1,
    STATE(4679), 1,
      sym_atom,
    STATE(4676), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4673), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5926), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [563519] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3334), 1,
      sym_id,
    ACTIONS(3344), 1,
      anon_sym_record,
    ACTIONS(3354), 1,
      aux_sym__qid_token1,
    ACTIONS(3364), 1,
      anon_sym_u2987,
    ACTIONS(3368), 1,
      aux_sym_integer_token1,
    ACTIONS(3370), 1,
      anon_sym_Set,
    ACTIONS(4430), 1,
      anon_sym_LPAREN,
    ACTIONS(4434), 1,
      anon_sym_u2983,
    ACTIONS(4436), 1,
      anon_sym_LBRACE,
    ACTIONS(4438), 1,
      anon_sym_DOT,
    ACTIONS(12109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12111), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12113), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12115), 1,
      aux_sym_literal_token1,
    STATE(4356), 1,
      sym_atom,
    STATE(4355), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4354), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3342), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [563594] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3372), 1,
      sym_id,
    ACTIONS(3382), 1,
      anon_sym_record,
    ACTIONS(3392), 1,
      aux_sym__qid_token1,
    ACTIONS(3402), 1,
      anon_sym_u2987,
    ACTIONS(3406), 1,
      aux_sym_integer_token1,
    ACTIONS(3408), 1,
      anon_sym_Set,
    ACTIONS(4458), 1,
      anon_sym_LPAREN,
    ACTIONS(4462), 1,
      anon_sym_u2983,
    ACTIONS(4464), 1,
      anon_sym_LBRACE,
    ACTIONS(4466), 1,
      anon_sym_DOT,
    ACTIONS(12117), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12119), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12121), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12123), 1,
      aux_sym_literal_token1,
    STATE(4239), 1,
      sym_atom,
    STATE(4238), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4236), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3380), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [563669] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6170), 1,
      sym_id,
    ACTIONS(6174), 1,
      anon_sym_record,
    ACTIONS(6176), 1,
      anon_sym_LPAREN,
    ACTIONS(6180), 1,
      anon_sym_u2983,
    ACTIONS(6182), 1,
      anon_sym_LBRACE,
    ACTIONS(6184), 1,
      aux_sym__qid_token1,
    ACTIONS(6186), 1,
      anon_sym_DOT,
    ACTIONS(6190), 1,
      anon_sym_u2987,
    ACTIONS(6192), 1,
      aux_sym_integer_token1,
    ACTIONS(6194), 1,
      anon_sym_Set,
    ACTIONS(11981), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11983), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11985), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11987), 1,
      aux_sym_literal_token1,
    STATE(6209), 1,
      sym_atom,
    STATE(6204), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6203), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [563744] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5954), 1,
      sym_id,
    ACTIONS(5958), 1,
      anon_sym_record,
    ACTIONS(5960), 1,
      anon_sym_LPAREN,
    ACTIONS(5964), 1,
      anon_sym_u2983,
    ACTIONS(5966), 1,
      anon_sym_LBRACE,
    ACTIONS(5968), 1,
      aux_sym__qid_token1,
    ACTIONS(5970), 1,
      anon_sym_DOT,
    ACTIONS(5974), 1,
      anon_sym_u2987,
    ACTIONS(5976), 1,
      aux_sym_integer_token1,
    ACTIONS(5978), 1,
      anon_sym_Set,
    ACTIONS(12125), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12127), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12129), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12131), 1,
      aux_sym_literal_token1,
    STATE(4562), 1,
      sym_atom,
    STATE(4561), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4526), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5956), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [563819] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3410), 1,
      sym_id,
    ACTIONS(3420), 1,
      anon_sym_record,
    ACTIONS(3430), 1,
      aux_sym__qid_token1,
    ACTIONS(3440), 1,
      anon_sym_u2987,
    ACTIONS(3444), 1,
      aux_sym_integer_token1,
    ACTIONS(3446), 1,
      anon_sym_Set,
    ACTIONS(4472), 1,
      anon_sym_LPAREN,
    ACTIONS(4476), 1,
      anon_sym_u2983,
    ACTIONS(4478), 1,
      anon_sym_LBRACE,
    ACTIONS(4480), 1,
      anon_sym_DOT,
    ACTIONS(12133), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12135), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12137), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12139), 1,
      aux_sym_literal_token1,
    STATE(5180), 1,
      sym_atom,
    STATE(5177), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5173), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3418), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [563894] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6008), 1,
      sym_id,
    ACTIONS(6012), 1,
      anon_sym_record,
    ACTIONS(6014), 1,
      anon_sym_LPAREN,
    ACTIONS(6018), 1,
      anon_sym_u2983,
    ACTIONS(6020), 1,
      anon_sym_LBRACE,
    ACTIONS(6022), 1,
      aux_sym__qid_token1,
    ACTIONS(6024), 1,
      anon_sym_DOT,
    ACTIONS(6028), 1,
      anon_sym_u2987,
    ACTIONS(6030), 1,
      aux_sym_integer_token1,
    ACTIONS(6032), 1,
      anon_sym_Set,
    ACTIONS(12141), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12143), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12145), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12147), 1,
      aux_sym_literal_token1,
    STATE(5989), 1,
      sym_atom,
    STATE(5967), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5840), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6010), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [563969] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8070), 1,
      sym_id,
    ACTIONS(8072), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8076), 1,
      anon_sym_record,
    ACTIONS(8078), 1,
      anon_sym_LPAREN,
    ACTIONS(8080), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8082), 1,
      anon_sym_u2983,
    ACTIONS(8084), 1,
      anon_sym_LBRACE,
    ACTIONS(8086), 1,
      aux_sym__qid_token1,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8094), 1,
      anon_sym_u2987,
    ACTIONS(8096), 1,
      aux_sym_integer_token1,
    ACTIONS(8098), 1,
      aux_sym_literal_token1,
    ACTIONS(8100), 1,
      anon_sym_Set,
    STATE(7191), 1,
      sym_atom,
    STATE(7189), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7185), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8074), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [564044] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5092), 1,
      sym_id,
    ACTIONS(5096), 1,
      anon_sym_record,
    ACTIONS(5098), 1,
      anon_sym_LPAREN,
    ACTIONS(5102), 1,
      anon_sym_u2983,
    ACTIONS(5104), 1,
      anon_sym_LBRACE,
    ACTIONS(5106), 1,
      aux_sym__qid_token1,
    ACTIONS(5108), 1,
      anon_sym_DOT,
    ACTIONS(5112), 1,
      anon_sym_u2987,
    ACTIONS(5114), 1,
      aux_sym_integer_token1,
    ACTIONS(5116), 1,
      anon_sym_Set,
    ACTIONS(11997), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11999), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12001), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12003), 1,
      aux_sym_literal_token1,
    STATE(5553), 1,
      sym_atom,
    STATE(5543), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5535), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5094), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [564119] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3448), 1,
      sym_id,
    ACTIONS(3458), 1,
      anon_sym_record,
    ACTIONS(3468), 1,
      aux_sym__qid_token1,
    ACTIONS(3478), 1,
      anon_sym_u2987,
    ACTIONS(3482), 1,
      aux_sym_integer_token1,
    ACTIONS(3484), 1,
      anon_sym_Set,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4502), 1,
      anon_sym_u2983,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(4506), 1,
      anon_sym_DOT,
    ACTIONS(12149), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12151), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12153), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12155), 1,
      aux_sym_literal_token1,
    STATE(4625), 1,
      sym_atom,
    STATE(4904), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3456), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [564194] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6038), 1,
      sym_id,
    ACTIONS(6042), 1,
      anon_sym_record,
    ACTIONS(6044), 1,
      anon_sym_LPAREN,
    ACTIONS(6048), 1,
      anon_sym_u2983,
    ACTIONS(6050), 1,
      anon_sym_LBRACE,
    ACTIONS(6052), 1,
      aux_sym__qid_token1,
    ACTIONS(6054), 1,
      anon_sym_DOT,
    ACTIONS(6058), 1,
      anon_sym_u2987,
    ACTIONS(6060), 1,
      aux_sym_integer_token1,
    ACTIONS(6062), 1,
      anon_sym_Set,
    ACTIONS(12157), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12159), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12161), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12163), 1,
      aux_sym_literal_token1,
    STATE(5602), 1,
      sym_atom,
    STATE(5519), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5694), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6040), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [564269] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4918), 1,
      sym_id,
    ACTIONS(4922), 1,
      anon_sym_record,
    ACTIONS(4924), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      anon_sym_u2983,
    ACTIONS(4930), 1,
      anon_sym_LBRACE,
    ACTIONS(4932), 1,
      aux_sym__qid_token1,
    ACTIONS(4934), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      anon_sym_u2987,
    ACTIONS(4940), 1,
      aux_sym_integer_token1,
    ACTIONS(4942), 1,
      anon_sym_Set,
    ACTIONS(11667), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11669), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11671), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11673), 1,
      aux_sym_literal_token1,
    STATE(5796), 1,
      sym_atom,
    STATE(5791), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5787), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4920), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [564344] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3486), 1,
      sym_id,
    ACTIONS(3496), 1,
      anon_sym_record,
    ACTIONS(3506), 1,
      aux_sym__qid_token1,
    ACTIONS(3516), 1,
      anon_sym_u2987,
    ACTIONS(3520), 1,
      aux_sym_integer_token1,
    ACTIONS(3522), 1,
      anon_sym_Set,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4518), 1,
      anon_sym_u2983,
    ACTIONS(4520), 1,
      anon_sym_LBRACE,
    ACTIONS(4522), 1,
      anon_sym_DOT,
    ACTIONS(12165), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12167), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12169), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12171), 1,
      aux_sym_literal_token1,
    STATE(4266), 1,
      sym_atom,
    STATE(4330), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4416), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3494), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [564419] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6116), 1,
      sym_id,
    ACTIONS(6120), 1,
      anon_sym_record,
    ACTIONS(6122), 1,
      anon_sym_LPAREN,
    ACTIONS(6126), 1,
      anon_sym_u2983,
    ACTIONS(6128), 1,
      anon_sym_LBRACE,
    ACTIONS(6130), 1,
      aux_sym__qid_token1,
    ACTIONS(6132), 1,
      anon_sym_DOT,
    ACTIONS(6136), 1,
      anon_sym_u2987,
    ACTIONS(6138), 1,
      aux_sym_integer_token1,
    ACTIONS(6140), 1,
      anon_sym_Set,
    ACTIONS(12173), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12175), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12177), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12179), 1,
      aux_sym_literal_token1,
    STATE(4847), 1,
      sym_atom,
    STATE(4756), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4743), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6118), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [564494] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3552), 1,
      sym_id,
    ACTIONS(3562), 1,
      anon_sym_record,
    ACTIONS(3572), 1,
      aux_sym__qid_token1,
    ACTIONS(3582), 1,
      anon_sym_u2987,
    ACTIONS(3586), 1,
      aux_sym_integer_token1,
    ACTIONS(3588), 1,
      anon_sym_Set,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_u2983,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(4536), 1,
      anon_sym_DOT,
    ACTIONS(12181), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12183), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12185), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12187), 1,
      aux_sym_literal_token1,
    STATE(4128), 1,
      sym_atom,
    STATE(4127), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4126), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3560), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [564569] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7993), 1,
      sym_id,
    ACTIONS(7995), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7999), 1,
      anon_sym_record,
    ACTIONS(8001), 1,
      anon_sym_LPAREN,
    ACTIONS(8003), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8005), 1,
      anon_sym_u2983,
    ACTIONS(8007), 1,
      anon_sym_LBRACE,
    ACTIONS(8009), 1,
      aux_sym__qid_token1,
    ACTIONS(8011), 1,
      anon_sym_DOT,
    ACTIONS(8015), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8017), 1,
      anon_sym_u2987,
    ACTIONS(8019), 1,
      aux_sym_integer_token1,
    ACTIONS(8021), 1,
      aux_sym_literal_token1,
    ACTIONS(8023), 1,
      anon_sym_Set,
    STATE(7253), 1,
      sym_atom,
    STATE(7227), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7216), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7997), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [564644] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6144), 1,
      sym_id,
    ACTIONS(6148), 1,
      anon_sym_record,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6154), 1,
      anon_sym_u2983,
    ACTIONS(6156), 1,
      anon_sym_LBRACE,
    ACTIONS(6158), 1,
      aux_sym__qid_token1,
    ACTIONS(6160), 1,
      anon_sym_DOT,
    ACTIONS(6164), 1,
      anon_sym_u2987,
    ACTIONS(6166), 1,
      aux_sym_integer_token1,
    ACTIONS(6168), 1,
      anon_sym_Set,
    ACTIONS(12189), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12191), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12193), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12195), 1,
      aux_sym_literal_token1,
    STATE(4436), 1,
      sym_atom,
    STATE(4432), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4622), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6146), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [564719] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3750), 1,
      sym_id,
    ACTIONS(3760), 1,
      anon_sym_record,
    ACTIONS(3770), 1,
      aux_sym__qid_token1,
    ACTIONS(3780), 1,
      anon_sym_u2987,
    ACTIONS(3784), 1,
      aux_sym_integer_token1,
    ACTIONS(3786), 1,
      anon_sym_Set,
    ACTIONS(4564), 1,
      anon_sym_LPAREN,
    ACTIONS(4568), 1,
      anon_sym_u2983,
    ACTIONS(4570), 1,
      anon_sym_LBRACE,
    ACTIONS(4572), 1,
      anon_sym_DOT,
    ACTIONS(12197), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12199), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12201), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12203), 1,
      aux_sym_literal_token1,
    STATE(4254), 1,
      sym_atom,
    STATE(4138), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4137), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3758), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [564794] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 27,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [564837] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3618), 1,
      sym_id,
    ACTIONS(3628), 1,
      anon_sym_record,
    ACTIONS(3638), 1,
      aux_sym__qid_token1,
    ACTIONS(3648), 1,
      anon_sym_u2987,
    ACTIONS(3652), 1,
      aux_sym_integer_token1,
    ACTIONS(3654), 1,
      anon_sym_Set,
    ACTIONS(4576), 1,
      anon_sym_LPAREN,
    ACTIONS(4580), 1,
      anon_sym_u2983,
    ACTIONS(4582), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(12205), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12207), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12209), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12211), 1,
      aux_sym_literal_token1,
    STATE(4106), 1,
      sym_atom,
    STATE(4101), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4115), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3626), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [564912] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6838), 1,
      sym_id,
    ACTIONS(6842), 1,
      anon_sym_record,
    ACTIONS(6844), 1,
      anon_sym_LPAREN,
    ACTIONS(6848), 1,
      anon_sym_u2983,
    ACTIONS(6850), 1,
      anon_sym_LBRACE,
    ACTIONS(6852), 1,
      aux_sym__qid_token1,
    ACTIONS(6854), 1,
      anon_sym_DOT,
    ACTIONS(6858), 1,
      anon_sym_u2987,
    ACTIONS(6860), 1,
      aux_sym_integer_token1,
    ACTIONS(6862), 1,
      anon_sym_Set,
    ACTIONS(11535), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11537), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11539), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11541), 1,
      aux_sym_literal_token1,
    STATE(6843), 1,
      sym_atom,
    STATE(6824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6808), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6840), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [564987] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6196), 1,
      sym_id,
    ACTIONS(6200), 1,
      anon_sym_record,
    ACTIONS(6202), 1,
      anon_sym_LPAREN,
    ACTIONS(6206), 1,
      anon_sym_u2983,
    ACTIONS(6208), 1,
      anon_sym_LBRACE,
    ACTIONS(6210), 1,
      aux_sym__qid_token1,
    ACTIONS(6212), 1,
      anon_sym_DOT,
    ACTIONS(6216), 1,
      anon_sym_u2987,
    ACTIONS(6218), 1,
      aux_sym_integer_token1,
    ACTIONS(6220), 1,
      anon_sym_Set,
    ACTIONS(12213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12215), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12217), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12219), 1,
      aux_sym_literal_token1,
    STATE(4382), 1,
      sym_atom,
    STATE(4379), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4376), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6198), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [565062] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3194), 1,
      sym_id,
    ACTIONS(3204), 1,
      anon_sym_record,
    ACTIONS(3214), 1,
      aux_sym__qid_token1,
    ACTIONS(3224), 1,
      anon_sym_u2987,
    ACTIONS(3228), 1,
      aux_sym_integer_token1,
    ACTIONS(3230), 1,
      anon_sym_Set,
    ACTIONS(4398), 1,
      anon_sym_LPAREN,
    ACTIONS(4402), 1,
      anon_sym_u2983,
    ACTIONS(4404), 1,
      anon_sym_LBRACE,
    ACTIONS(4406), 1,
      anon_sym_DOT,
    ACTIONS(12069), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12071), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12073), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12075), 1,
      aux_sym_literal_token1,
    STATE(4445), 1,
      sym_atom,
    STATE(4440), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4435), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3202), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [565137] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5366), 1,
      sym_id,
    ACTIONS(5370), 1,
      anon_sym_record,
    ACTIONS(5372), 1,
      anon_sym_LPAREN,
    ACTIONS(5376), 1,
      anon_sym_u2983,
    ACTIONS(5378), 1,
      anon_sym_LBRACE,
    ACTIONS(5380), 1,
      aux_sym__qid_token1,
    ACTIONS(5382), 1,
      anon_sym_DOT,
    ACTIONS(5386), 1,
      anon_sym_u2987,
    ACTIONS(5388), 1,
      aux_sym_integer_token1,
    ACTIONS(5390), 1,
      anon_sym_Set,
    ACTIONS(12221), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12223), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12225), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12227), 1,
      aux_sym_literal_token1,
    STATE(6173), 1,
      sym_atom,
    STATE(6172), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6171), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5368), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [565212] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5638), 1,
      sym_id,
    ACTIONS(5642), 1,
      anon_sym_record,
    ACTIONS(5644), 1,
      anon_sym_LPAREN,
    ACTIONS(5648), 1,
      anon_sym_u2983,
    ACTIONS(5650), 1,
      anon_sym_LBRACE,
    ACTIONS(5652), 1,
      aux_sym__qid_token1,
    ACTIONS(5654), 1,
      anon_sym_DOT,
    ACTIONS(5658), 1,
      anon_sym_u2987,
    ACTIONS(5660), 1,
      aux_sym_integer_token1,
    ACTIONS(5662), 1,
      anon_sym_Set,
    ACTIONS(12229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12231), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12233), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12235), 1,
      aux_sym_literal_token1,
    STATE(5973), 1,
      sym_atom,
    STATE(5971), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5941), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5640), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [565287] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5716), 1,
      sym_id,
    ACTIONS(5720), 1,
      anon_sym_record,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5726), 1,
      anon_sym_u2983,
    ACTIONS(5728), 1,
      anon_sym_LBRACE,
    ACTIONS(5730), 1,
      aux_sym__qid_token1,
    ACTIONS(5732), 1,
      anon_sym_DOT,
    ACTIONS(5736), 1,
      anon_sym_u2987,
    ACTIONS(5738), 1,
      aux_sym_integer_token1,
    ACTIONS(5740), 1,
      anon_sym_Set,
    ACTIONS(12237), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12239), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12241), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12243), 1,
      aux_sym_literal_token1,
    STATE(5754), 1,
      sym_atom,
    STATE(5738), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5910), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5718), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [565362] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3684), 1,
      sym_id,
    ACTIONS(3694), 1,
      anon_sym_record,
    ACTIONS(3704), 1,
      aux_sym__qid_token1,
    ACTIONS(3714), 1,
      anon_sym_u2987,
    ACTIONS(3718), 1,
      aux_sym_integer_token1,
    ACTIONS(3720), 1,
      anon_sym_Set,
    ACTIONS(4590), 1,
      anon_sym_LPAREN,
    ACTIONS(4594), 1,
      anon_sym_u2983,
    ACTIONS(4596), 1,
      anon_sym_LBRACE,
    ACTIONS(4598), 1,
      anon_sym_DOT,
    ACTIONS(12245), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12247), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12249), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12251), 1,
      aux_sym_literal_token1,
    STATE(4489), 1,
      sym_atom,
    STATE(4471), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4437), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3692), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [565437] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7539), 1,
      sym_id,
    ACTIONS(7541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7545), 1,
      anon_sym_record,
    ACTIONS(7547), 1,
      anon_sym_LPAREN,
    ACTIONS(7549), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7551), 1,
      anon_sym_u2983,
    ACTIONS(7553), 1,
      anon_sym_LBRACE,
    ACTIONS(7555), 1,
      aux_sym__qid_token1,
    ACTIONS(7557), 1,
      anon_sym_DOT,
    ACTIONS(7561), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7563), 1,
      anon_sym_u2987,
    ACTIONS(7565), 1,
      aux_sym_integer_token1,
    ACTIONS(7567), 1,
      aux_sym_literal_token1,
    ACTIONS(7569), 1,
      anon_sym_Set,
    STATE(7174), 1,
      sym_atom,
    STATE(7159), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7141), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7543), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [565512] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5500), 1,
      sym_id,
    ACTIONS(5504), 1,
      anon_sym_record,
    ACTIONS(5506), 1,
      anon_sym_LPAREN,
    ACTIONS(5510), 1,
      anon_sym_u2983,
    ACTIONS(5512), 1,
      anon_sym_LBRACE,
    ACTIONS(5514), 1,
      aux_sym__qid_token1,
    ACTIONS(5516), 1,
      anon_sym_DOT,
    ACTIONS(5520), 1,
      anon_sym_u2987,
    ACTIONS(5522), 1,
      aux_sym_integer_token1,
    ACTIONS(5524), 1,
      anon_sym_Set,
    ACTIONS(12253), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12255), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12257), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12259), 1,
      aux_sym_literal_token1,
    STATE(5040), 1,
      sym_atom,
    STATE(5039), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5028), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5502), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [565587] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5470), 1,
      sym_id,
    ACTIONS(5474), 1,
      anon_sym_record,
    ACTIONS(5476), 1,
      anon_sym_LPAREN,
    ACTIONS(5480), 1,
      anon_sym_u2983,
    ACTIONS(5482), 1,
      anon_sym_LBRACE,
    ACTIONS(5484), 1,
      aux_sym__qid_token1,
    ACTIONS(5486), 1,
      anon_sym_DOT,
    ACTIONS(5490), 1,
      anon_sym_u2987,
    ACTIONS(5492), 1,
      aux_sym_integer_token1,
    ACTIONS(5494), 1,
      anon_sym_Set,
    ACTIONS(12261), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12263), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12265), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12267), 1,
      aux_sym_literal_token1,
    STATE(5959), 1,
      sym_atom,
    STATE(5850), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5888), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5472), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [565662] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3264), 1,
      sym_id,
    ACTIONS(3274), 1,
      anon_sym_record,
    ACTIONS(3284), 1,
      aux_sym__qid_token1,
    ACTIONS(3294), 1,
      anon_sym_u2987,
    ACTIONS(3298), 1,
      aux_sym_integer_token1,
    ACTIONS(3300), 1,
      anon_sym_Set,
    ACTIONS(4414), 1,
      anon_sym_LPAREN,
    ACTIONS(4418), 1,
      anon_sym_u2983,
    ACTIONS(4420), 1,
      anon_sym_LBRACE,
    ACTIONS(4422), 1,
      anon_sym_DOT,
    ACTIONS(12085), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12087), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12089), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12091), 1,
      aux_sym_literal_token1,
    STATE(4342), 1,
      sym_atom,
    STATE(4335), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4334), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3272), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [565737] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11301), 1,
      sym_id,
    ACTIONS(11303), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11307), 1,
      anon_sym_record,
    ACTIONS(11309), 1,
      anon_sym_LPAREN,
    ACTIONS(11311), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11313), 1,
      anon_sym_u2983,
    ACTIONS(11315), 1,
      anon_sym_LBRACE,
    ACTIONS(11317), 1,
      aux_sym__qid_token1,
    ACTIONS(11319), 1,
      anon_sym_DOT,
    ACTIONS(11321), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11323), 1,
      anon_sym_u2987,
    ACTIONS(11325), 1,
      aux_sym_integer_token1,
    ACTIONS(11327), 1,
      aux_sym_literal_token1,
    ACTIONS(11329), 1,
      anon_sym_Set,
    STATE(7842), 1,
      sym_atom,
    STATE(7835), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7829), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(11305), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [565812] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3334), 1,
      sym_id,
    ACTIONS(3344), 1,
      anon_sym_record,
    ACTIONS(3354), 1,
      aux_sym__qid_token1,
    ACTIONS(3364), 1,
      anon_sym_u2987,
    ACTIONS(3368), 1,
      aux_sym_integer_token1,
    ACTIONS(3370), 1,
      anon_sym_Set,
    ACTIONS(4430), 1,
      anon_sym_LPAREN,
    ACTIONS(4434), 1,
      anon_sym_u2983,
    ACTIONS(4436), 1,
      anon_sym_LBRACE,
    ACTIONS(4438), 1,
      anon_sym_DOT,
    ACTIONS(12109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12111), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12113), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12115), 1,
      aux_sym_literal_token1,
    STATE(4361), 1,
      sym_atom,
    STATE(4355), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4354), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3342), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [565887] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6866), 1,
      sym_id,
    ACTIONS(6868), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6872), 1,
      anon_sym_record,
    ACTIONS(6874), 1,
      anon_sym_LPAREN,
    ACTIONS(6876), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6878), 1,
      anon_sym_u2983,
    ACTIONS(6880), 1,
      anon_sym_LBRACE,
    ACTIONS(6882), 1,
      aux_sym__qid_token1,
    ACTIONS(6884), 1,
      anon_sym_DOT,
    ACTIONS(6888), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6890), 1,
      anon_sym_u2987,
    ACTIONS(6892), 1,
      aux_sym_integer_token1,
    ACTIONS(6894), 1,
      aux_sym_literal_token1,
    ACTIONS(6896), 1,
      anon_sym_Set,
    STATE(6919), 1,
      sym_atom,
    STATE(6908), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6899), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6870), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [565962] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3372), 1,
      sym_id,
    ACTIONS(3382), 1,
      anon_sym_record,
    ACTIONS(3392), 1,
      aux_sym__qid_token1,
    ACTIONS(3402), 1,
      anon_sym_u2987,
    ACTIONS(3406), 1,
      aux_sym_integer_token1,
    ACTIONS(3408), 1,
      anon_sym_Set,
    ACTIONS(4458), 1,
      anon_sym_LPAREN,
    ACTIONS(4462), 1,
      anon_sym_u2983,
    ACTIONS(4464), 1,
      anon_sym_LBRACE,
    ACTIONS(4466), 1,
      anon_sym_DOT,
    ACTIONS(12117), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12119), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12121), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12123), 1,
      aux_sym_literal_token1,
    STATE(4243), 1,
      sym_atom,
    STATE(4238), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4236), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3380), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [566037] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11210), 1,
      sym_id,
    ACTIONS(11212), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11216), 1,
      anon_sym_record,
    ACTIONS(11218), 1,
      anon_sym_LPAREN,
    ACTIONS(11220), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11222), 1,
      anon_sym_u2983,
    ACTIONS(11224), 1,
      anon_sym_LBRACE,
    ACTIONS(11226), 1,
      aux_sym__qid_token1,
    ACTIONS(11228), 1,
      anon_sym_DOT,
    ACTIONS(11230), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11232), 1,
      anon_sym_u2987,
    ACTIONS(11234), 1,
      aux_sym_integer_token1,
    ACTIONS(11236), 1,
      aux_sym_literal_token1,
    ACTIONS(11238), 1,
      anon_sym_Set,
    STATE(8739), 1,
      sym_atom,
    STATE(8694), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(11214), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [566112] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2170), 1,
      sym_id,
    ACTIONS(2180), 1,
      anon_sym_record,
    ACTIONS(2190), 1,
      aux_sym__qid_token1,
    ACTIONS(2200), 1,
      anon_sym_u2987,
    ACTIONS(2204), 1,
      aux_sym_integer_token1,
    ACTIONS(2206), 1,
      anon_sym_Set,
    ACTIONS(4484), 1,
      anon_sym_LPAREN,
    ACTIONS(4488), 1,
      anon_sym_u2983,
    ACTIONS(4490), 1,
      anon_sym_LBRACE,
    ACTIONS(4492), 1,
      anon_sym_DOT,
    ACTIONS(11559), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11561), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11563), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11565), 1,
      aux_sym_literal_token1,
    STATE(5488), 1,
      sym_atom,
    STATE(5405), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5420), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2178), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [566187] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8955), 1,
      sym_id,
    ACTIONS(8957), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8961), 1,
      anon_sym_record,
    ACTIONS(8963), 1,
      anon_sym_LPAREN,
    ACTIONS(8965), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8967), 1,
      anon_sym_u2983,
    ACTIONS(8969), 1,
      anon_sym_LBRACE,
    ACTIONS(8971), 1,
      aux_sym__qid_token1,
    ACTIONS(8973), 1,
      anon_sym_DOT,
    ACTIONS(8977), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8979), 1,
      anon_sym_u2987,
    ACTIONS(8981), 1,
      aux_sym_integer_token1,
    ACTIONS(8983), 1,
      aux_sym_literal_token1,
    ACTIONS(8985), 1,
      anon_sym_Set,
    STATE(7469), 1,
      sym_atom,
    STATE(7464), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7665), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8959), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [566262] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2664), 1,
      sym_id,
    ACTIONS(2668), 1,
      anon_sym_record,
    ACTIONS(2678), 1,
      aux_sym__qid_token1,
    ACTIONS(2684), 1,
      anon_sym_u2987,
    ACTIONS(2686), 1,
      aux_sym_integer_token1,
    ACTIONS(2688), 1,
      anon_sym_Set,
    ACTIONS(4876), 1,
      anon_sym_LPAREN,
    ACTIONS(4880), 1,
      anon_sym_u2983,
    ACTIONS(4882), 1,
      anon_sym_LBRACE,
    ACTIONS(4884), 1,
      anon_sym_DOT,
    ACTIONS(11925), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11927), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11929), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11931), 1,
      aux_sym_literal_token1,
    STATE(4082), 1,
      sym_atom,
    STATE(4053), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4075), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2666), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [566337] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_id,
    ACTIONS(7177), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7181), 1,
      anon_sym_record,
    ACTIONS(7187), 1,
      anon_sym_LPAREN,
    ACTIONS(7193), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7195), 1,
      anon_sym_u2983,
    ACTIONS(7197), 1,
      anon_sym_LBRACE,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(7203), 1,
      anon_sym_DOT,
    ACTIONS(7205), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7207), 1,
      anon_sym_u2987,
    ACTIONS(7209), 1,
      aux_sym_integer_token1,
    ACTIONS(7211), 1,
      aux_sym_literal_token1,
    ACTIONS(7213), 1,
      anon_sym_Set,
    STATE(7181), 1,
      sym_atom,
    STATE(7180), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7280), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7179), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [566412] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6547), 1,
      sym_id,
    ACTIONS(6549), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6553), 1,
      anon_sym_record,
    ACTIONS(6555), 1,
      anon_sym_LPAREN,
    ACTIONS(6557), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6559), 1,
      anon_sym_u2983,
    ACTIONS(6561), 1,
      anon_sym_LBRACE,
    ACTIONS(6563), 1,
      aux_sym__qid_token1,
    ACTIONS(6565), 1,
      anon_sym_DOT,
    ACTIONS(6569), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6571), 1,
      anon_sym_u2987,
    ACTIONS(6573), 1,
      aux_sym_integer_token1,
    ACTIONS(6575), 1,
      aux_sym_literal_token1,
    ACTIONS(6577), 1,
      anon_sym_Set,
    STATE(6792), 1,
      sym_atom,
    STATE(6803), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6853), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6551), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [566487] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2690), 1,
      sym_id,
    ACTIONS(2694), 1,
      anon_sym_record,
    ACTIONS(2704), 1,
      aux_sym__qid_token1,
    ACTIONS(2710), 1,
      anon_sym_u2987,
    ACTIONS(2712), 1,
      aux_sym_integer_token1,
    ACTIONS(2714), 1,
      anon_sym_Set,
    ACTIONS(4916), 1,
      anon_sym_DOT,
    ACTIONS(11403), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11407), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11409), 1,
      aux_sym_literal_token1,
    ACTIONS(12269), 1,
      anon_sym_LPAREN,
    ACTIONS(12271), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12273), 1,
      anon_sym_u2983,
    ACTIONS(12275), 1,
      anon_sym_LBRACE,
    STATE(5273), 1,
      sym_atom,
    STATE(5272), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5268), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2692), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [566562] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 27,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [566605] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 27,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [566648] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3410), 1,
      sym_id,
    ACTIONS(3420), 1,
      anon_sym_record,
    ACTIONS(3430), 1,
      aux_sym__qid_token1,
    ACTIONS(3440), 1,
      anon_sym_u2987,
    ACTIONS(3444), 1,
      aux_sym_integer_token1,
    ACTIONS(3446), 1,
      anon_sym_Set,
    ACTIONS(4472), 1,
      anon_sym_LPAREN,
    ACTIONS(4476), 1,
      anon_sym_u2983,
    ACTIONS(4478), 1,
      anon_sym_LBRACE,
    ACTIONS(4480), 1,
      anon_sym_DOT,
    ACTIONS(12133), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12135), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12137), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12139), 1,
      aux_sym_literal_token1,
    STATE(5196), 1,
      sym_atom,
    STATE(5177), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5173), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3418), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [566723] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_id,
    ACTIONS(3096), 1,
      anon_sym_record,
    ACTIONS(3106), 1,
      aux_sym__qid_token1,
    ACTIONS(3112), 1,
      anon_sym_u2987,
    ACTIONS(3114), 1,
      aux_sym_integer_token1,
    ACTIONS(3116), 1,
      anon_sym_Set,
    ACTIONS(4352), 1,
      anon_sym_DOT,
    ACTIONS(11731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11735), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11737), 1,
      aux_sym_literal_token1,
    ACTIONS(12277), 1,
      anon_sym_LPAREN,
    ACTIONS(12279), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12281), 1,
      anon_sym_u2983,
    ACTIONS(12283), 1,
      anon_sym_LBRACE,
    STATE(4995), 1,
      sym_atom,
    STATE(5351), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5163), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3094), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [566798] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 27,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [566841] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 27,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [566884] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2494), 1,
      sym_id,
    ACTIONS(2498), 1,
      anon_sym_record,
    ACTIONS(2508), 1,
      aux_sym__qid_token1,
    ACTIONS(2514), 1,
      anon_sym_u2987,
    ACTIONS(2516), 1,
      aux_sym_integer_token1,
    ACTIONS(2518), 1,
      anon_sym_Set,
    ACTIONS(4888), 1,
      anon_sym_LPAREN,
    ACTIONS(4892), 1,
      anon_sym_u2983,
    ACTIONS(4894), 1,
      anon_sym_LBRACE,
    ACTIONS(4896), 1,
      anon_sym_DOT,
    ACTIONS(11891), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11893), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11895), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11897), 1,
      aux_sym_literal_token1,
    STATE(5239), 1,
      sym_atom,
    STATE(5233), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5229), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2496), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [566959] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6285), 1,
      sym_id,
    ACTIONS(6287), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_record,
    ACTIONS(6295), 1,
      anon_sym_LPAREN,
    ACTIONS(6297), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6299), 1,
      anon_sym_u2983,
    ACTIONS(6301), 1,
      anon_sym_LBRACE,
    ACTIONS(6303), 1,
      aux_sym__qid_token1,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6309), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6311), 1,
      anon_sym_u2987,
    ACTIONS(6313), 1,
      aux_sym_integer_token1,
    ACTIONS(6315), 1,
      aux_sym_literal_token1,
    ACTIONS(6317), 1,
      anon_sym_Set,
    STATE(6790), 1,
      sym_atom,
    STATE(6542), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6518), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6289), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [567034] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(890), 1,
      aux_sym_integer_token1,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(4540), 1,
      anon_sym_LPAREN,
    ACTIONS(4544), 1,
      anon_sym_u2983,
    ACTIONS(4546), 1,
      anon_sym_LBRACE,
    ACTIONS(4548), 1,
      anon_sym_DOT,
    ACTIONS(11459), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11461), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11463), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11465), 1,
      aux_sym_literal_token1,
    STATE(4862), 1,
      sym_atom,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(858), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [567109] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10482), 1,
      sym_id,
    ACTIONS(10484), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10488), 1,
      anon_sym_record,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10494), 1,
      anon_sym_u2983,
    ACTIONS(10496), 1,
      anon_sym_LBRACE,
    ACTIONS(10498), 1,
      aux_sym__qid_token1,
    ACTIONS(10500), 1,
      anon_sym_DOT,
    ACTIONS(10504), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10506), 1,
      anon_sym_u2987,
    ACTIONS(10508), 1,
      aux_sym_integer_token1,
    ACTIONS(10510), 1,
      aux_sym_literal_token1,
    ACTIONS(10512), 1,
      anon_sym_Set,
    STATE(7685), 1,
      sym_atom,
    STATE(7718), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7805), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10486), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [567184] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5170), 1,
      sym_id,
    ACTIONS(5174), 1,
      anon_sym_record,
    ACTIONS(5176), 1,
      anon_sym_LPAREN,
    ACTIONS(5180), 1,
      anon_sym_u2983,
    ACTIONS(5182), 1,
      anon_sym_LBRACE,
    ACTIONS(5184), 1,
      aux_sym__qid_token1,
    ACTIONS(5186), 1,
      anon_sym_DOT,
    ACTIONS(5190), 1,
      anon_sym_u2987,
    ACTIONS(5192), 1,
      aux_sym_integer_token1,
    ACTIONS(5194), 1,
      anon_sym_Set,
    ACTIONS(12013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12015), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12017), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12019), 1,
      aux_sym_literal_token1,
    STATE(5302), 1,
      sym_atom,
    STATE(5294), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5265), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [567259] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 27,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [567302] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3158), 1,
      sym_id,
    ACTIONS(3162), 1,
      anon_sym_record,
    ACTIONS(3172), 1,
      aux_sym__qid_token1,
    ACTIONS(3178), 1,
      anon_sym_u2987,
    ACTIONS(3180), 1,
      aux_sym_integer_token1,
    ACTIONS(3182), 1,
      anon_sym_Set,
    ACTIONS(4382), 1,
      anon_sym_DOT,
    ACTIONS(12005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12009), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12011), 1,
      aux_sym_literal_token1,
    ACTIONS(12285), 1,
      anon_sym_LPAREN,
    ACTIONS(12287), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12289), 1,
      anon_sym_u2983,
    ACTIONS(12291), 1,
      anon_sym_LBRACE,
    STATE(4760), 1,
      sym_atom,
    STATE(4759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4757), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3160), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [567377] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2756), 1,
      sym_id,
    ACTIONS(2760), 1,
      anon_sym_record,
    ACTIONS(2770), 1,
      aux_sym__qid_token1,
    ACTIONS(2776), 1,
      anon_sym_u2987,
    ACTIONS(2778), 1,
      aux_sym_integer_token1,
    ACTIONS(2780), 1,
      anon_sym_Set,
    ACTIONS(4356), 1,
      anon_sym_LPAREN,
    ACTIONS(4360), 1,
      anon_sym_u2983,
    ACTIONS(4362), 1,
      anon_sym_LBRACE,
    ACTIONS(4364), 1,
      anon_sym_DOT,
    ACTIONS(11933), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11935), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11937), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11939), 1,
      aux_sym_literal_token1,
    STATE(4020), 1,
      sym_atom,
    STATE(4036), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4033), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2758), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [567452] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [567493] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_id,
    ACTIONS(7177), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7181), 1,
      anon_sym_record,
    ACTIONS(7187), 1,
      anon_sym_LPAREN,
    ACTIONS(7193), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7195), 1,
      anon_sym_u2983,
    ACTIONS(7197), 1,
      anon_sym_LBRACE,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(7203), 1,
      anon_sym_DOT,
    ACTIONS(7205), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7207), 1,
      anon_sym_u2987,
    ACTIONS(7209), 1,
      aux_sym_integer_token1,
    ACTIONS(7211), 1,
      aux_sym_literal_token1,
    ACTIONS(7213), 1,
      anon_sym_Set,
    STATE(7225), 1,
      sym_atom,
    STATE(7180), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7280), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7179), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [567568] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11210), 1,
      sym_id,
    ACTIONS(11212), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11216), 1,
      anon_sym_record,
    ACTIONS(11218), 1,
      anon_sym_LPAREN,
    ACTIONS(11220), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11222), 1,
      anon_sym_u2983,
    ACTIONS(11224), 1,
      anon_sym_LBRACE,
    ACTIONS(11226), 1,
      aux_sym__qid_token1,
    ACTIONS(11228), 1,
      anon_sym_DOT,
    ACTIONS(11230), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11232), 1,
      anon_sym_u2987,
    ACTIONS(11234), 1,
      aux_sym_integer_token1,
    ACTIONS(11236), 1,
      aux_sym_literal_token1,
    ACTIONS(11238), 1,
      anon_sym_Set,
    STATE(8700), 1,
      sym_atom,
    STATE(8694), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(8901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(11214), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [567643] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12293), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [567688] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8989), 1,
      sym_id,
    ACTIONS(8991), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8995), 1,
      anon_sym_record,
    ACTIONS(8997), 1,
      anon_sym_LPAREN,
    ACTIONS(8999), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9001), 1,
      anon_sym_u2983,
    ACTIONS(9003), 1,
      anon_sym_LBRACE,
    ACTIONS(9005), 1,
      aux_sym__qid_token1,
    ACTIONS(9007), 1,
      anon_sym_DOT,
    ACTIONS(9009), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9011), 1,
      anon_sym_u2987,
    ACTIONS(9013), 1,
      aux_sym_integer_token1,
    ACTIONS(9015), 1,
      aux_sym_literal_token1,
    ACTIONS(9017), 1,
      anon_sym_Set,
    STATE(7426), 1,
      sym_atom,
    STATE(7424), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7417), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8993), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [567763] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5526), 1,
      sym_id,
    ACTIONS(5530), 1,
      anon_sym_record,
    ACTIONS(5532), 1,
      anon_sym_LPAREN,
    ACTIONS(5536), 1,
      anon_sym_u2983,
    ACTIONS(5538), 1,
      anon_sym_LBRACE,
    ACTIONS(5540), 1,
      aux_sym__qid_token1,
    ACTIONS(5542), 1,
      anon_sym_DOT,
    ACTIONS(5546), 1,
      anon_sym_u2987,
    ACTIONS(5548), 1,
      aux_sym_integer_token1,
    ACTIONS(5550), 1,
      anon_sym_Set,
    ACTIONS(12021), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12023), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12025), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12027), 1,
      aux_sym_literal_token1,
    STATE(5645), 1,
      sym_atom,
    STATE(5640), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5638), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5528), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [567838] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [567879] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [567920] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [567961] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 27,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [568004] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7849), 1,
      sym_id,
    ACTIONS(7851), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7855), 1,
      anon_sym_record,
    ACTIONS(7857), 1,
      anon_sym_LPAREN,
    ACTIONS(7859), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7861), 1,
      anon_sym_u2983,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(7865), 1,
      aux_sym__qid_token1,
    ACTIONS(7867), 1,
      anon_sym_DOT,
    ACTIONS(7871), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7873), 1,
      anon_sym_u2987,
    ACTIONS(7875), 1,
      aux_sym_integer_token1,
    ACTIONS(7877), 1,
      aux_sym_literal_token1,
    ACTIONS(7879), 1,
      anon_sym_Set,
    STATE(7230), 1,
      sym_atom,
    STATE(7248), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7199), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7853), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [568079] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [568120] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [568161] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6064), 1,
      sym_id,
    ACTIONS(6068), 1,
      anon_sym_record,
    ACTIONS(6070), 1,
      anon_sym_LPAREN,
    ACTIONS(6074), 1,
      anon_sym_u2983,
    ACTIONS(6076), 1,
      anon_sym_LBRACE,
    ACTIONS(6078), 1,
      aux_sym__qid_token1,
    ACTIONS(6080), 1,
      anon_sym_DOT,
    ACTIONS(6084), 1,
      anon_sym_u2987,
    ACTIONS(6086), 1,
      aux_sym_integer_token1,
    ACTIONS(6088), 1,
      anon_sym_Set,
    ACTIONS(12029), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12031), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12033), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12035), 1,
      aux_sym_literal_token1,
    STATE(5683), 1,
      sym_atom,
    STATE(5670), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5668), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6066), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [568236] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3194), 1,
      sym_id,
    ACTIONS(3204), 1,
      anon_sym_record,
    ACTIONS(3214), 1,
      aux_sym__qid_token1,
    ACTIONS(3224), 1,
      anon_sym_u2987,
    ACTIONS(3228), 1,
      aux_sym_integer_token1,
    ACTIONS(3230), 1,
      anon_sym_Set,
    ACTIONS(4406), 1,
      anon_sym_DOT,
    ACTIONS(12069), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12073), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12075), 1,
      aux_sym_literal_token1,
    ACTIONS(12295), 1,
      anon_sym_LPAREN,
    ACTIONS(12297), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12299), 1,
      anon_sym_u2983,
    ACTIONS(12301), 1,
      anon_sym_LBRACE,
    STATE(4441), 1,
      sym_atom,
    STATE(4440), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4435), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3202), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [568311] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [568352] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [568393] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8989), 1,
      sym_id,
    ACTIONS(8991), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8995), 1,
      anon_sym_record,
    ACTIONS(8997), 1,
      anon_sym_LPAREN,
    ACTIONS(8999), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9001), 1,
      anon_sym_u2983,
    ACTIONS(9003), 1,
      anon_sym_LBRACE,
    ACTIONS(9005), 1,
      aux_sym__qid_token1,
    ACTIONS(9007), 1,
      anon_sym_DOT,
    ACTIONS(9009), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9011), 1,
      anon_sym_u2987,
    ACTIONS(9013), 1,
      aux_sym_integer_token1,
    ACTIONS(9015), 1,
      aux_sym_literal_token1,
    ACTIONS(9017), 1,
      anon_sym_Set,
    STATE(7299), 1,
      sym_atom,
    STATE(7424), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7417), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8993), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [568468] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5030), 1,
      sym_id,
    ACTIONS(5034), 1,
      anon_sym_record,
    ACTIONS(5036), 1,
      anon_sym_LPAREN,
    ACTIONS(5040), 1,
      anon_sym_u2983,
    ACTIONS(5042), 1,
      anon_sym_LBRACE,
    ACTIONS(5044), 1,
      aux_sym__qid_token1,
    ACTIONS(5046), 1,
      anon_sym_DOT,
    ACTIONS(5050), 1,
      anon_sym_u2987,
    ACTIONS(5052), 1,
      aux_sym_integer_token1,
    ACTIONS(5054), 1,
      anon_sym_Set,
    ACTIONS(12037), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12039), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12041), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12043), 1,
      aux_sym_literal_token1,
    STATE(5947), 1,
      sym_atom,
    STATE(5864), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5852), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5032), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [568543] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [568584] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3932), 1,
      sym_id,
    ACTIONS(3938), 1,
      anon_sym_record,
    ACTIONS(3940), 1,
      anon_sym_LPAREN,
    ACTIONS(3944), 1,
      anon_sym_u2983,
    ACTIONS(3946), 1,
      anon_sym_LBRACE,
    ACTIONS(3948), 1,
      aux_sym__qid_token1,
    ACTIONS(3950), 1,
      anon_sym_DOT,
    ACTIONS(3954), 1,
      anon_sym_u2987,
    ACTIONS(3956), 1,
      aux_sym_integer_token1,
    ACTIONS(3958), 1,
      anon_sym_Set,
    ACTIONS(12045), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12047), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12049), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12051), 1,
      aux_sym_literal_token1,
    STATE(4894), 1,
      sym_atom,
    STATE(4887), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4886), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3936), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [568659] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8403), 1,
      sym_id,
    ACTIONS(8405), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_record,
    ACTIONS(8411), 1,
      anon_sym_LPAREN,
    ACTIONS(8413), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8415), 1,
      anon_sym_u2983,
    ACTIONS(8417), 1,
      anon_sym_LBRACE,
    ACTIONS(8419), 1,
      aux_sym__qid_token1,
    ACTIONS(8421), 1,
      anon_sym_DOT,
    ACTIONS(8425), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8427), 1,
      anon_sym_u2987,
    ACTIONS(8429), 1,
      aux_sym_integer_token1,
    ACTIONS(8431), 1,
      aux_sym_literal_token1,
    ACTIONS(8433), 1,
      anon_sym_Set,
    STATE(7459), 1,
      sym_atom,
    STATE(7444), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7441), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8407), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [568734] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5002), 1,
      sym_id,
    ACTIONS(5008), 1,
      anon_sym_record,
    ACTIONS(5010), 1,
      anon_sym_LPAREN,
    ACTIONS(5014), 1,
      anon_sym_u2983,
    ACTIONS(5016), 1,
      anon_sym_LBRACE,
    ACTIONS(5018), 1,
      aux_sym__qid_token1,
    ACTIONS(5020), 1,
      anon_sym_DOT,
    ACTIONS(5024), 1,
      anon_sym_u2987,
    ACTIONS(5026), 1,
      aux_sym_integer_token1,
    ACTIONS(5028), 1,
      anon_sym_Set,
    ACTIONS(12303), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12305), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12307), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12309), 1,
      aux_sym_literal_token1,
    STATE(6122), 1,
      sym_atom,
    STATE(6117), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6116), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5006), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [568809] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3448), 1,
      sym_id,
    ACTIONS(3458), 1,
      anon_sym_record,
    ACTIONS(3468), 1,
      aux_sym__qid_token1,
    ACTIONS(3478), 1,
      anon_sym_u2987,
    ACTIONS(3482), 1,
      aux_sym_integer_token1,
    ACTIONS(3484), 1,
      anon_sym_Set,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4502), 1,
      anon_sym_u2983,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(4506), 1,
      anon_sym_DOT,
    ACTIONS(12149), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12151), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12153), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12155), 1,
      aux_sym_literal_token1,
    STATE(4909), 1,
      sym_atom,
    STATE(4904), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3456), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [568884] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [568925] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7571), 1,
      sym_id,
    ACTIONS(7573), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7577), 1,
      anon_sym_record,
    ACTIONS(7579), 1,
      anon_sym_LPAREN,
    ACTIONS(7581), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7583), 1,
      anon_sym_u2983,
    ACTIONS(7585), 1,
      anon_sym_LBRACE,
    ACTIONS(7587), 1,
      aux_sym__qid_token1,
    ACTIONS(7589), 1,
      anon_sym_DOT,
    ACTIONS(7593), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7595), 1,
      anon_sym_u2987,
    ACTIONS(7597), 1,
      aux_sym_integer_token1,
    ACTIONS(7599), 1,
      aux_sym_literal_token1,
    ACTIONS(7601), 1,
      anon_sym_Set,
    STATE(7121), 1,
      sym_atom,
    STATE(7156), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7145), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7575), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [569000] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [569041] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [569082] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [569123] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9314), 1,
      sym_id,
    ACTIONS(9316), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9320), 1,
      anon_sym_record,
    ACTIONS(9322), 1,
      anon_sym_LPAREN,
    ACTIONS(9324), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9326), 1,
      anon_sym_u2983,
    ACTIONS(9328), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      aux_sym__qid_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    ACTIONS(9336), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9338), 1,
      anon_sym_u2987,
    ACTIONS(9340), 1,
      aux_sym_integer_token1,
    ACTIONS(9342), 1,
      aux_sym_literal_token1,
    ACTIONS(9344), 1,
      anon_sym_Set,
    STATE(7499), 1,
      sym_atom,
    STATE(7494), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7493), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9318), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [569198] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2936), 1,
      sym_id,
    ACTIONS(2948), 1,
      anon_sym_record,
    ACTIONS(2950), 1,
      anon_sym_LPAREN,
    ACTIONS(2954), 1,
      anon_sym_u2983,
    ACTIONS(2956), 1,
      anon_sym_LBRACE,
    ACTIONS(2958), 1,
      aux_sym__qid_token1,
    ACTIONS(2960), 1,
      anon_sym_DOT,
    ACTIONS(2968), 1,
      anon_sym_u2987,
    ACTIONS(2972), 1,
      aux_sym_integer_token1,
    ACTIONS(2974), 1,
      anon_sym_Set,
    ACTIONS(11599), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11601), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11603), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11605), 1,
      aux_sym_literal_token1,
    STATE(5210), 1,
      sym_atom,
    STATE(5205), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5202), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2946), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [569273] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 27,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [569316] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3486), 1,
      sym_id,
    ACTIONS(3496), 1,
      anon_sym_record,
    ACTIONS(3506), 1,
      aux_sym__qid_token1,
    ACTIONS(3516), 1,
      anon_sym_u2987,
    ACTIONS(3520), 1,
      aux_sym_integer_token1,
    ACTIONS(3522), 1,
      anon_sym_Set,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4518), 1,
      anon_sym_u2983,
    ACTIONS(4520), 1,
      anon_sym_LBRACE,
    ACTIONS(4522), 1,
      anon_sym_DOT,
    ACTIONS(12165), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12167), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12169), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12171), 1,
      aux_sym_literal_token1,
    STATE(4286), 1,
      sym_atom,
    STATE(4330), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4416), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3494), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [569391] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5580), 1,
      sym_id,
    ACTIONS(5584), 1,
      anon_sym_record,
    ACTIONS(5586), 1,
      anon_sym_LPAREN,
    ACTIONS(5590), 1,
      anon_sym_u2983,
    ACTIONS(5592), 1,
      anon_sym_LBRACE,
    ACTIONS(5594), 1,
      aux_sym__qid_token1,
    ACTIONS(5596), 1,
      anon_sym_DOT,
    ACTIONS(5600), 1,
      anon_sym_u2987,
    ACTIONS(5602), 1,
      aux_sym_integer_token1,
    ACTIONS(5604), 1,
      anon_sym_Set,
    ACTIONS(11691), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11693), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11695), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11697), 1,
      aux_sym_literal_token1,
    STATE(5329), 1,
      sym_atom,
    STATE(5316), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5313), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5582), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [569466] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5002), 1,
      sym_id,
    ACTIONS(5008), 1,
      anon_sym_record,
    ACTIONS(5010), 1,
      anon_sym_LPAREN,
    ACTIONS(5014), 1,
      anon_sym_u2983,
    ACTIONS(5016), 1,
      anon_sym_LBRACE,
    ACTIONS(5018), 1,
      aux_sym__qid_token1,
    ACTIONS(5020), 1,
      anon_sym_DOT,
    ACTIONS(5024), 1,
      anon_sym_u2987,
    ACTIONS(5026), 1,
      aux_sym_integer_token1,
    ACTIONS(5028), 1,
      anon_sym_Set,
    ACTIONS(12303), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12305), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12307), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12309), 1,
      aux_sym_literal_token1,
    STATE(6118), 1,
      sym_atom,
    STATE(6117), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6116), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5006), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [569541] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 27,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [569584] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 27,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [569627] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5794), 1,
      sym_id,
    ACTIONS(5798), 1,
      anon_sym_record,
    ACTIONS(5800), 1,
      anon_sym_LPAREN,
    ACTIONS(5804), 1,
      anon_sym_u2983,
    ACTIONS(5806), 1,
      anon_sym_LBRACE,
    ACTIONS(5808), 1,
      aux_sym__qid_token1,
    ACTIONS(5810), 1,
      anon_sym_DOT,
    ACTIONS(5814), 1,
      anon_sym_u2987,
    ACTIONS(5816), 1,
      aux_sym_integer_token1,
    ACTIONS(5818), 1,
      anon_sym_Set,
    ACTIONS(12311), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12313), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12315), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12317), 1,
      aux_sym_literal_token1,
    STATE(6022), 1,
      sym_atom,
    STATE(6013), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6017), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5796), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [569702] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6898), 1,
      sym_id,
    ACTIONS(6900), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6904), 1,
      anon_sym_record,
    ACTIONS(6906), 1,
      anon_sym_LPAREN,
    ACTIONS(6908), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6910), 1,
      anon_sym_u2983,
    ACTIONS(6912), 1,
      anon_sym_LBRACE,
    ACTIONS(6914), 1,
      aux_sym__qid_token1,
    ACTIONS(6916), 1,
      anon_sym_DOT,
    ACTIONS(6920), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6922), 1,
      anon_sym_u2987,
    ACTIONS(6924), 1,
      aux_sym_integer_token1,
    ACTIONS(6926), 1,
      aux_sym_literal_token1,
    ACTIONS(6928), 1,
      anon_sym_Set,
    STATE(6884), 1,
      sym_atom,
    STATE(6876), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6874), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6902), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [569777] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 27,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [569820] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9282), 1,
      sym_id,
    ACTIONS(9284), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9288), 1,
      anon_sym_record,
    ACTIONS(9290), 1,
      anon_sym_LPAREN,
    ACTIONS(9292), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9294), 1,
      anon_sym_u2983,
    ACTIONS(9296), 1,
      anon_sym_LBRACE,
    ACTIONS(9298), 1,
      aux_sym__qid_token1,
    ACTIONS(9300), 1,
      anon_sym_DOT,
    ACTIONS(9304), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9306), 1,
      anon_sym_u2987,
    ACTIONS(9308), 1,
      aux_sym_integer_token1,
    ACTIONS(9310), 1,
      aux_sym_literal_token1,
    ACTIONS(9312), 1,
      anon_sym_Set,
    STATE(7529), 1,
      sym_atom,
    STATE(7524), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7523), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9286), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [569895] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3264), 1,
      sym_id,
    ACTIONS(3274), 1,
      anon_sym_record,
    ACTIONS(3284), 1,
      aux_sym__qid_token1,
    ACTIONS(3294), 1,
      anon_sym_u2987,
    ACTIONS(3298), 1,
      aux_sym_integer_token1,
    ACTIONS(3300), 1,
      anon_sym_Set,
    ACTIONS(4422), 1,
      anon_sym_DOT,
    ACTIONS(12085), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12089), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12091), 1,
      aux_sym_literal_token1,
    ACTIONS(12319), 1,
      anon_sym_LPAREN,
    ACTIONS(12321), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12323), 1,
      anon_sym_u2983,
    ACTIONS(12325), 1,
      anon_sym_LBRACE,
    STATE(4336), 1,
      sym_atom,
    STATE(4335), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4334), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3272), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [569970] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7383), 1,
      sym_id,
    ACTIONS(7385), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7389), 1,
      anon_sym_record,
    ACTIONS(7391), 1,
      anon_sym_LPAREN,
    ACTIONS(7393), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7395), 1,
      anon_sym_u2983,
    ACTIONS(7397), 1,
      anon_sym_LBRACE,
    ACTIONS(7399), 1,
      aux_sym__qid_token1,
    ACTIONS(7401), 1,
      anon_sym_DOT,
    ACTIONS(7405), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7407), 1,
      anon_sym_u2987,
    ACTIONS(7409), 1,
      aux_sym_integer_token1,
    ACTIONS(7411), 1,
      aux_sym_literal_token1,
    ACTIONS(7413), 1,
      anon_sym_Set,
    STATE(7172), 1,
      sym_atom,
    STATE(7131), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7150), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7387), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [570045] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(894), 1,
      sym_id,
    ACTIONS(904), 1,
      anon_sym_record,
    ACTIONS(916), 1,
      aux_sym__qid_token1,
    ACTIONS(926), 1,
      anon_sym_u2987,
    ACTIONS(930), 1,
      aux_sym_integer_token1,
    ACTIONS(932), 1,
      anon_sym_Set,
    ACTIONS(4846), 1,
      anon_sym_LPAREN,
    ACTIONS(4850), 1,
      anon_sym_u2983,
    ACTIONS(4852), 1,
      anon_sym_LBRACE,
    ACTIONS(4854), 1,
      anon_sym_DOT,
    ACTIONS(12327), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12329), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12331), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12333), 1,
      aux_sym_literal_token1,
    STATE(5099), 1,
      sym_atom,
    STATE(5081), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5079), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(902), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [570120] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3552), 1,
      sym_id,
    ACTIONS(3562), 1,
      anon_sym_record,
    ACTIONS(3572), 1,
      aux_sym__qid_token1,
    ACTIONS(3582), 1,
      anon_sym_u2987,
    ACTIONS(3586), 1,
      aux_sym_integer_token1,
    ACTIONS(3588), 1,
      anon_sym_Set,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_u2983,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(4536), 1,
      anon_sym_DOT,
    ACTIONS(12181), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12183), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12185), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12187), 1,
      aux_sym_literal_token1,
    STATE(4132), 1,
      sym_atom,
    STATE(4127), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4126), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3560), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [570195] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(950), 1,
      sym_id,
    ACTIONS(960), 1,
      anon_sym_record,
    ACTIONS(970), 1,
      aux_sym__qid_token1,
    ACTIONS(980), 1,
      anon_sym_u2987,
    ACTIONS(984), 1,
      aux_sym_integer_token1,
    ACTIONS(986), 1,
      anon_sym_Set,
    ACTIONS(4780), 1,
      anon_sym_LPAREN,
    ACTIONS(4784), 1,
      anon_sym_u2983,
    ACTIONS(4786), 1,
      anon_sym_LBRACE,
    ACTIONS(4788), 1,
      anon_sym_DOT,
    ACTIONS(11477), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11479), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11481), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11483), 1,
      aux_sym_literal_token1,
    STATE(5034), 1,
      sym_atom,
    STATE(5006), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5025), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(958), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [570270] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9395), 1,
      sym_id,
    ACTIONS(9397), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9401), 1,
      anon_sym_record,
    ACTIONS(9403), 1,
      anon_sym_LPAREN,
    ACTIONS(9405), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9407), 1,
      anon_sym_u2983,
    ACTIONS(9409), 1,
      anon_sym_LBRACE,
    ACTIONS(9411), 1,
      aux_sym__qid_token1,
    ACTIONS(9413), 1,
      anon_sym_DOT,
    ACTIONS(9417), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9419), 1,
      anon_sym_u2987,
    ACTIONS(9421), 1,
      aux_sym_integer_token1,
    ACTIONS(9423), 1,
      aux_sym_literal_token1,
    ACTIONS(9425), 1,
      anon_sym_Set,
    STATE(7545), 1,
      sym_atom,
    STATE(7540), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7539), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9399), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [570345] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2142), 1,
      anon_sym_record,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2148), 1,
      anon_sym_u2983,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(2162), 1,
      anon_sym_u2987,
    ACTIONS(2164), 1,
      aux_sym_integer_token1,
    ACTIONS(2166), 1,
      anon_sym_Set,
    ACTIONS(6228), 1,
      sym_id,
    ACTIONS(6230), 1,
      aux_sym__qid_token1,
    ACTIONS(11777), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11779), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11781), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11783), 1,
      aux_sym_literal_token1,
    STATE(6631), 1,
      sym_atom,
    STATE(6630), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6628), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2140), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [570420] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [570461] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3334), 1,
      sym_id,
    ACTIONS(3344), 1,
      anon_sym_record,
    ACTIONS(3354), 1,
      aux_sym__qid_token1,
    ACTIONS(3364), 1,
      anon_sym_u2987,
    ACTIONS(3368), 1,
      aux_sym_integer_token1,
    ACTIONS(3370), 1,
      anon_sym_Set,
    ACTIONS(4438), 1,
      anon_sym_DOT,
    ACTIONS(12109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12113), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12115), 1,
      aux_sym_literal_token1,
    ACTIONS(12335), 1,
      anon_sym_LPAREN,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12339), 1,
      anon_sym_u2983,
    ACTIONS(12341), 1,
      anon_sym_LBRACE,
    STATE(4356), 1,
      sym_atom,
    STATE(4355), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4354), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3342), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [570536] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5742), 1,
      sym_id,
    ACTIONS(5746), 1,
      anon_sym_record,
    ACTIONS(5748), 1,
      anon_sym_LPAREN,
    ACTIONS(5752), 1,
      anon_sym_u2983,
    ACTIONS(5754), 1,
      anon_sym_LBRACE,
    ACTIONS(5756), 1,
      aux_sym__qid_token1,
    ACTIONS(5758), 1,
      anon_sym_DOT,
    ACTIONS(5762), 1,
      anon_sym_u2987,
    ACTIONS(5764), 1,
      aux_sym_integer_token1,
    ACTIONS(5766), 1,
      anon_sym_Set,
    ACTIONS(11707), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11709), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11711), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11713), 1,
      aux_sym_literal_token1,
    STATE(4843), 1,
      sym_atom,
    STATE(4758), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4732), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5744), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [570611] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [570652] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9429), 1,
      sym_id,
    ACTIONS(9431), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9435), 1,
      anon_sym_record,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    ACTIONS(9439), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9441), 1,
      anon_sym_u2983,
    ACTIONS(9443), 1,
      anon_sym_LBRACE,
    ACTIONS(9445), 1,
      aux_sym__qid_token1,
    ACTIONS(9447), 1,
      anon_sym_DOT,
    ACTIONS(9451), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9453), 1,
      anon_sym_u2987,
    ACTIONS(9455), 1,
      aux_sym_integer_token1,
    ACTIONS(9457), 1,
      aux_sym_literal_token1,
    ACTIONS(9459), 1,
      anon_sym_Set,
    STATE(7390), 1,
      sym_atom,
    STATE(7367), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7361), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9433), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [570727] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3750), 1,
      sym_id,
    ACTIONS(3760), 1,
      anon_sym_record,
    ACTIONS(3770), 1,
      aux_sym__qid_token1,
    ACTIONS(3780), 1,
      anon_sym_u2987,
    ACTIONS(3784), 1,
      aux_sym_integer_token1,
    ACTIONS(3786), 1,
      anon_sym_Set,
    ACTIONS(4564), 1,
      anon_sym_LPAREN,
    ACTIONS(4568), 1,
      anon_sym_u2983,
    ACTIONS(4570), 1,
      anon_sym_LBRACE,
    ACTIONS(4572), 1,
      anon_sym_DOT,
    ACTIONS(12197), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12199), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12201), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12203), 1,
      aux_sym_literal_token1,
    STATE(4143), 1,
      sym_atom,
    STATE(4138), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4137), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3758), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [570802] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6439), 1,
      sym_id,
    ACTIONS(6441), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6445), 1,
      anon_sym_record,
    ACTIONS(6447), 1,
      anon_sym_LPAREN,
    ACTIONS(6449), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6451), 1,
      anon_sym_u2983,
    ACTIONS(6453), 1,
      anon_sym_LBRACE,
    ACTIONS(6455), 1,
      aux_sym__qid_token1,
    ACTIONS(6457), 1,
      anon_sym_DOT,
    ACTIONS(6461), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6463), 1,
      anon_sym_u2987,
    ACTIONS(6465), 1,
      aux_sym_integer_token1,
    ACTIONS(6467), 1,
      aux_sym_literal_token1,
    ACTIONS(6469), 1,
      anon_sym_Set,
    STATE(6838), 1,
      sym_atom,
    STATE(6821), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6443), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [570877] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1980), 1,
      sym_id,
    ACTIONS(1992), 1,
      anon_sym_record,
    ACTIONS(1994), 1,
      anon_sym_LPAREN,
    ACTIONS(1998), 1,
      anon_sym_u2983,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(2002), 1,
      aux_sym__qid_token1,
    ACTIONS(2004), 1,
      anon_sym_DOT,
    ACTIONS(2012), 1,
      anon_sym_u2987,
    ACTIONS(2016), 1,
      aux_sym_integer_token1,
    ACTIONS(2018), 1,
      anon_sym_Set,
    ACTIONS(12343), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12345), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12347), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12349), 1,
      aux_sym_literal_token1,
    STATE(5071), 1,
      sym_atom,
    STATE(5060), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5058), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1990), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [570952] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9314), 1,
      sym_id,
    ACTIONS(9316), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9320), 1,
      anon_sym_record,
    ACTIONS(9322), 1,
      anon_sym_LPAREN,
    ACTIONS(9324), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9326), 1,
      anon_sym_u2983,
    ACTIONS(9328), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      aux_sym__qid_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    ACTIONS(9336), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9338), 1,
      anon_sym_u2987,
    ACTIONS(9340), 1,
      aux_sym_integer_token1,
    ACTIONS(9342), 1,
      aux_sym_literal_token1,
    ACTIONS(9344), 1,
      anon_sym_Set,
    STATE(7495), 1,
      sym_atom,
    STATE(7494), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7493), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9318), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [571027] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3618), 1,
      sym_id,
    ACTIONS(3628), 1,
      anon_sym_record,
    ACTIONS(3638), 1,
      aux_sym__qid_token1,
    ACTIONS(3648), 1,
      anon_sym_u2987,
    ACTIONS(3652), 1,
      aux_sym_integer_token1,
    ACTIONS(3654), 1,
      anon_sym_Set,
    ACTIONS(4576), 1,
      anon_sym_LPAREN,
    ACTIONS(4580), 1,
      anon_sym_u2983,
    ACTIONS(4582), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(12205), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12207), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12209), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12211), 1,
      aux_sym_literal_token1,
    STATE(4063), 1,
      sym_atom,
    STATE(4101), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4115), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3626), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [571102] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2096), 1,
      sym_id,
    ACTIONS(2106), 1,
      anon_sym_record,
    ACTIONS(2116), 1,
      aux_sym__qid_token1,
    ACTIONS(2126), 1,
      anon_sym_u2987,
    ACTIONS(2130), 1,
      aux_sym_integer_token1,
    ACTIONS(2132), 1,
      anon_sym_Set,
    ACTIONS(4774), 1,
      anon_sym_DOT,
    ACTIONS(11503), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11507), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11509), 1,
      aux_sym_literal_token1,
    ACTIONS(12351), 1,
      anon_sym_LPAREN,
    ACTIONS(12353), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12355), 1,
      anon_sym_u2983,
    ACTIONS(12357), 1,
      anon_sym_LBRACE,
    STATE(4824), 1,
      sym_atom,
    STATE(4823), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4822), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2104), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [571177] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [571218] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5282), 1,
      sym_id,
    ACTIONS(5286), 1,
      anon_sym_record,
    ACTIONS(5288), 1,
      anon_sym_LPAREN,
    ACTIONS(5292), 1,
      anon_sym_u2983,
    ACTIONS(5294), 1,
      anon_sym_LBRACE,
    ACTIONS(5296), 1,
      aux_sym__qid_token1,
    ACTIONS(5298), 1,
      anon_sym_DOT,
    ACTIONS(5302), 1,
      anon_sym_u2987,
    ACTIONS(5304), 1,
      aux_sym_integer_token1,
    ACTIONS(5306), 1,
      anon_sym_Set,
    ACTIONS(12053), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12055), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12057), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12059), 1,
      aux_sym_literal_token1,
    STATE(5618), 1,
      sym_atom,
    STATE(5609), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5427), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5284), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [571293] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6360), 1,
      sym_id,
    ACTIONS(6364), 1,
      anon_sym_record,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6370), 1,
      anon_sym_u2983,
    ACTIONS(6372), 1,
      anon_sym_LBRACE,
    ACTIONS(6374), 1,
      aux_sym__qid_token1,
    ACTIONS(6376), 1,
      anon_sym_DOT,
    ACTIONS(6380), 1,
      anon_sym_u2987,
    ACTIONS(6382), 1,
      aux_sym_integer_token1,
    ACTIONS(6384), 1,
      anon_sym_Set,
    ACTIONS(12359), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12361), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12363), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12365), 1,
      aux_sym_literal_token1,
    STATE(6150), 1,
      sym_atom,
    STATE(6144), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6142), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6362), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [571368] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5144), 1,
      sym_id,
    ACTIONS(5148), 1,
      anon_sym_record,
    ACTIONS(5150), 1,
      anon_sym_LPAREN,
    ACTIONS(5154), 1,
      anon_sym_u2983,
    ACTIONS(5156), 1,
      anon_sym_LBRACE,
    ACTIONS(5158), 1,
      aux_sym__qid_token1,
    ACTIONS(5160), 1,
      anon_sym_DOT,
    ACTIONS(5164), 1,
      anon_sym_u2987,
    ACTIONS(5166), 1,
      aux_sym_integer_token1,
    ACTIONS(5168), 1,
      anon_sym_Set,
    ACTIONS(12061), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12063), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12065), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12067), 1,
      aux_sym_literal_token1,
    STATE(6137), 1,
      sym_atom,
    STATE(6132), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6130), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5146), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [571443] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym_id,
    ACTIONS(5850), 1,
      anon_sym_record,
    ACTIONS(5852), 1,
      anon_sym_LPAREN,
    ACTIONS(5856), 1,
      anon_sym_u2983,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(5860), 1,
      aux_sym__qid_token1,
    ACTIONS(5862), 1,
      anon_sym_DOT,
    ACTIONS(5866), 1,
      anon_sym_u2987,
    ACTIONS(5868), 1,
      aux_sym_integer_token1,
    ACTIONS(5870), 1,
      anon_sym_Set,
    ACTIONS(12077), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12079), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12081), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12083), 1,
      aux_sym_literal_token1,
    STATE(4966), 1,
      sym_atom,
    STATE(4954), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5345), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5848), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [571518] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10748), 1,
      sym_id,
    ACTIONS(10750), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10754), 1,
      anon_sym_record,
    ACTIONS(10756), 1,
      anon_sym_LPAREN,
    ACTIONS(10758), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10760), 1,
      anon_sym_u2983,
    ACTIONS(10762), 1,
      anon_sym_LBRACE,
    ACTIONS(10764), 1,
      aux_sym__qid_token1,
    ACTIONS(10766), 1,
      anon_sym_DOT,
    ACTIONS(10770), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10772), 1,
      anon_sym_u2987,
    ACTIONS(10774), 1,
      aux_sym_integer_token1,
    ACTIONS(10776), 1,
      aux_sym_literal_token1,
    ACTIONS(10778), 1,
      anon_sym_Set,
    STATE(7789), 1,
      sym_atom,
    STATE(7778), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7776), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10752), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [571593] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7011), 1,
      sym_id,
    ACTIONS(7013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7017), 1,
      anon_sym_record,
    ACTIONS(7019), 1,
      anon_sym_LPAREN,
    ACTIONS(7021), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7023), 1,
      anon_sym_u2983,
    ACTIONS(7025), 1,
      anon_sym_LBRACE,
    ACTIONS(7027), 1,
      aux_sym__qid_token1,
    ACTIONS(7029), 1,
      anon_sym_DOT,
    ACTIONS(7033), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7035), 1,
      anon_sym_u2987,
    ACTIONS(7037), 1,
      aux_sym_integer_token1,
    ACTIONS(7039), 1,
      aux_sym_literal_token1,
    ACTIONS(7041), 1,
      anon_sym_Set,
    STATE(6904), 1,
      sym_atom,
    STATE(6887), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7015), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [571668] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6979), 1,
      sym_id,
    ACTIONS(6981), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6985), 1,
      anon_sym_record,
    ACTIONS(6987), 1,
      anon_sym_LPAREN,
    ACTIONS(6989), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6991), 1,
      anon_sym_u2983,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    ACTIONS(6995), 1,
      aux_sym__qid_token1,
    ACTIONS(6997), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7003), 1,
      anon_sym_u2987,
    ACTIONS(7005), 1,
      aux_sym_integer_token1,
    ACTIONS(7007), 1,
      aux_sym_literal_token1,
    ACTIONS(7009), 1,
      anon_sym_Set,
    STATE(7067), 1,
      sym_atom,
    STATE(6989), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7110), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6983), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [571743] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3372), 1,
      sym_id,
    ACTIONS(3382), 1,
      anon_sym_record,
    ACTIONS(3392), 1,
      aux_sym__qid_token1,
    ACTIONS(3402), 1,
      anon_sym_u2987,
    ACTIONS(3406), 1,
      aux_sym_integer_token1,
    ACTIONS(3408), 1,
      anon_sym_Set,
    ACTIONS(4466), 1,
      anon_sym_DOT,
    ACTIONS(12117), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12121), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12123), 1,
      aux_sym_literal_token1,
    ACTIONS(12367), 1,
      anon_sym_LPAREN,
    ACTIONS(12369), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12371), 1,
      anon_sym_u2983,
    ACTIONS(12373), 1,
      anon_sym_LBRACE,
    STATE(4239), 1,
      sym_atom,
    STATE(4238), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4236), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3380), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [571818] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5924), 1,
      sym_id,
    ACTIONS(5928), 1,
      anon_sym_record,
    ACTIONS(5930), 1,
      anon_sym_LPAREN,
    ACTIONS(5934), 1,
      anon_sym_u2983,
    ACTIONS(5936), 1,
      anon_sym_LBRACE,
    ACTIONS(5938), 1,
      aux_sym__qid_token1,
    ACTIONS(5940), 1,
      anon_sym_DOT,
    ACTIONS(5944), 1,
      anon_sym_u2987,
    ACTIONS(5946), 1,
      aux_sym_integer_token1,
    ACTIONS(5948), 1,
      anon_sym_Set,
    ACTIONS(12101), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12103), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12105), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12107), 1,
      aux_sym_literal_token1,
    STATE(4685), 1,
      sym_atom,
    STATE(4676), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4673), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5926), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [571893] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3060), 1,
      sym_id,
    ACTIONS(3068), 1,
      anon_sym_record,
    ACTIONS(3070), 1,
      anon_sym_LPAREN,
    ACTIONS(3074), 1,
      anon_sym_u2983,
    ACTIONS(3076), 1,
      anon_sym_LBRACE,
    ACTIONS(3078), 1,
      aux_sym__qid_token1,
    ACTIONS(3080), 1,
      anon_sym_DOT,
    ACTIONS(3086), 1,
      anon_sym_u2987,
    ACTIONS(3088), 1,
      aux_sym_integer_token1,
    ACTIONS(3090), 1,
      anon_sym_Set,
    ACTIONS(11623), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11625), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11627), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11629), 1,
      aux_sym_literal_token1,
    STATE(5566), 1,
      sym_atom,
    STATE(5561), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5558), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3066), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [571968] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3118), 1,
      sym_id,
    ACTIONS(3130), 1,
      anon_sym_record,
    ACTIONS(3132), 1,
      anon_sym_LPAREN,
    ACTIONS(3136), 1,
      anon_sym_u2983,
    ACTIONS(3138), 1,
      anon_sym_LBRACE,
    ACTIONS(3140), 1,
      aux_sym__qid_token1,
    ACTIONS(3142), 1,
      anon_sym_DOT,
    ACTIONS(3150), 1,
      anon_sym_u2987,
    ACTIONS(3154), 1,
      aux_sym_integer_token1,
    ACTIONS(3156), 1,
      anon_sym_Set,
    ACTIONS(11715), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11717), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11719), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11721), 1,
      aux_sym_literal_token1,
    STATE(5168), 1,
      sym_atom,
    STATE(5014), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4982), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3128), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [572043] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(894), 1,
      sym_id,
    ACTIONS(904), 1,
      anon_sym_record,
    ACTIONS(916), 1,
      aux_sym__qid_token1,
    ACTIONS(926), 1,
      anon_sym_u2987,
    ACTIONS(930), 1,
      aux_sym_integer_token1,
    ACTIONS(932), 1,
      anon_sym_Set,
    ACTIONS(4846), 1,
      anon_sym_LPAREN,
    ACTIONS(4850), 1,
      anon_sym_u2983,
    ACTIONS(4852), 1,
      anon_sym_LBRACE,
    ACTIONS(4854), 1,
      anon_sym_DOT,
    ACTIONS(12327), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12329), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12331), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12333), 1,
      aux_sym_literal_token1,
    STATE(5090), 1,
      sym_atom,
    STATE(5081), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5079), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(902), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [572118] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [572159] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2300), 1,
      sym_id,
    ACTIONS(2312), 1,
      anon_sym_record,
    ACTIONS(2314), 1,
      anon_sym_LPAREN,
    ACTIONS(2318), 1,
      anon_sym_u2983,
    ACTIONS(2320), 1,
      anon_sym_LBRACE,
    ACTIONS(2322), 1,
      aux_sym__qid_token1,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2332), 1,
      anon_sym_u2987,
    ACTIONS(2336), 1,
      aux_sym_integer_token1,
    ACTIONS(2338), 1,
      anon_sym_Set,
    ACTIONS(12375), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12377), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12379), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12381), 1,
      aux_sym_literal_token1,
    STATE(5653), 1,
      sym_atom,
    STATE(5629), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5626), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2310), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [572234] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [572275] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [572316] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [572357] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5954), 1,
      sym_id,
    ACTIONS(5958), 1,
      anon_sym_record,
    ACTIONS(5960), 1,
      anon_sym_LPAREN,
    ACTIONS(5964), 1,
      anon_sym_u2983,
    ACTIONS(5966), 1,
      anon_sym_LBRACE,
    ACTIONS(5968), 1,
      aux_sym__qid_token1,
    ACTIONS(5970), 1,
      anon_sym_DOT,
    ACTIONS(5974), 1,
      anon_sym_u2987,
    ACTIONS(5976), 1,
      aux_sym_integer_token1,
    ACTIONS(5978), 1,
      anon_sym_Set,
    ACTIONS(12125), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12127), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12129), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12131), 1,
      aux_sym_literal_token1,
    STATE(4620), 1,
      sym_atom,
    STATE(4561), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4526), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5956), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [572432] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [572473] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [572514] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [572555] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [572596] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [572637] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [572678] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [572719] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6008), 1,
      sym_id,
    ACTIONS(6012), 1,
      anon_sym_record,
    ACTIONS(6014), 1,
      anon_sym_LPAREN,
    ACTIONS(6018), 1,
      anon_sym_u2983,
    ACTIONS(6020), 1,
      anon_sym_LBRACE,
    ACTIONS(6022), 1,
      aux_sym__qid_token1,
    ACTIONS(6024), 1,
      anon_sym_DOT,
    ACTIONS(6028), 1,
      anon_sym_u2987,
    ACTIONS(6030), 1,
      aux_sym_integer_token1,
    ACTIONS(6032), 1,
      anon_sym_Set,
    ACTIONS(12141), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12143), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12145), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12147), 1,
      aux_sym_literal_token1,
    STATE(5862), 1,
      sym_atom,
    STATE(5967), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5840), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6010), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [572794] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3410), 1,
      sym_id,
    ACTIONS(3420), 1,
      anon_sym_record,
    ACTIONS(3430), 1,
      aux_sym__qid_token1,
    ACTIONS(3440), 1,
      anon_sym_u2987,
    ACTIONS(3444), 1,
      aux_sym_integer_token1,
    ACTIONS(3446), 1,
      anon_sym_Set,
    ACTIONS(4480), 1,
      anon_sym_DOT,
    ACTIONS(12133), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12137), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12139), 1,
      aux_sym_literal_token1,
    ACTIONS(12383), 1,
      anon_sym_LPAREN,
    ACTIONS(12385), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12387), 1,
      anon_sym_u2983,
    ACTIONS(12389), 1,
      anon_sym_LBRACE,
    STATE(5180), 1,
      sym_atom,
    STATE(5177), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5173), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3418), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [572869] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8070), 1,
      sym_id,
    ACTIONS(8072), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8076), 1,
      anon_sym_record,
    ACTIONS(8078), 1,
      anon_sym_LPAREN,
    ACTIONS(8080), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8082), 1,
      anon_sym_u2983,
    ACTIONS(8084), 1,
      anon_sym_LBRACE,
    ACTIONS(8086), 1,
      aux_sym__qid_token1,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8094), 1,
      anon_sym_u2987,
    ACTIONS(8096), 1,
      aux_sym_integer_token1,
    ACTIONS(8098), 1,
      aux_sym_literal_token1,
    ACTIONS(8100), 1,
      anon_sym_Set,
    STATE(7203), 1,
      sym_atom,
    STATE(7189), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7185), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8074), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [572944] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [572985] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3684), 1,
      sym_id,
    ACTIONS(3694), 1,
      anon_sym_record,
    ACTIONS(3704), 1,
      aux_sym__qid_token1,
    ACTIONS(3714), 1,
      anon_sym_u2987,
    ACTIONS(3718), 1,
      aux_sym_integer_token1,
    ACTIONS(3720), 1,
      anon_sym_Set,
    ACTIONS(4590), 1,
      anon_sym_LPAREN,
    ACTIONS(4594), 1,
      anon_sym_u2983,
    ACTIONS(4596), 1,
      anon_sym_LBRACE,
    ACTIONS(4598), 1,
      anon_sym_DOT,
    ACTIONS(12245), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12247), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12249), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12251), 1,
      aux_sym_literal_token1,
    STATE(4542), 1,
      sym_atom,
    STATE(4471), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4437), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3692), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [573060] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [573101] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6038), 1,
      sym_id,
    ACTIONS(6042), 1,
      anon_sym_record,
    ACTIONS(6044), 1,
      anon_sym_LPAREN,
    ACTIONS(6048), 1,
      anon_sym_u2983,
    ACTIONS(6050), 1,
      anon_sym_LBRACE,
    ACTIONS(6052), 1,
      aux_sym__qid_token1,
    ACTIONS(6054), 1,
      anon_sym_DOT,
    ACTIONS(6058), 1,
      anon_sym_u2987,
    ACTIONS(6060), 1,
      aux_sym_integer_token1,
    ACTIONS(6062), 1,
      anon_sym_Set,
    ACTIONS(12157), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12159), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12161), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12163), 1,
      aux_sym_literal_token1,
    STATE(5392), 1,
      sym_atom,
    STATE(5519), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5694), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6040), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [573176] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2468), 1,
      sym_id,
    ACTIONS(2472), 1,
      anon_sym_record,
    ACTIONS(2474), 1,
      anon_sym_LPAREN,
    ACTIONS(2478), 1,
      anon_sym_u2983,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    ACTIONS(2482), 1,
      aux_sym__qid_token1,
    ACTIONS(2484), 1,
      anon_sym_DOT,
    ACTIONS(2488), 1,
      anon_sym_u2987,
    ACTIONS(2490), 1,
      aux_sym_integer_token1,
    ACTIONS(2492), 1,
      anon_sym_Set,
    ACTIONS(12391), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12393), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12395), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12397), 1,
      aux_sym_literal_token1,
    STATE(5438), 1,
      sym_atom,
    STATE(5429), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5422), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2470), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [573251] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1202), 1,
      aux_sym_integer_token1,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(4836), 1,
      anon_sym_LPAREN,
    ACTIONS(4840), 1,
      anon_sym_u2983,
    ACTIONS(4842), 1,
      anon_sym_LBRACE,
    ACTIONS(4844), 1,
      anon_sym_DOT,
    ACTIONS(12399), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12401), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12403), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12405), 1,
      aux_sym_literal_token1,
    STATE(5266), 1,
      sym_atom,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1174), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [573326] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6116), 1,
      sym_id,
    ACTIONS(6120), 1,
      anon_sym_record,
    ACTIONS(6122), 1,
      anon_sym_LPAREN,
    ACTIONS(6126), 1,
      anon_sym_u2983,
    ACTIONS(6128), 1,
      anon_sym_LBRACE,
    ACTIONS(6130), 1,
      aux_sym__qid_token1,
    ACTIONS(6132), 1,
      anon_sym_DOT,
    ACTIONS(6136), 1,
      anon_sym_u2987,
    ACTIONS(6138), 1,
      aux_sym_integer_token1,
    ACTIONS(6140), 1,
      anon_sym_Set,
    ACTIONS(12173), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12175), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12177), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12179), 1,
      aux_sym_literal_token1,
    STATE(4885), 1,
      sym_atom,
    STATE(4756), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4743), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6118), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [573401] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6144), 1,
      sym_id,
    ACTIONS(6148), 1,
      anon_sym_record,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6154), 1,
      anon_sym_u2983,
    ACTIONS(6156), 1,
      anon_sym_LBRACE,
    ACTIONS(6158), 1,
      aux_sym__qid_token1,
    ACTIONS(6160), 1,
      anon_sym_DOT,
    ACTIONS(6164), 1,
      anon_sym_u2987,
    ACTIONS(6166), 1,
      aux_sym_integer_token1,
    ACTIONS(6168), 1,
      anon_sym_Set,
    ACTIONS(12189), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12191), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12193), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12195), 1,
      aux_sym_literal_token1,
    STATE(4474), 1,
      sym_atom,
    STATE(4432), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4622), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6146), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [573476] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6196), 1,
      sym_id,
    ACTIONS(6200), 1,
      anon_sym_record,
    ACTIONS(6202), 1,
      anon_sym_LPAREN,
    ACTIONS(6206), 1,
      anon_sym_u2983,
    ACTIONS(6208), 1,
      anon_sym_LBRACE,
    ACTIONS(6210), 1,
      aux_sym__qid_token1,
    ACTIONS(6212), 1,
      anon_sym_DOT,
    ACTIONS(6216), 1,
      anon_sym_u2987,
    ACTIONS(6218), 1,
      aux_sym_integer_token1,
    ACTIONS(6220), 1,
      anon_sym_Set,
    ACTIONS(12213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12215), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12217), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12219), 1,
      aux_sym_literal_token1,
    STATE(4390), 1,
      sym_atom,
    STATE(4379), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4376), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6198), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [573551] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10355), 1,
      sym_id,
    ACTIONS(10357), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10361), 1,
      anon_sym_record,
    ACTIONS(10363), 1,
      anon_sym_LPAREN,
    ACTIONS(10365), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10367), 1,
      anon_sym_u2983,
    ACTIONS(10369), 1,
      anon_sym_LBRACE,
    ACTIONS(10371), 1,
      aux_sym__qid_token1,
    ACTIONS(10373), 1,
      anon_sym_DOT,
    ACTIONS(10377), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10379), 1,
      anon_sym_u2987,
    ACTIONS(10381), 1,
      aux_sym_integer_token1,
    ACTIONS(10383), 1,
      aux_sym_literal_token1,
    ACTIONS(10385), 1,
      anon_sym_Set,
    STATE(7717), 1,
      sym_atom,
    STATE(7699), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7698), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10359), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [573626] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5366), 1,
      sym_id,
    ACTIONS(5370), 1,
      anon_sym_record,
    ACTIONS(5372), 1,
      anon_sym_LPAREN,
    ACTIONS(5376), 1,
      anon_sym_u2983,
    ACTIONS(5378), 1,
      anon_sym_LBRACE,
    ACTIONS(5380), 1,
      aux_sym__qid_token1,
    ACTIONS(5382), 1,
      anon_sym_DOT,
    ACTIONS(5386), 1,
      anon_sym_u2987,
    ACTIONS(5388), 1,
      aux_sym_integer_token1,
    ACTIONS(5390), 1,
      anon_sym_Set,
    ACTIONS(12221), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12223), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12225), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12227), 1,
      aux_sym_literal_token1,
    STATE(6177), 1,
      sym_atom,
    STATE(6172), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6171), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5368), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [573701] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5872), 1,
      sym_id,
    ACTIONS(5876), 1,
      anon_sym_record,
    ACTIONS(5878), 1,
      anon_sym_LPAREN,
    ACTIONS(5882), 1,
      anon_sym_u2983,
    ACTIONS(5884), 1,
      anon_sym_LBRACE,
    ACTIONS(5886), 1,
      aux_sym__qid_token1,
    ACTIONS(5888), 1,
      anon_sym_DOT,
    ACTIONS(5892), 1,
      anon_sym_u2987,
    ACTIONS(5894), 1,
      aux_sym_integer_token1,
    ACTIONS(5896), 1,
      anon_sym_Set,
    ACTIONS(12407), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12409), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12411), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12413), 1,
      aux_sym_literal_token1,
    STATE(6193), 1,
      sym_atom,
    STATE(6188), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6187), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5874), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [573776] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym_id,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2796), 1,
      anon_sym_LPAREN,
    ACTIONS(2800), 1,
      anon_sym_u2983,
    ACTIONS(2802), 1,
      anon_sym_LBRACE,
    ACTIONS(2804), 1,
      aux_sym__qid_token1,
    ACTIONS(2806), 1,
      anon_sym_DOT,
    ACTIONS(2814), 1,
      anon_sym_u2987,
    ACTIONS(2818), 1,
      aux_sym_integer_token1,
    ACTIONS(2820), 1,
      anon_sym_Set,
    ACTIONS(11723), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11725), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11727), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11729), 1,
      aux_sym_literal_token1,
    STATE(5861), 1,
      sym_atom,
    STATE(5759), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5968), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2792), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [573851] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9282), 1,
      sym_id,
    ACTIONS(9284), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9288), 1,
      anon_sym_record,
    ACTIONS(9290), 1,
      anon_sym_LPAREN,
    ACTIONS(9292), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9294), 1,
      anon_sym_u2983,
    ACTIONS(9296), 1,
      anon_sym_LBRACE,
    ACTIONS(9298), 1,
      aux_sym__qid_token1,
    ACTIONS(9300), 1,
      anon_sym_DOT,
    ACTIONS(9304), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9306), 1,
      anon_sym_u2987,
    ACTIONS(9308), 1,
      aux_sym_integer_token1,
    ACTIONS(9310), 1,
      aux_sym_literal_token1,
    ACTIONS(9312), 1,
      anon_sym_Set,
    STATE(7525), 1,
      sym_atom,
    STATE(7524), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7523), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9286), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [573926] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5638), 1,
      sym_id,
    ACTIONS(5642), 1,
      anon_sym_record,
    ACTIONS(5644), 1,
      anon_sym_LPAREN,
    ACTIONS(5648), 1,
      anon_sym_u2983,
    ACTIONS(5650), 1,
      anon_sym_LBRACE,
    ACTIONS(5652), 1,
      aux_sym__qid_token1,
    ACTIONS(5654), 1,
      anon_sym_DOT,
    ACTIONS(5658), 1,
      anon_sym_u2987,
    ACTIONS(5660), 1,
      aux_sym_integer_token1,
    ACTIONS(5662), 1,
      anon_sym_Set,
    ACTIONS(12229), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12231), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12233), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12235), 1,
      aux_sym_literal_token1,
    STATE(5925), 1,
      sym_atom,
    STATE(5971), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5941), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5640), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [574001] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2908), 1,
      sym_id,
    ACTIONS(2914), 1,
      anon_sym_record,
    ACTIONS(2916), 1,
      anon_sym_LPAREN,
    ACTIONS(2920), 1,
      anon_sym_u2983,
    ACTIONS(2922), 1,
      anon_sym_LBRACE,
    ACTIONS(2924), 1,
      aux_sym__qid_token1,
    ACTIONS(2926), 1,
      anon_sym_DOT,
    ACTIONS(2930), 1,
      anon_sym_u2987,
    ACTIONS(2932), 1,
      aux_sym_integer_token1,
    ACTIONS(2934), 1,
      anon_sym_Set,
    ACTIONS(11899), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11901), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11903), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11905), 1,
      aux_sym_literal_token1,
    STATE(4173), 1,
      sym_atom,
    STATE(4166), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4171), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2912), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [574076] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3448), 1,
      sym_id,
    ACTIONS(3458), 1,
      anon_sym_record,
    ACTIONS(3468), 1,
      aux_sym__qid_token1,
    ACTIONS(3478), 1,
      anon_sym_u2987,
    ACTIONS(3482), 1,
      aux_sym_integer_token1,
    ACTIONS(3484), 1,
      anon_sym_Set,
    ACTIONS(4506), 1,
      anon_sym_DOT,
    ACTIONS(12149), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12153), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12155), 1,
      aux_sym_literal_token1,
    ACTIONS(12415), 1,
      anon_sym_LPAREN,
    ACTIONS(12417), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12419), 1,
      anon_sym_u2983,
    ACTIONS(12421), 1,
      anon_sym_LBRACE,
    STATE(4625), 1,
      sym_atom,
    STATE(4904), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3456), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [574151] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7648), 1,
      sym_id,
    ACTIONS(7652), 1,
      anon_sym_record,
    ACTIONS(7654), 1,
      anon_sym_LPAREN,
    ACTIONS(7658), 1,
      anon_sym_u2983,
    ACTIONS(7660), 1,
      anon_sym_LBRACE,
    ACTIONS(7662), 1,
      aux_sym__qid_token1,
    ACTIONS(7664), 1,
      anon_sym_DOT,
    ACTIONS(7668), 1,
      anon_sym_u2987,
    ACTIONS(7670), 1,
      aux_sym_integer_token1,
    ACTIONS(7672), 1,
      anon_sym_Set,
    ACTIONS(11739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11741), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11743), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11745), 1,
      aux_sym_literal_token1,
    STATE(6865), 1,
      sym_atom,
    STATE(6950), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6868), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7650), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [574226] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2494), 1,
      sym_id,
    ACTIONS(2498), 1,
      anon_sym_record,
    ACTIONS(2508), 1,
      aux_sym__qid_token1,
    ACTIONS(2514), 1,
      anon_sym_u2987,
    ACTIONS(2516), 1,
      aux_sym_integer_token1,
    ACTIONS(2518), 1,
      anon_sym_Set,
    ACTIONS(4896), 1,
      anon_sym_DOT,
    ACTIONS(11891), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11895), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11897), 1,
      aux_sym_literal_token1,
    ACTIONS(12423), 1,
      anon_sym_LPAREN,
    ACTIONS(12425), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12427), 1,
      anon_sym_u2983,
    ACTIONS(12429), 1,
      anon_sym_LBRACE,
    STATE(5234), 1,
      sym_atom,
    STATE(5233), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5229), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2496), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [574301] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2664), 1,
      sym_id,
    ACTIONS(2668), 1,
      anon_sym_record,
    ACTIONS(2678), 1,
      aux_sym__qid_token1,
    ACTIONS(2684), 1,
      anon_sym_u2987,
    ACTIONS(2686), 1,
      aux_sym_integer_token1,
    ACTIONS(2688), 1,
      anon_sym_Set,
    ACTIONS(4884), 1,
      anon_sym_DOT,
    ACTIONS(11925), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11929), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11931), 1,
      aux_sym_literal_token1,
    ACTIONS(12431), 1,
      anon_sym_LPAREN,
    ACTIONS(12433), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12435), 1,
      anon_sym_u2983,
    ACTIONS(12437), 1,
      anon_sym_LBRACE,
    STATE(4054), 1,
      sym_atom,
    STATE(4053), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4075), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2666), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [574376] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5716), 1,
      sym_id,
    ACTIONS(5720), 1,
      anon_sym_record,
    ACTIONS(5722), 1,
      anon_sym_LPAREN,
    ACTIONS(5726), 1,
      anon_sym_u2983,
    ACTIONS(5728), 1,
      anon_sym_LBRACE,
    ACTIONS(5730), 1,
      aux_sym__qid_token1,
    ACTIONS(5732), 1,
      anon_sym_DOT,
    ACTIONS(5736), 1,
      anon_sym_u2987,
    ACTIONS(5738), 1,
      aux_sym_integer_token1,
    ACTIONS(5740), 1,
      anon_sym_Set,
    ACTIONS(12237), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12239), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12241), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12243), 1,
      aux_sym_literal_token1,
    STATE(5916), 1,
      sym_atom,
    STATE(5738), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5910), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5718), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [574451] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1980), 1,
      sym_id,
    ACTIONS(1992), 1,
      anon_sym_record,
    ACTIONS(1994), 1,
      anon_sym_LPAREN,
    ACTIONS(1998), 1,
      anon_sym_u2983,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(2002), 1,
      aux_sym__qid_token1,
    ACTIONS(2004), 1,
      anon_sym_DOT,
    ACTIONS(2012), 1,
      anon_sym_u2987,
    ACTIONS(2016), 1,
      aux_sym_integer_token1,
    ACTIONS(2018), 1,
      anon_sym_Set,
    ACTIONS(12343), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12345), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12347), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12349), 1,
      aux_sym_literal_token1,
    STATE(5064), 1,
      sym_atom,
    STATE(5060), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5058), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1990), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [574526] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5500), 1,
      sym_id,
    ACTIONS(5504), 1,
      anon_sym_record,
    ACTIONS(5506), 1,
      anon_sym_LPAREN,
    ACTIONS(5510), 1,
      anon_sym_u2983,
    ACTIONS(5512), 1,
      anon_sym_LBRACE,
    ACTIONS(5514), 1,
      aux_sym__qid_token1,
    ACTIONS(5516), 1,
      anon_sym_DOT,
    ACTIONS(5520), 1,
      anon_sym_u2987,
    ACTIONS(5522), 1,
      aux_sym_integer_token1,
    ACTIONS(5524), 1,
      anon_sym_Set,
    ACTIONS(12253), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12255), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12257), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12259), 1,
      aux_sym_literal_token1,
    STATE(5045), 1,
      sym_atom,
    STATE(5039), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5028), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5502), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [574601] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9705), 1,
      sym_id,
    ACTIONS(9707), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9711), 1,
      anon_sym_record,
    ACTIONS(9713), 1,
      anon_sym_LPAREN,
    ACTIONS(9715), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9717), 1,
      anon_sym_u2983,
    ACTIONS(9719), 1,
      anon_sym_LBRACE,
    ACTIONS(9721), 1,
      aux_sym__qid_token1,
    ACTIONS(9723), 1,
      anon_sym_DOT,
    ACTIONS(9727), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9729), 1,
      anon_sym_u2987,
    ACTIONS(9731), 1,
      aux_sym_integer_token1,
    ACTIONS(9733), 1,
      aux_sym_literal_token1,
    ACTIONS(9735), 1,
      anon_sym_Set,
    STATE(7646), 1,
      sym_atom,
    STATE(7640), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7639), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9709), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [574676] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [574717] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5308), 1,
      sym_id,
    ACTIONS(5312), 1,
      anon_sym_record,
    ACTIONS(5314), 1,
      anon_sym_LPAREN,
    ACTIONS(5318), 1,
      anon_sym_u2983,
    ACTIONS(5320), 1,
      anon_sym_LBRACE,
    ACTIONS(5322), 1,
      aux_sym__qid_token1,
    ACTIONS(5324), 1,
      anon_sym_DOT,
    ACTIONS(5328), 1,
      anon_sym_u2987,
    ACTIONS(5330), 1,
      aux_sym_integer_token1,
    ACTIONS(5332), 1,
      anon_sym_Set,
    ACTIONS(12439), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12441), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12443), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12445), 1,
      aux_sym_literal_token1,
    STATE(6164), 1,
      sym_atom,
    STATE(6159), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6158), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5310), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [574792] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1252), 1,
      aux_sym_integer_token1,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(4746), 1,
      anon_sym_DOT,
    ACTIONS(12447), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12449), 1,
      anon_sym_LPAREN,
    ACTIONS(12451), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12453), 1,
      anon_sym_u2983,
    ACTIONS(12455), 1,
      anon_sym_LBRACE,
    ACTIONS(12457), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12459), 1,
      aux_sym_literal_token1,
    STATE(5692), 1,
      sym_atom,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1226), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [574867] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2404), 1,
      sym_id,
    ACTIONS(2408), 1,
      anon_sym_record,
    ACTIONS(2418), 1,
      aux_sym__qid_token1,
    ACTIONS(2424), 1,
      anon_sym_u2987,
    ACTIONS(2426), 1,
      aux_sym_integer_token1,
    ACTIONS(2428), 1,
      anon_sym_Set,
    ACTIONS(4552), 1,
      anon_sym_LPAREN,
    ACTIONS(4556), 1,
      anon_sym_u2983,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4560), 1,
      anon_sym_DOT,
    ACTIONS(11631), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11633), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11635), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11637), 1,
      aux_sym_literal_token1,
    STATE(4225), 1,
      sym_atom,
    STATE(4220), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4219), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2406), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [574942] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1202), 1,
      aux_sym_integer_token1,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(4836), 1,
      anon_sym_LPAREN,
    ACTIONS(4840), 1,
      anon_sym_u2983,
    ACTIONS(4842), 1,
      anon_sym_LBRACE,
    ACTIONS(4844), 1,
      anon_sym_DOT,
    ACTIONS(12399), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12401), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12403), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12405), 1,
      aux_sym_literal_token1,
    STATE(5007), 1,
      sym_atom,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1174), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [575017] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2558), 1,
      sym_id,
    ACTIONS(2570), 1,
      anon_sym_record,
    ACTIONS(2572), 1,
      anon_sym_LPAREN,
    ACTIONS(2576), 1,
      anon_sym_u2983,
    ACTIONS(2578), 1,
      anon_sym_LBRACE,
    ACTIONS(2580), 1,
      aux_sym__qid_token1,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2590), 1,
      anon_sym_u2987,
    ACTIONS(2594), 1,
      aux_sym_integer_token1,
    ACTIONS(2596), 1,
      anon_sym_Set,
    ACTIONS(12461), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12463), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12465), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12467), 1,
      aux_sym_literal_token1,
    STATE(5369), 1,
      sym_atom,
    STATE(5359), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5727), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2568), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [575092] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1252), 1,
      aux_sym_integer_token1,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(4738), 1,
      anon_sym_LPAREN,
    ACTIONS(4742), 1,
      anon_sym_u2983,
    ACTIONS(4744), 1,
      anon_sym_LBRACE,
    ACTIONS(4746), 1,
      anon_sym_DOT,
    ACTIONS(12447), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12457), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12459), 1,
      aux_sym_literal_token1,
    ACTIONS(12469), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(5537), 1,
      sym_atom,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1226), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [575167] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(105), 1,
      sym_id,
    ACTIONS(125), 1,
      anon_sym_LPAREN,
    ACTIONS(129), 1,
      anon_sym_u2983,
    ACTIONS(135), 1,
      anon_sym_LBRACE,
    ACTIONS(143), 1,
      aux_sym__qid_token1,
    ACTIONS(145), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_u2987,
    ACTIONS(157), 1,
      aux_sym_integer_token1,
    ACTIONS(159), 1,
      anon_sym_Set,
    ACTIONS(4248), 1,
      anon_sym_record,
    ACTIONS(12471), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12473), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12475), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12477), 1,
      aux_sym_literal_token1,
    STATE(4318), 1,
      sym_atom,
    STATE(4306), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4312), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(113), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [575242] = 3,
    ACTIONS(12481), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(12479), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [575283] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3232), 1,
      sym_id,
    ACTIONS(3240), 1,
      anon_sym_record,
    ACTIONS(3242), 1,
      anon_sym_LPAREN,
    ACTIONS(3246), 1,
      anon_sym_u2983,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3250), 1,
      aux_sym__qid_token1,
    ACTIONS(3252), 1,
      anon_sym_DOT,
    ACTIONS(3258), 1,
      anon_sym_u2987,
    ACTIONS(3260), 1,
      aux_sym_integer_token1,
    ACTIONS(3262), 1,
      anon_sym_Set,
    ACTIONS(11747), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11749), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11751), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11753), 1,
      aux_sym_literal_token1,
    STATE(5474), 1,
      sym_atom,
    STATE(5393), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5591), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3238), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [575358] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1290), 1,
      aux_sym_integer_token1,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(4644), 1,
      anon_sym_DOT,
    ACTIONS(12483), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12485), 1,
      anon_sym_LPAREN,
    ACTIONS(12487), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12489), 1,
      anon_sym_u2983,
    ACTIONS(12491), 1,
      anon_sym_LBRACE,
    ACTIONS(12493), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12495), 1,
      aux_sym_literal_token1,
    STATE(5585), 1,
      sym_atom,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1264), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [575433] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2624), 1,
      sym_id,
    ACTIONS(2636), 1,
      anon_sym_record,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_u2983,
    ACTIONS(2644), 1,
      anon_sym_LBRACE,
    ACTIONS(2646), 1,
      aux_sym__qid_token1,
    ACTIONS(2648), 1,
      anon_sym_DOT,
    ACTIONS(2656), 1,
      anon_sym_u2987,
    ACTIONS(2660), 1,
      aux_sym_integer_token1,
    ACTIONS(2662), 1,
      anon_sym_Set,
    ACTIONS(11381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11383), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11385), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11387), 1,
      aux_sym_literal_token1,
    STATE(5385), 1,
      sym_atom,
    STATE(5378), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5374), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2634), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [575508] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12511), 1,
      anon_sym_LBRACE,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    STATE(11873), 1,
      sym_atom,
    STATE(11787), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [575583] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7090), 1,
      sym_id,
    ACTIONS(7092), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7096), 1,
      anon_sym_record,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(7106), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7108), 1,
      anon_sym_u2983,
    ACTIONS(7110), 1,
      anon_sym_LBRACE,
    ACTIONS(7112), 1,
      aux_sym__qid_token1,
    ACTIONS(7114), 1,
      anon_sym_DOT,
    ACTIONS(7118), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7120), 1,
      anon_sym_u2987,
    ACTIONS(7122), 1,
      aux_sym_integer_token1,
    ACTIONS(7124), 1,
      aux_sym_literal_token1,
    ACTIONS(7126), 1,
      anon_sym_Set,
    STATE(7224), 1,
      sym_atom,
    STATE(7204), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7186), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7094), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [575658] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2296), 1,
      aux_sym_integer_token1,
    ACTIONS(2298), 1,
      anon_sym_Set,
    ACTIONS(4450), 1,
      anon_sym_DOT,
    ACTIONS(12527), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12529), 1,
      anon_sym_LPAREN,
    ACTIONS(12531), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12533), 1,
      anon_sym_u2983,
    ACTIONS(12535), 1,
      anon_sym_LBRACE,
    ACTIONS(12537), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12539), 1,
      aux_sym_literal_token1,
    STATE(5632), 1,
      sym_atom,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2270), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [575733] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7460), 1,
      sym_id,
    ACTIONS(7462), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7466), 1,
      anon_sym_record,
    ACTIONS(7468), 1,
      anon_sym_LPAREN,
    ACTIONS(7470), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7472), 1,
      anon_sym_u2983,
    ACTIONS(7474), 1,
      anon_sym_LBRACE,
    ACTIONS(7476), 1,
      aux_sym__qid_token1,
    ACTIONS(7478), 1,
      anon_sym_DOT,
    ACTIONS(7480), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7482), 1,
      anon_sym_u2987,
    ACTIONS(7484), 1,
      aux_sym_integer_token1,
    ACTIONS(7486), 1,
      aux_sym_literal_token1,
    ACTIONS(7488), 1,
      anon_sym_Set,
    STATE(7332), 1,
      sym_atom,
    STATE(7319), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7303), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7464), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [575808] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1942), 1,
      sym_id,
    ACTIONS(1952), 1,
      anon_sym_record,
    ACTIONS(1962), 1,
      aux_sym__qid_token1,
    ACTIONS(1972), 1,
      anon_sym_u2987,
    ACTIONS(1976), 1,
      aux_sym_integer_token1,
    ACTIONS(1978), 1,
      anon_sym_Set,
    ACTIONS(4616), 1,
      anon_sym_LPAREN,
    ACTIONS(4620), 1,
      anon_sym_u2983,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    ACTIONS(4624), 1,
      anon_sym_DOT,
    ACTIONS(11647), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11649), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11651), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11653), 1,
      aux_sym_literal_token1,
    STATE(5121), 1,
      sym_atom,
    STATE(5114), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5111), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1950), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [575883] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2464), 1,
      aux_sym_integer_token1,
    ACTIONS(2466), 1,
      anon_sym_Set,
    ACTIONS(4612), 1,
      anon_sym_DOT,
    ACTIONS(12541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12547), 1,
      anon_sym_u2983,
    ACTIONS(12549), 1,
      anon_sym_LBRACE,
    ACTIONS(12551), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12553), 1,
      aux_sym_literal_token1,
    STATE(5712), 1,
      sym_atom,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2438), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [575958] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1290), 1,
      aux_sym_integer_token1,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(4636), 1,
      anon_sym_LPAREN,
    ACTIONS(4640), 1,
      anon_sym_u2983,
    ACTIONS(4642), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym_DOT,
    ACTIONS(12483), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12493), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12495), 1,
      aux_sym_literal_token1,
    ACTIONS(12555), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(5617), 1,
      sym_atom,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1264), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [576033] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2716), 1,
      sym_id,
    ACTIONS(2728), 1,
      anon_sym_record,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    ACTIONS(2734), 1,
      anon_sym_u2983,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      aux_sym__qid_token1,
    ACTIONS(2740), 1,
      anon_sym_DOT,
    ACTIONS(2748), 1,
      anon_sym_u2987,
    ACTIONS(2752), 1,
      aux_sym_integer_token1,
    ACTIONS(2754), 1,
      anon_sym_Set,
    ACTIONS(11419), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11421), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11423), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11425), 1,
      aux_sym_literal_token1,
    STATE(4118), 1,
      sym_atom,
    STATE(4080), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4078), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2726), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [576108] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10323), 1,
      sym_id,
    ACTIONS(10325), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10329), 1,
      anon_sym_record,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10335), 1,
      anon_sym_u2983,
    ACTIONS(10337), 1,
      anon_sym_LBRACE,
    ACTIONS(10339), 1,
      aux_sym__qid_token1,
    ACTIONS(10341), 1,
      anon_sym_DOT,
    ACTIONS(10345), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10347), 1,
      anon_sym_u2987,
    ACTIONS(10349), 1,
      aux_sym_integer_token1,
    ACTIONS(10351), 1,
      aux_sym_literal_token1,
    ACTIONS(10353), 1,
      anon_sym_Set,
    STATE(7521), 1,
      sym_atom,
    STATE(7666), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7474), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10327), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [576183] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3486), 1,
      sym_id,
    ACTIONS(3496), 1,
      anon_sym_record,
    ACTIONS(3506), 1,
      aux_sym__qid_token1,
    ACTIONS(3516), 1,
      anon_sym_u2987,
    ACTIONS(3520), 1,
      aux_sym_integer_token1,
    ACTIONS(3522), 1,
      anon_sym_Set,
    ACTIONS(4522), 1,
      anon_sym_DOT,
    ACTIONS(12165), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12169), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12171), 1,
      aux_sym_literal_token1,
    ACTIONS(12557), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12561), 1,
      anon_sym_u2983,
    ACTIONS(12563), 1,
      anon_sym_LBRACE,
    STATE(4266), 1,
      sym_atom,
    STATE(4330), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4416), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3494), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [576258] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(850), 1,
      sym_id,
    ACTIONS(860), 1,
      anon_sym_record,
    ACTIONS(872), 1,
      aux_sym__qid_token1,
    ACTIONS(884), 1,
      anon_sym_u2987,
    ACTIONS(890), 1,
      aux_sym_integer_token1,
    ACTIONS(892), 1,
      anon_sym_Set,
    ACTIONS(4548), 1,
      anon_sym_DOT,
    ACTIONS(11459), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11463), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11465), 1,
      aux_sym_literal_token1,
    ACTIONS(12565), 1,
      anon_sym_LPAREN,
    ACTIONS(12567), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12569), 1,
      anon_sym_u2983,
    ACTIONS(12571), 1,
      anon_sym_LBRACE,
    STATE(4862), 1,
      sym_atom,
    STATE(4752), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4764), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(858), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [576333] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2020), 1,
      sym_id,
    ACTIONS(2030), 1,
      anon_sym_record,
    ACTIONS(2040), 1,
      aux_sym__qid_token1,
    ACTIONS(2050), 1,
      anon_sym_u2987,
    ACTIONS(2054), 1,
      aux_sym_integer_token1,
    ACTIONS(2056), 1,
      anon_sym_Set,
    ACTIONS(4652), 1,
      anon_sym_LPAREN,
    ACTIONS(4656), 1,
      anon_sym_u2983,
    ACTIONS(4658), 1,
      anon_sym_LBRACE,
    ACTIONS(4660), 1,
      anon_sym_DOT,
    ACTIONS(11683), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11685), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11687), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11689), 1,
      aux_sym_literal_token1,
    STATE(4503), 1,
      sym_atom,
    STATE(4497), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4495), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2028), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [576408] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      sym_id,
    ACTIONS(10170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10174), 1,
      anon_sym_record,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(10178), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10180), 1,
      anon_sym_u2983,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(10184), 1,
      aux_sym__qid_token1,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10188), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10190), 1,
      anon_sym_u2987,
    ACTIONS(10192), 1,
      aux_sym_integer_token1,
    ACTIONS(10194), 1,
      aux_sym_literal_token1,
    ACTIONS(10196), 1,
      anon_sym_Set,
    STATE(7817), 1,
      sym_atom,
    STATE(7824), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7820), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10172), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [576483] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(950), 1,
      sym_id,
    ACTIONS(960), 1,
      anon_sym_record,
    ACTIONS(970), 1,
      aux_sym__qid_token1,
    ACTIONS(980), 1,
      anon_sym_u2987,
    ACTIONS(984), 1,
      aux_sym_integer_token1,
    ACTIONS(986), 1,
      anon_sym_Set,
    ACTIONS(4788), 1,
      anon_sym_DOT,
    ACTIONS(11477), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11481), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11483), 1,
      aux_sym_literal_token1,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12577), 1,
      anon_sym_u2983,
    ACTIONS(12579), 1,
      anon_sym_LBRACE,
    STATE(5034), 1,
      sym_atom,
    STATE(5006), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5025), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(958), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [576558] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2058), 1,
      sym_id,
    ACTIONS(2068), 1,
      anon_sym_record,
    ACTIONS(2078), 1,
      aux_sym__qid_token1,
    ACTIONS(2088), 1,
      anon_sym_u2987,
    ACTIONS(2092), 1,
      aux_sym_integer_token1,
    ACTIONS(2094), 1,
      anon_sym_Set,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4680), 1,
      anon_sym_u2983,
    ACTIONS(4682), 1,
      anon_sym_LBRACE,
    ACTIONS(4684), 1,
      anon_sym_DOT,
    ACTIONS(11699), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11701), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11703), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11705), 1,
      aux_sym_literal_token1,
    STATE(4368), 1,
      sym_atom,
    STATE(4363), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4360), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2066), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [576633] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5470), 1,
      sym_id,
    ACTIONS(5474), 1,
      anon_sym_record,
    ACTIONS(5476), 1,
      anon_sym_LPAREN,
    ACTIONS(5480), 1,
      anon_sym_u2983,
    ACTIONS(5482), 1,
      anon_sym_LBRACE,
    ACTIONS(5484), 1,
      aux_sym__qid_token1,
    ACTIONS(5486), 1,
      anon_sym_DOT,
    ACTIONS(5490), 1,
      anon_sym_u2987,
    ACTIONS(5492), 1,
      aux_sym_integer_token1,
    ACTIONS(5494), 1,
      anon_sym_Set,
    ACTIONS(12261), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12263), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12265), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12267), 1,
      aux_sym_literal_token1,
    STATE(5954), 1,
      sym_atom,
    STATE(5850), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5888), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5472), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [576708] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5768), 1,
      sym_id,
    ACTIONS(5772), 1,
      anon_sym_record,
    ACTIONS(5774), 1,
      anon_sym_LPAREN,
    ACTIONS(5778), 1,
      anon_sym_u2983,
    ACTIONS(5780), 1,
      anon_sym_LBRACE,
    ACTIONS(5782), 1,
      aux_sym__qid_token1,
    ACTIONS(5784), 1,
      anon_sym_DOT,
    ACTIONS(5788), 1,
      anon_sym_u2987,
    ACTIONS(5790), 1,
      aux_sym_integer_token1,
    ACTIONS(5792), 1,
      anon_sym_Set,
    ACTIONS(11443), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11445), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11447), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11449), 1,
      aux_sym_literal_token1,
    STATE(4535), 1,
      sym_atom,
    STATE(4528), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4524), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5770), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [576783] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(894), 1,
      sym_id,
    ACTIONS(904), 1,
      anon_sym_record,
    ACTIONS(916), 1,
      aux_sym__qid_token1,
    ACTIONS(926), 1,
      anon_sym_u2987,
    ACTIONS(930), 1,
      aux_sym_integer_token1,
    ACTIONS(932), 1,
      anon_sym_Set,
    ACTIONS(4854), 1,
      anon_sym_DOT,
    ACTIONS(12327), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12331), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12333), 1,
      aux_sym_literal_token1,
    ACTIONS(12581), 1,
      anon_sym_LPAREN,
    ACTIONS(12583), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12585), 1,
      anon_sym_u2983,
    ACTIONS(12587), 1,
      anon_sym_LBRACE,
    STATE(5090), 1,
      sym_atom,
    STATE(5081), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5079), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(902), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [576858] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1166), 1,
      sym_id,
    ACTIONS(1176), 1,
      anon_sym_record,
    ACTIONS(1188), 1,
      aux_sym__qid_token1,
    ACTIONS(1198), 1,
      anon_sym_u2987,
    ACTIONS(1202), 1,
      aux_sym_integer_token1,
    ACTIONS(1204), 1,
      anon_sym_Set,
    ACTIONS(4844), 1,
      anon_sym_DOT,
    ACTIONS(12399), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12403), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12405), 1,
      aux_sym_literal_token1,
    ACTIONS(12589), 1,
      anon_sym_LPAREN,
    ACTIONS(12591), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12593), 1,
      anon_sym_u2983,
    ACTIONS(12595), 1,
      anon_sym_LBRACE,
    STATE(5007), 1,
      sym_atom,
    STATE(4987), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5005), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1174), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [576933] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2340), 1,
      sym_id,
    ACTIONS(2350), 1,
      anon_sym_record,
    ACTIONS(2360), 1,
      aux_sym__qid_token1,
    ACTIONS(2370), 1,
      anon_sym_u2987,
    ACTIONS(2374), 1,
      aux_sym_integer_token1,
    ACTIONS(2376), 1,
      anon_sym_Set,
    ACTIONS(4292), 1,
      anon_sym_LPAREN,
    ACTIONS(4296), 1,
      anon_sym_u2983,
    ACTIONS(4298), 1,
      anon_sym_LBRACE,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    ACTIONS(12597), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12599), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12601), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12603), 1,
      aux_sym_literal_token1,
    STATE(5455), 1,
      sym_atom,
    STATE(5425), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5431), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2348), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [577008] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9948), 1,
      sym_id,
    ACTIONS(9950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9954), 1,
      anon_sym_record,
    ACTIONS(9956), 1,
      anon_sym_LPAREN,
    ACTIONS(9958), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9960), 1,
      anon_sym_u2983,
    ACTIONS(9962), 1,
      anon_sym_LBRACE,
    ACTIONS(9964), 1,
      aux_sym__qid_token1,
    ACTIONS(9966), 1,
      anon_sym_DOT,
    ACTIONS(9970), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9972), 1,
      anon_sym_u2987,
    ACTIONS(9974), 1,
      aux_sym_integer_token1,
    ACTIONS(9976), 1,
      aux_sym_literal_token1,
    ACTIONS(9978), 1,
      anon_sym_Set,
    STATE(7564), 1,
      sym_atom,
    STATE(7559), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7558), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9952), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [577083] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7011), 1,
      sym_id,
    ACTIONS(7013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7017), 1,
      anon_sym_record,
    ACTIONS(7019), 1,
      anon_sym_LPAREN,
    ACTIONS(7021), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7023), 1,
      anon_sym_u2983,
    ACTIONS(7025), 1,
      anon_sym_LBRACE,
    ACTIONS(7027), 1,
      aux_sym__qid_token1,
    ACTIONS(7029), 1,
      anon_sym_DOT,
    ACTIONS(7033), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7035), 1,
      anon_sym_u2987,
    ACTIONS(7037), 1,
      aux_sym_integer_token1,
    ACTIONS(7039), 1,
      aux_sym_literal_token1,
    ACTIONS(7041), 1,
      anon_sym_Set,
    STATE(6926), 1,
      sym_atom,
    STATE(6887), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7015), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [577158] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1218), 1,
      sym_id,
    ACTIONS(1228), 1,
      anon_sym_record,
    ACTIONS(1238), 1,
      aux_sym__qid_token1,
    ACTIONS(1248), 1,
      anon_sym_u2987,
    ACTIONS(1252), 1,
      aux_sym_integer_token1,
    ACTIONS(1254), 1,
      anon_sym_Set,
    ACTIONS(4738), 1,
      anon_sym_LPAREN,
    ACTIONS(4742), 1,
      anon_sym_u2983,
    ACTIONS(4744), 1,
      anon_sym_LBRACE,
    ACTIONS(4746), 1,
      anon_sym_DOT,
    ACTIONS(12447), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12457), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12459), 1,
      aux_sym_literal_token1,
    ACTIONS(12469), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(5692), 1,
      sym_atom,
    STATE(5616), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5583), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1226), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [577233] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10323), 1,
      sym_id,
    ACTIONS(10325), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10329), 1,
      anon_sym_record,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10335), 1,
      anon_sym_u2983,
    ACTIONS(10337), 1,
      anon_sym_LBRACE,
    ACTIONS(10339), 1,
      aux_sym__qid_token1,
    ACTIONS(10341), 1,
      anon_sym_DOT,
    ACTIONS(10345), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10347), 1,
      anon_sym_u2987,
    ACTIONS(10349), 1,
      aux_sym_integer_token1,
    ACTIONS(10351), 1,
      aux_sym_literal_token1,
    ACTIONS(10353), 1,
      anon_sym_Set,
    STATE(7603), 1,
      sym_atom,
    STATE(7666), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7474), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10327), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [577308] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12605), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [577353] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2340), 1,
      sym_id,
    ACTIONS(2350), 1,
      anon_sym_record,
    ACTIONS(2360), 1,
      aux_sym__qid_token1,
    ACTIONS(2370), 1,
      anon_sym_u2987,
    ACTIONS(2374), 1,
      aux_sym_integer_token1,
    ACTIONS(2376), 1,
      anon_sym_Set,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    ACTIONS(12597), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12601), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12603), 1,
      aux_sym_literal_token1,
    ACTIONS(12607), 1,
      anon_sym_LPAREN,
    ACTIONS(12609), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12611), 1,
      anon_sym_u2983,
    ACTIONS(12613), 1,
      anon_sym_LBRACE,
    STATE(5445), 1,
      sym_atom,
    STATE(5425), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5431), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2348), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [577428] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4250), 1,
      sym_id,
    ACTIONS(4254), 1,
      anon_sym_record,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(4260), 1,
      anon_sym_u2983,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4264), 1,
      aux_sym__qid_token1,
    ACTIONS(4266), 1,
      anon_sym_DOT,
    ACTIONS(4270), 1,
      anon_sym_u2987,
    ACTIONS(4272), 1,
      aux_sym_integer_token1,
    ACTIONS(4274), 1,
      anon_sym_Set,
    ACTIONS(11467), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11469), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11471), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11473), 1,
      aux_sym_literal_token1,
    STATE(5801), 1,
      sym_atom,
    STATE(5777), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5768), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4252), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [577503] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10448), 1,
      sym_id,
    ACTIONS(10450), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10454), 1,
      anon_sym_record,
    ACTIONS(10456), 1,
      anon_sym_LPAREN,
    ACTIONS(10458), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10460), 1,
      anon_sym_u2983,
    ACTIONS(10462), 1,
      anon_sym_LBRACE,
    ACTIONS(10464), 1,
      aux_sym__qid_token1,
    ACTIONS(10466), 1,
      anon_sym_DOT,
    ACTIONS(10470), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10472), 1,
      anon_sym_u2987,
    ACTIONS(10474), 1,
      aux_sym_integer_token1,
    ACTIONS(10476), 1,
      aux_sym_literal_token1,
    ACTIONS(10478), 1,
      anon_sym_Set,
    STATE(7577), 1,
      sym_atom,
    STATE(7570), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7569), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10452), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [577578] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10482), 1,
      sym_id,
    ACTIONS(10484), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10488), 1,
      anon_sym_record,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10494), 1,
      anon_sym_u2983,
    ACTIONS(10496), 1,
      anon_sym_LBRACE,
    ACTIONS(10498), 1,
      aux_sym__qid_token1,
    ACTIONS(10500), 1,
      anon_sym_DOT,
    ACTIONS(10504), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10506), 1,
      anon_sym_u2987,
    ACTIONS(10508), 1,
      aux_sym_integer_token1,
    ACTIONS(10510), 1,
      aux_sym_literal_token1,
    ACTIONS(10512), 1,
      anon_sym_Set,
    STATE(7808), 1,
      sym_atom,
    STATE(7718), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7805), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10486), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [577653] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 27,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [577696] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(734), 1,
      sym_id,
    ACTIONS(744), 1,
      anon_sym_record,
    ACTIONS(754), 1,
      aux_sym__qid_token1,
    ACTIONS(768), 1,
      anon_sym_u2987,
    ACTIONS(772), 1,
      aux_sym_integer_token1,
    ACTIONS(774), 1,
      anon_sym_Set,
    ACTIONS(4236), 1,
      anon_sym_DOT,
    ACTIONS(11451), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11455), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11457), 1,
      aux_sym_literal_token1,
    ACTIONS(12615), 1,
      anon_sym_LPAREN,
    ACTIONS(12617), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12619), 1,
      anon_sym_u2983,
    ACTIONS(12621), 1,
      anon_sym_LBRACE,
    STATE(5305), 1,
      sym_atom,
    STATE(5228), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5289), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(742), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [577771] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10594), 1,
      sym_id,
    ACTIONS(10596), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10600), 1,
      anon_sym_record,
    ACTIONS(10602), 1,
      anon_sym_LPAREN,
    ACTIONS(10604), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10606), 1,
      anon_sym_u2983,
    ACTIONS(10608), 1,
      anon_sym_LBRACE,
    ACTIONS(10610), 1,
      aux_sym__qid_token1,
    ACTIONS(10612), 1,
      anon_sym_DOT,
    ACTIONS(10616), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10618), 1,
      anon_sym_u2987,
    ACTIONS(10620), 1,
      aux_sym_integer_token1,
    ACTIONS(10622), 1,
      aux_sym_literal_token1,
    ACTIONS(10624), 1,
      anon_sym_Set,
    STATE(7709), 1,
      sym_atom,
    STATE(7704), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7703), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10598), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [577846] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2296), 1,
      aux_sym_integer_token1,
    ACTIONS(2298), 1,
      anon_sym_Set,
    ACTIONS(4442), 1,
      anon_sym_LPAREN,
    ACTIONS(4446), 1,
      anon_sym_u2983,
    ACTIONS(4448), 1,
      anon_sym_LBRACE,
    ACTIONS(4450), 1,
      anon_sym_DOT,
    ACTIONS(12527), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12537), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12539), 1,
      aux_sym_literal_token1,
    ACTIONS(12623), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(5451), 1,
      sym_atom,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2270), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [577921] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9), 1,
      sym_id,
    ACTIONS(51), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_u2983,
    ACTIONS(61), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      aux_sym__qid_token1,
    ACTIONS(71), 1,
      anon_sym_DOT,
    ACTIONS(81), 1,
      anon_sym_u2987,
    ACTIONS(87), 1,
      aux_sym_integer_token1,
    ACTIONS(89), 1,
      anon_sym_Set,
    ACTIONS(4278), 1,
      anon_sym_record,
    ACTIONS(12625), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12627), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12629), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12631), 1,
      aux_sym_literal_token1,
    STATE(4514), 1,
      sym_atom,
    STATE(4564), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4530), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(17), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [577996] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9), 1,
      sym_id,
    ACTIONS(51), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_u2983,
    ACTIONS(61), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      aux_sym__qid_token1,
    ACTIONS(71), 1,
      anon_sym_DOT,
    ACTIONS(81), 1,
      anon_sym_u2987,
    ACTIONS(87), 1,
      aux_sym_integer_token1,
    ACTIONS(89), 1,
      anon_sym_Set,
    ACTIONS(4278), 1,
      anon_sym_record,
    ACTIONS(12625), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12627), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12629), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12631), 1,
      aux_sym_literal_token1,
    STATE(4589), 1,
      sym_atom,
    STATE(4564), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4530), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(17), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [578071] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5794), 1,
      sym_id,
    ACTIONS(5798), 1,
      anon_sym_record,
    ACTIONS(5800), 1,
      anon_sym_LPAREN,
    ACTIONS(5804), 1,
      anon_sym_u2983,
    ACTIONS(5806), 1,
      anon_sym_LBRACE,
    ACTIONS(5808), 1,
      aux_sym__qid_token1,
    ACTIONS(5810), 1,
      anon_sym_DOT,
    ACTIONS(5814), 1,
      anon_sym_u2987,
    ACTIONS(5816), 1,
      aux_sym_integer_token1,
    ACTIONS(5818), 1,
      anon_sym_Set,
    ACTIONS(12311), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12313), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12315), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12317), 1,
      aux_sym_literal_token1,
    STATE(6019), 1,
      sym_atom,
    STATE(6013), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6017), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5796), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [578146] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10784), 1,
      sym_id,
    ACTIONS(10786), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10790), 1,
      anon_sym_record,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10794), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10796), 1,
      anon_sym_u2983,
    ACTIONS(10798), 1,
      anon_sym_LBRACE,
    ACTIONS(10800), 1,
      aux_sym__qid_token1,
    ACTIONS(10802), 1,
      anon_sym_DOT,
    ACTIONS(10806), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10808), 1,
      anon_sym_u2987,
    ACTIONS(10810), 1,
      aux_sym_integer_token1,
    ACTIONS(10812), 1,
      aux_sym_literal_token1,
    ACTIONS(10814), 1,
      anon_sym_Set,
    STATE(7676), 1,
      sym_atom,
    STATE(7671), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7810), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10788), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [578221] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3302), 1,
      sym_id,
    ACTIONS(3310), 1,
      anon_sym_record,
    ACTIONS(3312), 1,
      anon_sym_LPAREN,
    ACTIONS(3316), 1,
      anon_sym_u2983,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(3320), 1,
      aux_sym__qid_token1,
    ACTIONS(3322), 1,
      anon_sym_DOT,
    ACTIONS(3328), 1,
      anon_sym_u2987,
    ACTIONS(3330), 1,
      aux_sym_integer_token1,
    ACTIONS(3332), 1,
      anon_sym_Set,
    ACTIONS(11769), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11771), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11773), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11775), 1,
      aux_sym_literal_token1,
    STATE(5721), 1,
      sym_atom,
    STATE(5589), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5523), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3308), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [578296] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_id,
    ACTIONS(1876), 1,
      anon_sym_record,
    ACTIONS(1886), 1,
      aux_sym__qid_token1,
    ACTIONS(1896), 1,
      anon_sym_u2987,
    ACTIONS(1900), 1,
      aux_sym_integer_token1,
    ACTIONS(1902), 1,
      anon_sym_Set,
    ACTIONS(4800), 1,
      anon_sym_DOT,
    ACTIONS(11511), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11515), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11517), 1,
      aux_sym_literal_token1,
    ACTIONS(12633), 1,
      anon_sym_LPAREN,
    ACTIONS(12635), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12637), 1,
      anon_sym_u2983,
    ACTIONS(12639), 1,
      anon_sym_LBRACE,
    STATE(4866), 1,
      sym_atom,
    STATE(4844), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4861), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1874), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [578371] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6471), 1,
      sym_id,
    ACTIONS(6473), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6477), 1,
      anon_sym_record,
    ACTIONS(6479), 1,
      anon_sym_LPAREN,
    ACTIONS(6481), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_u2983,
    ACTIONS(6485), 1,
      anon_sym_LBRACE,
    ACTIONS(6487), 1,
      aux_sym__qid_token1,
    ACTIONS(6489), 1,
      anon_sym_DOT,
    ACTIONS(6493), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(6495), 1,
      anon_sym_u2987,
    ACTIONS(6497), 1,
      aux_sym_integer_token1,
    ACTIONS(6499), 1,
      aux_sym_literal_token1,
    ACTIONS(6501), 1,
      anon_sym_Set,
    STATE(6793), 1,
      sym_atom,
    STATE(6848), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6847), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6475), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [578446] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1256), 1,
      sym_id,
    ACTIONS(1266), 1,
      anon_sym_record,
    ACTIONS(1276), 1,
      aux_sym__qid_token1,
    ACTIONS(1286), 1,
      anon_sym_u2987,
    ACTIONS(1290), 1,
      aux_sym_integer_token1,
    ACTIONS(1292), 1,
      anon_sym_Set,
    ACTIONS(4636), 1,
      anon_sym_LPAREN,
    ACTIONS(4640), 1,
      anon_sym_u2983,
    ACTIONS(4642), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym_DOT,
    ACTIONS(12483), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12493), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12495), 1,
      aux_sym_literal_token1,
    ACTIONS(12555), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(5585), 1,
      sym_atom,
    STATE(5584), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5542), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1264), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [578521] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [578562] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2520), 1,
      sym_id,
    ACTIONS(2530), 1,
      anon_sym_record,
    ACTIONS(2540), 1,
      aux_sym__qid_token1,
    ACTIONS(2550), 1,
      anon_sym_u2987,
    ACTIONS(2554), 1,
      aux_sym_integer_token1,
    ACTIONS(2556), 1,
      anon_sym_Set,
    ACTIONS(4718), 1,
      anon_sym_LPAREN,
    ACTIONS(4722), 1,
      anon_sym_u2983,
    ACTIONS(4724), 1,
      anon_sym_LBRACE,
    ACTIONS(4726), 1,
      anon_sym_DOT,
    ACTIONS(11785), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11787), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11789), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11791), 1,
      aux_sym_literal_token1,
    STATE(4095), 1,
      sym_atom,
    STATE(4086), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4083), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2528), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [578637] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1904), 1,
      sym_id,
    ACTIONS(1914), 1,
      anon_sym_record,
    ACTIONS(1924), 1,
      aux_sym__qid_token1,
    ACTIONS(1934), 1,
      anon_sym_u2987,
    ACTIONS(1938), 1,
      aux_sym_integer_token1,
    ACTIONS(1940), 1,
      anon_sym_Set,
    ACTIONS(4334), 1,
      anon_sym_DOT,
    ACTIONS(11527), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11531), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11533), 1,
      aux_sym_literal_token1,
    ACTIONS(12641), 1,
      anon_sym_LPAREN,
    ACTIONS(12643), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12645), 1,
      anon_sym_u2983,
    ACTIONS(12647), 1,
      anon_sym_LBRACE,
    STATE(4475), 1,
      sym_atom,
    STATE(4621), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4454), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1912), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [578712] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2464), 1,
      aux_sym_integer_token1,
    ACTIONS(2466), 1,
      anon_sym_Set,
    ACTIONS(4604), 1,
      anon_sym_LPAREN,
    ACTIONS(4608), 1,
      anon_sym_u2983,
    ACTIONS(4610), 1,
      anon_sym_LBRACE,
    ACTIONS(4612), 1,
      anon_sym_DOT,
    ACTIONS(12541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12551), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12553), 1,
      aux_sym_literal_token1,
    ACTIONS(12649), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(5530), 1,
      sym_atom,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2438), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [578787] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9064), 1,
      sym_id,
    ACTIONS(9066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9070), 1,
      anon_sym_record,
    ACTIONS(9072), 1,
      anon_sym_LPAREN,
    ACTIONS(9074), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9076), 1,
      anon_sym_u2983,
    ACTIONS(9078), 1,
      anon_sym_LBRACE,
    ACTIONS(9080), 1,
      aux_sym__qid_token1,
    ACTIONS(9082), 1,
      anon_sym_DOT,
    ACTIONS(9086), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9088), 1,
      anon_sym_u2987,
    ACTIONS(9090), 1,
      aux_sym_integer_token1,
    ACTIONS(9092), 1,
      aux_sym_literal_token1,
    ACTIONS(9094), 1,
      anon_sym_Set,
    STATE(7396), 1,
      sym_atom,
    STATE(7370), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7365), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9068), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [578862] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10748), 1,
      sym_id,
    ACTIONS(10750), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10754), 1,
      anon_sym_record,
    ACTIONS(10756), 1,
      anon_sym_LPAREN,
    ACTIONS(10758), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10760), 1,
      anon_sym_u2983,
    ACTIONS(10762), 1,
      anon_sym_LBRACE,
    ACTIONS(10764), 1,
      aux_sym__qid_token1,
    ACTIONS(10766), 1,
      anon_sym_DOT,
    ACTIONS(10770), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10772), 1,
      anon_sym_u2987,
    ACTIONS(10774), 1,
      aux_sym_integer_token1,
    ACTIONS(10776), 1,
      aux_sym_literal_token1,
    ACTIONS(10778), 1,
      anon_sym_Set,
    STATE(7779), 1,
      sym_atom,
    STATE(7778), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7776), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10752), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [578937] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6360), 1,
      sym_id,
    ACTIONS(6364), 1,
      anon_sym_record,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6370), 1,
      anon_sym_u2983,
    ACTIONS(6372), 1,
      anon_sym_LBRACE,
    ACTIONS(6374), 1,
      aux_sym__qid_token1,
    ACTIONS(6376), 1,
      anon_sym_DOT,
    ACTIONS(6380), 1,
      anon_sym_u2987,
    ACTIONS(6382), 1,
      aux_sym_integer_token1,
    ACTIONS(6384), 1,
      anon_sym_Set,
    ACTIONS(12359), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12361), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12363), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12365), 1,
      aux_sym_literal_token1,
    STATE(6145), 1,
      sym_atom,
    STATE(6144), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6142), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6362), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [579012] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2170), 1,
      sym_id,
    ACTIONS(2180), 1,
      anon_sym_record,
    ACTIONS(2190), 1,
      aux_sym__qid_token1,
    ACTIONS(2200), 1,
      anon_sym_u2987,
    ACTIONS(2204), 1,
      aux_sym_integer_token1,
    ACTIONS(2206), 1,
      anon_sym_Set,
    ACTIONS(4492), 1,
      anon_sym_DOT,
    ACTIONS(11559), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11563), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11565), 1,
      aux_sym_literal_token1,
    ACTIONS(12651), 1,
      anon_sym_LPAREN,
    ACTIONS(12653), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12655), 1,
      anon_sym_u2983,
    ACTIONS(12657), 1,
      anon_sym_LBRACE,
    STATE(5464), 1,
      sym_atom,
    STATE(5405), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5420), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2178), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [579087] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2598), 1,
      sym_id,
    ACTIONS(2602), 1,
      anon_sym_record,
    ACTIONS(2612), 1,
      aux_sym__qid_token1,
    ACTIONS(2618), 1,
      anon_sym_u2987,
    ACTIONS(2620), 1,
      aux_sym_integer_token1,
    ACTIONS(2622), 1,
      anon_sym_Set,
    ACTIONS(4808), 1,
      anon_sym_LPAREN,
    ACTIONS(4812), 1,
      anon_sym_u2983,
    ACTIONS(4814), 1,
      anon_sym_LBRACE,
    ACTIONS(4816), 1,
      anon_sym_DOT,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11765), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11767), 1,
      aux_sym_literal_token1,
    ACTIONS(11907), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(5259), 1,
      sym_atom,
    STATE(5254), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5251), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2600), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [579162] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2242), 1,
      aux_sym_integer_token1,
    ACTIONS(2244), 1,
      anon_sym_Set,
    ACTIONS(4754), 1,
      anon_sym_LPAREN,
    ACTIONS(4758), 1,
      anon_sym_u2983,
    ACTIONS(4760), 1,
      anon_sym_LBRACE,
    ACTIONS(4762), 1,
      anon_sym_DOT,
    ACTIONS(11825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11827), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11829), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11831), 1,
      aux_sym_literal_token1,
    STATE(4775), 1,
      sym_atom,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2216), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [579237] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(692), 1,
      anon_sym_record,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_u2983,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      anon_sym_DOT,
    ACTIONS(720), 1,
      anon_sym_u2987,
    ACTIONS(726), 1,
      aux_sym_integer_token1,
    ACTIONS(728), 1,
      anon_sym_Set,
    ACTIONS(3184), 1,
      sym_id,
    ACTIONS(3190), 1,
      aux_sym__qid_token1,
    ACTIONS(11949), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11951), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11953), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11955), 1,
      aux_sym_literal_token1,
    STATE(4933), 1,
      sym_atom,
    STATE(5353), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4924), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(690), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [579312] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3552), 1,
      sym_id,
    ACTIONS(3562), 1,
      anon_sym_record,
    ACTIONS(3572), 1,
      aux_sym__qid_token1,
    ACTIONS(3582), 1,
      anon_sym_u2987,
    ACTIONS(3586), 1,
      aux_sym_integer_token1,
    ACTIONS(3588), 1,
      anon_sym_Set,
    ACTIONS(4536), 1,
      anon_sym_DOT,
    ACTIONS(12181), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12185), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12187), 1,
      aux_sym_literal_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(12661), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12663), 1,
      anon_sym_u2983,
    ACTIONS(12665), 1,
      anon_sym_LBRACE,
    STATE(4128), 1,
      sym_atom,
    STATE(4127), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4126), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3560), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [579387] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [579428] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12667), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [579473] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4976), 1,
      sym_id,
    ACTIONS(4980), 1,
      anon_sym_record,
    ACTIONS(4982), 1,
      anon_sym_LPAREN,
    ACTIONS(4986), 1,
      anon_sym_u2983,
    ACTIONS(4988), 1,
      anon_sym_LBRACE,
    ACTIONS(4990), 1,
      aux_sym__qid_token1,
    ACTIONS(4992), 1,
      anon_sym_DOT,
    ACTIONS(4996), 1,
      anon_sym_u2987,
    ACTIONS(4998), 1,
      aux_sym_integer_token1,
    ACTIONS(5000), 1,
      anon_sym_Set,
    ACTIONS(11809), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11811), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11813), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11815), 1,
      aux_sym_literal_token1,
    STATE(4271), 1,
      sym_atom,
    STATE(4265), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4263), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(4978), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [579548] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3900), 1,
      sym_id,
    ACTIONS(3908), 1,
      anon_sym_record,
    ACTIONS(3910), 1,
      anon_sym_LPAREN,
    ACTIONS(3914), 1,
      anon_sym_u2983,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    ACTIONS(3918), 1,
      aux_sym__qid_token1,
    ACTIONS(3920), 1,
      anon_sym_DOT,
    ACTIONS(3926), 1,
      anon_sym_u2987,
    ACTIONS(3928), 1,
      aux_sym_integer_token1,
    ACTIONS(3930), 1,
      anon_sym_Set,
    ACTIONS(11495), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11497), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11499), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11501), 1,
      aux_sym_literal_token1,
    STATE(5747), 1,
      sym_atom,
    STATE(5741), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5737), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3906), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [579623] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5872), 1,
      sym_id,
    ACTIONS(5876), 1,
      anon_sym_record,
    ACTIONS(5878), 1,
      anon_sym_LPAREN,
    ACTIONS(5882), 1,
      anon_sym_u2983,
    ACTIONS(5884), 1,
      anon_sym_LBRACE,
    ACTIONS(5886), 1,
      aux_sym__qid_token1,
    ACTIONS(5888), 1,
      anon_sym_DOT,
    ACTIONS(5892), 1,
      anon_sym_u2987,
    ACTIONS(5894), 1,
      aux_sym_integer_token1,
    ACTIONS(5896), 1,
      anon_sym_Set,
    ACTIONS(12407), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12409), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12411), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12413), 1,
      aux_sym_literal_token1,
    STATE(6189), 1,
      sym_atom,
    STATE(6188), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6187), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5874), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [579698] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10236), 1,
      sym_id,
    ACTIONS(10238), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10242), 1,
      anon_sym_record,
    ACTIONS(10244), 1,
      anon_sym_LPAREN,
    ACTIONS(10246), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10248), 1,
      anon_sym_u2983,
    ACTIONS(10250), 1,
      anon_sym_LBRACE,
    ACTIONS(10252), 1,
      aux_sym__qid_token1,
    ACTIONS(10254), 1,
      anon_sym_DOT,
    ACTIONS(10258), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10260), 1,
      anon_sym_u2987,
    ACTIONS(10262), 1,
      aux_sym_integer_token1,
    ACTIONS(10264), 1,
      aux_sym_literal_token1,
    ACTIONS(10266), 1,
      anon_sym_Set,
    STATE(7762), 1,
      sym_atom,
    STATE(7797), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7715), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10240), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [579773] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2404), 1,
      sym_id,
    ACTIONS(2408), 1,
      anon_sym_record,
    ACTIONS(2418), 1,
      aux_sym__qid_token1,
    ACTIONS(2424), 1,
      anon_sym_u2987,
    ACTIONS(2426), 1,
      aux_sym_integer_token1,
    ACTIONS(2428), 1,
      anon_sym_Set,
    ACTIONS(4560), 1,
      anon_sym_DOT,
    ACTIONS(11631), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11635), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11637), 1,
      aux_sym_literal_token1,
    ACTIONS(12669), 1,
      anon_sym_LPAREN,
    ACTIONS(12671), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12673), 1,
      anon_sym_u2983,
    ACTIONS(12675), 1,
      anon_sym_LBRACE,
    STATE(4221), 1,
      sym_atom,
    STATE(4220), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4219), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2406), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [579848] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8281), 1,
      sym_id,
    ACTIONS(8283), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8287), 1,
      anon_sym_record,
    ACTIONS(8289), 1,
      anon_sym_LPAREN,
    ACTIONS(8291), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(8293), 1,
      anon_sym_u2983,
    ACTIONS(8295), 1,
      anon_sym_LBRACE,
    ACTIONS(8297), 1,
      aux_sym__qid_token1,
    ACTIONS(8299), 1,
      anon_sym_DOT,
    ACTIONS(8303), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(8305), 1,
      anon_sym_u2987,
    ACTIONS(8307), 1,
      aux_sym_integer_token1,
    ACTIONS(8309), 1,
      aux_sym_literal_token1,
    ACTIONS(8311), 1,
      anon_sym_Set,
    STATE(7323), 1,
      sym_atom,
    STATE(7313), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7311), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(8285), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [579923] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2262), 1,
      sym_id,
    ACTIONS(2272), 1,
      anon_sym_record,
    ACTIONS(2282), 1,
      aux_sym__qid_token1,
    ACTIONS(2292), 1,
      anon_sym_u2987,
    ACTIONS(2296), 1,
      aux_sym_integer_token1,
    ACTIONS(2298), 1,
      anon_sym_Set,
    ACTIONS(4442), 1,
      anon_sym_LPAREN,
    ACTIONS(4446), 1,
      anon_sym_u2983,
    ACTIONS(4448), 1,
      anon_sym_LBRACE,
    ACTIONS(4450), 1,
      anon_sym_DOT,
    ACTIONS(12527), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12537), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12539), 1,
      aux_sym_literal_token1,
    ACTIONS(12623), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(5632), 1,
      sym_atom,
    STATE(5597), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5471), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2270), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [579998] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5256), 1,
      sym_id,
    ACTIONS(5260), 1,
      anon_sym_record,
    ACTIONS(5262), 1,
      anon_sym_LPAREN,
    ACTIONS(5266), 1,
      anon_sym_u2983,
    ACTIONS(5268), 1,
      anon_sym_LBRACE,
    ACTIONS(5270), 1,
      aux_sym__qid_token1,
    ACTIONS(5272), 1,
      anon_sym_DOT,
    ACTIONS(5276), 1,
      anon_sym_u2987,
    ACTIONS(5278), 1,
      aux_sym_integer_token1,
    ACTIONS(5280), 1,
      anon_sym_Set,
    ACTIONS(11519), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11521), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11523), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11525), 1,
      aux_sym_literal_token1,
    STATE(5505), 1,
      sym_atom,
    STATE(5500), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5496), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5258), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [580073] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(105), 1,
      sym_id,
    ACTIONS(125), 1,
      anon_sym_LPAREN,
    ACTIONS(129), 1,
      anon_sym_u2983,
    ACTIONS(135), 1,
      anon_sym_LBRACE,
    ACTIONS(143), 1,
      aux_sym__qid_token1,
    ACTIONS(145), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_u2987,
    ACTIONS(157), 1,
      aux_sym_integer_token1,
    ACTIONS(159), 1,
      anon_sym_Set,
    ACTIONS(4248), 1,
      anon_sym_record,
    ACTIONS(12471), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12473), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12475), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12477), 1,
      aux_sym_literal_token1,
    STATE(4343), 1,
      sym_atom,
    STATE(4306), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4312), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(113), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [580148] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2300), 1,
      sym_id,
    ACTIONS(2312), 1,
      anon_sym_record,
    ACTIONS(2314), 1,
      anon_sym_LPAREN,
    ACTIONS(2318), 1,
      anon_sym_u2983,
    ACTIONS(2320), 1,
      anon_sym_LBRACE,
    ACTIONS(2322), 1,
      aux_sym__qid_token1,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2332), 1,
      anon_sym_u2987,
    ACTIONS(2336), 1,
      aux_sym_integer_token1,
    ACTIONS(2338), 1,
      anon_sym_Set,
    ACTIONS(12375), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12377), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12379), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12381), 1,
      aux_sym_literal_token1,
    STATE(5630), 1,
      sym_atom,
    STATE(5629), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5626), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2310), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [580223] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1942), 1,
      sym_id,
    ACTIONS(1952), 1,
      anon_sym_record,
    ACTIONS(1962), 1,
      aux_sym__qid_token1,
    ACTIONS(1972), 1,
      anon_sym_u2987,
    ACTIONS(1976), 1,
      aux_sym_integer_token1,
    ACTIONS(1978), 1,
      anon_sym_Set,
    ACTIONS(4624), 1,
      anon_sym_DOT,
    ACTIONS(11647), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11651), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11653), 1,
      aux_sym_literal_token1,
    ACTIONS(12677), 1,
      anon_sym_LPAREN,
    ACTIONS(12679), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12681), 1,
      anon_sym_u2983,
    ACTIONS(12683), 1,
      anon_sym_LBRACE,
    STATE(5115), 1,
      sym_atom,
    STATE(5114), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5111), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(1950), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [580298] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7772), 1,
      sym_id,
    ACTIONS(7774), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7778), 1,
      anon_sym_record,
    ACTIONS(7780), 1,
      anon_sym_LPAREN,
    ACTIONS(7782), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7784), 1,
      anon_sym_u2983,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    ACTIONS(7788), 1,
      aux_sym__qid_token1,
    ACTIONS(7790), 1,
      anon_sym_DOT,
    ACTIONS(7794), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7796), 1,
      anon_sym_u2987,
    ACTIONS(7798), 1,
      aux_sym_integer_token1,
    ACTIONS(7800), 1,
      aux_sym_literal_token1,
    ACTIONS(7802), 1,
      anon_sym_Set,
    STATE(7245), 1,
      sym_atom,
    STATE(7239), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7234), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7776), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [580373] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10236), 1,
      sym_id,
    ACTIONS(10238), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10242), 1,
      anon_sym_record,
    ACTIONS(10244), 1,
      anon_sym_LPAREN,
    ACTIONS(10246), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10248), 1,
      anon_sym_u2983,
    ACTIONS(10250), 1,
      anon_sym_LBRACE,
    ACTIONS(10252), 1,
      aux_sym__qid_token1,
    ACTIONS(10254), 1,
      anon_sym_DOT,
    ACTIONS(10258), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10260), 1,
      anon_sym_u2987,
    ACTIONS(10262), 1,
      aux_sym_integer_token1,
    ACTIONS(10264), 1,
      aux_sym_literal_token1,
    ACTIONS(10266), 1,
      anon_sym_Set,
    STATE(7721), 1,
      sym_atom,
    STATE(7797), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7715), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10240), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [580448] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 27,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [580491] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5552), 1,
      sym_id,
    ACTIONS(5556), 1,
      anon_sym_record,
    ACTIONS(5558), 1,
      anon_sym_LPAREN,
    ACTIONS(5562), 1,
      anon_sym_u2983,
    ACTIONS(5564), 1,
      anon_sym_LBRACE,
    ACTIONS(5566), 1,
      aux_sym__qid_token1,
    ACTIONS(5568), 1,
      anon_sym_DOT,
    ACTIONS(5572), 1,
      anon_sym_u2987,
    ACTIONS(5574), 1,
      aux_sym_integer_token1,
    ACTIONS(5576), 1,
      anon_sym_Set,
    ACTIONS(11551), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11553), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11555), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11557), 1,
      aux_sym_literal_token1,
    STATE(5186), 1,
      sym_atom,
    STATE(5181), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5179), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5554), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [580566] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2020), 1,
      sym_id,
    ACTIONS(2030), 1,
      anon_sym_record,
    ACTIONS(2040), 1,
      aux_sym__qid_token1,
    ACTIONS(2050), 1,
      anon_sym_u2987,
    ACTIONS(2054), 1,
      aux_sym_integer_token1,
    ACTIONS(2056), 1,
      anon_sym_Set,
    ACTIONS(4660), 1,
      anon_sym_DOT,
    ACTIONS(11683), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11687), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11689), 1,
      aux_sym_literal_token1,
    ACTIONS(12685), 1,
      anon_sym_LPAREN,
    ACTIONS(12687), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12689), 1,
      anon_sym_u2983,
    ACTIONS(12691), 1,
      anon_sym_LBRACE,
    STATE(4498), 1,
      sym_atom,
    STATE(4497), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4495), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2028), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [580641] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12511), 1,
      anon_sym_LBRACE,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    STATE(11894), 1,
      sym_atom,
    STATE(11787), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [580716] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7351), 1,
      sym_id,
    ACTIONS(7353), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7357), 1,
      anon_sym_record,
    ACTIONS(7359), 1,
      anon_sym_LPAREN,
    ACTIONS(7361), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7363), 1,
      anon_sym_u2983,
    ACTIONS(7365), 1,
      anon_sym_LBRACE,
    ACTIONS(7367), 1,
      aux_sym__qid_token1,
    ACTIONS(7369), 1,
      anon_sym_DOT,
    ACTIONS(7373), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7375), 1,
      anon_sym_u2987,
    ACTIONS(7377), 1,
      aux_sym_integer_token1,
    ACTIONS(7379), 1,
      aux_sym_literal_token1,
    ACTIONS(7381), 1,
      anon_sym_Set,
    STATE(7138), 1,
      sym_atom,
    STATE(7132), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7129), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7355), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [580791] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5820), 1,
      sym_id,
    ACTIONS(5824), 1,
      anon_sym_record,
    ACTIONS(5826), 1,
      anon_sym_LPAREN,
    ACTIONS(5830), 1,
      anon_sym_u2983,
    ACTIONS(5832), 1,
      anon_sym_LBRACE,
    ACTIONS(5834), 1,
      aux_sym__qid_token1,
    ACTIONS(5836), 1,
      anon_sym_DOT,
    ACTIONS(5840), 1,
      anon_sym_u2987,
    ACTIONS(5842), 1,
      aux_sym_integer_token1,
    ACTIONS(5844), 1,
      anon_sym_Set,
    ACTIONS(12693), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12695), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12697), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12699), 1,
      aux_sym_literal_token1,
    STATE(6038), 1,
      sym_atom,
    STATE(6031), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6037), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5822), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [580866] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12511), 1,
      anon_sym_LBRACE,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    STATE(11934), 1,
      sym_atom,
    STATE(11787), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [580941] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2058), 1,
      sym_id,
    ACTIONS(2068), 1,
      anon_sym_record,
    ACTIONS(2078), 1,
      aux_sym__qid_token1,
    ACTIONS(2088), 1,
      anon_sym_u2987,
    ACTIONS(2092), 1,
      aux_sym_integer_token1,
    ACTIONS(2094), 1,
      anon_sym_Set,
    ACTIONS(4684), 1,
      anon_sym_DOT,
    ACTIONS(11699), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11703), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11705), 1,
      aux_sym_literal_token1,
    ACTIONS(12701), 1,
      anon_sym_LPAREN,
    ACTIONS(12703), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12705), 1,
      anon_sym_u2983,
    ACTIONS(12707), 1,
      anon_sym_LBRACE,
    STATE(4364), 1,
      sym_atom,
    STATE(4363), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4360), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2066), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [581016] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10869), 1,
      sym_id,
    ACTIONS(10871), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10875), 1,
      anon_sym_record,
    ACTIONS(10877), 1,
      anon_sym_LPAREN,
    ACTIONS(10879), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10881), 1,
      anon_sym_u2983,
    ACTIONS(10883), 1,
      anon_sym_LBRACE,
    ACTIONS(10885), 1,
      aux_sym__qid_token1,
    ACTIONS(10887), 1,
      anon_sym_DOT,
    ACTIONS(10891), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10893), 1,
      anon_sym_u2987,
    ACTIONS(10895), 1,
      aux_sym_integer_token1,
    ACTIONS(10897), 1,
      aux_sym_literal_token1,
    ACTIONS(10899), 1,
      anon_sym_Set,
    STATE(7756), 1,
      sym_atom,
    STATE(7811), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7749), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10873), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [581091] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5898), 1,
      sym_id,
    ACTIONS(5902), 1,
      anon_sym_record,
    ACTIONS(5904), 1,
      anon_sym_LPAREN,
    ACTIONS(5908), 1,
      anon_sym_u2983,
    ACTIONS(5910), 1,
      anon_sym_LBRACE,
    ACTIONS(5912), 1,
      aux_sym__qid_token1,
    ACTIONS(5914), 1,
      anon_sym_DOT,
    ACTIONS(5918), 1,
      anon_sym_u2987,
    ACTIONS(5920), 1,
      aux_sym_integer_token1,
    ACTIONS(5922), 1,
      anon_sym_Set,
    ACTIONS(11575), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11577), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11579), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11581), 1,
      aux_sym_literal_token1,
    STATE(6244), 1,
      sym_atom,
    STATE(6239), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6237), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5900), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [581166] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2430), 1,
      sym_id,
    ACTIONS(2440), 1,
      anon_sym_record,
    ACTIONS(2450), 1,
      aux_sym__qid_token1,
    ACTIONS(2460), 1,
      anon_sym_u2987,
    ACTIONS(2464), 1,
      aux_sym_integer_token1,
    ACTIONS(2466), 1,
      anon_sym_Set,
    ACTIONS(4604), 1,
      anon_sym_LPAREN,
    ACTIONS(4608), 1,
      anon_sym_u2983,
    ACTIONS(4610), 1,
      anon_sym_LBRACE,
    ACTIONS(4612), 1,
      anon_sym_DOT,
    ACTIONS(12541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12551), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12553), 1,
      aux_sym_literal_token1,
    ACTIONS(12649), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(5712), 1,
      sym_atom,
    STATE(5587), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5520), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2438), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [581241] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2520), 1,
      sym_id,
    ACTIONS(2530), 1,
      anon_sym_record,
    ACTIONS(2540), 1,
      aux_sym__qid_token1,
    ACTIONS(2550), 1,
      anon_sym_u2987,
    ACTIONS(2554), 1,
      aux_sym_integer_token1,
    ACTIONS(2556), 1,
      anon_sym_Set,
    ACTIONS(4726), 1,
      anon_sym_DOT,
    ACTIONS(11785), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11789), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11791), 1,
      aux_sym_literal_token1,
    ACTIONS(12709), 1,
      anon_sym_LPAREN,
    ACTIONS(12711), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12713), 1,
      anon_sym_u2983,
    ACTIONS(12715), 1,
      anon_sym_LBRACE,
    STATE(4087), 1,
      sym_atom,
    STATE(4086), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4083), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2528), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [581316] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(3002), 1,
      sym_id,
    ACTIONS(3012), 1,
      anon_sym_record,
    ACTIONS(3014), 1,
      anon_sym_LPAREN,
    ACTIONS(3018), 1,
      anon_sym_u2983,
    ACTIONS(3020), 1,
      anon_sym_LBRACE,
    ACTIONS(3022), 1,
      anon_sym_DOT,
    ACTIONS(3028), 1,
      anon_sym_u2987,
    ACTIONS(3030), 1,
      aux_sym_integer_token1,
    ACTIONS(3032), 1,
      anon_sym_Set,
    ACTIONS(11607), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11609), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11611), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11613), 1,
      aux_sym_literal_token1,
    STATE(5356), 1,
      sym_atom,
    STATE(5150), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5143), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3010), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [581391] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7460), 1,
      sym_id,
    ACTIONS(7462), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7466), 1,
      anon_sym_record,
    ACTIONS(7468), 1,
      anon_sym_LPAREN,
    ACTIONS(7470), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7472), 1,
      anon_sym_u2983,
    ACTIONS(7474), 1,
      anon_sym_LBRACE,
    ACTIONS(7476), 1,
      aux_sym__qid_token1,
    ACTIONS(7478), 1,
      anon_sym_DOT,
    ACTIONS(7480), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7482), 1,
      anon_sym_u2987,
    ACTIONS(7484), 1,
      aux_sym_integer_token1,
    ACTIONS(7486), 1,
      aux_sym_literal_token1,
    ACTIONS(7488), 1,
      anon_sym_Set,
    STATE(7352), 1,
      sym_atom,
    STATE(7319), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7303), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7464), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [581466] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3750), 1,
      sym_id,
    ACTIONS(3760), 1,
      anon_sym_record,
    ACTIONS(3770), 1,
      aux_sym__qid_token1,
    ACTIONS(3780), 1,
      anon_sym_u2987,
    ACTIONS(3784), 1,
      aux_sym_integer_token1,
    ACTIONS(3786), 1,
      anon_sym_Set,
    ACTIONS(4572), 1,
      anon_sym_DOT,
    ACTIONS(12197), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12201), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12203), 1,
      aux_sym_literal_token1,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12721), 1,
      anon_sym_u2983,
    ACTIONS(12723), 1,
      anon_sym_LBRACE,
    STATE(4254), 1,
      sym_atom,
    STATE(4138), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4137), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3758), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [581541] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7317), 1,
      sym_id,
    ACTIONS(7319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7323), 1,
      anon_sym_record,
    ACTIONS(7325), 1,
      anon_sym_LPAREN,
    ACTIONS(7327), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(7329), 1,
      anon_sym_u2983,
    ACTIONS(7331), 1,
      anon_sym_LBRACE,
    ACTIONS(7333), 1,
      aux_sym__qid_token1,
    ACTIONS(7335), 1,
      anon_sym_DOT,
    ACTIONS(7337), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(7339), 1,
      anon_sym_u2987,
    ACTIONS(7341), 1,
      aux_sym_integer_token1,
    ACTIONS(7343), 1,
      aux_sym_literal_token1,
    ACTIONS(7345), 1,
      anon_sym_Set,
    STATE(7349), 1,
      sym_atom,
    STATE(7337), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7307), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(7321), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [581616] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10518), 1,
      sym_id,
    ACTIONS(10520), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10524), 1,
      anon_sym_record,
    ACTIONS(10526), 1,
      anon_sym_LPAREN,
    ACTIONS(10528), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10530), 1,
      anon_sym_u2983,
    ACTIONS(10532), 1,
      anon_sym_LBRACE,
    ACTIONS(10534), 1,
      aux_sym__qid_token1,
    ACTIONS(10536), 1,
      anon_sym_DOT,
    ACTIONS(10540), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10542), 1,
      anon_sym_u2987,
    ACTIONS(10544), 1,
      aux_sym_integer_token1,
    ACTIONS(10546), 1,
      aux_sym_literal_token1,
    ACTIONS(10548), 1,
      anon_sym_Set,
    STATE(7669), 1,
      sym_atom,
    STATE(7770), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7780), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10522), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [581691] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_id,
    ACTIONS(6513), 1,
      anon_sym_record,
    ACTIONS(6515), 1,
      anon_sym_LPAREN,
    ACTIONS(6519), 1,
      anon_sym_u2983,
    ACTIONS(6521), 1,
      anon_sym_LBRACE,
    ACTIONS(6523), 1,
      aux_sym__qid_token1,
    ACTIONS(6525), 1,
      anon_sym_DOT,
    ACTIONS(6529), 1,
      anon_sym_u2987,
    ACTIONS(6531), 1,
      aux_sym_integer_token1,
    ACTIONS(6533), 1,
      anon_sym_Set,
    ACTIONS(11817), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11819), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11821), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11823), 1,
      aux_sym_literal_token1,
    STATE(6572), 1,
      sym_atom,
    STATE(6562), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6556), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(6511), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [581766] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(706), 1,
      aux_sym__qid_token1,
    ACTIONS(2822), 1,
      sym_id,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2844), 1,
      anon_sym_DOT,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2856), 1,
      aux_sym_integer_token1,
    ACTIONS(2858), 1,
      anon_sym_Set,
    ACTIONS(11591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11593), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11595), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11597), 1,
      aux_sym_literal_token1,
    STATE(4801), 1,
      sym_atom,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2832), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [581841] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2208), 1,
      sym_id,
    ACTIONS(2218), 1,
      anon_sym_record,
    ACTIONS(2228), 1,
      aux_sym__qid_token1,
    ACTIONS(2238), 1,
      anon_sym_u2987,
    ACTIONS(2242), 1,
      aux_sym_integer_token1,
    ACTIONS(2244), 1,
      anon_sym_Set,
    ACTIONS(4762), 1,
      anon_sym_DOT,
    ACTIONS(11825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11829), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11831), 1,
      aux_sym_literal_token1,
    ACTIONS(12725), 1,
      anon_sym_LPAREN,
    ACTIONS(12727), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12729), 1,
      anon_sym_u2983,
    ACTIONS(12731), 1,
      anon_sym_LBRACE,
    STATE(4770), 1,
      sym_atom,
    STATE(4769), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4767), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2216), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [581916] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2468), 1,
      sym_id,
    ACTIONS(2472), 1,
      anon_sym_record,
    ACTIONS(2474), 1,
      anon_sym_LPAREN,
    ACTIONS(2478), 1,
      anon_sym_u2983,
    ACTIONS(2480), 1,
      anon_sym_LBRACE,
    ACTIONS(2482), 1,
      aux_sym__qid_token1,
    ACTIONS(2484), 1,
      anon_sym_DOT,
    ACTIONS(2488), 1,
      anon_sym_u2987,
    ACTIONS(2490), 1,
      aux_sym_integer_token1,
    ACTIONS(2492), 1,
      anon_sym_Set,
    ACTIONS(12391), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12393), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12395), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12397), 1,
      aux_sym_literal_token1,
    STATE(5430), 1,
      sym_atom,
    STATE(5429), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5422), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2470), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [581991] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5444), 1,
      sym_id,
    ACTIONS(5448), 1,
      anon_sym_record,
    ACTIONS(5450), 1,
      anon_sym_LPAREN,
    ACTIONS(5454), 1,
      anon_sym_u2983,
    ACTIONS(5456), 1,
      anon_sym_LBRACE,
    ACTIONS(5458), 1,
      aux_sym__qid_token1,
    ACTIONS(5460), 1,
      anon_sym_DOT,
    ACTIONS(5464), 1,
      anon_sym_u2987,
    ACTIONS(5466), 1,
      aux_sym_integer_token1,
    ACTIONS(5468), 1,
      anon_sym_Set,
    ACTIONS(11833), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11835), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11837), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11839), 1,
      aux_sym_literal_token1,
    STATE(5680), 1,
      sym_atom,
    STATE(5605), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5574), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5446), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [582066] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3618), 1,
      sym_id,
    ACTIONS(3628), 1,
      anon_sym_record,
    ACTIONS(3638), 1,
      aux_sym__qid_token1,
    ACTIONS(3648), 1,
      anon_sym_u2987,
    ACTIONS(3652), 1,
      aux_sym_integer_token1,
    ACTIONS(3654), 1,
      anon_sym_Set,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(12205), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12209), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12211), 1,
      aux_sym_literal_token1,
    ACTIONS(12733), 1,
      anon_sym_LPAREN,
    ACTIONS(12735), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12737), 1,
      anon_sym_u2983,
    ACTIONS(12739), 1,
      anon_sym_LBRACE,
    STATE(4106), 1,
      sym_atom,
    STATE(4101), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4115), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3626), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [582141] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2834), 1,
      anon_sym_record,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2840), 1,
      anon_sym_u2983,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2852), 1,
      anon_sym_u2987,
    ACTIONS(2856), 1,
      aux_sym_integer_token1,
    ACTIONS(2886), 1,
      sym_id,
    ACTIONS(2896), 1,
      aux_sym__qid_token1,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2906), 1,
      anon_sym_Set,
    ACTIONS(11591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11593), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11595), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11597), 1,
      aux_sym_literal_token1,
    STATE(4801), 1,
      sym_atom,
    STATE(4796), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4793), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2832), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [582216] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3974), 1,
      anon_sym_record,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    ACTIONS(3980), 1,
      anon_sym_u2983,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3992), 1,
      anon_sym_u2987,
    ACTIONS(3996), 1,
      aux_sym_integer_token1,
    ACTIONS(3998), 1,
      anon_sym_Set,
    ACTIONS(4222), 1,
      sym_id,
    ACTIONS(4224), 1,
      aux_sym__qid_token1,
    ACTIONS(11583), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11585), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11587), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11589), 1,
      aux_sym_literal_token1,
    STATE(6079), 1,
      sym_atom,
    STATE(6071), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6076), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3972), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [582291] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_id,
    ACTIONS(10202), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10206), 1,
      anon_sym_record,
    ACTIONS(10208), 1,
      anon_sym_LPAREN,
    ACTIONS(10210), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10212), 1,
      anon_sym_u2983,
    ACTIONS(10214), 1,
      anon_sym_LBRACE,
    ACTIONS(10216), 1,
      aux_sym__qid_token1,
    ACTIONS(10218), 1,
      anon_sym_DOT,
    ACTIONS(10222), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10224), 1,
      anon_sym_u2987,
    ACTIONS(10226), 1,
      aux_sym_integer_token1,
    ACTIONS(10228), 1,
      aux_sym_literal_token1,
    ACTIONS(10230), 1,
      anon_sym_Set,
    STATE(7746), 1,
      sym_atom,
    STATE(7740), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7726), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10204), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [582366] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2340), 1,
      sym_id,
    ACTIONS(2350), 1,
      anon_sym_record,
    ACTIONS(2360), 1,
      aux_sym__qid_token1,
    ACTIONS(2370), 1,
      anon_sym_u2987,
    ACTIONS(2374), 1,
      aux_sym_integer_token1,
    ACTIONS(2376), 1,
      anon_sym_Set,
    ACTIONS(4292), 1,
      anon_sym_LPAREN,
    ACTIONS(4296), 1,
      anon_sym_u2983,
    ACTIONS(4298), 1,
      anon_sym_LBRACE,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    ACTIONS(12597), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12599), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12601), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12603), 1,
      aux_sym_literal_token1,
    STATE(5445), 1,
      sym_atom,
    STATE(5425), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5431), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2348), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [582441] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5820), 1,
      sym_id,
    ACTIONS(5824), 1,
      anon_sym_record,
    ACTIONS(5826), 1,
      anon_sym_LPAREN,
    ACTIONS(5830), 1,
      anon_sym_u2983,
    ACTIONS(5832), 1,
      anon_sym_LBRACE,
    ACTIONS(5834), 1,
      aux_sym__qid_token1,
    ACTIONS(5836), 1,
      anon_sym_DOT,
    ACTIONS(5840), 1,
      anon_sym_u2987,
    ACTIONS(5842), 1,
      aux_sym_integer_token1,
    ACTIONS(5844), 1,
      anon_sym_Set,
    ACTIONS(12693), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12695), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12697), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12699), 1,
      aux_sym_literal_token1,
    STATE(6042), 1,
      sym_atom,
    STATE(6031), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6037), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5822), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [582516] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3684), 1,
      sym_id,
    ACTIONS(3694), 1,
      anon_sym_record,
    ACTIONS(3704), 1,
      aux_sym__qid_token1,
    ACTIONS(3714), 1,
      anon_sym_u2987,
    ACTIONS(3718), 1,
      aux_sym_integer_token1,
    ACTIONS(3720), 1,
      anon_sym_Set,
    ACTIONS(4598), 1,
      anon_sym_DOT,
    ACTIONS(12245), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12249), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12251), 1,
      aux_sym_literal_token1,
    ACTIONS(12741), 1,
      anon_sym_LPAREN,
    ACTIONS(12743), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12745), 1,
      anon_sym_u2983,
    ACTIONS(12747), 1,
      anon_sym_LBRACE,
    STATE(4489), 1,
      sym_atom,
    STATE(4471), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4437), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3692), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [582591] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2756), 1,
      sym_id,
    ACTIONS(2760), 1,
      anon_sym_record,
    ACTIONS(2770), 1,
      aux_sym__qid_token1,
    ACTIONS(2776), 1,
      anon_sym_u2987,
    ACTIONS(2778), 1,
      aux_sym_integer_token1,
    ACTIONS(2780), 1,
      anon_sym_Set,
    ACTIONS(4364), 1,
      anon_sym_DOT,
    ACTIONS(11933), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11937), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11939), 1,
      aux_sym_literal_token1,
    ACTIONS(12749), 1,
      anon_sym_LPAREN,
    ACTIONS(12751), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12753), 1,
      anon_sym_u2983,
    ACTIONS(12755), 1,
      anon_sym_LBRACE,
    STATE(4013), 1,
      sym_atom,
    STATE(4036), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4033), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2758), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [582666] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3524), 1,
      sym_id,
    ACTIONS(3530), 1,
      anon_sym_record,
    ACTIONS(3532), 1,
      anon_sym_LPAREN,
    ACTIONS(3536), 1,
      anon_sym_u2983,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    ACTIONS(3540), 1,
      aux_sym__qid_token1,
    ACTIONS(3542), 1,
      anon_sym_DOT,
    ACTIONS(3546), 1,
      anon_sym_u2987,
    ACTIONS(3548), 1,
      aux_sym_integer_token1,
    ACTIONS(3550), 1,
      anon_sym_Set,
    ACTIONS(11849), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11851), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11853), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11855), 1,
      aux_sym_literal_token1,
    STATE(4785), 1,
      sym_atom,
    STATE(4820), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4761), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3528), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [582741] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10355), 1,
      sym_id,
    ACTIONS(10357), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10361), 1,
      anon_sym_record,
    ACTIONS(10363), 1,
      anon_sym_LPAREN,
    ACTIONS(10365), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10367), 1,
      anon_sym_u2983,
    ACTIONS(10369), 1,
      anon_sym_LBRACE,
    ACTIONS(10371), 1,
      aux_sym__qid_token1,
    ACTIONS(10373), 1,
      anon_sym_DOT,
    ACTIONS(10377), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10379), 1,
      anon_sym_u2987,
    ACTIONS(10381), 1,
      aux_sym_integer_token1,
    ACTIONS(10383), 1,
      aux_sym_literal_token1,
    ACTIONS(10385), 1,
      anon_sym_Set,
    STATE(7700), 1,
      sym_atom,
    STATE(7699), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7698), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10359), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [582816] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9737), 1,
      sym_id,
    ACTIONS(9739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9743), 1,
      anon_sym_record,
    ACTIONS(9745), 1,
      anon_sym_LPAREN,
    ACTIONS(9747), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(9749), 1,
      anon_sym_u2983,
    ACTIONS(9751), 1,
      anon_sym_LBRACE,
    ACTIONS(9753), 1,
      aux_sym__qid_token1,
    ACTIONS(9755), 1,
      anon_sym_DOT,
    ACTIONS(9759), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(9761), 1,
      anon_sym_u2987,
    ACTIONS(9763), 1,
      aux_sym_integer_token1,
    ACTIONS(9765), 1,
      aux_sym_literal_token1,
    ACTIONS(9767), 1,
      anon_sym_Set,
    STATE(7659), 1,
      sym_atom,
    STATE(7654), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7653), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(9741), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [582891] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3590), 1,
      sym_id,
    ACTIONS(3596), 1,
      anon_sym_record,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    ACTIONS(3602), 1,
      anon_sym_u2983,
    ACTIONS(3604), 1,
      anon_sym_LBRACE,
    ACTIONS(3606), 1,
      aux_sym__qid_token1,
    ACTIONS(3608), 1,
      anon_sym_DOT,
    ACTIONS(3612), 1,
      anon_sym_u2987,
    ACTIONS(3614), 1,
      aux_sym_integer_token1,
    ACTIONS(3616), 1,
      anon_sym_Set,
    ACTIONS(11857), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11859), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11861), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11863), 1,
      aux_sym_literal_token1,
    STATE(4567), 1,
      sym_atom,
    STATE(4519), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4459), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3594), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [582966] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5308), 1,
      sym_id,
    ACTIONS(5312), 1,
      anon_sym_record,
    ACTIONS(5314), 1,
      anon_sym_LPAREN,
    ACTIONS(5318), 1,
      anon_sym_u2983,
    ACTIONS(5320), 1,
      anon_sym_LBRACE,
    ACTIONS(5322), 1,
      aux_sym__qid_token1,
    ACTIONS(5324), 1,
      anon_sym_DOT,
    ACTIONS(5328), 1,
      anon_sym_u2987,
    ACTIONS(5330), 1,
      aux_sym_integer_token1,
    ACTIONS(5332), 1,
      anon_sym_Set,
    ACTIONS(12439), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12441), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12443), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12445), 1,
      aux_sym_literal_token1,
    STATE(6160), 1,
      sym_atom,
    STATE(6159), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6158), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5310), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [583041] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5392), 1,
      sym_id,
    ACTIONS(5396), 1,
      anon_sym_record,
    ACTIONS(5398), 1,
      anon_sym_LPAREN,
    ACTIONS(5402), 1,
      anon_sym_u2983,
    ACTIONS(5404), 1,
      anon_sym_LBRACE,
    ACTIONS(5406), 1,
      aux_sym__qid_token1,
    ACTIONS(5408), 1,
      anon_sym_DOT,
    ACTIONS(5412), 1,
      anon_sym_u2987,
    ACTIONS(5414), 1,
      aux_sym_integer_token1,
    ACTIONS(5416), 1,
      anon_sym_Set,
    ACTIONS(12093), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12095), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12097), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12099), 1,
      aux_sym_literal_token1,
    STATE(4697), 1,
      sym_atom,
    STATE(4650), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4691), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5394), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [583116] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [583157] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5062), 1,
      sym_id,
    ACTIONS(5066), 1,
      anon_sym_record,
    ACTIONS(5068), 1,
      anon_sym_LPAREN,
    ACTIONS(5072), 1,
      anon_sym_u2983,
    ACTIONS(5074), 1,
      anon_sym_LBRACE,
    ACTIONS(5076), 1,
      aux_sym__qid_token1,
    ACTIONS(5078), 1,
      anon_sym_DOT,
    ACTIONS(5082), 1,
      anon_sym_u2987,
    ACTIONS(5084), 1,
      aux_sym_integer_token1,
    ACTIONS(5086), 1,
      anon_sym_Set,
    ACTIONS(11427), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11429), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11431), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11433), 1,
      aux_sym_literal_token1,
    STATE(6055), 1,
      sym_atom,
    STATE(6049), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(6053), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(5064), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [583232] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 31,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [583273] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10518), 1,
      sym_id,
    ACTIONS(10520), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10524), 1,
      anon_sym_record,
    ACTIONS(10526), 1,
      anon_sym_LPAREN,
    ACTIONS(10528), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(10530), 1,
      anon_sym_u2983,
    ACTIONS(10532), 1,
      anon_sym_LBRACE,
    ACTIONS(10534), 1,
      aux_sym__qid_token1,
    ACTIONS(10536), 1,
      anon_sym_DOT,
    ACTIONS(10540), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(10542), 1,
      anon_sym_u2987,
    ACTIONS(10544), 1,
      aux_sym_integer_token1,
    ACTIONS(10546), 1,
      aux_sym_literal_token1,
    ACTIONS(10548), 1,
      anon_sym_Set,
    STATE(7791), 1,
      sym_atom,
    STATE(7770), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(7780), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(10522), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [583348] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2558), 1,
      sym_id,
    ACTIONS(2570), 1,
      anon_sym_record,
    ACTIONS(2572), 1,
      anon_sym_LPAREN,
    ACTIONS(2576), 1,
      anon_sym_u2983,
    ACTIONS(2578), 1,
      anon_sym_LBRACE,
    ACTIONS(2580), 1,
      aux_sym__qid_token1,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2590), 1,
      anon_sym_u2987,
    ACTIONS(2594), 1,
      aux_sym_integer_token1,
    ACTIONS(2596), 1,
      anon_sym_Set,
    ACTIONS(12461), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12463), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12465), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12467), 1,
      aux_sym_literal_token1,
    STATE(5362), 1,
      sym_atom,
    STATE(5359), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(5727), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(2568), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [583423] = 20,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3656), 1,
      sym_id,
    ACTIONS(3662), 1,
      anon_sym_record,
    ACTIONS(3664), 1,
      anon_sym_LPAREN,
    ACTIONS(3668), 1,
      anon_sym_u2983,
    ACTIONS(3670), 1,
      anon_sym_LBRACE,
    ACTIONS(3672), 1,
      aux_sym__qid_token1,
    ACTIONS(3674), 1,
      anon_sym_DOT,
    ACTIONS(3678), 1,
      anon_sym_u2987,
    ACTIONS(3680), 1,
      aux_sym_integer_token1,
    ACTIONS(3682), 1,
      anon_sym_Set,
    ACTIONS(11865), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11867), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11869), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11871), 1,
      aux_sym_literal_token1,
    STATE(4326), 1,
      sym_atom,
    STATE(4320), 2,
      sym__atom_curly,
      sym__atom_no_curly,
    STATE(4317), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(3660), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [583498] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 27,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [583541] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [583583] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [583625] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [583667] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [583709] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [583751] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [583793] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [583835] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [583875] = 3,
    ACTIONS(6744), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6742), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [583915] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12757), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [583959] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [583999] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [584039] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [584081] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [584123] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [584163] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [584203] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [584245] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [584285] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [584325] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12759), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [584369] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [584409] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [584451] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [584491] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [584531] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [584573] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [584615] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12761), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [584659] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [584701] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [584743] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [584785] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [584827] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [584869] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [584911] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [584951] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [584993] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [585035] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [585075] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [585117] = 3,
    ACTIONS(6433), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6431), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [585157] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [585199] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [585241] = 3,
    ACTIONS(12481), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(12479), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [585281] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [585323] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [585365] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [585405] = 4,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(12763), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 29,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [585447] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [585489] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [585531] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [585573] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [585615] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [585657] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [585699] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [585739] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [585781] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [585823] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [585865] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [585907] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [585949] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [585991] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [586033] = 3,
    ACTIONS(6281), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6279), 30,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [586073] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [586115] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [586157] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 26,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [586199] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12765), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [586243] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12767), 1,
      anon_sym_LBRACE,
    STATE(12296), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [586314] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [586355] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12769), 1,
      anon_sym_LBRACE,
    STATE(10346), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [586426] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12771), 1,
      anon_sym_LBRACE,
    STATE(10401), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [586497] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [586538] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12773), 1,
      anon_sym_LBRACE,
    STATE(10456), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [586609] = 3,
    ACTIONS(6693), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6691), 29,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [586648] = 3,
    ACTIONS(6545), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6543), 29,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [586687] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12775), 1,
      anon_sym_LBRACE,
    STATE(10509), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [586758] = 3,
    ACTIONS(6626), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6624), 29,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [586797] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12777), 1,
      anon_sym_LBRACE,
    STATE(10562), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [586868] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12779), 1,
      anon_sym_LBRACE,
    STATE(11450), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [586939] = 3,
    ACTIONS(6791), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6789), 29,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [586978] = 3,
    ACTIONS(6675), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6673), 29,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [587017] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12781), 1,
      anon_sym_LBRACE,
    STATE(10615), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [587088] = 3,
    ACTIONS(6437), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6435), 29,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [587127] = 3,
    ACTIONS(6679), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6677), 29,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [587166] = 3,
    ACTIONS(6683), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6681), 29,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [587205] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [587246] = 3,
    ACTIONS(6689), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6687), 29,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [587285] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [587326] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [587367] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [587408] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12783), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [587451] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [587492] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [587533] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12785), 1,
      anon_sym_LBRACE,
    STATE(10668), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [587604] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12787), 1,
      anon_sym_LBRACE,
    STATE(10721), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [587675] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [587716] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12789), 1,
      anon_sym_LBRACE,
    STATE(10774), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [587787] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [587828] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [587869] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [587910] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [587951] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12791), 1,
      anon_sym_LBRACE,
    STATE(10826), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [588022] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [588063] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [588104] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11210), 1,
      sym_id,
    ACTIONS(11212), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11216), 1,
      anon_sym_record,
    ACTIONS(11218), 1,
      anon_sym_LPAREN,
    ACTIONS(11220), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11222), 1,
      anon_sym_u2983,
    ACTIONS(11226), 1,
      aux_sym__qid_token1,
    ACTIONS(11228), 1,
      anon_sym_DOT,
    ACTIONS(11230), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11232), 1,
      anon_sym_u2987,
    ACTIONS(11234), 1,
      aux_sym_integer_token1,
    ACTIONS(11236), 1,
      aux_sym_literal_token1,
    ACTIONS(11238), 1,
      anon_sym_Set,
    ACTIONS(12793), 1,
      anon_sym_LBRACE,
    STATE(7996), 1,
      sym__atom_no_curly,
    STATE(8901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(11214), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [588175] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12795), 1,
      anon_sym_LBRACE,
    STATE(10874), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [588246] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12797), 1,
      anon_sym_LBRACE,
    STATE(10886), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [588317] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12799), 1,
      anon_sym_LBRACE,
    STATE(10922), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [588388] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [588429] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [588470] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [588511] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12801), 1,
      anon_sym_LBRACE,
    STATE(10970), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [588582] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [588623] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12803), 1,
      anon_sym_LBRACE,
    STATE(11018), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [588694] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12805), 1,
      anon_sym_LBRACE,
    STATE(11060), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [588765] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [588806] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12807), 1,
      anon_sym_LBRACE,
    STATE(11095), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [588877] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12809), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 24,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [588920] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [588961] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [589002] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [589043] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12811), 1,
      anon_sym_LBRACE,
    STATE(11130), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [589114] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [589155] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12813), 1,
      anon_sym_LBRACE,
    STATE(11163), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [589226] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [589267] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [589308] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [589349] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [589390] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12793), 1,
      anon_sym_LBRACE,
    STATE(11189), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [589461] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [589502] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [589543] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [589584] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [589625] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12815), 1,
      anon_sym_LBRACE,
    STATE(11211), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [589696] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [589737] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [589778] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12817), 1,
      anon_sym_LBRACE,
    STATE(11233), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [589849] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [589890] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [589931] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [589972] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [590013] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12819), 1,
      anon_sym_LBRACE,
    STATE(11255), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [590084] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [590125] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12821), 1,
      anon_sym_LBRACE,
    STATE(11277), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [590196] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [590237] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12823), 1,
      anon_sym_LBRACE,
    STATE(11299), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [590308] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12825), 1,
      anon_sym_LBRACE,
    STATE(11321), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [590379] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [590420] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [590461] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12827), 1,
      anon_sym_LBRACE,
    STATE(11343), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [590532] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11210), 1,
      sym_id,
    ACTIONS(11212), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11216), 1,
      anon_sym_record,
    ACTIONS(11218), 1,
      anon_sym_LPAREN,
    ACTIONS(11220), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(11222), 1,
      anon_sym_u2983,
    ACTIONS(11226), 1,
      aux_sym__qid_token1,
    ACTIONS(11228), 1,
      anon_sym_DOT,
    ACTIONS(11230), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(11232), 1,
      anon_sym_u2987,
    ACTIONS(11234), 1,
      aux_sym_integer_token1,
    ACTIONS(11236), 1,
      aux_sym_literal_token1,
    ACTIONS(11238), 1,
      anon_sym_Set,
    ACTIONS(12829), 1,
      anon_sym_LBRACE,
    STATE(8006), 1,
      sym__atom_no_curly,
    STATE(8901), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(11214), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [590603] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12831), 1,
      anon_sym_LBRACE,
    STATE(11365), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [590674] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [590715] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12833), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [590758] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12835), 1,
      anon_sym_LBRACE,
    STATE(11387), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [590829] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [590870] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12837), 1,
      anon_sym_LBRACE,
    STATE(11730), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [590941] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [590982] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12839), 1,
      anon_sym_LBRACE,
    STATE(11409), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [591053] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12841), 1,
      anon_sym_LBRACE,
    STATE(11431), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [591124] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12843), 1,
      anon_sym_LBRACE,
    STATE(11453), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [591195] = 3,
    ACTIONS(6797), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6795), 29,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [591234] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12845), 1,
      anon_sym_LBRACE,
    STATE(11475), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [591305] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12847), 1,
      anon_sym_LBRACE,
    STATE(11497), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [591376] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [591417] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12849), 1,
      anon_sym_LBRACE,
    STATE(11519), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [591488] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12851), 1,
      anon_sym_LBRACE,
    STATE(11541), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [591559] = 3,
    ACTIONS(6505), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6503), 29,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [591598] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12853), 1,
      anon_sym_LBRACE,
    STATE(11563), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [591669] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [591710] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12855), 1,
      anon_sym_LBRACE,
    STATE(11585), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [591781] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12857), 1,
      anon_sym_LBRACE,
    STATE(11606), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [591852] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12859), 1,
      anon_sym_LBRACE,
    STATE(11624), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [591923] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12861), 1,
      anon_sym_LBRACE,
    STATE(11641), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [591994] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12863), 1,
      anon_sym_LBRACE,
    STATE(11658), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [592065] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12865), 1,
      anon_sym_LBRACE,
    STATE(11675), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [592136] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12867), 1,
      anon_sym_LBRACE,
    STATE(11692), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [592207] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12869), 1,
      anon_sym_LBRACE,
    STATE(11709), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [592278] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [592319] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12871), 1,
      anon_sym_LBRACE,
    STATE(11726), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [592390] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [592431] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12873), 1,
      anon_sym_LBRACE,
    STATE(11743), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [592502] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12875), 1,
      anon_sym_LBRACE,
    STATE(12356), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [592573] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12877), 1,
      anon_sym_LBRACE,
    STATE(11760), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [592644] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [592685] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12879), 1,
      anon_sym_LBRACE,
    STATE(11777), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [592756] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12881), 1,
      anon_sym_LBRACE,
    STATE(11794), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [592827] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12883), 1,
      anon_sym_LBRACE,
    STATE(11811), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [592898] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12885), 1,
      anon_sym_LBRACE,
    STATE(11824), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [592969] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12887), 1,
      anon_sym_LBRACE,
    STATE(11828), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [593040] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [593081] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12889), 1,
      anon_sym_LBRACE,
    STATE(11832), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [593152] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12891), 1,
      anon_sym_LBRACE,
    STATE(11836), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [593223] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12893), 1,
      anon_sym_LBRACE,
    STATE(11840), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [593294] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12895), 1,
      anon_sym_LBRACE,
    STATE(11844), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [593365] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12897), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [593408] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12899), 1,
      anon_sym_LBRACE,
    STATE(11848), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [593479] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12901), 1,
      anon_sym_LBRACE,
    STATE(11852), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [593550] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12903), 1,
      anon_sym_LBRACE,
    STATE(11856), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [593621] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12905), 1,
      anon_sym_LBRACE,
    STATE(11860), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [593692] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [593733] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12907), 1,
      anon_sym_LBRACE,
    STATE(11868), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [593804] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12909), 1,
      anon_sym_LBRACE,
    STATE(11872), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [593875] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12911), 1,
      anon_sym_LBRACE,
    STATE(11876), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [593946] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12913), 1,
      anon_sym_LBRACE,
    STATE(11880), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [594017] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12915), 1,
      anon_sym_LBRACE,
    STATE(11884), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [594088] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12917), 1,
      anon_sym_LBRACE,
    STATE(11888), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [594159] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12919), 1,
      anon_sym_LBRACE,
    STATE(11892), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [594230] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12921), 1,
      anon_sym_LBRACE,
    STATE(11896), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [594301] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12923), 1,
      anon_sym_LBRACE,
    STATE(11900), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [594372] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12925), 1,
      anon_sym_LBRACE,
    STATE(11904), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [594443] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12927), 1,
      anon_sym_LBRACE,
    STATE(11908), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [594514] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12929), 1,
      anon_sym_LBRACE,
    STATE(11912), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [594585] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12931), 1,
      anon_sym_LBRACE,
    STATE(11916), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [594656] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12933), 1,
      anon_sym_LBRACE,
    STATE(11920), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [594727] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12935), 1,
      anon_sym_LBRACE,
    STATE(11924), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [594798] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12937), 1,
      anon_sym_LBRACE,
    STATE(11928), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [594869] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12939), 1,
      anon_sym_LBRACE,
    STATE(11932), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [594940] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12941), 1,
      anon_sym_LBRACE,
    STATE(11936), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [595011] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12943), 1,
      anon_sym_LBRACE,
    STATE(11940), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [595082] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12945), 1,
      anon_sym_LBRACE,
    STATE(11944), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [595153] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12947), 1,
      anon_sym_LBRACE,
    STATE(11948), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [595224] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12949), 1,
      anon_sym_LBRACE,
    STATE(11952), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [595295] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12951), 1,
      anon_sym_LBRACE,
    STATE(11956), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [595366] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12953), 1,
      anon_sym_LBRACE,
    STATE(11960), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [595437] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12955), 1,
      anon_sym_LBRACE,
    STATE(11964), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [595508] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12957), 1,
      anon_sym_LBRACE,
    STATE(11968), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [595579] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12959), 1,
      anon_sym_LBRACE,
    STATE(11972), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [595650] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12961), 1,
      anon_sym_LBRACE,
    STATE(11976), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [595721] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12963), 1,
      anon_sym_LBRACE,
    STATE(11980), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [595792] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12965), 1,
      anon_sym_LBRACE,
    STATE(11984), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [595863] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12967), 1,
      anon_sym_LBRACE,
    STATE(11988), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [595934] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12969), 1,
      anon_sym_LBRACE,
    STATE(11992), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [596005] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12971), 1,
      anon_sym_LBRACE,
    STATE(11996), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [596076] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12973), 1,
      anon_sym_LBRACE,
    STATE(12000), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [596147] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12975), 1,
      anon_sym_LBRACE,
    STATE(12004), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [596218] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12977), 1,
      anon_sym_LBRACE,
    STATE(12008), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [596289] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12979), 1,
      anon_sym_LBRACE,
    STATE(12012), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [596360] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12981), 1,
      anon_sym_LBRACE,
    STATE(12016), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [596431] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12983), 1,
      anon_sym_LBRACE,
    STATE(12020), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [596502] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12985), 1,
      anon_sym_LBRACE,
    STATE(12024), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [596573] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12987), 1,
      anon_sym_LBRACE,
    STATE(12028), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [596644] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12989), 1,
      anon_sym_LBRACE,
    STATE(12032), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [596715] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12991), 1,
      anon_sym_LBRACE,
    STATE(12036), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [596786] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12993), 1,
      anon_sym_LBRACE,
    STATE(12040), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [596857] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12995), 1,
      anon_sym_LBRACE,
    STATE(12044), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [596928] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12997), 1,
      anon_sym_LBRACE,
    STATE(12048), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [596999] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12999), 1,
      anon_sym_LBRACE,
    STATE(12052), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [597070] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13001), 1,
      anon_sym_LBRACE,
    STATE(12056), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [597141] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13003), 1,
      anon_sym_LBRACE,
    STATE(12060), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [597212] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13005), 1,
      anon_sym_LBRACE,
    STATE(12064), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [597283] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13007), 1,
      anon_sym_LBRACE,
    STATE(12068), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [597354] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13009), 1,
      anon_sym_LBRACE,
    STATE(12072), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [597425] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13011), 1,
      anon_sym_LBRACE,
    STATE(12076), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [597496] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13013), 1,
      anon_sym_LBRACE,
    STATE(12080), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [597567] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [597608] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13015), 1,
      anon_sym_LBRACE,
    STATE(12084), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [597679] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13017), 1,
      anon_sym_LBRACE,
    STATE(12088), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [597750] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13019), 1,
      anon_sym_LBRACE,
    STATE(12092), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [597821] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13021), 1,
      anon_sym_LBRACE,
    STATE(12096), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [597892] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13023), 1,
      anon_sym_LBRACE,
    STATE(12100), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [597963] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13025), 1,
      anon_sym_LBRACE,
    STATE(12104), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [598034] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13027), 1,
      anon_sym_LBRACE,
    STATE(12108), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [598105] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13029), 1,
      anon_sym_LBRACE,
    STATE(12112), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [598176] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13031), 1,
      anon_sym_LBRACE,
    STATE(12116), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [598247] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13033), 1,
      anon_sym_LBRACE,
    STATE(12120), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [598318] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13035), 1,
      anon_sym_LBRACE,
    STATE(12124), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [598389] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13037), 1,
      anon_sym_LBRACE,
    STATE(12128), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [598460] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13039), 1,
      anon_sym_LBRACE,
    STATE(12132), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [598531] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13041), 1,
      anon_sym_LBRACE,
    STATE(12136), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [598602] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(12829), 1,
      anon_sym_LBRACE,
    STATE(12598), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [598673] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13043), 1,
      anon_sym_LBRACE,
    STATE(12140), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [598744] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13045), 1,
      anon_sym_LBRACE,
    STATE(12144), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [598815] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13047), 1,
      anon_sym_LBRACE,
    STATE(12148), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [598886] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13049), 1,
      anon_sym_LBRACE,
    STATE(12152), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [598957] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13051), 1,
      anon_sym_LBRACE,
    STATE(12156), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [599028] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13053), 1,
      anon_sym_LBRACE,
    STATE(12160), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [599099] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13055), 1,
      anon_sym_LBRACE,
    STATE(12164), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [599170] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [599211] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13057), 1,
      anon_sym_LBRACE,
    STATE(12168), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [599282] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13059), 1,
      anon_sym_LBRACE,
    STATE(12172), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [599353] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13061), 1,
      anon_sym_LBRACE,
    STATE(12176), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [599424] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13063), 1,
      anon_sym_LBRACE,
    STATE(12180), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [599495] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13065), 1,
      anon_sym_LBRACE,
    STATE(12184), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [599566] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13067), 1,
      anon_sym_LBRACE,
    STATE(12188), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [599637] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13069), 1,
      anon_sym_LBRACE,
    STATE(12192), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [599708] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13071), 1,
      anon_sym_LBRACE,
    STATE(12196), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [599779] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13073), 1,
      anon_sym_LBRACE,
    STATE(12200), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [599850] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13075), 1,
      anon_sym_LBRACE,
    STATE(12204), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [599921] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13077), 1,
      anon_sym_LBRACE,
    STATE(12208), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [599992] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13079), 1,
      anon_sym_LBRACE,
    STATE(12212), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [600063] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13081), 1,
      anon_sym_LBRACE,
    STATE(12216), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [600134] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13083), 1,
      anon_sym_LBRACE,
    STATE(12220), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [600205] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13085), 1,
      anon_sym_LBRACE,
    STATE(12224), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [600276] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13087), 1,
      anon_sym_LBRACE,
    STATE(12228), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [600347] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13089), 1,
      anon_sym_LBRACE,
    STATE(12232), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [600418] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13091), 1,
      anon_sym_LBRACE,
    STATE(12236), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [600489] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13093), 1,
      anon_sym_LBRACE,
    STATE(12240), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [600560] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13095), 1,
      anon_sym_LBRACE,
    STATE(12244), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [600631] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13097), 1,
      anon_sym_LBRACE,
    STATE(12248), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [600702] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13099), 1,
      anon_sym_LBRACE,
    STATE(12252), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [600773] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13101), 1,
      anon_sym_LBRACE,
    STATE(12256), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [600844] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13103), 1,
      anon_sym_LBRACE,
    STATE(12260), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [600915] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13105), 1,
      anon_sym_LBRACE,
    STATE(12264), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [600986] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13107), 1,
      anon_sym_LBRACE,
    STATE(12268), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [601057] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13109), 1,
      anon_sym_LBRACE,
    STATE(12272), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [601128] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13111), 1,
      anon_sym_LBRACE,
    STATE(12276), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [601199] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13113), 1,
      anon_sym_LBRACE,
    STATE(12280), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [601270] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13115), 1,
      anon_sym_LBRACE,
    STATE(12284), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [601341] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13117), 1,
      anon_sym_LBRACE,
    STATE(12288), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [601412] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13119), 1,
      anon_sym_LBRACE,
    STATE(12292), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [601483] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13121), 1,
      anon_sym_LBRACE,
    STATE(12300), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [601554] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13123), 1,
      anon_sym_LBRACE,
    STATE(12304), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [601625] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13125), 1,
      anon_sym_LBRACE,
    STATE(12308), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [601696] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13127), 1,
      anon_sym_LBRACE,
    STATE(12312), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [601767] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13129), 1,
      anon_sym_LBRACE,
    STATE(12316), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [601838] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13131), 1,
      anon_sym_LBRACE,
    STATE(12320), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [601909] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13133), 1,
      anon_sym_LBRACE,
    STATE(12324), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [601980] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13135), 1,
      anon_sym_LBRACE,
    STATE(12328), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [602051] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13137), 1,
      anon_sym_LBRACE,
    STATE(12747), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [602122] = 3,
    ACTIONS(6751), 1,
      anon_sym_BSLASH,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6749), 29,
      anon_sym_forall,
      anon_sym_u2200,
      anon_sym_u03bb,
      anon_sym_DOT_DOT_DOT,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_quoteGoal,
      anon_sym_tactic,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_LPAREN_PIPE,
      anon_sym_u2987,
      anon_sym_let,
      anon_sym_do,
      aux_sym_integer_token1,
      aux_sym_literal_token1,
      anon_sym_Set,
      sym_PropN,
  [602161] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [602202] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 25,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [602243] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13139), 1,
      anon_sym_LBRACE,
    STATE(10283), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [602314] = 19,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_id,
    ACTIONS(12499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12503), 1,
      anon_sym_record,
    ACTIONS(12505), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(12509), 1,
      anon_sym_u2983,
    ACTIONS(12513), 1,
      aux_sym__qid_token1,
    ACTIONS(12515), 1,
      anon_sym_DOT,
    ACTIONS(12517), 1,
      anon_sym_LPAREN_PIPE,
    ACTIONS(12519), 1,
      anon_sym_u2987,
    ACTIONS(12521), 1,
      aux_sym_integer_token1,
    ACTIONS(12523), 1,
      aux_sym_literal_token1,
    ACTIONS(12525), 1,
      anon_sym_Set,
    ACTIONS(13141), 1,
      anon_sym_LBRACE,
    STATE(11864), 1,
      sym__atom_no_curly,
    STATE(11821), 7,
      sym__ELLIPSIS,
      sym__qid,
      sym__expr_or_attr,
      sym_record_assignments,
      sym_field_assignments,
      sym_literal,
      sym_SetN,
    ACTIONS(12501), 8,
      anon_sym_u2026,
      anon_sym__,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      sym_PropN,
  [602385] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [602425] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 24,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [602465] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [602505] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [602545] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [602585] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 24,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [602625] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [602665] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 24,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [602705] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 24,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [602745] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 24,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [602785] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 24,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [602825] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13143), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [602867] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 24,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [602907] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [602947] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 24,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [602987] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603027] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603067] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603107] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603147] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603187] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603227] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13145), 1,
      anon_sym_EQ,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603269] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603309] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603349] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603389] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603429] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603469] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603509] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 24,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603549] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603589] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603629] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 24,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603669] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 24,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603709] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603749] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13147), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603791] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603831] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603871] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603911] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603951] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 24,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [603991] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13149), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604033] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604073] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 24,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604113] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604153] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604193] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604233] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604273] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604313] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13151), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604355] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 24,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604395] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13153), 1,
      anon_sym_AT,
    ACTIONS(6281), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604437] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604477] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604517] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13155), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604559] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604599] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604639] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604679] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604719] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604759] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604799] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604839] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604879] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13157), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604921] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 24,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [604961] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605000] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605039] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605078] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605117] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605156] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605195] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605234] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605273] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605312] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605351] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605390] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605429] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605468] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605507] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605546] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605585] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605624] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605663] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605702] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605741] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605780] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605819] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605858] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605897] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605936] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [605975] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606014] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13159), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606055] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606094] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606133] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606172] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606211] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606250] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13161), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606291] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606330] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606369] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606408] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606447] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606486] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606525] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606566] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606605] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13165), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606646] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606685] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606724] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606763] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606802] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606841] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606880] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606919] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606958] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [606997] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607036] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607075] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607114] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607153] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607192] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13167), 1,
      anon_sym_AT,
    ACTIONS(6281), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607233] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607272] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13171), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(13169), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607311] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607350] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607389] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607428] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607467] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607506] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607545] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607584] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607623] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607662] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607701] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607740] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607779] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607818] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607857] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607896] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607935] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [607974] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608013] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608052] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608091] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608130] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13173), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608171] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608210] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608249] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608288] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608327] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608366] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608405] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608444] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13171), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(13169), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608483] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13175), 1,
      anon_sym_AT,
    ACTIONS(6281), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608524] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13179), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(13177), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608563] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608602] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608641] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608680] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608719] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608758] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608797] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13181), 1,
      anon_sym_AT,
    ACTIONS(6281), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608838] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13183), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608879] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608918] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608957] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [608996] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609035] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609074] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13185), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609115] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609154] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13187), 1,
      anon_sym_EQ,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609195] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609234] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13189), 1,
      anon_sym_AT,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609275] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609314] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 23,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609353] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 23,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609392] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609430] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609468] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609506] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609544] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609582] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609620] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609658] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609696] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609734] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609772] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609810] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609848] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609886] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609924] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [609962] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610000] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610038] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610076] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13171), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(13169), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610114] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610152] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610190] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13191), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610230] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610268] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13193), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610308] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610346] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610384] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13195), 1,
      anon_sym_AT,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610424] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13197), 1,
      anon_sym_AT,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610464] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610502] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610540] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610578] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610616] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610654] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610692] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610730] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610768] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610806] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610844] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610882] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610920] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610958] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [610996] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611034] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611072] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611110] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611148] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611186] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611224] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611262] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611300] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611338] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611376] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611414] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611452] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611490] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611528] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611566] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611604] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611642] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611680] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13179), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(13177), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611718] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611756] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611794] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611832] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611870] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611908] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611946] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [611984] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13179), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(13177), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612022] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612060] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612098] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612136] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612174] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612212] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612250] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612288] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612326] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612364] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612402] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612440] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612478] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612516] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612554] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612592] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612630] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612668] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612706] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612744] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612782] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612820] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612858] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612896] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612934] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [612972] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13171), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(13169), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613010] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613048] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613086] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613124] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613162] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613200] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613238] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613276] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613314] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613352] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613390] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613428] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613466] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613504] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613542] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613580] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613618] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613656] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613694] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613732] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13199), 1,
      anon_sym_AT,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613772] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613810] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613848] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613886] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613924] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [613962] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614000] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614038] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614076] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614114] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614152] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614190] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614228] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614266] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13201), 1,
      anon_sym_AT,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614306] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614344] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614382] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614420] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13203), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614460] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614498] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614536] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614574] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13205), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614614] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614652] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614690] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614728] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614766] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614804] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 22,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_public,
      anon_sym_using,
      anon_sym_LPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614842] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614880] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614918] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13207), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614958] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13209), 1,
      anon_sym_AT,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [614998] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615036] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615074] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13211), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615114] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615152] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 23,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615190] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615228] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615266] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13213), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615306] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615344] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615382] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615420] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615458] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615496] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615534] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13215), 1,
      anon_sym_AT,
    ACTIONS(6281), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615574] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615612] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615650] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615688] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13217), 1,
      anon_sym_AT,
    ACTIONS(6281), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615728] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615766] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615804] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615842] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615880] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615918] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615956] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [615993] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616030] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616067] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616104] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616141] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616178] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616215] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616252] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616289] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616326] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616363] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616400] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616437] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13219), 1,
      anon_sym_AT,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616476] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6742), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616513] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616550] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616587] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616624] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616661] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616698] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616735] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616772] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616809] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616846] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616883] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616920] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616957] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [616994] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617031] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617068] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617105] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617142] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617179] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617216] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617253] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617290] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617327] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617364] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617401] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617438] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617475] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617512] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617549] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617586] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617623] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617660] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617697] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617734] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617771] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617808] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617845] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617882] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617919] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617956] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [617993] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618030] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618067] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13221), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618106] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618143] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618180] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618217] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618254] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618291] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618328] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618365] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618402] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618439] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618476] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618513] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618550] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618587] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618624] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13223), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618663] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618700] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618737] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618774] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618811] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618848] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618885] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618922] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618959] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [618996] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619033] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619070] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619107] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619144] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619181] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13225), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619220] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619257] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619294] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619331] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619368] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619405] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619442] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619479] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619516] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619553] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619590] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619627] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619664] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619701] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619738] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619775] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619812] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619849] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619886] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619923] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619960] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [619997] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620034] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620071] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620108] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6431), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620145] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620182] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620219] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620256] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620293] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620330] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620367] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620404] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620441] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6279), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620480] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620517] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13229), 1,
      anon_sym_AT,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620556] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620593] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620630] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620667] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620704] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620741] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620778] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620815] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620852] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620889] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620926] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [620963] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621000] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621037] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621074] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621111] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621148] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621185] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621222] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621259] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621296] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621333] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621370] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621407] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621444] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621481] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621518] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621555] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621592] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13231), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621631] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621668] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13233), 1,
      anon_sym_AT,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621707] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621744] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621781] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621818] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621855] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621892] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 22,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621929] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [621966] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622003] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622040] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622077] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622114] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622151] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622188] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622225] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622262] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622299] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622336] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13235), 1,
      anon_sym_AT,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622375] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622412] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622449] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622486] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6789), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622523] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6795), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622560] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13237), 1,
      anon_sym_AT,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622599] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6503), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622636] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6435), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622673] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6691), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622710] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6543), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622747] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6624), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622784] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6673), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622821] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6677), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622858] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6681), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622895] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6687), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622932] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [622969] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623006] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623043] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623080] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623117] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623154] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623191] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623228] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623265] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623302] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623339] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623376] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623413] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623450] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 22,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623487] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623524] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623561] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623598] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623634] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623670] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623706] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623742] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623778] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623814] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623850] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623886] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623922] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623958] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [623994] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624030] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624066] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6673), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624102] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6279), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624138] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624174] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624210] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_AT,
    STATE(7697), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    ACTIONS(11287), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(11285), 18,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624250] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624286] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624322] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624358] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624394] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624430] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624466] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624502] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624538] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624574] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624610] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13241), 1,
      anon_sym_AT,
    STATE(7697), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    ACTIONS(11349), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(11347), 18,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624650] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624686] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624722] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624758] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624794] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624830] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624866] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624902] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624938] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [624974] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625010] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625046] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625082] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625118] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625154] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625190] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625226] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625262] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6789), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625298] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13244), 1,
      anon_sym_AT,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 20,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625336] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625372] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625408] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625444] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625480] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6503), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625516] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625552] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625588] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6691), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625624] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625660] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625696] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625732] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625768] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625804] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625840] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625876] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625912] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625948] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [625984] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6543), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626020] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626056] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626092] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626128] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626164] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626200] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626236] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626272] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626308] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626344] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626380] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626416] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626452] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626488] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626524] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626560] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626596] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626632] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626668] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626704] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626740] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626776] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626812] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626848] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626884] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626920] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626956] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6624), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [626992] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627028] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6677), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627064] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6681), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627100] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627136] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6687), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627172] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627208] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627244] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627280] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627316] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627352] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627388] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627424] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627460] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627496] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627532] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627568] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627604] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627640] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627676] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6431), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627712] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627748] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627784] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627820] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627856] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      sym__newline,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 20,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627892] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627928] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [627964] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6742), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628000] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628036] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628072] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628108] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628144] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628180] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628216] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6795), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628252] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      anon_sym_PIPE_RPAREN,
      aux_sym_literal_token1,
    ACTIONS(6435), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628288] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628324] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628360] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628396] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628432] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628468] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628504] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628540] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 20,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628576] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628612] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628648] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      anon_sym_u2988,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628684] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 20,
      anon_sym_u2026,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628720] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 21,
      anon_sym_u2026,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628756] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 20,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628791] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 20,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628826] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 20,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628861] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 20,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628896] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 20,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628931] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 20,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [628966] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 20,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629001] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13246), 1,
      anon_sym_AT,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 19,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629038] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 20,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629073] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 20,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629108] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 20,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629143] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 20,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629178] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 20,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629213] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 20,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629248] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 20,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629283] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 18,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629317] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 19,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629351] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6789), 19,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629385] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6279), 18,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629419] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 19,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629453] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6687), 19,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629487] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12481), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(12479), 18,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629521] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6673), 19,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629555] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6795), 19,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629589] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6503), 19,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629623] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6431), 18,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629657] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6691), 19,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629691] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6742), 19,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629725] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6435), 19,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629759] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6543), 19,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629793] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6624), 19,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629827] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6677), 19,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629861] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE_LBRACE,
      anon_sym_LPAREN_PIPE,
      aux_sym_literal_token1,
    ACTIONS(6681), 19,
      anon_sym_u2026,
      anon_sym_record,
      anon_sym_LPAREN,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      aux_sym__qid_token1,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_Prop,
      anon_sym_quote,
      anon_sym_quoteTerm,
      anon_sym_quoteContext,
      anon_sym_unquote,
      anon_sym_u2987,
      aux_sym_integer_token1,
      anon_sym_Set,
      sym_PropN,
  [629895] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 15,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [629925] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [629959] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 15,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [629989] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 15,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [630019] = 17,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13268), 1,
      sym_id,
    ACTIONS(13270), 1,
      anon_sym_overlap,
    ACTIONS(13272), 1,
      anon_sym_instance,
    ACTIONS(13274), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13276), 1,
      anon_sym_u2983,
    ACTIONS(13278), 1,
      anon_sym_LBRACE,
    ACTIONS(13280), 1,
      anon_sym_DOT,
    ACTIONS(13282), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13284), 1,
      anon_sym_AT,
    ACTIONS(13286), 1,
      sym__dedent,
    STATE(7852), 1,
      aux_sym__signature_block_repeat1,
    STATE(10360), 1,
      sym_signature,
    STATE(10373), 1,
      sym__modal_arg_ids,
    STATE(8343), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8665), 4,
      sym__field_name,
      sym__maybe_dotted_id,
      aux_sym__arg_ids,
      sym__arg_id,
  [630075] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 15,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [630105] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 15,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [630135] = 17,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13296), 1,
      sym_id,
    ACTIONS(13299), 1,
      anon_sym_overlap,
    ACTIONS(13302), 1,
      anon_sym_instance,
    ACTIONS(13305), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13308), 1,
      anon_sym_u2983,
    ACTIONS(13311), 1,
      anon_sym_LBRACE,
    ACTIONS(13314), 1,
      anon_sym_DOT,
    ACTIONS(13317), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13320), 1,
      anon_sym_AT,
    ACTIONS(13323), 1,
      sym__dedent,
    STATE(7852), 1,
      aux_sym__signature_block_repeat1,
    STATE(10360), 1,
      sym_signature,
    STATE(10373), 1,
      sym__modal_arg_ids,
    STATE(8343), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8665), 4,
      sym__field_name,
      sym__maybe_dotted_id,
      aux_sym__arg_ids,
      sym__arg_id,
  [630191] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 15,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [630221] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 15,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [630251] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 15,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [630281] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 15,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [630311] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [630345] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [630374] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [630403] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [630436] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [630465] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [630494] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [630523] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
  [630556] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [630585] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [630614] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [630643] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [630672] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
  [630705] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [630734] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [630767] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [630796] = 16,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13268), 1,
      sym_id,
    ACTIONS(13270), 1,
      anon_sym_overlap,
    ACTIONS(13272), 1,
      anon_sym_instance,
    ACTIONS(13274), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13276), 1,
      anon_sym_u2983,
    ACTIONS(13278), 1,
      anon_sym_LBRACE,
    ACTIONS(13280), 1,
      anon_sym_DOT,
    ACTIONS(13282), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13284), 1,
      anon_sym_AT,
    STATE(7849), 1,
      aux_sym__signature_block_repeat1,
    STATE(10360), 1,
      sym_signature,
    STATE(10373), 1,
      sym__modal_arg_ids,
    STATE(8343), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8665), 4,
      sym__field_name,
      sym__maybe_dotted_id,
      aux_sym__arg_ids,
      sym__arg_id,
  [630849] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [630878] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [630907] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [630936] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [630965] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [630994] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [631023] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [631052] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [631085] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [631114] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [631143] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [631172] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [631201] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [631234] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [631263] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [631292] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [631321] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [631350] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 14,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [631379] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [631407] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
  [631439] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
  [631471] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [631503] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [631535] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [631563] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [631591] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [631619] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [631647] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [631675] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [631703] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [631731] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [631759] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [631787] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [631815] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [631843] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [631871] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [631899] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [631927] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [631955] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [631983] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
  [632015] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
  [632047] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [632075] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [632107] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [632135] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [632163] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [632191] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [632219] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [632247] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [632279] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [632307] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [632335] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [632363] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [632391] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [632419] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [632447] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [632475] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [632503] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [632531] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [632559] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [632587] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [632615] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 13,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [632643] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1458), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13347), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [632688] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1753), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13361), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [632733] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1760), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13363), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [632778] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [632805] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1519), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13365), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [632850] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [632877] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1485), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13367), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [632922] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 7,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
  [632953] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [632980] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1697), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13369), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [633025] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [633052] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1711), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13371), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [633097] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [633124] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1546), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13373), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [633169] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [633196] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [633223] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1767), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13375), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [633268] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1471), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13377), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [633313] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [633340] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1774), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13379), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [633385] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 7,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
  [633416] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1704), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13381), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [633461] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1606), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13383), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [633506] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1616), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13385), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [633551] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [633578] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [633605] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1781), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13387), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [633650] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [633677] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [633704] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1626), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13389), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [633749] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [633776] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1788), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13391), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [633821] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1718), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13393), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [633866] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1683), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13395), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [633911] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1586), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13397), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [633956] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1795), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13399), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [634001] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1432), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13401), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [634046] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [634073] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1725), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13403), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [634118] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [634145] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [634172] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1802), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13405), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [634217] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1636), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13407), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [634262] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [634289] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1809), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13409), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [634334] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [634361] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13413), 1,
      anon_sym_COLON,
    ACTIONS(13415), 1,
      anon_sym_where,
    ACTIONS(13417), 1,
      anon_sym_LPAREN,
    ACTIONS(13419), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13421), 1,
      anon_sym_u2983,
    ACTIONS(13423), 1,
      anon_sym_LBRACE,
    ACTIONS(13425), 1,
      anon_sym_DOT,
    ACTIONS(13427), 1,
      anon_sym_DOT_DOT,
    STATE(8897), 1,
      sym_bid,
    STATE(9794), 1,
      sym_record_declarations_block,
    ACTIONS(13411), 2,
      anon_sym__,
      sym_id,
    STATE(8038), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [634408] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1504), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13429), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [634453] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [634480] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1556), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13431), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [634525] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1533), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13433), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [634570] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(2658), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13435), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [634615] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 7,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [634646] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [634673] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [634700] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [634727] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1646), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13437), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [634772] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [634799] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 7,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [634830] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 7,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
  [634861] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13415), 1,
      anon_sym_where,
    ACTIONS(13417), 1,
      anon_sym_LPAREN,
    ACTIONS(13419), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13421), 1,
      anon_sym_u2983,
    ACTIONS(13425), 1,
      anon_sym_DOT,
    ACTIONS(13427), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13439), 1,
      anon_sym_COLON,
    ACTIONS(13441), 1,
      anon_sym_LBRACE,
    STATE(8897), 1,
      sym_bid,
    STATE(9782), 1,
      sym_record_declarations_block,
    ACTIONS(13411), 2,
      anon_sym__,
      sym_id,
    STATE(8002), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [634908] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1576), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13443), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [634953] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1732), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13445), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [634998] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 7,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [635029] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [635056] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1415), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13447), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [635101] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13415), 1,
      anon_sym_where,
    ACTIONS(13417), 1,
      anon_sym_LPAREN,
    ACTIONS(13419), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13421), 1,
      anon_sym_u2983,
    ACTIONS(13423), 1,
      anon_sym_LBRACE,
    ACTIONS(13425), 1,
      anon_sym_DOT,
    ACTIONS(13427), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13449), 1,
      anon_sym_COLON,
    STATE(8897), 1,
      sym_bid,
    STATE(9794), 1,
      sym_record_declarations_block,
    ACTIONS(13411), 2,
      anon_sym__,
      sym_id,
    STATE(8038), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [635148] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1690), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13451), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [635193] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [635220] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1656), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13453), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [635265] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13415), 1,
      anon_sym_where,
    ACTIONS(13417), 1,
      anon_sym_LPAREN,
    ACTIONS(13419), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13421), 1,
      anon_sym_u2983,
    ACTIONS(13425), 1,
      anon_sym_DOT,
    ACTIONS(13427), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13455), 1,
      anon_sym_COLON,
    ACTIONS(13457), 1,
      anon_sym_LBRACE,
    STATE(8897), 1,
      sym_bid,
    STATE(9782), 1,
      sym_record_declarations_block,
    ACTIONS(13411), 2,
      anon_sym__,
      sym_id,
    STATE(7982), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [635312] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1464), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13459), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [635357] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1739), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13461), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [635402] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [635429] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1566), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13463), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [635474] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1444), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13465), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [635519] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1666), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13467), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [635564] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1596), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13469), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [635609] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [635636] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [635663] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1746), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13471), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [635708] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1676), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13473), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [635753] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [635780] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [635807] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 7,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
  [635838] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [635865] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [635892] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [635919] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1843), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13475), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [635964] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(1839), 1,
      sym__ARROW,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13477), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [636009] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 7,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [636040] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [636067] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [636094] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 12,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [636121] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [636147] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13481), 1,
      anon_sym_EQ,
    ACTIONS(13483), 1,
      anon_sym_where,
    ACTIONS(13485), 1,
      anon_sym_LPAREN,
    ACTIONS(13487), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13489), 1,
      anon_sym_u2983,
    ACTIONS(13491), 1,
      anon_sym_LBRACE,
    ACTIONS(13493), 1,
      anon_sym_DOT,
    ACTIONS(13495), 1,
      anon_sym_DOT_DOT,
    STATE(8780), 1,
      sym_bid,
    ACTIONS(13479), 2,
      anon_sym__,
      sym_id,
    STATE(8048), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [636191] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13499), 1,
      anon_sym_where,
    ACTIONS(13501), 1,
      anon_sym_LPAREN,
    ACTIONS(13503), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13505), 1,
      anon_sym_u2983,
    ACTIONS(13507), 1,
      anon_sym_LBRACE,
    ACTIONS(13509), 1,
      anon_sym_DOT,
    ACTIONS(13511), 1,
      anon_sym_DOT_DOT,
    STATE(8211), 1,
      sym_bid,
    STATE(8452), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9100), 1,
      sym__lambda_bindings,
    ACTIONS(13497), 2,
      anon_sym__,
      sym_id,
    STATE(8232), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [636237] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [636263] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13417), 1,
      anon_sym_LPAREN,
    ACTIONS(13419), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13421), 1,
      anon_sym_u2983,
    ACTIONS(13423), 1,
      anon_sym_LBRACE,
    ACTIONS(13425), 1,
      anon_sym_DOT,
    ACTIONS(13427), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13513), 1,
      anon_sym_COLON,
    ACTIONS(13515), 1,
      anon_sym_where,
    STATE(8897), 1,
      sym_bid,
    ACTIONS(13411), 2,
      anon_sym__,
      sym_id,
    STATE(8050), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [636307] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 6,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
  [636337] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [636363] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [636389] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13522), 1,
      anon_sym_LPAREN,
    ACTIONS(13525), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13528), 1,
      anon_sym_u2983,
    ACTIONS(13531), 1,
      anon_sym_LBRACE,
    ACTIONS(13534), 1,
      anon_sym_DOT,
    ACTIONS(13537), 1,
      anon_sym_DOT_DOT,
    STATE(8897), 1,
      sym_bid,
    ACTIONS(13517), 2,
      anon_sym__,
      sym_id,
    ACTIONS(13520), 2,
      anon_sym_COLON,
      anon_sym_where,
    STATE(8038), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [636431] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13542), 1,
      anon_sym_where,
    ACTIONS(13544), 1,
      anon_sym_LPAREN,
    ACTIONS(13546), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13548), 1,
      anon_sym_u2983,
    ACTIONS(13550), 1,
      anon_sym_LBRACE,
    ACTIONS(13552), 1,
      anon_sym_DOT,
    ACTIONS(13554), 1,
      anon_sym_DOT_DOT,
    STATE(8514), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8562), 1,
      sym_bid,
    STATE(9300), 1,
      sym__lambda_bindings,
    ACTIONS(13540), 2,
      anon_sym__,
      sym_id,
    STATE(8614), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [636477] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [636503] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13558), 1,
      anon_sym_EQ,
    ACTIONS(13560), 1,
      anon_sym_LPAREN,
    ACTIONS(13562), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13564), 1,
      anon_sym_u2983,
    ACTIONS(13566), 1,
      anon_sym_LBRACE,
    ACTIONS(13568), 1,
      anon_sym_DOT,
    ACTIONS(13570), 1,
      anon_sym_DOT_DOT,
    STATE(8389), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8976), 1,
      sym_bid,
    STATE(10946), 1,
      sym__lambda_bindings,
    ACTIONS(13556), 2,
      anon_sym__,
      sym_id,
    STATE(8971), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [636549] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13574), 1,
      anon_sym_where,
    ACTIONS(13576), 1,
      anon_sym_LPAREN,
    ACTIONS(13578), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13580), 1,
      anon_sym_u2983,
    ACTIONS(13582), 1,
      anon_sym_LBRACE,
    ACTIONS(13584), 1,
      anon_sym_DOT,
    ACTIONS(13586), 1,
      anon_sym_DOT_DOT,
    STATE(8300), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8557), 1,
      sym_bid,
    STATE(9291), 1,
      sym__lambda_bindings,
    ACTIONS(13572), 2,
      anon_sym__,
      sym_id,
    STATE(8624), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [636595] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 6,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [636625] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13590), 1,
      anon_sym_where,
    ACTIONS(13592), 1,
      anon_sym_LPAREN,
    ACTIONS(13594), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13596), 1,
      anon_sym_u2983,
    ACTIONS(13598), 1,
      anon_sym_LBRACE,
    ACTIONS(13600), 1,
      anon_sym_DOT,
    ACTIONS(13602), 1,
      anon_sym_DOT_DOT,
    STATE(7941), 1,
      sym_bid,
    STATE(8497), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8948), 1,
      sym__lambda_bindings,
    ACTIONS(13588), 2,
      anon_sym__,
      sym_id,
    STATE(7988), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [636671] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13606), 1,
      anon_sym_where,
    ACTIONS(13608), 1,
      anon_sym_LPAREN,
    ACTIONS(13610), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13612), 1,
      anon_sym_u2983,
    ACTIONS(13614), 1,
      anon_sym_LBRACE,
    ACTIONS(13616), 1,
      anon_sym_DOT,
    ACTIONS(13618), 1,
      anon_sym_DOT_DOT,
    STATE(8172), 1,
      sym_bid,
    STATE(8286), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9173), 1,
      sym__lambda_bindings,
    ACTIONS(13604), 2,
      anon_sym__,
      sym_id,
    STATE(8191), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [636717] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [636743] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13622), 1,
      anon_sym_where,
    ACTIONS(13624), 1,
      anon_sym_LPAREN,
    ACTIONS(13626), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13628), 1,
      anon_sym_u2983,
    ACTIONS(13630), 1,
      anon_sym_LBRACE,
    ACTIONS(13632), 1,
      anon_sym_DOT,
    ACTIONS(13634), 1,
      anon_sym_DOT_DOT,
    STATE(8395), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8575), 1,
      sym_bid,
    STATE(9241), 1,
      sym__lambda_bindings,
    ACTIONS(13620), 2,
      anon_sym__,
      sym_id,
    STATE(8527), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [636789] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13485), 1,
      anon_sym_LPAREN,
    ACTIONS(13487), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13489), 1,
      anon_sym_u2983,
    ACTIONS(13491), 1,
      anon_sym_LBRACE,
    ACTIONS(13493), 1,
      anon_sym_DOT,
    ACTIONS(13495), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13636), 1,
      anon_sym_EQ,
    ACTIONS(13638), 1,
      anon_sym_where,
    STATE(8780), 1,
      sym_bid,
    ACTIONS(13479), 2,
      anon_sym__,
      sym_id,
    STATE(8130), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [636833] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [636859] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13417), 1,
      anon_sym_LPAREN,
    ACTIONS(13419), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13421), 1,
      anon_sym_u2983,
    ACTIONS(13423), 1,
      anon_sym_LBRACE,
    ACTIONS(13425), 1,
      anon_sym_DOT,
    ACTIONS(13427), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13640), 1,
      anon_sym_COLON,
    ACTIONS(13642), 1,
      anon_sym_where,
    STATE(8897), 1,
      sym_bid,
    ACTIONS(13411), 2,
      anon_sym__,
      sym_id,
    STATE(8038), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [636903] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [636929] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [636955] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [636981] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 6,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [637011] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13646), 1,
      anon_sym_where,
    ACTIONS(13648), 1,
      anon_sym_LPAREN,
    ACTIONS(13650), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13652), 1,
      anon_sym_u2983,
    ACTIONS(13654), 1,
      anon_sym_LBRACE,
    ACTIONS(13656), 1,
      anon_sym_DOT,
    ACTIONS(13658), 1,
      anon_sym_DOT_DOT,
    STATE(7867), 1,
      sym_bid,
    STATE(8479), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8641), 1,
      sym__lambda_bindings,
    ACTIONS(13644), 2,
      anon_sym__,
      sym_id,
    STATE(7886), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [637057] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13662), 1,
      anon_sym_where,
    ACTIONS(13664), 1,
      anon_sym_LPAREN,
    ACTIONS(13666), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13668), 1,
      anon_sym_u2983,
    ACTIONS(13670), 1,
      anon_sym_LBRACE,
    ACTIONS(13672), 1,
      anon_sym_DOT,
    ACTIONS(13674), 1,
      anon_sym_DOT_DOT,
    STATE(8221), 1,
      sym_bid,
    STATE(8425), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9102), 1,
      sym__lambda_bindings,
    ACTIONS(13660), 2,
      anon_sym__,
      sym_id,
    STATE(8175), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [637103] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13678), 1,
      anon_sym_where,
    ACTIONS(13680), 1,
      anon_sym_LPAREN,
    ACTIONS(13682), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13684), 1,
      anon_sym_u2983,
    ACTIONS(13686), 1,
      anon_sym_LBRACE,
    ACTIONS(13688), 1,
      anon_sym_DOT,
    ACTIONS(13690), 1,
      anon_sym_DOT_DOT,
    STATE(7899), 1,
      sym_bid,
    STATE(8341), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8862), 1,
      sym__lambda_bindings,
    ACTIONS(13676), 2,
      anon_sym__,
      sym_id,
    STATE(7895), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [637149] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [637175] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 6,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
  [637205] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13694), 1,
      anon_sym_where,
    ACTIONS(13696), 1,
      anon_sym_LPAREN,
    ACTIONS(13698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13700), 1,
      anon_sym_u2983,
    ACTIONS(13702), 1,
      anon_sym_LBRACE,
    ACTIONS(13704), 1,
      anon_sym_DOT,
    ACTIONS(13706), 1,
      anon_sym_DOT_DOT,
    STATE(8262), 1,
      sym_bid,
    STATE(8288), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9160), 1,
      sym__lambda_bindings,
    ACTIONS(13692), 2,
      anon_sym__,
      sym_id,
    STATE(8250), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [637251] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13710), 1,
      anon_sym_where,
    ACTIONS(13712), 1,
      anon_sym_LPAREN,
    ACTIONS(13714), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13716), 1,
      anon_sym_u2983,
    ACTIONS(13718), 1,
      anon_sym_LBRACE,
    ACTIONS(13720), 1,
      anon_sym_DOT,
    ACTIONS(13722), 1,
      anon_sym_DOT_DOT,
    STATE(8085), 1,
      sym_bid,
    STATE(8271), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9068), 1,
      sym__lambda_bindings,
    ACTIONS(13708), 2,
      anon_sym__,
      sym_id,
    STATE(8069), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [637297] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13726), 1,
      anon_sym_where,
    ACTIONS(13728), 1,
      anon_sym_LPAREN,
    ACTIONS(13730), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13732), 1,
      anon_sym_u2983,
    ACTIONS(13734), 1,
      anon_sym_LBRACE,
    ACTIONS(13736), 1,
      anon_sym_DOT,
    ACTIONS(13738), 1,
      anon_sym_DOT_DOT,
    STATE(8413), 1,
      sym_bid,
    STATE(8461), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9168), 1,
      sym__lambda_bindings,
    ACTIONS(13724), 2,
      anon_sym__,
      sym_id,
    STATE(8491), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [637343] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13742), 1,
      anon_sym_where,
    ACTIONS(13744), 1,
      anon_sym_LPAREN,
    ACTIONS(13746), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13748), 1,
      anon_sym_u2983,
    ACTIONS(13750), 1,
      anon_sym_LBRACE,
    ACTIONS(13752), 1,
      anon_sym_DOT,
    ACTIONS(13754), 1,
      anon_sym_DOT_DOT,
    STATE(8252), 1,
      sym_bid,
    STATE(8368), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9068), 1,
      sym__lambda_bindings,
    ACTIONS(13740), 2,
      anon_sym__,
      sym_id,
    STATE(8240), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [637389] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [637415] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 6,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [637445] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 6,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
  [637475] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13758), 1,
      anon_sym_where,
    ACTIONS(13760), 1,
      anon_sym_LPAREN,
    ACTIONS(13762), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13764), 1,
      anon_sym_u2983,
    ACTIONS(13766), 1,
      anon_sym_LBRACE,
    ACTIONS(13768), 1,
      anon_sym_DOT,
    ACTIONS(13770), 1,
      anon_sym_DOT_DOT,
    STATE(8319), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8420), 1,
      sym_bid,
    STATE(9146), 1,
      sym__lambda_bindings,
    ACTIONS(13756), 2,
      anon_sym__,
      sym_id,
    STATE(8306), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [637521] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 6,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [637551] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
  [637581] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13774), 1,
      anon_sym_where,
    ACTIONS(13776), 1,
      anon_sym_LPAREN,
    ACTIONS(13778), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13780), 1,
      anon_sym_u2983,
    ACTIONS(13782), 1,
      anon_sym_LBRACE,
    ACTIONS(13784), 1,
      anon_sym_DOT,
    ACTIONS(13786), 1,
      anon_sym_DOT_DOT,
    STATE(8102), 1,
      sym_bid,
    STATE(8426), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9016), 1,
      sym__lambda_bindings,
    ACTIONS(13772), 2,
      anon_sym__,
      sym_id,
    STATE(8043), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [637627] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13790), 1,
      anon_sym_where,
    ACTIONS(13792), 1,
      anon_sym_LPAREN,
    ACTIONS(13794), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13796), 1,
      anon_sym_u2983,
    ACTIONS(13798), 1,
      anon_sym_LBRACE,
    ACTIONS(13800), 1,
      anon_sym_DOT,
    ACTIONS(13802), 1,
      anon_sym_DOT_DOT,
    STATE(8276), 1,
      sym_bid,
    STATE(8441), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9320), 1,
      sym__lambda_bindings,
    ACTIONS(13788), 2,
      anon_sym__,
      sym_id,
    STATE(8340), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [637673] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13806), 1,
      anon_sym_where,
    ACTIONS(13808), 1,
      anon_sym_LPAREN,
    ACTIONS(13810), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13812), 1,
      anon_sym_u2983,
    ACTIONS(13814), 1,
      anon_sym_LBRACE,
    ACTIONS(13816), 1,
      anon_sym_DOT,
    ACTIONS(13818), 1,
      anon_sym_DOT_DOT,
    STATE(8291), 1,
      sym_bid,
    STATE(8363), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9171), 1,
      sym__lambda_bindings,
    ACTIONS(13804), 2,
      anon_sym__,
      sym_id,
    STATE(8305), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [637719] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13822), 1,
      anon_sym_where,
    ACTIONS(13824), 1,
      anon_sym_LPAREN,
    ACTIONS(13826), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13828), 1,
      anon_sym_u2983,
    ACTIONS(13830), 1,
      anon_sym_LBRACE,
    ACTIONS(13832), 1,
      anon_sym_DOT,
    ACTIONS(13834), 1,
      anon_sym_DOT_DOT,
    STATE(7848), 1,
      sym_bid,
    STATE(8274), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8629), 1,
      sym__lambda_bindings,
    ACTIONS(13820), 2,
      anon_sym__,
      sym_id,
    STATE(7846), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [637765] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13560), 1,
      anon_sym_LPAREN,
    ACTIONS(13562), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13564), 1,
      anon_sym_u2983,
    ACTIONS(13566), 1,
      anon_sym_LBRACE,
    ACTIONS(13568), 1,
      anon_sym_DOT,
    ACTIONS(13570), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13836), 1,
      anon_sym_EQ,
    STATE(8389), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8976), 1,
      sym_bid,
    STATE(11235), 1,
      sym__lambda_bindings,
    ACTIONS(13556), 2,
      anon_sym__,
      sym_id,
    STATE(8971), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [637811] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13840), 1,
      anon_sym_where,
    ACTIONS(13842), 1,
      anon_sym_LPAREN,
    ACTIONS(13844), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13846), 1,
      anon_sym_u2983,
    ACTIONS(13848), 1,
      anon_sym_LBRACE,
    ACTIONS(13850), 1,
      anon_sym_DOT,
    ACTIONS(13852), 1,
      anon_sym_DOT_DOT,
    STATE(8281), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8526), 1,
      sym_bid,
    STATE(9173), 1,
      sym__lambda_bindings,
    ACTIONS(13838), 2,
      anon_sym__,
      sym_id,
    STATE(8607), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [637857] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13857), 1,
      anon_sym_LPAREN,
    ACTIONS(13860), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13863), 1,
      anon_sym_u2983,
    ACTIONS(13866), 1,
      anon_sym_LBRACE,
    ACTIONS(13869), 1,
      anon_sym_DOT,
    ACTIONS(13872), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13520), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(13854), 2,
      anon_sym__,
      sym_id,
    STATE(8076), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [637899] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13877), 1,
      anon_sym_where,
    ACTIONS(13879), 1,
      anon_sym_LPAREN,
    ACTIONS(13881), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13883), 1,
      anon_sym_u2983,
    ACTIONS(13885), 1,
      anon_sym_LBRACE,
    ACTIONS(13887), 1,
      anon_sym_DOT,
    ACTIONS(13889), 1,
      anon_sym_DOT_DOT,
    STATE(7875), 1,
      sym_bid,
    STATE(8384), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8657), 1,
      sym__lambda_bindings,
    ACTIONS(13875), 2,
      anon_sym__,
      sym_id,
    STATE(7881), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [637945] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
  [637975] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13417), 1,
      anon_sym_LPAREN,
    ACTIONS(13419), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13421), 1,
      anon_sym_u2983,
    ACTIONS(13423), 1,
      anon_sym_LBRACE,
    ACTIONS(13425), 1,
      anon_sym_DOT,
    ACTIONS(13427), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13642), 1,
      anon_sym_where,
    ACTIONS(13891), 1,
      anon_sym_COLON,
    STATE(8897), 1,
      sym_bid,
    ACTIONS(13411), 2,
      anon_sym__,
      sym_id,
    STATE(8038), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [638019] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13895), 1,
      anon_sym_where,
    ACTIONS(13897), 1,
      anon_sym_LPAREN,
    ACTIONS(13899), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13901), 1,
      anon_sym_u2983,
    ACTIONS(13903), 1,
      anon_sym_LBRACE,
    ACTIONS(13905), 1,
      anon_sym_DOT,
    ACTIONS(13907), 1,
      anon_sym_DOT_DOT,
    STATE(8402), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8610), 1,
      sym_bid,
    STATE(9234), 1,
      sym__lambda_bindings,
    ACTIONS(13893), 2,
      anon_sym__,
      sym_id,
    STATE(8577), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [638065] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13911), 1,
      anon_sym_where,
    ACTIONS(13913), 1,
      anon_sym_LPAREN,
    ACTIONS(13915), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13917), 1,
      anon_sym_u2983,
    ACTIONS(13919), 1,
      anon_sym_LBRACE,
    ACTIONS(13921), 1,
      anon_sym_DOT,
    ACTIONS(13923), 1,
      anon_sym_DOT_DOT,
    STATE(7920), 1,
      sym_bid,
    STATE(8434), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8699), 1,
      sym__lambda_bindings,
    ACTIONS(13909), 2,
      anon_sym__,
      sym_id,
    STATE(7916), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [638111] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13696), 1,
      anon_sym_LPAREN,
    ACTIONS(13698), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13700), 1,
      anon_sym_u2983,
    ACTIONS(13702), 1,
      anon_sym_LBRACE,
    ACTIONS(13704), 1,
      anon_sym_DOT,
    ACTIONS(13706), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13925), 1,
      anon_sym_where,
    STATE(8262), 1,
      sym_bid,
    STATE(8288), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9178), 1,
      sym__lambda_bindings,
    ACTIONS(13692), 2,
      anon_sym__,
      sym_id,
    STATE(8250), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [638157] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13929), 1,
      anon_sym_where,
    ACTIONS(13931), 1,
      anon_sym_LPAREN,
    ACTIONS(13933), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13935), 1,
      anon_sym_u2983,
    ACTIONS(13937), 1,
      anon_sym_LBRACE,
    ACTIONS(13939), 1,
      anon_sym_DOT,
    ACTIONS(13941), 1,
      anon_sym_DOT_DOT,
    STATE(8143), 1,
      sym_bid,
    STATE(8412), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9027), 1,
      sym__lambda_bindings,
    ACTIONS(13927), 2,
      anon_sym__,
      sym_id,
    STATE(8065), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [638203] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13945), 1,
      anon_sym_where,
    ACTIONS(13947), 1,
      anon_sym_LPAREN,
    ACTIONS(13949), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13951), 1,
      anon_sym_u2983,
    ACTIONS(13953), 1,
      anon_sym_LBRACE,
    ACTIONS(13955), 1,
      anon_sym_DOT,
    ACTIONS(13957), 1,
      anon_sym_DOT_DOT,
    STATE(8348), 1,
      sym_bid,
    STATE(8510), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9181), 1,
      sym__lambda_bindings,
    ACTIONS(13943), 2,
      anon_sym__,
      sym_id,
    STATE(8421), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [638249] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [638275] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13417), 1,
      anon_sym_LPAREN,
    ACTIONS(13419), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13421), 1,
      anon_sym_u2983,
    ACTIONS(13423), 1,
      anon_sym_LBRACE,
    ACTIONS(13425), 1,
      anon_sym_DOT,
    ACTIONS(13427), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13642), 1,
      anon_sym_where,
    ACTIONS(13959), 1,
      anon_sym_COLON,
    STATE(8897), 1,
      sym_bid,
    ACTIONS(13411), 2,
      anon_sym__,
      sym_id,
    STATE(8038), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [638319] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [638345] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13963), 1,
      anon_sym_where,
    ACTIONS(13965), 1,
      anon_sym_LPAREN,
    ACTIONS(13967), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13969), 1,
      anon_sym_u2983,
    ACTIONS(13971), 1,
      anon_sym_LBRACE,
    ACTIONS(13973), 1,
      anon_sym_DOT,
    ACTIONS(13975), 1,
      anon_sym_DOT_DOT,
    STATE(8280), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8293), 1,
      sym_bid,
    STATE(9178), 1,
      sym__lambda_bindings,
    ACTIONS(13961), 2,
      anon_sym__,
      sym_id,
    STATE(8516), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [638391] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [638417] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13608), 1,
      anon_sym_LPAREN,
    ACTIONS(13610), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13612), 1,
      anon_sym_u2983,
    ACTIONS(13614), 1,
      anon_sym_LBRACE,
    ACTIONS(13616), 1,
      anon_sym_DOT,
    ACTIONS(13618), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13977), 1,
      anon_sym_where,
    STATE(8172), 1,
      sym_bid,
    STATE(8286), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9182), 1,
      sym__lambda_bindings,
    ACTIONS(13604), 2,
      anon_sym__,
      sym_id,
    STATE(8191), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [638463] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [638489] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13712), 1,
      anon_sym_LPAREN,
    ACTIONS(13714), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13716), 1,
      anon_sym_u2983,
    ACTIONS(13718), 1,
      anon_sym_LBRACE,
    ACTIONS(13720), 1,
      anon_sym_DOT,
    ACTIONS(13722), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13979), 1,
      anon_sym_where,
    STATE(8085), 1,
      sym_bid,
    STATE(8271), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9126), 1,
      sym__lambda_bindings,
    ACTIONS(13708), 2,
      anon_sym__,
      sym_id,
    STATE(8069), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [638535] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13965), 1,
      anon_sym_LPAREN,
    ACTIONS(13967), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13969), 1,
      anon_sym_u2983,
    ACTIONS(13971), 1,
      anon_sym_LBRACE,
    ACTIONS(13973), 1,
      anon_sym_DOT,
    ACTIONS(13975), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13981), 1,
      anon_sym_where,
    STATE(8280), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8293), 1,
      sym_bid,
    STATE(9160), 1,
      sym__lambda_bindings,
    ACTIONS(13961), 2,
      anon_sym__,
      sym_id,
    STATE(8516), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [638581] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13985), 1,
      anon_sym_where,
    ACTIONS(13987), 1,
      anon_sym_LPAREN,
    ACTIONS(13989), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13991), 1,
      anon_sym_u2983,
    ACTIONS(13993), 1,
      anon_sym_LBRACE,
    ACTIONS(13995), 1,
      anon_sym_DOT,
    ACTIONS(13997), 1,
      anon_sym_DOT_DOT,
    STATE(8360), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8469), 1,
      sym_bid,
    STATE(9149), 1,
      sym__lambda_bindings,
    ACTIONS(13983), 2,
      anon_sym__,
      sym_id,
    STATE(8347), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [638627] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14001), 1,
      anon_sym_where,
    ACTIONS(14003), 1,
      anon_sym_LPAREN,
    ACTIONS(14005), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14007), 1,
      anon_sym_u2983,
    ACTIONS(14009), 1,
      anon_sym_LBRACE,
    ACTIONS(14011), 1,
      anon_sym_DOT,
    ACTIONS(14013), 1,
      anon_sym_DOT_DOT,
    STATE(8197), 1,
      sym_bid,
    STATE(8328), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9111), 1,
      sym__lambda_bindings,
    ACTIONS(13999), 2,
      anon_sym__,
      sym_id,
    STATE(8170), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [638673] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [638699] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14017), 1,
      anon_sym_where,
    ACTIONS(14019), 1,
      anon_sym_LPAREN,
    ACTIONS(14021), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14023), 1,
      anon_sym_u2983,
    ACTIONS(14025), 1,
      anon_sym_LBRACE,
    ACTIONS(14027), 1,
      anon_sym_DOT,
    ACTIONS(14029), 1,
      anon_sym_DOT_DOT,
    STATE(8148), 1,
      sym_bid,
    STATE(8313), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9033), 1,
      sym__lambda_bindings,
    ACTIONS(14015), 2,
      anon_sym__,
      sym_id,
    STATE(8059), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [638745] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14033), 1,
      anon_sym_where,
    ACTIONS(14035), 1,
      anon_sym_LPAREN,
    ACTIONS(14037), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14039), 1,
      anon_sym_u2983,
    ACTIONS(14041), 1,
      anon_sym_LBRACE,
    ACTIONS(14043), 1,
      anon_sym_DOT,
    ACTIONS(14045), 1,
      anon_sym_DOT_DOT,
    STATE(8381), 1,
      sym_bid,
    STATE(8392), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9144), 1,
      sym__lambda_bindings,
    ACTIONS(14031), 2,
      anon_sym__,
      sym_id,
    STATE(8386), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [638791] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14049), 1,
      anon_sym_where,
    ACTIONS(14051), 1,
      anon_sym_LPAREN,
    ACTIONS(14053), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14055), 1,
      anon_sym_u2983,
    ACTIONS(14057), 1,
      anon_sym_LBRACE,
    ACTIONS(14059), 1,
      anon_sym_DOT,
    ACTIONS(14061), 1,
      anon_sym_DOT_DOT,
    STATE(8308), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8593), 1,
      sym_bid,
    STATE(9146), 1,
      sym__lambda_bindings,
    ACTIONS(14047), 2,
      anon_sym__,
      sym_id,
    STATE(8524), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [638837] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14065), 1,
      anon_sym_where,
    ACTIONS(14067), 1,
      anon_sym_LPAREN,
    ACTIONS(14069), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14071), 1,
      anon_sym_u2983,
    ACTIONS(14073), 1,
      anon_sym_LBRACE,
    ACTIONS(14075), 1,
      anon_sym_DOT,
    ACTIONS(14077), 1,
      anon_sym_DOT_DOT,
    STATE(7918), 1,
      sym_bid,
    STATE(8462), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8804), 1,
      sym__lambda_bindings,
    ACTIONS(14063), 2,
      anon_sym__,
      sym_id,
    STATE(7893), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [638883] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13485), 1,
      anon_sym_LPAREN,
    ACTIONS(13487), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13489), 1,
      anon_sym_u2983,
    ACTIONS(13491), 1,
      anon_sym_LBRACE,
    ACTIONS(13493), 1,
      anon_sym_DOT,
    ACTIONS(13495), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13638), 1,
      anon_sym_where,
    ACTIONS(14079), 1,
      anon_sym_EQ,
    STATE(8780), 1,
      sym_bid,
    ACTIONS(13479), 2,
      anon_sym__,
      sym_id,
    STATE(8130), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [638927] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [638953] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [638979] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14083), 1,
      anon_sym_where,
    ACTIONS(14085), 1,
      anon_sym_LPAREN,
    ACTIONS(14087), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14089), 1,
      anon_sym_u2983,
    ACTIONS(14091), 1,
      anon_sym_LBRACE,
    ACTIONS(14093), 1,
      anon_sym_DOT,
    ACTIONS(14095), 1,
      anon_sym_DOT_DOT,
    STATE(8362), 1,
      sym_bid,
    STATE(8398), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9142), 1,
      sym__lambda_bindings,
    ACTIONS(14081), 2,
      anon_sym__,
      sym_id,
    STATE(8410), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [639025] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13417), 1,
      anon_sym_LPAREN,
    ACTIONS(13419), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13421), 1,
      anon_sym_u2983,
    ACTIONS(13423), 1,
      anon_sym_LBRACE,
    ACTIONS(13425), 1,
      anon_sym_DOT,
    ACTIONS(13427), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13515), 1,
      anon_sym_where,
    ACTIONS(14097), 1,
      anon_sym_COLON,
    STATE(8897), 1,
      sym_bid,
    ACTIONS(13411), 2,
      anon_sym__,
      sym_id,
    STATE(8079), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [639069] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [639095] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14101), 1,
      anon_sym_where,
    ACTIONS(14103), 1,
      anon_sym_LPAREN,
    ACTIONS(14105), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14107), 1,
      anon_sym_u2983,
    ACTIONS(14109), 1,
      anon_sym_LBRACE,
    ACTIONS(14111), 1,
      anon_sym_DOT,
    ACTIONS(14113), 1,
      anon_sym_DOT_DOT,
    STATE(8316), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8561), 1,
      sym_bid,
    STATE(9163), 1,
      sym__lambda_bindings,
    ACTIONS(14099), 2,
      anon_sym__,
      sym_id,
    STATE(8594), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [639141] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13417), 1,
      anon_sym_LPAREN,
    ACTIONS(13419), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13421), 1,
      anon_sym_u2983,
    ACTIONS(13423), 1,
      anon_sym_LBRACE,
    ACTIONS(13425), 1,
      anon_sym_DOT,
    ACTIONS(13427), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13515), 1,
      anon_sym_where,
    ACTIONS(14115), 1,
      anon_sym_COLON,
    STATE(8897), 1,
      sym_bid,
    ACTIONS(13411), 2,
      anon_sym__,
      sym_id,
    STATE(8086), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [639185] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14119), 1,
      anon_sym_where,
    ACTIONS(14121), 1,
      anon_sym_LPAREN,
    ACTIONS(14123), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14125), 1,
      anon_sym_u2983,
    ACTIONS(14127), 1,
      anon_sym_LBRACE,
    ACTIONS(14129), 1,
      anon_sym_DOT,
    ACTIONS(14131), 1,
      anon_sym_DOT_DOT,
    STATE(8334), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8588), 1,
      sym_bid,
    STATE(9171), 1,
      sym__lambda_bindings,
    ACTIONS(14117), 2,
      anon_sym__,
      sym_id,
    STATE(8540), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [639231] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [639257] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14135), 1,
      anon_sym_where,
    ACTIONS(14137), 1,
      anon_sym_LPAREN,
    ACTIONS(14139), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14141), 1,
      anon_sym_u2983,
    ACTIONS(14143), 1,
      anon_sym_LBRACE,
    ACTIONS(14145), 1,
      anon_sym_DOT,
    ACTIONS(14147), 1,
      anon_sym_DOT_DOT,
    STATE(7961), 1,
      sym_bid,
    STATE(8380), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8978), 1,
      sym__lambda_bindings,
    ACTIONS(14133), 2,
      anon_sym__,
      sym_id,
    STATE(7956), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [639303] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14151), 1,
      anon_sym_where,
    ACTIONS(14153), 1,
      anon_sym_LPAREN,
    ACTIONS(14155), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14157), 1,
      anon_sym_u2983,
    ACTIONS(14159), 1,
      anon_sym_LBRACE,
    ACTIONS(14161), 1,
      anon_sym_DOT,
    ACTIONS(14163), 1,
      anon_sym_DOT_DOT,
    STATE(8353), 1,
      sym_bid,
    STATE(8373), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9126), 1,
      sym__lambda_bindings,
    ACTIONS(14149), 2,
      anon_sym__,
      sym_id,
    STATE(8454), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [639349] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [639375] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [639401] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [639427] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14167), 1,
      anon_sym_where,
    ACTIONS(14169), 1,
      anon_sym_LPAREN,
    ACTIONS(14171), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14173), 1,
      anon_sym_u2983,
    ACTIONS(14175), 1,
      anon_sym_LBRACE,
    ACTIONS(14177), 1,
      anon_sym_DOT,
    ACTIONS(14179), 1,
      anon_sym_DOT_DOT,
    STATE(8258), 1,
      sym_bid,
    STATE(8370), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9063), 1,
      sym__lambda_bindings,
    ACTIONS(14165), 2,
      anon_sym__,
      sym_id,
    STATE(8247), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [639473] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14183), 1,
      anon_sym_where,
    ACTIONS(14185), 1,
      anon_sym_LPAREN,
    ACTIONS(14187), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14189), 1,
      anon_sym_u2983,
    ACTIONS(14191), 1,
      anon_sym_LBRACE,
    ACTIONS(14193), 1,
      anon_sym_DOT,
    ACTIONS(14195), 1,
      anon_sym_DOT_DOT,
    STATE(8385), 1,
      sym_bid,
    STATE(8407), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9159), 1,
      sym__lambda_bindings,
    ACTIONS(14181), 2,
      anon_sym__,
      sym_id,
    STATE(8269), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [639519] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14199), 1,
      anon_sym_where,
    ACTIONS(14201), 1,
      anon_sym_LPAREN,
    ACTIONS(14203), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14205), 1,
      anon_sym_u2983,
    ACTIONS(14207), 1,
      anon_sym_LBRACE,
    ACTIONS(14209), 1,
      anon_sym_DOT,
    ACTIONS(14211), 1,
      anon_sym_DOT_DOT,
    STATE(7866), 1,
      sym_bid,
    STATE(8369), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8650), 1,
      sym__lambda_bindings,
    ACTIONS(14197), 2,
      anon_sym__,
      sym_id,
    STATE(7864), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [639565] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [639591] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [639617] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [639643] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14215), 1,
      anon_sym_where,
    ACTIONS(14217), 1,
      anon_sym_LPAREN,
    ACTIONS(14219), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14221), 1,
      anon_sym_u2983,
    ACTIONS(14223), 1,
      anon_sym_LBRACE,
    ACTIONS(14225), 1,
      anon_sym_DOT,
    ACTIONS(14227), 1,
      anon_sym_DOT_DOT,
    STATE(8400), 1,
      sym_bid,
    STATE(8445), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9163), 1,
      sym__lambda_bindings,
    ACTIONS(14213), 2,
      anon_sym__,
      sym_id,
    STATE(8351), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [639689] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13752), 1,
      anon_sym_DOT,
    ACTIONS(13754), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14229), 1,
      anon_sym_where,
    ACTIONS(14231), 1,
      anon_sym_LPAREN,
    ACTIONS(14233), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14235), 1,
      anon_sym_u2983,
    ACTIONS(14237), 1,
      anon_sym_LBRACE,
    STATE(8252), 1,
      sym_bid,
    STATE(8397), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9063), 1,
      sym__lambda_bindings,
    ACTIONS(13740), 2,
      anon_sym__,
      sym_id,
    STATE(8240), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [639735] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14241), 1,
      anon_sym_where,
    ACTIONS(14243), 1,
      anon_sym_LPAREN,
    ACTIONS(14245), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14247), 1,
      anon_sym_u2983,
    ACTIONS(14249), 1,
      anon_sym_LBRACE,
    ACTIONS(14251), 1,
      anon_sym_DOT,
    ACTIONS(14253), 1,
      anon_sym_DOT_DOT,
    STATE(7898), 1,
      sym_bid,
    STATE(8485), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8809), 1,
      sym__lambda_bindings,
    ACTIONS(14239), 2,
      anon_sym__,
      sym_id,
    STATE(7913), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [639781] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 6,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
  [639811] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [639837] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [639863] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [639889] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [639915] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14258), 1,
      anon_sym_LPAREN,
    ACTIONS(14261), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14264), 1,
      anon_sym_u2983,
    ACTIONS(14267), 1,
      anon_sym_LBRACE,
    ACTIONS(14270), 1,
      anon_sym_DOT,
    ACTIONS(14273), 1,
      anon_sym_DOT_DOT,
    STATE(8780), 1,
      sym_bid,
    ACTIONS(13520), 2,
      anon_sym_EQ,
      anon_sym_where,
    ACTIONS(14255), 2,
      anon_sym__,
      sym_id,
    STATE(8130), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [639957] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14278), 1,
      anon_sym_where,
    ACTIONS(14280), 1,
      anon_sym_LPAREN,
    ACTIONS(14282), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14284), 1,
      anon_sym_u2983,
    ACTIONS(14286), 1,
      anon_sym_LBRACE,
    ACTIONS(14288), 1,
      anon_sym_DOT,
    ACTIONS(14290), 1,
      anon_sym_DOT_DOT,
    STATE(8217), 1,
      sym_bid,
    STATE(8438), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9099), 1,
      sym__lambda_bindings,
    ACTIONS(14276), 2,
      anon_sym__,
      sym_id,
    STATE(8160), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [640003] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14294), 1,
      anon_sym_where,
    ACTIONS(14296), 1,
      anon_sym_LPAREN,
    ACTIONS(14298), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14300), 1,
      anon_sym_u2983,
    ACTIONS(14302), 1,
      anon_sym_LBRACE,
    ACTIONS(14304), 1,
      anon_sym_DOT,
    ACTIONS(14306), 1,
      anon_sym_DOT_DOT,
    STATE(8322), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8555), 1,
      sym_bid,
    STATE(9265), 1,
      sym__lambda_bindings,
    ACTIONS(14292), 2,
      anon_sym__,
      sym_id,
    STATE(8533), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [640049] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [640075] = 13,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13483), 1,
      anon_sym_where,
    ACTIONS(13485), 1,
      anon_sym_LPAREN,
    ACTIONS(13487), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13489), 1,
      anon_sym_u2983,
    ACTIONS(13491), 1,
      anon_sym_LBRACE,
    ACTIONS(13493), 1,
      anon_sym_DOT,
    ACTIONS(13495), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14308), 1,
      anon_sym_EQ,
    STATE(8780), 1,
      sym_bid,
    ACTIONS(13479), 2,
      anon_sym__,
      sym_id,
    STATE(8101), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [640119] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [640145] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13850), 1,
      anon_sym_DOT,
    ACTIONS(13852), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14310), 1,
      anon_sym_where,
    ACTIONS(14312), 1,
      anon_sym_LPAREN,
    ACTIONS(14314), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14316), 1,
      anon_sym_u2983,
    ACTIONS(14318), 1,
      anon_sym_LBRACE,
    STATE(8304), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8526), 1,
      sym_bid,
    STATE(9142), 1,
      sym__lambda_bindings,
    ACTIONS(13838), 2,
      anon_sym__,
      sym_id,
    STATE(8607), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [640191] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14322), 1,
      anon_sym_where,
    ACTIONS(14324), 1,
      anon_sym_LPAREN,
    ACTIONS(14326), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14328), 1,
      anon_sym_u2983,
    ACTIONS(14330), 1,
      anon_sym_LBRACE,
    ACTIONS(14332), 1,
      anon_sym_DOT,
    ACTIONS(14334), 1,
      anon_sym_DOT_DOT,
    STATE(8270), 1,
      sym_bid,
    STATE(8430), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9175), 1,
      sym__lambda_bindings,
    ACTIONS(14320), 2,
      anon_sym__,
      sym_id,
    STATE(8359), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [640237] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13792), 1,
      anon_sym_LPAREN,
    ACTIONS(13794), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13796), 1,
      anon_sym_u2983,
    ACTIONS(13798), 1,
      anon_sym_LBRACE,
    ACTIONS(13800), 1,
      anon_sym_DOT,
    ACTIONS(13802), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14336), 1,
      anon_sym_where,
    STATE(8276), 1,
      sym_bid,
    STATE(8441), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9362), 1,
      sym__lambda_bindings,
    ACTIONS(13788), 2,
      anon_sym__,
      sym_id,
    STATE(8340), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [640283] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [640309] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14340), 1,
      anon_sym_where,
    ACTIONS(14342), 1,
      anon_sym_LPAREN,
    ACTIONS(14344), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14346), 1,
      anon_sym_u2983,
    ACTIONS(14348), 1,
      anon_sym_LBRACE,
    ACTIONS(14350), 1,
      anon_sym_DOT,
    ACTIONS(14352), 1,
      anon_sym_DOT_DOT,
    STATE(8185), 1,
      sym_bid,
    STATE(8378), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9053), 1,
      sym__lambda_bindings,
    ACTIONS(14338), 2,
      anon_sym__,
      sym_id,
    STATE(8238), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [640355] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14356), 1,
      anon_sym_where,
    ACTIONS(14358), 1,
      anon_sym_LPAREN,
    ACTIONS(14360), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14362), 1,
      anon_sym_u2983,
    ACTIONS(14364), 1,
      anon_sym_LBRACE,
    ACTIONS(14366), 1,
      anon_sym_DOT,
    ACTIONS(14368), 1,
      anon_sym_DOT_DOT,
    STATE(8142), 1,
      sym_bid,
    STATE(8511), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9036), 1,
      sym__lambda_bindings,
    ACTIONS(14354), 2,
      anon_sym__,
      sym_id,
    STATE(8125), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [640401] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [640427] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [640453] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14372), 1,
      anon_sym_where,
    ACTIONS(14374), 1,
      anon_sym_LPAREN,
    ACTIONS(14376), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14378), 1,
      anon_sym_u2983,
    ACTIONS(14380), 1,
      anon_sym_LBRACE,
    ACTIONS(14382), 1,
      anon_sym_DOT,
    ACTIONS(14384), 1,
      anon_sym_DOT_DOT,
    STATE(8344), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8405), 1,
      sym_bid,
    STATE(9111), 1,
      sym__lambda_bindings,
    ACTIONS(14370), 2,
      anon_sym__,
      sym_id,
    STATE(8519), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [640499] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [640525] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [640551] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [640577] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [640603] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14388), 1,
      anon_sym_where,
    ACTIONS(14390), 1,
      anon_sym_LPAREN,
    ACTIONS(14392), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14394), 1,
      anon_sym_u2983,
    ACTIONS(14396), 1,
      anon_sym_LBRACE,
    ACTIONS(14398), 1,
      anon_sym_DOT,
    ACTIONS(14400), 1,
      anon_sym_DOT_DOT,
    STATE(7944), 1,
      sym_bid,
    STATE(8453), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(9003), 1,
      sym__lambda_bindings,
    ACTIONS(14386), 2,
      anon_sym__,
      sym_id,
    STATE(8026), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [640649] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14404), 1,
      anon_sym_where,
    ACTIONS(14406), 1,
      anon_sym_LPAREN,
    ACTIONS(14408), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14410), 1,
      anon_sym_u2983,
    ACTIONS(14412), 1,
      anon_sym_LBRACE,
    ACTIONS(14414), 1,
      anon_sym_DOT,
    ACTIONS(14416), 1,
      anon_sym_DOT_DOT,
    STATE(7951), 1,
      sym_bid,
    STATE(8272), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8966), 1,
      sym__lambda_bindings,
    ACTIONS(14402), 2,
      anon_sym__,
      sym_id,
    STATE(8020), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [640695] = 14,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14420), 1,
      anon_sym_where,
    ACTIONS(14422), 1,
      anon_sym_LPAREN,
    ACTIONS(14424), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14426), 1,
      anon_sym_u2983,
    ACTIONS(14428), 1,
      anon_sym_LBRACE,
    ACTIONS(14430), 1,
      anon_sym_DOT,
    ACTIONS(14432), 1,
      anon_sym_DOT_DOT,
    STATE(8401), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8536), 1,
      sym_bid,
    STATE(9321), 1,
      sym__lambda_bindings,
    ACTIONS(14418), 2,
      anon_sym__,
      sym_id,
    STATE(8535), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [640741] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [640767] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [640793] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [640819] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [640845] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [640871] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_in,
  [640900] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [640929] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [640954] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
  [640983] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641008] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [641033] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641058] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [641083] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [641108] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641133] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641158] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641183] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [641208] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 6,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
  [641235] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641260] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641285] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641310] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [641335] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
  [641364] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641389] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641414] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 6,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
  [641441] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13520), 1,
      anon_sym_EQ,
    ACTIONS(14437), 1,
      anon_sym_LPAREN,
    ACTIONS(14440), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14443), 1,
      anon_sym_u2983,
    ACTIONS(14446), 1,
      anon_sym_LBRACE,
    ACTIONS(14449), 1,
      anon_sym_DOT,
    ACTIONS(14452), 1,
      anon_sym_DOT_DOT,
    STATE(8976), 1,
      sym_bid,
    ACTIONS(14434), 2,
      anon_sym__,
      sym_id,
    STATE(8179), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [641482] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641507] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641532] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13268), 1,
      sym_id,
    ACTIONS(13274), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13276), 1,
      anon_sym_u2983,
    ACTIONS(13278), 1,
      anon_sym_LBRACE,
    ACTIONS(13280), 1,
      anon_sym_DOT,
    ACTIONS(13282), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13284), 1,
      anon_sym_AT,
    STATE(12158), 1,
      sym__modal_arg_ids,
    STATE(8343), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8665), 4,
      sym__field_name,
      sym__maybe_dotted_id,
      aux_sym__arg_ids,
      sym__arg_id,
  [641573] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641598] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641623] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [641648] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641673] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641698] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641723] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641748] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13568), 1,
      anon_sym_DOT,
    ACTIONS(13570), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14455), 1,
      anon_sym_EQ,
    ACTIONS(14457), 1,
      anon_sym_LPAREN,
    ACTIONS(14459), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14461), 1,
      anon_sym_u2983,
    ACTIONS(14463), 1,
      anon_sym_LBRACE,
    STATE(8976), 1,
      sym_bid,
    ACTIONS(13556), 2,
      anon_sym__,
      sym_id,
    STATE(8179), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [641789] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641818] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641843] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641868] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641893] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641918] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641947] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [641972] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [641997] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [642022] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642047] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [642072] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [642097] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642122] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642147] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [642172] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642197] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642222] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642247] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642272] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642297] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [642322] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13483), 1,
      anon_sym_where,
    ACTIONS(14467), 1,
      anon_sym_LPAREN,
    ACTIONS(14469), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14471), 1,
      anon_sym_u2983,
    ACTIONS(14473), 1,
      anon_sym_LBRACE,
    ACTIONS(14475), 1,
      anon_sym_DOT,
    ACTIONS(14477), 1,
      anon_sym_DOT_DOT,
    STATE(8938), 1,
      sym_bid,
    ACTIONS(14465), 2,
      anon_sym__,
      sym_id,
    STATE(8214), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [642363] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642388] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13638), 1,
      anon_sym_where,
    ACTIONS(14467), 1,
      anon_sym_LPAREN,
    ACTIONS(14469), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14471), 1,
      anon_sym_u2983,
    ACTIONS(14473), 1,
      anon_sym_LBRACE,
    ACTIONS(14475), 1,
      anon_sym_DOT,
    ACTIONS(14477), 1,
      anon_sym_DOT_DOT,
    STATE(8938), 1,
      sym_bid,
    ACTIONS(14465), 2,
      anon_sym__,
      sym_id,
    STATE(8222), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [642429] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642458] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13568), 1,
      anon_sym_DOT,
    ACTIONS(13570), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14457), 1,
      anon_sym_LPAREN,
    ACTIONS(14459), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14461), 1,
      anon_sym_u2983,
    ACTIONS(14463), 1,
      anon_sym_LBRACE,
    ACTIONS(14479), 1,
      anon_sym_EQ,
    STATE(8976), 1,
      sym_bid,
    ACTIONS(13556), 2,
      anon_sym__,
      sym_id,
    STATE(8179), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [642499] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642524] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642549] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642574] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642599] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642624] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13520), 1,
      anon_sym_where,
    ACTIONS(14484), 1,
      anon_sym_LPAREN,
    ACTIONS(14487), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14490), 1,
      anon_sym_u2983,
    ACTIONS(14493), 1,
      anon_sym_LBRACE,
    ACTIONS(14496), 1,
      anon_sym_DOT,
    ACTIONS(14499), 1,
      anon_sym_DOT_DOT,
    STATE(8938), 1,
      sym_bid,
    ACTIONS(14481), 2,
      anon_sym__,
      sym_id,
    STATE(8222), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [642665] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642690] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642715] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [642740] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642765] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
  [642794] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642819] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642844] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642869] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [642894] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_in,
  [642923] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642948] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642973] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [642998] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [643023] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643048] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_in,
  [643077] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643102] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643131] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643156] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_in,
  [643185] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [643210] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643235] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643260] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643285] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      anon_sym_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
  [643314] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643339] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643364] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643393] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      anon_sym_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
  [643422] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643447] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [643472] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [643497] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643522] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643547] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13568), 1,
      anon_sym_DOT,
    ACTIONS(13570), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14457), 1,
      anon_sym_LPAREN,
    ACTIONS(14459), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14461), 1,
      anon_sym_u2983,
    ACTIONS(14463), 1,
      anon_sym_LBRACE,
    ACTIONS(14502), 1,
      anon_sym_EQ,
    STATE(8976), 1,
      sym_bid,
    ACTIONS(13556), 2,
      anon_sym__,
      sym_id,
    STATE(8190), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [643588] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643613] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643638] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643663] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13568), 1,
      anon_sym_DOT,
    ACTIONS(13570), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14457), 1,
      anon_sym_LPAREN,
    ACTIONS(14459), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14461), 1,
      anon_sym_u2983,
    ACTIONS(14463), 1,
      anon_sym_LBRACE,
    ACTIONS(14504), 1,
      anon_sym_EQ,
    STATE(8976), 1,
      sym_bid,
    ACTIONS(13556), 2,
      anon_sym__,
      sym_id,
    STATE(8216), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [643704] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643729] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
  [643758] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643783] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2988,
  [643809] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643837] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(8007), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [643875] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643899] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2988,
  [643925] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [643949] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13720), 1,
      anon_sym_DOT,
    ACTIONS(13722), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14506), 1,
      anon_sym_LPAREN,
    ACTIONS(14508), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14510), 1,
      anon_sym_u2983,
    ACTIONS(14512), 1,
      anon_sym_LBRACE,
    STATE(8085), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(13708), 2,
      anon_sym__,
      sym_id,
    STATE(8078), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [643989] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14414), 1,
      anon_sym_DOT,
    ACTIONS(14416), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14514), 1,
      anon_sym_LPAREN,
    ACTIONS(14516), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14518), 1,
      anon_sym_u2983,
    ACTIONS(14520), 1,
      anon_sym_LBRACE,
    STATE(7951), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(14402), 2,
      anon_sym__,
      sym_id,
    STATE(7995), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [644029] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644053] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13832), 1,
      anon_sym_DOT,
    ACTIONS(13834), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14522), 1,
      anon_sym_LPAREN,
    ACTIONS(14524), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14526), 1,
      anon_sym_u2983,
    ACTIONS(14528), 1,
      anon_sym_LBRACE,
    STATE(7848), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(13820), 2,
      anon_sym__,
      sym_id,
    STATE(7857), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [644093] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644117] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644141] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644165] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644189] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644213] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13973), 1,
      anon_sym_DOT,
    ACTIONS(13975), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14530), 1,
      anon_sym_LPAREN,
    ACTIONS(14532), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14534), 1,
      anon_sym_u2983,
    ACTIONS(14536), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8293), 1,
      sym_bid,
    ACTIONS(13961), 2,
      anon_sym__,
      sym_id,
    STATE(8394), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [644253] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13850), 1,
      anon_sym_DOT,
    ACTIONS(13852), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14538), 1,
      anon_sym_LPAREN,
    ACTIONS(14540), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14542), 1,
      anon_sym_u2983,
    ACTIONS(14544), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8526), 1,
      sym_bid,
    ACTIONS(13838), 2,
      anon_sym__,
      sym_id,
    STATE(8622), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [644293] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14549), 1,
      anon_sym_LPAREN,
    ACTIONS(14552), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14555), 1,
      anon_sym_u2983,
    ACTIONS(14558), 1,
      anon_sym_LBRACE,
    ACTIONS(14561), 1,
      anon_sym_DOT,
    ACTIONS(14564), 1,
      anon_sym_DOT_DOT,
    STATE(9007), 1,
      sym_bid,
    ACTIONS(14546), 2,
      anon_sym__,
      sym_id,
    STATE(8282), 4,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
      aux_sym__lambda_bindings_repeat1,
  [644331] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13288), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644355] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_u2988,
  [644379] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644403] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13616), 1,
      anon_sym_DOT,
    ACTIONS(13618), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14567), 1,
      anon_sym_LPAREN,
    ACTIONS(14569), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14571), 1,
      anon_sym_u2983,
    ACTIONS(14573), 1,
      anon_sym_LBRACE,
    STATE(8172), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(13604), 2,
      anon_sym__,
      sym_id,
    STATE(8196), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [644443] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644467] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13704), 1,
      anon_sym_DOT,
    ACTIONS(13706), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14575), 1,
      anon_sym_LPAREN,
    ACTIONS(14577), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14579), 1,
      anon_sym_u2983,
    ACTIONS(14581), 1,
      anon_sym_LBRACE,
    STATE(8262), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(13692), 2,
      anon_sym__,
      sym_id,
    STATE(8158), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [644507] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644531] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644555] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644579] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644603] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644627] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644651] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644675] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644699] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13333), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644723] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644747] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644771] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13584), 1,
      anon_sym_DOT,
    ACTIONS(13586), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14583), 1,
      anon_sym_LPAREN,
    ACTIONS(14585), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14587), 1,
      anon_sym_u2983,
    ACTIONS(14589), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8557), 1,
      sym_bid,
    ACTIONS(13572), 2,
      anon_sym__,
      sym_id,
    STATE(8522), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [644811] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644835] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644859] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644883] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13850), 1,
      anon_sym_DOT,
    ACTIONS(13852), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14591), 1,
      anon_sym_LPAREN,
    ACTIONS(14593), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14595), 1,
      anon_sym_u2983,
    ACTIONS(14597), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8526), 1,
      sym_bid,
    ACTIONS(13838), 2,
      anon_sym__,
      sym_id,
    STATE(8622), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [644923] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      anon_sym_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [644951] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2984,
  [644977] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645001] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14059), 1,
      anon_sym_DOT,
    ACTIONS(14061), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14599), 1,
      anon_sym_LPAREN,
    ACTIONS(14601), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14603), 1,
      anon_sym_u2983,
    ACTIONS(14605), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8593), 1,
      sym_bid,
    ACTIONS(14047), 2,
      anon_sym__,
      sym_id,
    STATE(8560), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [645041] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645065] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645089] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645113] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 3,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645141] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14027), 1,
      anon_sym_DOT,
    ACTIONS(14029), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14607), 1,
      anon_sym_LPAREN,
    ACTIONS(14609), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14611), 1,
      anon_sym_u2983,
    ACTIONS(14613), 1,
      anon_sym_LBRACE,
    STATE(8148), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(14015), 2,
      anon_sym__,
      sym_id,
    STATE(8066), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [645181] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645205] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645229] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14111), 1,
      anon_sym_DOT,
    ACTIONS(14113), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14615), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14619), 1,
      anon_sym_u2983,
    ACTIONS(14621), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8561), 1,
      sym_bid,
    ACTIONS(14099), 2,
      anon_sym__,
      sym_id,
    STATE(8619), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [645269] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645293] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645317] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13768), 1,
      anon_sym_DOT,
    ACTIONS(13770), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14623), 1,
      anon_sym_LPAREN,
    ACTIONS(14625), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14627), 1,
      anon_sym_u2983,
    ACTIONS(14629), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8420), 1,
      sym_bid,
    ACTIONS(13756), 2,
      anon_sym__,
      sym_id,
    STATE(8325), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [645357] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645381] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645405] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14304), 1,
      anon_sym_DOT,
    ACTIONS(14306), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14631), 1,
      anon_sym_LPAREN,
    ACTIONS(14633), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14635), 1,
      anon_sym_u2983,
    ACTIONS(14637), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8555), 1,
      sym_bid,
    ACTIONS(14292), 2,
      anon_sym__,
      sym_id,
    STATE(8550), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [645445] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645473] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645497] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2984,
  [645523] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645547] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645571] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14011), 1,
      anon_sym_DOT,
    ACTIONS(14013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14639), 1,
      anon_sym_LPAREN,
    ACTIONS(14641), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14643), 1,
      anon_sym_u2983,
    ACTIONS(14645), 1,
      anon_sym_LBRACE,
    STATE(8197), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(13999), 2,
      anon_sym__,
      sym_id,
    STATE(8178), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [645611] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645635] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645659] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645683] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [645707] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      anon_sym_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645735] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14129), 1,
      anon_sym_DOT,
    ACTIONS(14131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14647), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14651), 1,
      anon_sym_u2983,
    ACTIONS(14653), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8588), 1,
      sym_bid,
    ACTIONS(14117), 2,
      anon_sym__,
      sym_id,
    STATE(8544), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [645775] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645799] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_u2988,
  [645823] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645847] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645871] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645895] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(13254), 3,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645923] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13688), 1,
      anon_sym_DOT,
    ACTIONS(13690), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14655), 1,
      anon_sym_LPAREN,
    ACTIONS(14657), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14659), 1,
      anon_sym_u2983,
    ACTIONS(14661), 1,
      anon_sym_LBRACE,
    STATE(7899), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(13676), 2,
      anon_sym__,
      sym_id,
    STATE(7896), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [645963] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [645987] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13268), 1,
      sym_id,
    ACTIONS(13274), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13276), 1,
      anon_sym_u2983,
    ACTIONS(13278), 1,
      anon_sym_LBRACE,
    ACTIONS(13280), 1,
      anon_sym_DOT,
    ACTIONS(13282), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13284), 1,
      anon_sym_AT,
    STATE(8980), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    STATE(8644), 4,
      sym__field_name,
      sym__maybe_dotted_id,
      aux_sym__arg_ids,
      sym__arg_id,
  [646025] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14382), 1,
      anon_sym_DOT,
    ACTIONS(14384), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14663), 1,
      anon_sym_LPAREN,
    ACTIONS(14665), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14667), 1,
      anon_sym_u2983,
    ACTIONS(14669), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8405), 1,
      sym_bid,
    ACTIONS(14370), 2,
      anon_sym__,
      sym_id,
    STATE(8418), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [646065] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [646089] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [646113] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646141] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646165] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646189] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13325), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646213] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646241] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646265] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646289] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646313] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13248), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646337] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646361] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [646385] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646409] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
  [646435] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13995), 1,
      anon_sym_DOT,
    ACTIONS(13997), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14671), 1,
      anon_sym_LPAREN,
    ACTIONS(14673), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14675), 1,
      anon_sym_u2983,
    ACTIONS(14677), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8469), 1,
      sym_bid,
    ACTIONS(13983), 2,
      anon_sym__,
      sym_id,
    STATE(8266), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [646475] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646499] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646523] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13816), 1,
      anon_sym_DOT,
    ACTIONS(13818), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14679), 1,
      anon_sym_LPAREN,
    ACTIONS(14681), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14683), 1,
      anon_sym_u2983,
    ACTIONS(14685), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8291), 1,
      sym_bid,
    ACTIONS(13804), 2,
      anon_sym__,
      sym_id,
    STATE(8333), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [646563] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646587] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_u2988,
  [646611] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646635] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646659] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13752), 1,
      anon_sym_DOT,
    ACTIONS(13754), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14687), 1,
      anon_sym_LPAREN,
    ACTIONS(14689), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14691), 1,
      anon_sym_u2983,
    ACTIONS(14693), 1,
      anon_sym_LBRACE,
    STATE(8252), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(13740), 2,
      anon_sym__,
      sym_id,
    STATE(8215), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [646699] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14209), 1,
      anon_sym_DOT,
    ACTIONS(14211), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14695), 1,
      anon_sym_LPAREN,
    ACTIONS(14697), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14699), 1,
      anon_sym_u2983,
    ACTIONS(14701), 1,
      anon_sym_LBRACE,
    STATE(7866), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(14197), 2,
      anon_sym__,
      sym_id,
    STATE(7869), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [646739] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14177), 1,
      anon_sym_DOT,
    ACTIONS(14179), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14703), 1,
      anon_sym_LPAREN,
    ACTIONS(14705), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14707), 1,
      anon_sym_u2983,
    ACTIONS(14709), 1,
      anon_sym_LBRACE,
    STATE(8258), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(14165), 2,
      anon_sym__,
      sym_id,
    STATE(8251), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [646779] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646803] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
  [646829] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14161), 1,
      anon_sym_DOT,
    ACTIONS(14163), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14711), 1,
      anon_sym_LPAREN,
    ACTIONS(14713), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14715), 1,
      anon_sym_u2983,
    ACTIONS(14717), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8353), 1,
      sym_bid,
    ACTIONS(14149), 2,
      anon_sym__,
      sym_id,
    STATE(8323), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [646869] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646893] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [646917] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646945] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [646969] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14350), 1,
      anon_sym_DOT,
    ACTIONS(14352), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14719), 1,
      anon_sym_LPAREN,
    ACTIONS(14721), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14723), 1,
      anon_sym_u2983,
    ACTIONS(14725), 1,
      anon_sym_LBRACE,
    STATE(8185), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(14338), 2,
      anon_sym__,
      sym_id,
    STATE(8157), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [647009] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [647033] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14145), 1,
      anon_sym_DOT,
    ACTIONS(14147), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14727), 1,
      anon_sym_LPAREN,
    ACTIONS(14729), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14731), 1,
      anon_sym_u2983,
    ACTIONS(14733), 1,
      anon_sym_LBRACE,
    STATE(7961), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(14133), 2,
      anon_sym__,
      sym_id,
    STATE(7943), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [647073] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [647097] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [647121] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [647145] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13887), 1,
      anon_sym_DOT,
    ACTIONS(13889), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14735), 1,
      anon_sym_LPAREN,
    ACTIONS(14737), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14739), 1,
      anon_sym_u2983,
    ACTIONS(14741), 1,
      anon_sym_LBRACE,
    STATE(7875), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(13875), 2,
      anon_sym__,
      sym_id,
    STATE(7860), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [647185] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_u2988,
  [647209] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
  [647235] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [647259] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [647283] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13568), 1,
      anon_sym_DOT,
    ACTIONS(13570), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14743), 1,
      anon_sym_LPAREN,
    ACTIONS(14745), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14747), 1,
      anon_sym_u2983,
    ACTIONS(14749), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8976), 1,
      sym_bid,
    ACTIONS(13556), 2,
      anon_sym__,
      sym_id,
    STATE(8926), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [647323] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [647347] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [647371] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14043), 1,
      anon_sym_DOT,
    ACTIONS(14045), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14751), 1,
      anon_sym_LPAREN,
    ACTIONS(14753), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14755), 1,
      anon_sym_u2983,
    ACTIONS(14757), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8381), 1,
      sym_bid,
    ACTIONS(14031), 2,
      anon_sym__,
      sym_id,
    STATE(8429), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [647411] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [647435] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 3,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [647463] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13632), 1,
      anon_sym_DOT,
    ACTIONS(13634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14759), 1,
      anon_sym_LPAREN,
    ACTIONS(14761), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14763), 1,
      anon_sym_u2983,
    ACTIONS(14765), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8575), 1,
      sym_bid,
    ACTIONS(13620), 2,
      anon_sym__,
      sym_id,
    STATE(8530), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [647503] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [647527] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13752), 1,
      anon_sym_DOT,
    ACTIONS(13754), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14767), 1,
      anon_sym_LPAREN,
    ACTIONS(14769), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14771), 1,
      anon_sym_u2983,
    ACTIONS(14773), 1,
      anon_sym_LBRACE,
    STATE(8252), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(13740), 2,
      anon_sym__,
      sym_id,
    STATE(8215), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [647567] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14093), 1,
      anon_sym_DOT,
    ACTIONS(14095), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14775), 1,
      anon_sym_LPAREN,
    ACTIONS(14777), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14779), 1,
      anon_sym_u2983,
    ACTIONS(14781), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8362), 1,
      sym_bid,
    ACTIONS(14081), 2,
      anon_sym__,
      sym_id,
    STATE(8415), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [647607] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [647631] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [647655] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14430), 1,
      anon_sym_DOT,
    ACTIONS(14432), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14783), 1,
      anon_sym_LPAREN,
    ACTIONS(14785), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14787), 1,
      anon_sym_u2983,
    ACTIONS(14789), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8536), 1,
      sym_bid,
    ACTIONS(14418), 2,
      anon_sym__,
      sym_id,
    STATE(8547), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [647695] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13905), 1,
      anon_sym_DOT,
    ACTIONS(13907), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14791), 1,
      anon_sym_LPAREN,
    ACTIONS(14793), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14795), 1,
      anon_sym_u2983,
    ACTIONS(14797), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8610), 1,
      sym_bid,
    ACTIONS(13893), 2,
      anon_sym__,
      sym_id,
    STATE(8581), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [647735] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(8001), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [647773] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [647797] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [647821] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_u2988,
  [647845] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14193), 1,
      anon_sym_DOT,
    ACTIONS(14195), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14799), 1,
      anon_sym_LPAREN,
    ACTIONS(14801), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14803), 1,
      anon_sym_u2983,
    ACTIONS(14805), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8385), 1,
      sym_bid,
    ACTIONS(14181), 2,
      anon_sym__,
      sym_id,
    STATE(8265), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [647885] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [647909] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [647933] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      anon_sym_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [647961] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_u2988,
  [647985] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13939), 1,
      anon_sym_DOT,
    ACTIONS(13941), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14807), 1,
      anon_sym_LPAREN,
    ACTIONS(14809), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14811), 1,
      anon_sym_u2983,
    ACTIONS(14813), 1,
      anon_sym_LBRACE,
    STATE(8143), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(13927), 2,
      anon_sym__,
      sym_id,
    STATE(8068), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [648025] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_in,
  [648049] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [648073] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      anon_sym_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [648101] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [648125] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(8025), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [648163] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2984,
  [648189] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7972), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [648227] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [648251] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [648279] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [648303] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(8011), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [648341] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [648365] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13672), 1,
      anon_sym_DOT,
    ACTIONS(13674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14815), 1,
      anon_sym_LPAREN,
    ACTIONS(14817), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14819), 1,
      anon_sym_u2983,
    ACTIONS(14821), 1,
      anon_sym_LBRACE,
    STATE(8221), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(13660), 2,
      anon_sym__,
      sym_id,
    STATE(8263), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [648405] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13784), 1,
      anon_sym_DOT,
    ACTIONS(13786), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14823), 1,
      anon_sym_LPAREN,
    ACTIONS(14825), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14827), 1,
      anon_sym_u2983,
    ACTIONS(14829), 1,
      anon_sym_LBRACE,
    STATE(8102), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(13772), 2,
      anon_sym__,
      sym_id,
    STATE(8054), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [648445] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7936), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [648483] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7953), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [648521] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13341), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
  [648547] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14332), 1,
      anon_sym_DOT,
    ACTIONS(14334), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14831), 1,
      anon_sym_LPAREN,
    ACTIONS(14833), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14835), 1,
      anon_sym_u2983,
    ACTIONS(14837), 1,
      anon_sym_LBRACE,
    STATE(8270), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(14320), 2,
      anon_sym__,
      sym_id,
    STATE(8372), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [648587] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [648611] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7942), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [648649] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [648673] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13921), 1,
      anon_sym_DOT,
    ACTIONS(13923), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14839), 1,
      anon_sym_LPAREN,
    ACTIONS(14841), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14843), 1,
      anon_sym_u2983,
    ACTIONS(14845), 1,
      anon_sym_LBRACE,
    STATE(7920), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(13909), 2,
      anon_sym__,
      sym_id,
    STATE(7922), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [648713] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7983), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [648751] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(8024), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [648789] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [648817] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14288), 1,
      anon_sym_DOT,
    ACTIONS(14290), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14847), 1,
      anon_sym_LPAREN,
    ACTIONS(14849), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14851), 1,
      anon_sym_u2983,
    ACTIONS(14853), 1,
      anon_sym_LBRACE,
    STATE(8217), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(14276), 2,
      anon_sym__,
      sym_id,
    STATE(8227), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [648857] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7940), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [648895] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7986), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [648933] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13800), 1,
      anon_sym_DOT,
    ACTIONS(13802), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14855), 1,
      anon_sym_LPAREN,
    ACTIONS(14857), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14859), 1,
      anon_sym_u2983,
    ACTIONS(14861), 1,
      anon_sym_LBRACE,
    STATE(8276), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(13788), 2,
      anon_sym__,
      sym_id,
    STATE(8312), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [648973] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7949), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [649011] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_u2988,
  [649035] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [649059] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14225), 1,
      anon_sym_DOT,
    ACTIONS(14227), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14863), 1,
      anon_sym_LPAREN,
    ACTIONS(14865), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14867), 1,
      anon_sym_u2983,
    ACTIONS(14869), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8400), 1,
      sym_bid,
    ACTIONS(14213), 2,
      anon_sym__,
      sym_id,
    STATE(8376), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [649099] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [649123] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7985), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [649161] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [649185] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(8010), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [649223] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [649247] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7997), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [649285] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_DOT,
    ACTIONS(13511), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14871), 1,
      anon_sym_LPAREN,
    ACTIONS(14873), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14875), 1,
      anon_sym_u2983,
    ACTIONS(14877), 1,
      anon_sym_LBRACE,
    STATE(8211), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(13497), 2,
      anon_sym__,
      sym_id,
    STATE(8242), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [649325] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14398), 1,
      anon_sym_DOT,
    ACTIONS(14400), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14879), 1,
      anon_sym_LPAREN,
    ACTIONS(14881), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14883), 1,
      anon_sym_u2983,
    ACTIONS(14885), 1,
      anon_sym_LBRACE,
    STATE(7944), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(14386), 2,
      anon_sym__,
      sym_id,
    STATE(7999), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [649365] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [649393] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7970), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [649431] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [649455] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(8013), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [649493] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [649517] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7958), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [649555] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7959), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [649593] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13736), 1,
      anon_sym_DOT,
    ACTIONS(13738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14887), 1,
      anon_sym_LPAREN,
    ACTIONS(14889), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14891), 1,
      anon_sym_u2983,
    ACTIONS(14893), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8413), 1,
      sym_bid,
    ACTIONS(13724), 2,
      anon_sym__,
      sym_id,
    STATE(8513), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [649633] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14075), 1,
      anon_sym_DOT,
    ACTIONS(14077), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14895), 1,
      anon_sym_LPAREN,
    ACTIONS(14897), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14899), 1,
      anon_sym_u2983,
    ACTIONS(14901), 1,
      anon_sym_LBRACE,
    STATE(7918), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(14063), 2,
      anon_sym__,
      sym_id,
    STATE(7894), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [649673] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7965), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [649711] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7978), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [649749] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [649773] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7992), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [649811] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(8005), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [649849] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [649873] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13264), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [649897] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(8012), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [649935] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(8017), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [649973] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13260), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [649997] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7969), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650035] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [650059] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(8003), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650097] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7945), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650135] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7957), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650173] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7947), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650211] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13656), 1,
      anon_sym_DOT,
    ACTIONS(13658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14903), 1,
      anon_sym_LPAREN,
    ACTIONS(14905), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14907), 1,
      anon_sym_u2983,
    ACTIONS(14909), 1,
      anon_sym_LBRACE,
    STATE(7867), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(13644), 2,
      anon_sym__,
      sym_id,
    STATE(7871), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650251] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7968), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650289] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [650313] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7987), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650351] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [650375] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7974), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650413] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14251), 1,
      anon_sym_DOT,
    ACTIONS(14253), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14911), 1,
      anon_sym_LPAREN,
    ACTIONS(14913), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14915), 1,
      anon_sym_u2983,
    ACTIONS(14917), 1,
      anon_sym_LBRACE,
    STATE(7898), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(14239), 2,
      anon_sym__,
      sym_id,
    STATE(7914), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650453] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7998), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650491] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(8008), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650529] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(8016), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650567] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7937), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650605] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7938), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650643] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_in,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [650671] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7952), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650709] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_u2988,
  [650733] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7955), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650771] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [650795] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7962), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650833] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13600), 1,
      anon_sym_DOT,
    ACTIONS(13602), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14919), 1,
      anon_sym_LPAREN,
    ACTIONS(14921), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14923), 1,
      anon_sym_u2983,
    ACTIONS(14925), 1,
      anon_sym_LBRACE,
    STATE(7941), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(13588), 2,
      anon_sym__,
      sym_id,
    STATE(7994), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650873] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7967), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650911] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7971), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650949] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7977), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [650987] = 11,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13353), 1,
      anon_sym_u2983,
    ACTIONS(13355), 1,
      anon_sym_LBRACE,
    ACTIONS(13357), 1,
      anon_sym_DOT,
    ACTIONS(13359), 1,
      anon_sym_DOT_DOT,
    STATE(8870), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
    STATE(7980), 4,
      sym_typed_binding,
      aux_sym__typed_untyped_bindings,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [651025] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13337), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651049] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_u2988,
  [651073] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13292), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651097] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651121] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651145] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13329), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651169] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651193] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651217] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13955), 1,
      anon_sym_DOT,
    ACTIONS(13957), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14927), 1,
      anon_sym_LPAREN,
    ACTIONS(14929), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14931), 1,
      anon_sym_u2983,
    ACTIONS(14933), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8348), 1,
      sym_bid,
    ACTIONS(13943), 2,
      anon_sym__,
      sym_id,
    STATE(8437), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [651257] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14366), 1,
      anon_sym_DOT,
    ACTIONS(14368), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14935), 1,
      anon_sym_LPAREN,
    ACTIONS(14937), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14939), 1,
      anon_sym_u2983,
    ACTIONS(14941), 1,
      anon_sym_LBRACE,
    STATE(8142), 1,
      sym_bid,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    ACTIONS(14354), 2,
      anon_sym__,
      sym_id,
    STATE(8035), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [651297] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651321] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_in,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651349] = 12,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13552), 1,
      anon_sym_DOT,
    ACTIONS(13554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(14943), 1,
      anon_sym_LPAREN,
    ACTIONS(14945), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14947), 1,
      anon_sym_u2983,
    ACTIONS(14949), 1,
      anon_sym_LBRACE,
    STATE(8282), 1,
      aux_sym__lambda_bindings_repeat1,
    STATE(8562), 1,
      sym_bid,
    ACTIONS(13540), 2,
      anon_sym__,
      sym_id,
    STATE(8626), 3,
      sym_typed_binding,
      sym__typed_untyped_binding,
      sym_untyped_binding,
  [651389] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651413] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(13254), 3,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651441] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651465] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 10,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651489] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
    ACTIONS(13254), 5,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2984,
  [651515] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651538] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651561] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 3,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651588] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651611] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2984,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651636] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651659] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651682] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2988,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651707] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651730] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651753] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2988,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651778] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651801] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651824] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651849] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651872] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2984,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651897] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651920] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651943] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651966] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [651989] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      anon_sym_RBRACE,
    ACTIONS(13254), 3,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652016] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652039] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652062] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652085] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      anon_sym_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 3,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652112] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652135] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652158] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2984,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652183] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652206] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652229] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652254] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652277] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652300] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652323] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652346] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652369] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652392] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13264), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652415] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652438] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652461] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 4,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2984,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652486] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652509] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652532] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13333), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652555] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652578] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652601] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13325), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652624] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13248), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652647] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652670] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652693] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652716] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652739] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652762] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13288), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652785] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652808] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_u2988,
  [652831] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652854] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13254), 3,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652881] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652904] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652927] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_u2988,
  [652950] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 3,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [652977] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13260), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653000] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_u2988,
  [653023] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13337), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653046] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_u2988,
  [653069] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13292), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653092] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13329), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653115] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653138] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653161] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653184] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653207] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653230] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653253] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__newline,
    ACTIONS(13254), 3,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653280] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_u2988,
  [653303] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653326] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653349] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653372] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653395] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653418] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653441] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653464] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_u2988,
  [653487] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653510] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653533] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653556] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      anon_sym_RBRACE,
    ACTIONS(13254), 3,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653583] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_u2988,
  [653606] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653629] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653652] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653675] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_u2988,
  [653698] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653721] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      anon_sym_RBRACE,
    ACTIONS(13254), 3,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653748] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653771] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653794] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653817] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653840] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym__newline,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 3,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653867] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 4,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653890] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym_u2984,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653913] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      anon_sym_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 3,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653940] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653963] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13258), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(13254), 3,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [653990] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [654013] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13343), 1,
      anon_sym_RBRACE,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13341), 3,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [654040] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 9,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
      anon_sym_u2988,
  [654063] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_SEMI,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [654086] = 4,
    STATE(1691), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(14951), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [654109] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 8,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [654132] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1501), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(14955), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [654166] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1792), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(14967), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [654200] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(14969), 11,
      sym__newline,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [654218] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1438), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(14971), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [654252] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1643), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(14973), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [654286] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(14975), 1,
      sym_id,
    ACTIONS(14978), 1,
      anon_sym_COLON,
    ACTIONS(14980), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14983), 1,
      anon_sym_u2983,
    ACTIONS(14986), 1,
      anon_sym_LBRACE,
    ACTIONS(14989), 1,
      anon_sym_DOT,
    ACTIONS(14992), 1,
      anon_sym_DOT_DOT,
    STATE(8636), 4,
      sym__field_name,
      sym__maybe_dotted_id,
      aux_sym__arg_ids,
      sym__arg_id,
  [654320] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1603), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(14995), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [654354] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1715), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(14997), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [654388] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(2654), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(14999), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [654422] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1799), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15001), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [654456] = 4,
    STATE(1487), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15003), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 8,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [654478] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1743), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15005), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [654512] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(13343), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [654530] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13268), 1,
      sym_id,
    ACTIONS(13274), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13276), 1,
      anon_sym_u2983,
    ACTIONS(13278), 1,
      anon_sym_LBRACE,
    ACTIONS(13280), 1,
      anon_sym_DOT,
    ACTIONS(13282), 1,
      anon_sym_DOT_DOT,
    ACTIONS(15007), 1,
      anon_sym_COLON,
    STATE(8636), 4,
      sym__field_name,
      sym__maybe_dotted_id,
      aux_sym__arg_ids,
      sym__arg_id,
  [654564] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1653), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15009), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [654598] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1516), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15011), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [654632] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1806), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15013), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [654666] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1701), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15015), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [654700] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15017), 1,
      anon_sym_AT,
    ACTIONS(6281), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(6279), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [654724] = 4,
    STATE(1568), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15019), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 8,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
  [654746] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(13343), 11,
      sym__newline,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [654764] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1750), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15021), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [654798] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1613), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15023), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [654832] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1663), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15025), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [654866] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1563), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15027), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [654900] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1722), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15029), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [654934] = 4,
    STATE(1803), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15031), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 8,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [654956] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1441), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15033), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [654990] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1553), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15035), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655024] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1757), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15037), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655058] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1429), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15039), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655092] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1673), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15041), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655126] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1623), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15043), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655160] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1512), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15045), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655194] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13268), 1,
      sym_id,
    ACTIONS(13274), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(13276), 1,
      anon_sym_u2983,
    ACTIONS(13278), 1,
      anon_sym_LBRACE,
    ACTIONS(13280), 1,
      anon_sym_DOT,
    ACTIONS(13282), 1,
      anon_sym_DOT_DOT,
    ACTIONS(15047), 1,
      anon_sym_COLON,
    STATE(8636), 4,
      sym__field_name,
      sym__maybe_dotted_id,
      aux_sym__arg_ids,
      sym__arg_id,
  [655228] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1764), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15049), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655262] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1729), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15051), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655296] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1573), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15053), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655330] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1736), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15055), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655364] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1583), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15057), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655398] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1680), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15059), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655432] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1482), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15061), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655466] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1771), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15063), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655500] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1778), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15065), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655534] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1708), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15067), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655568] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1687), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15069), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655602] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1543), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15071), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655636] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(2652), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15073), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655670] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1633), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15075), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655704] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1530), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15077), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655738] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1785), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15079), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655772] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(14969), 11,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [655790] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1593), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15081), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655824] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1845), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15083), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655858] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1455), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15085), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655892] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1468), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15087), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655926] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1694), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15089), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655960] = 10,
    ACTIONS(758), 1,
      anon_sym_DOT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_u2983,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_DOT_DOT,
    STATE(1410), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15091), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [655994] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15095), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11871), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656027] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15097), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10320), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656060] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 7,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [656081] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15099), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12219), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656114] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15101), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10563), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656147] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6797), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(6795), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [656168] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15103), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10402), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656201] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15105), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11650), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656234] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15107), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10578), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656267] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15109), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12357), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656300] = 4,
    STATE(1712), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15111), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 7,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [656321] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6626), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(6624), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [656342] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15113), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10596), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656375] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15115), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12628), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656408] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15117), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12429), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656441] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15119), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12337), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656474] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6437), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(6435), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [656495] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15121), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12093), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656528] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15123), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12402), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656561] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6683), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(6681), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [656582] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15125), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10612), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656615] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15127), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12817), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656648] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15129), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12476), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656681] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15131), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10277), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656714] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15133), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10832), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656747] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15135), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11442), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656780] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15137), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12523), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656813] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15139), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10335), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656846] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15141), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11727), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656879] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15143), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10628), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656912] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 7,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [656933] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15145), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11925), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656966] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15147), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10453), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [656999] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15149), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10643), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657032] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15151), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10988), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657065] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15153), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10660), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657098] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15155), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12161), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657131] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15157), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10676), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657164] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15159), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10728), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657197] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15161), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10692), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657230] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15163), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11802), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657263] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15165), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10714), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657296] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6675), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(6673), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [657317] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15167), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12011), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657350] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15169), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11396), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657383] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15171), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10554), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657416] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [657437] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15173), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11521), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657470] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15175), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10733), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657503] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15177), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12575), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657536] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6505), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(6503), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [657557] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15179), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10750), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657590] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15181), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11035), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657623] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15183), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12389), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657656] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15185), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10772), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657689] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15187), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10417), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657722] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15189), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10896), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657755] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15191), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10797), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657788] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 7,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [657809] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 7,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [657830] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15193), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11921), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657863] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15195), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10825), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657896] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15197), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12435), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657929] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6689), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(6687), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [657950] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15199), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10843), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [657983] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15201), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10667), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658016] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15203), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12619), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658049] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15205), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10866), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658082] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15207), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12553), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658115] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 7,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [658136] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15209), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10889), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658169] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 7,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [658190] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15211), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12778), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658223] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15213), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10914), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658256] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15215), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11729), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658289] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15217), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10938), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658322] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15219), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10652), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658355] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15221), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12662), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658388] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15223), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12299), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658421] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15225), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10959), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658454] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [658475] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15227), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10246), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658508] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 7,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [658529] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15229), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10372), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658562] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15231), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10982), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658595] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [658616] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15233), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10418), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658649] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15235), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12054), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658682] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15237), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10865), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658715] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15239), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11007), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658748] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15241), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11309), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658781] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 7,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [658802] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15243), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11029), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658835] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15245), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10432), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658868] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15247), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11054), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658901] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15249), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11614), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658934] = 7,
    ACTIONS(15251), 1,
      anon_sym_COLON,
    ACTIONS(15255), 1,
      anon_sym_with,
    ACTIONS(15257), 1,
      anon_sym_rewrite,
    STATE(9026), 1,
      sym_rewrite_equations,
    STATE(9165), 1,
      sym_with_expressions,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15253), 5,
      sym__newline,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [658961] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15259), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11076), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [658994] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15261), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11228), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659027] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 7,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [659048] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15263), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12808), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659081] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15265), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11106), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659114] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [659135] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15267), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11805), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659168] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15269), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12703), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659201] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15271), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11121), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659234] = 9,
    ACTIONS(15275), 1,
      anon_sym_LPAREN,
    ACTIONS(15278), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15281), 1,
      anon_sym_u2983,
    ACTIONS(15284), 1,
      anon_sym_LBRACE,
    ACTIONS(15287), 1,
      anon_sym_DOT,
    ACTIONS(15290), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15273), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    STATE(8795), 2,
      aux_sym__typed_bindings,
      sym_typed_binding,
  [659265] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15293), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12475), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659298] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [659319] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15295), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12391), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659352] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15297), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11146), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659385] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15299), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12131), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659418] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 7,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [659439] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15301), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12185), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659472] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [659493] = 4,
    STATE(1467), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15303), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 7,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
  [659514] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15305), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11169), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659547] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15307), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10448), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659580] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15309), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10353), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659613] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(6279), 7,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [659634] = 4,
    STATE(1768), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15311), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 7,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
  [659655] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15313), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11198), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659688] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15315), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11752), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659721] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15317), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11224), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659754] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15319), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12241), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659787] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 7,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [659808] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6693), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(6691), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [659829] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15321), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11483), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659862] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15323), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10464), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659895] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15325), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11246), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659928] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15327), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12730), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659961] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15329), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10965), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [659994] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15331), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11279), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660027] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15333), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12035), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660060] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15335), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12511), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660093] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(6431), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [660114] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15337), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12291), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660147] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15339), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11294), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660180] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15341), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12163), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660213] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(6279), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [660234] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15343), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12279), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660267] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 7,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [660288] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15345), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11322), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660321] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15347), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12314), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660354] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15349), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11355), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660387] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 7,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [660408] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15351), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11376), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660441] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15353), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11781), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660474] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13323), 4,
      sym__dedent,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_AT,
    ACTIONS(15355), 6,
      anon_sym_overlap,
      anon_sym_instance,
      anon_sym_u2983,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [660495] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15357), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11403), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660528] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15359), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11953), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660561] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15361), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10479), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660594] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15363), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10792), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660627] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15365), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12789), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660660] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [660681] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15367), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10359), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660714] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15369), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11893), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660747] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15371), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12151), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660780] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15373), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12552), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660813] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15375), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11430), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660846] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15377), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12322), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660879] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15379), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11046), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660912] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15381), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12066), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660945] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15383), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11704), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [660978] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15385), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11935), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661011] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15387), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12790), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661044] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15389), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11782), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661077] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15391), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11460), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661110] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15393), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12465), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661143] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15395), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10368), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661176] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15397), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11220), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661209] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15399), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10496), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661242] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 7,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [661263] = 4,
    STATE(1796), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15401), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 7,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [661284] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15405), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(15403), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [661305] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15407), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11486), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661338] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15409), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11991), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661371] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15411), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11808), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661404] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15413), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12083), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661437] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15415), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10241), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661470] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15417), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12802), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661503] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 7,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [661524] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15419), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10514), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661557] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6545), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(6543), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [661578] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15421), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12351), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661611] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15423), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12718), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661644] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15425), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12595), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661677] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15427), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12181), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661710] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15429), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11516), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661743] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15431), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10664), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661776] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15433), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11570), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661809] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15435), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11110), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661842] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15437), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11139), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661875] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15439), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10256), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661908] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15441), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12038), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661941] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15443), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11536), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [661974] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15445), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10776), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662007] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15447), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11546), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662040] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15449), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10529), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662073] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15451), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11981), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662106] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 7,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [662127] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15453), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12376), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662160] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15455), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10515), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662193] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15457), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11572), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662226] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15459), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11789), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662259] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15461), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11674), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662292] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15463), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10384), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662325] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [662346] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [662367] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15465), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11577), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662400] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15467), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10272), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662433] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15469), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11593), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662466] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6791), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(6789), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [662487] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15471), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12642), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662520] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15473), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10289), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662553] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15475), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11627), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662586] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15477), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11061), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662619] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15479), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11831), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662652] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15481), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12213), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662685] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15483), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11222), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662718] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6679), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(6677), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [662739] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15485), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12271), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662772] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15487), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10304), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662805] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15489), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11649), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662838] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15491), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12209), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662871] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15493), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12779), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662904] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15495), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12685), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662937] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15497), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10544), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [662970] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 7,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [662991] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15499), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12756), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [663024] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15501), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(11287), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [663057] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(6742), 7,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [663078] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 7,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [663099] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    ACTIONS(15503), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9039), 1,
      aux_sym__record_assignments_repeat1,
    STATE(12282), 1,
      sym__record_assignments,
    STATE(9765), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [663132] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15505), 1,
      sym_id,
    ACTIONS(15507), 1,
      anon_sym_EQ,
    ACTIONS(15509), 1,
      anon_sym_LPAREN,
    ACTIONS(15511), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15513), 1,
      anon_sym_u2983,
    ACTIONS(15515), 1,
      anon_sym_LBRACE,
    STATE(9147), 1,
      sym__simple_top_hole,
    STATE(8941), 2,
      sym_hole_name,
      aux_sym_hole_names_repeat1,
  [663164] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15517), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [663180] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 6,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [663200] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13341), 1,
      anon_sym_EQ,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [663222] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15519), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [663238] = 3,
    ACTIONS(15523), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15521), 8,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [663256] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15525), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [663272] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15505), 1,
      sym_id,
    ACTIONS(15509), 1,
      anon_sym_LPAREN,
    ACTIONS(15511), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15513), 1,
      anon_sym_u2983,
    ACTIONS(15515), 1,
      anon_sym_LBRACE,
    STATE(9147), 1,
      sym__simple_top_hole,
    STATE(11033), 1,
      sym_hole_names,
    STATE(8923), 2,
      sym_hole_name,
      aux_sym_hole_names_repeat1,
  [663304] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15527), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [663320] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15529), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [663336] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 6,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [663356] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15531), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [663372] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 6,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [663392] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15533), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [663408] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 6,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [663428] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 6,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [663448] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15535), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [663464] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 6,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [663484] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15537), 1,
      sym_id,
    ACTIONS(15540), 1,
      anon_sym_EQ,
    ACTIONS(15542), 1,
      anon_sym_LPAREN,
    ACTIONS(15545), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15548), 1,
      anon_sym_u2983,
    ACTIONS(15551), 1,
      anon_sym_LBRACE,
    STATE(9147), 1,
      sym__simple_top_hole,
    STATE(8941), 2,
      sym_hole_name,
      aux_sym_hole_names_repeat1,
  [663516] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 6,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [663536] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15554), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [663552] = 10,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15505), 1,
      sym_id,
    ACTIONS(15509), 1,
      anon_sym_LPAREN,
    ACTIONS(15511), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15513), 1,
      anon_sym_u2983,
    ACTIONS(15515), 1,
      anon_sym_LBRACE,
    STATE(9147), 1,
      sym__simple_top_hole,
    STATE(10945), 1,
      sym_hole_names,
    STATE(8923), 2,
      sym_hole_name,
      aux_sym_hole_names_repeat1,
  [663584] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(6279), 6,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [663604] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15556), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [663620] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15558), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [663636] = 4,
    STATE(1789), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15560), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 6,
      sym__newline,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [663656] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15562), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [663672] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15562), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [663688] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15564), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [663704] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 6,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [663724] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15566), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [663740] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15531), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_u2984,
      anon_sym_RBRACE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [663756] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15568), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [663772] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 6,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [663792] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15566), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [663808] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15554), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [663824] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15519), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [663840] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15564), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_u2984,
      anon_sym_RBRACE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [663856] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15570), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [663872] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15568), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [663888] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15572), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [663904] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 6,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [663924] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 6,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [663944] = 4,
    STATE(1608), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15574), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 6,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
  [663964] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 6,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [663984] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 6,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [664004] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 6,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [664024] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 6,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [664044] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13254), 1,
      anon_sym_EQ,
    ACTIONS(13256), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13252), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [664066] = 7,
    ACTIONS(15251), 1,
      anon_sym_COLON,
    ACTIONS(15576), 1,
      anon_sym_with,
    ACTIONS(15578), 1,
      anon_sym_rewrite,
    STATE(9128), 1,
      sym_rewrite_equations,
    STATE(9165), 1,
      sym_with_expressions,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15253), 4,
      sym__newline,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
  [664092] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15580), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [664108] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15582), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [664124] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15582), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_u2984,
      anon_sym_RBRACE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [664140] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 6,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [664160] = 3,
    ACTIONS(15523), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15531), 8,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [664178] = 4,
    STATE(1761), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15584), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 6,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
  [664198] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15556), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [664214] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15586), 1,
      anon_sym_AT,
    ACTIONS(11349), 2,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    STATE(8980), 2,
      sym_attribute,
      aux_sym__modal_arg_ids_repeat1,
    ACTIONS(11347), 4,
      anon_sym_u2983,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [664238] = 3,
    ACTIONS(15523), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15521), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_u2984,
      anon_sym_RBRACE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [664256] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 6,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [664276] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15558), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [664292] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15570), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [664308] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15589), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_u2984,
      anon_sym_RBRACE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [664324] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15591), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_u2984,
      anon_sym_RBRACE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [664340] = 3,
    ACTIONS(15041), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 8,
      sym__newline,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [664358] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15580), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [664374] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15533), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [664390] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15591), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [664406] = 3,
    ACTIONS(15523), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15531), 8,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_u2984,
      anon_sym_RBRACE,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [664424] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15595), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [664440] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15529), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [664456] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15595), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [664472] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15517), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [664488] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15589), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [664504] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15535), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [664520] = 6,
    ACTIONS(15597), 1,
      anon_sym_public,
    ACTIONS(15605), 1,
      anon_sym_renaming,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15600), 2,
      anon_sym_using,
      anon_sym_hiding,
    STATE(8998), 2,
      aux_sym__import_directives,
      sym_import_directive,
    ACTIONS(15603), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [664544] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15525), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [664560] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15527), 9,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
      anon_sym_PIPE_RPAREN,
      anon_sym_u2988,
  [664576] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 6,
      anon_sym_where,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [664596] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15572), 9,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [664612] = 4,
    STATE(1705), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15608), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 6,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [664632] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15612), 1,
      anon_sym_LPAREN,
    ACTIONS(15614), 1,
      aux_sym_integer_token1,
    ACTIONS(15616), 1,
      aux_sym_literal_token1,
    ACTIONS(15610), 2,
      sym_id,
      aux_sym__qid_token1,
    STATE(7833), 3,
      sym__qid,
      sym__expr_or_attr,
      sym_literal,
  [664657] = 6,
    ACTIONS(15618), 1,
      anon_sym_public,
    ACTIONS(15622), 1,
      anon_sym_renaming,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15620), 2,
      anon_sym_using,
      anon_sym_hiding,
    ACTIONS(15624), 2,
      sym__newline,
      anon_sym_in,
    STATE(9044), 2,
      sym_import_directive,
      aux_sym_module_macro_repeat1,
  [664680] = 3,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(13337), 2,
      anon_sym_LBRACE,
      anon_sym_DOT,
    ACTIONS(13339), 6,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_DOT_DOT,
  [664697] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13266), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13264), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [664716] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15628), 1,
      anon_sym_LPAREN,
    ACTIONS(15630), 1,
      aux_sym_integer_token1,
    ACTIONS(15632), 1,
      aux_sym_literal_token1,
    ACTIONS(15626), 2,
      sym_id,
      aux_sym__qid_token1,
    STATE(9078), 3,
      sym__qid,
      sym__expr_or_attr,
      sym_literal,
  [664741] = 6,
    ACTIONS(15618), 1,
      anon_sym_public,
    ACTIONS(15622), 1,
      anon_sym_renaming,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15620), 2,
      anon_sym_using,
      anon_sym_hiding,
    ACTIONS(15634), 2,
      sym__newline,
      anon_sym_in,
    STATE(9044), 2,
      sym_import_directive,
      aux_sym_module_macro_repeat1,
  [664764] = 6,
    ACTIONS(15618), 1,
      anon_sym_public,
    ACTIONS(15622), 1,
      anon_sym_renaming,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15620), 2,
      anon_sym_using,
      anon_sym_hiding,
    ACTIONS(15636), 2,
      sym__newline,
      anon_sym_in,
    STATE(9022), 2,
      sym_import_directive,
      aux_sym_module_macro_repeat1,
  [664787] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13262), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13260), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [664806] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13335), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13333), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [664825] = 6,
    ACTIONS(15618), 1,
      anon_sym_public,
    ACTIONS(15622), 1,
      anon_sym_renaming,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15620), 2,
      anon_sym_using,
      anon_sym_hiding,
    ACTIONS(15638), 2,
      sym__newline,
      anon_sym_in,
    STATE(9032), 2,
      aux_sym__import_directives,
      sym_import_directive,
  [664848] = 3,
    ACTIONS(15025), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 7,
      sym__newline,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [664865] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13339), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13337), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [664884] = 4,
    STATE(1698), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15640), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 5,
      sym__newline,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [664903] = 6,
    ACTIONS(15618), 1,
      anon_sym_public,
    ACTIONS(15622), 1,
      anon_sym_renaming,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(7270), 2,
      sym__newline,
      anon_sym_in,
    ACTIONS(15620), 2,
      anon_sym_using,
      anon_sym_hiding,
    STATE(9032), 2,
      aux_sym__import_directives,
      sym_import_directive,
  [664926] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13294), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13292), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [664945] = 3,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(13292), 2,
      anon_sym_LBRACE,
      anon_sym_DOT,
    ACTIONS(13294), 6,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_DOT_DOT,
  [664962] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13331), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13329), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [664981] = 3,
    ACTIONS(15001), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 7,
      sym__newline,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [664998] = 6,
    ACTIONS(15618), 1,
      anon_sym_public,
    ACTIONS(15622), 1,
      anon_sym_renaming,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15620), 2,
      anon_sym_using,
      anon_sym_hiding,
    ACTIONS(15642), 2,
      sym__newline,
      anon_sym_in,
    STATE(9044), 2,
      sym_import_directive,
      aux_sym_module_macro_repeat1,
  [665021] = 6,
    ACTIONS(15644), 1,
      anon_sym_public,
    ACTIONS(15648), 1,
      anon_sym_renaming,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15646), 2,
      anon_sym_using,
      anon_sym_hiding,
    ACTIONS(15650), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    STATE(8998), 2,
      aux_sym__import_directives,
      sym_import_directive,
  [665044] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13288), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [665063] = 6,
    ACTIONS(15618), 1,
      anon_sym_public,
    ACTIONS(15622), 1,
      anon_sym_renaming,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15620), 2,
      anon_sym_using,
      anon_sym_hiding,
    ACTIONS(15642), 2,
      sym__newline,
      anon_sym_in,
    STATE(9009), 2,
      sym_import_directive,
      aux_sym_module_macro_repeat1,
  [665086] = 5,
    ACTIONS(15255), 1,
      anon_sym_with,
    ACTIONS(15652), 1,
      anon_sym_COLON,
    STATE(9162), 1,
      sym_with_expressions,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15654), 5,
      sym__newline,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [665107] = 4,
    STATE(1810), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15656), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 5,
      sym__newline,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [665126] = 6,
    ACTIONS(15618), 1,
      anon_sym_public,
    ACTIONS(15622), 1,
      anon_sym_renaming,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15620), 2,
      anon_sym_using,
      anon_sym_hiding,
    ACTIONS(15658), 2,
      sym__newline,
      anon_sym_in,
    STATE(9044), 2,
      sym_import_directive,
      aux_sym_module_macro_repeat1,
  [665149] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13327), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13325), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [665168] = 3,
    ACTIONS(15057), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 7,
      sym__newline,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
  [665185] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15662), 1,
      anon_sym_LPAREN,
    ACTIONS(15664), 1,
      aux_sym_integer_token1,
    ACTIONS(15666), 1,
      aux_sym_literal_token1,
    ACTIONS(15660), 2,
      sym_id,
      aux_sym__qid_token1,
    STATE(6676), 3,
      sym__qid,
      sym__expr_or_attr,
      sym_literal,
  [665210] = 6,
    ACTIONS(15668), 1,
      anon_sym_public,
    ACTIONS(15674), 1,
      anon_sym_renaming,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15603), 2,
      sym__newline,
      anon_sym_in,
    ACTIONS(15671), 2,
      anon_sym_using,
      anon_sym_hiding,
    STATE(9032), 2,
      aux_sym__import_directives,
      sym_import_directive,
  [665233] = 4,
    STATE(1754), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15677), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 5,
      sym__newline,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
  [665252] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7670), 1,
      aux_sym_integer_token1,
    ACTIONS(11745), 1,
      aux_sym_literal_token1,
    ACTIONS(15679), 1,
      anon_sym_LPAREN,
    ACTIONS(7662), 2,
      sym_id,
      aux_sym__qid_token1,
    STATE(6832), 3,
      sym__qid,
      sym__expr_or_attr,
      sym_literal,
  [665277] = 6,
    ACTIONS(15618), 1,
      anon_sym_public,
    ACTIONS(15622), 1,
      anon_sym_renaming,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15620), 2,
      anon_sym_using,
      anon_sym_hiding,
    ACTIONS(15658), 2,
      sym__newline,
      anon_sym_in,
    STATE(9005), 2,
      sym_import_directive,
      aux_sym_module_macro_repeat1,
  [665300] = 4,
    STATE(1598), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15681), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 5,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
  [665319] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13250), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 5,
      anon_sym_u2983,
      anon_sym__,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [665338] = 6,
    ACTIONS(15618), 1,
      anon_sym_public,
    ACTIONS(15622), 1,
      anon_sym_renaming,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15620), 2,
      anon_sym_using,
      anon_sym_hiding,
    ACTIONS(15683), 2,
      sym__newline,
      anon_sym_in,
    STATE(9028), 2,
      sym_import_directive,
      aux_sym_module_macro_repeat1,
  [665361] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__qid_token1,
    ACTIONS(15093), 1,
      sym_id,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9041), 1,
      aux_sym__record_assignments_repeat1,
    STATE(9893), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [665388] = 3,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(13260), 2,
      anon_sym_LBRACE,
      anon_sym_DOT,
    ACTIONS(13262), 6,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_DOT_DOT,
  [665405] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15685), 1,
      sym_id,
    ACTIONS(15688), 1,
      aux_sym__qid_token1,
    STATE(4085), 1,
      sym_module_name,
    STATE(7267), 1,
      sym__qid,
    STATE(9041), 1,
      aux_sym__record_assignments_repeat1,
    STATE(10718), 3,
      sym__record_assignment,
      sym_field_assignment,
      sym_module_assignment,
  [665432] = 6,
    ACTIONS(15644), 1,
      anon_sym_public,
    ACTIONS(15648), 1,
      anon_sym_renaming,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(7221), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(15646), 2,
      anon_sym_using,
      anon_sym_hiding,
    STATE(8998), 2,
      aux_sym__import_directives,
      sym_import_directive,
  [665455] = 3,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(13329), 2,
      anon_sym_LBRACE,
      anon_sym_DOT,
    ACTIONS(13331), 6,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
      anon_sym_u2983,
      anon_sym_DOT_DOT,
  [665472] = 6,
    ACTIONS(15691), 1,
      anon_sym_public,
    ACTIONS(15697), 1,
      anon_sym_renaming,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15694), 2,
      anon_sym_using,
      anon_sym_hiding,
    ACTIONS(15700), 2,
      sym__newline,
      anon_sym_in,
    STATE(9044), 2,
      sym_import_directive,
      aux_sym_module_macro_repeat1,
  [665495] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15702), 7,
      anon_sym_public,
      anon_sym_using,
      anon_sym_RPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [665509] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15704), 1,
      anon_sym_LPAREN,
    ACTIONS(15706), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15708), 1,
      anon_sym_u2983,
    ACTIONS(15710), 1,
      anon_sym_LBRACE,
    STATE(8326), 1,
      sym_bid,
    ACTIONS(14031), 2,
      anon_sym__,
      sym_id,
  [665535] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15712), 1,
      anon_sym_LPAREN,
    ACTIONS(15714), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15716), 1,
      anon_sym_u2983,
    ACTIONS(15718), 1,
      anon_sym_LBRACE,
    STATE(8424), 1,
      sym_bid,
    ACTIONS(13961), 2,
      anon_sym__,
      sym_id,
  [665561] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15720), 1,
      anon_sym_LPAREN,
    ACTIONS(15722), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15724), 1,
      anon_sym_u2983,
    ACTIONS(15726), 1,
      anon_sym_LBRACE,
    STATE(8414), 1,
      sym_bid,
    ACTIONS(14213), 2,
      anon_sym__,
      sym_id,
  [665587] = 3,
    ACTIONS(15079), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 6,
      sym__newline,
      anon_sym_COLON,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [665603] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15728), 1,
      anon_sym_LPAREN,
    ACTIONS(15730), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15732), 1,
      anon_sym_u2983,
    ACTIONS(15734), 1,
      anon_sym_LBRACE,
    STATE(8589), 1,
      sym_bid,
    ACTIONS(14117), 2,
      anon_sym__,
      sym_id,
  [665629] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15736), 1,
      anon_sym_LPAREN,
    ACTIONS(15738), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15740), 1,
      anon_sym_u2983,
    ACTIONS(15742), 1,
      anon_sym_LBRACE,
    STATE(8431), 1,
      sym_bid,
    ACTIONS(14370), 2,
      anon_sym__,
      sym_id,
  [665655] = 7,
    ACTIONS(15744), 1,
      anon_sym_EQ,
    ACTIONS(15746), 1,
      anon_sym_module,
    ACTIONS(15748), 1,
      anon_sym_where,
    STATE(9207), 1,
      sym_rhs_defn,
    STATE(10192), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15750), 2,
      sym__newline,
      anon_sym_in,
  [665679] = 4,
    STATE(1740), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15752), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 4,
      sym__newline,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_in,
  [665697] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15754), 1,
      anon_sym_LPAREN,
    ACTIONS(15756), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15758), 1,
      anon_sym_u2983,
    ACTIONS(15760), 1,
      anon_sym_LBRACE,
    STATE(8563), 1,
      sym_bid,
    ACTIONS(13572), 2,
      anon_sym__,
      sym_id,
  [665723] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15762), 1,
      anon_sym_LPAREN,
    ACTIONS(15764), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15766), 1,
      anon_sym_u2983,
    ACTIONS(15768), 1,
      anon_sym_LBRACE,
    STATE(8219), 1,
      sym_bid,
    ACTIONS(14165), 2,
      anon_sym__,
      sym_id,
  [665749] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15770), 7,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [665763] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15772), 1,
      anon_sym_LPAREN,
    ACTIONS(15774), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15776), 1,
      anon_sym_u2983,
    ACTIONS(15778), 1,
      anon_sym_LBRACE,
    STATE(7929), 1,
      sym_bid,
    ACTIONS(13909), 2,
      anon_sym__,
      sym_id,
  [665789] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15780), 1,
      anon_sym_LPAREN,
    ACTIONS(15782), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15784), 1,
      anon_sym_u2983,
    ACTIONS(15786), 1,
      anon_sym_LBRACE,
    STATE(8110), 1,
      sym_bid,
    ACTIONS(13772), 2,
      anon_sym__,
      sym_id,
  [665815] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15788), 1,
      anon_sym_LPAREN,
    ACTIONS(15790), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15792), 1,
      anon_sym_u2983,
    ACTIONS(15794), 1,
      anon_sym_LBRACE,
    STATE(8243), 1,
      sym_bid,
    ACTIONS(13497), 2,
      anon_sym__,
      sym_id,
  [665841] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6744), 3,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_AT,
    ACTIONS(6742), 4,
      anon_sym_u2983,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [665859] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15796), 1,
      anon_sym_LPAREN,
    ACTIONS(15798), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15800), 1,
      anon_sym_u2983,
    ACTIONS(15802), 1,
      anon_sym_LBRACE,
    STATE(7910), 1,
      sym_bid,
    ACTIONS(13676), 2,
      anon_sym__,
      sym_id,
  [665885] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15804), 1,
      anon_sym_LPAREN,
    ACTIONS(15806), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15808), 1,
      anon_sym_u2983,
    ACTIONS(15810), 1,
      anon_sym_LBRACE,
    STATE(8033), 1,
      sym_bid,
    ACTIONS(14015), 2,
      anon_sym__,
      sym_id,
  [665911] = 4,
    STATE(1578), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15812), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [665929] = 6,
    ACTIONS(15638), 1,
      anon_sym_RPAREN,
    ACTIONS(15644), 1,
      anon_sym_public,
    ACTIONS(15648), 1,
      anon_sym_renaming,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15646), 2,
      anon_sym_using,
      anon_sym_hiding,
    STATE(8998), 2,
      aux_sym__import_directives,
      sym_import_directive,
  [665951] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15814), 1,
      anon_sym_LPAREN,
    ACTIONS(15816), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15818), 1,
      anon_sym_u2983,
    ACTIONS(15820), 1,
      anon_sym_LBRACE,
    STATE(8256), 1,
      sym_bid,
    ACTIONS(13740), 2,
      anon_sym__,
      sym_id,
  [665977] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15822), 1,
      anon_sym_LPAREN,
    ACTIONS(15824), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15826), 1,
      anon_sym_u2983,
    ACTIONS(15828), 1,
      anon_sym_LBRACE,
    STATE(7939), 1,
      sym_bid,
    ACTIONS(14402), 2,
      anon_sym__,
      sym_id,
  [666003] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15830), 7,
      anon_sym_public,
      anon_sym_using,
      anon_sym_RPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [666017] = 4,
    STATE(1719), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15832), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [666035] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15834), 1,
      anon_sym_LPAREN,
    ACTIONS(15836), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15838), 1,
      anon_sym_u2983,
    ACTIONS(15840), 1,
      anon_sym_LBRACE,
    STATE(8145), 1,
      sym_bid,
    ACTIONS(13927), 2,
      anon_sym__,
      sym_id,
  [666061] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15842), 1,
      sym_id,
    ACTIONS(15844), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(15846), 1,
      anon_sym_DOT,
    ACTIONS(15848), 1,
      anon_sym_DOT_DOT,
    STATE(9112), 3,
      sym__field_name,
      sym__maybe_dotted_id,
      aux_sym__maybe_dotted_ids,
  [666085] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15850), 1,
      anon_sym_LPAREN,
    ACTIONS(15852), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15854), 1,
      anon_sym_u2983,
    ACTIONS(15856), 1,
      anon_sym_LBRACE,
    STATE(8089), 1,
      sym_bid,
    ACTIONS(14354), 2,
      anon_sym__,
      sym_id,
  [666111] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15858), 1,
      sym_id,
    ACTIONS(15861), 1,
      anon_sym_RBRACE,
    ACTIONS(15863), 1,
      anon_sym_DOT,
    ACTIONS(15866), 1,
      anon_sym_DOT_DOT,
    STATE(9072), 3,
      sym__field_name,
      sym__maybe_dotted_id,
      aux_sym__maybe_dotted_ids,
  [666135] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15869), 1,
      anon_sym_LPAREN,
    ACTIONS(15871), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15873), 1,
      anon_sym_u2983,
    ACTIONS(15875), 1,
      anon_sym_LBRACE,
    STATE(8225), 1,
      sym_bid,
    ACTIONS(14338), 2,
      anon_sym__,
      sym_id,
  [666161] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15877), 1,
      sym_id,
    ACTIONS(15879), 1,
      anon_sym_u2984,
    ACTIONS(15881), 1,
      anon_sym_DOT,
    ACTIONS(15883), 1,
      anon_sym_DOT_DOT,
    STATE(9086), 3,
      sym__field_name,
      sym__maybe_dotted_id,
      aux_sym__maybe_dotted_ids,
  [666185] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15887), 2,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(15885), 5,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [666203] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15889), 1,
      anon_sym_LPAREN,
    ACTIONS(15891), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15893), 1,
      anon_sym_u2983,
    ACTIONS(15895), 1,
      anon_sym_LBRACE,
    STATE(8861), 1,
      sym_bid,
    ACTIONS(13345), 2,
      anon_sym__,
      sym_id,
  [666229] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15897), 1,
      anon_sym_LPAREN,
    ACTIONS(15899), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15901), 1,
      anon_sym_u2983,
    ACTIONS(15903), 1,
      anon_sym_LBRACE,
    STATE(8279), 1,
      sym_bid,
    ACTIONS(14320), 2,
      anon_sym__,
      sym_id,
  [666255] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(12481), 3,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_AT,
    ACTIONS(12479), 4,
      anon_sym_u2983,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [666273] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15905), 1,
      anon_sym_LPAREN,
    ACTIONS(15907), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15909), 1,
      anon_sym_u2983,
    ACTIONS(15911), 1,
      anon_sym_LBRACE,
    STATE(8543), 1,
      sym_bid,
    ACTIONS(13838), 2,
      anon_sym__,
      sym_id,
  [666299] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15913), 1,
      anon_sym_LPAREN,
    ACTIONS(15915), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15917), 1,
      anon_sym_u2983,
    ACTIONS(15919), 1,
      anon_sym_LBRACE,
    STATE(8015), 1,
      sym_bid,
    ACTIONS(14133), 2,
      anon_sym__,
      sym_id,
  [666325] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15921), 1,
      anon_sym_LPAREN,
    ACTIONS(15923), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15925), 1,
      anon_sym_u2983,
    ACTIONS(15927), 1,
      anon_sym_LBRACE,
    STATE(8377), 1,
      sym_bid,
    ACTIONS(13943), 2,
      anon_sym__,
      sym_id,
  [666351] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15931), 1,
      anon_sym_LPAREN,
    ACTIONS(15933), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15935), 1,
      anon_sym_u2983,
    ACTIONS(15937), 1,
      anon_sym_LBRACE,
    STATE(9012), 1,
      sym_bid,
    ACTIONS(15929), 2,
      anon_sym__,
      sym_id,
  [666377] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15939), 1,
      anon_sym_LPAREN,
    ACTIONS(15941), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15943), 1,
      anon_sym_u2983,
    ACTIONS(15945), 1,
      anon_sym_LBRACE,
    STATE(7921), 1,
      sym_bid,
    ACTIONS(14063), 2,
      anon_sym__,
      sym_id,
  [666403] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6433), 3,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_AT,
    ACTIONS(6431), 4,
      anon_sym_u2983,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [666421] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15947), 1,
      anon_sym_LPAREN,
    ACTIONS(15949), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15951), 1,
      anon_sym_u2983,
    ACTIONS(15953), 1,
      anon_sym_LBRACE,
    STATE(8409), 1,
      sym_bid,
    ACTIONS(14081), 2,
      anon_sym__,
      sym_id,
  [666447] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15955), 1,
      sym_id,
    ACTIONS(15958), 1,
      anon_sym_u2984,
    ACTIONS(15960), 1,
      anon_sym_DOT,
    ACTIONS(15963), 1,
      anon_sym_DOT_DOT,
    STATE(9086), 3,
      sym__field_name,
      sym__maybe_dotted_id,
      aux_sym__maybe_dotted_ids,
  [666471] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15966), 1,
      anon_sym_LPAREN,
    ACTIONS(15968), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15970), 1,
      anon_sym_u2983,
    ACTIONS(15972), 1,
      anon_sym_LBRACE,
    STATE(8371), 1,
      sym_bid,
    ACTIONS(14149), 2,
      anon_sym__,
      sym_id,
  [666497] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15976), 2,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(15974), 5,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [666515] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15844), 1,
      anon_sym_RBRACE,
    ACTIONS(15978), 1,
      sym_id,
    ACTIONS(15980), 1,
      anon_sym_DOT,
    ACTIONS(15982), 1,
      anon_sym_DOT_DOT,
    STATE(9072), 3,
      sym__field_name,
      sym__maybe_dotted_id,
      aux_sym__maybe_dotted_ids,
  [666539] = 6,
    ACTIONS(7270), 1,
      anon_sym_RPAREN,
    ACTIONS(15644), 1,
      anon_sym_public,
    ACTIONS(15648), 1,
      anon_sym_renaming,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15646), 2,
      anon_sym_using,
      anon_sym_hiding,
    STATE(8998), 2,
      aux_sym__import_directives,
      sym_import_directive,
  [666561] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15984), 1,
      anon_sym_LPAREN,
    ACTIONS(15986), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15988), 1,
      anon_sym_u2983,
    ACTIONS(15990), 1,
      anon_sym_LBRACE,
    STATE(8803), 1,
      sym_bid,
    ACTIONS(13411), 2,
      anon_sym__,
      sym_id,
  [666587] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15992), 1,
      anon_sym_LPAREN,
    ACTIONS(15994), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(15996), 1,
      anon_sym_u2983,
    ACTIONS(15998), 1,
      anon_sym_LBRACE,
    STATE(8168), 1,
      sym_bid,
    ACTIONS(13999), 2,
      anon_sym__,
      sym_id,
  [666613] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16000), 1,
      anon_sym_LPAREN,
    ACTIONS(16002), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16004), 1,
      anon_sym_u2983,
    ACTIONS(16006), 1,
      anon_sym_LBRACE,
    STATE(8565), 1,
      sym_bid,
    ACTIONS(13540), 2,
      anon_sym__,
      sym_id,
  [666639] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16008), 1,
      anon_sym_LPAREN,
    ACTIONS(16010), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16012), 1,
      anon_sym_u2983,
    ACTIONS(16014), 1,
      anon_sym_LBRACE,
    STATE(8332), 1,
      sym_bid,
    ACTIONS(13724), 2,
      anon_sym__,
      sym_id,
  [666665] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16016), 1,
      anon_sym_LPAREN,
    ACTIONS(16018), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16020), 1,
      anon_sym_u2983,
    ACTIONS(16022), 1,
      anon_sym_LBRACE,
    STATE(8570), 1,
      sym_bid,
    ACTIONS(14099), 2,
      anon_sym__,
      sym_id,
  [666691] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16024), 7,
      anon_sym_public,
      anon_sym_using,
      anon_sym_RPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [666705] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16026), 1,
      anon_sym_LPAREN,
    ACTIONS(16028), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16030), 1,
      anon_sym_u2983,
    ACTIONS(16032), 1,
      anon_sym_LBRACE,
    STATE(7960), 1,
      sym_bid,
    ACTIONS(14386), 2,
      anon_sym__,
      sym_id,
  [666731] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6281), 3,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_AT,
    ACTIONS(6279), 4,
      anon_sym_u2983,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [666749] = 4,
    STATE(1588), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16034), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 4,
      sym__newline,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
  [666767] = 4,
    STATE(1782), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16036), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 4,
      sym__newline,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_in,
  [666785] = 3,
    ACTIONS(15071), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 6,
      sym__newline,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_rewrite,
      anon_sym_module,
      anon_sym_where,
  [666801] = 4,
    STATE(1747), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16038), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 4,
      sym__newline,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
  [666819] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16040), 1,
      anon_sym_LPAREN,
    ACTIONS(16042), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16044), 1,
      anon_sym_u2983,
    ACTIONS(16046), 1,
      anon_sym_LBRACE,
    STATE(7989), 1,
      sym_bid,
    ACTIONS(13588), 2,
      anon_sym__,
      sym_id,
  [666845] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16048), 1,
      anon_sym_LPAREN,
    ACTIONS(16050), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16052), 1,
      anon_sym_u2983,
    ACTIONS(16054), 1,
      anon_sym_LBRACE,
    STATE(8411), 1,
      sym_bid,
    ACTIONS(14181), 2,
      anon_sym__,
      sym_id,
  [666871] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16056), 1,
      anon_sym_LPAREN,
    ACTIONS(16058), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16060), 1,
      anon_sym_u2983,
    ACTIONS(16062), 1,
      anon_sym_LBRACE,
    STATE(7900), 1,
      sym_bid,
    ACTIONS(14239), 2,
      anon_sym__,
      sym_id,
  [666897] = 7,
    ACTIONS(15746), 1,
      anon_sym_module,
    ACTIONS(15748), 1,
      anon_sym_where,
    ACTIONS(16064), 1,
      anon_sym_COLON,
    STATE(9208), 1,
      sym_rhs_decl,
    STATE(10031), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16066), 2,
      sym__newline,
      anon_sym_in,
  [666921] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16068), 1,
      anon_sym_LPAREN,
    ACTIONS(16070), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16072), 1,
      anon_sym_u2983,
    ACTIONS(16074), 1,
      anon_sym_LBRACE,
    STATE(8580), 1,
      sym_bid,
    ACTIONS(13620), 2,
      anon_sym__,
      sym_id,
  [666947] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16076), 1,
      anon_sym_LPAREN,
    ACTIONS(16078), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16080), 1,
      anon_sym_u2983,
    ACTIONS(16082), 1,
      anon_sym_LBRACE,
    STATE(7865), 1,
      sym_bid,
    ACTIONS(14197), 2,
      anon_sym__,
      sym_id,
  [666973] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16084), 1,
      anon_sym_LPAREN,
    ACTIONS(16086), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16088), 1,
      anon_sym_u2983,
    ACTIONS(16090), 1,
      anon_sym_LBRACE,
    STATE(7876), 1,
      sym_bid,
    ACTIONS(13875), 2,
      anon_sym__,
      sym_id,
  [666999] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16092), 1,
      anon_sym_LPAREN,
    ACTIONS(16094), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16096), 1,
      anon_sym_u2983,
    ACTIONS(16098), 1,
      anon_sym_LBRACE,
    STATE(8814), 1,
      sym_bid,
    ACTIONS(13479), 2,
      anon_sym__,
      sym_id,
  [667025] = 4,
    STATE(1726), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16100), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
  [667043] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15861), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(16102), 1,
      sym_id,
    ACTIONS(16105), 1,
      anon_sym_DOT,
    ACTIONS(16108), 1,
      anon_sym_DOT_DOT,
    STATE(9112), 3,
      sym__field_name,
      sym__maybe_dotted_id,
      aux_sym__maybe_dotted_ids,
  [667067] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16111), 7,
      anon_sym_public,
      anon_sym_using,
      anon_sym_RPAREN,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [667081] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16113), 1,
      anon_sym_LPAREN,
    ACTIONS(16115), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16117), 1,
      anon_sym_u2983,
    ACTIONS(16119), 1,
      anon_sym_LBRACE,
    STATE(8297), 1,
      sym_bid,
    ACTIONS(13983), 2,
      anon_sym__,
      sym_id,
  [667107] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16121), 1,
      anon_sym_LPAREN,
    ACTIONS(16123), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16125), 1,
      anon_sym_u2983,
    ACTIONS(16127), 1,
      anon_sym_LBRACE,
    STATE(8239), 1,
      sym_bid,
    ACTIONS(14276), 2,
      anon_sym__,
      sym_id,
  [667133] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16129), 1,
      anon_sym_LPAREN,
    ACTIONS(16131), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16133), 1,
      anon_sym_u2983,
    ACTIONS(16135), 1,
      anon_sym_LBRACE,
    STATE(8230), 1,
      sym_bid,
    ACTIONS(13660), 2,
      anon_sym__,
      sym_id,
  [667159] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16137), 1,
      anon_sym_LPAREN,
    ACTIONS(16139), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16141), 1,
      anon_sym_u2983,
    ACTIONS(16143), 1,
      anon_sym_LBRACE,
    STATE(8289), 1,
      sym_bid,
    ACTIONS(13788), 2,
      anon_sym__,
      sym_id,
  [667185] = 3,
    ACTIONS(15037), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 6,
      sym__newline,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
  [667201] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16145), 1,
      anon_sym_LPAREN,
    ACTIONS(16147), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16149), 1,
      anon_sym_u2983,
    ACTIONS(16151), 1,
      anon_sym_LBRACE,
    STATE(8596), 1,
      sym_bid,
    ACTIONS(14292), 2,
      anon_sym__,
      sym_id,
  [667227] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16153), 1,
      anon_sym_LPAREN,
    ACTIONS(16155), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16157), 1,
      anon_sym_u2983,
    ACTIONS(16159), 1,
      anon_sym_LBRACE,
    STATE(8952), 1,
      sym_bid,
    ACTIONS(13556), 2,
      anon_sym__,
      sym_id,
  [667253] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16161), 1,
      anon_sym_LPAREN,
    ACTIONS(16163), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16165), 1,
      anon_sym_u2983,
    ACTIONS(16167), 1,
      anon_sym_LBRACE,
    STATE(8559), 1,
      sym_bid,
    ACTIONS(13893), 2,
      anon_sym__,
      sym_id,
  [667279] = 7,
    ACTIONS(15744), 1,
      anon_sym_EQ,
    ACTIONS(15746), 1,
      anon_sym_module,
    ACTIONS(15748), 1,
      anon_sym_where,
    STATE(9208), 1,
      sym_rhs_defn,
    STATE(10031), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16066), 2,
      sym__newline,
      anon_sym_in,
  [667303] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16169), 1,
      anon_sym_LPAREN,
    ACTIONS(16171), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16173), 1,
      anon_sym_u2983,
    ACTIONS(16175), 1,
      anon_sym_LBRACE,
    STATE(8509), 1,
      sym_bid,
    ACTIONS(13804), 2,
      anon_sym__,
      sym_id,
  [667329] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16177), 1,
      anon_sym_LPAREN,
    ACTIONS(16179), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16181), 1,
      anon_sym_u2983,
    ACTIONS(16183), 1,
      anon_sym_LBRACE,
    STATE(8534), 1,
      sym_bid,
    ACTIONS(14047), 2,
      anon_sym__,
      sym_id,
  [667355] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16187), 2,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(16185), 5,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [667373] = 4,
    STATE(2042), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16189), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
  [667391] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16191), 1,
      anon_sym_LPAREN,
    ACTIONS(16193), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16195), 1,
      anon_sym_u2983,
    ACTIONS(16197), 1,
      anon_sym_LBRACE,
    STATE(8103), 1,
      sym_bid,
    ACTIONS(13708), 2,
      anon_sym__,
      sym_id,
  [667417] = 5,
    ACTIONS(15576), 1,
      anon_sym_with,
    ACTIONS(15652), 1,
      anon_sym_COLON,
    STATE(9162), 1,
      sym_with_expressions,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15654), 4,
      sym__newline,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
  [667437] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16199), 1,
      anon_sym_module,
    ACTIONS(16201), 1,
      anon_sym_import,
    STATE(7385), 1,
      sym__qid,
    ACTIONS(7476), 2,
      sym_id,
      aux_sym__qid_token1,
    STATE(4196), 2,
      sym_import,
      sym_module_name,
  [667461] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16203), 1,
      anon_sym_LPAREN,
    ACTIONS(16205), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16207), 1,
      anon_sym_u2983,
    ACTIONS(16209), 1,
      anon_sym_LBRACE,
    STATE(8539), 1,
      sym_bid,
    ACTIONS(14418), 2,
      anon_sym__,
      sym_id,
  [667487] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16211), 1,
      anon_sym_LPAREN,
    ACTIONS(16213), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16215), 1,
      anon_sym_u2983,
    ACTIONS(16217), 1,
      anon_sym_LBRACE,
    STATE(8181), 1,
      sym_bid,
    ACTIONS(13692), 2,
      anon_sym__,
      sym_id,
  [667513] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16219), 1,
      anon_sym_module,
    ACTIONS(16221), 1,
      anon_sym_import,
    STATE(7237), 1,
      sym__qid,
    ACTIONS(7112), 2,
      sym_id,
      aux_sym__qid_token1,
    STATE(4077), 2,
      sym_import,
      sym_module_name,
  [667537] = 7,
    ACTIONS(15746), 1,
      anon_sym_module,
    ACTIONS(15748), 1,
      anon_sym_where,
    ACTIONS(16064), 1,
      anon_sym_COLON,
    STATE(9207), 1,
      sym_rhs_decl,
    STATE(10192), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15750), 2,
      sym__newline,
      anon_sym_in,
  [667561] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16223), 1,
      anon_sym_LPAREN,
    ACTIONS(16225), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16227), 1,
      anon_sym_u2983,
    ACTIONS(16229), 1,
      anon_sym_LBRACE,
    STATE(9001), 1,
      sym_bid,
    ACTIONS(14465), 2,
      anon_sym__,
      sym_id,
  [667587] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16231), 1,
      anon_sym_LPAREN,
    ACTIONS(16233), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16235), 1,
      anon_sym_u2983,
    ACTIONS(16237), 1,
      anon_sym_LBRACE,
    STATE(8309), 1,
      sym_bid,
    ACTIONS(13756), 2,
      anon_sym__,
      sym_id,
  [667613] = 3,
    ACTIONS(14967), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 6,
      sym__newline,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [667629] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16239), 1,
      anon_sym_LPAREN,
    ACTIONS(16241), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16243), 1,
      anon_sym_u2983,
    ACTIONS(16245), 1,
      anon_sym_LBRACE,
    STATE(7870), 1,
      sym_bid,
    ACTIONS(13644), 2,
      anon_sym__,
      sym_id,
  [667655] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16249), 2,
      anon_sym_LBRACE_LBRACE,
      anon_sym_DOT_DOT,
    ACTIONS(16247), 5,
      anon_sym_COLON,
      anon_sym_u2983,
      anon_sym_LBRACE,
      sym_id,
      anon_sym_DOT,
  [667673] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16251), 1,
      anon_sym_LPAREN,
    ACTIONS(16253), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16255), 1,
      anon_sym_u2983,
    ACTIONS(16257), 1,
      anon_sym_LBRACE,
    STATE(8187), 1,
      sym_bid,
    ACTIONS(13604), 2,
      anon_sym__,
      sym_id,
  [667699] = 8,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16259), 1,
      anon_sym_LPAREN,
    ACTIONS(16261), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16263), 1,
      anon_sym_u2983,
    ACTIONS(16265), 1,
      anon_sym_LBRACE,
    STATE(7855), 1,
      sym_bid,
    ACTIONS(13820), 2,
      anon_sym__,
      sym_id,
  [667725] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15877), 1,
      sym_id,
    ACTIONS(15881), 1,
      anon_sym_DOT,
    ACTIONS(15883), 1,
      anon_sym_DOT_DOT,
    STATE(9074), 3,
      sym__field_name,
      sym__maybe_dotted_id,
      aux_sym__maybe_dotted_ids,
  [667746] = 4,
    STATE(1658), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16267), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [667763] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16271), 1,
      anon_sym_in,
    ACTIONS(16273), 1,
      sym__newline,
    ACTIONS(16269), 2,
      anon_sym__,
      sym_id,
    STATE(9179), 2,
      sym_bid,
      aux_sym_infix_repeat1,
  [667784] = 4,
    STATE(1648), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16275), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2984,
  [667801] = 3,
    ACTIONS(15065), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 5,
      sym__newline,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [667816] = 4,
    STATE(1521), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16277), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_u2984,
  [667833] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16281), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16279), 4,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_LBRACE,
      sym_id,
  [667850] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16283), 1,
      sym_id,
    ACTIONS(16285), 1,
      sym__dedent,
    STATE(9167), 1,
      aux_sym__type_signature_block_repeat1,
    STATE(10263), 1,
      sym_type_signature,
    STATE(9414), 2,
      sym__field_name,
      aux_sym__field_names,
  [667873] = 4,
    STATE(1668), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16287), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_PIPE_RPAREN,
  [667890] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16291), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16289), 4,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_LBRACE,
      sym_id,
  [667907] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16293), 6,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [667920] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15830), 6,
      sym__newline,
      anon_sym_public,
      anon_sym_using,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_in,
  [667933] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16297), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16295), 4,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_LBRACE,
      sym_id,
  [667950] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16111), 6,
      sym__newline,
      anon_sym_public,
      anon_sym_using,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_in,
  [667963] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16024), 6,
      sym__newline,
      anon_sym_public,
      anon_sym_using,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_in,
  [667976] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15702), 6,
      sym__newline,
      anon_sym_public,
      anon_sym_using,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_in,
  [667989] = 7,
    ACTIONS(15746), 1,
      anon_sym_module,
    ACTIONS(15748), 1,
      anon_sym_where,
    ACTIONS(16066), 1,
      sym__newline,
    ACTIONS(16299), 1,
      anon_sym_COLON,
    STATE(9208), 1,
      sym_rhs_decl,
    STATE(10031), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [668012] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(13343), 6,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [668025] = 4,
    STATE(1677), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16301), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_u2988,
  [668042] = 4,
    STATE(1506), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16303), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [668059] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15978), 1,
      sym_id,
    ACTIONS(15980), 1,
      anon_sym_DOT,
    ACTIONS(15982), 1,
      anon_sym_DOT_DOT,
    STATE(9089), 3,
      sym__field_name,
      sym__maybe_dotted_id,
      aux_sym__maybe_dotted_ids,
  [668080] = 3,
    ACTIONS(16305), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16307), 5,
      sym__newline,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [668095] = 4,
    STATE(1733), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16309), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 3,
      sym__newline,
      anon_sym_EQ,
      anon_sym_SEMI,
  [668112] = 7,
    ACTIONS(15746), 1,
      anon_sym_module,
    ACTIONS(15748), 1,
      anon_sym_where,
    ACTIONS(16066), 1,
      sym__newline,
    ACTIONS(16311), 1,
      anon_sym_EQ,
    STATE(9208), 1,
      sym_rhs_defn,
    STATE(10031), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [668135] = 3,
    ACTIONS(15652), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15654), 5,
      sym__newline,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [668150] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16315), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16313), 4,
      anon_sym_EQ,
      anon_sym_u2983,
      anon_sym_LBRACE,
      sym_id,
  [668167] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16317), 1,
      sym_id,
    ACTIONS(16320), 1,
      sym__dedent,
    STATE(9167), 1,
      aux_sym__type_signature_block_repeat1,
    STATE(10263), 1,
      sym_type_signature,
    STATE(9414), 2,
      sym__field_name,
      aux_sym__field_names,
  [668190] = 4,
    STATE(1684), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16322), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 3,
      sym__newline,
      anon_sym_EQ,
      anon_sym_in,
  [668207] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(14969), 6,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [668220] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15842), 1,
      sym_id,
    ACTIONS(15846), 1,
      anon_sym_DOT,
    ACTIONS(15848), 1,
      anon_sym_DOT_DOT,
    STATE(9070), 3,
      sym__field_name,
      sym__maybe_dotted_id,
      aux_sym__maybe_dotted_ids,
  [668241] = 4,
    STATE(1535), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16324), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
  [668258] = 7,
    ACTIONS(15746), 1,
      anon_sym_module,
    ACTIONS(15748), 1,
      anon_sym_where,
    ACTIONS(15750), 1,
      sym__newline,
    ACTIONS(16299), 1,
      anon_sym_COLON,
    STATE(9207), 1,
      sym_rhs_decl,
    STATE(10192), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [668281] = 4,
    STATE(1628), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16326), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 3,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [668298] = 3,
    ACTIONS(15005), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 5,
      sym__newline,
      anon_sym_COLON,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
  [668313] = 4,
    STATE(1775), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16328), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_SEMI,
  [668330] = 7,
    ACTIONS(15746), 1,
      anon_sym_module,
    ACTIONS(15748), 1,
      anon_sym_where,
    ACTIONS(15750), 1,
      sym__newline,
    ACTIONS(16311), 1,
      anon_sym_EQ,
    STATE(9207), 1,
      sym_rhs_defn,
    STATE(10192), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [668353] = 3,
    ACTIONS(15021), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 5,
      sym__newline,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_module,
      anon_sym_where,
  [668368] = 4,
    STATE(1844), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16330), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE_RBRACE,
  [668385] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16335), 1,
      anon_sym_in,
    ACTIONS(16337), 1,
      sym__newline,
    ACTIONS(16332), 2,
      anon_sym__,
      sym_id,
    STATE(9179), 2,
      sym_bid,
      aux_sym_infix_repeat1,
  [668406] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16339), 6,
      sym__newline,
      anon_sym_public,
      anon_sym_using,
      anon_sym_hiding,
      anon_sym_renaming,
      anon_sym_in,
  [668419] = 4,
    STATE(1558), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16341), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 3,
      sym__newline,
      anon_sym_EQ,
      anon_sym_where,
  [668436] = 4,
    STATE(1638), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16343), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
    ACTIONS(14953), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
  [668453] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16345), 1,
      anon_sym_import,
    STATE(7309), 1,
      sym__qid,
    ACTIONS(7333), 2,
      sym_id,
      aux_sym__qid_token1,
    STATE(4152), 2,
      sym_import,
      sym_module_name,
  [668474] = 3,
    ACTIONS(15053), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 5,
      sym__newline,
      anon_sym_COLON,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [668489] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16349), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10338), 1,
      sym__field_assignments,
  [668511] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16351), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12813), 1,
      sym__field_assignments,
  [668533] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16353), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11961), 1,
      sym__field_assignments,
  [668555] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16355), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10735), 1,
      sym__field_assignments,
  [668577] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16357), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12606), 1,
      sym__field_assignments,
  [668599] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16359), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11758), 1,
      sym__field_assignments,
  [668621] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16361), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10754), 1,
      sym__field_assignments,
  [668643] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16363), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11955), 1,
      sym__field_assignments,
  [668665] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16365), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10759), 1,
      sym__field_assignments,
  [668687] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16367), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12074), 1,
      sym__field_assignments,
  [668709] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16369), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10775), 1,
      sym__field_assignments,
  [668731] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16371), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11783), 1,
      sym__field_assignments,
  [668753] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16373), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11280), 1,
      sym__field_assignments,
  [668775] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16375), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10243), 1,
      sym__field_assignments,
  [668797] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16377), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10799), 1,
      sym__field_assignments,
  [668819] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16379), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11677), 1,
      sym__field_assignments,
  [668841] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16381), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12274), 1,
      sym__field_assignments,
  [668863] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16383), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12039), 1,
      sym__field_assignments,
  [668885] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16385), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10828), 1,
      sym__field_assignments,
  [668907] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16387), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10309), 1,
      sym__field_assignments,
  [668929] = 6,
    ACTIONS(16389), 1,
      sym_id,
    ACTIONS(16391), 1,
      anon_sym_BSLASH,
    ACTIONS(16393), 1,
      anon_sym_u03bb,
    STATE(9686), 1,
      sym__LAMBDA,
    STATE(10613), 1,
      sym__simple_hole,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
  [668949] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16395), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12336), 1,
      sym__field_assignments,
  [668971] = 5,
    ACTIONS(15746), 1,
      anon_sym_module,
    ACTIONS(15748), 1,
      anon_sym_where,
    STATE(10031), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16066), 2,
      sym__newline,
      anon_sym_in,
  [668989] = 5,
    ACTIONS(15746), 1,
      anon_sym_module,
    ACTIONS(15748), 1,
      anon_sym_where,
    STATE(9904), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16397), 2,
      sym__newline,
      anon_sym_in,
  [669007] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16399), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12733), 1,
      sym__field_assignments,
  [669029] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16401), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10845), 1,
      sym__field_assignments,
  [669051] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16337), 1,
      sym__newline,
    ACTIONS(16403), 2,
      anon_sym__,
      sym_id,
    STATE(9211), 2,
      sym_bid,
      aux_sym_infix_repeat1,
  [669069] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16406), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10680), 1,
      sym__field_assignments,
  [669091] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16408), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10869), 1,
      sym__field_assignments,
  [669113] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16410), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10630), 1,
      sym__field_assignments,
  [669135] = 6,
    ACTIONS(16391), 1,
      anon_sym_BSLASH,
    ACTIONS(16393), 1,
      anon_sym_u03bb,
    ACTIONS(16412), 1,
      sym_id,
    STATE(9686), 1,
      sym__LAMBDA,
    STATE(11448), 1,
      sym__simple_hole,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
  [669155] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16414), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12481), 1,
      sym__field_assignments,
  [669177] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16416), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10893), 1,
      sym__field_assignments,
  [669199] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16418), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12154), 1,
      sym__field_assignments,
  [669221] = 6,
    ACTIONS(16420), 1,
      sym_id,
    ACTIONS(16422), 1,
      anon_sym_BSLASH,
    ACTIONS(16424), 1,
      anon_sym_u03bb,
    STATE(9509), 1,
      sym__LAMBDA,
    STATE(10651), 1,
      sym__simple_hole,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
  [669241] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16426), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11835), 1,
      sym__field_assignments,
  [669263] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16428), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10258), 1,
      sym__field_assignments,
  [669285] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16430), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12094), 1,
      sym__field_assignments,
  [669307] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16432), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12237), 1,
      sym__field_assignments,
  [669329] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16434), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10916), 1,
      sym__field_assignments,
  [669351] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    STATE(4483), 1,
      sym_module_name,
    STATE(7385), 1,
      sym__qid,
    STATE(9025), 1,
      sym_module_application,
    ACTIONS(7476), 2,
      sym_id,
      aux_sym__qid_token1,
  [669371] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16436), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10940), 1,
      sym__field_assignments,
  [669393] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16438), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12409), 1,
      sym__field_assignments,
  [669415] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16440), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11897), 1,
      sym__field_assignments,
  [669437] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16442), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10646), 1,
      sym__field_assignments,
  [669459] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16444), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10849), 1,
      sym__field_assignments,
  [669481] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16446), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10962), 1,
      sym__field_assignments,
  [669503] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16448), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11945), 1,
      sym__field_assignments,
  [669525] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16450), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12364), 1,
      sym__field_assignments,
  [669547] = 4,
    STATE(1548), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(14953), 2,
      sym__newline,
      anon_sym_EQ,
    ACTIONS(16452), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
  [669563] = 3,
    ACTIONS(15013), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 4,
      sym__newline,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_in,
  [669577] = 6,
    ACTIONS(16422), 1,
      anon_sym_BSLASH,
    ACTIONS(16424), 1,
      anon_sym_u03bb,
    ACTIONS(16454), 1,
      sym_id,
    STATE(9509), 1,
      sym__LAMBDA,
    STATE(11550), 1,
      sym__simple_hole,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
  [669597] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16456), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10984), 1,
      sym__field_assignments,
  [669619] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16458), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12517), 1,
      sym__field_assignments,
  [669641] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16460), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10470), 1,
      sym__field_assignments,
  [669663] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16462), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10620), 1,
      sym__field_assignments,
  [669685] = 4,
    STATE(1473), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(14953), 2,
      anon_sym_EQ,
      anon_sym_u2988,
    ACTIONS(16464), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
  [669701] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16466), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12294), 1,
      sym__field_assignments,
  [669723] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16468), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12433), 1,
      sym__field_assignments,
  [669745] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16470), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11165), 1,
      sym__field_assignments,
  [669767] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16472), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12021), 1,
      sym__field_assignments,
  [669789] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16474), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11010), 1,
      sym__field_assignments,
  [669811] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16476), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10275), 1,
      sym__field_assignments,
  [669833] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16478), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10408), 1,
      sym__field_assignments,
  [669855] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16480), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11466), 1,
      sym__field_assignments,
  [669877] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16482), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11031), 1,
      sym__field_assignments,
  [669899] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16484), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11731), 1,
      sym__field_assignments,
  [669921] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16486), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11285), 1,
      sym__field_assignments,
  [669943] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16488), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11586), 1,
      sym__field_assignments,
  [669965] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16490), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12069), 1,
      sym__field_assignments,
  [669987] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16492), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10291), 1,
      sym__field_assignments,
  [670009] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16494), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11056), 1,
      sym__field_assignments,
  [670031] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16496), 1,
      sym_id,
    ACTIONS(16498), 1,
      anon_sym_module,
    ACTIONS(16500), 1,
      anon_sym_RPAREN,
    STATE(9533), 1,
      sym__import_name,
    STATE(12366), 1,
      sym__comma_import_names,
  [670053] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16502), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11040), 1,
      sym__field_assignments,
  [670075] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13268), 1,
      sym_id,
    ACTIONS(16504), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16506), 1,
      anon_sym_u2983,
    ACTIONS(16508), 1,
      anon_sym_LBRACE,
    STATE(9075), 1,
      sym__field_name,
  [670097] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16510), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11078), 1,
      sym__field_assignments,
  [670119] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16512), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12017), 1,
      sym__field_assignments,
  [670141] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16514), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12480), 1,
      sym__field_assignments,
  [670163] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16516), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12225), 1,
      sym__field_assignments,
  [670185] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16518), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10662), 1,
      sym__field_assignments,
  [670207] = 4,
    STATE(1618), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(14953), 2,
      anon_sym_EQ,
      anon_sym_where,
    ACTIONS(16520), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
  [670223] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16522), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11108), 1,
      sym__field_assignments,
  [670245] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16524), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10306), 1,
      sym__field_assignments,
  [670267] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16526), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11074), 1,
      sym__field_assignments,
  [670289] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16528), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11124), 1,
      sym__field_assignments,
  [670311] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16530), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11154), 1,
      sym__field_assignments,
  [670333] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16532), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10322), 1,
      sym__field_assignments,
  [670355] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16534), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12183), 1,
      sym__field_assignments,
  [670377] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16536), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12554), 1,
      sym__field_assignments,
  [670399] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16538), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11152), 1,
      sym__field_assignments,
  [670421] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16540), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11247), 1,
      sym__field_assignments,
  [670443] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16542), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11826), 1,
      sym__field_assignments,
  [670465] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16544), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12532), 1,
      sym__field_assignments,
  [670487] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16546), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12325), 1,
      sym__field_assignments,
  [670509] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16548), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11175), 1,
      sym__field_assignments,
  [670531] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16550), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11587), 1,
      sym__field_assignments,
  [670553] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16552), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10465), 1,
      sym__field_assignments,
  [670575] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16554), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11749), 1,
      sym__field_assignments,
  [670597] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16556), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12758), 1,
      sym__field_assignments,
  [670619] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16558), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11200), 1,
      sym__field_assignments,
  [670641] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16560), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10678), 1,
      sym__field_assignments,
  [670663] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16562), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11379), 1,
      sym__field_assignments,
  [670685] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16564), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12043), 1,
      sym__field_assignments,
  [670707] = 3,
    ACTIONS(14955), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 4,
      sym__newline,
      anon_sym_COLON,
      anon_sym_module,
      anon_sym_where,
  [670721] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16566), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12782), 1,
      sym__field_assignments,
  [670743] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16568), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11226), 1,
      sym__field_assignments,
  [670765] = 4,
    STATE(1460), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(14953), 2,
      anon_sym_EQ,
      anon_sym_PIPE_RPAREN,
    ACTIONS(16570), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
  [670781] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16572), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10355), 1,
      sym__field_assignments,
  [670803] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16574), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11250), 1,
      sym__field_assignments,
  [670825] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16576), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12359), 1,
      sym__field_assignments,
  [670847] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16578), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12487), 1,
      sym__field_assignments,
  [670869] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    STATE(4483), 1,
      sym_module_name,
    STATE(7385), 1,
      sym__qid,
    STATE(9010), 1,
      sym_module_application,
    ACTIONS(7476), 2,
      sym_id,
      aux_sym__qid_token1,
  [670889] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16580), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11281), 1,
      sym__field_assignments,
  [670911] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16582), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10370), 1,
      sym__field_assignments,
  [670933] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16584), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12404), 1,
      sym__field_assignments,
  [670955] = 4,
    STATE(1446), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(14953), 2,
      anon_sym_EQ,
      anon_sym_RBRACE,
    ACTIONS(16586), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
  [670971] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16588), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11296), 1,
      sym__field_assignments,
  [670993] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16590), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11261), 1,
      sym__field_assignments,
  [671015] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16592), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11334), 1,
      sym__field_assignments,
  [671037] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16594), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10386), 1,
      sym__field_assignments,
  [671059] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16596), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11822), 1,
      sym__field_assignments,
  [671081] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16598), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10598), 1,
      sym__field_assignments,
  [671103] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16600), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11875), 1,
      sym__field_assignments,
  [671125] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16602), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11361), 1,
      sym__field_assignments,
  [671147] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16604), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12214), 1,
      sym__field_assignments,
  [671169] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16606), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10404), 1,
      sym__field_assignments,
  [671191] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16608), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10390), 1,
      sym__field_assignments,
  [671213] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16610), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11282), 1,
      sym__field_assignments,
  [671235] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16612), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12601), 1,
      sym__field_assignments,
  [671257] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16614), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11378), 1,
      sym__field_assignments,
  [671279] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    STATE(4287), 1,
      sym_module_name,
    STATE(7237), 1,
      sym__qid,
    STATE(9038), 1,
      sym_module_application,
    ACTIONS(7112), 2,
      sym_id,
      aux_sym__qid_token1,
  [671299] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16616), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11405), 1,
      sym__field_assignments,
  [671321] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16618), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12584), 1,
      sym__field_assignments,
  [671343] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16620), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11652), 1,
      sym__field_assignments,
  [671365] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16622), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10419), 1,
      sym__field_assignments,
  [671387] = 4,
    STATE(1840), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(14953), 2,
      anon_sym_EQ,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(16624), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
  [671403] = 4,
    STATE(1434), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(14953), 2,
      anon_sym_EQ,
      anon_sym_u2984,
    ACTIONS(16626), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
  [671419] = 3,
    ACTIONS(15055), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 4,
      sym__newline,
      anon_sym_module,
      anon_sym_where,
      anon_sym_SEMI,
  [671433] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16628), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12525), 1,
      sym__field_assignments,
  [671455] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16630), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10695), 1,
      sym__field_assignments,
  [671477] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16632), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11090), 1,
      sym__field_assignments,
  [671499] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16634), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12243), 1,
      sym__field_assignments,
  [671521] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16636), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10894), 1,
      sym__field_assignments,
  [671543] = 3,
    ACTIONS(15027), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 4,
      sym__newline,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [671557] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16638), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11436), 1,
      sym__field_assignments,
  [671579] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16640), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11508), 1,
      sym__field_assignments,
  [671601] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16642), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11987), 1,
      sym__field_assignments,
  [671623] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16644), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10800), 1,
      sym__field_assignments,
  [671645] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16646), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11706), 1,
      sym__field_assignments,
  [671667] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    STATE(4287), 1,
      sym_module_name,
    STATE(7237), 1,
      sym__qid,
    STATE(9035), 1,
      sym_module_application,
    ACTIONS(7112), 2,
      sym_id,
      aux_sym__qid_token1,
  [671687] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16648), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10434), 1,
      sym__field_assignments,
  [671709] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16650), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12682), 1,
      sym__field_assignments,
  [671731] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16652), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11462), 1,
      sym__field_assignments,
  [671753] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16654), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10901), 1,
      sym__field_assignments,
  [671775] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16656), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10450), 1,
      sym__field_assignments,
  [671797] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    STATE(4287), 1,
      sym_module_name,
    STATE(7237), 1,
      sym__qid,
    STATE(9010), 1,
      sym_module_application,
    ACTIONS(7112), 2,
      sym_id,
      aux_sym__qid_token1,
  [671817] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16496), 1,
      sym_id,
    ACTIONS(16498), 1,
      anon_sym_module,
    ACTIONS(16658), 1,
      anon_sym_RPAREN,
    STATE(9533), 1,
      sym__import_name,
    STATE(10804), 1,
      sym__comma_import_names,
  [671839] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16283), 1,
      sym_id,
    STATE(9148), 1,
      aux_sym__type_signature_block_repeat1,
    STATE(10263), 1,
      sym_type_signature,
    STATE(9414), 2,
      sym__field_name,
      aux_sym__field_names,
  [671859] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16273), 1,
      sym__newline,
    ACTIONS(16660), 2,
      anon_sym__,
      sym_id,
    STATE(9211), 2,
      sym_bid,
      aux_sym_infix_repeat1,
  [671877] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16662), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12622), 1,
      sym__field_assignments,
  [671899] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16664), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10466), 1,
      sym__field_assignments,
  [671921] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16666), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12791), 1,
      sym__field_assignments,
  [671943] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16668), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11493), 1,
      sym__field_assignments,
  [671965] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16670), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10310), 1,
      sym__field_assignments,
  [671987] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16672), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12634), 1,
      sym__field_assignments,
  [672009] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    STATE(4287), 1,
      sym_module_name,
    STATE(7237), 1,
      sym__qid,
    STATE(9025), 1,
      sym_module_application,
    ACTIONS(7112), 2,
      sym_id,
      aux_sym__qid_token1,
  [672029] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16674), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12816), 1,
      sym__field_assignments,
  [672051] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16676), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12353), 1,
      sym__field_assignments,
  [672073] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16678), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10481), 1,
      sym__field_assignments,
  [672095] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16680), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10550), 1,
      sym__field_assignments,
  [672117] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16682), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11595), 1,
      sym__field_assignments,
  [672139] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16684), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12799), 1,
      sym__field_assignments,
  [672161] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16686), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11523), 1,
      sym__field_assignments,
  [672183] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16688), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12668), 1,
      sym__field_assignments,
  [672205] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16690), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11082), 1,
      sym__field_assignments,
  [672227] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16692), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10498), 1,
      sym__field_assignments,
  [672249] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16694), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11421), 1,
      sym__field_assignments,
  [672271] = 4,
    STATE(1417), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(14953), 2,
      anon_sym_EQ,
      anon_sym_RPAREN,
    ACTIONS(16696), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
  [672287] = 3,
    ACTIONS(6279), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
  [672301] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16698), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12379), 1,
      sym__field_assignments,
  [672323] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16700), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11548), 1,
      sym__field_assignments,
  [672345] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16702), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10516), 1,
      sym__field_assignments,
  [672367] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16704), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12134), 1,
      sym__field_assignments,
  [672389] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16706), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10716), 1,
      sym__field_assignments,
  [672411] = 6,
    ACTIONS(16391), 1,
      anon_sym_BSLASH,
    ACTIONS(16393), 1,
      anon_sym_u03bb,
    ACTIONS(16708), 1,
      sym_id,
    STATE(9686), 1,
      sym__LAMBDA,
    STATE(11380), 1,
      sym__simple_hole,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
  [672431] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16710), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11574), 1,
      sym__field_assignments,
  [672453] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16712), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10279), 1,
      sym__field_assignments,
  [672475] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16714), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10531), 1,
      sym__field_assignments,
  [672497] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16716), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12648), 1,
      sym__field_assignments,
  [672519] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    STATE(4483), 1,
      sym_module_name,
    STATE(7385), 1,
      sym__qid,
    STATE(9038), 1,
      sym_module_application,
    ACTIONS(7476), 2,
      sym_id,
      aux_sym__qid_token1,
  [672539] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16718), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12437), 1,
      sym__field_assignments,
  [672561] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16720), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11807), 1,
      sym__field_assignments,
  [672583] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16722), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11597), 1,
      sym__field_assignments,
  [672605] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16724), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10261), 1,
      sym__field_assignments,
  [672627] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16726), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11336), 1,
      sym__field_assignments,
  [672649] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16728), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12378), 1,
      sym__field_assignments,
  [672671] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16730), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10614), 1,
      sym__field_assignments,
  [672693] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16732), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11672), 1,
      sym__field_assignments,
  [672715] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16734), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10455), 1,
      sym__field_assignments,
  [672737] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16736), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11629), 1,
      sym__field_assignments,
  [672759] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16738), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12215), 1,
      sym__field_assignments,
  [672781] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16740), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12098), 1,
      sym__field_assignments,
  [672803] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16742), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12691), 1,
      sym__field_assignments,
  [672825] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16744), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10547), 1,
      sym__field_assignments,
  [672847] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16746), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11708), 1,
      sym__field_assignments,
  [672869] = 6,
    ACTIONS(16391), 1,
      anon_sym_BSLASH,
    ACTIONS(16393), 1,
      anon_sym_u03bb,
    ACTIONS(16748), 1,
      sym_id,
    STATE(9686), 1,
      sym__LAMBDA,
    STATE(10537), 1,
      sym__simple_hole,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
  [672889] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16750), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10989), 1,
      sym__field_assignments,
  [672911] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16752), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11927), 1,
      sym__field_assignments,
  [672933] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16754), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(12706), 1,
      sym__field_assignments,
  [672955] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16756), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10565), 1,
      sym__field_assignments,
  [672977] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16758), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10700), 1,
      sym__field_assignments,
  [672999] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16760), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11653), 1,
      sym__field_assignments,
  [673021] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    STATE(4483), 1,
      sym_module_name,
    STATE(7385), 1,
      sym__qid,
    STATE(9035), 1,
      sym_module_application,
    ACTIONS(7476), 2,
      sym_id,
      aux_sym__qid_token1,
  [673041] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16762), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10564), 1,
      sym__field_assignments,
  [673063] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16764), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10581), 1,
      sym__field_assignments,
  [673085] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16766), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10778), 1,
      sym__field_assignments,
  [673107] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16768), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11817), 1,
      sym__field_assignments,
  [673129] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16770), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(10469), 1,
      sym__field_assignments,
  [673151] = 7,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    ACTIONS(16772), 1,
      anon_sym_RBRACE,
    STATE(9534), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9953), 1,
      sym_field_assignment,
    STATE(11328), 1,
      sym__field_assignments,
  [673173] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15527), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [673184] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15978), 1,
      sym_id,
    ACTIONS(16774), 1,
      anon_sym_RBRACE,
    STATE(9489), 2,
      sym__field_name,
      aux_sym__field_names,
  [673201] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15535), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [673212] = 4,
    ACTIONS(16778), 1,
      sym__indent,
    STATE(9839), 1,
      sym__signature_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16776), 2,
      sym__newline,
      anon_sym_in,
  [673227] = 4,
    ACTIONS(16782), 1,
      sym__indent,
    STATE(10030), 1,
      sym__declaration_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16780), 2,
      sym__newline,
      anon_sym_in,
  [673242] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    STATE(7351), 1,
      sym_module_name,
    STATE(7385), 1,
      sym__qid,
    ACTIONS(7476), 2,
      sym_id,
      aux_sym__qid_token1,
  [673259] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15556), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [673270] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15558), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [673281] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15564), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
  [673292] = 5,
    ACTIONS(16784), 1,
      anon_sym_constructor,
    ACTIONS(16787), 1,
      sym__dedent,
    STATE(9413), 1,
      aux_sym_record_constructor_instance_repeat1,
    STATE(11881), 1,
      sym_record_constructor,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [673309] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16283), 1,
      sym_id,
    ACTIONS(16789), 1,
      anon_sym_COLON,
    STATE(9481), 2,
      sym__field_name,
      aux_sym__field_names,
  [673326] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15519), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [673337] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16269), 2,
      anon_sym__,
      sym_id,
    STATE(9143), 2,
      sym_bid,
      aux_sym_infix_repeat1,
  [673352] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15589), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
  [673363] = 3,
    ACTIONS(15523), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15531), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE_RBRACE,
  [673376] = 3,
    ACTIONS(15051), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 3,
      sym__newline,
      anon_sym_where,
      anon_sym_SEMI,
  [673389] = 3,
    ACTIONS(15063), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [673402] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15525), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [673413] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    STATE(9747), 1,
      sym__qid,
    STATE(9876), 1,
      sym_module_name,
    ACTIONS(16791), 2,
      sym_id,
      aux_sym__qid_token1,
  [673430] = 3,
    ACTIONS(15015), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 3,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_u2984,
  [673443] = 5,
    ACTIONS(16793), 1,
      anon_sym_LPAREN,
    ACTIONS(16795), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(16797), 1,
      anon_sym_u2983,
    ACTIONS(16799), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [673460] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16803), 1,
      anon_sym__,
    STATE(8134), 1,
      sym__qid,
    ACTIONS(16801), 2,
      sym_id,
      aux_sym__qid_token1,
  [673477] = 4,
    ACTIONS(16807), 1,
      sym__indent,
    STATE(9870), 1,
      sym__type_signature_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16805), 2,
      sym__newline,
      anon_sym_in,
  [673492] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15877), 1,
      sym_id,
    ACTIONS(16809), 1,
      anon_sym_u2984,
    STATE(9473), 2,
      sym__field_name,
      aux_sym__field_names,
  [673509] = 3,
    ACTIONS(15069), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [673522] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16811), 1,
      sym_id,
    ACTIONS(16813), 1,
      anon_sym_in,
    ACTIONS(16815), 1,
      sym__newline,
    STATE(9462), 1,
      aux_sym_syntax_repeat1,
  [673541] = 4,
    ACTIONS(16782), 1,
      sym__indent,
    STATE(9825), 1,
      sym__declaration_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16817), 2,
      sym__newline,
      anon_sym_in,
  [673556] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15554), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [673567] = 4,
    ACTIONS(16782), 1,
      sym__indent,
    STATE(9858), 1,
      sym__declaration_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16819), 2,
      sym__newline,
      anon_sym_in,
  [673582] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15580), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [673593] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16821), 4,
      sym__newline,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [673604] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16803), 1,
      anon_sym__,
    STATE(8031), 1,
      sym__qid,
    ACTIONS(16801), 2,
      sym_id,
      aux_sym__qid_token1,
  [673621] = 3,
    ACTIONS(15061), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 3,
      sym__newline,
      anon_sym_module,
      anon_sym_where,
  [673634] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15582), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
  [673645] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15562), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [673656] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15566), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [673667] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    STATE(7309), 1,
      sym__qid,
    STATE(7359), 1,
      sym_module_name,
    ACTIONS(7333), 2,
      sym_id,
      aux_sym__qid_token1,
  [673684] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15570), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [673695] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15591), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
  [673706] = 3,
    ACTIONS(14999), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 3,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
  [673719] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15885), 2,
      sym_id,
      anon_sym_DOT,
    ACTIONS(15887), 2,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
  [673734] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15531), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
  [673745] = 3,
    ACTIONS(14997), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 3,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [673758] = 4,
    ACTIONS(16823), 1,
      anon_sym_where,
    STATE(9715), 1,
      sym_record_declarations_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16825), 2,
      sym__newline,
      anon_sym_in,
  [673773] = 5,
    ACTIONS(16827), 1,
      anon_sym_constructor,
    ACTIONS(16829), 1,
      sym__dedent,
    STATE(9413), 1,
      aux_sym_record_constructor_instance_repeat1,
    STATE(11881), 1,
      sym_record_constructor,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [673790] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15885), 2,
      sym_id,
      anon_sym_DOT,
    ACTIONS(15887), 2,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
  [673805] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15517), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [673816] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16658), 1,
      anon_sym_RPAREN,
    ACTIONS(16831), 1,
      sym_id,
    ACTIONS(16833), 1,
      anon_sym_module,
    STATE(9576), 1,
      sym_renaming,
  [673835] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16837), 1,
      anon_sym__,
    STATE(9799), 1,
      sym__qid,
    ACTIONS(16835), 2,
      sym_id,
      aux_sym__qid_token1,
  [673852] = 3,
    ACTIONS(16839), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15562), 3,
      anon_sym_EQ,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
  [673865] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15572), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [673876] = 4,
    ACTIONS(16823), 1,
      anon_sym_where,
    STATE(9871), 1,
      sym_record_declarations_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16841), 2,
      sym__newline,
      anon_sym_in,
  [673891] = 4,
    ACTIONS(16782), 1,
      sym__indent,
    STATE(9986), 1,
      sym__declaration_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16843), 2,
      sym__newline,
      anon_sym_in,
  [673906] = 4,
    ACTIONS(16782), 1,
      sym__indent,
    STATE(10224), 1,
      sym__declaration_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16845), 2,
      sym__newline,
      anon_sym_in,
  [673921] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 1,
      sym__newline,
    ACTIONS(13288), 3,
      anon_sym__,
      sym_id,
      anon_sym_in,
  [673936] = 3,
    ACTIONS(15523), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15521), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE_RBRACE,
  [673949] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    STATE(7237), 1,
      sym__qid,
    STATE(7269), 1,
      sym_module_name,
    ACTIONS(7112), 2,
      sym_id,
      aux_sym__qid_token1,
  [673966] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15568), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [673977] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16847), 1,
      sym_id,
    ACTIONS(16850), 1,
      anon_sym_in,
    ACTIONS(16852), 1,
      sym__newline,
    STATE(9462), 1,
      aux_sym_syntax_repeat1,
  [673996] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15887), 1,
      anon_sym_DOT_DOT,
    ACTIONS(15885), 3,
      anon_sym_u2984,
      sym_id,
      anon_sym_DOT,
  [674011] = 4,
    ACTIONS(16782), 1,
      sym__indent,
    STATE(9866), 1,
      sym__declaration_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16854), 2,
      sym__newline,
      anon_sym_in,
  [674026] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15842), 1,
      sym_id,
    ACTIONS(16774), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(9469), 2,
      sym__field_name,
      aux_sym__field_names,
  [674043] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16856), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
  [674054] = 4,
    ACTIONS(16782), 1,
      sym__indent,
    STATE(9746), 1,
      sym__declaration_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16858), 2,
      sym__newline,
      anon_sym_in,
  [674069] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16247), 2,
      sym_id,
      anon_sym_DOT,
    ACTIONS(16249), 2,
      anon_sym_RBRACE_RBRACE,
      anon_sym_DOT_DOT,
  [674084] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16860), 1,
      sym_id,
    ACTIONS(16863), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(9469), 2,
      sym__field_name,
      aux_sym__field_names,
  [674101] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16660), 2,
      anon_sym__,
      sym_id,
    STATE(9343), 2,
      sym_bid,
      aux_sym_infix_repeat1,
  [674116] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16865), 1,
      anon_sym__,
    STATE(9466), 1,
      sym__qid,
    ACTIONS(12513), 2,
      sym_id,
      aux_sym__qid_token1,
  [674133] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16249), 1,
      anon_sym_DOT_DOT,
    ACTIONS(16247), 3,
      anon_sym_u2984,
      sym_id,
      anon_sym_DOT,
  [674148] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16867), 1,
      sym_id,
    ACTIONS(16870), 1,
      anon_sym_u2984,
    STATE(9473), 2,
      sym__field_name,
      aux_sym__field_names,
  [674165] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16872), 4,
      sym__newline,
      anon_sym_module,
      anon_sym_where,
      anon_sym_in,
  [674176] = 3,
    ACTIONS(15009), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 3,
      sym__newline,
      anon_sym_where,
      anon_sym_in,
  [674189] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15595), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [674200] = 6,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16500), 1,
      anon_sym_RPAREN,
    ACTIONS(16831), 1,
      sym_id,
    ACTIONS(16833), 1,
      anon_sym_module,
    STATE(9660), 1,
      sym_renaming,
  [674219] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16247), 2,
      sym_id,
      anon_sym_DOT,
    ACTIONS(16249), 2,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
  [674234] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15529), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [674245] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15533), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [674256] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16870), 1,
      anon_sym_COLON,
    ACTIONS(16874), 1,
      sym_id,
    STATE(9481), 2,
      sym__field_name,
      aux_sym__field_names,
  [674273] = 4,
    ACTIONS(16782), 1,
      sym__indent,
    STATE(9859), 1,
      sym__declaration_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16877), 2,
      sym__newline,
      anon_sym_in,
  [674288] = 4,
    ACTIONS(16782), 1,
      sym__indent,
    STATE(9810), 1,
      sym__declaration_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16879), 2,
      sym__newline,
      anon_sym_in,
  [674303] = 4,
    ACTIONS(16782), 1,
      sym__indent,
    STATE(10032), 1,
      sym__declaration_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16881), 2,
      sym__newline,
      anon_sym_in,
  [674318] = 4,
    ACTIONS(16782), 1,
      sym__indent,
    STATE(10101), 1,
      sym__declaration_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16883), 2,
      sym__newline,
      anon_sym_in,
  [674333] = 4,
    ACTIONS(16782), 1,
      sym__indent,
    STATE(10112), 1,
      sym__declaration_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16885), 2,
      sym__newline,
      anon_sym_in,
  [674348] = 4,
    ACTIONS(16782), 1,
      sym__indent,
    STATE(9864), 1,
      sym__declaration_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16887), 2,
      sym__newline,
      anon_sym_in,
  [674363] = 4,
    ACTIONS(16782), 1,
      sym__indent,
    STATE(9851), 1,
      sym__declaration_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16889), 2,
      sym__newline,
      anon_sym_in,
  [674378] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16863), 1,
      anon_sym_RBRACE,
    ACTIONS(16891), 1,
      sym_id,
    STATE(9489), 2,
      sym__field_name,
      aux_sym__field_names,
  [674395] = 3,
    ACTIONS(16894), 1,
      anon_sym_where,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16896), 2,
      sym__newline,
      anon_sym_in,
  [674407] = 3,
    STATE(10822), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16898), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
  [674419] = 4,
    ACTIONS(16900), 1,
      anon_sym_in,
    ACTIONS(16902), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674433] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(13290), 1,
      sym__newline,
    ACTIONS(13288), 2,
      anon_sym__,
      sym_id,
  [674447] = 4,
    ACTIONS(16904), 1,
      anon_sym_in,
    ACTIONS(16906), 1,
      sym__newline,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674461] = 3,
    ACTIONS(14995), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [674473] = 4,
    ACTIONS(16908), 1,
      anon_sym_in,
    ACTIONS(16910), 1,
      sym__newline,
    STATE(8927), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674487] = 4,
    ACTIONS(16912), 1,
      anon_sym_in,
    ACTIONS(16914), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674501] = 4,
    ACTIONS(16916), 1,
      anon_sym_in,
    ACTIONS(16918), 1,
      sym__newline,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674515] = 3,
    ACTIONS(15075), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RPAREN,
  [674527] = 4,
    ACTIONS(16920), 1,
      anon_sym_in,
    ACTIONS(16922), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674541] = 4,
    ACTIONS(16924), 1,
      anon_sym_in,
    ACTIONS(16926), 1,
      sym__newline,
    STATE(8927), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674555] = 4,
    ACTIONS(16928), 1,
      anon_sym_in,
    ACTIONS(16930), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674569] = 4,
    ACTIONS(16932), 1,
      anon_sym_in,
    ACTIONS(16934), 1,
      sym__newline,
    STATE(9415), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674583] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    STATE(8257), 1,
      sym__qid,
    ACTIONS(16936), 2,
      sym_id,
      aux_sym__qid_token1,
  [674597] = 4,
    ACTIONS(16938), 1,
      anon_sym_in,
    ACTIONS(16940), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674611] = 4,
    ACTIONS(16942), 1,
      anon_sym_in,
    ACTIONS(16944), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674625] = 4,
    ACTIONS(16946), 1,
      anon_sym_in,
    ACTIONS(16948), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674639] = 4,
    ACTIONS(16950), 1,
      anon_sym_in,
    ACTIONS(16952), 1,
      sym__newline,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674653] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    STATE(9491), 1,
      sym_bid,
    ACTIONS(16954), 2,
      anon_sym__,
      sym_id,
  [674667] = 4,
    ACTIONS(16956), 1,
      anon_sym_in,
    ACTIONS(16958), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674681] = 3,
    ACTIONS(15011), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 2,
      sym__newline,
      anon_sym_where,
  [674693] = 4,
    ACTIONS(16960), 1,
      anon_sym_in,
    ACTIONS(16962), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674707] = 3,
    ACTIONS(15067), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 2,
      anon_sym_COLON,
      anon_sym_RBRACE,
  [674719] = 4,
    ACTIONS(16964), 1,
      anon_sym_in,
    ACTIONS(16966), 1,
      sym__newline,
    STATE(8927), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674733] = 4,
    ACTIONS(16964), 1,
      anon_sym_in,
    ACTIONS(16968), 1,
      sym__newline,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674747] = 4,
    ACTIONS(16970), 1,
      anon_sym_where,
    ACTIONS(16972), 1,
      sym__newline,
    STATE(10389), 1,
      sym_do_where,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674761] = 4,
    ACTIONS(16956), 1,
      anon_sym_in,
    ACTIONS(16974), 1,
      sym__newline,
    STATE(9608), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674775] = 4,
    ACTIONS(16976), 1,
      anon_sym_in,
    ACTIONS(16978), 1,
      sym__newline,
    STATE(8927), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674789] = 3,
    ACTIONS(15081), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [674801] = 4,
    ACTIONS(16956), 1,
      anon_sym_in,
    ACTIONS(16980), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674815] = 4,
    ACTIONS(16904), 1,
      anon_sym_in,
    ACTIONS(16982), 1,
      sym__newline,
    STATE(8927), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674829] = 4,
    ACTIONS(16984), 1,
      anon_sym_in,
    ACTIONS(16986), 1,
      sym__newline,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674843] = 4,
    ACTIONS(16942), 1,
      anon_sym_in,
    ACTIONS(16988), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674857] = 4,
    ACTIONS(16990), 1,
      anon_sym_in,
    ACTIONS(16992), 1,
      sym__newline,
    STATE(8927), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674871] = 4,
    ACTIONS(16994), 1,
      anon_sym_in,
    ACTIONS(16996), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674885] = 3,
    ACTIONS(16998), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17000), 2,
      sym__newline,
      anon_sym_where,
  [674897] = 4,
    ACTIONS(16984), 1,
      anon_sym_in,
    ACTIONS(17002), 1,
      sym__newline,
    STATE(8927), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674911] = 4,
    ACTIONS(16984), 1,
      anon_sym_in,
    ACTIONS(17004), 1,
      sym__newline,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674925] = 4,
    ACTIONS(16904), 1,
      anon_sym_in,
    ACTIONS(17006), 1,
      sym__newline,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674939] = 4,
    ACTIONS(17008), 1,
      anon_sym_RPAREN,
    ACTIONS(17010), 1,
      anon_sym_SEMI,
    STATE(9530), 1,
      aux_sym__comma_import_names_repeat1,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674953] = 4,
    ACTIONS(16932), 1,
      anon_sym_in,
    ACTIONS(17013), 1,
      sym__newline,
    STATE(9480), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674967] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    STATE(11833), 1,
      sym_bid,
    ACTIONS(16954), 2,
      anon_sym__,
      sym_id,
  [674981] = 4,
    ACTIONS(17015), 1,
      anon_sym_RPAREN,
    ACTIONS(17017), 1,
      anon_sym_SEMI,
    STATE(9571), 1,
      aux_sym__comma_import_names_repeat1,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [674995] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16347), 1,
      sym_id,
    STATE(9562), 1,
      aux_sym__field_assignments_repeat1,
    STATE(9758), 1,
      sym_field_assignment,
  [675011] = 4,
    ACTIONS(17019), 1,
      anon_sym_in,
    ACTIONS(17021), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675025] = 4,
    ACTIONS(16976), 1,
      anon_sym_in,
    ACTIONS(17023), 1,
      sym__newline,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675039] = 4,
    ACTIONS(17025), 1,
      anon_sym_in,
    ACTIONS(17027), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675053] = 4,
    ACTIONS(17029), 1,
      anon_sym_in,
    ACTIONS(17031), 1,
      sym__newline,
    STATE(8927), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675067] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16815), 1,
      sym__newline,
    ACTIONS(17033), 1,
      sym_id,
    STATE(9620), 1,
      aux_sym_syntax_repeat1,
  [675083] = 3,
    ACTIONS(15049), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 2,
      anon_sym_where,
      anon_sym_SEMI,
  [675095] = 4,
    ACTIONS(17035), 1,
      anon_sym_in,
    ACTIONS(17037), 1,
      sym__newline,
    STATE(8927), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675109] = 4,
    ACTIONS(17039), 1,
      anon_sym_in,
    ACTIONS(17041), 1,
      sym__newline,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675123] = 4,
    ACTIONS(17043), 1,
      anon_sym_in,
    ACTIONS(17045), 1,
      sym__newline,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675137] = 4,
    ACTIONS(17047), 1,
      anon_sym_in,
    ACTIONS(17049), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675151] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(17051), 1,
      sym_id,
    ACTIONS(17053), 1,
      anon_sym_EQ,
    STATE(9611), 1,
      aux_sym__ids,
  [675167] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16498), 1,
      anon_sym_module,
    ACTIONS(17055), 1,
      sym_id,
    STATE(10044), 1,
      sym__import_name,
  [675183] = 4,
    ACTIONS(17029), 1,
      anon_sym_in,
    ACTIONS(17057), 1,
      sym__newline,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675197] = 3,
    ACTIONS(17059), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15562), 2,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [675209] = 4,
    ACTIONS(16932), 1,
      anon_sym_in,
    ACTIONS(17061), 1,
      sym__newline,
    STATE(9433), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675223] = 4,
    ACTIONS(17063), 1,
      anon_sym_in,
    ACTIONS(17065), 1,
      sym__newline,
    STATE(8927), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675237] = 4,
    ACTIONS(16956), 1,
      anon_sym_in,
    ACTIONS(17067), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675251] = 4,
    ACTIONS(17069), 1,
      anon_sym_in,
    ACTIONS(17071), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675265] = 4,
    ACTIONS(16928), 1,
      anon_sym_in,
    ACTIONS(17073), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675279] = 4,
    ACTIONS(16938), 1,
      anon_sym_in,
    ACTIONS(17075), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675293] = 4,
    ACTIONS(17047), 1,
      anon_sym_in,
    ACTIONS(17077), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675307] = 4,
    ACTIONS(17079), 1,
      anon_sym_in,
    ACTIONS(17081), 1,
      sym__newline,
    STATE(9480), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675321] = 4,
    ACTIONS(17069), 1,
      anon_sym_in,
    ACTIONS(17083), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675335] = 4,
    ACTIONS(17043), 1,
      anon_sym_in,
    ACTIONS(17085), 1,
      sym__newline,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675349] = 4,
    ACTIONS(16946), 1,
      anon_sym_in,
    ACTIONS(17087), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675363] = 4,
    ACTIONS(16950), 1,
      anon_sym_in,
    ACTIONS(17089), 1,
      sym__newline,
    STATE(8927), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675377] = 4,
    ACTIONS(16956), 1,
      anon_sym_in,
    ACTIONS(17091), 1,
      sym__newline,
    STATE(9681), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675391] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(17093), 1,
      sym_id,
    STATE(9562), 1,
      aux_sym__field_assignments_repeat1,
    STATE(10803), 1,
      sym_field_assignment,
  [675407] = 4,
    ACTIONS(16950), 1,
      anon_sym_in,
    ACTIONS(17096), 1,
      sym__newline,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675421] = 4,
    ACTIONS(16908), 1,
      anon_sym_in,
    ACTIONS(17098), 1,
      sym__newline,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675435] = 4,
    ACTIONS(17100), 1,
      anon_sym_in,
    ACTIONS(17102), 1,
      sym__newline,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675449] = 4,
    ACTIONS(16956), 1,
      anon_sym_in,
    ACTIONS(17104), 1,
      sym__newline,
    STATE(9570), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675463] = 4,
    ACTIONS(17106), 1,
      anon_sym_in,
    ACTIONS(17108), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675477] = 4,
    ACTIONS(17110), 1,
      anon_sym_in,
    ACTIONS(17112), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675491] = 4,
    ACTIONS(16827), 1,
      anon_sym_constructor,
    STATE(9448), 1,
      aux_sym_record_constructor_instance_repeat1,
    STATE(11881), 1,
      sym_record_constructor,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675505] = 3,
    ACTIONS(15533), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17114), 2,
      sym__newline,
      anon_sym_where,
  [675517] = 4,
    ACTIONS(17017), 1,
      anon_sym_SEMI,
    ACTIONS(17116), 1,
      anon_sym_RPAREN,
    STATE(9530), 1,
      aux_sym__comma_import_names_repeat1,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675531] = 4,
    ACTIONS(17118), 1,
      anon_sym_in,
    ACTIONS(17120), 1,
      sym__newline,
    STATE(8927), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675545] = 4,
    ACTIONS(16960), 1,
      anon_sym_in,
    ACTIONS(17122), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675559] = 4,
    ACTIONS(17124), 1,
      anon_sym_in,
    ACTIONS(17126), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675573] = 4,
    ACTIONS(17118), 1,
      anon_sym_in,
    ACTIONS(17128), 1,
      sym__newline,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675587] = 4,
    ACTIONS(17130), 1,
      anon_sym_RPAREN,
    ACTIONS(17132), 1,
      anon_sym_SEMI,
    STATE(9579), 1,
      aux_sym_import_directive_repeat1,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675601] = 4,
    ACTIONS(16924), 1,
      anon_sym_in,
    ACTIONS(17134), 1,
      sym__newline,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675615] = 4,
    ACTIONS(16858), 1,
      sym__newline,
    ACTIONS(17136), 1,
      sym__indent,
    STATE(9746), 1,
      sym__declaration_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675629] = 4,
    ACTIONS(17132), 1,
      anon_sym_SEMI,
    ACTIONS(17138), 1,
      anon_sym_RPAREN,
    STATE(9662), 1,
      aux_sym_import_directive_repeat1,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675643] = 4,
    ACTIONS(17025), 1,
      anon_sym_in,
    ACTIONS(17140), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675657] = 4,
    ACTIONS(17069), 1,
      anon_sym_in,
    ACTIONS(17142), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675671] = 4,
    ACTIONS(17110), 1,
      anon_sym_in,
    ACTIONS(17144), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675685] = 4,
    ACTIONS(16900), 1,
      anon_sym_in,
    ACTIONS(17146), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675699] = 4,
    ACTIONS(17148), 1,
      anon_sym_in,
    ACTIONS(17150), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675713] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    STATE(9683), 1,
      sym_bid,
    ACTIONS(16954), 2,
      anon_sym__,
      sym_id,
  [675727] = 4,
    ACTIONS(17063), 1,
      anon_sym_in,
    ACTIONS(17152), 1,
      sym__newline,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675741] = 3,
    ACTIONS(14973), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 2,
      anon_sym_SEMI,
      anon_sym_u2988,
  [675753] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16831), 1,
      sym_id,
    ACTIONS(16833), 1,
      anon_sym_module,
    STATE(10055), 1,
      sym_renaming,
  [675769] = 4,
    ACTIONS(16928), 1,
      anon_sym_in,
    ACTIONS(17154), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675783] = 4,
    ACTIONS(16942), 1,
      anon_sym_in,
    ACTIONS(17156), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675797] = 4,
    ACTIONS(17124), 1,
      anon_sym_in,
    ACTIONS(17158), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675811] = 4,
    ACTIONS(16990), 1,
      anon_sym_in,
    ACTIONS(17160), 1,
      sym__newline,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675825] = 4,
    ACTIONS(17162), 1,
      anon_sym_in,
    ACTIONS(17164), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675839] = 4,
    ACTIONS(17110), 1,
      anon_sym_in,
    ACTIONS(17166), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675853] = 4,
    ACTIONS(17168), 1,
      anon_sym_in,
    ACTIONS(17170), 1,
      sym__newline,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675867] = 4,
    ACTIONS(17148), 1,
      anon_sym_in,
    ACTIONS(17172), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675881] = 4,
    ACTIONS(17025), 1,
      anon_sym_in,
    ACTIONS(17174), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675895] = 4,
    ACTIONS(17176), 1,
      anon_sym_in,
    ACTIONS(17178), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675909] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    STATE(8261), 1,
      sym__qid,
    ACTIONS(16936), 2,
      sym_id,
      aux_sym__qid_token1,
  [675923] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(17051), 1,
      sym_id,
    ACTIONS(17180), 1,
      anon_sym_EQ,
    STATE(9611), 1,
      aux_sym__ids,
  [675939] = 3,
    ACTIONS(15029), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 2,
      sym__newline,
      anon_sym_SEMI,
  [675951] = 4,
    ACTIONS(17176), 1,
      anon_sym_in,
    ACTIONS(17182), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675965] = 4,
    ACTIONS(17184), 1,
      anon_sym_in,
    ACTIONS(17186), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675979] = 4,
    ACTIONS(17184), 1,
      anon_sym_in,
    ACTIONS(17188), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [675993] = 4,
    ACTIONS(17118), 1,
      anon_sym_in,
    ACTIONS(17190), 1,
      sym__newline,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676007] = 3,
    ACTIONS(17192), 1,
      anon_sym_where,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17194), 2,
      sym__newline,
      anon_sym_in,
  [676019] = 4,
    ACTIONS(16916), 1,
      anon_sym_in,
    ACTIONS(17196), 1,
      sym__newline,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676033] = 3,
    ACTIONS(15519), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17198), 2,
      sym__newline,
      anon_sym_where,
  [676045] = 4,
    ACTIONS(17100), 1,
      anon_sym_in,
    ACTIONS(17200), 1,
      sym__newline,
    STATE(8927), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676059] = 4,
    ACTIONS(17079), 1,
      anon_sym_in,
    ACTIONS(17202), 1,
      sym__newline,
    STATE(9415), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676073] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(17204), 1,
      sym_id,
    ACTIONS(17207), 1,
      anon_sym_EQ,
    STATE(9611), 1,
      aux_sym__ids,
  [676089] = 4,
    ACTIONS(17035), 1,
      anon_sym_in,
    ACTIONS(17209), 1,
      sym__newline,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676103] = 4,
    ACTIONS(17148), 1,
      anon_sym_in,
    ACTIONS(17211), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676117] = 4,
    ACTIONS(17176), 1,
      anon_sym_in,
    ACTIONS(17213), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676131] = 4,
    ACTIONS(17106), 1,
      anon_sym_in,
    ACTIONS(17215), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676145] = 3,
    ACTIONS(15570), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17217), 2,
      sym__newline,
      anon_sym_where,
  [676157] = 3,
    ACTIONS(15035), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 2,
      sym__newline,
      anon_sym_in,
  [676169] = 4,
    ACTIONS(17219), 1,
      anon_sym_in,
    ACTIONS(17221), 1,
      sym__newline,
    STATE(9415), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676183] = 4,
    ACTIONS(17223), 1,
      anon_sym_in,
    ACTIONS(17225), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676197] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16852), 1,
      sym__newline,
    ACTIONS(17227), 1,
      sym_id,
    STATE(9620), 1,
      aux_sym_syntax_repeat1,
  [676213] = 4,
    ACTIONS(16990), 1,
      anon_sym_in,
    ACTIONS(17230), 1,
      sym__newline,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676227] = 4,
    ACTIONS(17039), 1,
      anon_sym_in,
    ACTIONS(17232), 1,
      sym__newline,
    STATE(8927), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676241] = 4,
    ACTIONS(17047), 1,
      anon_sym_in,
    ACTIONS(17234), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676255] = 4,
    ACTIONS(17043), 1,
      anon_sym_in,
    ACTIONS(17236), 1,
      sym__newline,
    STATE(8927), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676269] = 4,
    ACTIONS(17132), 1,
      anon_sym_SEMI,
    ACTIONS(17238), 1,
      anon_sym_RPAREN,
    STATE(9662), 1,
      aux_sym_import_directive_repeat1,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676283] = 3,
    ACTIONS(15043), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 2,
      anon_sym_SEMI,
      anon_sym_u2984,
  [676295] = 4,
    ACTIONS(16960), 1,
      anon_sym_in,
    ACTIONS(17240), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676309] = 4,
    ACTIONS(17106), 1,
      anon_sym_in,
    ACTIONS(17242), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676323] = 4,
    ACTIONS(17039), 1,
      anon_sym_in,
    ACTIONS(17244), 1,
      sym__newline,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676337] = 4,
    ACTIONS(17100), 1,
      anon_sym_in,
    ACTIONS(17246), 1,
      sym__newline,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676351] = 4,
    ACTIONS(17248), 1,
      anon_sym_in,
    ACTIONS(17250), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676365] = 4,
    ACTIONS(16916), 1,
      anon_sym_in,
    ACTIONS(17252), 1,
      sym__newline,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676379] = 4,
    ACTIONS(16920), 1,
      anon_sym_in,
    ACTIONS(17254), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676393] = 4,
    ACTIONS(17035), 1,
      anon_sym_in,
    ACTIONS(17256), 1,
      sym__newline,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676407] = 3,
    ACTIONS(16839), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15562), 2,
      anon_sym_EQ,
      anon_sym_RBRACE,
  [676419] = 4,
    ACTIONS(16964), 1,
      anon_sym_in,
    ACTIONS(17258), 1,
      sym__newline,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676433] = 4,
    ACTIONS(16994), 1,
      anon_sym_in,
    ACTIONS(17260), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676447] = 4,
    ACTIONS(16924), 1,
      anon_sym_in,
    ACTIONS(17262), 1,
      sym__newline,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676461] = 4,
    ACTIONS(17248), 1,
      anon_sym_in,
    ACTIONS(17264), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676475] = 4,
    ACTIONS(16976), 1,
      anon_sym_in,
    ACTIONS(17266), 1,
      sym__newline,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676489] = 4,
    ACTIONS(17219), 1,
      anon_sym_in,
    ACTIONS(17268), 1,
      sym__newline,
    STATE(9480), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676503] = 4,
    ACTIONS(16938), 1,
      anon_sym_in,
    ACTIONS(17270), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676517] = 4,
    ACTIONS(17184), 1,
      anon_sym_in,
    ACTIONS(17272), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676531] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(13290), 3,
      anon_sym_DASH_GT,
      anon_sym_u2192,
      anon_sym_where,
  [676541] = 4,
    ACTIONS(17274), 1,
      anon_sym_in,
    ACTIONS(17276), 1,
      sym__newline,
    STATE(9415), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676555] = 4,
    ACTIONS(17278), 1,
      anon_sym_in,
    ACTIONS(17280), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676569] = 4,
    ACTIONS(17168), 1,
      anon_sym_in,
    ACTIONS(17282), 1,
      sym__newline,
    STATE(8927), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676583] = 4,
    ACTIONS(17219), 1,
      anon_sym_in,
    ACTIONS(17284), 1,
      sym__newline,
    STATE(9433), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676597] = 4,
    ACTIONS(17286), 1,
      anon_sym_in,
    ACTIONS(17288), 1,
      sym__newline,
    STATE(8927), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676611] = 4,
    ACTIONS(16916), 1,
      anon_sym_in,
    ACTIONS(17290), 1,
      sym__newline,
    STATE(8927), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676625] = 4,
    ACTIONS(17274), 1,
      anon_sym_in,
    ACTIONS(17292), 1,
      sym__newline,
    STATE(9433), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676639] = 3,
    STATE(11383), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17294), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
  [676651] = 4,
    ACTIONS(16900), 1,
      anon_sym_in,
    ACTIONS(17296), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676665] = 4,
    ACTIONS(16994), 1,
      anon_sym_in,
    ACTIONS(17298), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676679] = 4,
    ACTIONS(17019), 1,
      anon_sym_in,
    ACTIONS(17300), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676693] = 4,
    ACTIONS(16912), 1,
      anon_sym_in,
    ACTIONS(17302), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676707] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15842), 1,
      sym_id,
    STATE(9465), 2,
      sym__field_name,
      aux_sym__field_names,
  [676721] = 4,
    ACTIONS(17286), 1,
      anon_sym_in,
    ACTIONS(17304), 1,
      sym__newline,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676735] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(17306), 1,
      sym_id,
    ACTIONS(17308), 1,
      anon_sym_EQ,
    STATE(9545), 1,
      aux_sym__ids,
  [676751] = 4,
    ACTIONS(17132), 1,
      anon_sym_SEMI,
    ACTIONS(17310), 1,
      anon_sym_RPAREN,
    STATE(9625), 1,
      aux_sym_import_directive_repeat1,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676765] = 4,
    ACTIONS(17274), 1,
      anon_sym_in,
    ACTIONS(17312), 1,
      sym__newline,
    STATE(9480), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676779] = 4,
    ACTIONS(17314), 1,
      anon_sym_RPAREN,
    ACTIONS(17316), 1,
      anon_sym_SEMI,
    STATE(9662), 1,
      aux_sym_import_directive_repeat1,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676793] = 4,
    ACTIONS(17079), 1,
      anon_sym_in,
    ACTIONS(17319), 1,
      sym__newline,
    STATE(9433), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676807] = 3,
    ACTIONS(15089), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 2,
      anon_sym_COLON,
      anon_sym_u2984,
  [676819] = 4,
    ACTIONS(17063), 1,
      anon_sym_in,
    ACTIONS(17321), 1,
      sym__newline,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676833] = 4,
    ACTIONS(16908), 1,
      anon_sym_in,
    ACTIONS(17323), 1,
      sym__newline,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676847] = 3,
    ACTIONS(16839), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15517), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [676859] = 4,
    ACTIONS(17168), 1,
      anon_sym_in,
    ACTIONS(17325), 1,
      sym__newline,
    STATE(8936), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676873] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15877), 1,
      sym_id,
    STATE(9427), 2,
      sym__field_name,
      aux_sym__field_names,
  [676887] = 4,
    ACTIONS(17223), 1,
      anon_sym_in,
    ACTIONS(17327), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676901] = 3,
    ACTIONS(17329), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15562), 2,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [676913] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15978), 1,
      sym_id,
    STATE(9405), 2,
      sym__field_name,
      aux_sym__field_names,
  [676927] = 4,
    ACTIONS(17248), 1,
      anon_sym_in,
    ACTIONS(17331), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676941] = 4,
    ACTIONS(17162), 1,
      anon_sym_in,
    ACTIONS(17333), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676955] = 3,
    ACTIONS(15083), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 2,
      anon_sym_COLON,
      anon_sym_RBRACE_RBRACE,
  [676967] = 4,
    ACTIONS(17278), 1,
      anon_sym_in,
    ACTIONS(17335), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676981] = 4,
    ACTIONS(17162), 1,
      anon_sym_in,
    ACTIONS(17337), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [676995] = 4,
    ACTIONS(16920), 1,
      anon_sym_in,
    ACTIONS(17339), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677009] = 4,
    ACTIONS(17286), 1,
      anon_sym_in,
    ACTIONS(17341), 1,
      sym__newline,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677023] = 4,
    ACTIONS(16912), 1,
      anon_sym_in,
    ACTIONS(17343), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677037] = 3,
    ACTIONS(15580), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17345), 2,
      sym__newline,
      anon_sym_where,
  [677049] = 4,
    ACTIONS(17019), 1,
      anon_sym_in,
    ACTIONS(17347), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677063] = 3,
    STATE(11367), 1,
      sym__ARROW,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17349), 2,
      anon_sym_DASH_GT,
      anon_sym_u2192,
  [677075] = 4,
    ACTIONS(17223), 1,
      anon_sym_in,
    ACTIONS(17351), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677089] = 3,
    ACTIONS(15023), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE_RBRACE,
  [677101] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    STATE(9652), 1,
      sym_bid,
    ACTIONS(16954), 2,
      anon_sym__,
      sym_id,
  [677115] = 3,
    ACTIONS(15059), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(15593), 2,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [677127] = 4,
    ACTIONS(16916), 1,
      anon_sym_in,
    ACTIONS(17353), 1,
      sym__newline,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677141] = 4,
    ACTIONS(16946), 1,
      anon_sym_in,
    ACTIONS(17355), 1,
      sym__newline,
    STATE(8988), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677155] = 4,
    ACTIONS(17278), 1,
      anon_sym_in,
    ACTIONS(17357), 1,
      sym__newline,
    STATE(8989), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677169] = 4,
    ACTIONS(17029), 1,
      anon_sym_in,
    ACTIONS(17359), 1,
      sym__newline,
    STATE(8973), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677183] = 5,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(17361), 1,
      sym_id,
    ACTIONS(17363), 1,
      anon_sym_EQ,
    STATE(9600), 1,
      aux_sym__ids,
  [677199] = 4,
    ACTIONS(17365), 1,
      anon_sym_BSLASH,
    ACTIONS(17367), 1,
      anon_sym_u03bb,
    STATE(9585), 1,
      sym__LAMBDA,
    ACTIONS(5), 2,
      sym_pragma,
      sym_comment,
  [677213] = 4,
    ACTIONS(17124), 1,
      anon_sym_in,
    ACTIONS(17369), 1,
      sym__newline,
    STATE(8959), 1,
      sym__let_body,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677227] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(17371), 2,
      sym_id,
      aux_sym__qid_token1,
  [677238] = 3,
    ACTIONS(17373), 1,
      anon_sym_COLON,
    ACTIONS(17375), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677249] = 3,
    ACTIONS(17375), 1,
      anon_sym_u2984,
    ACTIONS(17377), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677260] = 3,
    ACTIONS(17375), 1,
      anon_sym_RBRACE,
    ACTIONS(17379), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677271] = 3,
    ACTIONS(17381), 1,
      anon_sym_COLON,
    ACTIONS(17383), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677282] = 3,
    ACTIONS(17383), 1,
      anon_sym_u2984,
    ACTIONS(17385), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677293] = 3,
    ACTIONS(17383), 1,
      anon_sym_RBRACE,
    ACTIONS(17387), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677304] = 3,
    ACTIONS(17389), 1,
      anon_sym_COLON,
    ACTIONS(17391), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677315] = 3,
    ACTIONS(17391), 1,
      anon_sym_u2984,
    ACTIONS(17393), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677326] = 3,
    ACTIONS(17391), 1,
      anon_sym_RBRACE,
    ACTIONS(17395), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677337] = 3,
    ACTIONS(17397), 1,
      anon_sym_COLON,
    ACTIONS(17399), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677348] = 3,
    ACTIONS(17399), 1,
      anon_sym_u2984,
    ACTIONS(17401), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677359] = 3,
    ACTIONS(17399), 1,
      anon_sym_RBRACE,
    ACTIONS(17403), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677370] = 3,
    ACTIONS(17405), 1,
      anon_sym_COLON,
    ACTIONS(17407), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677381] = 3,
    ACTIONS(17409), 1,
      anon_sym_COLON,
    ACTIONS(17411), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677392] = 3,
    ACTIONS(17411), 1,
      anon_sym_u2984,
    ACTIONS(17413), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677403] = 3,
    ACTIONS(17411), 1,
      anon_sym_RBRACE,
    ACTIONS(17415), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677414] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17417), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [677423] = 3,
    ACTIONS(17419), 1,
      aux_sym_integer_token1,
    STATE(9416), 1,
      sym_integer,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677434] = 3,
    ACTIONS(17421), 1,
      anon_sym_COLON,
    ACTIONS(17423), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677445] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17425), 2,
      sym__newline,
      anon_sym_in,
  [677454] = 3,
    ACTIONS(15091), 1,
      anon_sym_EQ,
    ACTIONS(15593), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677465] = 3,
    ACTIONS(17423), 1,
      anon_sym_u2984,
    ACTIONS(17427), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677476] = 3,
    ACTIONS(17429), 1,
      anon_sym_COLON,
    ACTIONS(17431), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677487] = 3,
    ACTIONS(17431), 1,
      anon_sym_u2984,
    ACTIONS(17433), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677498] = 3,
    ACTIONS(17431), 1,
      anon_sym_RBRACE,
    ACTIONS(17435), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677509] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17437), 2,
      sym__newline,
      anon_sym_in,
  [677518] = 3,
    ACTIONS(17423), 1,
      anon_sym_RBRACE,
    ACTIONS(17439), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677529] = 3,
    ACTIONS(17441), 1,
      anon_sym_COLON,
    ACTIONS(17443), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677540] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17445), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [677549] = 3,
    ACTIONS(17443), 1,
      anon_sym_u2984,
    ACTIONS(17447), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677560] = 3,
    ACTIONS(17443), 1,
      anon_sym_RBRACE,
    ACTIONS(17449), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677571] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17217), 2,
      sym__newline,
      anon_sym_where,
  [677580] = 3,
    ACTIONS(17451), 1,
      anon_sym_COLON,
    ACTIONS(17453), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677591] = 3,
    ACTIONS(17453), 1,
      anon_sym_u2984,
    ACTIONS(17455), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677602] = 3,
    ACTIONS(17453), 1,
      anon_sym_RBRACE,
    ACTIONS(17457), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677613] = 3,
    ACTIONS(17407), 1,
      anon_sym_u2984,
    ACTIONS(17459), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677624] = 3,
    ACTIONS(17461), 1,
      anon_sym_COLON,
    ACTIONS(17463), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677635] = 3,
    ACTIONS(17463), 1,
      anon_sym_u2984,
    ACTIONS(17465), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677646] = 3,
    ACTIONS(17463), 1,
      anon_sym_RBRACE,
    ACTIONS(17467), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677657] = 3,
    ACTIONS(17407), 1,
      anon_sym_RBRACE,
    ACTIONS(17469), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677668] = 3,
    ACTIONS(17471), 1,
      anon_sym_COLON,
    ACTIONS(17473), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677679] = 3,
    ACTIONS(17473), 1,
      anon_sym_u2984,
    ACTIONS(17475), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677690] = 3,
    ACTIONS(17473), 1,
      anon_sym_RBRACE,
    ACTIONS(17477), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677701] = 3,
    ACTIONS(17479), 1,
      anon_sym_COLON,
    ACTIONS(17481), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677712] = 3,
    ACTIONS(17481), 1,
      anon_sym_u2984,
    ACTIONS(17483), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677723] = 3,
    ACTIONS(17481), 1,
      anon_sym_RBRACE,
    ACTIONS(17485), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677734] = 3,
    ACTIONS(17487), 1,
      anon_sym_COLON,
    ACTIONS(17489), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677745] = 3,
    ACTIONS(17489), 1,
      anon_sym_u2984,
    ACTIONS(17491), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677756] = 3,
    ACTIONS(17489), 1,
      anon_sym_RBRACE,
    ACTIONS(17493), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677767] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17495), 2,
      sym__newline,
      anon_sym_in,
  [677776] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17497), 2,
      sym__newline,
      anon_sym_in,
  [677785] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(13171), 2,
      sym__newline,
      anon_sym_in,
  [677794] = 3,
    ACTIONS(17499), 1,
      anon_sym_COLON,
    ACTIONS(17501), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677805] = 3,
    ACTIONS(17503), 1,
      anon_sym_COLON,
    ACTIONS(17505), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677816] = 3,
    ACTIONS(17505), 1,
      anon_sym_u2984,
    ACTIONS(17507), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677827] = 3,
    ACTIONS(17505), 1,
      anon_sym_RBRACE,
    ACTIONS(17509), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677838] = 3,
    ACTIONS(17501), 1,
      anon_sym_u2984,
    ACTIONS(17511), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677849] = 3,
    ACTIONS(15033), 1,
      anon_sym_EQ,
    ACTIONS(15593), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677860] = 3,
    ACTIONS(17513), 1,
      anon_sym_COLON,
    ACTIONS(17515), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677871] = 3,
    ACTIONS(17515), 1,
      anon_sym_u2984,
    ACTIONS(17517), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677882] = 3,
    ACTIONS(17515), 1,
      anon_sym_RBRACE,
    ACTIONS(17519), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677893] = 3,
    ACTIONS(17501), 1,
      anon_sym_RBRACE,
    ACTIONS(17521), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677904] = 3,
    ACTIONS(17523), 1,
      anon_sym_SEMI,
    ACTIONS(17525), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677915] = 3,
    ACTIONS(17527), 1,
      anon_sym_COLON,
    ACTIONS(17529), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677926] = 3,
    ACTIONS(15087), 1,
      anon_sym_EQ,
    ACTIONS(15593), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677937] = 3,
    ACTIONS(17529), 1,
      anon_sym_u2984,
    ACTIONS(17531), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677948] = 3,
    ACTIONS(17529), 1,
      anon_sym_RBRACE,
    ACTIONS(17533), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677959] = 3,
    ACTIONS(17535), 1,
      anon_sym_COLON,
    ACTIONS(17537), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677970] = 3,
    ACTIONS(17537), 1,
      anon_sym_RBRACE,
    ACTIONS(17539), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677981] = 3,
    ACTIONS(17541), 1,
      anon_sym_SEMI,
    ACTIONS(17543), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [677992] = 3,
    ACTIONS(15085), 1,
      anon_sym_EQ,
    ACTIONS(15593), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678003] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17545), 2,
      sym__newline,
      anon_sym_where,
  [678012] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16247), 2,
      anon_sym_COLON,
      sym_id,
  [678023] = 3,
    ACTIONS(17547), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678034] = 3,
    ACTIONS(17549), 1,
      anon_sym_u2984,
    ACTIONS(17551), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678045] = 3,
    ACTIONS(17549), 1,
      anon_sym_RBRACE,
    ACTIONS(17553), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678056] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17555), 2,
      sym__newline,
      anon_sym_where,
  [678065] = 3,
    ACTIONS(17557), 1,
      anon_sym_COLON,
    ACTIONS(17559), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678076] = 3,
    ACTIONS(17559), 1,
      anon_sym_u2984,
    ACTIONS(17561), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678087] = 3,
    ACTIONS(16778), 1,
      sym__indent,
    STATE(12189), 1,
      sym__signature_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678098] = 3,
    ACTIONS(17559), 1,
      anon_sym_RBRACE,
    ACTIONS(17563), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678109] = 3,
    ACTIONS(17565), 1,
      anon_sym_COLON,
    ACTIONS(17567), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678120] = 3,
    ACTIONS(17567), 1,
      anon_sym_u2984,
    ACTIONS(17569), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678131] = 3,
    ACTIONS(17567), 1,
      anon_sym_RBRACE,
    ACTIONS(17571), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678142] = 3,
    ACTIONS(15077), 1,
      anon_sym_EQ,
    ACTIONS(15593), 1,
      anon_sym_where,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678153] = 3,
    ACTIONS(17573), 1,
      anon_sym_COLON,
    ACTIONS(17575), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678164] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17577), 2,
      sym__newline,
      anon_sym_in,
  [678173] = 3,
    ACTIONS(17575), 1,
      anon_sym_u2984,
    ACTIONS(17579), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678184] = 3,
    ACTIONS(17575), 1,
      anon_sym_RBRACE,
    ACTIONS(17581), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678195] = 3,
    ACTIONS(17583), 1,
      anon_sym_COLON,
    ACTIONS(17585), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678206] = 3,
    ACTIONS(17585), 1,
      anon_sym_u2984,
    ACTIONS(17587), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678217] = 3,
    ACTIONS(17585), 1,
      anon_sym_RBRACE,
    ACTIONS(17589), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678228] = 3,
    ACTIONS(17591), 1,
      anon_sym_COLON,
    ACTIONS(17593), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678239] = 3,
    ACTIONS(17595), 1,
      anon_sym_COLON,
    ACTIONS(17597), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678250] = 3,
    ACTIONS(17597), 1,
      anon_sym_u2984,
    ACTIONS(17599), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678261] = 3,
    ACTIONS(17597), 1,
      anon_sym_RBRACE,
    ACTIONS(17601), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678272] = 3,
    ACTIONS(17593), 1,
      anon_sym_u2984,
    ACTIONS(17603), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678283] = 3,
    ACTIONS(17593), 1,
      anon_sym_RBRACE,
    ACTIONS(17605), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678294] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17607), 2,
      sym__newline,
      anon_sym_in,
  [678303] = 3,
    ACTIONS(17609), 1,
      anon_sym_COLON,
    ACTIONS(17611), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678314] = 3,
    ACTIONS(17611), 1,
      anon_sym_u2984,
    ACTIONS(17613), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678325] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17615), 2,
      sym__newline,
      anon_sym_in,
  [678334] = 3,
    ACTIONS(17611), 1,
      anon_sym_RBRACE,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678345] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16856), 2,
      anon_sym_COLON,
      anon_sym_RBRACE,
  [678354] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17619), 2,
      sym__newline,
      anon_sym_where,
  [678363] = 3,
    ACTIONS(17621), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678374] = 3,
    ACTIONS(17623), 1,
      anon_sym_u2984,
    ACTIONS(17625), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678385] = 3,
    ACTIONS(17623), 1,
      anon_sym_RBRACE,
    ACTIONS(17627), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678396] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(17629), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678407] = 3,
    ACTIONS(17631), 1,
      anon_sym_COLON,
    ACTIONS(17633), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678418] = 3,
    ACTIONS(17633), 1,
      anon_sym_u2984,
    ACTIONS(17635), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678429] = 3,
    ACTIONS(17637), 1,
      anon_sym_COLON,
    ACTIONS(17639), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678440] = 3,
    ACTIONS(17639), 1,
      anon_sym_u2984,
    ACTIONS(17641), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678451] = 3,
    ACTIONS(17639), 1,
      anon_sym_RBRACE,
    ACTIONS(17643), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678462] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17645), 2,
      sym__newline,
      anon_sym_in,
  [678471] = 3,
    ACTIONS(17647), 1,
      anon_sym_COLON,
    ACTIONS(17649), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678482] = 3,
    ACTIONS(17649), 1,
      anon_sym_u2984,
    ACTIONS(17651), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678493] = 3,
    ACTIONS(17649), 1,
      anon_sym_RBRACE,
    ACTIONS(17653), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678504] = 3,
    ACTIONS(17633), 1,
      anon_sym_RBRACE,
    ACTIONS(17655), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678515] = 3,
    ACTIONS(17657), 1,
      anon_sym_EQ,
    ACTIONS(17659), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678526] = 3,
    ACTIONS(17661), 1,
      anon_sym_COLON,
    ACTIONS(17663), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678537] = 3,
    ACTIONS(17663), 1,
      anon_sym_u2984,
    ACTIONS(17665), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678548] = 3,
    ACTIONS(17663), 1,
      anon_sym_RBRACE,
    ACTIONS(17667), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678559] = 3,
    ACTIONS(15039), 1,
      anon_sym_EQ,
    ACTIONS(15593), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678570] = 3,
    ACTIONS(17669), 1,
      anon_sym_COLON,
    ACTIONS(17671), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678581] = 3,
    ACTIONS(17671), 1,
      anon_sym_u2984,
    ACTIONS(17673), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678592] = 3,
    ACTIONS(17671), 1,
      anon_sym_RBRACE,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678603] = 3,
    ACTIONS(17677), 1,
      anon_sym_COLON,
    ACTIONS(17679), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678614] = 3,
    ACTIONS(17681), 1,
      anon_sym_COLON,
    ACTIONS(17683), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678625] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16881), 2,
      sym__newline,
      anon_sym_in,
  [678634] = 3,
    ACTIONS(17679), 1,
      anon_sym_u2984,
    ACTIONS(17685), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678645] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      anon_sym_COLON,
      anon_sym_RBRACE,
  [678654] = 3,
    ACTIONS(17683), 1,
      anon_sym_u2984,
    ACTIONS(17687), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678665] = 3,
    ACTIONS(17689), 1,
      anon_sym_COLON,
    ACTIONS(17691), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678676] = 3,
    ACTIONS(17691), 1,
      anon_sym_u2984,
    ACTIONS(17693), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678687] = 3,
    ACTIONS(17691), 1,
      anon_sym_RBRACE,
    ACTIONS(17695), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678698] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(17697), 2,
      anon_sym__,
      sym_id,
  [678709] = 3,
    ACTIONS(17659), 1,
      anon_sym_u2984,
    ACTIONS(17699), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678720] = 3,
    ACTIONS(17679), 1,
      anon_sym_RBRACE,
    ACTIONS(17701), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678731] = 3,
    ACTIONS(17683), 1,
      anon_sym_RBRACE,
    ACTIONS(17703), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678742] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(16320), 1,
      sym__dedent,
    ACTIONS(17705), 1,
      sym_id,
  [678755] = 3,
    ACTIONS(17659), 1,
      anon_sym_RBRACE,
    ACTIONS(17707), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678766] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17709), 2,
      sym__newline,
      anon_sym_in,
  [678775] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17711), 2,
      sym__newline,
      anon_sym_in,
  [678784] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(17713), 1,
      sym_id,
    STATE(9539), 1,
      aux_sym_syntax_repeat1,
  [678797] = 3,
    ACTIONS(17715), 1,
      anon_sym_COLON,
    ACTIONS(17717), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678808] = 3,
    ACTIONS(17719), 1,
      anon_sym_COLON,
    ACTIONS(17721), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678819] = 3,
    ACTIONS(17721), 1,
      anon_sym_u2984,
    ACTIONS(17723), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678830] = 3,
    ACTIONS(17721), 1,
      anon_sym_RBRACE,
    ACTIONS(17725), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678841] = 3,
    ACTIONS(17717), 1,
      anon_sym_u2984,
    ACTIONS(17727), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678852] = 3,
    ACTIONS(17717), 1,
      anon_sym_RBRACE,
    ACTIONS(17729), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678863] = 3,
    ACTIONS(17731), 1,
      anon_sym_COLON,
    ACTIONS(17733), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678874] = 3,
    ACTIONS(17735), 1,
      anon_sym_COLON,
    ACTIONS(17737), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678885] = 3,
    ACTIONS(17737), 1,
      anon_sym_u2984,
    ACTIONS(17739), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678896] = 3,
    ACTIONS(17737), 1,
      anon_sym_RBRACE,
    ACTIONS(17741), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678907] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17743), 2,
      sym__newline,
      anon_sym_in,
  [678916] = 3,
    ACTIONS(17733), 1,
      anon_sym_u2984,
    ACTIONS(17745), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678927] = 3,
    ACTIONS(17733), 1,
      anon_sym_RBRACE,
    ACTIONS(17747), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678938] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17749), 2,
      sym__newline,
      anon_sym_in,
  [678947] = 3,
    ACTIONS(17751), 1,
      anon_sym_COLON,
    ACTIONS(17753), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678958] = 3,
    ACTIONS(17753), 1,
      anon_sym_u2984,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678969] = 3,
    ACTIONS(17753), 1,
      anon_sym_RBRACE,
    ACTIONS(17757), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [678980] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17759), 2,
      sym__newline,
      anon_sym_in,
  [678989] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17761), 2,
      sym__newline,
      anon_sym_in,
  [678998] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15877), 1,
      sym_id,
    STATE(9463), 1,
      sym__field_name,
  [679011] = 3,
    ACTIONS(17763), 1,
      anon_sym_COLON,
    ACTIONS(17765), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679022] = 3,
    ACTIONS(17765), 1,
      anon_sym_u2984,
    ACTIONS(17767), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679033] = 3,
    ACTIONS(17765), 1,
      anon_sym_RBRACE,
    ACTIONS(17769), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679044] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17771), 2,
      sym__newline,
      anon_sym_in,
  [679053] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(17773), 1,
      sym_id,
    STATE(9429), 1,
      aux_sym_syntax_repeat1,
  [679066] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17775), 2,
      sym__newline,
      anon_sym_in,
  [679075] = 3,
    ACTIONS(17777), 1,
      anon_sym_COLON,
    ACTIONS(17779), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679086] = 3,
    ACTIONS(17779), 1,
      anon_sym_u2984,
    ACTIONS(17781), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679097] = 3,
    ACTIONS(17779), 1,
      anon_sym_RBRACE,
    ACTIONS(17783), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679108] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17785), 2,
      sym__newline,
      anon_sym_in,
  [679117] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17787), 2,
      sym__newline,
      anon_sym_in,
  [679126] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(17789), 1,
      sym_id,
    STATE(8105), 1,
      sym_data_name,
  [679139] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17791), 2,
      sym__newline,
      anon_sym_in,
  [679148] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17793), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [679157] = 3,
    ACTIONS(17795), 1,
      anon_sym_COLON,
    ACTIONS(17797), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679168] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(13179), 2,
      sym__newline,
      anon_sym_in,
  [679177] = 3,
    ACTIONS(17797), 1,
      anon_sym_u2984,
    ACTIONS(17799), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679188] = 3,
    ACTIONS(17797), 1,
      anon_sym_RBRACE,
    ACTIONS(17801), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679199] = 3,
    ACTIONS(17803), 1,
      anon_sym_COLON,
    ACTIONS(17805), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679210] = 3,
    ACTIONS(17805), 1,
      anon_sym_u2984,
    ACTIONS(17807), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679221] = 3,
    ACTIONS(17805), 1,
      anon_sym_RBRACE,
    ACTIONS(17809), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679232] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(17789), 1,
      sym_id,
    STATE(8108), 1,
      sym_data_name,
  [679245] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15978), 1,
      sym_id,
    STATE(9444), 1,
      sym__field_name,
  [679258] = 3,
    ACTIONS(17811), 1,
      anon_sym_COLON,
    ACTIONS(17813), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679269] = 3,
    ACTIONS(17815), 1,
      anon_sym_COLON,
    ACTIONS(17817), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679280] = 3,
    ACTIONS(17817), 1,
      anon_sym_u2984,
    ACTIONS(17819), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679291] = 3,
    ACTIONS(17817), 1,
      anon_sym_RBRACE,
    ACTIONS(17821), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679302] = 3,
    ACTIONS(17813), 1,
      anon_sym_u2984,
    ACTIONS(17823), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679313] = 3,
    ACTIONS(17813), 1,
      anon_sym_RBRACE,
    ACTIONS(17825), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679324] = 3,
    ACTIONS(17827), 1,
      anon_sym_COLON,
    ACTIONS(17829), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679335] = 3,
    ACTIONS(17829), 1,
      anon_sym_u2984,
    ACTIONS(17831), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679346] = 3,
    ACTIONS(17829), 1,
      anon_sym_RBRACE,
    ACTIONS(17833), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679357] = 3,
    ACTIONS(17541), 1,
      anon_sym_SEMI,
    ACTIONS(17835), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679368] = 3,
    ACTIONS(17837), 1,
      anon_sym_COLON,
    ACTIONS(17839), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679379] = 3,
    ACTIONS(17839), 1,
      anon_sym_u2984,
    ACTIONS(17841), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679390] = 3,
    ACTIONS(17839), 1,
      anon_sym_RBRACE,
    ACTIONS(17843), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679401] = 3,
    ACTIONS(17845), 1,
      anon_sym_COLON,
    ACTIONS(17847), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679412] = 3,
    ACTIONS(17849), 1,
      anon_sym_COLON,
    ACTIONS(17851), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679423] = 3,
    ACTIONS(17851), 1,
      anon_sym_u2984,
    ACTIONS(17853), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679434] = 3,
    ACTIONS(17851), 1,
      anon_sym_RBRACE,
    ACTIONS(17855), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679445] = 3,
    ACTIONS(17847), 1,
      anon_sym_u2984,
    ACTIONS(17857), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679456] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(6281), 2,
      sym__newline,
      anon_sym_in,
  [679465] = 3,
    ACTIONS(17847), 1,
      anon_sym_RBRACE,
    ACTIONS(17859), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679476] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17861), 2,
      sym__newline,
      anon_sym_in,
  [679485] = 3,
    ACTIONS(17863), 1,
      anon_sym_COLON,
    ACTIONS(17865), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679496] = 3,
    ACTIONS(17867), 1,
      anon_sym_COLON,
    ACTIONS(17869), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679507] = 3,
    ACTIONS(17869), 1,
      anon_sym_u2984,
    ACTIONS(17871), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679518] = 3,
    ACTIONS(17869), 1,
      anon_sym_RBRACE,
    ACTIONS(17873), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679529] = 3,
    ACTIONS(17875), 1,
      anon_sym_COLON,
    ACTIONS(17877), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679540] = 3,
    ACTIONS(17877), 1,
      anon_sym_u2984,
    ACTIONS(17879), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679551] = 3,
    ACTIONS(17881), 1,
      anon_sym_COLON,
    ACTIONS(17883), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679562] = 3,
    ACTIONS(17883), 1,
      anon_sym_u2984,
    ACTIONS(17885), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679573] = 3,
    ACTIONS(17877), 1,
      anon_sym_RBRACE,
    ACTIONS(17887), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679584] = 3,
    ACTIONS(17883), 1,
      anon_sym_RBRACE,
    ACTIONS(17889), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679595] = 3,
    ACTIONS(17865), 1,
      anon_sym_u2984,
    ACTIONS(17891), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679606] = 3,
    ACTIONS(17865), 1,
      anon_sym_RBRACE,
    ACTIONS(17893), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679617] = 3,
    ACTIONS(17895), 1,
      anon_sym_COLON,
    ACTIONS(17897), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679628] = 3,
    ACTIONS(17897), 1,
      anon_sym_u2984,
    ACTIONS(17899), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679639] = 3,
    ACTIONS(17897), 1,
      anon_sym_RBRACE,
    ACTIONS(17901), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679650] = 3,
    ACTIONS(17903), 1,
      anon_sym_COLON,
    ACTIONS(17905), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679661] = 3,
    ACTIONS(17905), 1,
      anon_sym_u2984,
    ACTIONS(17907), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679672] = 3,
    ACTIONS(17905), 1,
      anon_sym_RBRACE,
    ACTIONS(17909), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679683] = 3,
    ACTIONS(17911), 1,
      anon_sym_COLON,
    ACTIONS(17913), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679694] = 3,
    ACTIONS(17913), 1,
      anon_sym_u2984,
    ACTIONS(17915), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679705] = 3,
    ACTIONS(17913), 1,
      anon_sym_RBRACE,
    ACTIONS(17917), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679716] = 3,
    ACTIONS(17919), 1,
      anon_sym_COLON,
    ACTIONS(17921), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679727] = 3,
    ACTIONS(17921), 1,
      anon_sym_u2984,
    ACTIONS(17923), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679738] = 3,
    ACTIONS(17921), 1,
      anon_sym_RBRACE,
    ACTIONS(17925), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679749] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(17361), 1,
      sym_id,
    STATE(9600), 1,
      aux_sym__ids,
  [679762] = 3,
    ACTIONS(17927), 1,
      anon_sym_COLON,
    ACTIONS(17929), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679773] = 3,
    ACTIONS(17929), 1,
      anon_sym_u2984,
    ACTIONS(17931), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679784] = 3,
    ACTIONS(17929), 1,
      anon_sym_RBRACE,
    ACTIONS(17933), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679795] = 3,
    ACTIONS(17935), 1,
      anon_sym_COLON,
    ACTIONS(17937), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679806] = 3,
    ACTIONS(17937), 1,
      anon_sym_u2984,
    ACTIONS(17939), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679817] = 3,
    ACTIONS(17937), 1,
      anon_sym_RBRACE,
    ACTIONS(17941), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679828] = 3,
    ACTIONS(17943), 1,
      anon_sym_COLON,
    ACTIONS(17945), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679839] = 3,
    ACTIONS(17945), 1,
      anon_sym_u2984,
    ACTIONS(17947), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679850] = 3,
    ACTIONS(17945), 1,
      anon_sym_RBRACE,
    ACTIONS(17949), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679861] = 3,
    ACTIONS(17951), 1,
      anon_sym_COLON,
    ACTIONS(17953), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679872] = 3,
    ACTIONS(17955), 1,
      anon_sym_COLON,
    ACTIONS(17957), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679883] = 3,
    ACTIONS(17957), 1,
      anon_sym_u2984,
    ACTIONS(17959), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679894] = 3,
    ACTIONS(17957), 1,
      anon_sym_RBRACE,
    ACTIONS(17961), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679905] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17963), 2,
      sym__newline,
      anon_sym_in,
  [679914] = 3,
    ACTIONS(17965), 1,
      anon_sym_COLON,
    ACTIONS(17967), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679925] = 3,
    ACTIONS(17967), 1,
      anon_sym_u2984,
    ACTIONS(17969), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679936] = 3,
    ACTIONS(17967), 1,
      anon_sym_RBRACE,
    ACTIONS(17971), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679947] = 3,
    ACTIONS(17953), 1,
      anon_sym_u2984,
    ACTIONS(17973), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679958] = 3,
    ACTIONS(17953), 1,
      anon_sym_RBRACE,
    ACTIONS(17975), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679969] = 3,
    ACTIONS(17977), 1,
      anon_sym_COLON,
    ACTIONS(17979), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679980] = 3,
    ACTIONS(17979), 1,
      anon_sym_u2984,
    ACTIONS(17981), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [679991] = 3,
    ACTIONS(17979), 1,
      anon_sym_RBRACE,
    ACTIONS(17983), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680002] = 3,
    ACTIONS(14971), 1,
      anon_sym_EQ,
    ACTIONS(15593), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680013] = 3,
    ACTIONS(17523), 1,
      anon_sym_SEMI,
    ACTIONS(17985), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680024] = 3,
    ACTIONS(17987), 1,
      anon_sym_COLON,
    ACTIONS(17989), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680035] = 3,
    ACTIONS(17989), 1,
      anon_sym_u2984,
    ACTIONS(17991), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680046] = 3,
    ACTIONS(17989), 1,
      anon_sym_RBRACE,
    ACTIONS(17993), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680057] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17995), 2,
      sym__newline,
      anon_sym_where,
  [680066] = 3,
    ACTIONS(17997), 1,
      anon_sym_COLON,
    ACTIONS(17999), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680077] = 3,
    ACTIONS(17999), 1,
      anon_sym_u2984,
    ACTIONS(18001), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680088] = 3,
    ACTIONS(17999), 1,
      anon_sym_RBRACE,
    ACTIONS(18003), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680099] = 3,
    ACTIONS(18005), 1,
      anon_sym_COLON,
    ACTIONS(18007), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680110] = 3,
    ACTIONS(18007), 1,
      anon_sym_u2984,
    ACTIONS(18009), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680121] = 3,
    ACTIONS(18007), 1,
      anon_sym_RBRACE,
    ACTIONS(18011), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680132] = 3,
    ACTIONS(18013), 1,
      anon_sym_COLON,
    ACTIONS(18015), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680143] = 3,
    ACTIONS(18015), 1,
      anon_sym_u2984,
    ACTIONS(18017), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680154] = 3,
    ACTIONS(18015), 1,
      anon_sym_RBRACE,
    ACTIONS(18019), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680165] = 3,
    ACTIONS(17419), 1,
      aux_sym_integer_token1,
    STATE(9470), 1,
      sym_integer,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680176] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18021), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680187] = 3,
    ACTIONS(18023), 1,
      anon_sym_COLON,
    ACTIONS(18025), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680198] = 3,
    ACTIONS(18027), 1,
      anon_sym_COLON,
    ACTIONS(18029), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680209] = 3,
    ACTIONS(18029), 1,
      anon_sym_u2984,
    ACTIONS(18031), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680220] = 3,
    ACTIONS(18033), 1,
      anon_sym_COLON,
    ACTIONS(18035), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680231] = 3,
    ACTIONS(18035), 1,
      anon_sym_u2984,
    ACTIONS(18037), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680242] = 3,
    ACTIONS(18035), 1,
      anon_sym_RBRACE,
    ACTIONS(18039), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680253] = 3,
    ACTIONS(18029), 1,
      anon_sym_RBRACE,
    ACTIONS(18041), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680264] = 3,
    ACTIONS(18025), 1,
      anon_sym_u2984,
    ACTIONS(18043), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680275] = 3,
    ACTIONS(18045), 1,
      anon_sym_COLON,
    ACTIONS(18047), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680286] = 3,
    ACTIONS(18047), 1,
      anon_sym_u2984,
    ACTIONS(18049), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680297] = 3,
    ACTIONS(18047), 1,
      anon_sym_RBRACE,
    ACTIONS(18051), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680308] = 3,
    ACTIONS(18025), 1,
      anon_sym_RBRACE,
    ACTIONS(18053), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680319] = 3,
    ACTIONS(18055), 1,
      anon_sym_COLON,
    ACTIONS(18057), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680330] = 3,
    ACTIONS(18057), 1,
      anon_sym_u2984,
    ACTIONS(18059), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680341] = 3,
    ACTIONS(18057), 1,
      anon_sym_RBRACE,
    ACTIONS(18061), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680352] = 3,
    ACTIONS(18063), 1,
      anon_sym_COLON,
    ACTIONS(18065), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680363] = 3,
    ACTIONS(18067), 1,
      anon_sym_COLON,
    ACTIONS(18069), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680374] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(18071), 2,
      sym__newline,
      anon_sym_in,
  [680383] = 3,
    ACTIONS(18069), 1,
      anon_sym_u2984,
    ACTIONS(18073), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680394] = 3,
    ACTIONS(18069), 1,
      anon_sym_RBRACE,
    ACTIONS(18075), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680405] = 3,
    ACTIONS(18077), 1,
      anon_sym_COLON,
    ACTIONS(18079), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680416] = 3,
    ACTIONS(18079), 1,
      anon_sym_u2984,
    ACTIONS(18081), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680427] = 3,
    ACTIONS(18065), 1,
      anon_sym_u2984,
    ACTIONS(18083), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680438] = 3,
    ACTIONS(18079), 1,
      anon_sym_RBRACE,
    ACTIONS(18085), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680449] = 3,
    ACTIONS(18065), 1,
      anon_sym_RBRACE,
    ACTIONS(18087), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680460] = 3,
    ACTIONS(18089), 1,
      anon_sym_COLON,
    ACTIONS(18091), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680471] = 3,
    ACTIONS(18091), 1,
      anon_sym_u2984,
    ACTIONS(18093), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680482] = 3,
    ACTIONS(18091), 1,
      anon_sym_RBRACE,
    ACTIONS(18095), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680493] = 3,
    ACTIONS(18097), 1,
      anon_sym_COLON,
    ACTIONS(18099), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680504] = 3,
    ACTIONS(18099), 1,
      anon_sym_u2984,
    ACTIONS(18101), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680515] = 3,
    ACTIONS(18103), 1,
      anon_sym_COLON,
    ACTIONS(18105), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680526] = 3,
    ACTIONS(18107), 1,
      anon_sym_COLON,
    ACTIONS(18109), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680537] = 3,
    ACTIONS(18109), 1,
      anon_sym_u2984,
    ACTIONS(18111), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680548] = 3,
    ACTIONS(18109), 1,
      anon_sym_RBRACE,
    ACTIONS(18113), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680559] = 3,
    ACTIONS(18115), 1,
      anon_sym_COLON,
    ACTIONS(18117), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680570] = 3,
    ACTIONS(18117), 1,
      anon_sym_u2984,
    ACTIONS(18119), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680581] = 3,
    ACTIONS(18117), 1,
      anon_sym_RBRACE,
    ACTIONS(18121), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680592] = 3,
    ACTIONS(18123), 1,
      anon_sym_COLON,
    ACTIONS(18125), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680603] = 3,
    ACTIONS(18125), 1,
      anon_sym_u2984,
    ACTIONS(18127), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680614] = 3,
    ACTIONS(18125), 1,
      anon_sym_RBRACE,
    ACTIONS(18129), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680625] = 3,
    ACTIONS(18131), 1,
      anon_sym_COLON,
    ACTIONS(18133), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680636] = 3,
    ACTIONS(18133), 1,
      anon_sym_u2984,
    ACTIONS(18135), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680647] = 3,
    ACTIONS(18133), 1,
      anon_sym_RBRACE,
    ACTIONS(18137), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680658] = 3,
    ACTIONS(18139), 1,
      anon_sym_COLON,
    ACTIONS(18141), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680669] = 3,
    ACTIONS(18141), 1,
      anon_sym_u2984,
    ACTIONS(18143), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680680] = 3,
    ACTIONS(18141), 1,
      anon_sym_RBRACE,
    ACTIONS(18145), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680691] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17114), 2,
      sym__newline,
      anon_sym_where,
  [680700] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(18147), 2,
      sym__newline,
      anon_sym_where,
  [680709] = 3,
    ACTIONS(18149), 1,
      anon_sym_COLON,
    ACTIONS(18151), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680720] = 3,
    ACTIONS(18151), 1,
      anon_sym_u2984,
    ACTIONS(18153), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680731] = 3,
    ACTIONS(18151), 1,
      anon_sym_RBRACE,
    ACTIONS(18155), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680742] = 3,
    ACTIONS(18157), 1,
      anon_sym_COLON,
    ACTIONS(18159), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680753] = 3,
    ACTIONS(18159), 1,
      anon_sym_u2984,
    ACTIONS(18161), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680764] = 3,
    ACTIONS(18159), 1,
      anon_sym_RBRACE,
    ACTIONS(18163), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680775] = 3,
    ACTIONS(6279), 1,
      anon_sym_LBRACE,
    ACTIONS(18165), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680786] = 3,
    ACTIONS(18167), 1,
      anon_sym_COLON,
    ACTIONS(18169), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680797] = 3,
    ACTIONS(18171), 1,
      anon_sym_COLON,
    ACTIONS(18173), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680808] = 3,
    ACTIONS(18169), 1,
      anon_sym_u2984,
    ACTIONS(18175), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680819] = 3,
    ACTIONS(18169), 1,
      anon_sym_RBRACE,
    ACTIONS(18177), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680830] = 3,
    ACTIONS(18173), 1,
      anon_sym_u2984,
    ACTIONS(18179), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680841] = 3,
    ACTIONS(18173), 1,
      anon_sym_RBRACE,
    ACTIONS(18181), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680852] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(18183), 2,
      sym__newline,
      anon_sym_in,
  [680861] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16397), 2,
      sym__newline,
      anon_sym_in,
  [680870] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(18185), 2,
      sym__newline,
      anon_sym_in,
  [680879] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(18187), 2,
      sym__newline,
      anon_sym_in,
  [680888] = 3,
    ACTIONS(18189), 1,
      anon_sym_COLON,
    ACTIONS(18191), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680899] = 3,
    ACTIONS(18191), 1,
      anon_sym_u2984,
    ACTIONS(18193), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680910] = 3,
    ACTIONS(18191), 1,
      anon_sym_RBRACE,
    ACTIONS(18195), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680921] = 3,
    ACTIONS(18197), 1,
      anon_sym_COLON,
    ACTIONS(18199), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680932] = 3,
    ACTIONS(18199), 1,
      anon_sym_u2984,
    ACTIONS(18201), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680943] = 3,
    ACTIONS(18199), 1,
      anon_sym_RBRACE,
    ACTIONS(18203), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680954] = 3,
    ACTIONS(18205), 1,
      anon_sym_COLON,
    ACTIONS(18207), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680965] = 3,
    ACTIONS(18207), 1,
      anon_sym_u2984,
    ACTIONS(18209), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680976] = 3,
    ACTIONS(18207), 1,
      anon_sym_RBRACE,
    ACTIONS(18211), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680987] = 3,
    ACTIONS(16778), 1,
      sym__indent,
    STATE(9745), 1,
      sym__signature_block,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [680998] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17008), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [681007] = 3,
    ACTIONS(18213), 1,
      anon_sym_COLON,
    ACTIONS(18215), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681018] = 3,
    ACTIONS(18215), 1,
      anon_sym_u2984,
    ACTIONS(18217), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681029] = 3,
    ACTIONS(18215), 1,
      anon_sym_RBRACE,
    ACTIONS(18219), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681040] = 3,
    ACTIONS(18221), 1,
      anon_sym_COLON,
    ACTIONS(18223), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681051] = 3,
    ACTIONS(18223), 1,
      anon_sym_u2984,
    ACTIONS(18225), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681062] = 3,
    ACTIONS(18223), 1,
      anon_sym_RBRACE,
    ACTIONS(18227), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681073] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(18229), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [681082] = 3,
    ACTIONS(18231), 1,
      anon_sym_COLON,
    ACTIONS(18233), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681093] = 3,
    ACTIONS(18233), 1,
      anon_sym_u2984,
    ACTIONS(18235), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681104] = 3,
    ACTIONS(18233), 1,
      anon_sym_RBRACE,
    ACTIONS(18237), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681115] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17314), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [681124] = 3,
    ACTIONS(18239), 1,
      anon_sym_COLON,
    ACTIONS(18241), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681135] = 3,
    ACTIONS(18241), 1,
      anon_sym_u2984,
    ACTIONS(18243), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681146] = 3,
    ACTIONS(18241), 1,
      anon_sym_RBRACE,
    ACTIONS(18245), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681157] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(15842), 1,
      sym_id,
    STATE(9449), 1,
      sym__field_name,
  [681170] = 3,
    ACTIONS(18247), 1,
      anon_sym_COLON,
    ACTIONS(18249), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681181] = 3,
    ACTIONS(18249), 1,
      anon_sym_u2984,
    ACTIONS(18251), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681192] = 3,
    ACTIONS(18249), 1,
      anon_sym_RBRACE,
    ACTIONS(18253), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681203] = 3,
    ACTIONS(18255), 1,
      anon_sym_COLON,
    ACTIONS(18257), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681214] = 3,
    ACTIONS(18257), 1,
      anon_sym_u2984,
    ACTIONS(18259), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681225] = 3,
    ACTIONS(18257), 1,
      anon_sym_RBRACE,
    ACTIONS(18261), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681236] = 3,
    ACTIONS(18263), 1,
      anon_sym_COLON,
    ACTIONS(18265), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681247] = 3,
    ACTIONS(18265), 1,
      anon_sym_u2984,
    ACTIONS(18267), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681258] = 3,
    ACTIONS(18265), 1,
      anon_sym_RBRACE,
    ACTIONS(18269), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681269] = 3,
    ACTIONS(18271), 1,
      anon_sym_COLON,
    ACTIONS(18273), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681280] = 3,
    ACTIONS(18273), 1,
      anon_sym_u2984,
    ACTIONS(18275), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681291] = 3,
    ACTIONS(18273), 1,
      anon_sym_RBRACE,
    ACTIONS(18277), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681302] = 3,
    ACTIONS(17537), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(18279), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681313] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(17789), 1,
      sym_id,
    STATE(8034), 1,
      sym_data_name,
  [681326] = 4,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(17306), 1,
      sym_id,
    STATE(9545), 1,
      aux_sym__ids,
  [681339] = 3,
    ACTIONS(18281), 1,
      anon_sym_COLON,
    ACTIONS(18283), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681350] = 3,
    ACTIONS(18283), 1,
      anon_sym_u2984,
    ACTIONS(18285), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681361] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18287), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681372] = 3,
    ACTIONS(18283), 1,
      anon_sym_RBRACE,
    ACTIONS(18289), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681383] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18291), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681394] = 3,
    ACTIONS(18293), 1,
      anon_sym_COLON,
    ACTIONS(18295), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681405] = 3,
    ACTIONS(18295), 1,
      anon_sym_u2984,
    ACTIONS(18297), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681416] = 3,
    ACTIONS(18295), 1,
      anon_sym_RBRACE,
    ACTIONS(18299), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681427] = 3,
    ACTIONS(18301), 1,
      anon_sym_COLON,
    ACTIONS(18303), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681438] = 3,
    ACTIONS(18303), 1,
      anon_sym_u2984,
    ACTIONS(18305), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681449] = 3,
    ACTIONS(18303), 1,
      anon_sym_RBRACE,
    ACTIONS(18307), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681460] = 3,
    ACTIONS(18309), 1,
      anon_sym_COLON,
    ACTIONS(18311), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681471] = 3,
    ACTIONS(18311), 1,
      anon_sym_u2984,
    ACTIONS(18313), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681482] = 3,
    ACTIONS(18311), 1,
      anon_sym_RBRACE,
    ACTIONS(18315), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681493] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18317), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681504] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18319), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681515] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(18321), 2,
      sym__newline,
      anon_sym_in,
  [681524] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18323), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681535] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18325), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681546] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18327), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681557] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18329), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681568] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18331), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681579] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18333), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681590] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(18335), 2,
      sym__newline,
      anon_sym_in,
  [681599] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18337), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681610] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18339), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681621] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16817), 2,
      sym__newline,
      anon_sym_in,
  [681630] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18341), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681641] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18343), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681652] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18345), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681663] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18347), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681674] = 3,
    ACTIONS(18349), 1,
      anon_sym_COLON,
    ACTIONS(18351), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681685] = 3,
    ACTIONS(18351), 1,
      anon_sym_u2984,
    ACTIONS(18353), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681696] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18355), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681707] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18357), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681718] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18359), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681729] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18361), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681740] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16843), 2,
      sym__newline,
      anon_sym_in,
  [681749] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18363), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681760] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18365), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681771] = 3,
    ACTIONS(18351), 1,
      anon_sym_RBRACE,
    ACTIONS(18367), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681782] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18369), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681793] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18371), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681804] = 3,
    ACTIONS(18373), 1,
      anon_sym_COLON,
    ACTIONS(18375), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681815] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18377), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681826] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18379), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681837] = 3,
    ACTIONS(18375), 1,
      anon_sym_u2984,
    ACTIONS(18381), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681848] = 3,
    ACTIONS(18375), 1,
      anon_sym_RBRACE,
    ACTIONS(18383), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681859] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18385), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681870] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18387), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681881] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18389), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681892] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18391), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681903] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18393), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681914] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18395), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681925] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18397), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681936] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18399), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681947] = 3,
    ACTIONS(18401), 1,
      anon_sym_COLON,
    ACTIONS(18403), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681958] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18405), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681969] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18407), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681980] = 3,
    ACTIONS(18403), 1,
      anon_sym_u2984,
    ACTIONS(18409), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [681991] = 3,
    ACTIONS(18403), 1,
      anon_sym_RBRACE,
    ACTIONS(18411), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682002] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18413), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682013] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18415), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682024] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18417), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682035] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18419), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682046] = 3,
    ACTIONS(18421), 1,
      anon_sym_COLON,
    ACTIONS(18423), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682057] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18425), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682068] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18427), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682079] = 3,
    ACTIONS(18423), 1,
      anon_sym_u2984,
    ACTIONS(18429), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682090] = 3,
    ACTIONS(18423), 1,
      anon_sym_RBRACE,
    ACTIONS(18431), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682101] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18433), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682112] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18435), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682123] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18437), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682134] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18439), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682145] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18441), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682156] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18443), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682167] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18445), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682178] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18447), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682189] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18449), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682200] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18451), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682211] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18453), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682222] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18455), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682233] = 3,
    ACTIONS(18457), 1,
      anon_sym_COLON,
    ACTIONS(18459), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682244] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18461), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682255] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18463), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682266] = 3,
    ACTIONS(18459), 1,
      anon_sym_u2984,
    ACTIONS(18465), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682277] = 3,
    ACTIONS(18459), 1,
      anon_sym_RBRACE,
    ACTIONS(18467), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682288] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18469), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682299] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18471), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682310] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18473), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682321] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18475), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682332] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18477), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682343] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18479), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682354] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18481), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682365] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18483), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682376] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18485), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682387] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18487), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682398] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18489), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682409] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18491), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682420] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18493), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682431] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18495), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682442] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(18497), 2,
      anon_sym_RBRACE_RBRACE,
      anon_sym_u2984,
  [682451] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18499), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682462] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18501), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682473] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18503), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682484] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18505), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682495] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18507), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682506] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18509), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682517] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18511), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682528] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18513), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682539] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18515), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682550] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18517), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682561] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682572] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18521), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682583] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18523), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682594] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18525), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682605] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(17345), 2,
      sym__newline,
      anon_sym_where,
  [682614] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16066), 2,
      sym__newline,
      anon_sym_in,
  [682623] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18527), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682634] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18529), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682645] = 3,
    ACTIONS(18531), 1,
      anon_sym_COLON,
    ACTIONS(18533), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682656] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18535), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682667] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18537), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682678] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18539), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682689] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18541), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682700] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18543), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682711] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18545), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682722] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18547), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682733] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18549), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682744] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18551), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682755] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18553), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682766] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18555), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682777] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18557), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682788] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18559), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682799] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18561), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682810] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18563), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682821] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18565), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682832] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18567), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682843] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18569), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682854] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18571), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682865] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18573), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682876] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18575), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682887] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18577), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682898] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18579), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682909] = 3,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    ACTIONS(18581), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682920] = 3,
    ACTIONS(15073), 1,
      anon_sym_EQ,
    ACTIONS(15593), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682931] = 3,
    ACTIONS(18533), 1,
      anon_sym_u2984,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682942] = 3,
    ACTIONS(18533), 1,
      anon_sym_RBRACE,
    ACTIONS(18585), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682953] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(18587), 2,
      sym__newline,
      anon_sym_in,
  [682962] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16883), 2,
      sym__newline,
      anon_sym_in,
  [682971] = 3,
    ACTIONS(18589), 1,
      anon_sym_COLON,
    ACTIONS(18591), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682982] = 3,
    ACTIONS(18591), 1,
      anon_sym_u2984,
    ACTIONS(18593), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [682993] = 3,
    ACTIONS(18591), 1,
      anon_sym_RBRACE,
    ACTIONS(18595), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683004] = 2,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
    ACTIONS(16787), 2,
      sym__dedent,
      anon_sym_constructor,
  [683013] = 3,
    ACTIONS(18105), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(18597), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683024] = 3,
    ACTIONS(18105), 1,
      anon_sym_u2984,
    ACTIONS(18599), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683035] = 3,
    ACTIONS(18099), 1,
      anon_sym_RBRACE,
    ACTIONS(18601), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683046] = 2,
    ACTIONS(18603), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683054] = 2,
    ACTIONS(18605), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683062] = 2,
    ACTIONS(18605), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683070] = 2,
    ACTIONS(18607), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683078] = 2,
    ACTIONS(18609), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683086] = 2,
    ACTIONS(18609), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683094] = 2,
    ACTIONS(18611), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683102] = 2,
    ACTIONS(18609), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683110] = 2,
    ACTIONS(18609), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683118] = 2,
    ACTIONS(18613), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683126] = 2,
    ACTIONS(18615), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683134] = 2,
    ACTIONS(18617), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683142] = 2,
    ACTIONS(18615), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683150] = 2,
    ACTIONS(17597), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683158] = 2,
    ACTIONS(18619), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683166] = 2,
    ACTIONS(18621), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683174] = 2,
    ACTIONS(18623), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683182] = 2,
    ACTIONS(18615), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683190] = 2,
    ACTIONS(18625), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683198] = 2,
    ACTIONS(18627), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683206] = 2,
    ACTIONS(18627), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683214] = 2,
    ACTIONS(18629), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683222] = 2,
    ACTIONS(18627), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683230] = 2,
    ACTIONS(18627), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683238] = 2,
    ACTIONS(18631), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683246] = 2,
    ACTIONS(18615), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683254] = 2,
    ACTIONS(18633), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683262] = 2,
    ACTIONS(18623), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683270] = 2,
    ACTIONS(18635), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683278] = 2,
    ACTIONS(18637), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683286] = 2,
    ACTIONS(18639), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683294] = 2,
    ACTIONS(18641), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683302] = 2,
    ACTIONS(18623), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683310] = 2,
    ACTIONS(18643), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683318] = 2,
    ACTIONS(18645), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683326] = 2,
    ACTIONS(18647), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683334] = 2,
    ACTIONS(18647), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683342] = 2,
    ACTIONS(18649), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683350] = 2,
    ACTIONS(18647), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683358] = 2,
    ACTIONS(18647), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683366] = 2,
    ACTIONS(18651), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683374] = 2,
    ACTIONS(18653), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683382] = 2,
    ACTIONS(17611), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683390] = 2,
    ACTIONS(18655), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683398] = 2,
    ACTIONS(18623), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683406] = 2,
    ACTIONS(18657), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683414] = 2,
    ACTIONS(18659), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683422] = 2,
    ACTIONS(18661), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683430] = 2,
    ACTIONS(18663), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683438] = 2,
    ACTIONS(18663), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683446] = 2,
    ACTIONS(18665), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683454] = 2,
    ACTIONS(18667), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683462] = 2,
    ACTIONS(18669), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683470] = 2,
    ACTIONS(18669), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683478] = 2,
    ACTIONS(18671), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683486] = 2,
    ACTIONS(18669), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683494] = 2,
    ACTIONS(18669), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683502] = 2,
    ACTIONS(18673), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683510] = 2,
    ACTIONS(18663), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683518] = 2,
    ACTIONS(18675), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683526] = 2,
    ACTIONS(18663), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683534] = 2,
    ACTIONS(18677), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683542] = 2,
    ACTIONS(18677), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683550] = 2,
    ACTIONS(18677), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683558] = 2,
    ACTIONS(18677), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683566] = 2,
    ACTIONS(18679), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683574] = 2,
    ACTIONS(18681), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683582] = 2,
    ACTIONS(18683), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683590] = 2,
    ACTIONS(18683), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683598] = 2,
    ACTIONS(18685), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683606] = 2,
    ACTIONS(18683), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683614] = 2,
    ACTIONS(18683), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683622] = 2,
    ACTIONS(18687), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683630] = 2,
    ACTIONS(18679), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683638] = 2,
    ACTIONS(18689), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683646] = 2,
    ACTIONS(18679), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683654] = 2,
    ACTIONS(18679), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683662] = 2,
    ACTIONS(18691), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683670] = 2,
    ACTIONS(18693), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683678] = 2,
    ACTIONS(18695), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683686] = 2,
    ACTIONS(18695), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683694] = 2,
    ACTIONS(18695), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683702] = 2,
    ACTIONS(18697), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683710] = 2,
    ACTIONS(18699), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683718] = 2,
    ACTIONS(18699), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683726] = 2,
    ACTIONS(18701), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683734] = 2,
    ACTIONS(18699), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683742] = 2,
    ACTIONS(18699), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683750] = 2,
    ACTIONS(18703), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683758] = 2,
    ACTIONS(17059), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683766] = 2,
    ACTIONS(18705), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683774] = 2,
    ACTIONS(18695), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683782] = 2,
    ACTIONS(18707), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683790] = 2,
    ACTIONS(18709), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683798] = 2,
    ACTIONS(18709), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683806] = 2,
    ACTIONS(18711), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683814] = 2,
    ACTIONS(18713), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683822] = 2,
    ACTIONS(18715), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683830] = 2,
    ACTIONS(18717), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683838] = 2,
    ACTIONS(18717), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683846] = 2,
    ACTIONS(18719), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683854] = 2,
    ACTIONS(18717), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683862] = 2,
    ACTIONS(18717), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683870] = 2,
    ACTIONS(18721), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683878] = 2,
    ACTIONS(18723), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683886] = 2,
    ACTIONS(18725), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683894] = 2,
    ACTIONS(18727), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683902] = 2,
    ACTIONS(18725), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683910] = 2,
    ACTIONS(18729), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683918] = 2,
    ACTIONS(18731), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683926] = 2,
    ACTIONS(18497), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683934] = 2,
    ACTIONS(18733), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683942] = 2,
    ACTIONS(18733), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683950] = 2,
    ACTIONS(18735), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683958] = 2,
    ACTIONS(18737), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683966] = 2,
    ACTIONS(18739), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683974] = 2,
    ACTIONS(18741), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683982] = 2,
    ACTIONS(18741), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683990] = 2,
    ACTIONS(18743), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [683998] = 2,
    ACTIONS(18741), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684006] = 2,
    ACTIONS(18741), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684014] = 2,
    ACTIONS(18745), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684022] = 2,
    ACTIONS(18733), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684030] = 2,
    ACTIONS(18747), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684038] = 2,
    ACTIONS(18733), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684046] = 2,
    ACTIONS(18725), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684054] = 2,
    ACTIONS(18725), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684062] = 2,
    ACTIONS(18749), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684070] = 2,
    ACTIONS(18751), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684078] = 2,
    ACTIONS(18753), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684086] = 2,
    ACTIONS(18755), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684094] = 2,
    ACTIONS(18757), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684102] = 2,
    ACTIONS(18757), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684110] = 2,
    ACTIONS(18759), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684118] = 2,
    ACTIONS(18757), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684126] = 2,
    ACTIONS(18757), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684134] = 2,
    ACTIONS(18761), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684142] = 2,
    ACTIONS(17633), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684150] = 2,
    ACTIONS(18763), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684158] = 2,
    ACTIONS(18765), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684166] = 2,
    ACTIONS(18767), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684174] = 2,
    ACTIONS(18769), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684182] = 2,
    ACTIONS(18771), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684190] = 2,
    ACTIONS(18773), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684198] = 2,
    ACTIONS(17679), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684206] = 2,
    ACTIONS(18765), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684214] = 2,
    ACTIONS(18775), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684222] = 2,
    ACTIONS(18777), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684230] = 2,
    ACTIONS(18777), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684238] = 2,
    ACTIONS(18779), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684246] = 2,
    ACTIONS(18777), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684254] = 2,
    ACTIONS(18777), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684262] = 2,
    ACTIONS(18781), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684270] = 2,
    ACTIONS(18783), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684278] = 2,
    ACTIONS(18785), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684286] = 2,
    ACTIONS(17623), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684294] = 2,
    ACTIONS(18787), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684302] = 2,
    ACTIONS(18789), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684310] = 2,
    ACTIONS(18791), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684318] = 2,
    ACTIONS(18793), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684326] = 2,
    ACTIONS(18795), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684334] = 2,
    ACTIONS(17411), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684342] = 2,
    ACTIONS(18797), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684350] = 2,
    ACTIONS(18799), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684358] = 2,
    ACTIONS(18799), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684366] = 2,
    ACTIONS(18801), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684374] = 2,
    ACTIONS(18803), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684382] = 2,
    ACTIONS(18799), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684390] = 2,
    ACTIONS(18799), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684398] = 2,
    ACTIONS(18805), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684406] = 2,
    ACTIONS(18807), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684414] = 2,
    ACTIONS(18765), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684422] = 2,
    ACTIONS(18809), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684430] = 2,
    ACTIONS(18765), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684438] = 2,
    ACTIONS(18811), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684446] = 2,
    ACTIONS(18813), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684454] = 2,
    ACTIONS(18815), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684462] = 2,
    ACTIONS(18817), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684470] = 2,
    ACTIONS(18819), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684478] = 2,
    ACTIONS(18821), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684486] = 2,
    ACTIONS(18823), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684494] = 2,
    ACTIONS(18823), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684502] = 2,
    ACTIONS(18825), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684510] = 2,
    ACTIONS(18823), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684518] = 2,
    ACTIONS(18823), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684526] = 2,
    ACTIONS(18827), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684534] = 2,
    ACTIONS(18829), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684542] = 2,
    ACTIONS(18831), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684550] = 2,
    ACTIONS(17639), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684558] = 2,
    ACTIONS(18819), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684566] = 2,
    ACTIONS(18833), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684574] = 2,
    ACTIONS(18819), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684582] = 2,
    ACTIONS(18835), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684590] = 2,
    ACTIONS(18835), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684598] = 2,
    ACTIONS(18837), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684606] = 2,
    ACTIONS(18839), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684614] = 2,
    ACTIONS(18839), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684622] = 2,
    ACTIONS(18841), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684630] = 2,
    ACTIONS(18839), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684638] = 2,
    ACTIONS(18839), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684646] = 2,
    ACTIONS(18843), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684654] = 2,
    ACTIONS(18835), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684662] = 2,
    ACTIONS(18845), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684670] = 2,
    ACTIONS(18835), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684678] = 2,
    ACTIONS(15523), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684686] = 2,
    ACTIONS(18819), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684694] = 2,
    ACTIONS(18847), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684702] = 2,
    ACTIONS(18849), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684710] = 2,
    ACTIONS(18849), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684718] = 2,
    ACTIONS(18851), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684726] = 2,
    ACTIONS(18853), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684734] = 2,
    ACTIONS(18853), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684742] = 2,
    ACTIONS(18855), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684750] = 2,
    ACTIONS(18853), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684758] = 2,
    ACTIONS(18857), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684766] = 2,
    ACTIONS(18853), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684774] = 2,
    ACTIONS(18859), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684782] = 2,
    ACTIONS(18849), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684790] = 2,
    ACTIONS(18861), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684798] = 2,
    ACTIONS(18849), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684806] = 2,
    ACTIONS(17649), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684814] = 2,
    ACTIONS(18863), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684822] = 2,
    ACTIONS(18865), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684830] = 2,
    ACTIONS(18867), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684838] = 2,
    ACTIONS(18869), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684846] = 2,
    ACTIONS(18871), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684854] = 2,
    ACTIONS(18873), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684862] = 2,
    ACTIONS(18875), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684870] = 2,
    ACTIONS(18875), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684878] = 2,
    ACTIONS(18877), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684886] = 2,
    ACTIONS(18875), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684894] = 2,
    ACTIONS(18875), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684902] = 2,
    ACTIONS(18879), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684910] = 2,
    ACTIONS(18881), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684918] = 2,
    ACTIONS(18883), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684926] = 2,
    ACTIONS(18885), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684934] = 2,
    ACTIONS(18887), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684942] = 2,
    ACTIONS(18889), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684950] = 2,
    ACTIONS(18891), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684958] = 2,
    ACTIONS(18893), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684966] = 2,
    ACTIONS(18895), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684974] = 2,
    ACTIONS(18897), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684982] = 2,
    ACTIONS(18899), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684990] = 2,
    ACTIONS(18899), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [684998] = 2,
    ACTIONS(18901), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685006] = 2,
    ACTIONS(18899), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685014] = 2,
    ACTIONS(18899), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685022] = 2,
    ACTIONS(18903), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685030] = 2,
    ACTIONS(18895), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685038] = 2,
    ACTIONS(18905), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685046] = 2,
    ACTIONS(17663), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685054] = 2,
    ACTIONS(18887), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685062] = 2,
    ACTIONS(18887), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685070] = 2,
    ACTIONS(18887), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685078] = 2,
    ACTIONS(18907), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685086] = 2,
    ACTIONS(18909), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685094] = 2,
    ACTIONS(18911), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685102] = 2,
    ACTIONS(18913), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685110] = 2,
    ACTIONS(18913), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685118] = 2,
    ACTIONS(18915), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685126] = 2,
    ACTIONS(18917), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685134] = 2,
    ACTIONS(18919), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685142] = 2,
    ACTIONS(18913), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685150] = 2,
    ACTIONS(18913), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685158] = 2,
    ACTIONS(18921), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685166] = 2,
    ACTIONS(18923), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685174] = 2,
    ACTIONS(18925), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685182] = 2,
    ACTIONS(18927), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685190] = 2,
    ACTIONS(18923), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685198] = 2,
    ACTIONS(18929), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685206] = 2,
    ACTIONS(18923), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685214] = 2,
    ACTIONS(18923), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685222] = 2,
    ACTIONS(18909), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685230] = 2,
    ACTIONS(18909), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685238] = 2,
    ACTIONS(18931), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685246] = 2,
    ACTIONS(18933), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685254] = 2,
    ACTIONS(18933), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685262] = 2,
    ACTIONS(18935), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685270] = 2,
    ACTIONS(18937), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685278] = 2,
    ACTIONS(18933), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685286] = 2,
    ACTIONS(18933), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685294] = 2,
    ACTIONS(18939), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685302] = 2,
    ACTIONS(18941), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685310] = 2,
    ACTIONS(18943), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685318] = 2,
    ACTIONS(18945), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685326] = 2,
    ACTIONS(18947), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685334] = 2,
    ACTIONS(18909), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685342] = 2,
    ACTIONS(18949), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685350] = 2,
    ACTIONS(18949), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685358] = 2,
    ACTIONS(18949), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685366] = 2,
    ACTIONS(18949), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685374] = 2,
    ACTIONS(18951), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685382] = 2,
    ACTIONS(18953), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685390] = 2,
    ACTIONS(18953), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685398] = 2,
    ACTIONS(18955), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685406] = 2,
    ACTIONS(18953), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685414] = 2,
    ACTIONS(18953), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685422] = 2,
    ACTIONS(18957), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685430] = 2,
    ACTIONS(18895), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685438] = 2,
    ACTIONS(18959), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685446] = 2,
    ACTIONS(18895), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685454] = 2,
    ACTIONS(17671), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685462] = 2,
    ACTIONS(18961), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685470] = 2,
    ACTIONS(18963), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685478] = 2,
    ACTIONS(18963), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685486] = 2,
    ACTIONS(18965), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685494] = 2,
    ACTIONS(18967), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685502] = 2,
    ACTIONS(18969), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685510] = 2,
    ACTIONS(18969), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685518] = 2,
    ACTIONS(18971), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685526] = 2,
    ACTIONS(18969), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685534] = 2,
    ACTIONS(18969), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685542] = 2,
    ACTIONS(18973), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685550] = 2,
    ACTIONS(18975), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685558] = 2,
    ACTIONS(18977), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685566] = 2,
    ACTIONS(18979), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685574] = 2,
    ACTIONS(17683), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685582] = 2,
    ACTIONS(18963), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685590] = 2,
    ACTIONS(18981), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685598] = 2,
    ACTIONS(18983), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685606] = 2,
    ACTIONS(18985), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685614] = 2,
    ACTIONS(18963), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685622] = 2,
    ACTIONS(18987), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685630] = 2,
    ACTIONS(18919), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685638] = 2,
    ACTIONS(18989), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685646] = 2,
    ACTIONS(18991), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685654] = 2,
    ACTIONS(18991), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685662] = 2,
    ACTIONS(18993), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685670] = 2,
    ACTIONS(18991), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685678] = 2,
    ACTIONS(18991), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685686] = 2,
    ACTIONS(18995), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685694] = 2,
    ACTIONS(18997), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685702] = 2,
    ACTIONS(18999), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685710] = 2,
    ACTIONS(19001), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685718] = 2,
    ACTIONS(17691), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685726] = 2,
    ACTIONS(18919), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685734] = 2,
    ACTIONS(18919), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685742] = 2,
    ACTIONS(19003), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685750] = 2,
    ACTIONS(19005), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685758] = 2,
    ACTIONS(19007), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685766] = 2,
    ACTIONS(19009), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685774] = 2,
    ACTIONS(19011), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685782] = 2,
    ACTIONS(19011), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685790] = 2,
    ACTIONS(19013), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685798] = 2,
    ACTIONS(19011), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685806] = 2,
    ACTIONS(19011), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685814] = 2,
    ACTIONS(19015), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685822] = 2,
    ACTIONS(19007), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685830] = 2,
    ACTIONS(19017), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685838] = 2,
    ACTIONS(19019), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685846] = 2,
    ACTIONS(19007), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685854] = 2,
    ACTIONS(19007), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685862] = 2,
    ACTIONS(19021), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685870] = 2,
    ACTIONS(19021), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685878] = 2,
    ACTIONS(19021), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685886] = 2,
    ACTIONS(19021), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685894] = 2,
    ACTIONS(19023), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685902] = 2,
    ACTIONS(19025), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685910] = 2,
    ACTIONS(19027), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685918] = 2,
    ACTIONS(19025), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685926] = 2,
    ACTIONS(19029), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685934] = 2,
    ACTIONS(19031), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685942] = 2,
    ACTIONS(19025), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685950] = 2,
    ACTIONS(19025), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685958] = 2,
    ACTIONS(19033), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685966] = 2,
    ACTIONS(19035), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685974] = 2,
    ACTIONS(19037), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685982] = 2,
    ACTIONS(19039), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685990] = 2,
    ACTIONS(19041), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [685998] = 2,
    ACTIONS(19041), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686006] = 2,
    ACTIONS(19043), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686014] = 2,
    ACTIONS(19045), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686022] = 2,
    ACTIONS(19045), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686030] = 2,
    ACTIONS(19047), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686038] = 2,
    ACTIONS(19049), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686046] = 2,
    ACTIONS(19051), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686054] = 2,
    ACTIONS(19051), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686062] = 2,
    ACTIONS(19053), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686070] = 2,
    ACTIONS(19051), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686078] = 2,
    ACTIONS(19051), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686086] = 2,
    ACTIONS(19055), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686094] = 2,
    ACTIONS(18965), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686102] = 2,
    ACTIONS(19057), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686110] = 2,
    ACTIONS(19059), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686118] = 2,
    ACTIONS(19061), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686126] = 2,
    ACTIONS(19041), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686134] = 2,
    ACTIONS(19063), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686142] = 2,
    ACTIONS(19065), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686150] = 2,
    ACTIONS(19067), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686158] = 2,
    ACTIONS(19069), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686166] = 2,
    ACTIONS(19071), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686174] = 2,
    ACTIONS(19073), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686182] = 2,
    ACTIONS(19073), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686190] = 2,
    ACTIONS(19075), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686198] = 2,
    ACTIONS(19073), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686206] = 2,
    ACTIONS(19073), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686214] = 2,
    ACTIONS(19077), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686222] = 2,
    ACTIONS(19079), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686230] = 2,
    ACTIONS(19081), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686238] = 2,
    ACTIONS(19083), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686246] = 2,
    ACTIONS(19083), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686254] = 2,
    ACTIONS(19085), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686262] = 2,
    ACTIONS(19087), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686270] = 2,
    ACTIONS(19083), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686278] = 2,
    ACTIONS(19089), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686286] = 2,
    ACTIONS(19091), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686294] = 2,
    ACTIONS(19093), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686302] = 2,
    ACTIONS(19093), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686310] = 2,
    ACTIONS(19095), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686318] = 2,
    ACTIONS(19093), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686326] = 2,
    ACTIONS(19093), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686334] = 2,
    ACTIONS(19097), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686342] = 2,
    ACTIONS(19089), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686350] = 2,
    ACTIONS(19041), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686358] = 2,
    ACTIONS(19099), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686366] = 2,
    ACTIONS(19101), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686374] = 2,
    ACTIONS(19089), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686382] = 2,
    ACTIONS(19089), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686390] = 2,
    ACTIONS(19083), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686398] = 2,
    ACTIONS(18965), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686406] = 2,
    ACTIONS(19103), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686414] = 2,
    ACTIONS(19105), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686422] = 2,
    ACTIONS(19107), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686430] = 2,
    ACTIONS(19107), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686438] = 2,
    ACTIONS(19109), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686446] = 2,
    ACTIONS(19107), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686454] = 2,
    ACTIONS(19111), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686462] = 2,
    ACTIONS(19107), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686470] = 2,
    ACTIONS(19113), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686478] = 2,
    ACTIONS(19115), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686486] = 2,
    ACTIONS(19117), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686494] = 2,
    ACTIONS(19045), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686502] = 2,
    ACTIONS(19119), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686510] = 2,
    ACTIONS(19121), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686518] = 2,
    ACTIONS(19123), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686526] = 2,
    ACTIONS(19125), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686534] = 2,
    ACTIONS(19127), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686542] = 2,
    ACTIONS(17717), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686550] = 2,
    ACTIONS(19129), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686558] = 2,
    ACTIONS(19131), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686566] = 2,
    ACTIONS(19131), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686574] = 2,
    ACTIONS(19133), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686582] = 2,
    ACTIONS(19131), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686590] = 2,
    ACTIONS(19131), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686598] = 2,
    ACTIONS(19135), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686606] = 2,
    ACTIONS(19035), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686614] = 2,
    ACTIONS(19137), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686622] = 2,
    ACTIONS(17721), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686630] = 2,
    ACTIONS(19139), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686638] = 2,
    ACTIONS(19141), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686646] = 2,
    ACTIONS(19143), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686654] = 2,
    ACTIONS(19145), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686662] = 2,
    ACTIONS(19147), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686670] = 2,
    ACTIONS(19035), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686678] = 2,
    ACTIONS(19149), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686686] = 2,
    ACTIONS(19151), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686694] = 2,
    ACTIONS(19151), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686702] = 2,
    ACTIONS(19153), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686710] = 2,
    ACTIONS(19151), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686718] = 2,
    ACTIONS(19151), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686726] = 2,
    ACTIONS(19155), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686734] = 2,
    ACTIONS(19123), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686742] = 2,
    ACTIONS(19157), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686750] = 2,
    ACTIONS(19159), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686758] = 2,
    ACTIONS(19161), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686766] = 2,
    ACTIONS(17733), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686774] = 2,
    ACTIONS(19161), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686782] = 2,
    ACTIONS(19163), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686790] = 2,
    ACTIONS(19165), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686798] = 2,
    ACTIONS(19161), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686806] = 2,
    ACTIONS(19161), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686814] = 2,
    ACTIONS(19167), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686822] = 2,
    ACTIONS(19169), 1,
      anon_sym_POUND_DASH_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686830] = 2,
    ACTIONS(17383), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686838] = 2,
    ACTIONS(17737), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686846] = 2,
    ACTIONS(19171), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686854] = 2,
    ACTIONS(19173), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686862] = 2,
    ACTIONS(19173), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686870] = 2,
    ACTIONS(19175), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686878] = 2,
    ACTIONS(19177), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686886] = 2,
    ACTIONS(19173), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686894] = 2,
    ACTIONS(19173), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686902] = 2,
    ACTIONS(19179), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686910] = 2,
    ACTIONS(19035), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686918] = 2,
    ACTIONS(19181), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686926] = 2,
    ACTIONS(17423), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686934] = 2,
    ACTIONS(17541), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686942] = 2,
    ACTIONS(19183), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686950] = 2,
    ACTIONS(19183), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686958] = 2,
    ACTIONS(19185), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686966] = 2,
    ACTIONS(19183), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686974] = 2,
    ACTIONS(19183), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686982] = 2,
    ACTIONS(19187), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686990] = 2,
    ACTIONS(19189), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [686998] = 2,
    ACTIONS(19189), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687006] = 2,
    ACTIONS(19191), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687014] = 2,
    ACTIONS(19193), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687022] = 2,
    ACTIONS(17375), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687030] = 2,
    ACTIONS(19189), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687038] = 2,
    ACTIONS(19195), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687046] = 2,
    ACTIONS(19189), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687054] = 2,
    ACTIONS(19197), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687062] = 2,
    ACTIONS(19199), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687070] = 2,
    ACTIONS(19201), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687078] = 2,
    ACTIONS(19199), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687086] = 2,
    ACTIONS(19199), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687094] = 2,
    ACTIONS(19199), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687102] = 2,
    ACTIONS(19203), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687110] = 2,
    ACTIONS(19205), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687118] = 2,
    ACTIONS(19205), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687126] = 2,
    ACTIONS(19207), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687134] = 2,
    ACTIONS(19209), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687142] = 2,
    ACTIONS(19209), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687150] = 2,
    ACTIONS(19211), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687158] = 2,
    ACTIONS(19209), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687166] = 2,
    ACTIONS(17753), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687174] = 2,
    ACTIONS(19209), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687182] = 2,
    ACTIONS(19213), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687190] = 2,
    ACTIONS(19215), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687198] = 2,
    ACTIONS(19205), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687206] = 2,
    ACTIONS(19205), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687214] = 2,
    ACTIONS(19217), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687222] = 2,
    ACTIONS(19219), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687230] = 2,
    ACTIONS(19217), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687238] = 2,
    ACTIONS(19221), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687246] = 2,
    ACTIONS(19217), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687254] = 2,
    ACTIONS(19223), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687262] = 2,
    ACTIONS(19225), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687270] = 2,
    ACTIONS(19227), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687278] = 2,
    ACTIONS(19229), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687286] = 2,
    ACTIONS(19217), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687294] = 2,
    ACTIONS(19231), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687302] = 2,
    ACTIONS(19233), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687310] = 2,
    ACTIONS(19235), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687318] = 2,
    ACTIONS(19237), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687326] = 2,
    ACTIONS(19237), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687334] = 2,
    ACTIONS(19239), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687342] = 2,
    ACTIONS(19237), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687350] = 2,
    ACTIONS(19227), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687358] = 2,
    ACTIONS(19237), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687366] = 2,
    ACTIONS(19241), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687374] = 2,
    ACTIONS(17765), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687382] = 2,
    ACTIONS(19243), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687390] = 2,
    ACTIONS(19245), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687398] = 2,
    ACTIONS(19247), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687406] = 2,
    ACTIONS(19249), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687414] = 2,
    ACTIONS(19251), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687422] = 2,
    ACTIONS(17431), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687430] = 2,
    ACTIONS(19253), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687438] = 2,
    ACTIONS(19253), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687446] = 2,
    ACTIONS(19253), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687454] = 2,
    ACTIONS(19255), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687462] = 2,
    ACTIONS(19257), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687470] = 2,
    ACTIONS(19259), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687478] = 2,
    ACTIONS(19261), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687486] = 2,
    ACTIONS(19227), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687494] = 2,
    ACTIONS(19263), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687502] = 2,
    ACTIONS(19263), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687510] = 2,
    ACTIONS(17779), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687518] = 2,
    ACTIONS(19227), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687526] = 2,
    ACTIONS(19265), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687534] = 2,
    ACTIONS(19267), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687542] = 2,
    ACTIONS(19269), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687550] = 2,
    ACTIONS(19263), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687558] = 2,
    ACTIONS(19263), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687566] = 2,
    ACTIONS(19271), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687574] = 2,
    ACTIONS(19273), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687582] = 2,
    ACTIONS(19275), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687590] = 2,
    ACTIONS(19277), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687598] = 2,
    ACTIONS(19279), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687606] = 2,
    ACTIONS(19253), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687614] = 2,
    ACTIONS(17523), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687622] = 2,
    ACTIONS(17130), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687630] = 2,
    ACTIONS(19281), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687638] = 2,
    ACTIONS(19283), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687646] = 2,
    ACTIONS(19283), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687654] = 2,
    ACTIONS(19283), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687662] = 2,
    ACTIONS(19283), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687670] = 2,
    ACTIONS(19285), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687678] = 2,
    ACTIONS(19281), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687686] = 2,
    ACTIONS(19287), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687694] = 2,
    ACTIONS(19289), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687702] = 2,
    ACTIONS(19291), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687710] = 2,
    ACTIONS(19293), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687718] = 2,
    ACTIONS(19295), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687726] = 2,
    ACTIONS(19289), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687734] = 2,
    ACTIONS(19293), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687742] = 2,
    ACTIONS(19289), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687750] = 2,
    ACTIONS(19297), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687758] = 2,
    ACTIONS(19289), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687766] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(19299), 1,
      sym_id,
  [687776] = 2,
    ACTIONS(19293), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687784] = 2,
    ACTIONS(19293), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687792] = 2,
    ACTIONS(19301), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687800] = 2,
    ACTIONS(19303), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687808] = 2,
    ACTIONS(19281), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687816] = 2,
    ACTIONS(19305), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687824] = 2,
    ACTIONS(19281), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687832] = 2,
    ACTIONS(19307), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687840] = 2,
    ACTIONS(19307), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687848] = 2,
    ACTIONS(19309), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687856] = 2,
    ACTIONS(19311), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687864] = 2,
    ACTIONS(17443), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687872] = 2,
    ACTIONS(19307), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687880] = 2,
    ACTIONS(19313), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687888] = 2,
    ACTIONS(19315), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687896] = 2,
    ACTIONS(19315), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687904] = 2,
    ACTIONS(19317), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687912] = 2,
    ACTIONS(19319), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687920] = 2,
    ACTIONS(19315), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687928] = 2,
    ACTIONS(19315), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687936] = 2,
    ACTIONS(19321), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687944] = 2,
    ACTIONS(19307), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687952] = 2,
    ACTIONS(19323), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687960] = 2,
    ACTIONS(19231), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687968] = 2,
    ACTIONS(19325), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687976] = 2,
    ACTIONS(19231), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687984] = 2,
    ACTIONS(19327), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [687992] = 2,
    ACTIONS(19329), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688000] = 2,
    ACTIONS(19329), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688008] = 2,
    ACTIONS(19331), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688016] = 2,
    ACTIONS(19329), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688024] = 2,
    ACTIONS(19329), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688032] = 2,
    ACTIONS(19333), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688040] = 2,
    ACTIONS(19231), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688048] = 2,
    ACTIONS(19335), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688056] = 2,
    ACTIONS(19337), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688064] = 2,
    ACTIONS(19339), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688072] = 2,
    ACTIONS(19339), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688080] = 2,
    ACTIONS(19341), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688088] = 2,
    ACTIONS(19339), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688096] = 2,
    ACTIONS(19339), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688104] = 2,
    ACTIONS(19343), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688112] = 2,
    ACTIONS(19345), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688120] = 2,
    ACTIONS(19347), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688128] = 2,
    ACTIONS(19349), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688136] = 2,
    ACTIONS(17797), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688144] = 2,
    ACTIONS(19351), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688152] = 2,
    ACTIONS(19353), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688160] = 2,
    ACTIONS(19353), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688168] = 2,
    ACTIONS(19355), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688176] = 2,
    ACTIONS(19355), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688184] = 2,
    ACTIONS(19357), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688192] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(19359), 1,
      sym_id,
  [688202] = 2,
    ACTIONS(19123), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688210] = 2,
    ACTIONS(19123), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688218] = 2,
    ACTIONS(19045), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688226] = 2,
    ACTIONS(19361), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688234] = 2,
    ACTIONS(19363), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688242] = 2,
    ACTIONS(19363), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688250] = 2,
    ACTIONS(17805), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688258] = 2,
    ACTIONS(19365), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688266] = 2,
    ACTIONS(19355), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688274] = 2,
    ACTIONS(19355), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688282] = 2,
    ACTIONS(19367), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688290] = 2,
    ACTIONS(19363), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688298] = 2,
    ACTIONS(19363), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688306] = 2,
    ACTIONS(19369), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688314] = 2,
    ACTIONS(18709), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688322] = 2,
    ACTIONS(19371), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688330] = 2,
    ACTIONS(19373), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688338] = 2,
    ACTIONS(19375), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688346] = 2,
    ACTIONS(19377), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688354] = 2,
    ACTIONS(19379), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688362] = 2,
    ACTIONS(19381), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688370] = 2,
    ACTIONS(19383), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688378] = 2,
    ACTIONS(17813), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688386] = 2,
    ACTIONS(19371), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688394] = 2,
    ACTIONS(19371), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688402] = 2,
    ACTIONS(19385), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688410] = 2,
    ACTIONS(19387), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688418] = 2,
    ACTIONS(19389), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688426] = 2,
    ACTIONS(19391), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688434] = 2,
    ACTIONS(19391), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688442] = 2,
    ACTIONS(17817), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688450] = 2,
    ACTIONS(19393), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688458] = 2,
    ACTIONS(19395), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688466] = 2,
    ACTIONS(19397), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688474] = 2,
    ACTIONS(19399), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688482] = 2,
    ACTIONS(19391), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688490] = 2,
    ACTIONS(19401), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688498] = 2,
    ACTIONS(19391), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688506] = 2,
    ACTIONS(19403), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688514] = 2,
    ACTIONS(19405), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688522] = 2,
    ACTIONS(19407), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688530] = 2,
    ACTIONS(19409), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688538] = 2,
    ACTIONS(19409), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688546] = 2,
    ACTIONS(19409), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688554] = 2,
    ACTIONS(19409), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688562] = 2,
    ACTIONS(19371), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688570] = 2,
    ACTIONS(19411), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688578] = 2,
    ACTIONS(19413), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688586] = 2,
    ACTIONS(19413), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688594] = 2,
    ACTIONS(19413), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688602] = 2,
    ACTIONS(19415), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688610] = 2,
    ACTIONS(19415), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688618] = 2,
    ACTIONS(19415), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688626] = 2,
    ACTIONS(19415), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688634] = 2,
    ACTIONS(19413), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688642] = 2,
    ACTIONS(19417), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688650] = 2,
    ACTIONS(19419), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688658] = 2,
    ACTIONS(19421), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688666] = 2,
    ACTIONS(19421), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688674] = 2,
    ACTIONS(19423), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688682] = 2,
    ACTIONS(19421), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688690] = 2,
    ACTIONS(19421), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688698] = 2,
    ACTIONS(19425), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688706] = 2,
    ACTIONS(19417), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688714] = 2,
    ACTIONS(19427), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688722] = 2,
    ACTIONS(19417), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688730] = 2,
    ACTIONS(19417), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688738] = 2,
    ACTIONS(18709), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688746] = 2,
    ACTIONS(17829), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688754] = 2,
    ACTIONS(19429), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688762] = 2,
    ACTIONS(19431), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688770] = 2,
    ACTIONS(19433), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688778] = 2,
    ACTIONS(19435), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688786] = 2,
    ACTIONS(19435), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688794] = 2,
    ACTIONS(19437), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688802] = 2,
    ACTIONS(19439), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688810] = 2,
    ACTIONS(19435), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688818] = 2,
    ACTIONS(19441), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688826] = 2,
    ACTIONS(19441), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688834] = 2,
    ACTIONS(19443), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688842] = 2,
    ACTIONS(19441), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688850] = 2,
    ACTIONS(19441), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688858] = 2,
    ACTIONS(19435), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688866] = 2,
    ACTIONS(19445), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688874] = 2,
    ACTIONS(19447), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688882] = 2,
    ACTIONS(19449), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688890] = 2,
    ACTIONS(19451), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688898] = 2,
    ACTIONS(19453), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688906] = 2,
    ACTIONS(19455), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688914] = 2,
    ACTIONS(19457), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688922] = 2,
    ACTIONS(19459), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688930] = 2,
    ACTIONS(19449), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688938] = 2,
    ACTIONS(19461), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688946] = 2,
    ACTIONS(19461), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688954] = 2,
    ACTIONS(19463), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688962] = 2,
    ACTIONS(19465), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688970] = 2,
    ACTIONS(19467), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688978] = 2,
    ACTIONS(19469), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688986] = 2,
    ACTIONS(19469), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [688994] = 2,
    ACTIONS(19471), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689002] = 2,
    ACTIONS(19469), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689010] = 2,
    ACTIONS(19469), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689018] = 2,
    ACTIONS(17839), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689026] = 2,
    ACTIONS(19449), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689034] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(19473), 1,
      sym_id,
  [689044] = 2,
    ACTIONS(19475), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689052] = 2,
    ACTIONS(19477), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689060] = 2,
    ACTIONS(19461), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689068] = 2,
    ACTIONS(19479), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689076] = 2,
    ACTIONS(19461), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689084] = 2,
    ACTIONS(17847), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689092] = 2,
    ACTIONS(19449), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689100] = 2,
    ACTIONS(19481), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689108] = 2,
    ACTIONS(19483), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689116] = 2,
    ACTIONS(19485), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689124] = 2,
    ACTIONS(19487), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689132] = 2,
    ACTIONS(19489), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689140] = 2,
    ACTIONS(19491), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689148] = 2,
    ACTIONS(19493), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689156] = 2,
    ACTIONS(17851), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689164] = 2,
    ACTIONS(19495), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689172] = 2,
    ACTIONS(19497), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689180] = 2,
    ACTIONS(19497), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689188] = 2,
    ACTIONS(19493), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689196] = 2,
    ACTIONS(19499), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689204] = 2,
    ACTIONS(19501), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689212] = 2,
    ACTIONS(19501), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689220] = 2,
    ACTIONS(19501), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689228] = 2,
    ACTIONS(19501), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689236] = 2,
    ACTIONS(19493), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689244] = 2,
    ACTIONS(19493), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689252] = 2,
    ACTIONS(19503), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689260] = 2,
    ACTIONS(19505), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689268] = 2,
    ACTIONS(19507), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689276] = 2,
    ACTIONS(19509), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689284] = 2,
    ACTIONS(19511), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689292] = 2,
    ACTIONS(19513), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689300] = 2,
    ACTIONS(19511), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689308] = 2,
    ACTIONS(19511), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689316] = 2,
    ACTIONS(19511), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689324] = 2,
    ACTIONS(19497), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689332] = 2,
    ACTIONS(19513), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689340] = 2,
    ACTIONS(19515), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689348] = 2,
    ACTIONS(19517), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689356] = 2,
    ACTIONS(19513), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689364] = 2,
    ACTIONS(19519), 1,
      anon_sym_to,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689372] = 2,
    ACTIONS(19513), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689380] = 2,
    ACTIONS(19521), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689388] = 2,
    ACTIONS(19523), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689396] = 2,
    ACTIONS(19523), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689404] = 2,
    ACTIONS(19525), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689412] = 2,
    ACTIONS(19523), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689420] = 2,
    ACTIONS(19523), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689428] = 2,
    ACTIONS(19527), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689436] = 2,
    ACTIONS(19529), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689444] = 2,
    ACTIONS(19531), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689452] = 2,
    ACTIONS(19497), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689460] = 2,
    ACTIONS(19533), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689468] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(19535), 1,
      sym_id,
  [689478] = 2,
    ACTIONS(19537), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689486] = 2,
    ACTIONS(19539), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689494] = 2,
    ACTIONS(19541), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689502] = 2,
    ACTIONS(19543), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689510] = 2,
    ACTIONS(19543), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689518] = 2,
    ACTIONS(19545), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689526] = 2,
    ACTIONS(19547), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689534] = 2,
    ACTIONS(19543), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689542] = 2,
    ACTIONS(19543), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689550] = 2,
    ACTIONS(19549), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689558] = 2,
    ACTIONS(19551), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689566] = 2,
    ACTIONS(19553), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689574] = 2,
    ACTIONS(19555), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689582] = 2,
    ACTIONS(19557), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689590] = 2,
    ACTIONS(19557), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689598] = 2,
    ACTIONS(19559), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689606] = 2,
    ACTIONS(19557), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689614] = 2,
    ACTIONS(19561), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689622] = 2,
    ACTIONS(19557), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689630] = 2,
    ACTIONS(19563), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689638] = 2,
    ACTIONS(19549), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689646] = 2,
    ACTIONS(19565), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689654] = 2,
    ACTIONS(19567), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689662] = 2,
    ACTIONS(19549), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689670] = 2,
    ACTIONS(17865), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689678] = 2,
    ACTIONS(19569), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689686] = 2,
    ACTIONS(19571), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689694] = 2,
    ACTIONS(17869), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689702] = 2,
    ACTIONS(17877), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689710] = 2,
    ACTIONS(19573), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689718] = 2,
    ACTIONS(17453), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689726] = 2,
    ACTIONS(19353), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689734] = 2,
    ACTIONS(19353), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689742] = 2,
    ACTIONS(19575), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689750] = 2,
    ACTIONS(19577), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689758] = 2,
    ACTIONS(19577), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689766] = 2,
    ACTIONS(19579), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689774] = 2,
    ACTIONS(19577), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689782] = 2,
    ACTIONS(19577), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689790] = 2,
    ACTIONS(19581), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689798] = 2,
    ACTIONS(19583), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689806] = 2,
    ACTIONS(19585), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689814] = 2,
    ACTIONS(19587), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689822] = 2,
    ACTIONS(19589), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689830] = 2,
    ACTIONS(17883), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689838] = 2,
    ACTIONS(19591), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689846] = 2,
    ACTIONS(19593), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689854] = 2,
    ACTIONS(19595), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689862] = 2,
    ACTIONS(19597), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689870] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(19599), 1,
      sym_id,
  [689880] = 2,
    ACTIONS(17463), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689888] = 2,
    ACTIONS(19593), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689896] = 2,
    ACTIONS(19601), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689904] = 2,
    ACTIONS(19549), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689912] = 2,
    ACTIONS(19603), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689920] = 2,
    ACTIONS(19605), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689928] = 2,
    ACTIONS(19607), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689936] = 2,
    ACTIONS(19607), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689944] = 2,
    ACTIONS(19607), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689952] = 2,
    ACTIONS(19609), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689960] = 2,
    ACTIONS(19611), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689968] = 2,
    ACTIONS(19607), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689976] = 2,
    ACTIONS(19613), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689984] = 2,
    ACTIONS(19613), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [689992] = 2,
    ACTIONS(19615), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690000] = 2,
    ACTIONS(19617), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690008] = 2,
    ACTIONS(19617), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690016] = 2,
    ACTIONS(19617), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690024] = 2,
    ACTIONS(19617), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690032] = 2,
    ACTIONS(19613), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690040] = 2,
    ACTIONS(19613), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690048] = 2,
    ACTIONS(19619), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690056] = 2,
    ACTIONS(19621), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690064] = 2,
    ACTIONS(19623), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690072] = 2,
    ACTIONS(19603), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690080] = 2,
    ACTIONS(19625), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690088] = 2,
    ACTIONS(17897), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690096] = 2,
    ACTIONS(19627), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690104] = 2,
    ACTIONS(19629), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690112] = 2,
    ACTIONS(19593), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690120] = 2,
    ACTIONS(19631), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690128] = 2,
    ACTIONS(19633), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690136] = 2,
    ACTIONS(19633), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690144] = 2,
    ACTIONS(19635), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690152] = 2,
    ACTIONS(19633), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690160] = 2,
    ACTIONS(19633), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690168] = 2,
    ACTIONS(19637), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690176] = 2,
    ACTIONS(19639), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690184] = 2,
    ACTIONS(19641), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690192] = 2,
    ACTIONS(19643), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690200] = 2,
    ACTIONS(19645), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690208] = 2,
    ACTIONS(19645), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690216] = 2,
    ACTIONS(19647), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690224] = 2,
    ACTIONS(19645), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690232] = 2,
    ACTIONS(19645), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690240] = 2,
    ACTIONS(19649), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690248] = 2,
    ACTIONS(19651), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690256] = 2,
    ACTIONS(19651), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690264] = 2,
    ACTIONS(19653), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690272] = 2,
    ACTIONS(19655), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690280] = 2,
    ACTIONS(19651), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690288] = 2,
    ACTIONS(19651), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690296] = 2,
    ACTIONS(19653), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690304] = 2,
    ACTIONS(19657), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690312] = 2,
    ACTIONS(19659), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690320] = 2,
    ACTIONS(19661), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690328] = 2,
    ACTIONS(19663), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690336] = 2,
    ACTIONS(19663), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690344] = 2,
    ACTIONS(19665), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690352] = 2,
    ACTIONS(19663), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690360] = 2,
    ACTIONS(19663), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690368] = 2,
    ACTIONS(19667), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690376] = 2,
    ACTIONS(19653), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690384] = 2,
    ACTIONS(17905), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690392] = 2,
    ACTIONS(19641), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690400] = 2,
    ACTIONS(19641), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690408] = 2,
    ACTIONS(19641), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690416] = 2,
    ACTIONS(19669), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690424] = 2,
    ACTIONS(19653), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690432] = 2,
    ACTIONS(19671), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690440] = 2,
    ACTIONS(19673), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690448] = 2,
    ACTIONS(19675), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690456] = 2,
    ACTIONS(19677), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690464] = 2,
    ACTIONS(19679), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690472] = 2,
    ACTIONS(17921), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690480] = 2,
    ACTIONS(19681), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690488] = 2,
    ACTIONS(19683), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690496] = 2,
    ACTIONS(19683), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690504] = 2,
    ACTIONS(19685), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690512] = 2,
    ACTIONS(19687), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690520] = 2,
    ACTIONS(19689), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690528] = 2,
    ACTIONS(19691), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690536] = 2,
    ACTIONS(19683), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690544] = 2,
    ACTIONS(19683), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690552] = 2,
    ACTIONS(19693), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690560] = 2,
    ACTIONS(17913), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690568] = 2,
    ACTIONS(19695), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690576] = 2,
    ACTIONS(19695), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690584] = 2,
    ACTIONS(19695), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690592] = 2,
    ACTIONS(19695), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690600] = 2,
    ACTIONS(19697), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690608] = 2,
    ACTIONS(19699), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690616] = 2,
    ACTIONS(19699), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690624] = 2,
    ACTIONS(19699), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690632] = 2,
    ACTIONS(19699), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690640] = 2,
    ACTIONS(19593), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690648] = 2,
    ACTIONS(17473), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690656] = 2,
    ACTIONS(19701), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690664] = 2,
    ACTIONS(19701), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690672] = 2,
    ACTIONS(19701), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690680] = 2,
    ACTIONS(19703), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690688] = 2,
    ACTIONS(19703), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690696] = 2,
    ACTIONS(19705), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690704] = 2,
    ACTIONS(19703), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690712] = 2,
    ACTIONS(19707), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690720] = 2,
    ACTIONS(19701), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690728] = 2,
    ACTIONS(19703), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690736] = 2,
    ACTIONS(19709), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690744] = 2,
    ACTIONS(19711), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690752] = 2,
    ACTIONS(19711), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690760] = 2,
    ACTIONS(19713), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690768] = 2,
    ACTIONS(19711), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690776] = 2,
    ACTIONS(19711), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690784] = 2,
    ACTIONS(19715), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690792] = 2,
    ACTIONS(19717), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690800] = 2,
    ACTIONS(19719), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690808] = 2,
    ACTIONS(19721), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690816] = 2,
    ACTIONS(19723), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690824] = 2,
    ACTIONS(19723), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690832] = 2,
    ACTIONS(19725), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690840] = 2,
    ACTIONS(19723), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690848] = 2,
    ACTIONS(19723), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690856] = 2,
    ACTIONS(19727), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690864] = 2,
    ACTIONS(19729), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690872] = 2,
    ACTIONS(19731), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690880] = 2,
    ACTIONS(19729), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690888] = 2,
    ACTIONS(19733), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690896] = 2,
    ACTIONS(19735), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690904] = 2,
    ACTIONS(19737), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690912] = 2,
    ACTIONS(19729), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690920] = 2,
    ACTIONS(19739), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690928] = 2,
    ACTIONS(19739), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690936] = 2,
    ACTIONS(19741), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690944] = 2,
    ACTIONS(19739), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690952] = 2,
    ACTIONS(19739), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690960] = 2,
    ACTIONS(19743), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690968] = 2,
    ACTIONS(19729), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690976] = 2,
    ACTIONS(19745), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690984] = 2,
    ACTIONS(19747), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [690992] = 2,
    ACTIONS(19749), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691000] = 2,
    ACTIONS(19721), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691008] = 2,
    ACTIONS(19751), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691016] = 2,
    ACTIONS(19721), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691024] = 2,
    ACTIONS(19753), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691032] = 2,
    ACTIONS(19755), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691040] = 2,
    ACTIONS(19721), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691048] = 2,
    ACTIONS(19757), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691056] = 2,
    ACTIONS(19603), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691064] = 2,
    ACTIONS(19759), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691072] = 2,
    ACTIONS(19603), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691080] = 2,
    ACTIONS(19761), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691088] = 2,
    ACTIONS(17929), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691096] = 2,
    ACTIONS(19763), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691104] = 2,
    ACTIONS(19765), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691112] = 2,
    ACTIONS(19767), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691120] = 2,
    ACTIONS(19769), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691128] = 2,
    ACTIONS(19771), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691136] = 2,
    ACTIONS(19771), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691144] = 2,
    ACTIONS(19773), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691152] = 2,
    ACTIONS(19771), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691160] = 2,
    ACTIONS(19771), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691168] = 2,
    ACTIONS(19775), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691176] = 2,
    ACTIONS(19777), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691184] = 2,
    ACTIONS(19779), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691192] = 2,
    ACTIONS(17937), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691200] = 2,
    ACTIONS(19781), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691208] = 2,
    ACTIONS(19783), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691216] = 2,
    ACTIONS(19785), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691224] = 2,
    ACTIONS(19787), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691232] = 2,
    ACTIONS(19785), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691240] = 2,
    ACTIONS(19789), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691248] = 2,
    ACTIONS(17537), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691256] = 2,
    ACTIONS(17945), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691264] = 2,
    ACTIONS(19791), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691272] = 2,
    ACTIONS(19785), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691280] = 2,
    ACTIONS(19785), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691288] = 2,
    ACTIONS(19793), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691296] = 2,
    ACTIONS(19795), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691304] = 2,
    ACTIONS(19797), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691312] = 2,
    ACTIONS(19797), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691320] = 2,
    ACTIONS(19797), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691328] = 2,
    ACTIONS(19797), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691336] = 2,
    ACTIONS(19799), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691344] = 2,
    ACTIONS(19801), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691352] = 2,
    ACTIONS(19803), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691360] = 2,
    ACTIONS(19803), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691368] = 2,
    ACTIONS(19803), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691376] = 2,
    ACTIONS(19803), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691384] = 2,
    ACTIONS(19801), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691392] = 2,
    ACTIONS(19805), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691400] = 2,
    ACTIONS(19807), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691408] = 2,
    ACTIONS(19801), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691416] = 2,
    ACTIONS(19809), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691424] = 2,
    ACTIONS(19801), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691432] = 2,
    ACTIONS(19811), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691440] = 2,
    ACTIONS(19813), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691448] = 2,
    ACTIONS(19815), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691456] = 2,
    ACTIONS(19817), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691464] = 2,
    ACTIONS(19819), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691472] = 2,
    ACTIONS(17953), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691480] = 2,
    ACTIONS(19821), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691488] = 2,
    ACTIONS(17957), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691496] = 2,
    ACTIONS(19823), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691504] = 2,
    ACTIONS(19825), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691512] = 2,
    ACTIONS(19827), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691520] = 2,
    ACTIONS(19827), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691528] = 2,
    ACTIONS(19829), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691536] = 2,
    ACTIONS(19827), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691544] = 2,
    ACTIONS(19827), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691552] = 2,
    ACTIONS(19831), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691560] = 2,
    ACTIONS(19833), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691568] = 2,
    ACTIONS(19835), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691576] = 2,
    ACTIONS(19837), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691584] = 2,
    ACTIONS(17481), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691592] = 2,
    ACTIONS(19839), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691600] = 2,
    ACTIONS(19841), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691608] = 2,
    ACTIONS(19843), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691616] = 2,
    ACTIONS(19845), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691624] = 2,
    ACTIONS(19845), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691632] = 2,
    ACTIONS(19847), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691640] = 2,
    ACTIONS(19845), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691648] = 2,
    ACTIONS(19845), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691656] = 2,
    ACTIONS(19767), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691664] = 2,
    ACTIONS(19843), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691672] = 2,
    ACTIONS(19849), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691680] = 2,
    ACTIONS(19851), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691688] = 2,
    ACTIONS(19843), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691696] = 2,
    ACTIONS(19843), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691704] = 2,
    ACTIONS(19853), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691712] = 2,
    ACTIONS(19855), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691720] = 2,
    ACTIONS(19857), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691728] = 2,
    ACTIONS(19857), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691736] = 2,
    ACTIONS(19859), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691744] = 2,
    ACTIONS(19857), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691752] = 2,
    ACTIONS(19861), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691760] = 2,
    ACTIONS(19857), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691768] = 2,
    ACTIONS(19863), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691776] = 2,
    ACTIONS(19865), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691784] = 2,
    ACTIONS(17967), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691792] = 2,
    ACTIONS(19767), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691800] = 2,
    ACTIONS(19767), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691808] = 2,
    ACTIONS(19867), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691816] = 2,
    ACTIONS(19853), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691824] = 2,
    ACTIONS(19869), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691832] = 2,
    ACTIONS(19853), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691840] = 2,
    ACTIONS(19853), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691848] = 2,
    ACTIONS(19867), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691856] = 2,
    ACTIONS(19629), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691864] = 2,
    ACTIONS(19629), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691872] = 2,
    ACTIONS(19871), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691880] = 2,
    ACTIONS(19873), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691888] = 2,
    ACTIONS(19875), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691896] = 2,
    ACTIONS(19877), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691904] = 2,
    ACTIONS(19879), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691912] = 2,
    ACTIONS(19879), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691920] = 2,
    ACTIONS(19881), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691928] = 2,
    ACTIONS(19883), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691936] = 2,
    ACTIONS(19879), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691944] = 2,
    ACTIONS(19885), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691952] = 2,
    ACTIONS(17979), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691960] = 2,
    ACTIONS(19887), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691968] = 2,
    ACTIONS(17489), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691976] = 2,
    ACTIONS(17407), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691984] = 2,
    ACTIONS(19889), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [691992] = 2,
    ACTIONS(19879), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692000] = 2,
    ACTIONS(19891), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692008] = 2,
    ACTIONS(19891), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692016] = 2,
    ACTIONS(19891), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692024] = 2,
    ACTIONS(19891), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692032] = 2,
    ACTIONS(19893), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692040] = 2,
    ACTIONS(19895), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692048] = 2,
    ACTIONS(19897), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692056] = 2,
    ACTIONS(19897), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692064] = 2,
    ACTIONS(19897), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692072] = 2,
    ACTIONS(19897), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692080] = 2,
    ACTIONS(17329), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692088] = 2,
    ACTIONS(19899), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692096] = 2,
    ACTIONS(17391), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692104] = 2,
    ACTIONS(19901), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692112] = 2,
    ACTIONS(19629), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692120] = 2,
    ACTIONS(19903), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692128] = 2,
    ACTIONS(17989), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692136] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(19905), 1,
      sym_id,
  [692146] = 2,
    ACTIONS(19907), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692154] = 2,
    ACTIONS(19909), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692162] = 2,
    ACTIONS(19911), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692170] = 2,
    ACTIONS(19913), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692178] = 2,
    ACTIONS(19913), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692186] = 2,
    ACTIONS(19915), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692194] = 2,
    ACTIONS(19913), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692202] = 2,
    ACTIONS(19913), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692210] = 2,
    ACTIONS(19917), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692218] = 2,
    ACTIONS(19909), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692226] = 2,
    ACTIONS(19919), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692234] = 2,
    ACTIONS(19921), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692242] = 2,
    ACTIONS(19923), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692250] = 2,
    ACTIONS(19925), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692258] = 2,
    ACTIONS(19927), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692266] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(19929), 1,
      sym_id,
  [692276] = 2,
    ACTIONS(19931), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692284] = 2,
    ACTIONS(19933), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692292] = 2,
    ACTIONS(19935), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692300] = 2,
    ACTIONS(19937), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692308] = 2,
    ACTIONS(19939), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692316] = 2,
    ACTIONS(19941), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692324] = 2,
    ACTIONS(19941), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692332] = 2,
    ACTIONS(19943), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692340] = 2,
    ACTIONS(19941), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692348] = 2,
    ACTIONS(19941), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692356] = 2,
    ACTIONS(19945), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692364] = 2,
    ACTIONS(19945), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692372] = 2,
    ACTIONS(19947), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692380] = 2,
    ACTIONS(19949), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692388] = 2,
    ACTIONS(15045), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692396] = 2,
    ACTIONS(19909), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692404] = 2,
    ACTIONS(19951), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692412] = 2,
    ACTIONS(19945), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692420] = 2,
    ACTIONS(19945), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692428] = 2,
    ACTIONS(19953), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692436] = 2,
    ACTIONS(19955), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692444] = 2,
    ACTIONS(19957), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692452] = 2,
    ACTIONS(19935), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692460] = 2,
    ACTIONS(19959), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692468] = 2,
    ACTIONS(19961), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692476] = 2,
    ACTIONS(19963), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692484] = 2,
    ACTIONS(17999), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692492] = 2,
    ACTIONS(19909), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692500] = 2,
    ACTIONS(19965), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692508] = 2,
    ACTIONS(19965), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692516] = 2,
    ACTIONS(19967), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692524] = 2,
    ACTIONS(19961), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692532] = 2,
    ACTIONS(19969), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692540] = 2,
    ACTIONS(19961), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692548] = 2,
    ACTIONS(19971), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692556] = 2,
    ACTIONS(19961), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692564] = 2,
    ACTIONS(19973), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692572] = 2,
    ACTIONS(19975), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692580] = 2,
    ACTIONS(19977), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692588] = 2,
    ACTIONS(19979), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692596] = 2,
    ACTIONS(19979), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692604] = 2,
    ACTIONS(19981), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692612] = 2,
    ACTIONS(18007), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692620] = 2,
    ACTIONS(19979), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692628] = 2,
    ACTIONS(19979), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692636] = 2,
    ACTIONS(19983), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692644] = 2,
    ACTIONS(19985), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692652] = 2,
    ACTIONS(19987), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692660] = 2,
    ACTIONS(19965), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692668] = 2,
    ACTIONS(19965), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692676] = 2,
    ACTIONS(19867), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692684] = 2,
    ACTIONS(19989), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692692] = 2,
    ACTIONS(19991), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692700] = 2,
    ACTIONS(19993), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692708] = 2,
    ACTIONS(19993), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692716] = 2,
    ACTIONS(19993), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692724] = 2,
    ACTIONS(19993), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692732] = 2,
    ACTIONS(19935), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692740] = 2,
    ACTIONS(19995), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692748] = 2,
    ACTIONS(19997), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692756] = 2,
    ACTIONS(19997), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692764] = 2,
    ACTIONS(19997), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692772] = 2,
    ACTIONS(19997), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692780] = 2,
    ACTIONS(19999), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692788] = 2,
    ACTIONS(19923), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692796] = 2,
    ACTIONS(18015), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692804] = 2,
    ACTIONS(20001), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692812] = 2,
    ACTIONS(20003), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692820] = 2,
    ACTIONS(20005), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692828] = 2,
    ACTIONS(20007), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692836] = 2,
    ACTIONS(20009), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692844] = 2,
    ACTIONS(20009), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692852] = 2,
    ACTIONS(20011), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692860] = 2,
    ACTIONS(20009), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692868] = 2,
    ACTIONS(20009), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692876] = 2,
    ACTIONS(19967), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692884] = 2,
    ACTIONS(20013), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692892] = 2,
    ACTIONS(19867), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692900] = 2,
    ACTIONS(20015), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692908] = 2,
    ACTIONS(20017), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692916] = 2,
    ACTIONS(19935), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692924] = 2,
    ACTIONS(20019), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692932] = 2,
    ACTIONS(20021), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692940] = 2,
    ACTIONS(20023), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692948] = 2,
    ACTIONS(20025), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692956] = 2,
    ACTIONS(20027), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692964] = 2,
    ACTIONS(20029), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692972] = 2,
    ACTIONS(18643), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692980] = 2,
    ACTIONS(18603), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692988] = 2,
    ACTIONS(20031), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [692996] = 2,
    ACTIONS(20033), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693004] = 2,
    ACTIONS(20035), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693012] = 2,
    ACTIONS(20037), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693020] = 2,
    ACTIONS(20037), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693028] = 2,
    ACTIONS(20039), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693036] = 2,
    ACTIONS(20037), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693044] = 2,
    ACTIONS(20037), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693052] = 2,
    ACTIONS(18025), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693060] = 2,
    ACTIONS(18603), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693068] = 2,
    ACTIONS(20041), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693076] = 2,
    ACTIONS(20043), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693084] = 2,
    ACTIONS(18603), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693092] = 2,
    ACTIONS(20045), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693100] = 2,
    ACTIONS(20017), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693108] = 2,
    ACTIONS(20017), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693116] = 2,
    ACTIONS(20047), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693124] = 2,
    ACTIONS(20017), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693132] = 2,
    ACTIONS(18029), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693140] = 2,
    ACTIONS(18035), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693148] = 2,
    ACTIONS(20049), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693156] = 2,
    ACTIONS(20051), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693164] = 2,
    ACTIONS(20053), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693172] = 2,
    ACTIONS(20055), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693180] = 2,
    ACTIONS(20057), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693188] = 2,
    ACTIONS(20055), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693196] = 2,
    ACTIONS(20059), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693204] = 2,
    ACTIONS(20055), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693212] = 2,
    ACTIONS(20055), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693220] = 2,
    ACTIONS(20061), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693228] = 2,
    ACTIONS(20063), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693236] = 2,
    ACTIONS(20061), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693244] = 2,
    ACTIONS(20061), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693252] = 2,
    ACTIONS(20065), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693260] = 2,
    ACTIONS(20067), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693268] = 2,
    ACTIONS(20069), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693276] = 2,
    ACTIONS(20071), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693284] = 2,
    ACTIONS(20067), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693292] = 2,
    ACTIONS(20073), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693300] = 2,
    ACTIONS(20067), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693308] = 2,
    ACTIONS(18047), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693316] = 2,
    ACTIONS(20063), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693324] = 2,
    ACTIONS(20067), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693332] = 2,
    ACTIONS(20075), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693340] = 2,
    ACTIONS(20077), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693348] = 2,
    ACTIONS(20061), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693356] = 2,
    ACTIONS(20079), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693364] = 2,
    ACTIONS(20081), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693372] = 2,
    ACTIONS(20083), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693380] = 2,
    ACTIONS(20085), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693388] = 2,
    ACTIONS(20087), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693396] = 2,
    ACTIONS(20089), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693404] = 2,
    ACTIONS(20089), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693412] = 2,
    ACTIONS(20089), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693420] = 2,
    ACTIONS(20089), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693428] = 2,
    ACTIONS(20091), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693436] = 2,
    ACTIONS(20091), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693444] = 2,
    ACTIONS(20093), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693452] = 2,
    ACTIONS(20093), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693460] = 2,
    ACTIONS(20093), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693468] = 2,
    ACTIONS(20093), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693476] = 2,
    ACTIONS(20091), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693484] = 2,
    ACTIONS(20091), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693492] = 2,
    ACTIONS(20095), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693500] = 2,
    ACTIONS(20097), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693508] = 2,
    ACTIONS(20099), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693516] = 2,
    ACTIONS(20101), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693524] = 2,
    ACTIONS(20103), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693532] = 2,
    ACTIONS(20105), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693540] = 2,
    ACTIONS(20103), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693548] = 2,
    ACTIONS(20107), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693556] = 2,
    ACTIONS(20103), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693564] = 2,
    ACTIONS(20103), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693572] = 2,
    ACTIONS(20109), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693580] = 2,
    ACTIONS(20111), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693588] = 2,
    ACTIONS(20113), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693596] = 2,
    ACTIONS(18057), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693604] = 2,
    ACTIONS(19923), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693612] = 2,
    ACTIONS(17505), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693620] = 2,
    ACTIONS(20063), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693628] = 2,
    ACTIONS(20115), 1,
      anon_sym_CATCHALL,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693636] = 2,
    ACTIONS(20063), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693644] = 2,
    ACTIONS(20025), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693652] = 2,
    ACTIONS(20117), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693660] = 2,
    ACTIONS(20119), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693668] = 2,
    ACTIONS(20121), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693676] = 2,
    ACTIONS(20123), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693684] = 2,
    ACTIONS(20123), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693692] = 2,
    ACTIONS(20125), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693700] = 2,
    ACTIONS(20127), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693708] = 2,
    ACTIONS(20129), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693716] = 2,
    ACTIONS(20121), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693724] = 2,
    ACTIONS(20131), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693732] = 2,
    ACTIONS(20121), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693740] = 2,
    ACTIONS(20121), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693748] = 2,
    ACTIONS(20123), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693756] = 2,
    ACTIONS(20123), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693764] = 2,
    ACTIONS(20133), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693772] = 2,
    ACTIONS(20135), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693780] = 2,
    ACTIONS(20137), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693788] = 2,
    ACTIONS(20139), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693796] = 2,
    ACTIONS(20141), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693804] = 2,
    ACTIONS(20139), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693812] = 2,
    ACTIONS(18065), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693820] = 2,
    ACTIONS(20143), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693828] = 2,
    ACTIONS(20145), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693836] = 2,
    ACTIONS(18069), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693844] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(20147), 1,
      sym_id,
  [693854] = 2,
    ACTIONS(20149), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693862] = 2,
    ACTIONS(20151), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693870] = 2,
    ACTIONS(20153), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693878] = 2,
    ACTIONS(20155), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693886] = 2,
    ACTIONS(20157), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693894] = 2,
    ACTIONS(20159), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693902] = 2,
    ACTIONS(20161), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693910] = 2,
    ACTIONS(20163), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693918] = 2,
    ACTIONS(20163), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693926] = 2,
    ACTIONS(20165), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693934] = 2,
    ACTIONS(20163), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693942] = 2,
    ACTIONS(20163), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693950] = 2,
    ACTIONS(20167), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693958] = 2,
    ACTIONS(20151), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693966] = 2,
    ACTIONS(20169), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693974] = 2,
    ACTIONS(20171), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693982] = 2,
    ACTIONS(20173), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693990] = 2,
    ACTIONS(20175), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [693998] = 2,
    ACTIONS(20151), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694006] = 2,
    ACTIONS(18079), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694014] = 2,
    ACTIONS(20177), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694022] = 2,
    ACTIONS(17515), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694030] = 2,
    ACTIONS(20151), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694038] = 2,
    ACTIONS(20179), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694046] = 2,
    ACTIONS(20181), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694054] = 2,
    ACTIONS(20183), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694062] = 2,
    ACTIONS(20149), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694070] = 2,
    ACTIONS(20185), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694078] = 2,
    ACTIONS(20187), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694086] = 2,
    ACTIONS(20189), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694094] = 2,
    ACTIONS(20189), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694102] = 2,
    ACTIONS(20189), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694110] = 2,
    ACTIONS(20189), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694118] = 2,
    ACTIONS(20191), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694126] = 2,
    ACTIONS(20193), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694134] = 2,
    ACTIONS(20195), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694142] = 2,
    ACTIONS(20195), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694150] = 2,
    ACTIONS(20195), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694158] = 2,
    ACTIONS(20195), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694166] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(20197), 1,
      sym_id,
  [694176] = 2,
    ACTIONS(20199), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694184] = 2,
    ACTIONS(20199), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694192] = 2,
    ACTIONS(20201), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694200] = 2,
    ACTIONS(20203), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694208] = 2,
    ACTIONS(20199), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694216] = 2,
    ACTIONS(20199), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694224] = 2,
    ACTIONS(20205), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694232] = 2,
    ACTIONS(20207), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694240] = 2,
    ACTIONS(20209), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694248] = 2,
    ACTIONS(18091), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694256] = 2,
    ACTIONS(20149), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694264] = 2,
    ACTIONS(20211), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694272] = 2,
    ACTIONS(20211), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694280] = 2,
    ACTIONS(20139), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694288] = 2,
    ACTIONS(20139), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694296] = 2,
    ACTIONS(20213), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694304] = 2,
    ACTIONS(20215), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694312] = 2,
    ACTIONS(20215), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694320] = 2,
    ACTIONS(20217), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694328] = 2,
    ACTIONS(20219), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694336] = 2,
    ACTIONS(20221), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694344] = 2,
    ACTIONS(20215), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694352] = 2,
    ACTIONS(20223), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694360] = 2,
    ACTIONS(20223), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694368] = 2,
    ACTIONS(20225), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694376] = 2,
    ACTIONS(20223), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694384] = 2,
    ACTIONS(20223), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694392] = 2,
    ACTIONS(20215), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694400] = 2,
    ACTIONS(20227), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694408] = 2,
    ACTIONS(20229), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694416] = 2,
    ACTIONS(20231), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694424] = 2,
    ACTIONS(20233), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694432] = 2,
    ACTIONS(20235), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694440] = 2,
    ACTIONS(20237), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694448] = 2,
    ACTIONS(18099), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694456] = 2,
    ACTIONS(20211), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694464] = 2,
    ACTIONS(20211), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694472] = 2,
    ACTIONS(20239), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694480] = 2,
    ACTIONS(20241), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694488] = 2,
    ACTIONS(20243), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694496] = 2,
    ACTIONS(18109), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694504] = 2,
    ACTIONS(20241), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694512] = 2,
    ACTIONS(20241), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694520] = 2,
    ACTIONS(20241), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694528] = 2,
    ACTIONS(20245), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694536] = 2,
    ACTIONS(20247), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694544] = 2,
    ACTIONS(20247), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694552] = 2,
    ACTIONS(20249), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694560] = 2,
    ACTIONS(20251), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694568] = 2,
    ACTIONS(20247), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694576] = 2,
    ACTIONS(20247), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694584] = 2,
    ACTIONS(20253), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694592] = 2,
    ACTIONS(20255), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694600] = 2,
    ACTIONS(20257), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694608] = 2,
    ACTIONS(20259), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694616] = 2,
    ACTIONS(20243), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694624] = 2,
    ACTIONS(20261), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694632] = 2,
    ACTIONS(20243), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694640] = 2,
    ACTIONS(18117), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694648] = 2,
    ACTIONS(20149), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694656] = 2,
    ACTIONS(17529), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694664] = 2,
    ACTIONS(20263), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694672] = 2,
    ACTIONS(20243), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694680] = 2,
    ACTIONS(20265), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694688] = 2,
    ACTIONS(20267), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694696] = 2,
    ACTIONS(20267), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694704] = 2,
    ACTIONS(20267), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694712] = 2,
    ACTIONS(20267), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694720] = 2,
    ACTIONS(20265), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694728] = 2,
    ACTIONS(19967), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694736] = 2,
    ACTIONS(20265), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694744] = 2,
    ACTIONS(20269), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694752] = 2,
    ACTIONS(20271), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694760] = 2,
    ACTIONS(20271), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694768] = 2,
    ACTIONS(20271), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694776] = 2,
    ACTIONS(20271), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694784] = 2,
    ACTIONS(20265), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694792] = 2,
    ACTIONS(20273), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694800] = 2,
    ACTIONS(20275), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694808] = 2,
    ACTIONS(20275), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694816] = 2,
    ACTIONS(20277), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694824] = 2,
    ACTIONS(20275), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694832] = 2,
    ACTIONS(20275), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694840] = 2,
    ACTIONS(20279), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694848] = 2,
    ACTIONS(20281), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694856] = 2,
    ACTIONS(20283), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694864] = 2,
    ACTIONS(20281), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694872] = 2,
    ACTIONS(20285), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694880] = 2,
    ACTIONS(20287), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694888] = 2,
    ACTIONS(20289), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694896] = 2,
    ACTIONS(20281), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694904] = 2,
    ACTIONS(20281), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694912] = 2,
    ACTIONS(18125), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694920] = 2,
    ACTIONS(20291), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694928] = 2,
    ACTIONS(20293), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694936] = 2,
    ACTIONS(20295), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694944] = 2,
    ACTIONS(20293), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694952] = 2,
    ACTIONS(20297), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694960] = 2,
    ACTIONS(20297), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694968] = 2,
    ACTIONS(20299), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694976] = 2,
    ACTIONS(20297), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694984] = 2,
    ACTIONS(20297), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [694992] = 2,
    ACTIONS(20301), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695000] = 2,
    ACTIONS(20293), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695008] = 2,
    ACTIONS(20293), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695016] = 2,
    ACTIONS(20303), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695024] = 2,
    ACTIONS(20305), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695032] = 2,
    ACTIONS(20307), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695040] = 2,
    ACTIONS(20309), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695048] = 2,
    ACTIONS(20311), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695056] = 2,
    ACTIONS(20313), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695064] = 2,
    ACTIONS(19333), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695072] = 2,
    ACTIONS(20315), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695080] = 2,
    ACTIONS(20317), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695088] = 2,
    ACTIONS(20317), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695096] = 2,
    ACTIONS(18133), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695104] = 2,
    ACTIONS(20319), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695112] = 2,
    ACTIONS(20321), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695120] = 2,
    ACTIONS(20323), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695128] = 2,
    ACTIONS(20325), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695136] = 2,
    ACTIONS(20317), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695144] = 2,
    ACTIONS(20327), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695152] = 2,
    ACTIONS(20329), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695160] = 2,
    ACTIONS(20331), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695168] = 2,
    ACTIONS(20331), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695176] = 2,
    ACTIONS(20333), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695184] = 2,
    ACTIONS(19967), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695192] = 2,
    ACTIONS(20331), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695200] = 2,
    ACTIONS(20335), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695208] = 2,
    ACTIONS(20337), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695216] = 2,
    ACTIONS(20331), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695224] = 2,
    ACTIONS(20339), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695232] = 2,
    ACTIONS(20341), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695240] = 2,
    ACTIONS(18141), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695248] = 2,
    ACTIONS(20323), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695256] = 2,
    ACTIONS(20343), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695264] = 2,
    ACTIONS(20323), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695272] = 2,
    ACTIONS(20345), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695280] = 2,
    ACTIONS(20341), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695288] = 2,
    ACTIONS(20347), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695296] = 2,
    ACTIONS(20349), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695304] = 2,
    ACTIONS(20351), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695312] = 2,
    ACTIONS(20351), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695320] = 2,
    ACTIONS(20351), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695328] = 2,
    ACTIONS(20351), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695336] = 2,
    ACTIONS(20341), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695344] = 2,
    ACTIONS(20341), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695352] = 2,
    ACTIONS(20353), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695360] = 2,
    ACTIONS(20353), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695368] = 2,
    ACTIONS(20353), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695376] = 2,
    ACTIONS(20353), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695384] = 2,
    ACTIONS(20317), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695392] = 2,
    ACTIONS(20355), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695400] = 2,
    ACTIONS(20357), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695408] = 2,
    ACTIONS(20359), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695416] = 2,
    ACTIONS(20359), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695424] = 2,
    ACTIONS(20361), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695432] = 2,
    ACTIONS(20363), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695440] = 2,
    ACTIONS(20359), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695448] = 2,
    ACTIONS(20359), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695456] = 2,
    ACTIONS(20365), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695464] = 2,
    ACTIONS(20367), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695472] = 2,
    ACTIONS(20369), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695480] = 2,
    ACTIONS(20371), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695488] = 2,
    ACTIONS(18151), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695496] = 2,
    ACTIONS(20323), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695504] = 2,
    ACTIONS(6795), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695512] = 2,
    ACTIONS(20373), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695520] = 2,
    ACTIONS(20375), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695528] = 2,
    ACTIONS(20377), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695536] = 2,
    ACTIONS(20379), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695544] = 2,
    ACTIONS(20381), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695552] = 2,
    ACTIONS(20381), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695560] = 2,
    ACTIONS(20383), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695568] = 2,
    ACTIONS(20385), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695576] = 2,
    ACTIONS(20385), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695584] = 2,
    ACTIONS(20387), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695592] = 2,
    ACTIONS(20385), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695600] = 2,
    ACTIONS(20385), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695608] = 2,
    ACTIONS(20389), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695616] = 2,
    ACTIONS(20381), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695624] = 2,
    ACTIONS(20391), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695632] = 2,
    ACTIONS(20393), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695640] = 2,
    ACTIONS(20381), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695648] = 2,
    ACTIONS(20395), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695656] = 2,
    ACTIONS(20397), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695664] = 2,
    ACTIONS(20399), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695672] = 2,
    ACTIONS(20401), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695680] = 2,
    ACTIONS(6435), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695688] = 2,
    ACTIONS(20355), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695696] = 2,
    ACTIONS(20403), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695704] = 2,
    ACTIONS(20355), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695712] = 2,
    ACTIONS(18159), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695720] = 2,
    ACTIONS(20405), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695728] = 2,
    ACTIONS(20397), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695736] = 2,
    ACTIONS(20407), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695744] = 2,
    ACTIONS(20409), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695752] = 2,
    ACTIONS(20411), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695760] = 2,
    ACTIONS(20413), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695768] = 2,
    ACTIONS(20415), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695776] = 2,
    ACTIONS(6789), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695784] = 2,
    ACTIONS(20417), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695792] = 2,
    ACTIONS(20415), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695800] = 2,
    ACTIONS(20419), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695808] = 2,
    ACTIONS(20421), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695816] = 2,
    ACTIONS(20423), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695824] = 2,
    ACTIONS(20415), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695832] = 2,
    ACTIONS(20425), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695840] = 2,
    ACTIONS(20427), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695848] = 2,
    ACTIONS(20415), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695856] = 2,
    ACTIONS(20429), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695864] = 2,
    ACTIONS(20431), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695872] = 2,
    ACTIONS(20433), 1,
      anon_sym_where,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695880] = 2,
    ACTIONS(18173), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695888] = 2,
    ACTIONS(20435), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695896] = 2,
    ACTIONS(20437), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695904] = 2,
    ACTIONS(18169), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695912] = 2,
    ACTIONS(20439), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695920] = 2,
    ACTIONS(20441), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695928] = 2,
    ACTIONS(20443), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695936] = 2,
    ACTIONS(20441), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695944] = 2,
    ACTIONS(20441), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695952] = 2,
    ACTIONS(20441), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695960] = 2,
    ACTIONS(20445), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695968] = 2,
    ACTIONS(20447), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695976] = 2,
    ACTIONS(20449), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695984] = 2,
    ACTIONS(20449), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [695992] = 2,
    ACTIONS(20451), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696000] = 2,
    ACTIONS(20453), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696008] = 2,
    ACTIONS(20453), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696016] = 2,
    ACTIONS(20449), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696024] = 2,
    ACTIONS(20455), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696032] = 2,
    ACTIONS(20453), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696040] = 2,
    ACTIONS(20453), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696048] = 2,
    ACTIONS(20457), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696056] = 2,
    ACTIONS(20459), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696064] = 2,
    ACTIONS(20461), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696072] = 2,
    ACTIONS(20447), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696080] = 2,
    ACTIONS(20461), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696088] = 2,
    ACTIONS(20463), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696096] = 2,
    ACTIONS(20465), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696104] = 2,
    ACTIONS(20465), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696112] = 2,
    ACTIONS(20467), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696120] = 2,
    ACTIONS(20469), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696128] = 2,
    ACTIONS(20465), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696136] = 2,
    ACTIONS(20465), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696144] = 2,
    ACTIONS(20461), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696152] = 2,
    ACTIONS(20471), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696160] = 2,
    ACTIONS(20447), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696168] = 2,
    ACTIONS(20461), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696176] = 2,
    ACTIONS(20473), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696184] = 2,
    ACTIONS(20475), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696192] = 2,
    ACTIONS(6503), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696200] = 2,
    ACTIONS(20449), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696208] = 2,
    ACTIONS(20477), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696216] = 2,
    ACTIONS(20479), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696224] = 2,
    ACTIONS(20481), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696232] = 2,
    ACTIONS(20481), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696240] = 2,
    ACTIONS(20447), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696248] = 2,
    ACTIONS(20483), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696256] = 2,
    ACTIONS(20485), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696264] = 2,
    ACTIONS(20481), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696272] = 2,
    ACTIONS(20481), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696280] = 2,
    ACTIONS(20487), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696288] = 2,
    ACTIONS(20489), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696296] = 2,
    ACTIONS(20491), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696304] = 2,
    ACTIONS(20491), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696312] = 2,
    ACTIONS(20493), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696320] = 2,
    ACTIONS(20495), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696328] = 2,
    ACTIONS(20491), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696336] = 2,
    ACTIONS(20491), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696344] = 2,
    ACTIONS(20497), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696352] = 2,
    ACTIONS(20499), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696360] = 2,
    ACTIONS(6691), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696368] = 2,
    ACTIONS(20355), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696376] = 2,
    ACTIONS(20501), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696384] = 2,
    ACTIONS(20503), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696392] = 2,
    ACTIONS(20025), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696400] = 2,
    ACTIONS(20025), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696408] = 2,
    ACTIONS(20505), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696416] = 2,
    ACTIONS(6673), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696424] = 2,
    ACTIONS(20507), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696432] = 2,
    ACTIONS(20509), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696440] = 2,
    ACTIONS(20511), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696448] = 2,
    ACTIONS(20509), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696456] = 2,
    ACTIONS(20513), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696464] = 2,
    ACTIONS(20509), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696472] = 2,
    ACTIONS(20515), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696480] = 2,
    ACTIONS(20513), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696488] = 2,
    ACTIONS(20517), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696496] = 2,
    ACTIONS(20519), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696504] = 2,
    ACTIONS(20521), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696512] = 2,
    ACTIONS(20513), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696520] = 2,
    ACTIONS(20513), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696528] = 2,
    ACTIONS(20523), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696536] = 2,
    ACTIONS(20525), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696544] = 2,
    ACTIONS(20523), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696552] = 2,
    ACTIONS(20527), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696560] = 2,
    ACTIONS(20523), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696568] = 2,
    ACTIONS(20529), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696576] = 2,
    ACTIONS(20531), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696584] = 2,
    ACTIONS(20533), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696592] = 2,
    ACTIONS(20523), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696600] = 2,
    ACTIONS(20535), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696608] = 2,
    ACTIONS(20537), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696616] = 2,
    ACTIONS(20509), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696624] = 2,
    ACTIONS(20539), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696632] = 2,
    ACTIONS(20541), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696640] = 2,
    ACTIONS(6543), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696648] = 2,
    ACTIONS(20543), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696656] = 2,
    ACTIONS(20545), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696664] = 2,
    ACTIONS(20547), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696672] = 2,
    ACTIONS(20549), 1,
      sym__indent,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696680] = 2,
    ACTIONS(6624), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696688] = 2,
    ACTIONS(20551), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696696] = 2,
    ACTIONS(20553), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696704] = 2,
    ACTIONS(20555), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696712] = 2,
    ACTIONS(18191), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696720] = 2,
    ACTIONS(20555), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696728] = 2,
    ACTIONS(20557), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696736] = 2,
    ACTIONS(20397), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696744] = 2,
    ACTIONS(20559), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696752] = 2,
    ACTIONS(20561), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696760] = 2,
    ACTIONS(20563), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696768] = 2,
    ACTIONS(20565), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696776] = 2,
    ACTIONS(20567), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696784] = 2,
    ACTIONS(20567), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696792] = 2,
    ACTIONS(20569), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696800] = 2,
    ACTIONS(20571), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696808] = 2,
    ACTIONS(20567), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696816] = 2,
    ACTIONS(20567), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696824] = 2,
    ACTIONS(20573), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696832] = 2,
    ACTIONS(20575), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696840] = 2,
    ACTIONS(20577), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696848] = 2,
    ACTIONS(20579), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696856] = 2,
    ACTIONS(20581), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696864] = 2,
    ACTIONS(20583), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696872] = 2,
    ACTIONS(20585), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696880] = 2,
    ACTIONS(20585), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696888] = 2,
    ACTIONS(20587), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696896] = 2,
    ACTIONS(20589), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696904] = 2,
    ACTIONS(20591), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696912] = 2,
    ACTIONS(20593), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696920] = 2,
    ACTIONS(20595), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696928] = 2,
    ACTIONS(20585), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696936] = 2,
    ACTIONS(20585), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696944] = 2,
    ACTIONS(20597), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696952] = 2,
    ACTIONS(20599), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696960] = 2,
    ACTIONS(20601), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696968] = 2,
    ACTIONS(18199), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696976] = 2,
    ACTIONS(20601), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696984] = 2,
    ACTIONS(20603), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [696992] = 2,
    ACTIONS(20605), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697000] = 2,
    ACTIONS(20607), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697008] = 2,
    ACTIONS(20609), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697016] = 2,
    ACTIONS(20611), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697024] = 2,
    ACTIONS(20613), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697032] = 2,
    ACTIONS(20601), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697040] = 2,
    ACTIONS(20601), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697048] = 2,
    ACTIONS(20615), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697056] = 2,
    ACTIONS(20617), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697064] = 2,
    ACTIONS(20619), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697072] = 2,
    ACTIONS(20555), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697080] = 2,
    ACTIONS(20621), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697088] = 2,
    ACTIONS(20619), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697096] = 2,
    ACTIONS(20619), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697104] = 2,
    ACTIONS(20623), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697112] = 2,
    ACTIONS(20625), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697120] = 2,
    ACTIONS(20619), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697128] = 2,
    ACTIONS(20555), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697136] = 2,
    ACTIONS(20627), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697144] = 2,
    ACTIONS(20629), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697152] = 2,
    ACTIONS(20631), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697160] = 2,
    ACTIONS(20633), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697168] = 2,
    ACTIONS(18207), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697176] = 2,
    ACTIONS(20635), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697184] = 2,
    ACTIONS(20633), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697192] = 2,
    ACTIONS(20633), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697200] = 2,
    ACTIONS(20637), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697208] = 2,
    ACTIONS(20639), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697216] = 2,
    ACTIONS(20633), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697224] = 2,
    ACTIONS(20637), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697232] = 2,
    ACTIONS(20641), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697240] = 2,
    ACTIONS(20643), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697248] = 2,
    ACTIONS(20645), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697256] = 2,
    ACTIONS(20645), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697264] = 2,
    ACTIONS(20647), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697272] = 2,
    ACTIONS(20649), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697280] = 2,
    ACTIONS(20645), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697288] = 2,
    ACTIONS(20645), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697296] = 2,
    ACTIONS(20651), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697304] = 2,
    ACTIONS(20653), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697312] = 2,
    ACTIONS(6677), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697320] = 2,
    ACTIONS(6681), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697328] = 2,
    ACTIONS(20655), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697336] = 2,
    ACTIONS(20657), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697344] = 2,
    ACTIONS(20659), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697352] = 2,
    ACTIONS(20637), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697360] = 2,
    ACTIONS(20661), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697368] = 2,
    ACTIONS(20663), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697376] = 2,
    ACTIONS(20665), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697384] = 2,
    ACTIONS(20667), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697392] = 2,
    ACTIONS(20637), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697400] = 2,
    ACTIONS(20669), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697408] = 2,
    ACTIONS(18215), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697416] = 2,
    ACTIONS(6687), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697424] = 2,
    ACTIONS(20671), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697432] = 2,
    ACTIONS(20673), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697440] = 2,
    ACTIONS(20675), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697448] = 2,
    ACTIONS(20675), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697456] = 2,
    ACTIONS(20677), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697464] = 2,
    ACTIONS(20679), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697472] = 2,
    ACTIONS(20675), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697480] = 2,
    ACTIONS(20675), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697488] = 2,
    ACTIONS(20681), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697496] = 2,
    ACTIONS(20683), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697504] = 2,
    ACTIONS(20685), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697512] = 2,
    ACTIONS(20687), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697520] = 2,
    ACTIONS(20689), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697528] = 2,
    ACTIONS(20691), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697536] = 2,
    ACTIONS(20693), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697544] = 2,
    ACTIONS(20693), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697552] = 2,
    ACTIONS(20695), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697560] = 2,
    ACTIONS(20697), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697568] = 2,
    ACTIONS(20699), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697576] = 2,
    ACTIONS(20693), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697584] = 2,
    ACTIONS(20701), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697592] = 2,
    ACTIONS(20703), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697600] = 2,
    ACTIONS(20693), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697608] = 2,
    ACTIONS(20705), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697616] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(20707), 1,
      sym_id,
  [697626] = 2,
    ACTIONS(20709), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697634] = 2,
    ACTIONS(20705), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697642] = 2,
    ACTIONS(20711), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697650] = 2,
    ACTIONS(20705), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697658] = 2,
    ACTIONS(20713), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697666] = 2,
    ACTIONS(20715), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697674] = 2,
    ACTIONS(20717), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697682] = 2,
    ACTIONS(20719), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697690] = 2,
    ACTIONS(20721), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697698] = 2,
    ACTIONS(20719), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697706] = 2,
    ACTIONS(20723), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697714] = 2,
    ACTIONS(20719), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697722] = 2,
    ACTIONS(20725), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697730] = 2,
    ACTIONS(20719), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697738] = 2,
    ACTIONS(20727), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697746] = 2,
    ACTIONS(20705), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697754] = 2,
    ACTIONS(20729), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697762] = 2,
    ACTIONS(20731), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697770] = 2,
    ACTIONS(20733), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697778] = 2,
    ACTIONS(20733), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697786] = 2,
    ACTIONS(20735), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697794] = 2,
    ACTIONS(18223), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697802] = 2,
    ACTIONS(20737), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697810] = 2,
    ACTIONS(20733), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697818] = 2,
    ACTIONS(20739), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697826] = 2,
    ACTIONS(20741), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697834] = 2,
    ACTIONS(20743), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697842] = 2,
    ACTIONS(20733), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697850] = 2,
    ACTIONS(20745), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697858] = 2,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697866] = 2,
    ACTIONS(20019), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697874] = 2,
    ACTIONS(20747), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697882] = 2,
    ACTIONS(20749), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697890] = 2,
    ACTIONS(20751), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697898] = 2,
    ACTIONS(20753), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697906] = 2,
    ACTIONS(20753), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697914] = 2,
    ACTIONS(20755), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697922] = 2,
    ACTIONS(20757), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697930] = 2,
    ACTIONS(20753), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697938] = 2,
    ACTIONS(20753), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697946] = 2,
    ACTIONS(20759), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697954] = 2,
    ACTIONS(20761), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697962] = 2,
    ACTIONS(20763), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697970] = 2,
    ACTIONS(20765), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697978] = 2,
    ACTIONS(20767), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697986] = 2,
    ACTIONS(20769), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [697994] = 2,
    ACTIONS(20771), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698002] = 2,
    ACTIONS(20773), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698010] = 2,
    ACTIONS(20775), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698018] = 2,
    ACTIONS(20777), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698026] = 2,
    ACTIONS(18233), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698034] = 2,
    ACTIONS(20743), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698042] = 2,
    ACTIONS(20779), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698050] = 2,
    ACTIONS(20781), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698058] = 2,
    ACTIONS(20783), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698066] = 2,
    ACTIONS(20785), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698074] = 2,
    ACTIONS(20787), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698082] = 2,
    ACTIONS(20743), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698090] = 2,
    ACTIONS(20785), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698098] = 2,
    ACTIONS(20789), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698106] = 2,
    ACTIONS(20791), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698114] = 2,
    ACTIONS(20793), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698122] = 2,
    ACTIONS(20795), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698130] = 2,
    ACTIONS(20797), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698138] = 2,
    ACTIONS(20799), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698146] = 2,
    ACTIONS(20795), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698154] = 2,
    ACTIONS(20795), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698162] = 2,
    ACTIONS(20797), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698170] = 2,
    ACTIONS(20801), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698178] = 2,
    ACTIONS(20795), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698186] = 2,
    ACTIONS(20803), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698194] = 2,
    ACTIONS(20797), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698202] = 2,
    ACTIONS(20805), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698210] = 2,
    ACTIONS(20807), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698218] = 2,
    ACTIONS(20807), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698226] = 2,
    ACTIONS(20797), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698234] = 2,
    ACTIONS(20809), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698242] = 2,
    ACTIONS(20807), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698250] = 2,
    ACTIONS(20807), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698258] = 2,
    ACTIONS(20811), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698266] = 2,
    ACTIONS(20813), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698274] = 2,
    ACTIONS(20785), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698282] = 2,
    ACTIONS(20815), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698290] = 2,
    ACTIONS(20785), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698298] = 2,
    ACTIONS(20817), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698306] = 2,
    ACTIONS(20019), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698314] = 2,
    ACTIONS(20819), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698322] = 2,
    ACTIONS(20397), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698330] = 2,
    ACTIONS(20821), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698338] = 2,
    ACTIONS(20823), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698346] = 2,
    ACTIONS(20825), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698354] = 2,
    ACTIONS(20827), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698362] = 2,
    ACTIONS(20829), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698370] = 2,
    ACTIONS(20831), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698378] = 2,
    ACTIONS(20831), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698386] = 2,
    ACTIONS(20833), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698394] = 2,
    ACTIONS(20835), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698402] = 2,
    ACTIONS(20831), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698410] = 2,
    ACTIONS(20831), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698418] = 2,
    ACTIONS(20837), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698426] = 2,
    ACTIONS(20839), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698434] = 2,
    ACTIONS(20825), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698442] = 2,
    ACTIONS(20841), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698450] = 2,
    ACTIONS(20843), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698458] = 2,
    ACTIONS(20845), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698466] = 2,
    ACTIONS(20825), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698474] = 2,
    ACTIONS(20847), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698482] = 2,
    ACTIONS(20825), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698490] = 2,
    ACTIONS(20849), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698498] = 2,
    ACTIONS(20851), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698506] = 2,
    ACTIONS(20853), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698514] = 2,
    ACTIONS(20855), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698522] = 2,
    ACTIONS(20857), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698530] = 2,
    ACTIONS(20859), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698538] = 2,
    ACTIONS(20861), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698546] = 2,
    ACTIONS(20863), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698554] = 2,
    ACTIONS(20865), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698562] = 2,
    ACTIONS(20863), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698570] = 2,
    ACTIONS(20867), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698578] = 2,
    ACTIONS(20869), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698586] = 2,
    ACTIONS(20871), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698594] = 2,
    ACTIONS(20867), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698602] = 2,
    ACTIONS(20873), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698610] = 2,
    ACTIONS(20863), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698618] = 2,
    ACTIONS(20875), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698626] = 2,
    ACTIONS(20867), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698634] = 2,
    ACTIONS(20867), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698642] = 2,
    ACTIONS(20863), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698650] = 2,
    ACTIONS(20877), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698658] = 2,
    ACTIONS(20879), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698666] = 2,
    ACTIONS(20881), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698674] = 2,
    ACTIONS(20883), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698682] = 2,
    ACTIONS(20885), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698690] = 2,
    ACTIONS(20887), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698698] = 2,
    ACTIONS(20889), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698706] = 2,
    ACTIONS(18241), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698714] = 2,
    ACTIONS(20891), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698722] = 2,
    ACTIONS(20893), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698730] = 2,
    ACTIONS(20895), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698738] = 2,
    ACTIONS(20897), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698746] = 2,
    ACTIONS(20899), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698754] = 2,
    ACTIONS(20897), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698762] = 2,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698770] = 2,
    ACTIONS(20819), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698778] = 2,
    ACTIONS(20901), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698786] = 2,
    ACTIONS(20903), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698794] = 2,
    ACTIONS(20905), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698802] = 2,
    ACTIONS(20907), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698810] = 2,
    ACTIONS(20909), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698818] = 2,
    ACTIONS(20911), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698826] = 2,
    ACTIONS(18249), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698834] = 2,
    ACTIONS(20911), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698842] = 2,
    ACTIONS(20913), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698850] = 2,
    ACTIONS(20897), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698858] = 2,
    ACTIONS(20897), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698866] = 2,
    ACTIONS(20915), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698874] = 2,
    ACTIONS(20917), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698882] = 2,
    ACTIONS(20919), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698890] = 2,
    ACTIONS(20911), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698898] = 2,
    ACTIONS(20911), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698906] = 2,
    ACTIONS(20921), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698914] = 2,
    ACTIONS(20923), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698922] = 2,
    ACTIONS(20925), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698930] = 2,
    ACTIONS(20927), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698938] = 2,
    ACTIONS(20929), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698946] = 2,
    ACTIONS(20931), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698954] = 2,
    ACTIONS(18257), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698962] = 2,
    ACTIONS(20933), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698970] = 2,
    ACTIONS(20935), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698978] = 2,
    ACTIONS(20743), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698986] = 2,
    ACTIONS(20741), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [698994] = 2,
    ACTIONS(20937), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699002] = 2,
    ACTIONS(20939), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699010] = 2,
    ACTIONS(20941), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699018] = 2,
    ACTIONS(20943), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699026] = 2,
    ACTIONS(20945), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699034] = 2,
    ACTIONS(20947), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699042] = 2,
    ACTIONS(20949), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699050] = 2,
    ACTIONS(20949), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699058] = 2,
    ACTIONS(20951), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699066] = 2,
    ACTIONS(20953), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699074] = 2,
    ACTIONS(18265), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699082] = 2,
    ACTIONS(20955), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699090] = 2,
    ACTIONS(20949), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699098] = 2,
    ACTIONS(20957), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699106] = 2,
    ACTIONS(20959), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699114] = 2,
    ACTIONS(20961), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699122] = 2,
    ACTIONS(20949), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699130] = 2,
    ACTIONS(20963), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699138] = 2,
    ACTIONS(20965), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699146] = 2,
    ACTIONS(20937), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699154] = 2,
    ACTIONS(20967), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699162] = 2,
    ACTIONS(20969), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699170] = 2,
    ACTIONS(20971), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699178] = 2,
    ACTIONS(20971), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699186] = 2,
    ACTIONS(20937), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699194] = 2,
    ACTIONS(20973), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699202] = 2,
    ACTIONS(20971), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699210] = 2,
    ACTIONS(20971), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699218] = 2,
    ACTIONS(20937), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699226] = 2,
    ACTIONS(20975), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699234] = 2,
    ACTIONS(20977), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699242] = 2,
    ACTIONS(20979), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699250] = 2,
    ACTIONS(20977), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699258] = 2,
    ACTIONS(20981), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699266] = 2,
    ACTIONS(20979), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699274] = 2,
    ACTIONS(20979), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699282] = 2,
    ACTIONS(20977), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699290] = 2,
    ACTIONS(20983), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699298] = 2,
    ACTIONS(20979), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699306] = 2,
    ACTIONS(20977), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699314] = 2,
    ACTIONS(20985), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699322] = 2,
    ACTIONS(20987), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699330] = 2,
    ACTIONS(20989), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699338] = 2,
    ACTIONS(20989), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699346] = 2,
    ACTIONS(20991), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699354] = 2,
    ACTIONS(20993), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699362] = 2,
    ACTIONS(20989), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699370] = 2,
    ACTIONS(20989), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699378] = 2,
    ACTIONS(20995), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699386] = 2,
    ACTIONS(20997), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699394] = 2,
    ACTIONS(20819), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699402] = 2,
    ACTIONS(20999), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699410] = 2,
    ACTIONS(20819), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699418] = 2,
    ACTIONS(21001), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699426] = 2,
    ACTIONS(21003), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699434] = 2,
    ACTIONS(20019), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699442] = 2,
    ACTIONS(21005), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699450] = 2,
    ACTIONS(21007), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699458] = 2,
    ACTIONS(18273), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699466] = 2,
    ACTIONS(21009), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699474] = 2,
    ACTIONS(21011), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699482] = 2,
    ACTIONS(21013), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699490] = 2,
    ACTIONS(21015), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699498] = 2,
    ACTIONS(21015), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699506] = 2,
    ACTIONS(21017), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699514] = 2,
    ACTIONS(21019), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699522] = 2,
    ACTIONS(21015), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699530] = 2,
    ACTIONS(21015), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699538] = 2,
    ACTIONS(21021), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699546] = 2,
    ACTIONS(21023), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699554] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21025), 1,
      sym_id,
  [699564] = 2,
    ACTIONS(21027), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699572] = 2,
    ACTIONS(21029), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699580] = 2,
    ACTIONS(21031), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699588] = 2,
    ACTIONS(21033), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699596] = 2,
    ACTIONS(21035), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699604] = 2,
    ACTIONS(21037), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699612] = 2,
    ACTIONS(21039), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699620] = 2,
    ACTIONS(21041), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699628] = 2,
    ACTIONS(21041), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699636] = 2,
    ACTIONS(20407), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699644] = 2,
    ACTIONS(21043), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699652] = 2,
    ACTIONS(21045), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699660] = 2,
    ACTIONS(21041), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699668] = 2,
    ACTIONS(21047), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699676] = 2,
    ACTIONS(21049), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699684] = 2,
    ACTIONS(21041), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699692] = 2,
    ACTIONS(21051), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699700] = 2,
    ACTIONS(21053), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699708] = 2,
    ACTIONS(21055), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699716] = 2,
    ACTIONS(21057), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699724] = 2,
    ACTIONS(21059), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699732] = 2,
    ACTIONS(21057), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699740] = 2,
    ACTIONS(21061), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699748] = 2,
    ACTIONS(21063), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699756] = 2,
    ACTIONS(21065), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699764] = 2,
    ACTIONS(21057), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699772] = 2,
    ACTIONS(21067), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699780] = 2,
    ACTIONS(21057), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699788] = 2,
    ACTIONS(21069), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699796] = 2,
    ACTIONS(21051), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699804] = 2,
    ACTIONS(21071), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699812] = 2,
    ACTIONS(21073), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699820] = 2,
    ACTIONS(21075), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699828] = 2,
    ACTIONS(21051), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699836] = 2,
    ACTIONS(21077), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699844] = 2,
    ACTIONS(21051), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699852] = 2,
    ACTIONS(20741), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699860] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21079), 1,
      sym_id,
  [699870] = 2,
    ACTIONS(21081), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699878] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21083), 1,
      sym_id,
  [699888] = 2,
    ACTIONS(20407), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699896] = 2,
    ACTIONS(21085), 1,
      sym__indent,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699904] = 2,
    ACTIONS(21087), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699912] = 2,
    ACTIONS(21089), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699920] = 2,
    ACTIONS(21091), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699928] = 2,
    ACTIONS(21093), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699936] = 2,
    ACTIONS(21093), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699944] = 2,
    ACTIONS(18283), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699952] = 2,
    ACTIONS(21095), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699960] = 2,
    ACTIONS(21095), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699968] = 2,
    ACTIONS(21097), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699976] = 2,
    ACTIONS(21095), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699984] = 2,
    ACTIONS(17629), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [699992] = 2,
    ACTIONS(21099), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700000] = 2,
    ACTIONS(21093), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700008] = 2,
    ACTIONS(21095), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700016] = 2,
    ACTIONS(21093), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700024] = 2,
    ACTIONS(21101), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700032] = 2,
    ACTIONS(21103), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700040] = 2,
    ACTIONS(21105), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700048] = 2,
    ACTIONS(18295), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700056] = 2,
    ACTIONS(21107), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700064] = 2,
    ACTIONS(21109), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700072] = 2,
    ACTIONS(21111), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700080] = 2,
    ACTIONS(20741), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700088] = 2,
    ACTIONS(21113), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700096] = 2,
    ACTIONS(21115), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700104] = 2,
    ACTIONS(21117), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700112] = 2,
    ACTIONS(21119), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700120] = 2,
    ACTIONS(18303), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700128] = 2,
    ACTIONS(21121), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700136] = 2,
    ACTIONS(21123), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700144] = 2,
    ACTIONS(17310), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700152] = 2,
    ACTIONS(21125), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700160] = 2,
    ACTIONS(21125), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700168] = 2,
    ACTIONS(21127), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700176] = 2,
    ACTIONS(21125), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700184] = 2,
    ACTIONS(21129), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700192] = 2,
    ACTIONS(21129), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700200] = 2,
    ACTIONS(21129), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700208] = 2,
    ACTIONS(21129), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700216] = 2,
    ACTIONS(21125), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700224] = 2,
    ACTIONS(21131), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700232] = 2,
    ACTIONS(21133), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700240] = 2,
    ACTIONS(21135), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700248] = 2,
    ACTIONS(21137), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700256] = 2,
    ACTIONS(21139), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700264] = 2,
    ACTIONS(21139), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700272] = 2,
    ACTIONS(21139), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700280] = 2,
    ACTIONS(21141), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700288] = 2,
    ACTIONS(21139), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700296] = 2,
    ACTIONS(21143), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700304] = 2,
    ACTIONS(18311), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700312] = 2,
    ACTIONS(21145), 1,
      sym__indent,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700320] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21147), 1,
      sym_id,
  [700330] = 2,
    ACTIONS(21149), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700338] = 2,
    ACTIONS(21151), 1,
      sym__indent,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700346] = 2,
    ACTIONS(21153), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700354] = 2,
    ACTIONS(21155), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700362] = 2,
    ACTIONS(21157), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700370] = 2,
    ACTIONS(21157), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700378] = 2,
    ACTIONS(21159), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700386] = 2,
    ACTIONS(18291), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700394] = 2,
    ACTIONS(17549), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700402] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21161), 1,
      sym_id,
  [700412] = 2,
    ACTIONS(21163), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700420] = 2,
    ACTIONS(21157), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700428] = 2,
    ACTIONS(21157), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700436] = 2,
    ACTIONS(21165), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700444] = 2,
    ACTIONS(21167), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700452] = 2,
    ACTIONS(21169), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700460] = 2,
    ACTIONS(18319), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700468] = 2,
    ACTIONS(21171), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700476] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21173), 1,
      sym_id,
  [700486] = 2,
    ACTIONS(21175), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700494] = 2,
    ACTIONS(21177), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700502] = 2,
    ACTIONS(21175), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700510] = 2,
    ACTIONS(21175), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700518] = 2,
    ACTIONS(21175), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700526] = 2,
    ACTIONS(21171), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700534] = 2,
    ACTIONS(18325), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700542] = 2,
    ACTIONS(21179), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700550] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21181), 1,
      sym_id,
  [700560] = 2,
    ACTIONS(21183), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700568] = 2,
    ACTIONS(21183), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700576] = 2,
    ACTIONS(21183), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700584] = 2,
    ACTIONS(21185), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700592] = 2,
    ACTIONS(21187), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700600] = 2,
    ACTIONS(21171), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700608] = 2,
    ACTIONS(18329), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700616] = 2,
    ACTIONS(21171), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700624] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21189), 1,
      sym_id,
  [700634] = 2,
    ACTIONS(21187), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700642] = 2,
    ACTIONS(21191), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700650] = 2,
    ACTIONS(21187), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700658] = 2,
    ACTIONS(21193), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700666] = 2,
    ACTIONS(21187), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700674] = 2,
    ACTIONS(21195), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700682] = 2,
    ACTIONS(18333), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700690] = 2,
    ACTIONS(21197), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700698] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21199), 1,
      sym_id,
  [700708] = 2,
    ACTIONS(21201), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700716] = 2,
    ACTIONS(21183), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700724] = 2,
    ACTIONS(21203), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700732] = 2,
    ACTIONS(21205), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700740] = 2,
    ACTIONS(21207), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700748] = 2,
    ACTIONS(21207), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700756] = 2,
    ACTIONS(18339), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700764] = 2,
    ACTIONS(21209), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700772] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21211), 1,
      sym_id,
  [700782] = 2,
    ACTIONS(21213), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700790] = 2,
    ACTIONS(20407), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700798] = 2,
    ACTIONS(18351), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700806] = 2,
    ACTIONS(21213), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700814] = 2,
    ACTIONS(21215), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700822] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21217), 1,
      sym_id,
  [700832] = 2,
    ACTIONS(18343), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700840] = 2,
    ACTIONS(21219), 1,
      anon_sym_to,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700848] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21221), 1,
      sym_id,
  [700858] = 2,
    ACTIONS(21213), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700866] = 2,
    ACTIONS(21223), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700874] = 2,
    ACTIONS(21225), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700882] = 2,
    ACTIONS(21213), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700890] = 2,
    ACTIONS(17192), 1,
      anon_sym_where,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700898] = 2,
    ACTIONS(21227), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700906] = 2,
    ACTIONS(18347), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700914] = 2,
    ACTIONS(21227), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700922] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21229), 1,
      sym_id,
  [700932] = 2,
    ACTIONS(21231), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700940] = 2,
    ACTIONS(21233), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700948] = 2,
    ACTIONS(21233), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700956] = 2,
    ACTIONS(21235), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700964] = 2,
    ACTIONS(21237), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700972] = 2,
    ACTIONS(21239), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700980] = 2,
    ACTIONS(18357), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700988] = 2,
    ACTIONS(21227), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [700996] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21241), 1,
      sym_id,
  [701006] = 2,
    ACTIONS(21227), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701014] = 2,
    ACTIONS(21243), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701022] = 2,
    ACTIONS(21233), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701030] = 2,
    ACTIONS(21233), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701038] = 2,
    ACTIONS(21245), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701046] = 2,
    ACTIONS(21247), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701054] = 2,
    ACTIONS(18361), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701062] = 2,
    ACTIONS(17559), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701070] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21249), 1,
      sym_id,
  [701080] = 2,
    ACTIONS(21251), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701088] = 2,
    ACTIONS(21253), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701096] = 2,
    ACTIONS(21255), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701104] = 2,
    ACTIONS(21255), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701112] = 2,
    ACTIONS(21255), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701120] = 2,
    ACTIONS(21207), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701128] = 2,
    ACTIONS(18365), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701136] = 2,
    ACTIONS(21257), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701144] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21259), 1,
      sym_id,
  [701154] = 2,
    ACTIONS(21255), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701162] = 2,
    ACTIONS(21261), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701170] = 2,
    ACTIONS(21263), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701178] = 2,
    ACTIONS(18375), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701186] = 2,
    ACTIONS(21265), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701194] = 2,
    ACTIONS(21207), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701202] = 2,
    ACTIONS(18371), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701210] = 2,
    ACTIONS(21267), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701218] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21269), 1,
      sym_id,
  [701228] = 2,
    ACTIONS(21271), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701236] = 2,
    ACTIONS(21273), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701244] = 2,
    ACTIONS(21275), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701252] = 2,
    ACTIONS(21277), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701260] = 2,
    ACTIONS(21279), 1,
      sym__indent,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701268] = 2,
    ACTIONS(21281), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701276] = 2,
    ACTIONS(18379), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701284] = 2,
    ACTIONS(21281), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701292] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21283), 1,
      sym_id,
  [701302] = 2,
    ACTIONS(21275), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701310] = 2,
    ACTIONS(21285), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701318] = 2,
    ACTIONS(21275), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701326] = 2,
    ACTIONS(21275), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701334] = 2,
    ACTIONS(21287), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701342] = 2,
    ACTIONS(21289), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701350] = 2,
    ACTIONS(18387), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701358] = 2,
    ACTIONS(21281), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701366] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21291), 1,
      sym_id,
  [701376] = 2,
    ACTIONS(21293), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701384] = 2,
    ACTIONS(21295), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701392] = 2,
    ACTIONS(21293), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701400] = 2,
    ACTIONS(21297), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701408] = 2,
    ACTIONS(21293), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701416] = 2,
    ACTIONS(21281), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701424] = 2,
    ACTIONS(18391), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701432] = 2,
    ACTIONS(21299), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701440] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21301), 1,
      sym_id,
  [701450] = 2,
    ACTIONS(21303), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701458] = 2,
    ACTIONS(21293), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701466] = 2,
    ACTIONS(21261), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701474] = 2,
    ACTIONS(21305), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701482] = 2,
    ACTIONS(21261), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701490] = 2,
    ACTIONS(17567), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701498] = 2,
    ACTIONS(18395), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701506] = 2,
    ACTIONS(21307), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701514] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21309), 1,
      sym_id,
  [701524] = 2,
    ACTIONS(21311), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701532] = 2,
    ACTIONS(21313), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701540] = 2,
    ACTIONS(21313), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701548] = 2,
    ACTIONS(18403), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701556] = 2,
    ACTIONS(21271), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701564] = 2,
    ACTIONS(21315), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701572] = 2,
    ACTIONS(18399), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701580] = 2,
    ACTIONS(21271), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701588] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21317), 1,
      sym_id,
  [701598] = 2,
    ACTIONS(21319), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701606] = 2,
    ACTIONS(21321), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701614] = 2,
    ACTIONS(21313), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701622] = 2,
    ACTIONS(21319), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701630] = 2,
    ACTIONS(21313), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701638] = 2,
    ACTIONS(21271), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701646] = 2,
    ACTIONS(18407), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701654] = 2,
    ACTIONS(21319), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701662] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21323), 1,
      sym_id,
  [701672] = 2,
    ACTIONS(21325), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701680] = 2,
    ACTIONS(21327), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701688] = 2,
    ACTIONS(21329), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701696] = 2,
    ACTIONS(21331), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701704] = 2,
    ACTIONS(21331), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701712] = 2,
    ACTIONS(21333), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701720] = 2,
    ACTIONS(18415), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701728] = 2,
    ACTIONS(21335), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701736] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21337), 1,
      sym_id,
  [701746] = 2,
    ACTIONS(21331), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701754] = 2,
    ACTIONS(21339), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701762] = 2,
    ACTIONS(18423), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701770] = 2,
    ACTIONS(21331), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701778] = 2,
    ACTIONS(21341), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701786] = 2,
    ACTIONS(21341), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701794] = 2,
    ACTIONS(18419), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701802] = 2,
    ACTIONS(21343), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701810] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21345), 1,
      sym_id,
  [701820] = 2,
    ACTIONS(21347), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701828] = 2,
    ACTIONS(21341), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701836] = 2,
    ACTIONS(21341), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701844] = 2,
    ACTIONS(21347), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701852] = 2,
    ACTIONS(21347), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701860] = 2,
    ACTIONS(21349), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701868] = 2,
    ACTIONS(18427), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701876] = 2,
    ACTIONS(21319), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701884] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21351), 1,
      sym_id,
  [701894] = 2,
    ACTIONS(21347), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701902] = 2,
    ACTIONS(21261), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701910] = 2,
    ACTIONS(21353), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701918] = 2,
    ACTIONS(21355), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701926] = 2,
    ACTIONS(21355), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701934] = 2,
    ACTIONS(21357), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701942] = 2,
    ACTIONS(18435), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701950] = 2,
    ACTIONS(21359), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701958] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21361), 1,
      sym_id,
  [701968] = 2,
    ACTIONS(21363), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701976] = 2,
    ACTIONS(21355), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701984] = 2,
    ACTIONS(21359), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [701992] = 2,
    ACTIONS(18439), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702000] = 2,
    ACTIONS(21359), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702008] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21365), 1,
      sym_id,
  [702018] = 2,
    ACTIONS(21355), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702026] = 2,
    ACTIONS(21367), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702034] = 2,
    ACTIONS(21369), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702042] = 2,
    ACTIONS(18443), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702050] = 2,
    ACTIONS(21371), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702058] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21373), 1,
      sym_id,
  [702068] = 2,
    ACTIONS(21375), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702076] = 2,
    ACTIONS(21377), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702084] = 2,
    ACTIONS(21359), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702092] = 2,
    ACTIONS(18447), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702100] = 2,
    ACTIONS(17593), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702108] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21379), 1,
      sym_id,
  [702118] = 2,
    ACTIONS(21381), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702126] = 2,
    ACTIONS(21383), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702134] = 2,
    ACTIONS(21385), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702142] = 2,
    ACTIONS(18451), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702150] = 2,
    ACTIONS(21387), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702158] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21389), 1,
      sym_id,
  [702168] = 2,
    ACTIONS(18459), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702176] = 2,
    ACTIONS(21387), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702184] = 2,
    ACTIONS(21391), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702192] = 2,
    ACTIONS(18455), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702200] = 2,
    ACTIONS(21387), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702208] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21393), 1,
      sym_id,
  [702218] = 2,
    ACTIONS(21387), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702226] = 2,
    ACTIONS(21395), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702234] = 2,
    ACTIONS(21397), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702242] = 2,
    ACTIONS(18463), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702250] = 2,
    ACTIONS(21399), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702258] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21401), 1,
      sym_id,
  [702268] = 2,
    ACTIONS(21403), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702276] = 2,
    ACTIONS(21405), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702284] = 2,
    ACTIONS(17575), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702292] = 2,
    ACTIONS(18471), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702300] = 2,
    ACTIONS(21407), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702308] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21409), 1,
      sym_id,
  [702318] = 2,
    ACTIONS(21405), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702326] = 2,
    ACTIONS(21411), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702334] = 2,
    ACTIONS(21413), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702342] = 2,
    ACTIONS(18475), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702350] = 2,
    ACTIONS(21415), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702358] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21417), 1,
      sym_id,
  [702368] = 2,
    ACTIONS(21405), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702376] = 2,
    ACTIONS(21405), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702384] = 2,
    ACTIONS(19333), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702392] = 2,
    ACTIONS(18479), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702400] = 2,
    ACTIONS(21419), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702408] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21421), 1,
      sym_id,
  [702418] = 2,
    ACTIONS(21423), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702426] = 2,
    ACTIONS(21425), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702434] = 2,
    ACTIONS(21397), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702442] = 2,
    ACTIONS(18483), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702450] = 2,
    ACTIONS(21427), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702458] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21429), 1,
      sym_id,
  [702468] = 2,
    ACTIONS(21431), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702476] = 2,
    ACTIONS(21425), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702484] = 2,
    ACTIONS(21433), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702492] = 2,
    ACTIONS(18487), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702500] = 2,
    ACTIONS(21433), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702508] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21435), 1,
      sym_id,
  [702518] = 2,
    ACTIONS(21425), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702526] = 2,
    ACTIONS(21425), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702534] = 2,
    ACTIONS(21437), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702542] = 2,
    ACTIONS(18491), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702550] = 2,
    ACTIONS(21433), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702558] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21439), 1,
      sym_id,
  [702568] = 2,
    ACTIONS(21441), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702576] = 2,
    ACTIONS(21433), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702584] = 2,
    ACTIONS(21443), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702592] = 2,
    ACTIONS(18495), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702600] = 2,
    ACTIONS(21397), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702608] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21445), 1,
      sym_id,
  [702618] = 2,
    ACTIONS(21441), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702626] = 2,
    ACTIONS(21447), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702634] = 2,
    ACTIONS(21449), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702642] = 2,
    ACTIONS(18501), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702650] = 2,
    ACTIONS(21397), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702658] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21451), 1,
      sym_id,
  [702668] = 2,
    ACTIONS(21453), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702676] = 2,
    ACTIONS(21453), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702684] = 2,
    ACTIONS(21455), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702692] = 2,
    ACTIONS(18505), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702700] = 2,
    ACTIONS(21369), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702708] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21457), 1,
      sym_id,
  [702718] = 2,
    ACTIONS(21459), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702726] = 2,
    ACTIONS(21453), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702734] = 2,
    ACTIONS(21455), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702742] = 2,
    ACTIONS(18509), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702750] = 2,
    ACTIONS(21461), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702758] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21463), 1,
      sym_id,
  [702768] = 2,
    ACTIONS(21453), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702776] = 2,
    ACTIONS(21465), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702784] = 2,
    ACTIONS(21467), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702792] = 2,
    ACTIONS(18513), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702800] = 2,
    ACTIONS(21469), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702808] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21471), 1,
      sym_id,
  [702818] = 2,
    ACTIONS(21441), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702826] = 2,
    ACTIONS(21473), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702834] = 2,
    ACTIONS(21475), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702842] = 2,
    ACTIONS(18517), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702850] = 2,
    ACTIONS(21475), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702858] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21477), 1,
      sym_id,
  [702868] = 2,
    ACTIONS(21441), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702876] = 2,
    ACTIONS(21375), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702884] = 2,
    ACTIONS(21479), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702892] = 2,
    ACTIONS(18521), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702900] = 2,
    ACTIONS(21475), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702908] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21481), 1,
      sym_id,
  [702918] = 2,
    ACTIONS(21475), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702926] = 2,
    ACTIONS(21483), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702934] = 2,
    ACTIONS(21455), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702942] = 2,
    ACTIONS(18525), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702950] = 2,
    ACTIONS(21485), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702958] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21487), 1,
      sym_id,
  [702968] = 2,
    ACTIONS(18533), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702976] = 2,
    ACTIONS(21455), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702984] = 2,
    ACTIONS(17585), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [702992] = 2,
    ACTIONS(18529), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703000] = 2,
    ACTIONS(21369), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703008] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21489), 1,
      sym_id,
  [703018] = 2,
    ACTIONS(21491), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703026] = 2,
    ACTIONS(21493), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703034] = 2,
    ACTIONS(18537), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703042] = 2,
    ACTIONS(21369), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703050] = 2,
    ACTIONS(21495), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703058] = 2,
    ACTIONS(18541), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703066] = 2,
    ACTIONS(21497), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703074] = 2,
    ACTIONS(21499), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703082] = 2,
    ACTIONS(18545), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703090] = 2,
    ACTIONS(21499), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703098] = 2,
    ACTIONS(21501), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703106] = 2,
    ACTIONS(18549), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703114] = 2,
    ACTIONS(21503), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703122] = 2,
    ACTIONS(21499), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703130] = 2,
    ACTIONS(18553), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703138] = 2,
    ACTIONS(21499), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703146] = 2,
    ACTIONS(21505), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703154] = 2,
    ACTIONS(18557), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703162] = 2,
    ACTIONS(21507), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703170] = 2,
    ACTIONS(21509), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703178] = 2,
    ACTIONS(18561), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703186] = 2,
    ACTIONS(21507), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703194] = 2,
    ACTIONS(21511), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703202] = 2,
    ACTIONS(18565), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703210] = 2,
    ACTIONS(21507), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703218] = 2,
    ACTIONS(21507), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703226] = 2,
    ACTIONS(18569), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703234] = 2,
    ACTIONS(21513), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703242] = 2,
    ACTIONS(17399), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703250] = 2,
    ACTIONS(18573), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703258] = 2,
    ACTIONS(21515), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703266] = 2,
    ACTIONS(21517), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703274] = 2,
    ACTIONS(18577), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703282] = 2,
    ACTIONS(21519), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703290] = 2,
    ACTIONS(18581), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703298] = 3,
    ACTIONS(3), 1,
      sym_pragma,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(21521), 1,
      sym_id,
  [703308] = 2,
    ACTIONS(18335), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703316] = 2,
    ACTIONS(21523), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703324] = 2,
    ACTIONS(21523), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703332] = 2,
    ACTIONS(21525), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703340] = 2,
    ACTIONS(21523), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703348] = 2,
    ACTIONS(21523), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703356] = 2,
    ACTIONS(21527), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703364] = 2,
    ACTIONS(21517), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703372] = 2,
    ACTIONS(21529), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703380] = 2,
    ACTIONS(21531), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703388] = 2,
    ACTIONS(21533), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703396] = 2,
    ACTIONS(21375), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703404] = 2,
    ACTIONS(21375), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703412] = 2,
    ACTIONS(21517), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703420] = 2,
    ACTIONS(17501), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703428] = 2,
    ACTIONS(21535), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703436] = 2,
    ACTIONS(21537), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703444] = 2,
    ACTIONS(21537), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703452] = 2,
    ACTIONS(21517), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703460] = 2,
    ACTIONS(21539), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703468] = 2,
    ACTIONS(21541), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703476] = 2,
    ACTIONS(21537), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703484] = 2,
    ACTIONS(21543), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703492] = 2,
    ACTIONS(21543), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703500] = 2,
    ACTIONS(21545), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703508] = 2,
    ACTIONS(21543), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703516] = 2,
    ACTIONS(21543), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703524] = 2,
    ACTIONS(21537), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703532] = 2,
    ACTIONS(21547), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703540] = 2,
    ACTIONS(21549), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703548] = 2,
    ACTIONS(21551), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703556] = 2,
    ACTIONS(21553), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703564] = 2,
    ACTIONS(21555), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703572] = 2,
    ACTIONS(21557), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703580] = 2,
    ACTIONS(21557), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703588] = 2,
    ACTIONS(21559), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703596] = 2,
    ACTIONS(16894), 1,
      anon_sym_where,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703604] = 2,
    ACTIONS(21557), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703612] = 2,
    ACTIONS(18591), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703620] = 2,
    ACTIONS(21561), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703628] = 2,
    ACTIONS(21563), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703636] = 2,
    ACTIONS(21565), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703644] = 2,
    ACTIONS(21567), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703652] = 2,
    ACTIONS(21557), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703660] = 2,
    ACTIONS(21569), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703668] = 2,
    ACTIONS(21571), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703676] = 2,
    ACTIONS(21571), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703684] = 2,
    ACTIONS(21573), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703692] = 2,
    ACTIONS(21571), 1,
      anon_sym_PIPE_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703700] = 2,
    ACTIONS(21575), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703708] = 2,
    ACTIONS(21577), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703716] = 2,
    ACTIONS(21571), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703724] = 2,
    ACTIONS(21579), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703732] = 2,
    ACTIONS(18105), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703740] = 2,
    ACTIONS(19333), 1,
      anon_sym_u2988,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703748] = 2,
    ACTIONS(18605), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703756] = 2,
    ACTIONS(18605), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703764] = 2,
    ACTIONS(21581), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703772] = 2,
    ACTIONS(21583), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703780] = 2,
    ACTIONS(21585), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703788] = 2,
    ACTIONS(21585), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703796] = 2,
    ACTIONS(21585), 1,
      anon_sym_u2984,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703804] = 2,
    ACTIONS(21585), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703812] = 2,
    ACTIONS(21587), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703820] = 2,
    ACTIONS(18643), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703828] = 2,
    ACTIONS(18643), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703836] = 2,
    ACTIONS(21589), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
  [703844] = 2,
    ACTIONS(21591), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_pragma,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(614)] = 0,
  [SMALL_STATE(615)] = 139,
  [SMALL_STATE(616)] = 278,
  [SMALL_STATE(617)] = 417,
  [SMALL_STATE(618)] = 556,
  [SMALL_STATE(619)] = 695,
  [SMALL_STATE(620)] = 834,
  [SMALL_STATE(621)] = 973,
  [SMALL_STATE(622)] = 1112,
  [SMALL_STATE(623)] = 1251,
  [SMALL_STATE(624)] = 1390,
  [SMALL_STATE(625)] = 1529,
  [SMALL_STATE(626)] = 1668,
  [SMALL_STATE(627)] = 1807,
  [SMALL_STATE(628)] = 1946,
  [SMALL_STATE(629)] = 2085,
  [SMALL_STATE(630)] = 2224,
  [SMALL_STATE(631)] = 2363,
  [SMALL_STATE(632)] = 2502,
  [SMALL_STATE(633)] = 2641,
  [SMALL_STATE(634)] = 2780,
  [SMALL_STATE(635)] = 2919,
  [SMALL_STATE(636)] = 3058,
  [SMALL_STATE(637)] = 3197,
  [SMALL_STATE(638)] = 3336,
  [SMALL_STATE(639)] = 3475,
  [SMALL_STATE(640)] = 3614,
  [SMALL_STATE(641)] = 3753,
  [SMALL_STATE(642)] = 3892,
  [SMALL_STATE(643)] = 4031,
  [SMALL_STATE(644)] = 4170,
  [SMALL_STATE(645)] = 4309,
  [SMALL_STATE(646)] = 4448,
  [SMALL_STATE(647)] = 4587,
  [SMALL_STATE(648)] = 4726,
  [SMALL_STATE(649)] = 4865,
  [SMALL_STATE(650)] = 5004,
  [SMALL_STATE(651)] = 5143,
  [SMALL_STATE(652)] = 5282,
  [SMALL_STATE(653)] = 5421,
  [SMALL_STATE(654)] = 5560,
  [SMALL_STATE(655)] = 5699,
  [SMALL_STATE(656)] = 5838,
  [SMALL_STATE(657)] = 5977,
  [SMALL_STATE(658)] = 6116,
  [SMALL_STATE(659)] = 6255,
  [SMALL_STATE(660)] = 6394,
  [SMALL_STATE(661)] = 6533,
  [SMALL_STATE(662)] = 6672,
  [SMALL_STATE(663)] = 6811,
  [SMALL_STATE(664)] = 6950,
  [SMALL_STATE(665)] = 7089,
  [SMALL_STATE(666)] = 7228,
  [SMALL_STATE(667)] = 7367,
  [SMALL_STATE(668)] = 7506,
  [SMALL_STATE(669)] = 7645,
  [SMALL_STATE(670)] = 7784,
  [SMALL_STATE(671)] = 7923,
  [SMALL_STATE(672)] = 8062,
  [SMALL_STATE(673)] = 8201,
  [SMALL_STATE(674)] = 8340,
  [SMALL_STATE(675)] = 8479,
  [SMALL_STATE(676)] = 8618,
  [SMALL_STATE(677)] = 8757,
  [SMALL_STATE(678)] = 8896,
  [SMALL_STATE(679)] = 9035,
  [SMALL_STATE(680)] = 9174,
  [SMALL_STATE(681)] = 9313,
  [SMALL_STATE(682)] = 9452,
  [SMALL_STATE(683)] = 9591,
  [SMALL_STATE(684)] = 9730,
  [SMALL_STATE(685)] = 9869,
  [SMALL_STATE(686)] = 10008,
  [SMALL_STATE(687)] = 10147,
  [SMALL_STATE(688)] = 10286,
  [SMALL_STATE(689)] = 10425,
  [SMALL_STATE(690)] = 10564,
  [SMALL_STATE(691)] = 10703,
  [SMALL_STATE(692)] = 10842,
  [SMALL_STATE(693)] = 10981,
  [SMALL_STATE(694)] = 11120,
  [SMALL_STATE(695)] = 11259,
  [SMALL_STATE(696)] = 11398,
  [SMALL_STATE(697)] = 11537,
  [SMALL_STATE(698)] = 11676,
  [SMALL_STATE(699)] = 11815,
  [SMALL_STATE(700)] = 11954,
  [SMALL_STATE(701)] = 12093,
  [SMALL_STATE(702)] = 12232,
  [SMALL_STATE(703)] = 12371,
  [SMALL_STATE(704)] = 12510,
  [SMALL_STATE(705)] = 12649,
  [SMALL_STATE(706)] = 12788,
  [SMALL_STATE(707)] = 12927,
  [SMALL_STATE(708)] = 13066,
  [SMALL_STATE(709)] = 13205,
  [SMALL_STATE(710)] = 13344,
  [SMALL_STATE(711)] = 13483,
  [SMALL_STATE(712)] = 13622,
  [SMALL_STATE(713)] = 13761,
  [SMALL_STATE(714)] = 13900,
  [SMALL_STATE(715)] = 14039,
  [SMALL_STATE(716)] = 14178,
  [SMALL_STATE(717)] = 14317,
  [SMALL_STATE(718)] = 14456,
  [SMALL_STATE(719)] = 14595,
  [SMALL_STATE(720)] = 14734,
  [SMALL_STATE(721)] = 14873,
  [SMALL_STATE(722)] = 15012,
  [SMALL_STATE(723)] = 15151,
  [SMALL_STATE(724)] = 15290,
  [SMALL_STATE(725)] = 15429,
  [SMALL_STATE(726)] = 15568,
  [SMALL_STATE(727)] = 15707,
  [SMALL_STATE(728)] = 15846,
  [SMALL_STATE(729)] = 15985,
  [SMALL_STATE(730)] = 16124,
  [SMALL_STATE(731)] = 16263,
  [SMALL_STATE(732)] = 16402,
  [SMALL_STATE(733)] = 16541,
  [SMALL_STATE(734)] = 16680,
  [SMALL_STATE(735)] = 16819,
  [SMALL_STATE(736)] = 16958,
  [SMALL_STATE(737)] = 17097,
  [SMALL_STATE(738)] = 17236,
  [SMALL_STATE(739)] = 17375,
  [SMALL_STATE(740)] = 17514,
  [SMALL_STATE(741)] = 17653,
  [SMALL_STATE(742)] = 17792,
  [SMALL_STATE(743)] = 17931,
  [SMALL_STATE(744)] = 18070,
  [SMALL_STATE(745)] = 18209,
  [SMALL_STATE(746)] = 18348,
  [SMALL_STATE(747)] = 18487,
  [SMALL_STATE(748)] = 18626,
  [SMALL_STATE(749)] = 18765,
  [SMALL_STATE(750)] = 18904,
  [SMALL_STATE(751)] = 19043,
  [SMALL_STATE(752)] = 19182,
  [SMALL_STATE(753)] = 19321,
  [SMALL_STATE(754)] = 19460,
  [SMALL_STATE(755)] = 19599,
  [SMALL_STATE(756)] = 19738,
  [SMALL_STATE(757)] = 19877,
  [SMALL_STATE(758)] = 20016,
  [SMALL_STATE(759)] = 20155,
  [SMALL_STATE(760)] = 20294,
  [SMALL_STATE(761)] = 20433,
  [SMALL_STATE(762)] = 20572,
  [SMALL_STATE(763)] = 20711,
  [SMALL_STATE(764)] = 20850,
  [SMALL_STATE(765)] = 20989,
  [SMALL_STATE(766)] = 21128,
  [SMALL_STATE(767)] = 21267,
  [SMALL_STATE(768)] = 21406,
  [SMALL_STATE(769)] = 21545,
  [SMALL_STATE(770)] = 21684,
  [SMALL_STATE(771)] = 21823,
  [SMALL_STATE(772)] = 21962,
  [SMALL_STATE(773)] = 22101,
  [SMALL_STATE(774)] = 22240,
  [SMALL_STATE(775)] = 22379,
  [SMALL_STATE(776)] = 22518,
  [SMALL_STATE(777)] = 22657,
  [SMALL_STATE(778)] = 22796,
  [SMALL_STATE(779)] = 22935,
  [SMALL_STATE(780)] = 23074,
  [SMALL_STATE(781)] = 23213,
  [SMALL_STATE(782)] = 23352,
  [SMALL_STATE(783)] = 23491,
  [SMALL_STATE(784)] = 23630,
  [SMALL_STATE(785)] = 23769,
  [SMALL_STATE(786)] = 23908,
  [SMALL_STATE(787)] = 24047,
  [SMALL_STATE(788)] = 24186,
  [SMALL_STATE(789)] = 24325,
  [SMALL_STATE(790)] = 24464,
  [SMALL_STATE(791)] = 24603,
  [SMALL_STATE(792)] = 24742,
  [SMALL_STATE(793)] = 24881,
  [SMALL_STATE(794)] = 25020,
  [SMALL_STATE(795)] = 25159,
  [SMALL_STATE(796)] = 25298,
  [SMALL_STATE(797)] = 25437,
  [SMALL_STATE(798)] = 25576,
  [SMALL_STATE(799)] = 25715,
  [SMALL_STATE(800)] = 25854,
  [SMALL_STATE(801)] = 25993,
  [SMALL_STATE(802)] = 26132,
  [SMALL_STATE(803)] = 26271,
  [SMALL_STATE(804)] = 26410,
  [SMALL_STATE(805)] = 26549,
  [SMALL_STATE(806)] = 26688,
  [SMALL_STATE(807)] = 26827,
  [SMALL_STATE(808)] = 26966,
  [SMALL_STATE(809)] = 27105,
  [SMALL_STATE(810)] = 27244,
  [SMALL_STATE(811)] = 27383,
  [SMALL_STATE(812)] = 27522,
  [SMALL_STATE(813)] = 27661,
  [SMALL_STATE(814)] = 27800,
  [SMALL_STATE(815)] = 27939,
  [SMALL_STATE(816)] = 28078,
  [SMALL_STATE(817)] = 28217,
  [SMALL_STATE(818)] = 28356,
  [SMALL_STATE(819)] = 28495,
  [SMALL_STATE(820)] = 28634,
  [SMALL_STATE(821)] = 28773,
  [SMALL_STATE(822)] = 28912,
  [SMALL_STATE(823)] = 29051,
  [SMALL_STATE(824)] = 29190,
  [SMALL_STATE(825)] = 29329,
  [SMALL_STATE(826)] = 29468,
  [SMALL_STATE(827)] = 29607,
  [SMALL_STATE(828)] = 29746,
  [SMALL_STATE(829)] = 29885,
  [SMALL_STATE(830)] = 30024,
  [SMALL_STATE(831)] = 30163,
  [SMALL_STATE(832)] = 30302,
  [SMALL_STATE(833)] = 30441,
  [SMALL_STATE(834)] = 30580,
  [SMALL_STATE(835)] = 30719,
  [SMALL_STATE(836)] = 30858,
  [SMALL_STATE(837)] = 30997,
  [SMALL_STATE(838)] = 31136,
  [SMALL_STATE(839)] = 31275,
  [SMALL_STATE(840)] = 31414,
  [SMALL_STATE(841)] = 31553,
  [SMALL_STATE(842)] = 31692,
  [SMALL_STATE(843)] = 31831,
  [SMALL_STATE(844)] = 31970,
  [SMALL_STATE(845)] = 32109,
  [SMALL_STATE(846)] = 32248,
  [SMALL_STATE(847)] = 32387,
  [SMALL_STATE(848)] = 32526,
  [SMALL_STATE(849)] = 32665,
  [SMALL_STATE(850)] = 32804,
  [SMALL_STATE(851)] = 32943,
  [SMALL_STATE(852)] = 33082,
  [SMALL_STATE(853)] = 33221,
  [SMALL_STATE(854)] = 33360,
  [SMALL_STATE(855)] = 33499,
  [SMALL_STATE(856)] = 33638,
  [SMALL_STATE(857)] = 33777,
  [SMALL_STATE(858)] = 33916,
  [SMALL_STATE(859)] = 34055,
  [SMALL_STATE(860)] = 34194,
  [SMALL_STATE(861)] = 34333,
  [SMALL_STATE(862)] = 34472,
  [SMALL_STATE(863)] = 34611,
  [SMALL_STATE(864)] = 34750,
  [SMALL_STATE(865)] = 34889,
  [SMALL_STATE(866)] = 35028,
  [SMALL_STATE(867)] = 35167,
  [SMALL_STATE(868)] = 35306,
  [SMALL_STATE(869)] = 35445,
  [SMALL_STATE(870)] = 35584,
  [SMALL_STATE(871)] = 35723,
  [SMALL_STATE(872)] = 35862,
  [SMALL_STATE(873)] = 36001,
  [SMALL_STATE(874)] = 36140,
  [SMALL_STATE(875)] = 36279,
  [SMALL_STATE(876)] = 36418,
  [SMALL_STATE(877)] = 36557,
  [SMALL_STATE(878)] = 36696,
  [SMALL_STATE(879)] = 36835,
  [SMALL_STATE(880)] = 36974,
  [SMALL_STATE(881)] = 37113,
  [SMALL_STATE(882)] = 37252,
  [SMALL_STATE(883)] = 37391,
  [SMALL_STATE(884)] = 37530,
  [SMALL_STATE(885)] = 37669,
  [SMALL_STATE(886)] = 37808,
  [SMALL_STATE(887)] = 37947,
  [SMALL_STATE(888)] = 38086,
  [SMALL_STATE(889)] = 38225,
  [SMALL_STATE(890)] = 38364,
  [SMALL_STATE(891)] = 38503,
  [SMALL_STATE(892)] = 38642,
  [SMALL_STATE(893)] = 38781,
  [SMALL_STATE(894)] = 38920,
  [SMALL_STATE(895)] = 39059,
  [SMALL_STATE(896)] = 39198,
  [SMALL_STATE(897)] = 39337,
  [SMALL_STATE(898)] = 39476,
  [SMALL_STATE(899)] = 39615,
  [SMALL_STATE(900)] = 39754,
  [SMALL_STATE(901)] = 39893,
  [SMALL_STATE(902)] = 40032,
  [SMALL_STATE(903)] = 40171,
  [SMALL_STATE(904)] = 40310,
  [SMALL_STATE(905)] = 40449,
  [SMALL_STATE(906)] = 40588,
  [SMALL_STATE(907)] = 40727,
  [SMALL_STATE(908)] = 40866,
  [SMALL_STATE(909)] = 41005,
  [SMALL_STATE(910)] = 41144,
  [SMALL_STATE(911)] = 41283,
  [SMALL_STATE(912)] = 41422,
  [SMALL_STATE(913)] = 41561,
  [SMALL_STATE(914)] = 41700,
  [SMALL_STATE(915)] = 41839,
  [SMALL_STATE(916)] = 41978,
  [SMALL_STATE(917)] = 42117,
  [SMALL_STATE(918)] = 42256,
  [SMALL_STATE(919)] = 42395,
  [SMALL_STATE(920)] = 42534,
  [SMALL_STATE(921)] = 42673,
  [SMALL_STATE(922)] = 42812,
  [SMALL_STATE(923)] = 42951,
  [SMALL_STATE(924)] = 43090,
  [SMALL_STATE(925)] = 43229,
  [SMALL_STATE(926)] = 43368,
  [SMALL_STATE(927)] = 43507,
  [SMALL_STATE(928)] = 43646,
  [SMALL_STATE(929)] = 43785,
  [SMALL_STATE(930)] = 43924,
  [SMALL_STATE(931)] = 44063,
  [SMALL_STATE(932)] = 44202,
  [SMALL_STATE(933)] = 44341,
  [SMALL_STATE(934)] = 44480,
  [SMALL_STATE(935)] = 44619,
  [SMALL_STATE(936)] = 44758,
  [SMALL_STATE(937)] = 44897,
  [SMALL_STATE(938)] = 45036,
  [SMALL_STATE(939)] = 45175,
  [SMALL_STATE(940)] = 45314,
  [SMALL_STATE(941)] = 45453,
  [SMALL_STATE(942)] = 45592,
  [SMALL_STATE(943)] = 45731,
  [SMALL_STATE(944)] = 45870,
  [SMALL_STATE(945)] = 46009,
  [SMALL_STATE(946)] = 46148,
  [SMALL_STATE(947)] = 46287,
  [SMALL_STATE(948)] = 46426,
  [SMALL_STATE(949)] = 46565,
  [SMALL_STATE(950)] = 46704,
  [SMALL_STATE(951)] = 46843,
  [SMALL_STATE(952)] = 46982,
  [SMALL_STATE(953)] = 47121,
  [SMALL_STATE(954)] = 47260,
  [SMALL_STATE(955)] = 47399,
  [SMALL_STATE(956)] = 47538,
  [SMALL_STATE(957)] = 47677,
  [SMALL_STATE(958)] = 47816,
  [SMALL_STATE(959)] = 47955,
  [SMALL_STATE(960)] = 48094,
  [SMALL_STATE(961)] = 48233,
  [SMALL_STATE(962)] = 48372,
  [SMALL_STATE(963)] = 48511,
  [SMALL_STATE(964)] = 48650,
  [SMALL_STATE(965)] = 48789,
  [SMALL_STATE(966)] = 48928,
  [SMALL_STATE(967)] = 49067,
  [SMALL_STATE(968)] = 49206,
  [SMALL_STATE(969)] = 49345,
  [SMALL_STATE(970)] = 49484,
  [SMALL_STATE(971)] = 49623,
  [SMALL_STATE(972)] = 49762,
  [SMALL_STATE(973)] = 49901,
  [SMALL_STATE(974)] = 50040,
  [SMALL_STATE(975)] = 50179,
  [SMALL_STATE(976)] = 50318,
  [SMALL_STATE(977)] = 50457,
  [SMALL_STATE(978)] = 50596,
  [SMALL_STATE(979)] = 50735,
  [SMALL_STATE(980)] = 50874,
  [SMALL_STATE(981)] = 51013,
  [SMALL_STATE(982)] = 51152,
  [SMALL_STATE(983)] = 51291,
  [SMALL_STATE(984)] = 51430,
  [SMALL_STATE(985)] = 51569,
  [SMALL_STATE(986)] = 51708,
  [SMALL_STATE(987)] = 51847,
  [SMALL_STATE(988)] = 51986,
  [SMALL_STATE(989)] = 52125,
  [SMALL_STATE(990)] = 52264,
  [SMALL_STATE(991)] = 52403,
  [SMALL_STATE(992)] = 52542,
  [SMALL_STATE(993)] = 52681,
  [SMALL_STATE(994)] = 52820,
  [SMALL_STATE(995)] = 52959,
  [SMALL_STATE(996)] = 53098,
  [SMALL_STATE(997)] = 53237,
  [SMALL_STATE(998)] = 53376,
  [SMALL_STATE(999)] = 53515,
  [SMALL_STATE(1000)] = 53654,
  [SMALL_STATE(1001)] = 53793,
  [SMALL_STATE(1002)] = 53932,
  [SMALL_STATE(1003)] = 54071,
  [SMALL_STATE(1004)] = 54210,
  [SMALL_STATE(1005)] = 54349,
  [SMALL_STATE(1006)] = 54488,
  [SMALL_STATE(1007)] = 54627,
  [SMALL_STATE(1008)] = 54766,
  [SMALL_STATE(1009)] = 54905,
  [SMALL_STATE(1010)] = 55044,
  [SMALL_STATE(1011)] = 55183,
  [SMALL_STATE(1012)] = 55322,
  [SMALL_STATE(1013)] = 55461,
  [SMALL_STATE(1014)] = 55600,
  [SMALL_STATE(1015)] = 55739,
  [SMALL_STATE(1016)] = 55878,
  [SMALL_STATE(1017)] = 56017,
  [SMALL_STATE(1018)] = 56156,
  [SMALL_STATE(1019)] = 56295,
  [SMALL_STATE(1020)] = 56434,
  [SMALL_STATE(1021)] = 56573,
  [SMALL_STATE(1022)] = 56712,
  [SMALL_STATE(1023)] = 56851,
  [SMALL_STATE(1024)] = 56990,
  [SMALL_STATE(1025)] = 57129,
  [SMALL_STATE(1026)] = 57268,
  [SMALL_STATE(1027)] = 57407,
  [SMALL_STATE(1028)] = 57546,
  [SMALL_STATE(1029)] = 57685,
  [SMALL_STATE(1030)] = 57824,
  [SMALL_STATE(1031)] = 57963,
  [SMALL_STATE(1032)] = 58102,
  [SMALL_STATE(1033)] = 58241,
  [SMALL_STATE(1034)] = 58380,
  [SMALL_STATE(1035)] = 58519,
  [SMALL_STATE(1036)] = 58658,
  [SMALL_STATE(1037)] = 58797,
  [SMALL_STATE(1038)] = 58936,
  [SMALL_STATE(1039)] = 59075,
  [SMALL_STATE(1040)] = 59214,
  [SMALL_STATE(1041)] = 59353,
  [SMALL_STATE(1042)] = 59492,
  [SMALL_STATE(1043)] = 59631,
  [SMALL_STATE(1044)] = 59770,
  [SMALL_STATE(1045)] = 59909,
  [SMALL_STATE(1046)] = 60048,
  [SMALL_STATE(1047)] = 60187,
  [SMALL_STATE(1048)] = 60326,
  [SMALL_STATE(1049)] = 60465,
  [SMALL_STATE(1050)] = 60604,
  [SMALL_STATE(1051)] = 60743,
  [SMALL_STATE(1052)] = 60882,
  [SMALL_STATE(1053)] = 61021,
  [SMALL_STATE(1054)] = 61160,
  [SMALL_STATE(1055)] = 61299,
  [SMALL_STATE(1056)] = 61438,
  [SMALL_STATE(1057)] = 61577,
  [SMALL_STATE(1058)] = 61716,
  [SMALL_STATE(1059)] = 61855,
  [SMALL_STATE(1060)] = 61994,
  [SMALL_STATE(1061)] = 62133,
  [SMALL_STATE(1062)] = 62272,
  [SMALL_STATE(1063)] = 62411,
  [SMALL_STATE(1064)] = 62550,
  [SMALL_STATE(1065)] = 62689,
  [SMALL_STATE(1066)] = 62828,
  [SMALL_STATE(1067)] = 62967,
  [SMALL_STATE(1068)] = 63106,
  [SMALL_STATE(1069)] = 63245,
  [SMALL_STATE(1070)] = 63384,
  [SMALL_STATE(1071)] = 63523,
  [SMALL_STATE(1072)] = 63662,
  [SMALL_STATE(1073)] = 63801,
  [SMALL_STATE(1074)] = 63940,
  [SMALL_STATE(1075)] = 64079,
  [SMALL_STATE(1076)] = 64218,
  [SMALL_STATE(1077)] = 64357,
  [SMALL_STATE(1078)] = 64496,
  [SMALL_STATE(1079)] = 64635,
  [SMALL_STATE(1080)] = 64774,
  [SMALL_STATE(1081)] = 64913,
  [SMALL_STATE(1082)] = 65052,
  [SMALL_STATE(1083)] = 65191,
  [SMALL_STATE(1084)] = 65330,
  [SMALL_STATE(1085)] = 65469,
  [SMALL_STATE(1086)] = 65608,
  [SMALL_STATE(1087)] = 65747,
  [SMALL_STATE(1088)] = 65886,
  [SMALL_STATE(1089)] = 66025,
  [SMALL_STATE(1090)] = 66164,
  [SMALL_STATE(1091)] = 66303,
  [SMALL_STATE(1092)] = 66442,
  [SMALL_STATE(1093)] = 66581,
  [SMALL_STATE(1094)] = 66720,
  [SMALL_STATE(1095)] = 66859,
  [SMALL_STATE(1096)] = 66998,
  [SMALL_STATE(1097)] = 67137,
  [SMALL_STATE(1098)] = 67276,
  [SMALL_STATE(1099)] = 67415,
  [SMALL_STATE(1100)] = 67554,
  [SMALL_STATE(1101)] = 67693,
  [SMALL_STATE(1102)] = 67832,
  [SMALL_STATE(1103)] = 67971,
  [SMALL_STATE(1104)] = 68110,
  [SMALL_STATE(1105)] = 68249,
  [SMALL_STATE(1106)] = 68388,
  [SMALL_STATE(1107)] = 68527,
  [SMALL_STATE(1108)] = 68666,
  [SMALL_STATE(1109)] = 68805,
  [SMALL_STATE(1110)] = 68944,
  [SMALL_STATE(1111)] = 69083,
  [SMALL_STATE(1112)] = 69222,
  [SMALL_STATE(1113)] = 69361,
  [SMALL_STATE(1114)] = 69500,
  [SMALL_STATE(1115)] = 69639,
  [SMALL_STATE(1116)] = 69778,
  [SMALL_STATE(1117)] = 69917,
  [SMALL_STATE(1118)] = 70056,
  [SMALL_STATE(1119)] = 70195,
  [SMALL_STATE(1120)] = 70334,
  [SMALL_STATE(1121)] = 70473,
  [SMALL_STATE(1122)] = 70612,
  [SMALL_STATE(1123)] = 70751,
  [SMALL_STATE(1124)] = 70890,
  [SMALL_STATE(1125)] = 71029,
  [SMALL_STATE(1126)] = 71168,
  [SMALL_STATE(1127)] = 71307,
  [SMALL_STATE(1128)] = 71446,
  [SMALL_STATE(1129)] = 71585,
  [SMALL_STATE(1130)] = 71728,
  [SMALL_STATE(1131)] = 71871,
  [SMALL_STATE(1132)] = 72010,
  [SMALL_STATE(1133)] = 72149,
  [SMALL_STATE(1134)] = 72288,
  [SMALL_STATE(1135)] = 72427,
  [SMALL_STATE(1136)] = 72566,
  [SMALL_STATE(1137)] = 72705,
  [SMALL_STATE(1138)] = 72844,
  [SMALL_STATE(1139)] = 72983,
  [SMALL_STATE(1140)] = 73126,
  [SMALL_STATE(1141)] = 73265,
  [SMALL_STATE(1142)] = 73404,
  [SMALL_STATE(1143)] = 73543,
  [SMALL_STATE(1144)] = 73682,
  [SMALL_STATE(1145)] = 73825,
  [SMALL_STATE(1146)] = 73964,
  [SMALL_STATE(1147)] = 74103,
  [SMALL_STATE(1148)] = 74242,
  [SMALL_STATE(1149)] = 74381,
  [SMALL_STATE(1150)] = 74520,
  [SMALL_STATE(1151)] = 74659,
  [SMALL_STATE(1152)] = 74798,
  [SMALL_STATE(1153)] = 74937,
  [SMALL_STATE(1154)] = 75076,
  [SMALL_STATE(1155)] = 75215,
  [SMALL_STATE(1156)] = 75354,
  [SMALL_STATE(1157)] = 75493,
  [SMALL_STATE(1158)] = 75632,
  [SMALL_STATE(1159)] = 75771,
  [SMALL_STATE(1160)] = 75910,
  [SMALL_STATE(1161)] = 76049,
  [SMALL_STATE(1162)] = 76188,
  [SMALL_STATE(1163)] = 76327,
  [SMALL_STATE(1164)] = 76466,
  [SMALL_STATE(1165)] = 76605,
  [SMALL_STATE(1166)] = 76744,
  [SMALL_STATE(1167)] = 76883,
  [SMALL_STATE(1168)] = 77022,
  [SMALL_STATE(1169)] = 77161,
  [SMALL_STATE(1170)] = 77300,
  [SMALL_STATE(1171)] = 77439,
  [SMALL_STATE(1172)] = 77578,
  [SMALL_STATE(1173)] = 77717,
  [SMALL_STATE(1174)] = 77856,
  [SMALL_STATE(1175)] = 77995,
  [SMALL_STATE(1176)] = 78134,
  [SMALL_STATE(1177)] = 78273,
  [SMALL_STATE(1178)] = 78412,
  [SMALL_STATE(1179)] = 78551,
  [SMALL_STATE(1180)] = 78690,
  [SMALL_STATE(1181)] = 78829,
  [SMALL_STATE(1182)] = 78968,
  [SMALL_STATE(1183)] = 79107,
  [SMALL_STATE(1184)] = 79246,
  [SMALL_STATE(1185)] = 79385,
  [SMALL_STATE(1186)] = 79524,
  [SMALL_STATE(1187)] = 79663,
  [SMALL_STATE(1188)] = 79802,
  [SMALL_STATE(1189)] = 79941,
  [SMALL_STATE(1190)] = 80080,
  [SMALL_STATE(1191)] = 80219,
  [SMALL_STATE(1192)] = 80358,
  [SMALL_STATE(1193)] = 80497,
  [SMALL_STATE(1194)] = 80636,
  [SMALL_STATE(1195)] = 80775,
  [SMALL_STATE(1196)] = 80914,
  [SMALL_STATE(1197)] = 81053,
  [SMALL_STATE(1198)] = 81192,
  [SMALL_STATE(1199)] = 81331,
  [SMALL_STATE(1200)] = 81470,
  [SMALL_STATE(1201)] = 81609,
  [SMALL_STATE(1202)] = 81748,
  [SMALL_STATE(1203)] = 81887,
  [SMALL_STATE(1204)] = 82026,
  [SMALL_STATE(1205)] = 82165,
  [SMALL_STATE(1206)] = 82304,
  [SMALL_STATE(1207)] = 82443,
  [SMALL_STATE(1208)] = 82582,
  [SMALL_STATE(1209)] = 82721,
  [SMALL_STATE(1210)] = 82860,
  [SMALL_STATE(1211)] = 82999,
  [SMALL_STATE(1212)] = 83138,
  [SMALL_STATE(1213)] = 83277,
  [SMALL_STATE(1214)] = 83416,
  [SMALL_STATE(1215)] = 83555,
  [SMALL_STATE(1216)] = 83694,
  [SMALL_STATE(1217)] = 83833,
  [SMALL_STATE(1218)] = 83972,
  [SMALL_STATE(1219)] = 84111,
  [SMALL_STATE(1220)] = 84250,
  [SMALL_STATE(1221)] = 84389,
  [SMALL_STATE(1222)] = 84528,
  [SMALL_STATE(1223)] = 84667,
  [SMALL_STATE(1224)] = 84806,
  [SMALL_STATE(1225)] = 84945,
  [SMALL_STATE(1226)] = 85084,
  [SMALL_STATE(1227)] = 85223,
  [SMALL_STATE(1228)] = 85362,
  [SMALL_STATE(1229)] = 85501,
  [SMALL_STATE(1230)] = 85640,
  [SMALL_STATE(1231)] = 85779,
  [SMALL_STATE(1232)] = 85918,
  [SMALL_STATE(1233)] = 86057,
  [SMALL_STATE(1234)] = 86196,
  [SMALL_STATE(1235)] = 86335,
  [SMALL_STATE(1236)] = 86474,
  [SMALL_STATE(1237)] = 86613,
  [SMALL_STATE(1238)] = 86752,
  [SMALL_STATE(1239)] = 86891,
  [SMALL_STATE(1240)] = 87030,
  [SMALL_STATE(1241)] = 87169,
  [SMALL_STATE(1242)] = 87308,
  [SMALL_STATE(1243)] = 87447,
  [SMALL_STATE(1244)] = 87586,
  [SMALL_STATE(1245)] = 87725,
  [SMALL_STATE(1246)] = 87864,
  [SMALL_STATE(1247)] = 88003,
  [SMALL_STATE(1248)] = 88142,
  [SMALL_STATE(1249)] = 88281,
  [SMALL_STATE(1250)] = 88420,
  [SMALL_STATE(1251)] = 88559,
  [SMALL_STATE(1252)] = 88698,
  [SMALL_STATE(1253)] = 88837,
  [SMALL_STATE(1254)] = 88976,
  [SMALL_STATE(1255)] = 89115,
  [SMALL_STATE(1256)] = 89254,
  [SMALL_STATE(1257)] = 89393,
  [SMALL_STATE(1258)] = 89532,
  [SMALL_STATE(1259)] = 89671,
  [SMALL_STATE(1260)] = 89810,
  [SMALL_STATE(1261)] = 89949,
  [SMALL_STATE(1262)] = 90088,
  [SMALL_STATE(1263)] = 90227,
  [SMALL_STATE(1264)] = 90366,
  [SMALL_STATE(1265)] = 90505,
  [SMALL_STATE(1266)] = 90644,
  [SMALL_STATE(1267)] = 90783,
  [SMALL_STATE(1268)] = 90922,
  [SMALL_STATE(1269)] = 91061,
  [SMALL_STATE(1270)] = 91200,
  [SMALL_STATE(1271)] = 91339,
  [SMALL_STATE(1272)] = 91478,
  [SMALL_STATE(1273)] = 91617,
  [SMALL_STATE(1274)] = 91756,
  [SMALL_STATE(1275)] = 91895,
  [SMALL_STATE(1276)] = 92034,
  [SMALL_STATE(1277)] = 92173,
  [SMALL_STATE(1278)] = 92312,
  [SMALL_STATE(1279)] = 92451,
  [SMALL_STATE(1280)] = 92590,
  [SMALL_STATE(1281)] = 92729,
  [SMALL_STATE(1282)] = 92868,
  [SMALL_STATE(1283)] = 93007,
  [SMALL_STATE(1284)] = 93146,
  [SMALL_STATE(1285)] = 93285,
  [SMALL_STATE(1286)] = 93424,
  [SMALL_STATE(1287)] = 93563,
  [SMALL_STATE(1288)] = 93702,
  [SMALL_STATE(1289)] = 93841,
  [SMALL_STATE(1290)] = 93980,
  [SMALL_STATE(1291)] = 94119,
  [SMALL_STATE(1292)] = 94258,
  [SMALL_STATE(1293)] = 94397,
  [SMALL_STATE(1294)] = 94536,
  [SMALL_STATE(1295)] = 94675,
  [SMALL_STATE(1296)] = 94814,
  [SMALL_STATE(1297)] = 94953,
  [SMALL_STATE(1298)] = 95092,
  [SMALL_STATE(1299)] = 95231,
  [SMALL_STATE(1300)] = 95370,
  [SMALL_STATE(1301)] = 95509,
  [SMALL_STATE(1302)] = 95648,
  [SMALL_STATE(1303)] = 95787,
  [SMALL_STATE(1304)] = 95926,
  [SMALL_STATE(1305)] = 96065,
  [SMALL_STATE(1306)] = 96204,
  [SMALL_STATE(1307)] = 96343,
  [SMALL_STATE(1308)] = 96482,
  [SMALL_STATE(1309)] = 96621,
  [SMALL_STATE(1310)] = 96760,
  [SMALL_STATE(1311)] = 96899,
  [SMALL_STATE(1312)] = 97038,
  [SMALL_STATE(1313)] = 97177,
  [SMALL_STATE(1314)] = 97316,
  [SMALL_STATE(1315)] = 97455,
  [SMALL_STATE(1316)] = 97594,
  [SMALL_STATE(1317)] = 97733,
  [SMALL_STATE(1318)] = 97872,
  [SMALL_STATE(1319)] = 98011,
  [SMALL_STATE(1320)] = 98150,
  [SMALL_STATE(1321)] = 98289,
  [SMALL_STATE(1322)] = 98428,
  [SMALL_STATE(1323)] = 98567,
  [SMALL_STATE(1324)] = 98706,
  [SMALL_STATE(1325)] = 98845,
  [SMALL_STATE(1326)] = 98984,
  [SMALL_STATE(1327)] = 99123,
  [SMALL_STATE(1328)] = 99262,
  [SMALL_STATE(1329)] = 99401,
  [SMALL_STATE(1330)] = 99540,
  [SMALL_STATE(1331)] = 99679,
  [SMALL_STATE(1332)] = 99818,
  [SMALL_STATE(1333)] = 99957,
  [SMALL_STATE(1334)] = 100096,
  [SMALL_STATE(1335)] = 100235,
  [SMALL_STATE(1336)] = 100374,
  [SMALL_STATE(1337)] = 100513,
  [SMALL_STATE(1338)] = 100652,
  [SMALL_STATE(1339)] = 100791,
  [SMALL_STATE(1340)] = 100930,
  [SMALL_STATE(1341)] = 101069,
  [SMALL_STATE(1342)] = 101208,
  [SMALL_STATE(1343)] = 101347,
  [SMALL_STATE(1344)] = 101486,
  [SMALL_STATE(1345)] = 101625,
  [SMALL_STATE(1346)] = 101764,
  [SMALL_STATE(1347)] = 101903,
  [SMALL_STATE(1348)] = 102042,
  [SMALL_STATE(1349)] = 102181,
  [SMALL_STATE(1350)] = 102320,
  [SMALL_STATE(1351)] = 102459,
  [SMALL_STATE(1352)] = 102598,
  [SMALL_STATE(1353)] = 102737,
  [SMALL_STATE(1354)] = 102876,
  [SMALL_STATE(1355)] = 103015,
  [SMALL_STATE(1356)] = 103154,
  [SMALL_STATE(1357)] = 103293,
  [SMALL_STATE(1358)] = 103432,
  [SMALL_STATE(1359)] = 103571,
  [SMALL_STATE(1360)] = 103710,
  [SMALL_STATE(1361)] = 103849,
  [SMALL_STATE(1362)] = 103988,
  [SMALL_STATE(1363)] = 104127,
  [SMALL_STATE(1364)] = 104266,
  [SMALL_STATE(1365)] = 104405,
  [SMALL_STATE(1366)] = 104544,
  [SMALL_STATE(1367)] = 104683,
  [SMALL_STATE(1368)] = 104822,
  [SMALL_STATE(1369)] = 104961,
  [SMALL_STATE(1370)] = 105100,
  [SMALL_STATE(1371)] = 105239,
  [SMALL_STATE(1372)] = 105378,
  [SMALL_STATE(1373)] = 105517,
  [SMALL_STATE(1374)] = 105656,
  [SMALL_STATE(1375)] = 105795,
  [SMALL_STATE(1376)] = 105934,
  [SMALL_STATE(1377)] = 106073,
  [SMALL_STATE(1378)] = 106212,
  [SMALL_STATE(1379)] = 106351,
  [SMALL_STATE(1380)] = 106490,
  [SMALL_STATE(1381)] = 106629,
  [SMALL_STATE(1382)] = 106768,
  [SMALL_STATE(1383)] = 106907,
  [SMALL_STATE(1384)] = 107046,
  [SMALL_STATE(1385)] = 107185,
  [SMALL_STATE(1386)] = 107324,
  [SMALL_STATE(1387)] = 107463,
  [SMALL_STATE(1388)] = 107602,
  [SMALL_STATE(1389)] = 107741,
  [SMALL_STATE(1390)] = 107880,
  [SMALL_STATE(1391)] = 108019,
  [SMALL_STATE(1392)] = 108158,
  [SMALL_STATE(1393)] = 108297,
  [SMALL_STATE(1394)] = 108436,
  [SMALL_STATE(1395)] = 108575,
  [SMALL_STATE(1396)] = 108714,
  [SMALL_STATE(1397)] = 108850,
  [SMALL_STATE(1398)] = 108986,
  [SMALL_STATE(1399)] = 109122,
  [SMALL_STATE(1400)] = 109258,
  [SMALL_STATE(1401)] = 109394,
  [SMALL_STATE(1402)] = 109528,
  [SMALL_STATE(1403)] = 109664,
  [SMALL_STATE(1404)] = 109800,
  [SMALL_STATE(1405)] = 109936,
  [SMALL_STATE(1406)] = 110072,
  [SMALL_STATE(1407)] = 110208,
  [SMALL_STATE(1408)] = 110346,
  [SMALL_STATE(1409)] = 110482,
  [SMALL_STATE(1410)] = 110618,
  [SMALL_STATE(1411)] = 110754,
  [SMALL_STATE(1412)] = 110890,
  [SMALL_STATE(1413)] = 111026,
  [SMALL_STATE(1414)] = 111162,
  [SMALL_STATE(1415)] = 111298,
  [SMALL_STATE(1416)] = 111434,
  [SMALL_STATE(1417)] = 111570,
  [SMALL_STATE(1418)] = 111706,
  [SMALL_STATE(1419)] = 111842,
  [SMALL_STATE(1420)] = 111978,
  [SMALL_STATE(1421)] = 112114,
  [SMALL_STATE(1422)] = 112250,
  [SMALL_STATE(1423)] = 112386,
  [SMALL_STATE(1424)] = 112522,
  [SMALL_STATE(1425)] = 112658,
  [SMALL_STATE(1426)] = 112794,
  [SMALL_STATE(1427)] = 112932,
  [SMALL_STATE(1428)] = 113066,
  [SMALL_STATE(1429)] = 113202,
  [SMALL_STATE(1430)] = 113338,
  [SMALL_STATE(1431)] = 113474,
  [SMALL_STATE(1432)] = 113610,
  [SMALL_STATE(1433)] = 113746,
  [SMALL_STATE(1434)] = 113882,
  [SMALL_STATE(1435)] = 114018,
  [SMALL_STATE(1436)] = 114154,
  [SMALL_STATE(1437)] = 114290,
  [SMALL_STATE(1438)] = 114426,
  [SMALL_STATE(1439)] = 114562,
  [SMALL_STATE(1440)] = 114696,
  [SMALL_STATE(1441)] = 114832,
  [SMALL_STATE(1442)] = 114968,
  [SMALL_STATE(1443)] = 115104,
  [SMALL_STATE(1444)] = 115240,
  [SMALL_STATE(1445)] = 115376,
  [SMALL_STATE(1446)] = 115512,
  [SMALL_STATE(1447)] = 115648,
  [SMALL_STATE(1448)] = 115784,
  [SMALL_STATE(1449)] = 115920,
  [SMALL_STATE(1450)] = 116056,
  [SMALL_STATE(1451)] = 116192,
  [SMALL_STATE(1452)] = 116328,
  [SMALL_STATE(1453)] = 116464,
  [SMALL_STATE(1454)] = 116600,
  [SMALL_STATE(1455)] = 116734,
  [SMALL_STATE(1456)] = 116870,
  [SMALL_STATE(1457)] = 117006,
  [SMALL_STATE(1458)] = 117142,
  [SMALL_STATE(1459)] = 117278,
  [SMALL_STATE(1460)] = 117414,
  [SMALL_STATE(1461)] = 117550,
  [SMALL_STATE(1462)] = 117686,
  [SMALL_STATE(1463)] = 117822,
  [SMALL_STATE(1464)] = 117958,
  [SMALL_STATE(1465)] = 118094,
  [SMALL_STATE(1466)] = 118230,
  [SMALL_STATE(1467)] = 118364,
  [SMALL_STATE(1468)] = 118500,
  [SMALL_STATE(1469)] = 118636,
  [SMALL_STATE(1470)] = 118772,
  [SMALL_STATE(1471)] = 118908,
  [SMALL_STATE(1472)] = 119044,
  [SMALL_STATE(1473)] = 119180,
  [SMALL_STATE(1474)] = 119316,
  [SMALL_STATE(1475)] = 119452,
  [SMALL_STATE(1476)] = 119588,
  [SMALL_STATE(1477)] = 119724,
  [SMALL_STATE(1478)] = 119860,
  [SMALL_STATE(1479)] = 119996,
  [SMALL_STATE(1480)] = 120132,
  [SMALL_STATE(1481)] = 120268,
  [SMALL_STATE(1482)] = 120402,
  [SMALL_STATE(1483)] = 120538,
  [SMALL_STATE(1484)] = 120674,
  [SMALL_STATE(1485)] = 120810,
  [SMALL_STATE(1486)] = 120946,
  [SMALL_STATE(1487)] = 121082,
  [SMALL_STATE(1488)] = 121218,
  [SMALL_STATE(1489)] = 121354,
  [SMALL_STATE(1490)] = 121490,
  [SMALL_STATE(1491)] = 121626,
  [SMALL_STATE(1492)] = 121762,
  [SMALL_STATE(1493)] = 121898,
  [SMALL_STATE(1494)] = 122034,
  [SMALL_STATE(1495)] = 122170,
  [SMALL_STATE(1496)] = 122306,
  [SMALL_STATE(1497)] = 122442,
  [SMALL_STATE(1498)] = 122576,
  [SMALL_STATE(1499)] = 122712,
  [SMALL_STATE(1500)] = 122848,
  [SMALL_STATE(1501)] = 122984,
  [SMALL_STATE(1502)] = 123120,
  [SMALL_STATE(1503)] = 123256,
  [SMALL_STATE(1504)] = 123392,
  [SMALL_STATE(1505)] = 123528,
  [SMALL_STATE(1506)] = 123664,
  [SMALL_STATE(1507)] = 123800,
  [SMALL_STATE(1508)] = 123936,
  [SMALL_STATE(1509)] = 124072,
  [SMALL_STATE(1510)] = 124208,
  [SMALL_STATE(1511)] = 124344,
  [SMALL_STATE(1512)] = 124478,
  [SMALL_STATE(1513)] = 124614,
  [SMALL_STATE(1514)] = 124750,
  [SMALL_STATE(1515)] = 124884,
  [SMALL_STATE(1516)] = 125020,
  [SMALL_STATE(1517)] = 125156,
  [SMALL_STATE(1518)] = 125292,
  [SMALL_STATE(1519)] = 125428,
  [SMALL_STATE(1520)] = 125564,
  [SMALL_STATE(1521)] = 125700,
  [SMALL_STATE(1522)] = 125836,
  [SMALL_STATE(1523)] = 125972,
  [SMALL_STATE(1524)] = 126108,
  [SMALL_STATE(1525)] = 126244,
  [SMALL_STATE(1526)] = 126380,
  [SMALL_STATE(1527)] = 126516,
  [SMALL_STATE(1528)] = 126652,
  [SMALL_STATE(1529)] = 126786,
  [SMALL_STATE(1530)] = 126922,
  [SMALL_STATE(1531)] = 127058,
  [SMALL_STATE(1532)] = 127194,
  [SMALL_STATE(1533)] = 127330,
  [SMALL_STATE(1534)] = 127466,
  [SMALL_STATE(1535)] = 127602,
  [SMALL_STATE(1536)] = 127738,
  [SMALL_STATE(1537)] = 127874,
  [SMALL_STATE(1538)] = 128010,
  [SMALL_STATE(1539)] = 128146,
  [SMALL_STATE(1540)] = 128282,
  [SMALL_STATE(1541)] = 128418,
  [SMALL_STATE(1542)] = 128552,
  [SMALL_STATE(1543)] = 128686,
  [SMALL_STATE(1544)] = 128822,
  [SMALL_STATE(1545)] = 128958,
  [SMALL_STATE(1546)] = 129094,
  [SMALL_STATE(1547)] = 129230,
  [SMALL_STATE(1548)] = 129366,
  [SMALL_STATE(1549)] = 129502,
  [SMALL_STATE(1550)] = 129638,
  [SMALL_STATE(1551)] = 129774,
  [SMALL_STATE(1552)] = 129910,
  [SMALL_STATE(1553)] = 130044,
  [SMALL_STATE(1554)] = 130180,
  [SMALL_STATE(1555)] = 130316,
  [SMALL_STATE(1556)] = 130452,
  [SMALL_STATE(1557)] = 130588,
  [SMALL_STATE(1558)] = 130724,
  [SMALL_STATE(1559)] = 130860,
  [SMALL_STATE(1560)] = 130996,
  [SMALL_STATE(1561)] = 131132,
  [SMALL_STATE(1562)] = 131268,
  [SMALL_STATE(1563)] = 131402,
  [SMALL_STATE(1564)] = 131538,
  [SMALL_STATE(1565)] = 131674,
  [SMALL_STATE(1566)] = 131810,
  [SMALL_STATE(1567)] = 131946,
  [SMALL_STATE(1568)] = 132082,
  [SMALL_STATE(1569)] = 132218,
  [SMALL_STATE(1570)] = 132354,
  [SMALL_STATE(1571)] = 132490,
  [SMALL_STATE(1572)] = 132626,
  [SMALL_STATE(1573)] = 132760,
  [SMALL_STATE(1574)] = 132896,
  [SMALL_STATE(1575)] = 133032,
  [SMALL_STATE(1576)] = 133168,
  [SMALL_STATE(1577)] = 133304,
  [SMALL_STATE(1578)] = 133440,
  [SMALL_STATE(1579)] = 133576,
  [SMALL_STATE(1580)] = 133712,
  [SMALL_STATE(1581)] = 133848,
  [SMALL_STATE(1582)] = 133984,
  [SMALL_STATE(1583)] = 134118,
  [SMALL_STATE(1584)] = 134254,
  [SMALL_STATE(1585)] = 134390,
  [SMALL_STATE(1586)] = 134526,
  [SMALL_STATE(1587)] = 134662,
  [SMALL_STATE(1588)] = 134798,
  [SMALL_STATE(1589)] = 134934,
  [SMALL_STATE(1590)] = 135070,
  [SMALL_STATE(1591)] = 135206,
  [SMALL_STATE(1592)] = 135342,
  [SMALL_STATE(1593)] = 135476,
  [SMALL_STATE(1594)] = 135612,
  [SMALL_STATE(1595)] = 135748,
  [SMALL_STATE(1596)] = 135884,
  [SMALL_STATE(1597)] = 136020,
  [SMALL_STATE(1598)] = 136156,
  [SMALL_STATE(1599)] = 136292,
  [SMALL_STATE(1600)] = 136428,
  [SMALL_STATE(1601)] = 136564,
  [SMALL_STATE(1602)] = 136700,
  [SMALL_STATE(1603)] = 136834,
  [SMALL_STATE(1604)] = 136970,
  [SMALL_STATE(1605)] = 137106,
  [SMALL_STATE(1606)] = 137242,
  [SMALL_STATE(1607)] = 137378,
  [SMALL_STATE(1608)] = 137514,
  [SMALL_STATE(1609)] = 137650,
  [SMALL_STATE(1610)] = 137786,
  [SMALL_STATE(1611)] = 137922,
  [SMALL_STATE(1612)] = 138058,
  [SMALL_STATE(1613)] = 138192,
  [SMALL_STATE(1614)] = 138328,
  [SMALL_STATE(1615)] = 138464,
  [SMALL_STATE(1616)] = 138600,
  [SMALL_STATE(1617)] = 138736,
  [SMALL_STATE(1618)] = 138872,
  [SMALL_STATE(1619)] = 139008,
  [SMALL_STATE(1620)] = 139144,
  [SMALL_STATE(1621)] = 139280,
  [SMALL_STATE(1622)] = 139416,
  [SMALL_STATE(1623)] = 139548,
  [SMALL_STATE(1624)] = 139684,
  [SMALL_STATE(1625)] = 139820,
  [SMALL_STATE(1626)] = 139956,
  [SMALL_STATE(1627)] = 140092,
  [SMALL_STATE(1628)] = 140228,
  [SMALL_STATE(1629)] = 140364,
  [SMALL_STATE(1630)] = 140500,
  [SMALL_STATE(1631)] = 140636,
  [SMALL_STATE(1632)] = 140772,
  [SMALL_STATE(1633)] = 140904,
  [SMALL_STATE(1634)] = 141040,
  [SMALL_STATE(1635)] = 141176,
  [SMALL_STATE(1636)] = 141312,
  [SMALL_STATE(1637)] = 141448,
  [SMALL_STATE(1638)] = 141584,
  [SMALL_STATE(1639)] = 141720,
  [SMALL_STATE(1640)] = 141856,
  [SMALL_STATE(1641)] = 141992,
  [SMALL_STATE(1642)] = 142128,
  [SMALL_STATE(1643)] = 142262,
  [SMALL_STATE(1644)] = 142398,
  [SMALL_STATE(1645)] = 142534,
  [SMALL_STATE(1646)] = 142670,
  [SMALL_STATE(1647)] = 142806,
  [SMALL_STATE(1648)] = 142942,
  [SMALL_STATE(1649)] = 143078,
  [SMALL_STATE(1650)] = 143214,
  [SMALL_STATE(1651)] = 143350,
  [SMALL_STATE(1652)] = 143486,
  [SMALL_STATE(1653)] = 143620,
  [SMALL_STATE(1654)] = 143756,
  [SMALL_STATE(1655)] = 143892,
  [SMALL_STATE(1656)] = 144028,
  [SMALL_STATE(1657)] = 144164,
  [SMALL_STATE(1658)] = 144300,
  [SMALL_STATE(1659)] = 144436,
  [SMALL_STATE(1660)] = 144572,
  [SMALL_STATE(1661)] = 144708,
  [SMALL_STATE(1662)] = 144844,
  [SMALL_STATE(1663)] = 144978,
  [SMALL_STATE(1664)] = 145114,
  [SMALL_STATE(1665)] = 145250,
  [SMALL_STATE(1666)] = 145386,
  [SMALL_STATE(1667)] = 145522,
  [SMALL_STATE(1668)] = 145658,
  [SMALL_STATE(1669)] = 145794,
  [SMALL_STATE(1670)] = 145930,
  [SMALL_STATE(1671)] = 146066,
  [SMALL_STATE(1672)] = 146202,
  [SMALL_STATE(1673)] = 146336,
  [SMALL_STATE(1674)] = 146472,
  [SMALL_STATE(1675)] = 146608,
  [SMALL_STATE(1676)] = 146744,
  [SMALL_STATE(1677)] = 146880,
  [SMALL_STATE(1678)] = 147016,
  [SMALL_STATE(1679)] = 147152,
  [SMALL_STATE(1680)] = 147284,
  [SMALL_STATE(1681)] = 147420,
  [SMALL_STATE(1682)] = 147556,
  [SMALL_STATE(1683)] = 147692,
  [SMALL_STATE(1684)] = 147828,
  [SMALL_STATE(1685)] = 147964,
  [SMALL_STATE(1686)] = 148100,
  [SMALL_STATE(1687)] = 148232,
  [SMALL_STATE(1688)] = 148368,
  [SMALL_STATE(1689)] = 148504,
  [SMALL_STATE(1690)] = 148640,
  [SMALL_STATE(1691)] = 148776,
  [SMALL_STATE(1692)] = 148912,
  [SMALL_STATE(1693)] = 149048,
  [SMALL_STATE(1694)] = 149180,
  [SMALL_STATE(1695)] = 149316,
  [SMALL_STATE(1696)] = 149452,
  [SMALL_STATE(1697)] = 149588,
  [SMALL_STATE(1698)] = 149724,
  [SMALL_STATE(1699)] = 149860,
  [SMALL_STATE(1700)] = 149996,
  [SMALL_STATE(1701)] = 150128,
  [SMALL_STATE(1702)] = 150264,
  [SMALL_STATE(1703)] = 150400,
  [SMALL_STATE(1704)] = 150536,
  [SMALL_STATE(1705)] = 150672,
  [SMALL_STATE(1706)] = 150808,
  [SMALL_STATE(1707)] = 150944,
  [SMALL_STATE(1708)] = 151076,
  [SMALL_STATE(1709)] = 151212,
  [SMALL_STATE(1710)] = 151348,
  [SMALL_STATE(1711)] = 151484,
  [SMALL_STATE(1712)] = 151620,
  [SMALL_STATE(1713)] = 151756,
  [SMALL_STATE(1714)] = 151892,
  [SMALL_STATE(1715)] = 152024,
  [SMALL_STATE(1716)] = 152160,
  [SMALL_STATE(1717)] = 152296,
  [SMALL_STATE(1718)] = 152432,
  [SMALL_STATE(1719)] = 152568,
  [SMALL_STATE(1720)] = 152704,
  [SMALL_STATE(1721)] = 152840,
  [SMALL_STATE(1722)] = 152974,
  [SMALL_STATE(1723)] = 153110,
  [SMALL_STATE(1724)] = 153246,
  [SMALL_STATE(1725)] = 153382,
  [SMALL_STATE(1726)] = 153518,
  [SMALL_STATE(1727)] = 153654,
  [SMALL_STATE(1728)] = 153790,
  [SMALL_STATE(1729)] = 153922,
  [SMALL_STATE(1730)] = 154058,
  [SMALL_STATE(1731)] = 154194,
  [SMALL_STATE(1732)] = 154330,
  [SMALL_STATE(1733)] = 154466,
  [SMALL_STATE(1734)] = 154602,
  [SMALL_STATE(1735)] = 154738,
  [SMALL_STATE(1736)] = 154872,
  [SMALL_STATE(1737)] = 155008,
  [SMALL_STATE(1738)] = 155144,
  [SMALL_STATE(1739)] = 155280,
  [SMALL_STATE(1740)] = 155416,
  [SMALL_STATE(1741)] = 155552,
  [SMALL_STATE(1742)] = 155688,
  [SMALL_STATE(1743)] = 155822,
  [SMALL_STATE(1744)] = 155958,
  [SMALL_STATE(1745)] = 156094,
  [SMALL_STATE(1746)] = 156230,
  [SMALL_STATE(1747)] = 156366,
  [SMALL_STATE(1748)] = 156502,
  [SMALL_STATE(1749)] = 156638,
  [SMALL_STATE(1750)] = 156772,
  [SMALL_STATE(1751)] = 156908,
  [SMALL_STATE(1752)] = 157044,
  [SMALL_STATE(1753)] = 157180,
  [SMALL_STATE(1754)] = 157316,
  [SMALL_STATE(1755)] = 157452,
  [SMALL_STATE(1756)] = 157588,
  [SMALL_STATE(1757)] = 157720,
  [SMALL_STATE(1758)] = 157856,
  [SMALL_STATE(1759)] = 157992,
  [SMALL_STATE(1760)] = 158128,
  [SMALL_STATE(1761)] = 158264,
  [SMALL_STATE(1762)] = 158400,
  [SMALL_STATE(1763)] = 158536,
  [SMALL_STATE(1764)] = 158668,
  [SMALL_STATE(1765)] = 158804,
  [SMALL_STATE(1766)] = 158940,
  [SMALL_STATE(1767)] = 159076,
  [SMALL_STATE(1768)] = 159212,
  [SMALL_STATE(1769)] = 159348,
  [SMALL_STATE(1770)] = 159484,
  [SMALL_STATE(1771)] = 159616,
  [SMALL_STATE(1772)] = 159752,
  [SMALL_STATE(1773)] = 159888,
  [SMALL_STATE(1774)] = 160024,
  [SMALL_STATE(1775)] = 160160,
  [SMALL_STATE(1776)] = 160296,
  [SMALL_STATE(1777)] = 160432,
  [SMALL_STATE(1778)] = 160564,
  [SMALL_STATE(1779)] = 160700,
  [SMALL_STATE(1780)] = 160836,
  [SMALL_STATE(1781)] = 160972,
  [SMALL_STATE(1782)] = 161108,
  [SMALL_STATE(1783)] = 161244,
  [SMALL_STATE(1784)] = 161380,
  [SMALL_STATE(1785)] = 161512,
  [SMALL_STATE(1786)] = 161648,
  [SMALL_STATE(1787)] = 161784,
  [SMALL_STATE(1788)] = 161920,
  [SMALL_STATE(1789)] = 162056,
  [SMALL_STATE(1790)] = 162192,
  [SMALL_STATE(1791)] = 162328,
  [SMALL_STATE(1792)] = 162460,
  [SMALL_STATE(1793)] = 162596,
  [SMALL_STATE(1794)] = 162732,
  [SMALL_STATE(1795)] = 162868,
  [SMALL_STATE(1796)] = 163004,
  [SMALL_STATE(1797)] = 163140,
  [SMALL_STATE(1798)] = 163276,
  [SMALL_STATE(1799)] = 163410,
  [SMALL_STATE(1800)] = 163546,
  [SMALL_STATE(1801)] = 163682,
  [SMALL_STATE(1802)] = 163818,
  [SMALL_STATE(1803)] = 163954,
  [SMALL_STATE(1804)] = 164090,
  [SMALL_STATE(1805)] = 164226,
  [SMALL_STATE(1806)] = 164358,
  [SMALL_STATE(1807)] = 164494,
  [SMALL_STATE(1808)] = 164630,
  [SMALL_STATE(1809)] = 164766,
  [SMALL_STATE(1810)] = 164902,
  [SMALL_STATE(1811)] = 165038,
  [SMALL_STATE(1812)] = 165174,
  [SMALL_STATE(1813)] = 165306,
  [SMALL_STATE(1814)] = 165438,
  [SMALL_STATE(1815)] = 165570,
  [SMALL_STATE(1816)] = 165702,
  [SMALL_STATE(1817)] = 165834,
  [SMALL_STATE(1818)] = 165966,
  [SMALL_STATE(1819)] = 166098,
  [SMALL_STATE(1820)] = 166230,
  [SMALL_STATE(1821)] = 166362,
  [SMALL_STATE(1822)] = 166494,
  [SMALL_STATE(1823)] = 166626,
  [SMALL_STATE(1824)] = 166758,
  [SMALL_STATE(1825)] = 166890,
  [SMALL_STATE(1826)] = 167022,
  [SMALL_STATE(1827)] = 167158,
  [SMALL_STATE(1828)] = 167294,
  [SMALL_STATE(1829)] = 167430,
  [SMALL_STATE(1830)] = 167566,
  [SMALL_STATE(1831)] = 167702,
  [SMALL_STATE(1832)] = 167838,
  [SMALL_STATE(1833)] = 167974,
  [SMALL_STATE(1834)] = 168110,
  [SMALL_STATE(1835)] = 168246,
  [SMALL_STATE(1836)] = 168382,
  [SMALL_STATE(1837)] = 168518,
  [SMALL_STATE(1838)] = 168654,
  [SMALL_STATE(1839)] = 168790,
  [SMALL_STATE(1840)] = 168926,
  [SMALL_STATE(1841)] = 169062,
  [SMALL_STATE(1842)] = 169198,
  [SMALL_STATE(1843)] = 169334,
  [SMALL_STATE(1844)] = 169470,
  [SMALL_STATE(1845)] = 169606,
  [SMALL_STATE(1846)] = 169742,
  [SMALL_STATE(1847)] = 169878,
  [SMALL_STATE(1848)] = 170014,
  [SMALL_STATE(1849)] = 170150,
  [SMALL_STATE(1850)] = 170286,
  [SMALL_STATE(1851)] = 170422,
  [SMALL_STATE(1852)] = 170558,
  [SMALL_STATE(1853)] = 170694,
  [SMALL_STATE(1854)] = 170830,
  [SMALL_STATE(1855)] = 170966,
  [SMALL_STATE(1856)] = 171102,
  [SMALL_STATE(1857)] = 171238,
  [SMALL_STATE(1858)] = 171374,
  [SMALL_STATE(1859)] = 171510,
  [SMALL_STATE(1860)] = 171646,
  [SMALL_STATE(1861)] = 171782,
  [SMALL_STATE(1862)] = 171918,
  [SMALL_STATE(1863)] = 172054,
  [SMALL_STATE(1864)] = 172190,
  [SMALL_STATE(1865)] = 172326,
  [SMALL_STATE(1866)] = 172462,
  [SMALL_STATE(1867)] = 172598,
  [SMALL_STATE(1868)] = 172734,
  [SMALL_STATE(1869)] = 172870,
  [SMALL_STATE(1870)] = 173006,
  [SMALL_STATE(1871)] = 173142,
  [SMALL_STATE(1872)] = 173278,
  [SMALL_STATE(1873)] = 173414,
  [SMALL_STATE(1874)] = 173550,
  [SMALL_STATE(1875)] = 173686,
  [SMALL_STATE(1876)] = 173822,
  [SMALL_STATE(1877)] = 173958,
  [SMALL_STATE(1878)] = 174094,
  [SMALL_STATE(1879)] = 174230,
  [SMALL_STATE(1880)] = 174366,
  [SMALL_STATE(1881)] = 174502,
  [SMALL_STATE(1882)] = 174638,
  [SMALL_STATE(1883)] = 174774,
  [SMALL_STATE(1884)] = 174910,
  [SMALL_STATE(1885)] = 175046,
  [SMALL_STATE(1886)] = 175182,
  [SMALL_STATE(1887)] = 175318,
  [SMALL_STATE(1888)] = 175454,
  [SMALL_STATE(1889)] = 175590,
  [SMALL_STATE(1890)] = 175726,
  [SMALL_STATE(1891)] = 175862,
  [SMALL_STATE(1892)] = 175998,
  [SMALL_STATE(1893)] = 176134,
  [SMALL_STATE(1894)] = 176270,
  [SMALL_STATE(1895)] = 176406,
  [SMALL_STATE(1896)] = 176542,
  [SMALL_STATE(1897)] = 176678,
  [SMALL_STATE(1898)] = 176814,
  [SMALL_STATE(1899)] = 176950,
  [SMALL_STATE(1900)] = 177086,
  [SMALL_STATE(1901)] = 177222,
  [SMALL_STATE(1902)] = 177358,
  [SMALL_STATE(1903)] = 177494,
  [SMALL_STATE(1904)] = 177630,
  [SMALL_STATE(1905)] = 177766,
  [SMALL_STATE(1906)] = 177902,
  [SMALL_STATE(1907)] = 178038,
  [SMALL_STATE(1908)] = 178174,
  [SMALL_STATE(1909)] = 178310,
  [SMALL_STATE(1910)] = 178446,
  [SMALL_STATE(1911)] = 178582,
  [SMALL_STATE(1912)] = 178718,
  [SMALL_STATE(1913)] = 178854,
  [SMALL_STATE(1914)] = 178990,
  [SMALL_STATE(1915)] = 179126,
  [SMALL_STATE(1916)] = 179262,
  [SMALL_STATE(1917)] = 179398,
  [SMALL_STATE(1918)] = 179534,
  [SMALL_STATE(1919)] = 179670,
  [SMALL_STATE(1920)] = 179806,
  [SMALL_STATE(1921)] = 179942,
  [SMALL_STATE(1922)] = 180078,
  [SMALL_STATE(1923)] = 180214,
  [SMALL_STATE(1924)] = 180350,
  [SMALL_STATE(1925)] = 180486,
  [SMALL_STATE(1926)] = 180622,
  [SMALL_STATE(1927)] = 180758,
  [SMALL_STATE(1928)] = 180894,
  [SMALL_STATE(1929)] = 181030,
  [SMALL_STATE(1930)] = 181166,
  [SMALL_STATE(1931)] = 181302,
  [SMALL_STATE(1932)] = 181438,
  [SMALL_STATE(1933)] = 181574,
  [SMALL_STATE(1934)] = 181710,
  [SMALL_STATE(1935)] = 181846,
  [SMALL_STATE(1936)] = 181982,
  [SMALL_STATE(1937)] = 182118,
  [SMALL_STATE(1938)] = 182254,
  [SMALL_STATE(1939)] = 182390,
  [SMALL_STATE(1940)] = 182526,
  [SMALL_STATE(1941)] = 182662,
  [SMALL_STATE(1942)] = 182798,
  [SMALL_STATE(1943)] = 182934,
  [SMALL_STATE(1944)] = 183070,
  [SMALL_STATE(1945)] = 183206,
  [SMALL_STATE(1946)] = 183342,
  [SMALL_STATE(1947)] = 183478,
  [SMALL_STATE(1948)] = 183614,
  [SMALL_STATE(1949)] = 183750,
  [SMALL_STATE(1950)] = 183886,
  [SMALL_STATE(1951)] = 184022,
  [SMALL_STATE(1952)] = 184158,
  [SMALL_STATE(1953)] = 184294,
  [SMALL_STATE(1954)] = 184430,
  [SMALL_STATE(1955)] = 184566,
  [SMALL_STATE(1956)] = 184702,
  [SMALL_STATE(1957)] = 184838,
  [SMALL_STATE(1958)] = 184974,
  [SMALL_STATE(1959)] = 185110,
  [SMALL_STATE(1960)] = 185246,
  [SMALL_STATE(1961)] = 185382,
  [SMALL_STATE(1962)] = 185518,
  [SMALL_STATE(1963)] = 185654,
  [SMALL_STATE(1964)] = 185790,
  [SMALL_STATE(1965)] = 185926,
  [SMALL_STATE(1966)] = 186062,
  [SMALL_STATE(1967)] = 186198,
  [SMALL_STATE(1968)] = 186334,
  [SMALL_STATE(1969)] = 186470,
  [SMALL_STATE(1970)] = 186606,
  [SMALL_STATE(1971)] = 186742,
  [SMALL_STATE(1972)] = 186878,
  [SMALL_STATE(1973)] = 187014,
  [SMALL_STATE(1974)] = 187150,
  [SMALL_STATE(1975)] = 187286,
  [SMALL_STATE(1976)] = 187422,
  [SMALL_STATE(1977)] = 187558,
  [SMALL_STATE(1978)] = 187694,
  [SMALL_STATE(1979)] = 187830,
  [SMALL_STATE(1980)] = 187966,
  [SMALL_STATE(1981)] = 188102,
  [SMALL_STATE(1982)] = 188238,
  [SMALL_STATE(1983)] = 188374,
  [SMALL_STATE(1984)] = 188510,
  [SMALL_STATE(1985)] = 188646,
  [SMALL_STATE(1986)] = 188782,
  [SMALL_STATE(1987)] = 188918,
  [SMALL_STATE(1988)] = 189054,
  [SMALL_STATE(1989)] = 189190,
  [SMALL_STATE(1990)] = 189326,
  [SMALL_STATE(1991)] = 189462,
  [SMALL_STATE(1992)] = 189598,
  [SMALL_STATE(1993)] = 189734,
  [SMALL_STATE(1994)] = 189870,
  [SMALL_STATE(1995)] = 190006,
  [SMALL_STATE(1996)] = 190142,
  [SMALL_STATE(1997)] = 190278,
  [SMALL_STATE(1998)] = 190414,
  [SMALL_STATE(1999)] = 190550,
  [SMALL_STATE(2000)] = 190686,
  [SMALL_STATE(2001)] = 190822,
  [SMALL_STATE(2002)] = 190958,
  [SMALL_STATE(2003)] = 191094,
  [SMALL_STATE(2004)] = 191230,
  [SMALL_STATE(2005)] = 191366,
  [SMALL_STATE(2006)] = 191502,
  [SMALL_STATE(2007)] = 191638,
  [SMALL_STATE(2008)] = 191774,
  [SMALL_STATE(2009)] = 191910,
  [SMALL_STATE(2010)] = 192046,
  [SMALL_STATE(2011)] = 192182,
  [SMALL_STATE(2012)] = 192318,
  [SMALL_STATE(2013)] = 192454,
  [SMALL_STATE(2014)] = 192590,
  [SMALL_STATE(2015)] = 192726,
  [SMALL_STATE(2016)] = 192862,
  [SMALL_STATE(2017)] = 192998,
  [SMALL_STATE(2018)] = 193134,
  [SMALL_STATE(2019)] = 193270,
  [SMALL_STATE(2020)] = 193406,
  [SMALL_STATE(2021)] = 193542,
  [SMALL_STATE(2022)] = 193678,
  [SMALL_STATE(2023)] = 193814,
  [SMALL_STATE(2024)] = 193950,
  [SMALL_STATE(2025)] = 194086,
  [SMALL_STATE(2026)] = 194222,
  [SMALL_STATE(2027)] = 194358,
  [SMALL_STATE(2028)] = 194494,
  [SMALL_STATE(2029)] = 194630,
  [SMALL_STATE(2030)] = 194766,
  [SMALL_STATE(2031)] = 194902,
  [SMALL_STATE(2032)] = 195038,
  [SMALL_STATE(2033)] = 195174,
  [SMALL_STATE(2034)] = 195310,
  [SMALL_STATE(2035)] = 195446,
  [SMALL_STATE(2036)] = 195582,
  [SMALL_STATE(2037)] = 195718,
  [SMALL_STATE(2038)] = 195854,
  [SMALL_STATE(2039)] = 195990,
  [SMALL_STATE(2040)] = 196126,
  [SMALL_STATE(2041)] = 196262,
  [SMALL_STATE(2042)] = 196398,
  [SMALL_STATE(2043)] = 196534,
  [SMALL_STATE(2044)] = 196670,
  [SMALL_STATE(2045)] = 196806,
  [SMALL_STATE(2046)] = 196942,
  [SMALL_STATE(2047)] = 197078,
  [SMALL_STATE(2048)] = 197214,
  [SMALL_STATE(2049)] = 197350,
  [SMALL_STATE(2050)] = 197486,
  [SMALL_STATE(2051)] = 197622,
  [SMALL_STATE(2052)] = 197758,
  [SMALL_STATE(2053)] = 197894,
  [SMALL_STATE(2054)] = 198030,
  [SMALL_STATE(2055)] = 198166,
  [SMALL_STATE(2056)] = 198302,
  [SMALL_STATE(2057)] = 198438,
  [SMALL_STATE(2058)] = 198574,
  [SMALL_STATE(2059)] = 198710,
  [SMALL_STATE(2060)] = 198846,
  [SMALL_STATE(2061)] = 198982,
  [SMALL_STATE(2062)] = 199118,
  [SMALL_STATE(2063)] = 199254,
  [SMALL_STATE(2064)] = 199390,
  [SMALL_STATE(2065)] = 199526,
  [SMALL_STATE(2066)] = 199662,
  [SMALL_STATE(2067)] = 199798,
  [SMALL_STATE(2068)] = 199934,
  [SMALL_STATE(2069)] = 200070,
  [SMALL_STATE(2070)] = 200206,
  [SMALL_STATE(2071)] = 200342,
  [SMALL_STATE(2072)] = 200478,
  [SMALL_STATE(2073)] = 200614,
  [SMALL_STATE(2074)] = 200750,
  [SMALL_STATE(2075)] = 200886,
  [SMALL_STATE(2076)] = 201022,
  [SMALL_STATE(2077)] = 201158,
  [SMALL_STATE(2078)] = 201294,
  [SMALL_STATE(2079)] = 201430,
  [SMALL_STATE(2080)] = 201566,
  [SMALL_STATE(2081)] = 201702,
  [SMALL_STATE(2082)] = 201838,
  [SMALL_STATE(2083)] = 201974,
  [SMALL_STATE(2084)] = 202110,
  [SMALL_STATE(2085)] = 202246,
  [SMALL_STATE(2086)] = 202382,
  [SMALL_STATE(2087)] = 202518,
  [SMALL_STATE(2088)] = 202654,
  [SMALL_STATE(2089)] = 202790,
  [SMALL_STATE(2090)] = 202926,
  [SMALL_STATE(2091)] = 203062,
  [SMALL_STATE(2092)] = 203198,
  [SMALL_STATE(2093)] = 203334,
  [SMALL_STATE(2094)] = 203470,
  [SMALL_STATE(2095)] = 203606,
  [SMALL_STATE(2096)] = 203742,
  [SMALL_STATE(2097)] = 203878,
  [SMALL_STATE(2098)] = 204014,
  [SMALL_STATE(2099)] = 204150,
  [SMALL_STATE(2100)] = 204286,
  [SMALL_STATE(2101)] = 204422,
  [SMALL_STATE(2102)] = 204558,
  [SMALL_STATE(2103)] = 204694,
  [SMALL_STATE(2104)] = 204830,
  [SMALL_STATE(2105)] = 204966,
  [SMALL_STATE(2106)] = 205102,
  [SMALL_STATE(2107)] = 205238,
  [SMALL_STATE(2108)] = 205374,
  [SMALL_STATE(2109)] = 205510,
  [SMALL_STATE(2110)] = 205646,
  [SMALL_STATE(2111)] = 205782,
  [SMALL_STATE(2112)] = 205918,
  [SMALL_STATE(2113)] = 206054,
  [SMALL_STATE(2114)] = 206190,
  [SMALL_STATE(2115)] = 206326,
  [SMALL_STATE(2116)] = 206462,
  [SMALL_STATE(2117)] = 206598,
  [SMALL_STATE(2118)] = 206734,
  [SMALL_STATE(2119)] = 206870,
  [SMALL_STATE(2120)] = 207006,
  [SMALL_STATE(2121)] = 207142,
  [SMALL_STATE(2122)] = 207278,
  [SMALL_STATE(2123)] = 207414,
  [SMALL_STATE(2124)] = 207550,
  [SMALL_STATE(2125)] = 207686,
  [SMALL_STATE(2126)] = 207822,
  [SMALL_STATE(2127)] = 207958,
  [SMALL_STATE(2128)] = 208094,
  [SMALL_STATE(2129)] = 208230,
  [SMALL_STATE(2130)] = 208366,
  [SMALL_STATE(2131)] = 208502,
  [SMALL_STATE(2132)] = 208638,
  [SMALL_STATE(2133)] = 208774,
  [SMALL_STATE(2134)] = 208910,
  [SMALL_STATE(2135)] = 209046,
  [SMALL_STATE(2136)] = 209182,
  [SMALL_STATE(2137)] = 209318,
  [SMALL_STATE(2138)] = 209454,
  [SMALL_STATE(2139)] = 209590,
  [SMALL_STATE(2140)] = 209726,
  [SMALL_STATE(2141)] = 209862,
  [SMALL_STATE(2142)] = 209998,
  [SMALL_STATE(2143)] = 210134,
  [SMALL_STATE(2144)] = 210270,
  [SMALL_STATE(2145)] = 210406,
  [SMALL_STATE(2146)] = 210542,
  [SMALL_STATE(2147)] = 210678,
  [SMALL_STATE(2148)] = 210814,
  [SMALL_STATE(2149)] = 210950,
  [SMALL_STATE(2150)] = 211086,
  [SMALL_STATE(2151)] = 211222,
  [SMALL_STATE(2152)] = 211358,
  [SMALL_STATE(2153)] = 211494,
  [SMALL_STATE(2154)] = 211630,
  [SMALL_STATE(2155)] = 211766,
  [SMALL_STATE(2156)] = 211902,
  [SMALL_STATE(2157)] = 212038,
  [SMALL_STATE(2158)] = 212174,
  [SMALL_STATE(2159)] = 212310,
  [SMALL_STATE(2160)] = 212446,
  [SMALL_STATE(2161)] = 212582,
  [SMALL_STATE(2162)] = 212718,
  [SMALL_STATE(2163)] = 212854,
  [SMALL_STATE(2164)] = 212990,
  [SMALL_STATE(2165)] = 213126,
  [SMALL_STATE(2166)] = 213262,
  [SMALL_STATE(2167)] = 213398,
  [SMALL_STATE(2168)] = 213534,
  [SMALL_STATE(2169)] = 213670,
  [SMALL_STATE(2170)] = 213806,
  [SMALL_STATE(2171)] = 213942,
  [SMALL_STATE(2172)] = 214078,
  [SMALL_STATE(2173)] = 214214,
  [SMALL_STATE(2174)] = 214350,
  [SMALL_STATE(2175)] = 214486,
  [SMALL_STATE(2176)] = 214622,
  [SMALL_STATE(2177)] = 214758,
  [SMALL_STATE(2178)] = 214894,
  [SMALL_STATE(2179)] = 215030,
  [SMALL_STATE(2180)] = 215166,
  [SMALL_STATE(2181)] = 215302,
  [SMALL_STATE(2182)] = 215438,
  [SMALL_STATE(2183)] = 215574,
  [SMALL_STATE(2184)] = 215710,
  [SMALL_STATE(2185)] = 215846,
  [SMALL_STATE(2186)] = 215982,
  [SMALL_STATE(2187)] = 216118,
  [SMALL_STATE(2188)] = 216254,
  [SMALL_STATE(2189)] = 216390,
  [SMALL_STATE(2190)] = 216526,
  [SMALL_STATE(2191)] = 216662,
  [SMALL_STATE(2192)] = 216798,
  [SMALL_STATE(2193)] = 216934,
  [SMALL_STATE(2194)] = 217070,
  [SMALL_STATE(2195)] = 217206,
  [SMALL_STATE(2196)] = 217342,
  [SMALL_STATE(2197)] = 217478,
  [SMALL_STATE(2198)] = 217614,
  [SMALL_STATE(2199)] = 217750,
  [SMALL_STATE(2200)] = 217886,
  [SMALL_STATE(2201)] = 218022,
  [SMALL_STATE(2202)] = 218158,
  [SMALL_STATE(2203)] = 218294,
  [SMALL_STATE(2204)] = 218430,
  [SMALL_STATE(2205)] = 218566,
  [SMALL_STATE(2206)] = 218702,
  [SMALL_STATE(2207)] = 218838,
  [SMALL_STATE(2208)] = 218974,
  [SMALL_STATE(2209)] = 219110,
  [SMALL_STATE(2210)] = 219246,
  [SMALL_STATE(2211)] = 219382,
  [SMALL_STATE(2212)] = 219518,
  [SMALL_STATE(2213)] = 219654,
  [SMALL_STATE(2214)] = 219790,
  [SMALL_STATE(2215)] = 219926,
  [SMALL_STATE(2216)] = 220062,
  [SMALL_STATE(2217)] = 220198,
  [SMALL_STATE(2218)] = 220334,
  [SMALL_STATE(2219)] = 220470,
  [SMALL_STATE(2220)] = 220606,
  [SMALL_STATE(2221)] = 220742,
  [SMALL_STATE(2222)] = 220878,
  [SMALL_STATE(2223)] = 221014,
  [SMALL_STATE(2224)] = 221150,
  [SMALL_STATE(2225)] = 221286,
  [SMALL_STATE(2226)] = 221422,
  [SMALL_STATE(2227)] = 221558,
  [SMALL_STATE(2228)] = 221694,
  [SMALL_STATE(2229)] = 221830,
  [SMALL_STATE(2230)] = 221966,
  [SMALL_STATE(2231)] = 222102,
  [SMALL_STATE(2232)] = 222238,
  [SMALL_STATE(2233)] = 222374,
  [SMALL_STATE(2234)] = 222510,
  [SMALL_STATE(2235)] = 222646,
  [SMALL_STATE(2236)] = 222782,
  [SMALL_STATE(2237)] = 222918,
  [SMALL_STATE(2238)] = 223054,
  [SMALL_STATE(2239)] = 223190,
  [SMALL_STATE(2240)] = 223326,
  [SMALL_STATE(2241)] = 223462,
  [SMALL_STATE(2242)] = 223598,
  [SMALL_STATE(2243)] = 223734,
  [SMALL_STATE(2244)] = 223870,
  [SMALL_STATE(2245)] = 224006,
  [SMALL_STATE(2246)] = 224142,
  [SMALL_STATE(2247)] = 224278,
  [SMALL_STATE(2248)] = 224414,
  [SMALL_STATE(2249)] = 224550,
  [SMALL_STATE(2250)] = 224686,
  [SMALL_STATE(2251)] = 224822,
  [SMALL_STATE(2252)] = 224958,
  [SMALL_STATE(2253)] = 225094,
  [SMALL_STATE(2254)] = 225230,
  [SMALL_STATE(2255)] = 225366,
  [SMALL_STATE(2256)] = 225502,
  [SMALL_STATE(2257)] = 225638,
  [SMALL_STATE(2258)] = 225774,
  [SMALL_STATE(2259)] = 225910,
  [SMALL_STATE(2260)] = 226046,
  [SMALL_STATE(2261)] = 226182,
  [SMALL_STATE(2262)] = 226318,
  [SMALL_STATE(2263)] = 226454,
  [SMALL_STATE(2264)] = 226590,
  [SMALL_STATE(2265)] = 226726,
  [SMALL_STATE(2266)] = 226862,
  [SMALL_STATE(2267)] = 226998,
  [SMALL_STATE(2268)] = 227134,
  [SMALL_STATE(2269)] = 227270,
  [SMALL_STATE(2270)] = 227406,
  [SMALL_STATE(2271)] = 227542,
  [SMALL_STATE(2272)] = 227678,
  [SMALL_STATE(2273)] = 227814,
  [SMALL_STATE(2274)] = 227950,
  [SMALL_STATE(2275)] = 228086,
  [SMALL_STATE(2276)] = 228222,
  [SMALL_STATE(2277)] = 228358,
  [SMALL_STATE(2278)] = 228494,
  [SMALL_STATE(2279)] = 228630,
  [SMALL_STATE(2280)] = 228766,
  [SMALL_STATE(2281)] = 228902,
  [SMALL_STATE(2282)] = 229038,
  [SMALL_STATE(2283)] = 229174,
  [SMALL_STATE(2284)] = 229310,
  [SMALL_STATE(2285)] = 229446,
  [SMALL_STATE(2286)] = 229582,
  [SMALL_STATE(2287)] = 229718,
  [SMALL_STATE(2288)] = 229854,
  [SMALL_STATE(2289)] = 229990,
  [SMALL_STATE(2290)] = 230126,
  [SMALL_STATE(2291)] = 230262,
  [SMALL_STATE(2292)] = 230398,
  [SMALL_STATE(2293)] = 230534,
  [SMALL_STATE(2294)] = 230670,
  [SMALL_STATE(2295)] = 230806,
  [SMALL_STATE(2296)] = 230942,
  [SMALL_STATE(2297)] = 231078,
  [SMALL_STATE(2298)] = 231214,
  [SMALL_STATE(2299)] = 231350,
  [SMALL_STATE(2300)] = 231486,
  [SMALL_STATE(2301)] = 231622,
  [SMALL_STATE(2302)] = 231758,
  [SMALL_STATE(2303)] = 231894,
  [SMALL_STATE(2304)] = 232030,
  [SMALL_STATE(2305)] = 232166,
  [SMALL_STATE(2306)] = 232302,
  [SMALL_STATE(2307)] = 232438,
  [SMALL_STATE(2308)] = 232574,
  [SMALL_STATE(2309)] = 232710,
  [SMALL_STATE(2310)] = 232846,
  [SMALL_STATE(2311)] = 232982,
  [SMALL_STATE(2312)] = 233118,
  [SMALL_STATE(2313)] = 233254,
  [SMALL_STATE(2314)] = 233390,
  [SMALL_STATE(2315)] = 233526,
  [SMALL_STATE(2316)] = 233662,
  [SMALL_STATE(2317)] = 233798,
  [SMALL_STATE(2318)] = 233934,
  [SMALL_STATE(2319)] = 234070,
  [SMALL_STATE(2320)] = 234206,
  [SMALL_STATE(2321)] = 234342,
  [SMALL_STATE(2322)] = 234478,
  [SMALL_STATE(2323)] = 234614,
  [SMALL_STATE(2324)] = 234750,
  [SMALL_STATE(2325)] = 234886,
  [SMALL_STATE(2326)] = 235022,
  [SMALL_STATE(2327)] = 235158,
  [SMALL_STATE(2328)] = 235294,
  [SMALL_STATE(2329)] = 235430,
  [SMALL_STATE(2330)] = 235566,
  [SMALL_STATE(2331)] = 235702,
  [SMALL_STATE(2332)] = 235838,
  [SMALL_STATE(2333)] = 235974,
  [SMALL_STATE(2334)] = 236110,
  [SMALL_STATE(2335)] = 236246,
  [SMALL_STATE(2336)] = 236382,
  [SMALL_STATE(2337)] = 236518,
  [SMALL_STATE(2338)] = 236654,
  [SMALL_STATE(2339)] = 236790,
  [SMALL_STATE(2340)] = 236926,
  [SMALL_STATE(2341)] = 237062,
  [SMALL_STATE(2342)] = 237198,
  [SMALL_STATE(2343)] = 237334,
  [SMALL_STATE(2344)] = 237470,
  [SMALL_STATE(2345)] = 237606,
  [SMALL_STATE(2346)] = 237742,
  [SMALL_STATE(2347)] = 237878,
  [SMALL_STATE(2348)] = 238014,
  [SMALL_STATE(2349)] = 238150,
  [SMALL_STATE(2350)] = 238286,
  [SMALL_STATE(2351)] = 238422,
  [SMALL_STATE(2352)] = 238558,
  [SMALL_STATE(2353)] = 238694,
  [SMALL_STATE(2354)] = 238830,
  [SMALL_STATE(2355)] = 238966,
  [SMALL_STATE(2356)] = 239102,
  [SMALL_STATE(2357)] = 239238,
  [SMALL_STATE(2358)] = 239374,
  [SMALL_STATE(2359)] = 239510,
  [SMALL_STATE(2360)] = 239646,
  [SMALL_STATE(2361)] = 239782,
  [SMALL_STATE(2362)] = 239918,
  [SMALL_STATE(2363)] = 240054,
  [SMALL_STATE(2364)] = 240190,
  [SMALL_STATE(2365)] = 240326,
  [SMALL_STATE(2366)] = 240462,
  [SMALL_STATE(2367)] = 240598,
  [SMALL_STATE(2368)] = 240734,
  [SMALL_STATE(2369)] = 240870,
  [SMALL_STATE(2370)] = 241006,
  [SMALL_STATE(2371)] = 241142,
  [SMALL_STATE(2372)] = 241278,
  [SMALL_STATE(2373)] = 241414,
  [SMALL_STATE(2374)] = 241550,
  [SMALL_STATE(2375)] = 241686,
  [SMALL_STATE(2376)] = 241822,
  [SMALL_STATE(2377)] = 241958,
  [SMALL_STATE(2378)] = 242094,
  [SMALL_STATE(2379)] = 242230,
  [SMALL_STATE(2380)] = 242366,
  [SMALL_STATE(2381)] = 242502,
  [SMALL_STATE(2382)] = 242638,
  [SMALL_STATE(2383)] = 242774,
  [SMALL_STATE(2384)] = 242910,
  [SMALL_STATE(2385)] = 243046,
  [SMALL_STATE(2386)] = 243182,
  [SMALL_STATE(2387)] = 243318,
  [SMALL_STATE(2388)] = 243454,
  [SMALL_STATE(2389)] = 243590,
  [SMALL_STATE(2390)] = 243726,
  [SMALL_STATE(2391)] = 243862,
  [SMALL_STATE(2392)] = 243998,
  [SMALL_STATE(2393)] = 244134,
  [SMALL_STATE(2394)] = 244270,
  [SMALL_STATE(2395)] = 244406,
  [SMALL_STATE(2396)] = 244542,
  [SMALL_STATE(2397)] = 244678,
  [SMALL_STATE(2398)] = 244814,
  [SMALL_STATE(2399)] = 244950,
  [SMALL_STATE(2400)] = 245086,
  [SMALL_STATE(2401)] = 245222,
  [SMALL_STATE(2402)] = 245358,
  [SMALL_STATE(2403)] = 245494,
  [SMALL_STATE(2404)] = 245630,
  [SMALL_STATE(2405)] = 245766,
  [SMALL_STATE(2406)] = 245902,
  [SMALL_STATE(2407)] = 246038,
  [SMALL_STATE(2408)] = 246174,
  [SMALL_STATE(2409)] = 246310,
  [SMALL_STATE(2410)] = 246446,
  [SMALL_STATE(2411)] = 246582,
  [SMALL_STATE(2412)] = 246718,
  [SMALL_STATE(2413)] = 246854,
  [SMALL_STATE(2414)] = 246990,
  [SMALL_STATE(2415)] = 247126,
  [SMALL_STATE(2416)] = 247262,
  [SMALL_STATE(2417)] = 247398,
  [SMALL_STATE(2418)] = 247534,
  [SMALL_STATE(2419)] = 247670,
  [SMALL_STATE(2420)] = 247806,
  [SMALL_STATE(2421)] = 247942,
  [SMALL_STATE(2422)] = 248078,
  [SMALL_STATE(2423)] = 248214,
  [SMALL_STATE(2424)] = 248350,
  [SMALL_STATE(2425)] = 248486,
  [SMALL_STATE(2426)] = 248622,
  [SMALL_STATE(2427)] = 248758,
  [SMALL_STATE(2428)] = 248894,
  [SMALL_STATE(2429)] = 249030,
  [SMALL_STATE(2430)] = 249166,
  [SMALL_STATE(2431)] = 249302,
  [SMALL_STATE(2432)] = 249438,
  [SMALL_STATE(2433)] = 249574,
  [SMALL_STATE(2434)] = 249710,
  [SMALL_STATE(2435)] = 249846,
  [SMALL_STATE(2436)] = 249982,
  [SMALL_STATE(2437)] = 250118,
  [SMALL_STATE(2438)] = 250254,
  [SMALL_STATE(2439)] = 250390,
  [SMALL_STATE(2440)] = 250526,
  [SMALL_STATE(2441)] = 250662,
  [SMALL_STATE(2442)] = 250798,
  [SMALL_STATE(2443)] = 250934,
  [SMALL_STATE(2444)] = 251070,
  [SMALL_STATE(2445)] = 251206,
  [SMALL_STATE(2446)] = 251342,
  [SMALL_STATE(2447)] = 251478,
  [SMALL_STATE(2448)] = 251614,
  [SMALL_STATE(2449)] = 251750,
  [SMALL_STATE(2450)] = 251886,
  [SMALL_STATE(2451)] = 252022,
  [SMALL_STATE(2452)] = 252158,
  [SMALL_STATE(2453)] = 252294,
  [SMALL_STATE(2454)] = 252430,
  [SMALL_STATE(2455)] = 252566,
  [SMALL_STATE(2456)] = 252702,
  [SMALL_STATE(2457)] = 252838,
  [SMALL_STATE(2458)] = 252974,
  [SMALL_STATE(2459)] = 253110,
  [SMALL_STATE(2460)] = 253246,
  [SMALL_STATE(2461)] = 253382,
  [SMALL_STATE(2462)] = 253518,
  [SMALL_STATE(2463)] = 253654,
  [SMALL_STATE(2464)] = 253790,
  [SMALL_STATE(2465)] = 253926,
  [SMALL_STATE(2466)] = 254062,
  [SMALL_STATE(2467)] = 254198,
  [SMALL_STATE(2468)] = 254334,
  [SMALL_STATE(2469)] = 254470,
  [SMALL_STATE(2470)] = 254606,
  [SMALL_STATE(2471)] = 254742,
  [SMALL_STATE(2472)] = 254878,
  [SMALL_STATE(2473)] = 255014,
  [SMALL_STATE(2474)] = 255150,
  [SMALL_STATE(2475)] = 255286,
  [SMALL_STATE(2476)] = 255422,
  [SMALL_STATE(2477)] = 255558,
  [SMALL_STATE(2478)] = 255694,
  [SMALL_STATE(2479)] = 255830,
  [SMALL_STATE(2480)] = 255966,
  [SMALL_STATE(2481)] = 256102,
  [SMALL_STATE(2482)] = 256238,
  [SMALL_STATE(2483)] = 256374,
  [SMALL_STATE(2484)] = 256510,
  [SMALL_STATE(2485)] = 256646,
  [SMALL_STATE(2486)] = 256782,
  [SMALL_STATE(2487)] = 256918,
  [SMALL_STATE(2488)] = 257054,
  [SMALL_STATE(2489)] = 257190,
  [SMALL_STATE(2490)] = 257326,
  [SMALL_STATE(2491)] = 257462,
  [SMALL_STATE(2492)] = 257598,
  [SMALL_STATE(2493)] = 257734,
  [SMALL_STATE(2494)] = 257870,
  [SMALL_STATE(2495)] = 258006,
  [SMALL_STATE(2496)] = 258142,
  [SMALL_STATE(2497)] = 258278,
  [SMALL_STATE(2498)] = 258414,
  [SMALL_STATE(2499)] = 258550,
  [SMALL_STATE(2500)] = 258686,
  [SMALL_STATE(2501)] = 258822,
  [SMALL_STATE(2502)] = 258958,
  [SMALL_STATE(2503)] = 259094,
  [SMALL_STATE(2504)] = 259230,
  [SMALL_STATE(2505)] = 259366,
  [SMALL_STATE(2506)] = 259502,
  [SMALL_STATE(2507)] = 259638,
  [SMALL_STATE(2508)] = 259774,
  [SMALL_STATE(2509)] = 259910,
  [SMALL_STATE(2510)] = 260046,
  [SMALL_STATE(2511)] = 260182,
  [SMALL_STATE(2512)] = 260318,
  [SMALL_STATE(2513)] = 260454,
  [SMALL_STATE(2514)] = 260590,
  [SMALL_STATE(2515)] = 260726,
  [SMALL_STATE(2516)] = 260862,
  [SMALL_STATE(2517)] = 260998,
  [SMALL_STATE(2518)] = 261134,
  [SMALL_STATE(2519)] = 261270,
  [SMALL_STATE(2520)] = 261406,
  [SMALL_STATE(2521)] = 261542,
  [SMALL_STATE(2522)] = 261678,
  [SMALL_STATE(2523)] = 261814,
  [SMALL_STATE(2524)] = 261950,
  [SMALL_STATE(2525)] = 262086,
  [SMALL_STATE(2526)] = 262222,
  [SMALL_STATE(2527)] = 262358,
  [SMALL_STATE(2528)] = 262494,
  [SMALL_STATE(2529)] = 262630,
  [SMALL_STATE(2530)] = 262766,
  [SMALL_STATE(2531)] = 262902,
  [SMALL_STATE(2532)] = 263038,
  [SMALL_STATE(2533)] = 263174,
  [SMALL_STATE(2534)] = 263310,
  [SMALL_STATE(2535)] = 263446,
  [SMALL_STATE(2536)] = 263582,
  [SMALL_STATE(2537)] = 263718,
  [SMALL_STATE(2538)] = 263854,
  [SMALL_STATE(2539)] = 263990,
  [SMALL_STATE(2540)] = 264126,
  [SMALL_STATE(2541)] = 264262,
  [SMALL_STATE(2542)] = 264398,
  [SMALL_STATE(2543)] = 264534,
  [SMALL_STATE(2544)] = 264670,
  [SMALL_STATE(2545)] = 264806,
  [SMALL_STATE(2546)] = 264942,
  [SMALL_STATE(2547)] = 265078,
  [SMALL_STATE(2548)] = 265214,
  [SMALL_STATE(2549)] = 265350,
  [SMALL_STATE(2550)] = 265486,
  [SMALL_STATE(2551)] = 265622,
  [SMALL_STATE(2552)] = 265758,
  [SMALL_STATE(2553)] = 265894,
  [SMALL_STATE(2554)] = 266030,
  [SMALL_STATE(2555)] = 266166,
  [SMALL_STATE(2556)] = 266302,
  [SMALL_STATE(2557)] = 266438,
  [SMALL_STATE(2558)] = 266574,
  [SMALL_STATE(2559)] = 266710,
  [SMALL_STATE(2560)] = 266846,
  [SMALL_STATE(2561)] = 266982,
  [SMALL_STATE(2562)] = 267118,
  [SMALL_STATE(2563)] = 267254,
  [SMALL_STATE(2564)] = 267390,
  [SMALL_STATE(2565)] = 267526,
  [SMALL_STATE(2566)] = 267662,
  [SMALL_STATE(2567)] = 267798,
  [SMALL_STATE(2568)] = 267934,
  [SMALL_STATE(2569)] = 268070,
  [SMALL_STATE(2570)] = 268206,
  [SMALL_STATE(2571)] = 268342,
  [SMALL_STATE(2572)] = 268478,
  [SMALL_STATE(2573)] = 268614,
  [SMALL_STATE(2574)] = 268750,
  [SMALL_STATE(2575)] = 268886,
  [SMALL_STATE(2576)] = 269022,
  [SMALL_STATE(2577)] = 269158,
  [SMALL_STATE(2578)] = 269294,
  [SMALL_STATE(2579)] = 269430,
  [SMALL_STATE(2580)] = 269566,
  [SMALL_STATE(2581)] = 269702,
  [SMALL_STATE(2582)] = 269838,
  [SMALL_STATE(2583)] = 269974,
  [SMALL_STATE(2584)] = 270110,
  [SMALL_STATE(2585)] = 270246,
  [SMALL_STATE(2586)] = 270382,
  [SMALL_STATE(2587)] = 270518,
  [SMALL_STATE(2588)] = 270654,
  [SMALL_STATE(2589)] = 270790,
  [SMALL_STATE(2590)] = 270926,
  [SMALL_STATE(2591)] = 271062,
  [SMALL_STATE(2592)] = 271198,
  [SMALL_STATE(2593)] = 271334,
  [SMALL_STATE(2594)] = 271470,
  [SMALL_STATE(2595)] = 271606,
  [SMALL_STATE(2596)] = 271742,
  [SMALL_STATE(2597)] = 271878,
  [SMALL_STATE(2598)] = 272014,
  [SMALL_STATE(2599)] = 272150,
  [SMALL_STATE(2600)] = 272286,
  [SMALL_STATE(2601)] = 272422,
  [SMALL_STATE(2602)] = 272558,
  [SMALL_STATE(2603)] = 272694,
  [SMALL_STATE(2604)] = 272830,
  [SMALL_STATE(2605)] = 272966,
  [SMALL_STATE(2606)] = 273102,
  [SMALL_STATE(2607)] = 273238,
  [SMALL_STATE(2608)] = 273374,
  [SMALL_STATE(2609)] = 273510,
  [SMALL_STATE(2610)] = 273646,
  [SMALL_STATE(2611)] = 273782,
  [SMALL_STATE(2612)] = 273918,
  [SMALL_STATE(2613)] = 274054,
  [SMALL_STATE(2614)] = 274190,
  [SMALL_STATE(2615)] = 274326,
  [SMALL_STATE(2616)] = 274462,
  [SMALL_STATE(2617)] = 274598,
  [SMALL_STATE(2618)] = 274734,
  [SMALL_STATE(2619)] = 274870,
  [SMALL_STATE(2620)] = 275006,
  [SMALL_STATE(2621)] = 275142,
  [SMALL_STATE(2622)] = 275278,
  [SMALL_STATE(2623)] = 275414,
  [SMALL_STATE(2624)] = 275550,
  [SMALL_STATE(2625)] = 275686,
  [SMALL_STATE(2626)] = 275822,
  [SMALL_STATE(2627)] = 275958,
  [SMALL_STATE(2628)] = 276094,
  [SMALL_STATE(2629)] = 276230,
  [SMALL_STATE(2630)] = 276366,
  [SMALL_STATE(2631)] = 276502,
  [SMALL_STATE(2632)] = 276638,
  [SMALL_STATE(2633)] = 276774,
  [SMALL_STATE(2634)] = 276910,
  [SMALL_STATE(2635)] = 277046,
  [SMALL_STATE(2636)] = 277182,
  [SMALL_STATE(2637)] = 277318,
  [SMALL_STATE(2638)] = 277454,
  [SMALL_STATE(2639)] = 277590,
  [SMALL_STATE(2640)] = 277726,
  [SMALL_STATE(2641)] = 277862,
  [SMALL_STATE(2642)] = 277998,
  [SMALL_STATE(2643)] = 278134,
  [SMALL_STATE(2644)] = 278270,
  [SMALL_STATE(2645)] = 278406,
  [SMALL_STATE(2646)] = 278542,
  [SMALL_STATE(2647)] = 278678,
  [SMALL_STATE(2648)] = 278814,
  [SMALL_STATE(2649)] = 278950,
  [SMALL_STATE(2650)] = 279086,
  [SMALL_STATE(2651)] = 279222,
  [SMALL_STATE(2652)] = 279358,
  [SMALL_STATE(2653)] = 279494,
  [SMALL_STATE(2654)] = 279630,
  [SMALL_STATE(2655)] = 279766,
  [SMALL_STATE(2656)] = 279902,
  [SMALL_STATE(2657)] = 280038,
  [SMALL_STATE(2658)] = 280174,
  [SMALL_STATE(2659)] = 280310,
  [SMALL_STATE(2660)] = 280446,
  [SMALL_STATE(2661)] = 280583,
  [SMALL_STATE(2662)] = 280720,
  [SMALL_STATE(2663)] = 280857,
  [SMALL_STATE(2664)] = 280988,
  [SMALL_STATE(2665)] = 281125,
  [SMALL_STATE(2666)] = 281262,
  [SMALL_STATE(2667)] = 281399,
  [SMALL_STATE(2668)] = 281536,
  [SMALL_STATE(2669)] = 281673,
  [SMALL_STATE(2670)] = 281810,
  [SMALL_STATE(2671)] = 281947,
  [SMALL_STATE(2672)] = 282084,
  [SMALL_STATE(2673)] = 282215,
  [SMALL_STATE(2674)] = 282352,
  [SMALL_STATE(2675)] = 282489,
  [SMALL_STATE(2676)] = 282626,
  [SMALL_STATE(2677)] = 282763,
  [SMALL_STATE(2678)] = 282900,
  [SMALL_STATE(2679)] = 283037,
  [SMALL_STATE(2680)] = 283168,
  [SMALL_STATE(2681)] = 283299,
  [SMALL_STATE(2682)] = 283430,
  [SMALL_STATE(2683)] = 283561,
  [SMALL_STATE(2684)] = 283692,
  [SMALL_STATE(2685)] = 283823,
  [SMALL_STATE(2686)] = 283960,
  [SMALL_STATE(2687)] = 284097,
  [SMALL_STATE(2688)] = 284234,
  [SMALL_STATE(2689)] = 284371,
  [SMALL_STATE(2690)] = 284508,
  [SMALL_STATE(2691)] = 284645,
  [SMALL_STATE(2692)] = 284782,
  [SMALL_STATE(2693)] = 284919,
  [SMALL_STATE(2694)] = 285050,
  [SMALL_STATE(2695)] = 285187,
  [SMALL_STATE(2696)] = 285324,
  [SMALL_STATE(2697)] = 285461,
  [SMALL_STATE(2698)] = 285598,
  [SMALL_STATE(2699)] = 285735,
  [SMALL_STATE(2700)] = 285872,
  [SMALL_STATE(2701)] = 286009,
  [SMALL_STATE(2702)] = 286146,
  [SMALL_STATE(2703)] = 286283,
  [SMALL_STATE(2704)] = 286414,
  [SMALL_STATE(2705)] = 286545,
  [SMALL_STATE(2706)] = 286682,
  [SMALL_STATE(2707)] = 286819,
  [SMALL_STATE(2708)] = 286950,
  [SMALL_STATE(2709)] = 287081,
  [SMALL_STATE(2710)] = 287218,
  [SMALL_STATE(2711)] = 287355,
  [SMALL_STATE(2712)] = 287486,
  [SMALL_STATE(2713)] = 287623,
  [SMALL_STATE(2714)] = 287760,
  [SMALL_STATE(2715)] = 287897,
  [SMALL_STATE(2716)] = 288034,
  [SMALL_STATE(2717)] = 288171,
  [SMALL_STATE(2718)] = 288308,
  [SMALL_STATE(2719)] = 288439,
  [SMALL_STATE(2720)] = 288576,
  [SMALL_STATE(2721)] = 288713,
  [SMALL_STATE(2722)] = 288844,
  [SMALL_STATE(2723)] = 288981,
  [SMALL_STATE(2724)] = 289118,
  [SMALL_STATE(2725)] = 289249,
  [SMALL_STATE(2726)] = 289380,
  [SMALL_STATE(2727)] = 289517,
  [SMALL_STATE(2728)] = 289654,
  [SMALL_STATE(2729)] = 289785,
  [SMALL_STATE(2730)] = 289916,
  [SMALL_STATE(2731)] = 290053,
  [SMALL_STATE(2732)] = 290190,
  [SMALL_STATE(2733)] = 290327,
  [SMALL_STATE(2734)] = 290464,
  [SMALL_STATE(2735)] = 290595,
  [SMALL_STATE(2736)] = 290726,
  [SMALL_STATE(2737)] = 290857,
  [SMALL_STATE(2738)] = 290988,
  [SMALL_STATE(2739)] = 291125,
  [SMALL_STATE(2740)] = 291262,
  [SMALL_STATE(2741)] = 291399,
  [SMALL_STATE(2742)] = 291536,
  [SMALL_STATE(2743)] = 291673,
  [SMALL_STATE(2744)] = 291810,
  [SMALL_STATE(2745)] = 291947,
  [SMALL_STATE(2746)] = 292084,
  [SMALL_STATE(2747)] = 292215,
  [SMALL_STATE(2748)] = 292346,
  [SMALL_STATE(2749)] = 292477,
  [SMALL_STATE(2750)] = 292608,
  [SMALL_STATE(2751)] = 292739,
  [SMALL_STATE(2752)] = 292876,
  [SMALL_STATE(2753)] = 293013,
  [SMALL_STATE(2754)] = 293150,
  [SMALL_STATE(2755)] = 293287,
  [SMALL_STATE(2756)] = 293418,
  [SMALL_STATE(2757)] = 293549,
  [SMALL_STATE(2758)] = 293680,
  [SMALL_STATE(2759)] = 293811,
  [SMALL_STATE(2760)] = 293948,
  [SMALL_STATE(2761)] = 294085,
  [SMALL_STATE(2762)] = 294216,
  [SMALL_STATE(2763)] = 294347,
  [SMALL_STATE(2764)] = 294484,
  [SMALL_STATE(2765)] = 294621,
  [SMALL_STATE(2766)] = 294752,
  [SMALL_STATE(2767)] = 294883,
  [SMALL_STATE(2768)] = 295020,
  [SMALL_STATE(2769)] = 295157,
  [SMALL_STATE(2770)] = 295294,
  [SMALL_STATE(2771)] = 295431,
  [SMALL_STATE(2772)] = 295562,
  [SMALL_STATE(2773)] = 295693,
  [SMALL_STATE(2774)] = 295830,
  [SMALL_STATE(2775)] = 295967,
  [SMALL_STATE(2776)] = 296104,
  [SMALL_STATE(2777)] = 296241,
  [SMALL_STATE(2778)] = 296378,
  [SMALL_STATE(2779)] = 296515,
  [SMALL_STATE(2780)] = 296646,
  [SMALL_STATE(2781)] = 296777,
  [SMALL_STATE(2782)] = 296908,
  [SMALL_STATE(2783)] = 297039,
  [SMALL_STATE(2784)] = 297170,
  [SMALL_STATE(2785)] = 297301,
  [SMALL_STATE(2786)] = 297438,
  [SMALL_STATE(2787)] = 297575,
  [SMALL_STATE(2788)] = 297712,
  [SMALL_STATE(2789)] = 297843,
  [SMALL_STATE(2790)] = 297980,
  [SMALL_STATE(2791)] = 298117,
  [SMALL_STATE(2792)] = 298254,
  [SMALL_STATE(2793)] = 298391,
  [SMALL_STATE(2794)] = 298528,
  [SMALL_STATE(2795)] = 298665,
  [SMALL_STATE(2796)] = 298796,
  [SMALL_STATE(2797)] = 298927,
  [SMALL_STATE(2798)] = 299064,
  [SMALL_STATE(2799)] = 299201,
  [SMALL_STATE(2800)] = 299338,
  [SMALL_STATE(2801)] = 299475,
  [SMALL_STATE(2802)] = 299606,
  [SMALL_STATE(2803)] = 299737,
  [SMALL_STATE(2804)] = 299874,
  [SMALL_STATE(2805)] = 300011,
  [SMALL_STATE(2806)] = 300142,
  [SMALL_STATE(2807)] = 300273,
  [SMALL_STATE(2808)] = 300404,
  [SMALL_STATE(2809)] = 300535,
  [SMALL_STATE(2810)] = 300666,
  [SMALL_STATE(2811)] = 300797,
  [SMALL_STATE(2812)] = 300934,
  [SMALL_STATE(2813)] = 301071,
  [SMALL_STATE(2814)] = 301208,
  [SMALL_STATE(2815)] = 301345,
  [SMALL_STATE(2816)] = 301482,
  [SMALL_STATE(2817)] = 301619,
  [SMALL_STATE(2818)] = 301756,
  [SMALL_STATE(2819)] = 301893,
  [SMALL_STATE(2820)] = 302024,
  [SMALL_STATE(2821)] = 302155,
  [SMALL_STATE(2822)] = 302292,
  [SMALL_STATE(2823)] = 302429,
  [SMALL_STATE(2824)] = 302560,
  [SMALL_STATE(2825)] = 302691,
  [SMALL_STATE(2826)] = 302828,
  [SMALL_STATE(2827)] = 302962,
  [SMALL_STATE(2828)] = 303096,
  [SMALL_STATE(2829)] = 303230,
  [SMALL_STATE(2830)] = 303364,
  [SMALL_STATE(2831)] = 303498,
  [SMALL_STATE(2832)] = 303632,
  [SMALL_STATE(2833)] = 303761,
  [SMALL_STATE(2834)] = 303890,
  [SMALL_STATE(2835)] = 304019,
  [SMALL_STATE(2836)] = 304148,
  [SMALL_STATE(2837)] = 304277,
  [SMALL_STATE(2838)] = 304406,
  [SMALL_STATE(2839)] = 304535,
  [SMALL_STATE(2840)] = 304664,
  [SMALL_STATE(2841)] = 304793,
  [SMALL_STATE(2842)] = 304922,
  [SMALL_STATE(2843)] = 305051,
  [SMALL_STATE(2844)] = 305180,
  [SMALL_STATE(2845)] = 305309,
  [SMALL_STATE(2846)] = 305438,
  [SMALL_STATE(2847)] = 305567,
  [SMALL_STATE(2848)] = 305696,
  [SMALL_STATE(2849)] = 305825,
  [SMALL_STATE(2850)] = 305954,
  [SMALL_STATE(2851)] = 306083,
  [SMALL_STATE(2852)] = 306212,
  [SMALL_STATE(2853)] = 306341,
  [SMALL_STATE(2854)] = 306470,
  [SMALL_STATE(2855)] = 306599,
  [SMALL_STATE(2856)] = 306728,
  [SMALL_STATE(2857)] = 306857,
  [SMALL_STATE(2858)] = 306986,
  [SMALL_STATE(2859)] = 307115,
  [SMALL_STATE(2860)] = 307244,
  [SMALL_STATE(2861)] = 307373,
  [SMALL_STATE(2862)] = 307502,
  [SMALL_STATE(2863)] = 307631,
  [SMALL_STATE(2864)] = 307760,
  [SMALL_STATE(2865)] = 307889,
  [SMALL_STATE(2866)] = 308018,
  [SMALL_STATE(2867)] = 308147,
  [SMALL_STATE(2868)] = 308276,
  [SMALL_STATE(2869)] = 308405,
  [SMALL_STATE(2870)] = 308534,
  [SMALL_STATE(2871)] = 308663,
  [SMALL_STATE(2872)] = 308792,
  [SMALL_STATE(2873)] = 308921,
  [SMALL_STATE(2874)] = 309050,
  [SMALL_STATE(2875)] = 309179,
  [SMALL_STATE(2876)] = 309308,
  [SMALL_STATE(2877)] = 309437,
  [SMALL_STATE(2878)] = 309566,
  [SMALL_STATE(2879)] = 309695,
  [SMALL_STATE(2880)] = 309824,
  [SMALL_STATE(2881)] = 309953,
  [SMALL_STATE(2882)] = 310082,
  [SMALL_STATE(2883)] = 310211,
  [SMALL_STATE(2884)] = 310340,
  [SMALL_STATE(2885)] = 310469,
  [SMALL_STATE(2886)] = 310598,
  [SMALL_STATE(2887)] = 310727,
  [SMALL_STATE(2888)] = 310856,
  [SMALL_STATE(2889)] = 310985,
  [SMALL_STATE(2890)] = 311114,
  [SMALL_STATE(2891)] = 311243,
  [SMALL_STATE(2892)] = 311372,
  [SMALL_STATE(2893)] = 311501,
  [SMALL_STATE(2894)] = 311630,
  [SMALL_STATE(2895)] = 311759,
  [SMALL_STATE(2896)] = 311888,
  [SMALL_STATE(2897)] = 312017,
  [SMALL_STATE(2898)] = 312146,
  [SMALL_STATE(2899)] = 312275,
  [SMALL_STATE(2900)] = 312404,
  [SMALL_STATE(2901)] = 312533,
  [SMALL_STATE(2902)] = 312662,
  [SMALL_STATE(2903)] = 312791,
  [SMALL_STATE(2904)] = 312920,
  [SMALL_STATE(2905)] = 313049,
  [SMALL_STATE(2906)] = 313178,
  [SMALL_STATE(2907)] = 313307,
  [SMALL_STATE(2908)] = 313436,
  [SMALL_STATE(2909)] = 313565,
  [SMALL_STATE(2910)] = 313694,
  [SMALL_STATE(2911)] = 313823,
  [SMALL_STATE(2912)] = 313952,
  [SMALL_STATE(2913)] = 314081,
  [SMALL_STATE(2914)] = 314210,
  [SMALL_STATE(2915)] = 314339,
  [SMALL_STATE(2916)] = 314468,
  [SMALL_STATE(2917)] = 314597,
  [SMALL_STATE(2918)] = 314726,
  [SMALL_STATE(2919)] = 314855,
  [SMALL_STATE(2920)] = 314984,
  [SMALL_STATE(2921)] = 315113,
  [SMALL_STATE(2922)] = 315242,
  [SMALL_STATE(2923)] = 315371,
  [SMALL_STATE(2924)] = 315500,
  [SMALL_STATE(2925)] = 315629,
  [SMALL_STATE(2926)] = 315758,
  [SMALL_STATE(2927)] = 315887,
  [SMALL_STATE(2928)] = 316016,
  [SMALL_STATE(2929)] = 316145,
  [SMALL_STATE(2930)] = 316274,
  [SMALL_STATE(2931)] = 316403,
  [SMALL_STATE(2932)] = 316532,
  [SMALL_STATE(2933)] = 316661,
  [SMALL_STATE(2934)] = 316790,
  [SMALL_STATE(2935)] = 316919,
  [SMALL_STATE(2936)] = 317048,
  [SMALL_STATE(2937)] = 317177,
  [SMALL_STATE(2938)] = 317306,
  [SMALL_STATE(2939)] = 317435,
  [SMALL_STATE(2940)] = 317564,
  [SMALL_STATE(2941)] = 317693,
  [SMALL_STATE(2942)] = 317822,
  [SMALL_STATE(2943)] = 317951,
  [SMALL_STATE(2944)] = 318080,
  [SMALL_STATE(2945)] = 318209,
  [SMALL_STATE(2946)] = 318338,
  [SMALL_STATE(2947)] = 318467,
  [SMALL_STATE(2948)] = 318596,
  [SMALL_STATE(2949)] = 318725,
  [SMALL_STATE(2950)] = 318854,
  [SMALL_STATE(2951)] = 318983,
  [SMALL_STATE(2952)] = 319112,
  [SMALL_STATE(2953)] = 319241,
  [SMALL_STATE(2954)] = 319370,
  [SMALL_STATE(2955)] = 319499,
  [SMALL_STATE(2956)] = 319628,
  [SMALL_STATE(2957)] = 319757,
  [SMALL_STATE(2958)] = 319886,
  [SMALL_STATE(2959)] = 320015,
  [SMALL_STATE(2960)] = 320144,
  [SMALL_STATE(2961)] = 320273,
  [SMALL_STATE(2962)] = 320402,
  [SMALL_STATE(2963)] = 320531,
  [SMALL_STATE(2964)] = 320660,
  [SMALL_STATE(2965)] = 320727,
  [SMALL_STATE(2966)] = 320856,
  [SMALL_STATE(2967)] = 320985,
  [SMALL_STATE(2968)] = 321114,
  [SMALL_STATE(2969)] = 321243,
  [SMALL_STATE(2970)] = 321372,
  [SMALL_STATE(2971)] = 321501,
  [SMALL_STATE(2972)] = 321630,
  [SMALL_STATE(2973)] = 321759,
  [SMALL_STATE(2974)] = 321888,
  [SMALL_STATE(2975)] = 322017,
  [SMALL_STATE(2976)] = 322146,
  [SMALL_STATE(2977)] = 322275,
  [SMALL_STATE(2978)] = 322404,
  [SMALL_STATE(2979)] = 322533,
  [SMALL_STATE(2980)] = 322662,
  [SMALL_STATE(2981)] = 322791,
  [SMALL_STATE(2982)] = 322920,
  [SMALL_STATE(2983)] = 323049,
  [SMALL_STATE(2984)] = 323178,
  [SMALL_STATE(2985)] = 323307,
  [SMALL_STATE(2986)] = 323436,
  [SMALL_STATE(2987)] = 323565,
  [SMALL_STATE(2988)] = 323694,
  [SMALL_STATE(2989)] = 323823,
  [SMALL_STATE(2990)] = 323952,
  [SMALL_STATE(2991)] = 324081,
  [SMALL_STATE(2992)] = 324210,
  [SMALL_STATE(2993)] = 324339,
  [SMALL_STATE(2994)] = 324468,
  [SMALL_STATE(2995)] = 324597,
  [SMALL_STATE(2996)] = 324726,
  [SMALL_STATE(2997)] = 324855,
  [SMALL_STATE(2998)] = 324984,
  [SMALL_STATE(2999)] = 325113,
  [SMALL_STATE(3000)] = 325242,
  [SMALL_STATE(3001)] = 325371,
  [SMALL_STATE(3002)] = 325500,
  [SMALL_STATE(3003)] = 325629,
  [SMALL_STATE(3004)] = 325758,
  [SMALL_STATE(3005)] = 325887,
  [SMALL_STATE(3006)] = 326016,
  [SMALL_STATE(3007)] = 326145,
  [SMALL_STATE(3008)] = 326274,
  [SMALL_STATE(3009)] = 326403,
  [SMALL_STATE(3010)] = 326532,
  [SMALL_STATE(3011)] = 326661,
  [SMALL_STATE(3012)] = 326790,
  [SMALL_STATE(3013)] = 326919,
  [SMALL_STATE(3014)] = 327048,
  [SMALL_STATE(3015)] = 327177,
  [SMALL_STATE(3016)] = 327306,
  [SMALL_STATE(3017)] = 327435,
  [SMALL_STATE(3018)] = 327564,
  [SMALL_STATE(3019)] = 327693,
  [SMALL_STATE(3020)] = 327822,
  [SMALL_STATE(3021)] = 327951,
  [SMALL_STATE(3022)] = 328080,
  [SMALL_STATE(3023)] = 328209,
  [SMALL_STATE(3024)] = 328338,
  [SMALL_STATE(3025)] = 328467,
  [SMALL_STATE(3026)] = 328596,
  [SMALL_STATE(3027)] = 328725,
  [SMALL_STATE(3028)] = 328854,
  [SMALL_STATE(3029)] = 328983,
  [SMALL_STATE(3030)] = 329112,
  [SMALL_STATE(3031)] = 329241,
  [SMALL_STATE(3032)] = 329370,
  [SMALL_STATE(3033)] = 329499,
  [SMALL_STATE(3034)] = 329628,
  [SMALL_STATE(3035)] = 329757,
  [SMALL_STATE(3036)] = 329886,
  [SMALL_STATE(3037)] = 330015,
  [SMALL_STATE(3038)] = 330144,
  [SMALL_STATE(3039)] = 330273,
  [SMALL_STATE(3040)] = 330402,
  [SMALL_STATE(3041)] = 330531,
  [SMALL_STATE(3042)] = 330660,
  [SMALL_STATE(3043)] = 330789,
  [SMALL_STATE(3044)] = 330918,
  [SMALL_STATE(3045)] = 331047,
  [SMALL_STATE(3046)] = 331176,
  [SMALL_STATE(3047)] = 331305,
  [SMALL_STATE(3048)] = 331434,
  [SMALL_STATE(3049)] = 331563,
  [SMALL_STATE(3050)] = 331692,
  [SMALL_STATE(3051)] = 331821,
  [SMALL_STATE(3052)] = 331950,
  [SMALL_STATE(3053)] = 332079,
  [SMALL_STATE(3054)] = 332208,
  [SMALL_STATE(3055)] = 332337,
  [SMALL_STATE(3056)] = 332466,
  [SMALL_STATE(3057)] = 332595,
  [SMALL_STATE(3058)] = 332724,
  [SMALL_STATE(3059)] = 332853,
  [SMALL_STATE(3060)] = 332982,
  [SMALL_STATE(3061)] = 333111,
  [SMALL_STATE(3062)] = 333240,
  [SMALL_STATE(3063)] = 333369,
  [SMALL_STATE(3064)] = 333498,
  [SMALL_STATE(3065)] = 333627,
  [SMALL_STATE(3066)] = 333756,
  [SMALL_STATE(3067)] = 333885,
  [SMALL_STATE(3068)] = 334014,
  [SMALL_STATE(3069)] = 334143,
  [SMALL_STATE(3070)] = 334272,
  [SMALL_STATE(3071)] = 334401,
  [SMALL_STATE(3072)] = 334530,
  [SMALL_STATE(3073)] = 334659,
  [SMALL_STATE(3074)] = 334788,
  [SMALL_STATE(3075)] = 334917,
  [SMALL_STATE(3076)] = 335046,
  [SMALL_STATE(3077)] = 335175,
  [SMALL_STATE(3078)] = 335304,
  [SMALL_STATE(3079)] = 335433,
  [SMALL_STATE(3080)] = 335562,
  [SMALL_STATE(3081)] = 335691,
  [SMALL_STATE(3082)] = 335820,
  [SMALL_STATE(3083)] = 335949,
  [SMALL_STATE(3084)] = 336078,
  [SMALL_STATE(3085)] = 336207,
  [SMALL_STATE(3086)] = 336336,
  [SMALL_STATE(3087)] = 336465,
  [SMALL_STATE(3088)] = 336594,
  [SMALL_STATE(3089)] = 336723,
  [SMALL_STATE(3090)] = 336852,
  [SMALL_STATE(3091)] = 336981,
  [SMALL_STATE(3092)] = 337110,
  [SMALL_STATE(3093)] = 337239,
  [SMALL_STATE(3094)] = 337368,
  [SMALL_STATE(3095)] = 337497,
  [SMALL_STATE(3096)] = 337626,
  [SMALL_STATE(3097)] = 337755,
  [SMALL_STATE(3098)] = 337884,
  [SMALL_STATE(3099)] = 338013,
  [SMALL_STATE(3100)] = 338139,
  [SMALL_STATE(3101)] = 338265,
  [SMALL_STATE(3102)] = 338391,
  [SMALL_STATE(3103)] = 338517,
  [SMALL_STATE(3104)] = 338643,
  [SMALL_STATE(3105)] = 338769,
  [SMALL_STATE(3106)] = 338895,
  [SMALL_STATE(3107)] = 339021,
  [SMALL_STATE(3108)] = 339147,
  [SMALL_STATE(3109)] = 339273,
  [SMALL_STATE(3110)] = 339399,
  [SMALL_STATE(3111)] = 339525,
  [SMALL_STATE(3112)] = 339651,
  [SMALL_STATE(3113)] = 339777,
  [SMALL_STATE(3114)] = 339903,
  [SMALL_STATE(3115)] = 340029,
  [SMALL_STATE(3116)] = 340155,
  [SMALL_STATE(3117)] = 340281,
  [SMALL_STATE(3118)] = 340407,
  [SMALL_STATE(3119)] = 340533,
  [SMALL_STATE(3120)] = 340659,
  [SMALL_STATE(3121)] = 340785,
  [SMALL_STATE(3122)] = 340910,
  [SMALL_STATE(3123)] = 340978,
  [SMALL_STATE(3124)] = 341048,
  [SMALL_STATE(3125)] = 341116,
  [SMALL_STATE(3126)] = 341238,
  [SMALL_STATE(3127)] = 341358,
  [SMALL_STATE(3128)] = 341428,
  [SMALL_STATE(3129)] = 341550,
  [SMALL_STATE(3130)] = 341620,
  [SMALL_STATE(3131)] = 341687,
  [SMALL_STATE(3132)] = 341754,
  [SMALL_STATE(3133)] = 341821,
  [SMALL_STATE(3134)] = 341888,
  [SMALL_STATE(3135)] = 342007,
  [SMALL_STATE(3136)] = 342074,
  [SMALL_STATE(3137)] = 342141,
  [SMALL_STATE(3138)] = 342260,
  [SMALL_STATE(3139)] = 342327,
  [SMALL_STATE(3140)] = 342394,
  [SMALL_STATE(3141)] = 342461,
  [SMALL_STATE(3142)] = 342528,
  [SMALL_STATE(3143)] = 342645,
  [SMALL_STATE(3144)] = 342712,
  [SMALL_STATE(3145)] = 342779,
  [SMALL_STATE(3146)] = 342898,
  [SMALL_STATE(3147)] = 342965,
  [SMALL_STATE(3148)] = 343082,
  [SMALL_STATE(3149)] = 343149,
  [SMALL_STATE(3150)] = 343268,
  [SMALL_STATE(3151)] = 343387,
  [SMALL_STATE(3152)] = 343454,
  [SMALL_STATE(3153)] = 343521,
  [SMALL_STATE(3154)] = 343588,
  [SMALL_STATE(3155)] = 343655,
  [SMALL_STATE(3156)] = 343722,
  [SMALL_STATE(3157)] = 343841,
  [SMALL_STATE(3158)] = 343958,
  [SMALL_STATE(3159)] = 344025,
  [SMALL_STATE(3160)] = 344142,
  [SMALL_STATE(3161)] = 344209,
  [SMALL_STATE(3162)] = 344276,
  [SMALL_STATE(3163)] = 344343,
  [SMALL_STATE(3164)] = 344460,
  [SMALL_STATE(3165)] = 344527,
  [SMALL_STATE(3166)] = 344646,
  [SMALL_STATE(3167)] = 344713,
  [SMALL_STATE(3168)] = 344780,
  [SMALL_STATE(3169)] = 344847,
  [SMALL_STATE(3170)] = 344914,
  [SMALL_STATE(3171)] = 345033,
  [SMALL_STATE(3172)] = 345152,
  [SMALL_STATE(3173)] = 345219,
  [SMALL_STATE(3174)] = 345286,
  [SMALL_STATE(3175)] = 345405,
  [SMALL_STATE(3176)] = 345524,
  [SMALL_STATE(3177)] = 345641,
  [SMALL_STATE(3178)] = 345758,
  [SMALL_STATE(3179)] = 345877,
  [SMALL_STATE(3180)] = 345944,
  [SMALL_STATE(3181)] = 346011,
  [SMALL_STATE(3182)] = 346130,
  [SMALL_STATE(3183)] = 346249,
  [SMALL_STATE(3184)] = 346366,
  [SMALL_STATE(3185)] = 346485,
  [SMALL_STATE(3186)] = 346602,
  [SMALL_STATE(3187)] = 346669,
  [SMALL_STATE(3188)] = 346788,
  [SMALL_STATE(3189)] = 346855,
  [SMALL_STATE(3190)] = 346922,
  [SMALL_STATE(3191)] = 346989,
  [SMALL_STATE(3192)] = 347108,
  [SMALL_STATE(3193)] = 347227,
  [SMALL_STATE(3194)] = 347346,
  [SMALL_STATE(3195)] = 347465,
  [SMALL_STATE(3196)] = 347584,
  [SMALL_STATE(3197)] = 347701,
  [SMALL_STATE(3198)] = 347820,
  [SMALL_STATE(3199)] = 347887,
  [SMALL_STATE(3200)] = 347954,
  [SMALL_STATE(3201)] = 348021,
  [SMALL_STATE(3202)] = 348140,
  [SMALL_STATE(3203)] = 348259,
  [SMALL_STATE(3204)] = 348376,
  [SMALL_STATE(3205)] = 348493,
  [SMALL_STATE(3206)] = 348560,
  [SMALL_STATE(3207)] = 348677,
  [SMALL_STATE(3208)] = 348744,
  [SMALL_STATE(3209)] = 348811,
  [SMALL_STATE(3210)] = 348930,
  [SMALL_STATE(3211)] = 348997,
  [SMALL_STATE(3212)] = 349064,
  [SMALL_STATE(3213)] = 349131,
  [SMALL_STATE(3214)] = 349198,
  [SMALL_STATE(3215)] = 349317,
  [SMALL_STATE(3216)] = 349384,
  [SMALL_STATE(3217)] = 349501,
  [SMALL_STATE(3218)] = 349568,
  [SMALL_STATE(3219)] = 349635,
  [SMALL_STATE(3220)] = 349702,
  [SMALL_STATE(3221)] = 349769,
  [SMALL_STATE(3222)] = 349836,
  [SMALL_STATE(3223)] = 349903,
  [SMALL_STATE(3224)] = 349970,
  [SMALL_STATE(3225)] = 350037,
  [SMALL_STATE(3226)] = 350104,
  [SMALL_STATE(3227)] = 350221,
  [SMALL_STATE(3228)] = 350340,
  [SMALL_STATE(3229)] = 350407,
  [SMALL_STATE(3230)] = 350474,
  [SMALL_STATE(3231)] = 350541,
  [SMALL_STATE(3232)] = 350608,
  [SMALL_STATE(3233)] = 350675,
  [SMALL_STATE(3234)] = 350742,
  [SMALL_STATE(3235)] = 350809,
  [SMALL_STATE(3236)] = 350876,
  [SMALL_STATE(3237)] = 350995,
  [SMALL_STATE(3238)] = 351112,
  [SMALL_STATE(3239)] = 351179,
  [SMALL_STATE(3240)] = 351246,
  [SMALL_STATE(3241)] = 351363,
  [SMALL_STATE(3242)] = 351430,
  [SMALL_STATE(3243)] = 351497,
  [SMALL_STATE(3244)] = 351616,
  [SMALL_STATE(3245)] = 351735,
  [SMALL_STATE(3246)] = 351802,
  [SMALL_STATE(3247)] = 351869,
  [SMALL_STATE(3248)] = 351936,
  [SMALL_STATE(3249)] = 352003,
  [SMALL_STATE(3250)] = 352122,
  [SMALL_STATE(3251)] = 352189,
  [SMALL_STATE(3252)] = 352256,
  [SMALL_STATE(3253)] = 352323,
  [SMALL_STATE(3254)] = 352390,
  [SMALL_STATE(3255)] = 352457,
  [SMALL_STATE(3256)] = 352524,
  [SMALL_STATE(3257)] = 352591,
  [SMALL_STATE(3258)] = 352658,
  [SMALL_STATE(3259)] = 352725,
  [SMALL_STATE(3260)] = 352792,
  [SMALL_STATE(3261)] = 352909,
  [SMALL_STATE(3262)] = 353028,
  [SMALL_STATE(3263)] = 353145,
  [SMALL_STATE(3264)] = 353262,
  [SMALL_STATE(3265)] = 353329,
  [SMALL_STATE(3266)] = 353396,
  [SMALL_STATE(3267)] = 353515,
  [SMALL_STATE(3268)] = 353634,
  [SMALL_STATE(3269)] = 353701,
  [SMALL_STATE(3270)] = 353768,
  [SMALL_STATE(3271)] = 353835,
  [SMALL_STATE(3272)] = 353902,
  [SMALL_STATE(3273)] = 353969,
  [SMALL_STATE(3274)] = 354036,
  [SMALL_STATE(3275)] = 354103,
  [SMALL_STATE(3276)] = 354170,
  [SMALL_STATE(3277)] = 354289,
  [SMALL_STATE(3278)] = 354408,
  [SMALL_STATE(3279)] = 354475,
  [SMALL_STATE(3280)] = 354542,
  [SMALL_STATE(3281)] = 354609,
  [SMALL_STATE(3282)] = 354726,
  [SMALL_STATE(3283)] = 354793,
  [SMALL_STATE(3284)] = 354910,
  [SMALL_STATE(3285)] = 354977,
  [SMALL_STATE(3286)] = 355044,
  [SMALL_STATE(3287)] = 355111,
  [SMALL_STATE(3288)] = 355230,
  [SMALL_STATE(3289)] = 355347,
  [SMALL_STATE(3290)] = 355464,
  [SMALL_STATE(3291)] = 355531,
  [SMALL_STATE(3292)] = 355598,
  [SMALL_STATE(3293)] = 355665,
  [SMALL_STATE(3294)] = 355732,
  [SMALL_STATE(3295)] = 355799,
  [SMALL_STATE(3296)] = 355918,
  [SMALL_STATE(3297)] = 355985,
  [SMALL_STATE(3298)] = 356052,
  [SMALL_STATE(3299)] = 356119,
  [SMALL_STATE(3300)] = 356186,
  [SMALL_STATE(3301)] = 356253,
  [SMALL_STATE(3302)] = 356372,
  [SMALL_STATE(3303)] = 356491,
  [SMALL_STATE(3304)] = 356608,
  [SMALL_STATE(3305)] = 356727,
  [SMALL_STATE(3306)] = 356846,
  [SMALL_STATE(3307)] = 356913,
  [SMALL_STATE(3308)] = 356980,
  [SMALL_STATE(3309)] = 357047,
  [SMALL_STATE(3310)] = 357114,
  [SMALL_STATE(3311)] = 357181,
  [SMALL_STATE(3312)] = 357248,
  [SMALL_STATE(3313)] = 357315,
  [SMALL_STATE(3314)] = 357434,
  [SMALL_STATE(3315)] = 357551,
  [SMALL_STATE(3316)] = 357618,
  [SMALL_STATE(3317)] = 357735,
  [SMALL_STATE(3318)] = 357852,
  [SMALL_STATE(3319)] = 357969,
  [SMALL_STATE(3320)] = 358036,
  [SMALL_STATE(3321)] = 358103,
  [SMALL_STATE(3322)] = 358170,
  [SMALL_STATE(3323)] = 358237,
  [SMALL_STATE(3324)] = 358304,
  [SMALL_STATE(3325)] = 358423,
  [SMALL_STATE(3326)] = 358542,
  [SMALL_STATE(3327)] = 358609,
  [SMALL_STATE(3328)] = 358676,
  [SMALL_STATE(3329)] = 358743,
  [SMALL_STATE(3330)] = 358810,
  [SMALL_STATE(3331)] = 358877,
  [SMALL_STATE(3332)] = 358944,
  [SMALL_STATE(3333)] = 359011,
  [SMALL_STATE(3334)] = 359130,
  [SMALL_STATE(3335)] = 359197,
  [SMALL_STATE(3336)] = 359316,
  [SMALL_STATE(3337)] = 359383,
  [SMALL_STATE(3338)] = 359450,
  [SMALL_STATE(3339)] = 359569,
  [SMALL_STATE(3340)] = 359686,
  [SMALL_STATE(3341)] = 359805,
  [SMALL_STATE(3342)] = 359872,
  [SMALL_STATE(3343)] = 359939,
  [SMALL_STATE(3344)] = 360006,
  [SMALL_STATE(3345)] = 360073,
  [SMALL_STATE(3346)] = 360140,
  [SMALL_STATE(3347)] = 360207,
  [SMALL_STATE(3348)] = 360326,
  [SMALL_STATE(3349)] = 360442,
  [SMALL_STATE(3350)] = 360558,
  [SMALL_STATE(3351)] = 360676,
  [SMALL_STATE(3352)] = 360794,
  [SMALL_STATE(3353)] = 360910,
  [SMALL_STATE(3354)] = 361026,
  [SMALL_STATE(3355)] = 361142,
  [SMALL_STATE(3356)] = 361260,
  [SMALL_STATE(3357)] = 361376,
  [SMALL_STATE(3358)] = 361492,
  [SMALL_STATE(3359)] = 361608,
  [SMALL_STATE(3360)] = 361726,
  [SMALL_STATE(3361)] = 361842,
  [SMALL_STATE(3362)] = 361958,
  [SMALL_STATE(3363)] = 362074,
  [SMALL_STATE(3364)] = 362192,
  [SMALL_STATE(3365)] = 362308,
  [SMALL_STATE(3366)] = 362424,
  [SMALL_STATE(3367)] = 362540,
  [SMALL_STATE(3368)] = 362658,
  [SMALL_STATE(3369)] = 362774,
  [SMALL_STATE(3370)] = 362890,
  [SMALL_STATE(3371)] = 363006,
  [SMALL_STATE(3372)] = 363124,
  [SMALL_STATE(3373)] = 363240,
  [SMALL_STATE(3374)] = 363356,
  [SMALL_STATE(3375)] = 363472,
  [SMALL_STATE(3376)] = 363590,
  [SMALL_STATE(3377)] = 363706,
  [SMALL_STATE(3378)] = 363822,
  [SMALL_STATE(3379)] = 363938,
  [SMALL_STATE(3380)] = 364056,
  [SMALL_STATE(3381)] = 364172,
  [SMALL_STATE(3382)] = 364288,
  [SMALL_STATE(3383)] = 364404,
  [SMALL_STATE(3384)] = 364522,
  [SMALL_STATE(3385)] = 364638,
  [SMALL_STATE(3386)] = 364754,
  [SMALL_STATE(3387)] = 364870,
  [SMALL_STATE(3388)] = 364988,
  [SMALL_STATE(3389)] = 365104,
  [SMALL_STATE(3390)] = 365220,
  [SMALL_STATE(3391)] = 365336,
  [SMALL_STATE(3392)] = 365454,
  [SMALL_STATE(3393)] = 365570,
  [SMALL_STATE(3394)] = 365686,
  [SMALL_STATE(3395)] = 365802,
  [SMALL_STATE(3396)] = 365918,
  [SMALL_STATE(3397)] = 366036,
  [SMALL_STATE(3398)] = 366152,
  [SMALL_STATE(3399)] = 366268,
  [SMALL_STATE(3400)] = 366384,
  [SMALL_STATE(3401)] = 366500,
  [SMALL_STATE(3402)] = 366616,
  [SMALL_STATE(3403)] = 366732,
  [SMALL_STATE(3404)] = 366848,
  [SMALL_STATE(3405)] = 366964,
  [SMALL_STATE(3406)] = 367080,
  [SMALL_STATE(3407)] = 367196,
  [SMALL_STATE(3408)] = 367314,
  [SMALL_STATE(3409)] = 367430,
  [SMALL_STATE(3410)] = 367546,
  [SMALL_STATE(3411)] = 367662,
  [SMALL_STATE(3412)] = 367778,
  [SMALL_STATE(3413)] = 367896,
  [SMALL_STATE(3414)] = 368012,
  [SMALL_STATE(3415)] = 368128,
  [SMALL_STATE(3416)] = 368244,
  [SMALL_STATE(3417)] = 368360,
  [SMALL_STATE(3418)] = 368476,
  [SMALL_STATE(3419)] = 368592,
  [SMALL_STATE(3420)] = 368708,
  [SMALL_STATE(3421)] = 368824,
  [SMALL_STATE(3422)] = 368942,
  [SMALL_STATE(3423)] = 369058,
  [SMALL_STATE(3424)] = 369174,
  [SMALL_STATE(3425)] = 369290,
  [SMALL_STATE(3426)] = 369406,
  [SMALL_STATE(3427)] = 369524,
  [SMALL_STATE(3428)] = 369640,
  [SMALL_STATE(3429)] = 369756,
  [SMALL_STATE(3430)] = 369874,
  [SMALL_STATE(3431)] = 369992,
  [SMALL_STATE(3432)] = 370108,
  [SMALL_STATE(3433)] = 370224,
  [SMALL_STATE(3434)] = 370340,
  [SMALL_STATE(3435)] = 370456,
  [SMALL_STATE(3436)] = 370572,
  [SMALL_STATE(3437)] = 370688,
  [SMALL_STATE(3438)] = 370804,
  [SMALL_STATE(3439)] = 370920,
  [SMALL_STATE(3440)] = 371036,
  [SMALL_STATE(3441)] = 371152,
  [SMALL_STATE(3442)] = 371270,
  [SMALL_STATE(3443)] = 371386,
  [SMALL_STATE(3444)] = 371502,
  [SMALL_STATE(3445)] = 371618,
  [SMALL_STATE(3446)] = 371736,
  [SMALL_STATE(3447)] = 371852,
  [SMALL_STATE(3448)] = 371970,
  [SMALL_STATE(3449)] = 372086,
  [SMALL_STATE(3450)] = 372202,
  [SMALL_STATE(3451)] = 372318,
  [SMALL_STATE(3452)] = 372380,
  [SMALL_STATE(3453)] = 372496,
  [SMALL_STATE(3454)] = 372612,
  [SMALL_STATE(3455)] = 372730,
  [SMALL_STATE(3456)] = 372846,
  [SMALL_STATE(3457)] = 372962,
  [SMALL_STATE(3458)] = 373078,
  [SMALL_STATE(3459)] = 373194,
  [SMALL_STATE(3460)] = 373310,
  [SMALL_STATE(3461)] = 373426,
  [SMALL_STATE(3462)] = 373542,
  [SMALL_STATE(3463)] = 373658,
  [SMALL_STATE(3464)] = 373774,
  [SMALL_STATE(3465)] = 373890,
  [SMALL_STATE(3466)] = 374006,
  [SMALL_STATE(3467)] = 374124,
  [SMALL_STATE(3468)] = 374240,
  [SMALL_STATE(3469)] = 374356,
  [SMALL_STATE(3470)] = 374472,
  [SMALL_STATE(3471)] = 374588,
  [SMALL_STATE(3472)] = 374706,
  [SMALL_STATE(3473)] = 374822,
  [SMALL_STATE(3474)] = 374938,
  [SMALL_STATE(3475)] = 375054,
  [SMALL_STATE(3476)] = 375170,
  [SMALL_STATE(3477)] = 375286,
  [SMALL_STATE(3478)] = 375402,
  [SMALL_STATE(3479)] = 375518,
  [SMALL_STATE(3480)] = 375634,
  [SMALL_STATE(3481)] = 375750,
  [SMALL_STATE(3482)] = 375866,
  [SMALL_STATE(3483)] = 375984,
  [SMALL_STATE(3484)] = 376100,
  [SMALL_STATE(3485)] = 376216,
  [SMALL_STATE(3486)] = 376332,
  [SMALL_STATE(3487)] = 376448,
  [SMALL_STATE(3488)] = 376564,
  [SMALL_STATE(3489)] = 376682,
  [SMALL_STATE(3490)] = 376798,
  [SMALL_STATE(3491)] = 376916,
  [SMALL_STATE(3492)] = 377032,
  [SMALL_STATE(3493)] = 377148,
  [SMALL_STATE(3494)] = 377264,
  [SMALL_STATE(3495)] = 377380,
  [SMALL_STATE(3496)] = 377496,
  [SMALL_STATE(3497)] = 377612,
  [SMALL_STATE(3498)] = 377728,
  [SMALL_STATE(3499)] = 377844,
  [SMALL_STATE(3500)] = 377960,
  [SMALL_STATE(3501)] = 378076,
  [SMALL_STATE(3502)] = 378138,
  [SMALL_STATE(3503)] = 378254,
  [SMALL_STATE(3504)] = 378370,
  [SMALL_STATE(3505)] = 378486,
  [SMALL_STATE(3506)] = 378602,
  [SMALL_STATE(3507)] = 378718,
  [SMALL_STATE(3508)] = 378834,
  [SMALL_STATE(3509)] = 378950,
  [SMALL_STATE(3510)] = 379068,
  [SMALL_STATE(3511)] = 379184,
  [SMALL_STATE(3512)] = 379300,
  [SMALL_STATE(3513)] = 379418,
  [SMALL_STATE(3514)] = 379534,
  [SMALL_STATE(3515)] = 379650,
  [SMALL_STATE(3516)] = 379766,
  [SMALL_STATE(3517)] = 379884,
  [SMALL_STATE(3518)] = 380000,
  [SMALL_STATE(3519)] = 380116,
  [SMALL_STATE(3520)] = 380234,
  [SMALL_STATE(3521)] = 380352,
  [SMALL_STATE(3522)] = 380468,
  [SMALL_STATE(3523)] = 380584,
  [SMALL_STATE(3524)] = 380700,
  [SMALL_STATE(3525)] = 380818,
  [SMALL_STATE(3526)] = 380934,
  [SMALL_STATE(3527)] = 381050,
  [SMALL_STATE(3528)] = 381166,
  [SMALL_STATE(3529)] = 381282,
  [SMALL_STATE(3530)] = 381398,
  [SMALL_STATE(3531)] = 381516,
  [SMALL_STATE(3532)] = 381632,
  [SMALL_STATE(3533)] = 381748,
  [SMALL_STATE(3534)] = 381864,
  [SMALL_STATE(3535)] = 381980,
  [SMALL_STATE(3536)] = 382096,
  [SMALL_STATE(3537)] = 382212,
  [SMALL_STATE(3538)] = 382328,
  [SMALL_STATE(3539)] = 382444,
  [SMALL_STATE(3540)] = 382560,
  [SMALL_STATE(3541)] = 382676,
  [SMALL_STATE(3542)] = 382792,
  [SMALL_STATE(3543)] = 382908,
  [SMALL_STATE(3544)] = 383024,
  [SMALL_STATE(3545)] = 383140,
  [SMALL_STATE(3546)] = 383256,
  [SMALL_STATE(3547)] = 383372,
  [SMALL_STATE(3548)] = 383488,
  [SMALL_STATE(3549)] = 383604,
  [SMALL_STATE(3550)] = 383720,
  [SMALL_STATE(3551)] = 383836,
  [SMALL_STATE(3552)] = 383952,
  [SMALL_STATE(3553)] = 384068,
  [SMALL_STATE(3554)] = 384184,
  [SMALL_STATE(3555)] = 384300,
  [SMALL_STATE(3556)] = 384418,
  [SMALL_STATE(3557)] = 384534,
  [SMALL_STATE(3558)] = 384650,
  [SMALL_STATE(3559)] = 384766,
  [SMALL_STATE(3560)] = 384882,
  [SMALL_STATE(3561)] = 384998,
  [SMALL_STATE(3562)] = 385114,
  [SMALL_STATE(3563)] = 385230,
  [SMALL_STATE(3564)] = 385346,
  [SMALL_STATE(3565)] = 385464,
  [SMALL_STATE(3566)] = 385580,
  [SMALL_STATE(3567)] = 385696,
  [SMALL_STATE(3568)] = 385812,
  [SMALL_STATE(3569)] = 385928,
  [SMALL_STATE(3570)] = 386044,
  [SMALL_STATE(3571)] = 386162,
  [SMALL_STATE(3572)] = 386278,
  [SMALL_STATE(3573)] = 386394,
  [SMALL_STATE(3574)] = 386510,
  [SMALL_STATE(3575)] = 386626,
  [SMALL_STATE(3576)] = 386744,
  [SMALL_STATE(3577)] = 386860,
  [SMALL_STATE(3578)] = 386976,
  [SMALL_STATE(3579)] = 387092,
  [SMALL_STATE(3580)] = 387208,
  [SMALL_STATE(3581)] = 387324,
  [SMALL_STATE(3582)] = 387440,
  [SMALL_STATE(3583)] = 387556,
  [SMALL_STATE(3584)] = 387672,
  [SMALL_STATE(3585)] = 387790,
  [SMALL_STATE(3586)] = 387906,
  [SMALL_STATE(3587)] = 388022,
  [SMALL_STATE(3588)] = 388138,
  [SMALL_STATE(3589)] = 388254,
  [SMALL_STATE(3590)] = 388372,
  [SMALL_STATE(3591)] = 388488,
  [SMALL_STATE(3592)] = 388604,
  [SMALL_STATE(3593)] = 388720,
  [SMALL_STATE(3594)] = 388836,
  [SMALL_STATE(3595)] = 388952,
  [SMALL_STATE(3596)] = 389068,
  [SMALL_STATE(3597)] = 389184,
  [SMALL_STATE(3598)] = 389300,
  [SMALL_STATE(3599)] = 389416,
  [SMALL_STATE(3600)] = 389534,
  [SMALL_STATE(3601)] = 389650,
  [SMALL_STATE(3602)] = 389766,
  [SMALL_STATE(3603)] = 389882,
  [SMALL_STATE(3604)] = 389998,
  [SMALL_STATE(3605)] = 390114,
  [SMALL_STATE(3606)] = 390230,
  [SMALL_STATE(3607)] = 390346,
  [SMALL_STATE(3608)] = 390464,
  [SMALL_STATE(3609)] = 390580,
  [SMALL_STATE(3610)] = 390696,
  [SMALL_STATE(3611)] = 390812,
  [SMALL_STATE(3612)] = 390928,
  [SMALL_STATE(3613)] = 391044,
  [SMALL_STATE(3614)] = 391160,
  [SMALL_STATE(3615)] = 391278,
  [SMALL_STATE(3616)] = 391394,
  [SMALL_STATE(3617)] = 391510,
  [SMALL_STATE(3618)] = 391626,
  [SMALL_STATE(3619)] = 391742,
  [SMALL_STATE(3620)] = 391858,
  [SMALL_STATE(3621)] = 391974,
  [SMALL_STATE(3622)] = 392090,
  [SMALL_STATE(3623)] = 392206,
  [SMALL_STATE(3624)] = 392322,
  [SMALL_STATE(3625)] = 392440,
  [SMALL_STATE(3626)] = 392556,
  [SMALL_STATE(3627)] = 392672,
  [SMALL_STATE(3628)] = 392788,
  [SMALL_STATE(3629)] = 392906,
  [SMALL_STATE(3630)] = 393022,
  [SMALL_STATE(3631)] = 393138,
  [SMALL_STATE(3632)] = 393254,
  [SMALL_STATE(3633)] = 393370,
  [SMALL_STATE(3634)] = 393488,
  [SMALL_STATE(3635)] = 393604,
  [SMALL_STATE(3636)] = 393720,
  [SMALL_STATE(3637)] = 393836,
  [SMALL_STATE(3638)] = 393952,
  [SMALL_STATE(3639)] = 394068,
  [SMALL_STATE(3640)] = 394184,
  [SMALL_STATE(3641)] = 394302,
  [SMALL_STATE(3642)] = 394418,
  [SMALL_STATE(3643)] = 394534,
  [SMALL_STATE(3644)] = 394650,
  [SMALL_STATE(3645)] = 394766,
  [SMALL_STATE(3646)] = 394882,
  [SMALL_STATE(3647)] = 394998,
  [SMALL_STATE(3648)] = 395116,
  [SMALL_STATE(3649)] = 395232,
  [SMALL_STATE(3650)] = 395348,
  [SMALL_STATE(3651)] = 395464,
  [SMALL_STATE(3652)] = 395580,
  [SMALL_STATE(3653)] = 395696,
  [SMALL_STATE(3654)] = 395814,
  [SMALL_STATE(3655)] = 395930,
  [SMALL_STATE(3656)] = 396048,
  [SMALL_STATE(3657)] = 396164,
  [SMALL_STATE(3658)] = 396280,
  [SMALL_STATE(3659)] = 396396,
  [SMALL_STATE(3660)] = 396512,
  [SMALL_STATE(3661)] = 396628,
  [SMALL_STATE(3662)] = 396744,
  [SMALL_STATE(3663)] = 396860,
  [SMALL_STATE(3664)] = 396976,
  [SMALL_STATE(3665)] = 397092,
  [SMALL_STATE(3666)] = 397208,
  [SMALL_STATE(3667)] = 397326,
  [SMALL_STATE(3668)] = 397442,
  [SMALL_STATE(3669)] = 397558,
  [SMALL_STATE(3670)] = 397674,
  [SMALL_STATE(3671)] = 397790,
  [SMALL_STATE(3672)] = 397906,
  [SMALL_STATE(3673)] = 398024,
  [SMALL_STATE(3674)] = 398140,
  [SMALL_STATE(3675)] = 398258,
  [SMALL_STATE(3676)] = 398374,
  [SMALL_STATE(3677)] = 398490,
  [SMALL_STATE(3678)] = 398606,
  [SMALL_STATE(3679)] = 398722,
  [SMALL_STATE(3680)] = 398838,
  [SMALL_STATE(3681)] = 398954,
  [SMALL_STATE(3682)] = 399070,
  [SMALL_STATE(3683)] = 399186,
  [SMALL_STATE(3684)] = 399302,
  [SMALL_STATE(3685)] = 399418,
  [SMALL_STATE(3686)] = 399534,
  [SMALL_STATE(3687)] = 399652,
  [SMALL_STATE(3688)] = 399770,
  [SMALL_STATE(3689)] = 399886,
  [SMALL_STATE(3690)] = 400002,
  [SMALL_STATE(3691)] = 400118,
  [SMALL_STATE(3692)] = 400234,
  [SMALL_STATE(3693)] = 400350,
  [SMALL_STATE(3694)] = 400466,
  [SMALL_STATE(3695)] = 400582,
  [SMALL_STATE(3696)] = 400698,
  [SMALL_STATE(3697)] = 400814,
  [SMALL_STATE(3698)] = 400930,
  [SMALL_STATE(3699)] = 401048,
  [SMALL_STATE(3700)] = 401164,
  [SMALL_STATE(3701)] = 401280,
  [SMALL_STATE(3702)] = 401396,
  [SMALL_STATE(3703)] = 401512,
  [SMALL_STATE(3704)] = 401628,
  [SMALL_STATE(3705)] = 401744,
  [SMALL_STATE(3706)] = 401857,
  [SMALL_STATE(3707)] = 401970,
  [SMALL_STATE(3708)] = 402083,
  [SMALL_STATE(3709)] = 402196,
  [SMALL_STATE(3710)] = 402309,
  [SMALL_STATE(3711)] = 402422,
  [SMALL_STATE(3712)] = 402535,
  [SMALL_STATE(3713)] = 402596,
  [SMALL_STATE(3714)] = 402709,
  [SMALL_STATE(3715)] = 402822,
  [SMALL_STATE(3716)] = 402935,
  [SMALL_STATE(3717)] = 403048,
  [SMALL_STATE(3718)] = 403161,
  [SMALL_STATE(3719)] = 403274,
  [SMALL_STATE(3720)] = 403387,
  [SMALL_STATE(3721)] = 403500,
  [SMALL_STATE(3722)] = 403613,
  [SMALL_STATE(3723)] = 403726,
  [SMALL_STATE(3724)] = 403839,
  [SMALL_STATE(3725)] = 403952,
  [SMALL_STATE(3726)] = 404065,
  [SMALL_STATE(3727)] = 404178,
  [SMALL_STATE(3728)] = 404291,
  [SMALL_STATE(3729)] = 404404,
  [SMALL_STATE(3730)] = 404517,
  [SMALL_STATE(3731)] = 404630,
  [SMALL_STATE(3732)] = 404743,
  [SMALL_STATE(3733)] = 404856,
  [SMALL_STATE(3734)] = 404969,
  [SMALL_STATE(3735)] = 405082,
  [SMALL_STATE(3736)] = 405195,
  [SMALL_STATE(3737)] = 405308,
  [SMALL_STATE(3738)] = 405421,
  [SMALL_STATE(3739)] = 405534,
  [SMALL_STATE(3740)] = 405647,
  [SMALL_STATE(3741)] = 405760,
  [SMALL_STATE(3742)] = 405873,
  [SMALL_STATE(3743)] = 405986,
  [SMALL_STATE(3744)] = 406099,
  [SMALL_STATE(3745)] = 406192,
  [SMALL_STATE(3746)] = 406305,
  [SMALL_STATE(3747)] = 406418,
  [SMALL_STATE(3748)] = 406531,
  [SMALL_STATE(3749)] = 406644,
  [SMALL_STATE(3750)] = 406757,
  [SMALL_STATE(3751)] = 406870,
  [SMALL_STATE(3752)] = 406983,
  [SMALL_STATE(3753)] = 407096,
  [SMALL_STATE(3754)] = 407209,
  [SMALL_STATE(3755)] = 407322,
  [SMALL_STATE(3756)] = 407435,
  [SMALL_STATE(3757)] = 407548,
  [SMALL_STATE(3758)] = 407661,
  [SMALL_STATE(3759)] = 407774,
  [SMALL_STATE(3760)] = 407887,
  [SMALL_STATE(3761)] = 408000,
  [SMALL_STATE(3762)] = 408113,
  [SMALL_STATE(3763)] = 408226,
  [SMALL_STATE(3764)] = 408339,
  [SMALL_STATE(3765)] = 408451,
  [SMALL_STATE(3766)] = 408563,
  [SMALL_STATE(3767)] = 408673,
  [SMALL_STATE(3768)] = 408785,
  [SMALL_STATE(3769)] = 408897,
  [SMALL_STATE(3770)] = 409009,
  [SMALL_STATE(3771)] = 409121,
  [SMALL_STATE(3772)] = 409233,
  [SMALL_STATE(3773)] = 409345,
  [SMALL_STATE(3774)] = 409457,
  [SMALL_STATE(3775)] = 409569,
  [SMALL_STATE(3776)] = 409681,
  [SMALL_STATE(3777)] = 409793,
  [SMALL_STATE(3778)] = 409905,
  [SMALL_STATE(3779)] = 410015,
  [SMALL_STATE(3780)] = 410127,
  [SMALL_STATE(3781)] = 410239,
  [SMALL_STATE(3782)] = 410351,
  [SMALL_STATE(3783)] = 410463,
  [SMALL_STATE(3784)] = 410575,
  [SMALL_STATE(3785)] = 410687,
  [SMALL_STATE(3786)] = 410797,
  [SMALL_STATE(3787)] = 410909,
  [SMALL_STATE(3788)] = 411021,
  [SMALL_STATE(3789)] = 411133,
  [SMALL_STATE(3790)] = 411245,
  [SMALL_STATE(3791)] = 411357,
  [SMALL_STATE(3792)] = 411469,
  [SMALL_STATE(3793)] = 411581,
  [SMALL_STATE(3794)] = 411693,
  [SMALL_STATE(3795)] = 411805,
  [SMALL_STATE(3796)] = 411917,
  [SMALL_STATE(3797)] = 412029,
  [SMALL_STATE(3798)] = 412141,
  [SMALL_STATE(3799)] = 412253,
  [SMALL_STATE(3800)] = 412365,
  [SMALL_STATE(3801)] = 412477,
  [SMALL_STATE(3802)] = 412589,
  [SMALL_STATE(3803)] = 412701,
  [SMALL_STATE(3804)] = 412813,
  [SMALL_STATE(3805)] = 412925,
  [SMALL_STATE(3806)] = 413037,
  [SMALL_STATE(3807)] = 413149,
  [SMALL_STATE(3808)] = 413259,
  [SMALL_STATE(3809)] = 413371,
  [SMALL_STATE(3810)] = 413463,
  [SMALL_STATE(3811)] = 413575,
  [SMALL_STATE(3812)] = 413667,
  [SMALL_STATE(3813)] = 413779,
  [SMALL_STATE(3814)] = 413891,
  [SMALL_STATE(3815)] = 414003,
  [SMALL_STATE(3816)] = 414095,
  [SMALL_STATE(3817)] = 414207,
  [SMALL_STATE(3818)] = 414299,
  [SMALL_STATE(3819)] = 414411,
  [SMALL_STATE(3820)] = 414523,
  [SMALL_STATE(3821)] = 414633,
  [SMALL_STATE(3822)] = 414745,
  [SMALL_STATE(3823)] = 414857,
  [SMALL_STATE(3824)] = 414969,
  [SMALL_STATE(3825)] = 415081,
  [SMALL_STATE(3826)] = 415193,
  [SMALL_STATE(3827)] = 415305,
  [SMALL_STATE(3828)] = 415417,
  [SMALL_STATE(3829)] = 415529,
  [SMALL_STATE(3830)] = 415639,
  [SMALL_STATE(3831)] = 415749,
  [SMALL_STATE(3832)] = 415859,
  [SMALL_STATE(3833)] = 415969,
  [SMALL_STATE(3834)] = 416079,
  [SMALL_STATE(3835)] = 416189,
  [SMALL_STATE(3836)] = 416299,
  [SMALL_STATE(3837)] = 416409,
  [SMALL_STATE(3838)] = 416519,
  [SMALL_STATE(3839)] = 416629,
  [SMALL_STATE(3840)] = 416739,
  [SMALL_STATE(3841)] = 416849,
  [SMALL_STATE(3842)] = 416959,
  [SMALL_STATE(3843)] = 417069,
  [SMALL_STATE(3844)] = 417179,
  [SMALL_STATE(3845)] = 417289,
  [SMALL_STATE(3846)] = 417399,
  [SMALL_STATE(3847)] = 417509,
  [SMALL_STATE(3848)] = 417619,
  [SMALL_STATE(3849)] = 417729,
  [SMALL_STATE(3850)] = 417839,
  [SMALL_STATE(3851)] = 417949,
  [SMALL_STATE(3852)] = 418059,
  [SMALL_STATE(3853)] = 418169,
  [SMALL_STATE(3854)] = 418279,
  [SMALL_STATE(3855)] = 418389,
  [SMALL_STATE(3856)] = 418499,
  [SMALL_STATE(3857)] = 418609,
  [SMALL_STATE(3858)] = 418719,
  [SMALL_STATE(3859)] = 418829,
  [SMALL_STATE(3860)] = 418939,
  [SMALL_STATE(3861)] = 419049,
  [SMALL_STATE(3862)] = 419159,
  [SMALL_STATE(3863)] = 419269,
  [SMALL_STATE(3864)] = 419379,
  [SMALL_STATE(3865)] = 419489,
  [SMALL_STATE(3866)] = 419599,
  [SMALL_STATE(3867)] = 419709,
  [SMALL_STATE(3868)] = 419819,
  [SMALL_STATE(3869)] = 419929,
  [SMALL_STATE(3870)] = 420039,
  [SMALL_STATE(3871)] = 420149,
  [SMALL_STATE(3872)] = 420259,
  [SMALL_STATE(3873)] = 420369,
  [SMALL_STATE(3874)] = 420479,
  [SMALL_STATE(3875)] = 420589,
  [SMALL_STATE(3876)] = 420699,
  [SMALL_STATE(3877)] = 420809,
  [SMALL_STATE(3878)] = 420919,
  [SMALL_STATE(3879)] = 421029,
  [SMALL_STATE(3880)] = 421139,
  [SMALL_STATE(3881)] = 421249,
  [SMALL_STATE(3882)] = 421359,
  [SMALL_STATE(3883)] = 421471,
  [SMALL_STATE(3884)] = 421562,
  [SMALL_STATE(3885)] = 421671,
  [SMALL_STATE(3886)] = 421762,
  [SMALL_STATE(3887)] = 421853,
  [SMALL_STATE(3888)] = 421944,
  [SMALL_STATE(3889)] = 422035,
  [SMALL_STATE(3890)] = 422144,
  [SMALL_STATE(3891)] = 422253,
  [SMALL_STATE(3892)] = 422362,
  [SMALL_STATE(3893)] = 422453,
  [SMALL_STATE(3894)] = 422544,
  [SMALL_STATE(3895)] = 422634,
  [SMALL_STATE(3896)] = 422724,
  [SMALL_STATE(3897)] = 422814,
  [SMALL_STATE(3898)] = 422904,
  [SMALL_STATE(3899)] = 422994,
  [SMALL_STATE(3900)] = 423084,
  [SMALL_STATE(3901)] = 423174,
  [SMALL_STATE(3902)] = 423264,
  [SMALL_STATE(3903)] = 423354,
  [SMALL_STATE(3904)] = 423443,
  [SMALL_STATE(3905)] = 423532,
  [SMALL_STATE(3906)] = 423621,
  [SMALL_STATE(3907)] = 423710,
  [SMALL_STATE(3908)] = 423799,
  [SMALL_STATE(3909)] = 423888,
  [SMALL_STATE(3910)] = 423977,
  [SMALL_STATE(3911)] = 424066,
  [SMALL_STATE(3912)] = 424155,
  [SMALL_STATE(3913)] = 424244,
  [SMALL_STATE(3914)] = 424333,
  [SMALL_STATE(3915)] = 424421,
  [SMALL_STATE(3916)] = 424509,
  [SMALL_STATE(3917)] = 424597,
  [SMALL_STATE(3918)] = 424685,
  [SMALL_STATE(3919)] = 424773,
  [SMALL_STATE(3920)] = 424861,
  [SMALL_STATE(3921)] = 424949,
  [SMALL_STATE(3922)] = 425037,
  [SMALL_STATE(3923)] = 425125,
  [SMALL_STATE(3924)] = 425213,
  [SMALL_STATE(3925)] = 425301,
  [SMALL_STATE(3926)] = 425389,
  [SMALL_STATE(3927)] = 425477,
  [SMALL_STATE(3928)] = 425565,
  [SMALL_STATE(3929)] = 425652,
  [SMALL_STATE(3930)] = 425739,
  [SMALL_STATE(3931)] = 425826,
  [SMALL_STATE(3932)] = 425913,
  [SMALL_STATE(3933)] = 426000,
  [SMALL_STATE(3934)] = 426087,
  [SMALL_STATE(3935)] = 426174,
  [SMALL_STATE(3936)] = 426261,
  [SMALL_STATE(3937)] = 426348,
  [SMALL_STATE(3938)] = 426435,
  [SMALL_STATE(3939)] = 426522,
  [SMALL_STATE(3940)] = 426609,
  [SMALL_STATE(3941)] = 426696,
  [SMALL_STATE(3942)] = 426783,
  [SMALL_STATE(3943)] = 426870,
  [SMALL_STATE(3944)] = 426957,
  [SMALL_STATE(3945)] = 427044,
  [SMALL_STATE(3946)] = 427131,
  [SMALL_STATE(3947)] = 427218,
  [SMALL_STATE(3948)] = 427305,
  [SMALL_STATE(3949)] = 427392,
  [SMALL_STATE(3950)] = 427479,
  [SMALL_STATE(3951)] = 427566,
  [SMALL_STATE(3952)] = 427653,
  [SMALL_STATE(3953)] = 427739,
  [SMALL_STATE(3954)] = 427825,
  [SMALL_STATE(3955)] = 427911,
  [SMALL_STATE(3956)] = 427997,
  [SMALL_STATE(3957)] = 428083,
  [SMALL_STATE(3958)] = 428169,
  [SMALL_STATE(3959)] = 428255,
  [SMALL_STATE(3960)] = 428341,
  [SMALL_STATE(3961)] = 428427,
  [SMALL_STATE(3962)] = 428513,
  [SMALL_STATE(3963)] = 428599,
  [SMALL_STATE(3964)] = 428685,
  [SMALL_STATE(3965)] = 428771,
  [SMALL_STATE(3966)] = 428857,
  [SMALL_STATE(3967)] = 428943,
  [SMALL_STATE(3968)] = 429029,
  [SMALL_STATE(3969)] = 429115,
  [SMALL_STATE(3970)] = 429201,
  [SMALL_STATE(3971)] = 429287,
  [SMALL_STATE(3972)] = 429373,
  [SMALL_STATE(3973)] = 429459,
  [SMALL_STATE(3974)] = 429545,
  [SMALL_STATE(3975)] = 429631,
  [SMALL_STATE(3976)] = 429716,
  [SMALL_STATE(3977)] = 429801,
  [SMALL_STATE(3978)] = 429886,
  [SMALL_STATE(3979)] = 429971,
  [SMALL_STATE(3980)] = 430056,
  [SMALL_STATE(3981)] = 430141,
  [SMALL_STATE(3982)] = 430226,
  [SMALL_STATE(3983)] = 430311,
  [SMALL_STATE(3984)] = 430396,
  [SMALL_STATE(3985)] = 430481,
  [SMALL_STATE(3986)] = 430566,
  [SMALL_STATE(3987)] = 430651,
  [SMALL_STATE(3988)] = 430736,
  [SMALL_STATE(3989)] = 430821,
  [SMALL_STATE(3990)] = 430906,
  [SMALL_STATE(3991)] = 430991,
  [SMALL_STATE(3992)] = 431076,
  [SMALL_STATE(3993)] = 431160,
  [SMALL_STATE(3994)] = 431244,
  [SMALL_STATE(3995)] = 431328,
  [SMALL_STATE(3996)] = 431382,
  [SMALL_STATE(3997)] = 431466,
  [SMALL_STATE(3998)] = 431550,
  [SMALL_STATE(3999)] = 431634,
  [SMALL_STATE(4000)] = 431726,
  [SMALL_STATE(4001)] = 431810,
  [SMALL_STATE(4002)] = 431894,
  [SMALL_STATE(4003)] = 431978,
  [SMALL_STATE(4004)] = 432062,
  [SMALL_STATE(4005)] = 432146,
  [SMALL_STATE(4006)] = 432230,
  [SMALL_STATE(4007)] = 432314,
  [SMALL_STATE(4008)] = 432398,
  [SMALL_STATE(4009)] = 432488,
  [SMALL_STATE(4010)] = 432539,
  [SMALL_STATE(4011)] = 432590,
  [SMALL_STATE(4012)] = 432681,
  [SMALL_STATE(4013)] = 432772,
  [SMALL_STATE(4014)] = 432823,
  [SMALL_STATE(4015)] = 432876,
  [SMALL_STATE(4016)] = 432959,
  [SMALL_STATE(4017)] = 433014,
  [SMALL_STATE(4018)] = 433065,
  [SMALL_STATE(4019)] = 433156,
  [SMALL_STATE(4020)] = 433245,
  [SMALL_STATE(4021)] = 433296,
  [SMALL_STATE(4022)] = 433385,
  [SMALL_STATE(4023)] = 433436,
  [SMALL_STATE(4024)] = 433487,
  [SMALL_STATE(4025)] = 433570,
  [SMALL_STATE(4026)] = 433621,
  [SMALL_STATE(4027)] = 433674,
  [SMALL_STATE(4028)] = 433725,
  [SMALL_STATE(4029)] = 433776,
  [SMALL_STATE(4030)] = 433865,
  [SMALL_STATE(4031)] = 433918,
  [SMALL_STATE(4032)] = 433969,
  [SMALL_STATE(4033)] = 434054,
  [SMALL_STATE(4034)] = 434105,
  [SMALL_STATE(4035)] = 434194,
  [SMALL_STATE(4036)] = 434247,
  [SMALL_STATE(4037)] = 434298,
  [SMALL_STATE(4038)] = 434381,
  [SMALL_STATE(4039)] = 434432,
  [SMALL_STATE(4040)] = 434515,
  [SMALL_STATE(4041)] = 434597,
  [SMALL_STATE(4042)] = 434647,
  [SMALL_STATE(4043)] = 434697,
  [SMALL_STATE(4044)] = 434747,
  [SMALL_STATE(4045)] = 434797,
  [SMALL_STATE(4046)] = 434847,
  [SMALL_STATE(4047)] = 434899,
  [SMALL_STATE(4048)] = 434949,
  [SMALL_STATE(4049)] = 435039,
  [SMALL_STATE(4050)] = 435129,
  [SMALL_STATE(4051)] = 435179,
  [SMALL_STATE(4052)] = 435229,
  [SMALL_STATE(4053)] = 435283,
  [SMALL_STATE(4054)] = 435333,
  [SMALL_STATE(4055)] = 435383,
  [SMALL_STATE(4056)] = 435435,
  [SMALL_STATE(4057)] = 435485,
  [SMALL_STATE(4058)] = 435535,
  [SMALL_STATE(4059)] = 435587,
  [SMALL_STATE(4060)] = 435641,
  [SMALL_STATE(4061)] = 435691,
  [SMALL_STATE(4062)] = 435779,
  [SMALL_STATE(4063)] = 435833,
  [SMALL_STATE(4064)] = 435883,
  [SMALL_STATE(4065)] = 435933,
  [SMALL_STATE(4066)] = 436023,
  [SMALL_STATE(4067)] = 436073,
  [SMALL_STATE(4068)] = 436123,
  [SMALL_STATE(4069)] = 436213,
  [SMALL_STATE(4070)] = 436263,
  [SMALL_STATE(4071)] = 436351,
  [SMALL_STATE(4072)] = 436401,
  [SMALL_STATE(4073)] = 436455,
  [SMALL_STATE(4074)] = 436507,
  [SMALL_STATE(4075)] = 436557,
  [SMALL_STATE(4076)] = 436607,
  [SMALL_STATE(4077)] = 436657,
  [SMALL_STATE(4078)] = 436753,
  [SMALL_STATE(4079)] = 436803,
  [SMALL_STATE(4080)] = 436891,
  [SMALL_STATE(4081)] = 436941,
  [SMALL_STATE(4082)] = 436991,
  [SMALL_STATE(4083)] = 437041,
  [SMALL_STATE(4084)] = 437091,
  [SMALL_STATE(4085)] = 437179,
  [SMALL_STATE(4086)] = 437275,
  [SMALL_STATE(4087)] = 437325,
  [SMALL_STATE(4088)] = 437375,
  [SMALL_STATE(4089)] = 437425,
  [SMALL_STATE(4090)] = 437475,
  [SMALL_STATE(4091)] = 437525,
  [SMALL_STATE(4092)] = 437575,
  [SMALL_STATE(4093)] = 437625,
  [SMALL_STATE(4094)] = 437677,
  [SMALL_STATE(4095)] = 437765,
  [SMALL_STATE(4096)] = 437815,
  [SMALL_STATE(4097)] = 437867,
  [SMALL_STATE(4098)] = 437963,
  [SMALL_STATE(4099)] = 438013,
  [SMALL_STATE(4100)] = 438063,
  [SMALL_STATE(4101)] = 438113,
  [SMALL_STATE(4102)] = 438163,
  [SMALL_STATE(4103)] = 438213,
  [SMALL_STATE(4104)] = 438263,
  [SMALL_STATE(4105)] = 438313,
  [SMALL_STATE(4106)] = 438363,
  [SMALL_STATE(4107)] = 438413,
  [SMALL_STATE(4108)] = 438463,
  [SMALL_STATE(4109)] = 438551,
  [SMALL_STATE(4110)] = 438601,
  [SMALL_STATE(4111)] = 438651,
  [SMALL_STATE(4112)] = 438747,
  [SMALL_STATE(4113)] = 438799,
  [SMALL_STATE(4114)] = 438881,
  [SMALL_STATE(4115)] = 438931,
  [SMALL_STATE(4116)] = 438981,
  [SMALL_STATE(4117)] = 439031,
  [SMALL_STATE(4118)] = 439119,
  [SMALL_STATE(4119)] = 439169,
  [SMALL_STATE(4120)] = 439219,
  [SMALL_STATE(4121)] = 439269,
  [SMALL_STATE(4122)] = 439319,
  [SMALL_STATE(4123)] = 439369,
  [SMALL_STATE(4124)] = 439419,
  [SMALL_STATE(4125)] = 439472,
  [SMALL_STATE(4126)] = 439523,
  [SMALL_STATE(4127)] = 439572,
  [SMALL_STATE(4128)] = 439621,
  [SMALL_STATE(4129)] = 439670,
  [SMALL_STATE(4130)] = 439719,
  [SMALL_STATE(4131)] = 439768,
  [SMALL_STATE(4132)] = 439817,
  [SMALL_STATE(4133)] = 439866,
  [SMALL_STATE(4134)] = 439915,
  [SMALL_STATE(4135)] = 439964,
  [SMALL_STATE(4136)] = 440013,
  [SMALL_STATE(4137)] = 440062,
  [SMALL_STATE(4138)] = 440111,
  [SMALL_STATE(4139)] = 440160,
  [SMALL_STATE(4140)] = 440209,
  [SMALL_STATE(4141)] = 440258,
  [SMALL_STATE(4142)] = 440307,
  [SMALL_STATE(4143)] = 440356,
  [SMALL_STATE(4144)] = 440405,
  [SMALL_STATE(4145)] = 440454,
  [SMALL_STATE(4146)] = 440503,
  [SMALL_STATE(4147)] = 440552,
  [SMALL_STATE(4148)] = 440601,
  [SMALL_STATE(4149)] = 440688,
  [SMALL_STATE(4150)] = 440739,
  [SMALL_STATE(4151)] = 440788,
  [SMALL_STATE(4152)] = 440837,
  [SMALL_STATE(4153)] = 440930,
  [SMALL_STATE(4154)] = 440979,
  [SMALL_STATE(4155)] = 441072,
  [SMALL_STATE(4156)] = 441121,
  [SMALL_STATE(4157)] = 441208,
  [SMALL_STATE(4158)] = 441257,
  [SMALL_STATE(4159)] = 441306,
  [SMALL_STATE(4160)] = 441357,
  [SMALL_STATE(4161)] = 441444,
  [SMALL_STATE(4162)] = 441497,
  [SMALL_STATE(4163)] = 441548,
  [SMALL_STATE(4164)] = 441601,
  [SMALL_STATE(4165)] = 441654,
  [SMALL_STATE(4166)] = 441743,
  [SMALL_STATE(4167)] = 441792,
  [SMALL_STATE(4168)] = 441841,
  [SMALL_STATE(4169)] = 441930,
  [SMALL_STATE(4170)] = 442017,
  [SMALL_STATE(4171)] = 442066,
  [SMALL_STATE(4172)] = 442115,
  [SMALL_STATE(4173)] = 442168,
  [SMALL_STATE(4174)] = 442217,
  [SMALL_STATE(4175)] = 442266,
  [SMALL_STATE(4176)] = 442315,
  [SMALL_STATE(4177)] = 442364,
  [SMALL_STATE(4178)] = 442413,
  [SMALL_STATE(4179)] = 442462,
  [SMALL_STATE(4180)] = 442511,
  [SMALL_STATE(4181)] = 442560,
  [SMALL_STATE(4182)] = 442609,
  [SMALL_STATE(4183)] = 442658,
  [SMALL_STATE(4184)] = 442707,
  [SMALL_STATE(4185)] = 442756,
  [SMALL_STATE(4186)] = 442805,
  [SMALL_STATE(4187)] = 442854,
  [SMALL_STATE(4188)] = 442903,
  [SMALL_STATE(4189)] = 442952,
  [SMALL_STATE(4190)] = 443001,
  [SMALL_STATE(4191)] = 443050,
  [SMALL_STATE(4192)] = 443099,
  [SMALL_STATE(4193)] = 443148,
  [SMALL_STATE(4194)] = 443241,
  [SMALL_STATE(4195)] = 443292,
  [SMALL_STATE(4196)] = 443379,
  [SMALL_STATE(4197)] = 443472,
  [SMALL_STATE(4198)] = 443521,
  [SMALL_STATE(4199)] = 443570,
  [SMALL_STATE(4200)] = 443619,
  [SMALL_STATE(4201)] = 443668,
  [SMALL_STATE(4202)] = 443717,
  [SMALL_STATE(4203)] = 443766,
  [SMALL_STATE(4204)] = 443815,
  [SMALL_STATE(4205)] = 443864,
  [SMALL_STATE(4206)] = 443913,
  [SMALL_STATE(4207)] = 443962,
  [SMALL_STATE(4208)] = 444011,
  [SMALL_STATE(4209)] = 444060,
  [SMALL_STATE(4210)] = 444109,
  [SMALL_STATE(4211)] = 444158,
  [SMALL_STATE(4212)] = 444207,
  [SMALL_STATE(4213)] = 444256,
  [SMALL_STATE(4214)] = 444307,
  [SMALL_STATE(4215)] = 444394,
  [SMALL_STATE(4216)] = 444443,
  [SMALL_STATE(4217)] = 444532,
  [SMALL_STATE(4218)] = 444581,
  [SMALL_STATE(4219)] = 444670,
  [SMALL_STATE(4220)] = 444719,
  [SMALL_STATE(4221)] = 444768,
  [SMALL_STATE(4222)] = 444817,
  [SMALL_STATE(4223)] = 444866,
  [SMALL_STATE(4224)] = 444915,
  [SMALL_STATE(4225)] = 444964,
  [SMALL_STATE(4226)] = 445013,
  [SMALL_STATE(4227)] = 445062,
  [SMALL_STATE(4228)] = 445111,
  [SMALL_STATE(4229)] = 445160,
  [SMALL_STATE(4230)] = 445209,
  [SMALL_STATE(4231)] = 445258,
  [SMALL_STATE(4232)] = 445345,
  [SMALL_STATE(4233)] = 445394,
  [SMALL_STATE(4234)] = 445475,
  [SMALL_STATE(4235)] = 445562,
  [SMALL_STATE(4236)] = 445613,
  [SMALL_STATE(4237)] = 445662,
  [SMALL_STATE(4238)] = 445711,
  [SMALL_STATE(4239)] = 445760,
  [SMALL_STATE(4240)] = 445809,
  [SMALL_STATE(4241)] = 445858,
  [SMALL_STATE(4242)] = 445907,
  [SMALL_STATE(4243)] = 445956,
  [SMALL_STATE(4244)] = 446005,
  [SMALL_STATE(4245)] = 446054,
  [SMALL_STATE(4246)] = 446103,
  [SMALL_STATE(4247)] = 446152,
  [SMALL_STATE(4248)] = 446201,
  [SMALL_STATE(4249)] = 446252,
  [SMALL_STATE(4250)] = 446305,
  [SMALL_STATE(4251)] = 446358,
  [SMALL_STATE(4252)] = 446409,
  [SMALL_STATE(4253)] = 446458,
  [SMALL_STATE(4254)] = 446507,
  [SMALL_STATE(4255)] = 446556,
  [SMALL_STATE(4256)] = 446604,
  [SMALL_STATE(4257)] = 446652,
  [SMALL_STATE(4258)] = 446700,
  [SMALL_STATE(4259)] = 446748,
  [SMALL_STATE(4260)] = 446798,
  [SMALL_STATE(4261)] = 446884,
  [SMALL_STATE(4262)] = 446970,
  [SMALL_STATE(4263)] = 447058,
  [SMALL_STATE(4264)] = 447106,
  [SMALL_STATE(4265)] = 447154,
  [SMALL_STATE(4266)] = 447202,
  [SMALL_STATE(4267)] = 447250,
  [SMALL_STATE(4268)] = 447298,
  [SMALL_STATE(4269)] = 447346,
  [SMALL_STATE(4270)] = 447394,
  [SMALL_STATE(4271)] = 447480,
  [SMALL_STATE(4272)] = 447528,
  [SMALL_STATE(4273)] = 447576,
  [SMALL_STATE(4274)] = 447624,
  [SMALL_STATE(4275)] = 447672,
  [SMALL_STATE(4276)] = 447720,
  [SMALL_STATE(4277)] = 447808,
  [SMALL_STATE(4278)] = 447894,
  [SMALL_STATE(4279)] = 447942,
  [SMALL_STATE(4280)] = 447990,
  [SMALL_STATE(4281)] = 448038,
  [SMALL_STATE(4282)] = 448086,
  [SMALL_STATE(4283)] = 448136,
  [SMALL_STATE(4284)] = 448184,
  [SMALL_STATE(4285)] = 448270,
  [SMALL_STATE(4286)] = 448318,
  [SMALL_STATE(4287)] = 448366,
  [SMALL_STATE(4288)] = 448452,
  [SMALL_STATE(4289)] = 448500,
  [SMALL_STATE(4290)] = 448550,
  [SMALL_STATE(4291)] = 448598,
  [SMALL_STATE(4292)] = 448650,
  [SMALL_STATE(4293)] = 448736,
  [SMALL_STATE(4294)] = 448784,
  [SMALL_STATE(4295)] = 448834,
  [SMALL_STATE(4296)] = 448882,
  [SMALL_STATE(4297)] = 448930,
  [SMALL_STATE(4298)] = 448978,
  [SMALL_STATE(4299)] = 449026,
  [SMALL_STATE(4300)] = 449074,
  [SMALL_STATE(4301)] = 449122,
  [SMALL_STATE(4302)] = 449170,
  [SMALL_STATE(4303)] = 449218,
  [SMALL_STATE(4304)] = 449266,
  [SMALL_STATE(4305)] = 449314,
  [SMALL_STATE(4306)] = 449362,
  [SMALL_STATE(4307)] = 449410,
  [SMALL_STATE(4308)] = 449458,
  [SMALL_STATE(4309)] = 449508,
  [SMALL_STATE(4310)] = 449594,
  [SMALL_STATE(4311)] = 449642,
  [SMALL_STATE(4312)] = 449694,
  [SMALL_STATE(4313)] = 449742,
  [SMALL_STATE(4314)] = 449790,
  [SMALL_STATE(4315)] = 449838,
  [SMALL_STATE(4316)] = 449888,
  [SMALL_STATE(4317)] = 449936,
  [SMALL_STATE(4318)] = 449984,
  [SMALL_STATE(4319)] = 450032,
  [SMALL_STATE(4320)] = 450118,
  [SMALL_STATE(4321)] = 450166,
  [SMALL_STATE(4322)] = 450214,
  [SMALL_STATE(4323)] = 450262,
  [SMALL_STATE(4324)] = 450310,
  [SMALL_STATE(4325)] = 450398,
  [SMALL_STATE(4326)] = 450446,
  [SMALL_STATE(4327)] = 450494,
  [SMALL_STATE(4328)] = 450542,
  [SMALL_STATE(4329)] = 450590,
  [SMALL_STATE(4330)] = 450638,
  [SMALL_STATE(4331)] = 450686,
  [SMALL_STATE(4332)] = 450734,
  [SMALL_STATE(4333)] = 450820,
  [SMALL_STATE(4334)] = 450868,
  [SMALL_STATE(4335)] = 450916,
  [SMALL_STATE(4336)] = 450964,
  [SMALL_STATE(4337)] = 451012,
  [SMALL_STATE(4338)] = 451060,
  [SMALL_STATE(4339)] = 451108,
  [SMALL_STATE(4340)] = 451156,
  [SMALL_STATE(4341)] = 451204,
  [SMALL_STATE(4342)] = 451252,
  [SMALL_STATE(4343)] = 451300,
  [SMALL_STATE(4344)] = 451348,
  [SMALL_STATE(4345)] = 451396,
  [SMALL_STATE(4346)] = 451444,
  [SMALL_STATE(4347)] = 451492,
  [SMALL_STATE(4348)] = 451540,
  [SMALL_STATE(4349)] = 451588,
  [SMALL_STATE(4350)] = 451676,
  [SMALL_STATE(4351)] = 451724,
  [SMALL_STATE(4352)] = 451772,
  [SMALL_STATE(4353)] = 451858,
  [SMALL_STATE(4354)] = 451906,
  [SMALL_STATE(4355)] = 451954,
  [SMALL_STATE(4356)] = 452002,
  [SMALL_STATE(4357)] = 452050,
  [SMALL_STATE(4358)] = 452098,
  [SMALL_STATE(4359)] = 452146,
  [SMALL_STATE(4360)] = 452194,
  [SMALL_STATE(4361)] = 452242,
  [SMALL_STATE(4362)] = 452290,
  [SMALL_STATE(4363)] = 452338,
  [SMALL_STATE(4364)] = 452386,
  [SMALL_STATE(4365)] = 452434,
  [SMALL_STATE(4366)] = 452482,
  [SMALL_STATE(4367)] = 452530,
  [SMALL_STATE(4368)] = 452578,
  [SMALL_STATE(4369)] = 452626,
  [SMALL_STATE(4370)] = 452674,
  [SMALL_STATE(4371)] = 452722,
  [SMALL_STATE(4372)] = 452770,
  [SMALL_STATE(4373)] = 452818,
  [SMALL_STATE(4374)] = 452868,
  [SMALL_STATE(4375)] = 452916,
  [SMALL_STATE(4376)] = 452964,
  [SMALL_STATE(4377)] = 453012,
  [SMALL_STATE(4378)] = 453060,
  [SMALL_STATE(4379)] = 453108,
  [SMALL_STATE(4380)] = 453156,
  [SMALL_STATE(4381)] = 453206,
  [SMALL_STATE(4382)] = 453256,
  [SMALL_STATE(4383)] = 453304,
  [SMALL_STATE(4384)] = 453352,
  [SMALL_STATE(4385)] = 453400,
  [SMALL_STATE(4386)] = 453486,
  [SMALL_STATE(4387)] = 453534,
  [SMALL_STATE(4388)] = 453582,
  [SMALL_STATE(4389)] = 453630,
  [SMALL_STATE(4390)] = 453678,
  [SMALL_STATE(4391)] = 453726,
  [SMALL_STATE(4392)] = 453774,
  [SMALL_STATE(4393)] = 453822,
  [SMALL_STATE(4394)] = 453874,
  [SMALL_STATE(4395)] = 453922,
  [SMALL_STATE(4396)] = 453970,
  [SMALL_STATE(4397)] = 454018,
  [SMALL_STATE(4398)] = 454066,
  [SMALL_STATE(4399)] = 454114,
  [SMALL_STATE(4400)] = 454166,
  [SMALL_STATE(4401)] = 454214,
  [SMALL_STATE(4402)] = 454262,
  [SMALL_STATE(4403)] = 454314,
  [SMALL_STATE(4404)] = 454400,
  [SMALL_STATE(4405)] = 454450,
  [SMALL_STATE(4406)] = 454502,
  [SMALL_STATE(4407)] = 454550,
  [SMALL_STATE(4408)] = 454602,
  [SMALL_STATE(4409)] = 454654,
  [SMALL_STATE(4410)] = 454702,
  [SMALL_STATE(4411)] = 454750,
  [SMALL_STATE(4412)] = 454800,
  [SMALL_STATE(4413)] = 454848,
  [SMALL_STATE(4414)] = 454900,
  [SMALL_STATE(4415)] = 454948,
  [SMALL_STATE(4416)] = 454996,
  [SMALL_STATE(4417)] = 455044,
  [SMALL_STATE(4418)] = 455092,
  [SMALL_STATE(4419)] = 455139,
  [SMALL_STATE(4420)] = 455186,
  [SMALL_STATE(4421)] = 455233,
  [SMALL_STATE(4422)] = 455280,
  [SMALL_STATE(4423)] = 455327,
  [SMALL_STATE(4424)] = 455376,
  [SMALL_STATE(4425)] = 455423,
  [SMALL_STATE(4426)] = 455470,
  [SMALL_STATE(4427)] = 455557,
  [SMALL_STATE(4428)] = 455642,
  [SMALL_STATE(4429)] = 455689,
  [SMALL_STATE(4430)] = 455736,
  [SMALL_STATE(4431)] = 455783,
  [SMALL_STATE(4432)] = 455830,
  [SMALL_STATE(4433)] = 455877,
  [SMALL_STATE(4434)] = 455964,
  [SMALL_STATE(4435)] = 456049,
  [SMALL_STATE(4436)] = 456096,
  [SMALL_STATE(4437)] = 456143,
  [SMALL_STATE(4438)] = 456190,
  [SMALL_STATE(4439)] = 456275,
  [SMALL_STATE(4440)] = 456322,
  [SMALL_STATE(4441)] = 456369,
  [SMALL_STATE(4442)] = 456416,
  [SMALL_STATE(4443)] = 456463,
  [SMALL_STATE(4444)] = 456510,
  [SMALL_STATE(4445)] = 456557,
  [SMALL_STATE(4446)] = 456604,
  [SMALL_STATE(4447)] = 456651,
  [SMALL_STATE(4448)] = 456698,
  [SMALL_STATE(4449)] = 456745,
  [SMALL_STATE(4450)] = 456792,
  [SMALL_STATE(4451)] = 456839,
  [SMALL_STATE(4452)] = 456886,
  [SMALL_STATE(4453)] = 456971,
  [SMALL_STATE(4454)] = 457054,
  [SMALL_STATE(4455)] = 457101,
  [SMALL_STATE(4456)] = 457188,
  [SMALL_STATE(4457)] = 457237,
  [SMALL_STATE(4458)] = 457284,
  [SMALL_STATE(4459)] = 457331,
  [SMALL_STATE(4460)] = 457378,
  [SMALL_STATE(4461)] = 457425,
  [SMALL_STATE(4462)] = 457510,
  [SMALL_STATE(4463)] = 457561,
  [SMALL_STATE(4464)] = 457608,
  [SMALL_STATE(4465)] = 457693,
  [SMALL_STATE(4466)] = 457740,
  [SMALL_STATE(4467)] = 457787,
  [SMALL_STATE(4468)] = 457834,
  [SMALL_STATE(4469)] = 457881,
  [SMALL_STATE(4470)] = 457928,
  [SMALL_STATE(4471)] = 457975,
  [SMALL_STATE(4472)] = 458022,
  [SMALL_STATE(4473)] = 458069,
  [SMALL_STATE(4474)] = 458116,
  [SMALL_STATE(4475)] = 458163,
  [SMALL_STATE(4476)] = 458210,
  [SMALL_STATE(4477)] = 458295,
  [SMALL_STATE(4478)] = 458342,
  [SMALL_STATE(4479)] = 458389,
  [SMALL_STATE(4480)] = 458436,
  [SMALL_STATE(4481)] = 458483,
  [SMALL_STATE(4482)] = 458530,
  [SMALL_STATE(4483)] = 458577,
  [SMALL_STATE(4484)] = 458662,
  [SMALL_STATE(4485)] = 458709,
  [SMALL_STATE(4486)] = 458756,
  [SMALL_STATE(4487)] = 458803,
  [SMALL_STATE(4488)] = 458850,
  [SMALL_STATE(4489)] = 458897,
  [SMALL_STATE(4490)] = 458944,
  [SMALL_STATE(4491)] = 458991,
  [SMALL_STATE(4492)] = 459038,
  [SMALL_STATE(4493)] = 459085,
  [SMALL_STATE(4494)] = 459132,
  [SMALL_STATE(4495)] = 459181,
  [SMALL_STATE(4496)] = 459228,
  [SMALL_STATE(4497)] = 459275,
  [SMALL_STATE(4498)] = 459322,
  [SMALL_STATE(4499)] = 459369,
  [SMALL_STATE(4500)] = 459416,
  [SMALL_STATE(4501)] = 459503,
  [SMALL_STATE(4502)] = 459550,
  [SMALL_STATE(4503)] = 459597,
  [SMALL_STATE(4504)] = 459644,
  [SMALL_STATE(4505)] = 459691,
  [SMALL_STATE(4506)] = 459738,
  [SMALL_STATE(4507)] = 459785,
  [SMALL_STATE(4508)] = 459832,
  [SMALL_STATE(4509)] = 459879,
  [SMALL_STATE(4510)] = 459926,
  [SMALL_STATE(4511)] = 459973,
  [SMALL_STATE(4512)] = 460020,
  [SMALL_STATE(4513)] = 460069,
  [SMALL_STATE(4514)] = 460118,
  [SMALL_STATE(4515)] = 460165,
  [SMALL_STATE(4516)] = 460216,
  [SMALL_STATE(4517)] = 460301,
  [SMALL_STATE(4518)] = 460352,
  [SMALL_STATE(4519)] = 460399,
  [SMALL_STATE(4520)] = 460446,
  [SMALL_STATE(4521)] = 460495,
  [SMALL_STATE(4522)] = 460542,
  [SMALL_STATE(4523)] = 460627,
  [SMALL_STATE(4524)] = 460712,
  [SMALL_STATE(4525)] = 460759,
  [SMALL_STATE(4526)] = 460844,
  [SMALL_STATE(4527)] = 460891,
  [SMALL_STATE(4528)] = 460938,
  [SMALL_STATE(4529)] = 460985,
  [SMALL_STATE(4530)] = 461032,
  [SMALL_STATE(4531)] = 461079,
  [SMALL_STATE(4532)] = 461126,
  [SMALL_STATE(4533)] = 461173,
  [SMALL_STATE(4534)] = 461220,
  [SMALL_STATE(4535)] = 461267,
  [SMALL_STATE(4536)] = 461314,
  [SMALL_STATE(4537)] = 461361,
  [SMALL_STATE(4538)] = 461408,
  [SMALL_STATE(4539)] = 461455,
  [SMALL_STATE(4540)] = 461502,
  [SMALL_STATE(4541)] = 461549,
  [SMALL_STATE(4542)] = 461596,
  [SMALL_STATE(4543)] = 461643,
  [SMALL_STATE(4544)] = 461690,
  [SMALL_STATE(4545)] = 461737,
  [SMALL_STATE(4546)] = 461822,
  [SMALL_STATE(4547)] = 461869,
  [SMALL_STATE(4548)] = 461916,
  [SMALL_STATE(4549)] = 461967,
  [SMALL_STATE(4550)] = 462054,
  [SMALL_STATE(4551)] = 462101,
  [SMALL_STATE(4552)] = 462148,
  [SMALL_STATE(4553)] = 462195,
  [SMALL_STATE(4554)] = 462242,
  [SMALL_STATE(4555)] = 462289,
  [SMALL_STATE(4556)] = 462336,
  [SMALL_STATE(4557)] = 462383,
  [SMALL_STATE(4558)] = 462430,
  [SMALL_STATE(4559)] = 462479,
  [SMALL_STATE(4560)] = 462564,
  [SMALL_STATE(4561)] = 462611,
  [SMALL_STATE(4562)] = 462658,
  [SMALL_STATE(4563)] = 462705,
  [SMALL_STATE(4564)] = 462752,
  [SMALL_STATE(4565)] = 462799,
  [SMALL_STATE(4566)] = 462848,
  [SMALL_STATE(4567)] = 462895,
  [SMALL_STATE(4568)] = 462942,
  [SMALL_STATE(4569)] = 463027,
  [SMALL_STATE(4570)] = 463114,
  [SMALL_STATE(4571)] = 463161,
  [SMALL_STATE(4572)] = 463246,
  [SMALL_STATE(4573)] = 463293,
  [SMALL_STATE(4574)] = 463378,
  [SMALL_STATE(4575)] = 463425,
  [SMALL_STATE(4576)] = 463476,
  [SMALL_STATE(4577)] = 463527,
  [SMALL_STATE(4578)] = 463576,
  [SMALL_STATE(4579)] = 463625,
  [SMALL_STATE(4580)] = 463710,
  [SMALL_STATE(4581)] = 463757,
  [SMALL_STATE(4582)] = 463804,
  [SMALL_STATE(4583)] = 463855,
  [SMALL_STATE(4584)] = 463902,
  [SMALL_STATE(4585)] = 463951,
  [SMALL_STATE(4586)] = 463998,
  [SMALL_STATE(4587)] = 464045,
  [SMALL_STATE(4588)] = 464096,
  [SMALL_STATE(4589)] = 464143,
  [SMALL_STATE(4590)] = 464190,
  [SMALL_STATE(4591)] = 464239,
  [SMALL_STATE(4592)] = 464286,
  [SMALL_STATE(4593)] = 464333,
  [SMALL_STATE(4594)] = 464420,
  [SMALL_STATE(4595)] = 464467,
  [SMALL_STATE(4596)] = 464516,
  [SMALL_STATE(4597)] = 464563,
  [SMALL_STATE(4598)] = 464610,
  [SMALL_STATE(4599)] = 464657,
  [SMALL_STATE(4600)] = 464704,
  [SMALL_STATE(4601)] = 464753,
  [SMALL_STATE(4602)] = 464804,
  [SMALL_STATE(4603)] = 464851,
  [SMALL_STATE(4604)] = 464898,
  [SMALL_STATE(4605)] = 464945,
  [SMALL_STATE(4606)] = 464992,
  [SMALL_STATE(4607)] = 465039,
  [SMALL_STATE(4608)] = 465086,
  [SMALL_STATE(4609)] = 465133,
  [SMALL_STATE(4610)] = 465180,
  [SMALL_STATE(4611)] = 465227,
  [SMALL_STATE(4612)] = 465274,
  [SMALL_STATE(4613)] = 465323,
  [SMALL_STATE(4614)] = 465408,
  [SMALL_STATE(4615)] = 465455,
  [SMALL_STATE(4616)] = 465502,
  [SMALL_STATE(4617)] = 465549,
  [SMALL_STATE(4618)] = 465600,
  [SMALL_STATE(4619)] = 465647,
  [SMALL_STATE(4620)] = 465694,
  [SMALL_STATE(4621)] = 465741,
  [SMALL_STATE(4622)] = 465788,
  [SMALL_STATE(4623)] = 465835,
  [SMALL_STATE(4624)] = 465920,
  [SMALL_STATE(4625)] = 465967,
  [SMALL_STATE(4626)] = 466013,
  [SMALL_STATE(4627)] = 466059,
  [SMALL_STATE(4628)] = 466105,
  [SMALL_STATE(4629)] = 466151,
  [SMALL_STATE(4630)] = 466235,
  [SMALL_STATE(4631)] = 466281,
  [SMALL_STATE(4632)] = 466327,
  [SMALL_STATE(4633)] = 466375,
  [SMALL_STATE(4634)] = 466459,
  [SMALL_STATE(4635)] = 466505,
  [SMALL_STATE(4636)] = 466551,
  [SMALL_STATE(4637)] = 466597,
  [SMALL_STATE(4638)] = 466643,
  [SMALL_STATE(4639)] = 466689,
  [SMALL_STATE(4640)] = 466773,
  [SMALL_STATE(4641)] = 466819,
  [SMALL_STATE(4642)] = 466865,
  [SMALL_STATE(4643)] = 466911,
  [SMALL_STATE(4644)] = 466959,
  [SMALL_STATE(4645)] = 467005,
  [SMALL_STATE(4646)] = 467051,
  [SMALL_STATE(4647)] = 467097,
  [SMALL_STATE(4648)] = 467183,
  [SMALL_STATE(4649)] = 467229,
  [SMALL_STATE(4650)] = 467279,
  [SMALL_STATE(4651)] = 467325,
  [SMALL_STATE(4652)] = 467409,
  [SMALL_STATE(4653)] = 467455,
  [SMALL_STATE(4654)] = 467501,
  [SMALL_STATE(4655)] = 467547,
  [SMALL_STATE(4656)] = 467593,
  [SMALL_STATE(4657)] = 467639,
  [SMALL_STATE(4658)] = 467721,
  [SMALL_STATE(4659)] = 467767,
  [SMALL_STATE(4660)] = 467815,
  [SMALL_STATE(4661)] = 467863,
  [SMALL_STATE(4662)] = 467909,
  [SMALL_STATE(4663)] = 467957,
  [SMALL_STATE(4664)] = 468041,
  [SMALL_STATE(4665)] = 468087,
  [SMALL_STATE(4666)] = 468133,
  [SMALL_STATE(4667)] = 468215,
  [SMALL_STATE(4668)] = 468261,
  [SMALL_STATE(4669)] = 468347,
  [SMALL_STATE(4670)] = 468431,
  [SMALL_STATE(4671)] = 468479,
  [SMALL_STATE(4672)] = 468561,
  [SMALL_STATE(4673)] = 468607,
  [SMALL_STATE(4674)] = 468653,
  [SMALL_STATE(4675)] = 468701,
  [SMALL_STATE(4676)] = 468751,
  [SMALL_STATE(4677)] = 468797,
  [SMALL_STATE(4678)] = 468843,
  [SMALL_STATE(4679)] = 468929,
  [SMALL_STATE(4680)] = 468975,
  [SMALL_STATE(4681)] = 469059,
  [SMALL_STATE(4682)] = 469105,
  [SMALL_STATE(4683)] = 469151,
  [SMALL_STATE(4684)] = 469197,
  [SMALL_STATE(4685)] = 469243,
  [SMALL_STATE(4686)] = 469289,
  [SMALL_STATE(4687)] = 469337,
  [SMALL_STATE(4688)] = 469387,
  [SMALL_STATE(4689)] = 469473,
  [SMALL_STATE(4690)] = 469519,
  [SMALL_STATE(4691)] = 469603,
  [SMALL_STATE(4692)] = 469649,
  [SMALL_STATE(4693)] = 469695,
  [SMALL_STATE(4694)] = 469777,
  [SMALL_STATE(4695)] = 469823,
  [SMALL_STATE(4696)] = 469907,
  [SMALL_STATE(4697)] = 469953,
  [SMALL_STATE(4698)] = 469999,
  [SMALL_STATE(4699)] = 470045,
  [SMALL_STATE(4700)] = 470129,
  [SMALL_STATE(4701)] = 470215,
  [SMALL_STATE(4702)] = 470261,
  [SMALL_STATE(4703)] = 470307,
  [SMALL_STATE(4704)] = 470391,
  [SMALL_STATE(4705)] = 470437,
  [SMALL_STATE(4706)] = 470483,
  [SMALL_STATE(4707)] = 470529,
  [SMALL_STATE(4708)] = 470579,
  [SMALL_STATE(4709)] = 470665,
  [SMALL_STATE(4710)] = 470749,
  [SMALL_STATE(4711)] = 470795,
  [SMALL_STATE(4712)] = 470881,
  [SMALL_STATE(4713)] = 470927,
  [SMALL_STATE(4714)] = 470973,
  [SMALL_STATE(4715)] = 471019,
  [SMALL_STATE(4716)] = 471103,
  [SMALL_STATE(4717)] = 471149,
  [SMALL_STATE(4718)] = 471195,
  [SMALL_STATE(4719)] = 471241,
  [SMALL_STATE(4720)] = 471287,
  [SMALL_STATE(4721)] = 471333,
  [SMALL_STATE(4722)] = 471379,
  [SMALL_STATE(4723)] = 471425,
  [SMALL_STATE(4724)] = 471471,
  [SMALL_STATE(4725)] = 471517,
  [SMALL_STATE(4726)] = 471563,
  [SMALL_STATE(4727)] = 471611,
  [SMALL_STATE(4728)] = 471657,
  [SMALL_STATE(4729)] = 471703,
  [SMALL_STATE(4730)] = 471785,
  [SMALL_STATE(4731)] = 471833,
  [SMALL_STATE(4732)] = 471879,
  [SMALL_STATE(4733)] = 471925,
  [SMALL_STATE(4734)] = 471971,
  [SMALL_STATE(4735)] = 472017,
  [SMALL_STATE(4736)] = 472063,
  [SMALL_STATE(4737)] = 472149,
  [SMALL_STATE(4738)] = 472195,
  [SMALL_STATE(4739)] = 472241,
  [SMALL_STATE(4740)] = 472291,
  [SMALL_STATE(4741)] = 472339,
  [SMALL_STATE(4742)] = 472387,
  [SMALL_STATE(4743)] = 472437,
  [SMALL_STATE(4744)] = 472483,
  [SMALL_STATE(4745)] = 472529,
  [SMALL_STATE(4746)] = 472577,
  [SMALL_STATE(4747)] = 472661,
  [SMALL_STATE(4748)] = 472707,
  [SMALL_STATE(4749)] = 472791,
  [SMALL_STATE(4750)] = 472839,
  [SMALL_STATE(4751)] = 472885,
  [SMALL_STATE(4752)] = 472969,
  [SMALL_STATE(4753)] = 473015,
  [SMALL_STATE(4754)] = 473061,
  [SMALL_STATE(4755)] = 473107,
  [SMALL_STATE(4756)] = 473193,
  [SMALL_STATE(4757)] = 473239,
  [SMALL_STATE(4758)] = 473285,
  [SMALL_STATE(4759)] = 473331,
  [SMALL_STATE(4760)] = 473377,
  [SMALL_STATE(4761)] = 473423,
  [SMALL_STATE(4762)] = 473469,
  [SMALL_STATE(4763)] = 473515,
  [SMALL_STATE(4764)] = 473561,
  [SMALL_STATE(4765)] = 473607,
  [SMALL_STATE(4766)] = 473653,
  [SMALL_STATE(4767)] = 473737,
  [SMALL_STATE(4768)] = 473783,
  [SMALL_STATE(4769)] = 473829,
  [SMALL_STATE(4770)] = 473875,
  [SMALL_STATE(4771)] = 473921,
  [SMALL_STATE(4772)] = 473967,
  [SMALL_STATE(4773)] = 474013,
  [SMALL_STATE(4774)] = 474059,
  [SMALL_STATE(4775)] = 474105,
  [SMALL_STATE(4776)] = 474151,
  [SMALL_STATE(4777)] = 474197,
  [SMALL_STATE(4778)] = 474243,
  [SMALL_STATE(4779)] = 474289,
  [SMALL_STATE(4780)] = 474335,
  [SMALL_STATE(4781)] = 474381,
  [SMALL_STATE(4782)] = 474431,
  [SMALL_STATE(4783)] = 474477,
  [SMALL_STATE(4784)] = 474523,
  [SMALL_STATE(4785)] = 474569,
  [SMALL_STATE(4786)] = 474615,
  [SMALL_STATE(4787)] = 474661,
  [SMALL_STATE(4788)] = 474707,
  [SMALL_STATE(4789)] = 474753,
  [SMALL_STATE(4790)] = 474799,
  [SMALL_STATE(4791)] = 474845,
  [SMALL_STATE(4792)] = 474929,
  [SMALL_STATE(4793)] = 474977,
  [SMALL_STATE(4794)] = 475023,
  [SMALL_STATE(4795)] = 475071,
  [SMALL_STATE(4796)] = 475155,
  [SMALL_STATE(4797)] = 475201,
  [SMALL_STATE(4798)] = 475247,
  [SMALL_STATE(4799)] = 475293,
  [SMALL_STATE(4800)] = 475339,
  [SMALL_STATE(4801)] = 475385,
  [SMALL_STATE(4802)] = 475431,
  [SMALL_STATE(4803)] = 475477,
  [SMALL_STATE(4804)] = 475523,
  [SMALL_STATE(4805)] = 475569,
  [SMALL_STATE(4806)] = 475615,
  [SMALL_STATE(4807)] = 475661,
  [SMALL_STATE(4808)] = 475707,
  [SMALL_STATE(4809)] = 475753,
  [SMALL_STATE(4810)] = 475801,
  [SMALL_STATE(4811)] = 475847,
  [SMALL_STATE(4812)] = 475895,
  [SMALL_STATE(4813)] = 475943,
  [SMALL_STATE(4814)] = 475989,
  [SMALL_STATE(4815)] = 476073,
  [SMALL_STATE(4816)] = 476123,
  [SMALL_STATE(4817)] = 476171,
  [SMALL_STATE(4818)] = 476217,
  [SMALL_STATE(4819)] = 476303,
  [SMALL_STATE(4820)] = 476351,
  [SMALL_STATE(4821)] = 476397,
  [SMALL_STATE(4822)] = 476447,
  [SMALL_STATE(4823)] = 476493,
  [SMALL_STATE(4824)] = 476539,
  [SMALL_STATE(4825)] = 476585,
  [SMALL_STATE(4826)] = 476631,
  [SMALL_STATE(4827)] = 476677,
  [SMALL_STATE(4828)] = 476723,
  [SMALL_STATE(4829)] = 476769,
  [SMALL_STATE(4830)] = 476815,
  [SMALL_STATE(4831)] = 476861,
  [SMALL_STATE(4832)] = 476907,
  [SMALL_STATE(4833)] = 476953,
  [SMALL_STATE(4834)] = 477037,
  [SMALL_STATE(4835)] = 477085,
  [SMALL_STATE(4836)] = 477131,
  [SMALL_STATE(4837)] = 477177,
  [SMALL_STATE(4838)] = 477223,
  [SMALL_STATE(4839)] = 477271,
  [SMALL_STATE(4840)] = 477317,
  [SMALL_STATE(4841)] = 477365,
  [SMALL_STATE(4842)] = 477411,
  [SMALL_STATE(4843)] = 477457,
  [SMALL_STATE(4844)] = 477503,
  [SMALL_STATE(4845)] = 477549,
  [SMALL_STATE(4846)] = 477633,
  [SMALL_STATE(4847)] = 477679,
  [SMALL_STATE(4848)] = 477725,
  [SMALL_STATE(4849)] = 477771,
  [SMALL_STATE(4850)] = 477821,
  [SMALL_STATE(4851)] = 477905,
  [SMALL_STATE(4852)] = 477953,
  [SMALL_STATE(4853)] = 477999,
  [SMALL_STATE(4854)] = 478045,
  [SMALL_STATE(4855)] = 478091,
  [SMALL_STATE(4856)] = 478175,
  [SMALL_STATE(4857)] = 478221,
  [SMALL_STATE(4858)] = 478267,
  [SMALL_STATE(4859)] = 478313,
  [SMALL_STATE(4860)] = 478395,
  [SMALL_STATE(4861)] = 478443,
  [SMALL_STATE(4862)] = 478489,
  [SMALL_STATE(4863)] = 478535,
  [SMALL_STATE(4864)] = 478581,
  [SMALL_STATE(4865)] = 478627,
  [SMALL_STATE(4866)] = 478673,
  [SMALL_STATE(4867)] = 478719,
  [SMALL_STATE(4868)] = 478765,
  [SMALL_STATE(4869)] = 478811,
  [SMALL_STATE(4870)] = 478857,
  [SMALL_STATE(4871)] = 478903,
  [SMALL_STATE(4872)] = 478949,
  [SMALL_STATE(4873)] = 478995,
  [SMALL_STATE(4874)] = 479041,
  [SMALL_STATE(4875)] = 479087,
  [SMALL_STATE(4876)] = 479133,
  [SMALL_STATE(4877)] = 479179,
  [SMALL_STATE(4878)] = 479225,
  [SMALL_STATE(4879)] = 479271,
  [SMALL_STATE(4880)] = 479317,
  [SMALL_STATE(4881)] = 479363,
  [SMALL_STATE(4882)] = 479409,
  [SMALL_STATE(4883)] = 479455,
  [SMALL_STATE(4884)] = 479541,
  [SMALL_STATE(4885)] = 479587,
  [SMALL_STATE(4886)] = 479633,
  [SMALL_STATE(4887)] = 479679,
  [SMALL_STATE(4888)] = 479725,
  [SMALL_STATE(4889)] = 479771,
  [SMALL_STATE(4890)] = 479817,
  [SMALL_STATE(4891)] = 479863,
  [SMALL_STATE(4892)] = 479909,
  [SMALL_STATE(4893)] = 479995,
  [SMALL_STATE(4894)] = 480081,
  [SMALL_STATE(4895)] = 480127,
  [SMALL_STATE(4896)] = 480173,
  [SMALL_STATE(4897)] = 480219,
  [SMALL_STATE(4898)] = 480265,
  [SMALL_STATE(4899)] = 480311,
  [SMALL_STATE(4900)] = 480359,
  [SMALL_STATE(4901)] = 480405,
  [SMALL_STATE(4902)] = 480451,
  [SMALL_STATE(4903)] = 480499,
  [SMALL_STATE(4904)] = 480545,
  [SMALL_STATE(4905)] = 480591,
  [SMALL_STATE(4906)] = 480637,
  [SMALL_STATE(4907)] = 480683,
  [SMALL_STATE(4908)] = 480729,
  [SMALL_STATE(4909)] = 480775,
  [SMALL_STATE(4910)] = 480821,
  [SMALL_STATE(4911)] = 480867,
  [SMALL_STATE(4912)] = 480913,
  [SMALL_STATE(4913)] = 480959,
  [SMALL_STATE(4914)] = 481005,
  [SMALL_STATE(4915)] = 481051,
  [SMALL_STATE(4916)] = 481099,
  [SMALL_STATE(4917)] = 481145,
  [SMALL_STATE(4918)] = 481193,
  [SMALL_STATE(4919)] = 481238,
  [SMALL_STATE(4920)] = 481319,
  [SMALL_STATE(4921)] = 481364,
  [SMALL_STATE(4922)] = 481447,
  [SMALL_STATE(4923)] = 481492,
  [SMALL_STATE(4924)] = 481539,
  [SMALL_STATE(4925)] = 481584,
  [SMALL_STATE(4926)] = 481667,
  [SMALL_STATE(4927)] = 481750,
  [SMALL_STATE(4928)] = 481799,
  [SMALL_STATE(4929)] = 481844,
  [SMALL_STATE(4930)] = 481889,
  [SMALL_STATE(4931)] = 481934,
  [SMALL_STATE(4932)] = 481979,
  [SMALL_STATE(4933)] = 482024,
  [SMALL_STATE(4934)] = 482069,
  [SMALL_STATE(4935)] = 482154,
  [SMALL_STATE(4936)] = 482199,
  [SMALL_STATE(4937)] = 482244,
  [SMALL_STATE(4938)] = 482289,
  [SMALL_STATE(4939)] = 482334,
  [SMALL_STATE(4940)] = 482379,
  [SMALL_STATE(4941)] = 482424,
  [SMALL_STATE(4942)] = 482469,
  [SMALL_STATE(4943)] = 482514,
  [SMALL_STATE(4944)] = 482559,
  [SMALL_STATE(4945)] = 482604,
  [SMALL_STATE(4946)] = 482649,
  [SMALL_STATE(4947)] = 482694,
  [SMALL_STATE(4948)] = 482777,
  [SMALL_STATE(4949)] = 482822,
  [SMALL_STATE(4950)] = 482867,
  [SMALL_STATE(4951)] = 482914,
  [SMALL_STATE(4952)] = 482959,
  [SMALL_STATE(4953)] = 483006,
  [SMALL_STATE(4954)] = 483089,
  [SMALL_STATE(4955)] = 483134,
  [SMALL_STATE(4956)] = 483179,
  [SMALL_STATE(4957)] = 483264,
  [SMALL_STATE(4958)] = 483347,
  [SMALL_STATE(4959)] = 483392,
  [SMALL_STATE(4960)] = 483437,
  [SMALL_STATE(4961)] = 483520,
  [SMALL_STATE(4962)] = 483603,
  [SMALL_STATE(4963)] = 483648,
  [SMALL_STATE(4964)] = 483693,
  [SMALL_STATE(4965)] = 483738,
  [SMALL_STATE(4966)] = 483787,
  [SMALL_STATE(4967)] = 483832,
  [SMALL_STATE(4968)] = 483877,
  [SMALL_STATE(4969)] = 483922,
  [SMALL_STATE(4970)] = 484005,
  [SMALL_STATE(4971)] = 484088,
  [SMALL_STATE(4972)] = 484133,
  [SMALL_STATE(4973)] = 484178,
  [SMALL_STATE(4974)] = 484223,
  [SMALL_STATE(4975)] = 484268,
  [SMALL_STATE(4976)] = 484313,
  [SMALL_STATE(4977)] = 484358,
  [SMALL_STATE(4978)] = 484403,
  [SMALL_STATE(4979)] = 484486,
  [SMALL_STATE(4980)] = 484571,
  [SMALL_STATE(4981)] = 484616,
  [SMALL_STATE(4982)] = 484661,
  [SMALL_STATE(4983)] = 484706,
  [SMALL_STATE(4984)] = 484791,
  [SMALL_STATE(4985)] = 484836,
  [SMALL_STATE(4986)] = 484919,
  [SMALL_STATE(4987)] = 485000,
  [SMALL_STATE(4988)] = 485045,
  [SMALL_STATE(4989)] = 485128,
  [SMALL_STATE(4990)] = 485173,
  [SMALL_STATE(4991)] = 485218,
  [SMALL_STATE(4992)] = 485263,
  [SMALL_STATE(4993)] = 485308,
  [SMALL_STATE(4994)] = 485353,
  [SMALL_STATE(4995)] = 485398,
  [SMALL_STATE(4996)] = 485443,
  [SMALL_STATE(4997)] = 485488,
  [SMALL_STATE(4998)] = 485535,
  [SMALL_STATE(4999)] = 485580,
  [SMALL_STATE(5000)] = 485663,
  [SMALL_STATE(5001)] = 485710,
  [SMALL_STATE(5002)] = 485791,
  [SMALL_STATE(5003)] = 485836,
  [SMALL_STATE(5004)] = 485919,
  [SMALL_STATE(5005)] = 486002,
  [SMALL_STATE(5006)] = 486047,
  [SMALL_STATE(5007)] = 486092,
  [SMALL_STATE(5008)] = 486137,
  [SMALL_STATE(5009)] = 486182,
  [SMALL_STATE(5010)] = 486265,
  [SMALL_STATE(5011)] = 486350,
  [SMALL_STATE(5012)] = 486395,
  [SMALL_STATE(5013)] = 486478,
  [SMALL_STATE(5014)] = 486561,
  [SMALL_STATE(5015)] = 486606,
  [SMALL_STATE(5016)] = 486651,
  [SMALL_STATE(5017)] = 486734,
  [SMALL_STATE(5018)] = 486779,
  [SMALL_STATE(5019)] = 486826,
  [SMALL_STATE(5020)] = 486909,
  [SMALL_STATE(5021)] = 486992,
  [SMALL_STATE(5022)] = 487075,
  [SMALL_STATE(5023)] = 487120,
  [SMALL_STATE(5024)] = 487205,
  [SMALL_STATE(5025)] = 487288,
  [SMALL_STATE(5026)] = 487333,
  [SMALL_STATE(5027)] = 487380,
  [SMALL_STATE(5028)] = 487425,
  [SMALL_STATE(5029)] = 487470,
  [SMALL_STATE(5030)] = 487553,
  [SMALL_STATE(5031)] = 487598,
  [SMALL_STATE(5032)] = 487681,
  [SMALL_STATE(5033)] = 487764,
  [SMALL_STATE(5034)] = 487847,
  [SMALL_STATE(5035)] = 487892,
  [SMALL_STATE(5036)] = 487975,
  [SMALL_STATE(5037)] = 488020,
  [SMALL_STATE(5038)] = 488065,
  [SMALL_STATE(5039)] = 488148,
  [SMALL_STATE(5040)] = 488193,
  [SMALL_STATE(5041)] = 488238,
  [SMALL_STATE(5042)] = 488283,
  [SMALL_STATE(5043)] = 488328,
  [SMALL_STATE(5044)] = 488373,
  [SMALL_STATE(5045)] = 488418,
  [SMALL_STATE(5046)] = 488463,
  [SMALL_STATE(5047)] = 488508,
  [SMALL_STATE(5048)] = 488553,
  [SMALL_STATE(5049)] = 488636,
  [SMALL_STATE(5050)] = 488681,
  [SMALL_STATE(5051)] = 488726,
  [SMALL_STATE(5052)] = 488773,
  [SMALL_STATE(5053)] = 488818,
  [SMALL_STATE(5054)] = 488901,
  [SMALL_STATE(5055)] = 488946,
  [SMALL_STATE(5056)] = 488991,
  [SMALL_STATE(5057)] = 489074,
  [SMALL_STATE(5058)] = 489119,
  [SMALL_STATE(5059)] = 489164,
  [SMALL_STATE(5060)] = 489209,
  [SMALL_STATE(5061)] = 489254,
  [SMALL_STATE(5062)] = 489299,
  [SMALL_STATE(5063)] = 489344,
  [SMALL_STATE(5064)] = 489427,
  [SMALL_STATE(5065)] = 489472,
  [SMALL_STATE(5066)] = 489517,
  [SMALL_STATE(5067)] = 489562,
  [SMALL_STATE(5068)] = 489607,
  [SMALL_STATE(5069)] = 489690,
  [SMALL_STATE(5070)] = 489735,
  [SMALL_STATE(5071)] = 489818,
  [SMALL_STATE(5072)] = 489863,
  [SMALL_STATE(5073)] = 489908,
  [SMALL_STATE(5074)] = 489957,
  [SMALL_STATE(5075)] = 490002,
  [SMALL_STATE(5076)] = 490047,
  [SMALL_STATE(5077)] = 490096,
  [SMALL_STATE(5078)] = 490143,
  [SMALL_STATE(5079)] = 490226,
  [SMALL_STATE(5080)] = 490271,
  [SMALL_STATE(5081)] = 490354,
  [SMALL_STATE(5082)] = 490399,
  [SMALL_STATE(5083)] = 490444,
  [SMALL_STATE(5084)] = 490527,
  [SMALL_STATE(5085)] = 490574,
  [SMALL_STATE(5086)] = 490619,
  [SMALL_STATE(5087)] = 490700,
  [SMALL_STATE(5088)] = 490747,
  [SMALL_STATE(5089)] = 490830,
  [SMALL_STATE(5090)] = 490875,
  [SMALL_STATE(5091)] = 490920,
  [SMALL_STATE(5092)] = 491003,
  [SMALL_STATE(5093)] = 491050,
  [SMALL_STATE(5094)] = 491095,
  [SMALL_STATE(5095)] = 491178,
  [SMALL_STATE(5096)] = 491261,
  [SMALL_STATE(5097)] = 491306,
  [SMALL_STATE(5098)] = 491351,
  [SMALL_STATE(5099)] = 491396,
  [SMALL_STATE(5100)] = 491441,
  [SMALL_STATE(5101)] = 491488,
  [SMALL_STATE(5102)] = 491571,
  [SMALL_STATE(5103)] = 491654,
  [SMALL_STATE(5104)] = 491737,
  [SMALL_STATE(5105)] = 491822,
  [SMALL_STATE(5106)] = 491867,
  [SMALL_STATE(5107)] = 491914,
  [SMALL_STATE(5108)] = 491959,
  [SMALL_STATE(5109)] = 492006,
  [SMALL_STATE(5110)] = 492051,
  [SMALL_STATE(5111)] = 492096,
  [SMALL_STATE(5112)] = 492141,
  [SMALL_STATE(5113)] = 492188,
  [SMALL_STATE(5114)] = 492235,
  [SMALL_STATE(5115)] = 492280,
  [SMALL_STATE(5116)] = 492325,
  [SMALL_STATE(5117)] = 492370,
  [SMALL_STATE(5118)] = 492455,
  [SMALL_STATE(5119)] = 492500,
  [SMALL_STATE(5120)] = 492545,
  [SMALL_STATE(5121)] = 492590,
  [SMALL_STATE(5122)] = 492635,
  [SMALL_STATE(5123)] = 492680,
  [SMALL_STATE(5124)] = 492725,
  [SMALL_STATE(5125)] = 492770,
  [SMALL_STATE(5126)] = 492815,
  [SMALL_STATE(5127)] = 492860,
  [SMALL_STATE(5128)] = 492907,
  [SMALL_STATE(5129)] = 492952,
  [SMALL_STATE(5130)] = 492997,
  [SMALL_STATE(5131)] = 493042,
  [SMALL_STATE(5132)] = 493087,
  [SMALL_STATE(5133)] = 493132,
  [SMALL_STATE(5134)] = 493177,
  [SMALL_STATE(5135)] = 493224,
  [SMALL_STATE(5136)] = 493307,
  [SMALL_STATE(5137)] = 493352,
  [SMALL_STATE(5138)] = 493435,
  [SMALL_STATE(5139)] = 493480,
  [SMALL_STATE(5140)] = 493527,
  [SMALL_STATE(5141)] = 493574,
  [SMALL_STATE(5142)] = 493619,
  [SMALL_STATE(5143)] = 493664,
  [SMALL_STATE(5144)] = 493709,
  [SMALL_STATE(5145)] = 493758,
  [SMALL_STATE(5146)] = 493841,
  [SMALL_STATE(5147)] = 493888,
  [SMALL_STATE(5148)] = 493971,
  [SMALL_STATE(5149)] = 494020,
  [SMALL_STATE(5150)] = 494103,
  [SMALL_STATE(5151)] = 494148,
  [SMALL_STATE(5152)] = 494193,
  [SMALL_STATE(5153)] = 494238,
  [SMALL_STATE(5154)] = 494283,
  [SMALL_STATE(5155)] = 494328,
  [SMALL_STATE(5156)] = 494373,
  [SMALL_STATE(5157)] = 494456,
  [SMALL_STATE(5158)] = 494501,
  [SMALL_STATE(5159)] = 494548,
  [SMALL_STATE(5160)] = 494593,
  [SMALL_STATE(5161)] = 494638,
  [SMALL_STATE(5162)] = 494683,
  [SMALL_STATE(5163)] = 494728,
  [SMALL_STATE(5164)] = 494773,
  [SMALL_STATE(5165)] = 494818,
  [SMALL_STATE(5166)] = 494863,
  [SMALL_STATE(5167)] = 494908,
  [SMALL_STATE(5168)] = 494991,
  [SMALL_STATE(5169)] = 495036,
  [SMALL_STATE(5170)] = 495081,
  [SMALL_STATE(5171)] = 495126,
  [SMALL_STATE(5172)] = 495171,
  [SMALL_STATE(5173)] = 495216,
  [SMALL_STATE(5174)] = 495261,
  [SMALL_STATE(5175)] = 495344,
  [SMALL_STATE(5176)] = 495427,
  [SMALL_STATE(5177)] = 495510,
  [SMALL_STATE(5178)] = 495555,
  [SMALL_STATE(5179)] = 495600,
  [SMALL_STATE(5180)] = 495645,
  [SMALL_STATE(5181)] = 495690,
  [SMALL_STATE(5182)] = 495735,
  [SMALL_STATE(5183)] = 495780,
  [SMALL_STATE(5184)] = 495825,
  [SMALL_STATE(5185)] = 495870,
  [SMALL_STATE(5186)] = 495915,
  [SMALL_STATE(5187)] = 495960,
  [SMALL_STATE(5188)] = 496005,
  [SMALL_STATE(5189)] = 496050,
  [SMALL_STATE(5190)] = 496095,
  [SMALL_STATE(5191)] = 496140,
  [SMALL_STATE(5192)] = 496185,
  [SMALL_STATE(5193)] = 496232,
  [SMALL_STATE(5194)] = 496277,
  [SMALL_STATE(5195)] = 496322,
  [SMALL_STATE(5196)] = 496367,
  [SMALL_STATE(5197)] = 496412,
  [SMALL_STATE(5198)] = 496457,
  [SMALL_STATE(5199)] = 496502,
  [SMALL_STATE(5200)] = 496549,
  [SMALL_STATE(5201)] = 496630,
  [SMALL_STATE(5202)] = 496675,
  [SMALL_STATE(5203)] = 496720,
  [SMALL_STATE(5204)] = 496765,
  [SMALL_STATE(5205)] = 496814,
  [SMALL_STATE(5206)] = 496859,
  [SMALL_STATE(5207)] = 496904,
  [SMALL_STATE(5208)] = 496949,
  [SMALL_STATE(5209)] = 496994,
  [SMALL_STATE(5210)] = 497039,
  [SMALL_STATE(5211)] = 497084,
  [SMALL_STATE(5212)] = 497129,
  [SMALL_STATE(5213)] = 497174,
  [SMALL_STATE(5214)] = 497219,
  [SMALL_STATE(5215)] = 497264,
  [SMALL_STATE(5216)] = 497311,
  [SMALL_STATE(5217)] = 497356,
  [SMALL_STATE(5218)] = 497401,
  [SMALL_STATE(5219)] = 497446,
  [SMALL_STATE(5220)] = 497491,
  [SMALL_STATE(5221)] = 497536,
  [SMALL_STATE(5222)] = 497581,
  [SMALL_STATE(5223)] = 497626,
  [SMALL_STATE(5224)] = 497671,
  [SMALL_STATE(5225)] = 497716,
  [SMALL_STATE(5226)] = 497761,
  [SMALL_STATE(5227)] = 497806,
  [SMALL_STATE(5228)] = 497851,
  [SMALL_STATE(5229)] = 497896,
  [SMALL_STATE(5230)] = 497941,
  [SMALL_STATE(5231)] = 497986,
  [SMALL_STATE(5232)] = 498031,
  [SMALL_STATE(5233)] = 498080,
  [SMALL_STATE(5234)] = 498125,
  [SMALL_STATE(5235)] = 498170,
  [SMALL_STATE(5236)] = 498215,
  [SMALL_STATE(5237)] = 498260,
  [SMALL_STATE(5238)] = 498305,
  [SMALL_STATE(5239)] = 498350,
  [SMALL_STATE(5240)] = 498395,
  [SMALL_STATE(5241)] = 498440,
  [SMALL_STATE(5242)] = 498485,
  [SMALL_STATE(5243)] = 498530,
  [SMALL_STATE(5244)] = 498575,
  [SMALL_STATE(5245)] = 498622,
  [SMALL_STATE(5246)] = 498667,
  [SMALL_STATE(5247)] = 498712,
  [SMALL_STATE(5248)] = 498757,
  [SMALL_STATE(5249)] = 498802,
  [SMALL_STATE(5250)] = 498847,
  [SMALL_STATE(5251)] = 498892,
  [SMALL_STATE(5252)] = 498937,
  [SMALL_STATE(5253)] = 498982,
  [SMALL_STATE(5254)] = 499027,
  [SMALL_STATE(5255)] = 499072,
  [SMALL_STATE(5256)] = 499117,
  [SMALL_STATE(5257)] = 499162,
  [SMALL_STATE(5258)] = 499207,
  [SMALL_STATE(5259)] = 499252,
  [SMALL_STATE(5260)] = 499297,
  [SMALL_STATE(5261)] = 499342,
  [SMALL_STATE(5262)] = 499387,
  [SMALL_STATE(5263)] = 499432,
  [SMALL_STATE(5264)] = 499477,
  [SMALL_STATE(5265)] = 499522,
  [SMALL_STATE(5266)] = 499567,
  [SMALL_STATE(5267)] = 499612,
  [SMALL_STATE(5268)] = 499657,
  [SMALL_STATE(5269)] = 499702,
  [SMALL_STATE(5270)] = 499747,
  [SMALL_STATE(5271)] = 499792,
  [SMALL_STATE(5272)] = 499837,
  [SMALL_STATE(5273)] = 499882,
  [SMALL_STATE(5274)] = 499927,
  [SMALL_STATE(5275)] = 499972,
  [SMALL_STATE(5276)] = 500017,
  [SMALL_STATE(5277)] = 500062,
  [SMALL_STATE(5278)] = 500107,
  [SMALL_STATE(5279)] = 500152,
  [SMALL_STATE(5280)] = 500197,
  [SMALL_STATE(5281)] = 500242,
  [SMALL_STATE(5282)] = 500287,
  [SMALL_STATE(5283)] = 500334,
  [SMALL_STATE(5284)] = 500379,
  [SMALL_STATE(5285)] = 500462,
  [SMALL_STATE(5286)] = 500543,
  [SMALL_STATE(5287)] = 500590,
  [SMALL_STATE(5288)] = 500635,
  [SMALL_STATE(5289)] = 500680,
  [SMALL_STATE(5290)] = 500725,
  [SMALL_STATE(5291)] = 500770,
  [SMALL_STATE(5292)] = 500815,
  [SMALL_STATE(5293)] = 500860,
  [SMALL_STATE(5294)] = 500941,
  [SMALL_STATE(5295)] = 500986,
  [SMALL_STATE(5296)] = 501031,
  [SMALL_STATE(5297)] = 501076,
  [SMALL_STATE(5298)] = 501159,
  [SMALL_STATE(5299)] = 501204,
  [SMALL_STATE(5300)] = 501249,
  [SMALL_STATE(5301)] = 501294,
  [SMALL_STATE(5302)] = 501341,
  [SMALL_STATE(5303)] = 501386,
  [SMALL_STATE(5304)] = 501431,
  [SMALL_STATE(5305)] = 501476,
  [SMALL_STATE(5306)] = 501521,
  [SMALL_STATE(5307)] = 501566,
  [SMALL_STATE(5308)] = 501611,
  [SMALL_STATE(5309)] = 501656,
  [SMALL_STATE(5310)] = 501701,
  [SMALL_STATE(5311)] = 501784,
  [SMALL_STATE(5312)] = 501867,
  [SMALL_STATE(5313)] = 501912,
  [SMALL_STATE(5314)] = 501957,
  [SMALL_STATE(5315)] = 502040,
  [SMALL_STATE(5316)] = 502087,
  [SMALL_STATE(5317)] = 502132,
  [SMALL_STATE(5318)] = 502177,
  [SMALL_STATE(5319)] = 502222,
  [SMALL_STATE(5320)] = 502267,
  [SMALL_STATE(5321)] = 502312,
  [SMALL_STATE(5322)] = 502357,
  [SMALL_STATE(5323)] = 502402,
  [SMALL_STATE(5324)] = 502447,
  [SMALL_STATE(5325)] = 502530,
  [SMALL_STATE(5326)] = 502613,
  [SMALL_STATE(5327)] = 502658,
  [SMALL_STATE(5328)] = 502703,
  [SMALL_STATE(5329)] = 502750,
  [SMALL_STATE(5330)] = 502795,
  [SMALL_STATE(5331)] = 502842,
  [SMALL_STATE(5332)] = 502925,
  [SMALL_STATE(5333)] = 502970,
  [SMALL_STATE(5334)] = 503015,
  [SMALL_STATE(5335)] = 503060,
  [SMALL_STATE(5336)] = 503143,
  [SMALL_STATE(5337)] = 503228,
  [SMALL_STATE(5338)] = 503313,
  [SMALL_STATE(5339)] = 503358,
  [SMALL_STATE(5340)] = 503403,
  [SMALL_STATE(5341)] = 503484,
  [SMALL_STATE(5342)] = 503531,
  [SMALL_STATE(5343)] = 503576,
  [SMALL_STATE(5344)] = 503621,
  [SMALL_STATE(5345)] = 503668,
  [SMALL_STATE(5346)] = 503713,
  [SMALL_STATE(5347)] = 503758,
  [SMALL_STATE(5348)] = 503807,
  [SMALL_STATE(5349)] = 503854,
  [SMALL_STATE(5350)] = 503937,
  [SMALL_STATE(5351)] = 504018,
  [SMALL_STATE(5352)] = 504063,
  [SMALL_STATE(5353)] = 504108,
  [SMALL_STATE(5354)] = 504153,
  [SMALL_STATE(5355)] = 504198,
  [SMALL_STATE(5356)] = 504245,
  [SMALL_STATE(5357)] = 504290,
  [SMALL_STATE(5358)] = 504334,
  [SMALL_STATE(5359)] = 504378,
  [SMALL_STATE(5360)] = 504422,
  [SMALL_STATE(5361)] = 504466,
  [SMALL_STATE(5362)] = 504510,
  [SMALL_STATE(5363)] = 504554,
  [SMALL_STATE(5364)] = 504598,
  [SMALL_STATE(5365)] = 504642,
  [SMALL_STATE(5366)] = 504686,
  [SMALL_STATE(5367)] = 504730,
  [SMALL_STATE(5368)] = 504774,
  [SMALL_STATE(5369)] = 504818,
  [SMALL_STATE(5370)] = 504862,
  [SMALL_STATE(5371)] = 504906,
  [SMALL_STATE(5372)] = 504950,
  [SMALL_STATE(5373)] = 504994,
  [SMALL_STATE(5374)] = 505038,
  [SMALL_STATE(5375)] = 505082,
  [SMALL_STATE(5376)] = 505126,
  [SMALL_STATE(5377)] = 505170,
  [SMALL_STATE(5378)] = 505218,
  [SMALL_STATE(5379)] = 505262,
  [SMALL_STATE(5380)] = 505306,
  [SMALL_STATE(5381)] = 505350,
  [SMALL_STATE(5382)] = 505394,
  [SMALL_STATE(5383)] = 505438,
  [SMALL_STATE(5384)] = 505486,
  [SMALL_STATE(5385)] = 505530,
  [SMALL_STATE(5386)] = 505574,
  [SMALL_STATE(5387)] = 505618,
  [SMALL_STATE(5388)] = 505662,
  [SMALL_STATE(5389)] = 505706,
  [SMALL_STATE(5390)] = 505750,
  [SMALL_STATE(5391)] = 505794,
  [SMALL_STATE(5392)] = 505838,
  [SMALL_STATE(5393)] = 505882,
  [SMALL_STATE(5394)] = 505926,
  [SMALL_STATE(5395)] = 505972,
  [SMALL_STATE(5396)] = 506018,
  [SMALL_STATE(5397)] = 506062,
  [SMALL_STATE(5398)] = 506108,
  [SMALL_STATE(5399)] = 506152,
  [SMALL_STATE(5400)] = 506196,
  [SMALL_STATE(5401)] = 506240,
  [SMALL_STATE(5402)] = 506284,
  [SMALL_STATE(5403)] = 506328,
  [SMALL_STATE(5404)] = 506372,
  [SMALL_STATE(5405)] = 506416,
  [SMALL_STATE(5406)] = 506460,
  [SMALL_STATE(5407)] = 506504,
  [SMALL_STATE(5408)] = 506586,
  [SMALL_STATE(5409)] = 506630,
  [SMALL_STATE(5410)] = 506674,
  [SMALL_STATE(5411)] = 506720,
  [SMALL_STATE(5412)] = 506764,
  [SMALL_STATE(5413)] = 506810,
  [SMALL_STATE(5414)] = 506854,
  [SMALL_STATE(5415)] = 506898,
  [SMALL_STATE(5416)] = 506942,
  [SMALL_STATE(5417)] = 506986,
  [SMALL_STATE(5418)] = 507030,
  [SMALL_STATE(5419)] = 507074,
  [SMALL_STATE(5420)] = 507118,
  [SMALL_STATE(5421)] = 507162,
  [SMALL_STATE(5422)] = 507206,
  [SMALL_STATE(5423)] = 507250,
  [SMALL_STATE(5424)] = 507294,
  [SMALL_STATE(5425)] = 507338,
  [SMALL_STATE(5426)] = 507382,
  [SMALL_STATE(5427)] = 507426,
  [SMALL_STATE(5428)] = 507470,
  [SMALL_STATE(5429)] = 507514,
  [SMALL_STATE(5430)] = 507558,
  [SMALL_STATE(5431)] = 507602,
  [SMALL_STATE(5432)] = 507646,
  [SMALL_STATE(5433)] = 507690,
  [SMALL_STATE(5434)] = 507770,
  [SMALL_STATE(5435)] = 507814,
  [SMALL_STATE(5436)] = 507858,
  [SMALL_STATE(5437)] = 507902,
  [SMALL_STATE(5438)] = 507946,
  [SMALL_STATE(5439)] = 507990,
  [SMALL_STATE(5440)] = 508034,
  [SMALL_STATE(5441)] = 508078,
  [SMALL_STATE(5442)] = 508122,
  [SMALL_STATE(5443)] = 508166,
  [SMALL_STATE(5444)] = 508212,
  [SMALL_STATE(5445)] = 508260,
  [SMALL_STATE(5446)] = 508304,
  [SMALL_STATE(5447)] = 508348,
  [SMALL_STATE(5448)] = 508428,
  [SMALL_STATE(5449)] = 508472,
  [SMALL_STATE(5450)] = 508516,
  [SMALL_STATE(5451)] = 508560,
  [SMALL_STATE(5452)] = 508604,
  [SMALL_STATE(5453)] = 508648,
  [SMALL_STATE(5454)] = 508694,
  [SMALL_STATE(5455)] = 508738,
  [SMALL_STATE(5456)] = 508782,
  [SMALL_STATE(5457)] = 508826,
  [SMALL_STATE(5458)] = 508870,
  [SMALL_STATE(5459)] = 508914,
  [SMALL_STATE(5460)] = 508958,
  [SMALL_STATE(5461)] = 509002,
  [SMALL_STATE(5462)] = 509048,
  [SMALL_STATE(5463)] = 509092,
  [SMALL_STATE(5464)] = 509136,
  [SMALL_STATE(5465)] = 509180,
  [SMALL_STATE(5466)] = 509226,
  [SMALL_STATE(5467)] = 509270,
  [SMALL_STATE(5468)] = 509314,
  [SMALL_STATE(5469)] = 509358,
  [SMALL_STATE(5470)] = 509402,
  [SMALL_STATE(5471)] = 509446,
  [SMALL_STATE(5472)] = 509490,
  [SMALL_STATE(5473)] = 509534,
  [SMALL_STATE(5474)] = 509580,
  [SMALL_STATE(5475)] = 509624,
  [SMALL_STATE(5476)] = 509668,
  [SMALL_STATE(5477)] = 509712,
  [SMALL_STATE(5478)] = 509756,
  [SMALL_STATE(5479)] = 509800,
  [SMALL_STATE(5480)] = 509844,
  [SMALL_STATE(5481)] = 509890,
  [SMALL_STATE(5482)] = 509934,
  [SMALL_STATE(5483)] = 509978,
  [SMALL_STATE(5484)] = 510060,
  [SMALL_STATE(5485)] = 510104,
  [SMALL_STATE(5486)] = 510148,
  [SMALL_STATE(5487)] = 510194,
  [SMALL_STATE(5488)] = 510238,
  [SMALL_STATE(5489)] = 510282,
  [SMALL_STATE(5490)] = 510326,
  [SMALL_STATE(5491)] = 510370,
  [SMALL_STATE(5492)] = 510414,
  [SMALL_STATE(5493)] = 510496,
  [SMALL_STATE(5494)] = 510540,
  [SMALL_STATE(5495)] = 510584,
  [SMALL_STATE(5496)] = 510628,
  [SMALL_STATE(5497)] = 510672,
  [SMALL_STATE(5498)] = 510720,
  [SMALL_STATE(5499)] = 510800,
  [SMALL_STATE(5500)] = 510844,
  [SMALL_STATE(5501)] = 510888,
  [SMALL_STATE(5502)] = 510932,
  [SMALL_STATE(5503)] = 510976,
  [SMALL_STATE(5504)] = 511020,
  [SMALL_STATE(5505)] = 511064,
  [SMALL_STATE(5506)] = 511108,
  [SMALL_STATE(5507)] = 511152,
  [SMALL_STATE(5508)] = 511196,
  [SMALL_STATE(5509)] = 511240,
  [SMALL_STATE(5510)] = 511284,
  [SMALL_STATE(5511)] = 511366,
  [SMALL_STATE(5512)] = 511412,
  [SMALL_STATE(5513)] = 511456,
  [SMALL_STATE(5514)] = 511500,
  [SMALL_STATE(5515)] = 511544,
  [SMALL_STATE(5516)] = 511590,
  [SMALL_STATE(5517)] = 511634,
  [SMALL_STATE(5518)] = 511678,
  [SMALL_STATE(5519)] = 511724,
  [SMALL_STATE(5520)] = 511768,
  [SMALL_STATE(5521)] = 511812,
  [SMALL_STATE(5522)] = 511856,
  [SMALL_STATE(5523)] = 511900,
  [SMALL_STATE(5524)] = 511944,
  [SMALL_STATE(5525)] = 511988,
  [SMALL_STATE(5526)] = 512034,
  [SMALL_STATE(5527)] = 512078,
  [SMALL_STATE(5528)] = 512122,
  [SMALL_STATE(5529)] = 512168,
  [SMALL_STATE(5530)] = 512212,
  [SMALL_STATE(5531)] = 512256,
  [SMALL_STATE(5532)] = 512300,
  [SMALL_STATE(5533)] = 512344,
  [SMALL_STATE(5534)] = 512388,
  [SMALL_STATE(5535)] = 512432,
  [SMALL_STATE(5536)] = 512476,
  [SMALL_STATE(5537)] = 512520,
  [SMALL_STATE(5538)] = 512564,
  [SMALL_STATE(5539)] = 512608,
  [SMALL_STATE(5540)] = 512654,
  [SMALL_STATE(5541)] = 512736,
  [SMALL_STATE(5542)] = 512784,
  [SMALL_STATE(5543)] = 512828,
  [SMALL_STATE(5544)] = 512872,
  [SMALL_STATE(5545)] = 512916,
  [SMALL_STATE(5546)] = 512960,
  [SMALL_STATE(5547)] = 513004,
  [SMALL_STATE(5548)] = 513084,
  [SMALL_STATE(5549)] = 513128,
  [SMALL_STATE(5550)] = 513174,
  [SMALL_STATE(5551)] = 513218,
  [SMALL_STATE(5552)] = 513262,
  [SMALL_STATE(5553)] = 513306,
  [SMALL_STATE(5554)] = 513350,
  [SMALL_STATE(5555)] = 513394,
  [SMALL_STATE(5556)] = 513438,
  [SMALL_STATE(5557)] = 513482,
  [SMALL_STATE(5558)] = 513526,
  [SMALL_STATE(5559)] = 513570,
  [SMALL_STATE(5560)] = 513614,
  [SMALL_STATE(5561)] = 513658,
  [SMALL_STATE(5562)] = 513702,
  [SMALL_STATE(5563)] = 513746,
  [SMALL_STATE(5564)] = 513790,
  [SMALL_STATE(5565)] = 513834,
  [SMALL_STATE(5566)] = 513878,
  [SMALL_STATE(5567)] = 513922,
  [SMALL_STATE(5568)] = 513966,
  [SMALL_STATE(5569)] = 514010,
  [SMALL_STATE(5570)] = 514054,
  [SMALL_STATE(5571)] = 514098,
  [SMALL_STATE(5572)] = 514142,
  [SMALL_STATE(5573)] = 514186,
  [SMALL_STATE(5574)] = 514232,
  [SMALL_STATE(5575)] = 514276,
  [SMALL_STATE(5576)] = 514320,
  [SMALL_STATE(5577)] = 514366,
  [SMALL_STATE(5578)] = 514412,
  [SMALL_STATE(5579)] = 514456,
  [SMALL_STATE(5580)] = 514504,
  [SMALL_STATE(5581)] = 514548,
  [SMALL_STATE(5582)] = 514592,
  [SMALL_STATE(5583)] = 514638,
  [SMALL_STATE(5584)] = 514682,
  [SMALL_STATE(5585)] = 514726,
  [SMALL_STATE(5586)] = 514770,
  [SMALL_STATE(5587)] = 514814,
  [SMALL_STATE(5588)] = 514858,
  [SMALL_STATE(5589)] = 514904,
  [SMALL_STATE(5590)] = 514948,
  [SMALL_STATE(5591)] = 514994,
  [SMALL_STATE(5592)] = 515038,
  [SMALL_STATE(5593)] = 515082,
  [SMALL_STATE(5594)] = 515126,
  [SMALL_STATE(5595)] = 515170,
  [SMALL_STATE(5596)] = 515214,
  [SMALL_STATE(5597)] = 515258,
  [SMALL_STATE(5598)] = 515302,
  [SMALL_STATE(5599)] = 515346,
  [SMALL_STATE(5600)] = 515390,
  [SMALL_STATE(5601)] = 515434,
  [SMALL_STATE(5602)] = 515478,
  [SMALL_STATE(5603)] = 515522,
  [SMALL_STATE(5604)] = 515566,
  [SMALL_STATE(5605)] = 515610,
  [SMALL_STATE(5606)] = 515654,
  [SMALL_STATE(5607)] = 515698,
  [SMALL_STATE(5608)] = 515742,
  [SMALL_STATE(5609)] = 515786,
  [SMALL_STATE(5610)] = 515830,
  [SMALL_STATE(5611)] = 515874,
  [SMALL_STATE(5612)] = 515918,
  [SMALL_STATE(5613)] = 515962,
  [SMALL_STATE(5614)] = 516006,
  [SMALL_STATE(5615)] = 516052,
  [SMALL_STATE(5616)] = 516096,
  [SMALL_STATE(5617)] = 516140,
  [SMALL_STATE(5618)] = 516184,
  [SMALL_STATE(5619)] = 516228,
  [SMALL_STATE(5620)] = 516272,
  [SMALL_STATE(5621)] = 516318,
  [SMALL_STATE(5622)] = 516362,
  [SMALL_STATE(5623)] = 516406,
  [SMALL_STATE(5624)] = 516450,
  [SMALL_STATE(5625)] = 516494,
  [SMALL_STATE(5626)] = 516538,
  [SMALL_STATE(5627)] = 516582,
  [SMALL_STATE(5628)] = 516626,
  [SMALL_STATE(5629)] = 516670,
  [SMALL_STATE(5630)] = 516714,
  [SMALL_STATE(5631)] = 516758,
  [SMALL_STATE(5632)] = 516802,
  [SMALL_STATE(5633)] = 516846,
  [SMALL_STATE(5634)] = 516890,
  [SMALL_STATE(5635)] = 516934,
  [SMALL_STATE(5636)] = 516978,
  [SMALL_STATE(5637)] = 517022,
  [SMALL_STATE(5638)] = 517066,
  [SMALL_STATE(5639)] = 517110,
  [SMALL_STATE(5640)] = 517154,
  [SMALL_STATE(5641)] = 517198,
  [SMALL_STATE(5642)] = 517242,
  [SMALL_STATE(5643)] = 517286,
  [SMALL_STATE(5644)] = 517330,
  [SMALL_STATE(5645)] = 517374,
  [SMALL_STATE(5646)] = 517418,
  [SMALL_STATE(5647)] = 517462,
  [SMALL_STATE(5648)] = 517506,
  [SMALL_STATE(5649)] = 517550,
  [SMALL_STATE(5650)] = 517594,
  [SMALL_STATE(5651)] = 517638,
  [SMALL_STATE(5652)] = 517682,
  [SMALL_STATE(5653)] = 517726,
  [SMALL_STATE(5654)] = 517770,
  [SMALL_STATE(5655)] = 517816,
  [SMALL_STATE(5656)] = 517860,
  [SMALL_STATE(5657)] = 517904,
  [SMALL_STATE(5658)] = 517948,
  [SMALL_STATE(5659)] = 517992,
  [SMALL_STATE(5660)] = 518036,
  [SMALL_STATE(5661)] = 518080,
  [SMALL_STATE(5662)] = 518124,
  [SMALL_STATE(5663)] = 518168,
  [SMALL_STATE(5664)] = 518212,
  [SMALL_STATE(5665)] = 518256,
  [SMALL_STATE(5666)] = 518300,
  [SMALL_STATE(5667)] = 518346,
  [SMALL_STATE(5668)] = 518390,
  [SMALL_STATE(5669)] = 518434,
  [SMALL_STATE(5670)] = 518480,
  [SMALL_STATE(5671)] = 518524,
  [SMALL_STATE(5672)] = 518568,
  [SMALL_STATE(5673)] = 518612,
  [SMALL_STATE(5674)] = 518656,
  [SMALL_STATE(5675)] = 518700,
  [SMALL_STATE(5676)] = 518744,
  [SMALL_STATE(5677)] = 518788,
  [SMALL_STATE(5678)] = 518832,
  [SMALL_STATE(5679)] = 518876,
  [SMALL_STATE(5680)] = 518920,
  [SMALL_STATE(5681)] = 518964,
  [SMALL_STATE(5682)] = 519008,
  [SMALL_STATE(5683)] = 519052,
  [SMALL_STATE(5684)] = 519096,
  [SMALL_STATE(5685)] = 519140,
  [SMALL_STATE(5686)] = 519184,
  [SMALL_STATE(5687)] = 519230,
  [SMALL_STATE(5688)] = 519274,
  [SMALL_STATE(5689)] = 519318,
  [SMALL_STATE(5690)] = 519362,
  [SMALL_STATE(5691)] = 519406,
  [SMALL_STATE(5692)] = 519486,
  [SMALL_STATE(5693)] = 519530,
  [SMALL_STATE(5694)] = 519576,
  [SMALL_STATE(5695)] = 519620,
  [SMALL_STATE(5696)] = 519664,
  [SMALL_STATE(5697)] = 519708,
  [SMALL_STATE(5698)] = 519752,
  [SMALL_STATE(5699)] = 519796,
  [SMALL_STATE(5700)] = 519842,
  [SMALL_STATE(5701)] = 519886,
  [SMALL_STATE(5702)] = 519930,
  [SMALL_STATE(5703)] = 519974,
  [SMALL_STATE(5704)] = 520056,
  [SMALL_STATE(5705)] = 520100,
  [SMALL_STATE(5706)] = 520144,
  [SMALL_STATE(5707)] = 520190,
  [SMALL_STATE(5708)] = 520234,
  [SMALL_STATE(5709)] = 520278,
  [SMALL_STATE(5710)] = 520322,
  [SMALL_STATE(5711)] = 520366,
  [SMALL_STATE(5712)] = 520410,
  [SMALL_STATE(5713)] = 520454,
  [SMALL_STATE(5714)] = 520500,
  [SMALL_STATE(5715)] = 520544,
  [SMALL_STATE(5716)] = 520588,
  [SMALL_STATE(5717)] = 520670,
  [SMALL_STATE(5718)] = 520714,
  [SMALL_STATE(5719)] = 520758,
  [SMALL_STATE(5720)] = 520802,
  [SMALL_STATE(5721)] = 520846,
  [SMALL_STATE(5722)] = 520890,
  [SMALL_STATE(5723)] = 520934,
  [SMALL_STATE(5724)] = 520980,
  [SMALL_STATE(5725)] = 521026,
  [SMALL_STATE(5726)] = 521070,
  [SMALL_STATE(5727)] = 521114,
  [SMALL_STATE(5728)] = 521158,
  [SMALL_STATE(5729)] = 521238,
  [SMALL_STATE(5730)] = 521282,
  [SMALL_STATE(5731)] = 521326,
  [SMALL_STATE(5732)] = 521370,
  [SMALL_STATE(5733)] = 521414,
  [SMALL_STATE(5734)] = 521458,
  [SMALL_STATE(5735)] = 521502,
  [SMALL_STATE(5736)] = 521545,
  [SMALL_STATE(5737)] = 521588,
  [SMALL_STATE(5738)] = 521631,
  [SMALL_STATE(5739)] = 521674,
  [SMALL_STATE(5740)] = 521717,
  [SMALL_STATE(5741)] = 521760,
  [SMALL_STATE(5742)] = 521803,
  [SMALL_STATE(5743)] = 521846,
  [SMALL_STATE(5744)] = 521889,
  [SMALL_STATE(5745)] = 521932,
  [SMALL_STATE(5746)] = 521975,
  [SMALL_STATE(5747)] = 522018,
  [SMALL_STATE(5748)] = 522061,
  [SMALL_STATE(5749)] = 522104,
  [SMALL_STATE(5750)] = 522147,
  [SMALL_STATE(5751)] = 522190,
  [SMALL_STATE(5752)] = 522233,
  [SMALL_STATE(5753)] = 522312,
  [SMALL_STATE(5754)] = 522355,
  [SMALL_STATE(5755)] = 522398,
  [SMALL_STATE(5756)] = 522441,
  [SMALL_STATE(5757)] = 522484,
  [SMALL_STATE(5758)] = 522527,
  [SMALL_STATE(5759)] = 522570,
  [SMALL_STATE(5760)] = 522613,
  [SMALL_STATE(5761)] = 522656,
  [SMALL_STATE(5762)] = 522703,
  [SMALL_STATE(5763)] = 522748,
  [SMALL_STATE(5764)] = 522791,
  [SMALL_STATE(5765)] = 522834,
  [SMALL_STATE(5766)] = 522877,
  [SMALL_STATE(5767)] = 522920,
  [SMALL_STATE(5768)] = 522965,
  [SMALL_STATE(5769)] = 523008,
  [SMALL_STATE(5770)] = 523051,
  [SMALL_STATE(5771)] = 523094,
  [SMALL_STATE(5772)] = 523137,
  [SMALL_STATE(5773)] = 523182,
  [SMALL_STATE(5774)] = 523229,
  [SMALL_STATE(5775)] = 523272,
  [SMALL_STATE(5776)] = 523317,
  [SMALL_STATE(5777)] = 523360,
  [SMALL_STATE(5778)] = 523403,
  [SMALL_STATE(5779)] = 523446,
  [SMALL_STATE(5780)] = 523489,
  [SMALL_STATE(5781)] = 523532,
  [SMALL_STATE(5782)] = 523577,
  [SMALL_STATE(5783)] = 523620,
  [SMALL_STATE(5784)] = 523663,
  [SMALL_STATE(5785)] = 523706,
  [SMALL_STATE(5786)] = 523749,
  [SMALL_STATE(5787)] = 523792,
  [SMALL_STATE(5788)] = 523835,
  [SMALL_STATE(5789)] = 523878,
  [SMALL_STATE(5790)] = 523921,
  [SMALL_STATE(5791)] = 523964,
  [SMALL_STATE(5792)] = 524007,
  [SMALL_STATE(5793)] = 524050,
  [SMALL_STATE(5794)] = 524093,
  [SMALL_STATE(5795)] = 524136,
  [SMALL_STATE(5796)] = 524179,
  [SMALL_STATE(5797)] = 524222,
  [SMALL_STATE(5798)] = 524265,
  [SMALL_STATE(5799)] = 524308,
  [SMALL_STATE(5800)] = 524351,
  [SMALL_STATE(5801)] = 524394,
  [SMALL_STATE(5802)] = 524437,
  [SMALL_STATE(5803)] = 524480,
  [SMALL_STATE(5804)] = 524523,
  [SMALL_STATE(5805)] = 524566,
  [SMALL_STATE(5806)] = 524609,
  [SMALL_STATE(5807)] = 524652,
  [SMALL_STATE(5808)] = 524695,
  [SMALL_STATE(5809)] = 524738,
  [SMALL_STATE(5810)] = 524781,
  [SMALL_STATE(5811)] = 524824,
  [SMALL_STATE(5812)] = 524867,
  [SMALL_STATE(5813)] = 524914,
  [SMALL_STATE(5814)] = 524957,
  [SMALL_STATE(5815)] = 525002,
  [SMALL_STATE(5816)] = 525045,
  [SMALL_STATE(5817)] = 525088,
  [SMALL_STATE(5818)] = 525131,
  [SMALL_STATE(5819)] = 525174,
  [SMALL_STATE(5820)] = 525217,
  [SMALL_STATE(5821)] = 525260,
  [SMALL_STATE(5822)] = 525303,
  [SMALL_STATE(5823)] = 525346,
  [SMALL_STATE(5824)] = 525389,
  [SMALL_STATE(5825)] = 525432,
  [SMALL_STATE(5826)] = 525475,
  [SMALL_STATE(5827)] = 525518,
  [SMALL_STATE(5828)] = 525563,
  [SMALL_STATE(5829)] = 525606,
  [SMALL_STATE(5830)] = 525651,
  [SMALL_STATE(5831)] = 525694,
  [SMALL_STATE(5832)] = 525737,
  [SMALL_STATE(5833)] = 525780,
  [SMALL_STATE(5834)] = 525823,
  [SMALL_STATE(5835)] = 525866,
  [SMALL_STATE(5836)] = 525911,
  [SMALL_STATE(5837)] = 525954,
  [SMALL_STATE(5838)] = 525997,
  [SMALL_STATE(5839)] = 526040,
  [SMALL_STATE(5840)] = 526083,
  [SMALL_STATE(5841)] = 526126,
  [SMALL_STATE(5842)] = 526169,
  [SMALL_STATE(5843)] = 526214,
  [SMALL_STATE(5844)] = 526257,
  [SMALL_STATE(5845)] = 526300,
  [SMALL_STATE(5846)] = 526343,
  [SMALL_STATE(5847)] = 526386,
  [SMALL_STATE(5848)] = 526429,
  [SMALL_STATE(5849)] = 526472,
  [SMALL_STATE(5850)] = 526515,
  [SMALL_STATE(5851)] = 526558,
  [SMALL_STATE(5852)] = 526601,
  [SMALL_STATE(5853)] = 526644,
  [SMALL_STATE(5854)] = 526687,
  [SMALL_STATE(5855)] = 526730,
  [SMALL_STATE(5856)] = 526775,
  [SMALL_STATE(5857)] = 526820,
  [SMALL_STATE(5858)] = 526863,
  [SMALL_STATE(5859)] = 526906,
  [SMALL_STATE(5860)] = 526949,
  [SMALL_STATE(5861)] = 526992,
  [SMALL_STATE(5862)] = 527035,
  [SMALL_STATE(5863)] = 527078,
  [SMALL_STATE(5864)] = 527121,
  [SMALL_STATE(5865)] = 527164,
  [SMALL_STATE(5866)] = 527207,
  [SMALL_STATE(5867)] = 527250,
  [SMALL_STATE(5868)] = 527293,
  [SMALL_STATE(5869)] = 527336,
  [SMALL_STATE(5870)] = 527379,
  [SMALL_STATE(5871)] = 527422,
  [SMALL_STATE(5872)] = 527465,
  [SMALL_STATE(5873)] = 527510,
  [SMALL_STATE(5874)] = 527589,
  [SMALL_STATE(5875)] = 527632,
  [SMALL_STATE(5876)] = 527675,
  [SMALL_STATE(5877)] = 527718,
  [SMALL_STATE(5878)] = 527761,
  [SMALL_STATE(5879)] = 527804,
  [SMALL_STATE(5880)] = 527849,
  [SMALL_STATE(5881)] = 527892,
  [SMALL_STATE(5882)] = 527935,
  [SMALL_STATE(5883)] = 527978,
  [SMALL_STATE(5884)] = 528021,
  [SMALL_STATE(5885)] = 528066,
  [SMALL_STATE(5886)] = 528113,
  [SMALL_STATE(5887)] = 528158,
  [SMALL_STATE(5888)] = 528201,
  [SMALL_STATE(5889)] = 528244,
  [SMALL_STATE(5890)] = 528287,
  [SMALL_STATE(5891)] = 528332,
  [SMALL_STATE(5892)] = 528375,
  [SMALL_STATE(5893)] = 528418,
  [SMALL_STATE(5894)] = 528461,
  [SMALL_STATE(5895)] = 528504,
  [SMALL_STATE(5896)] = 528547,
  [SMALL_STATE(5897)] = 528590,
  [SMALL_STATE(5898)] = 528633,
  [SMALL_STATE(5899)] = 528676,
  [SMALL_STATE(5900)] = 528719,
  [SMALL_STATE(5901)] = 528762,
  [SMALL_STATE(5902)] = 528807,
  [SMALL_STATE(5903)] = 528850,
  [SMALL_STATE(5904)] = 528893,
  [SMALL_STATE(5905)] = 528936,
  [SMALL_STATE(5906)] = 528979,
  [SMALL_STATE(5907)] = 529022,
  [SMALL_STATE(5908)] = 529065,
  [SMALL_STATE(5909)] = 529108,
  [SMALL_STATE(5910)] = 529155,
  [SMALL_STATE(5911)] = 529198,
  [SMALL_STATE(5912)] = 529241,
  [SMALL_STATE(5913)] = 529284,
  [SMALL_STATE(5914)] = 529327,
  [SMALL_STATE(5915)] = 529372,
  [SMALL_STATE(5916)] = 529415,
  [SMALL_STATE(5917)] = 529458,
  [SMALL_STATE(5918)] = 529503,
  [SMALL_STATE(5919)] = 529546,
  [SMALL_STATE(5920)] = 529589,
  [SMALL_STATE(5921)] = 529632,
  [SMALL_STATE(5922)] = 529675,
  [SMALL_STATE(5923)] = 529718,
  [SMALL_STATE(5924)] = 529761,
  [SMALL_STATE(5925)] = 529806,
  [SMALL_STATE(5926)] = 529849,
  [SMALL_STATE(5927)] = 529892,
  [SMALL_STATE(5928)] = 529935,
  [SMALL_STATE(5929)] = 529978,
  [SMALL_STATE(5930)] = 530021,
  [SMALL_STATE(5931)] = 530066,
  [SMALL_STATE(5932)] = 530109,
  [SMALL_STATE(5933)] = 530152,
  [SMALL_STATE(5934)] = 530195,
  [SMALL_STATE(5935)] = 530238,
  [SMALL_STATE(5936)] = 530281,
  [SMALL_STATE(5937)] = 530324,
  [SMALL_STATE(5938)] = 530367,
  [SMALL_STATE(5939)] = 530410,
  [SMALL_STATE(5940)] = 530455,
  [SMALL_STATE(5941)] = 530498,
  [SMALL_STATE(5942)] = 530541,
  [SMALL_STATE(5943)] = 530584,
  [SMALL_STATE(5944)] = 530627,
  [SMALL_STATE(5945)] = 530670,
  [SMALL_STATE(5946)] = 530715,
  [SMALL_STATE(5947)] = 530758,
  [SMALL_STATE(5948)] = 530801,
  [SMALL_STATE(5949)] = 530844,
  [SMALL_STATE(5950)] = 530887,
  [SMALL_STATE(5951)] = 530930,
  [SMALL_STATE(5952)] = 530973,
  [SMALL_STATE(5953)] = 531016,
  [SMALL_STATE(5954)] = 531059,
  [SMALL_STATE(5955)] = 531102,
  [SMALL_STATE(5956)] = 531145,
  [SMALL_STATE(5957)] = 531188,
  [SMALL_STATE(5958)] = 531233,
  [SMALL_STATE(5959)] = 531276,
  [SMALL_STATE(5960)] = 531319,
  [SMALL_STATE(5961)] = 531362,
  [SMALL_STATE(5962)] = 531405,
  [SMALL_STATE(5963)] = 531450,
  [SMALL_STATE(5964)] = 531493,
  [SMALL_STATE(5965)] = 531536,
  [SMALL_STATE(5966)] = 531579,
  [SMALL_STATE(5967)] = 531622,
  [SMALL_STATE(5968)] = 531665,
  [SMALL_STATE(5969)] = 531708,
  [SMALL_STATE(5970)] = 531751,
  [SMALL_STATE(5971)] = 531794,
  [SMALL_STATE(5972)] = 531837,
  [SMALL_STATE(5973)] = 531880,
  [SMALL_STATE(5974)] = 531923,
  [SMALL_STATE(5975)] = 531966,
  [SMALL_STATE(5976)] = 532009,
  [SMALL_STATE(5977)] = 532052,
  [SMALL_STATE(5978)] = 532095,
  [SMALL_STATE(5979)] = 532138,
  [SMALL_STATE(5980)] = 532181,
  [SMALL_STATE(5981)] = 532224,
  [SMALL_STATE(5982)] = 532267,
  [SMALL_STATE(5983)] = 532310,
  [SMALL_STATE(5984)] = 532355,
  [SMALL_STATE(5985)] = 532398,
  [SMALL_STATE(5986)] = 532441,
  [SMALL_STATE(5987)] = 532484,
  [SMALL_STATE(5988)] = 532529,
  [SMALL_STATE(5989)] = 532572,
  [SMALL_STATE(5990)] = 532615,
  [SMALL_STATE(5991)] = 532660,
  [SMALL_STATE(5992)] = 532703,
  [SMALL_STATE(5993)] = 532746,
  [SMALL_STATE(5994)] = 532789,
  [SMALL_STATE(5995)] = 532868,
  [SMALL_STATE(5996)] = 532911,
  [SMALL_STATE(5997)] = 532956,
  [SMALL_STATE(5998)] = 532999,
  [SMALL_STATE(5999)] = 533042,
  [SMALL_STATE(6000)] = 533089,
  [SMALL_STATE(6001)] = 533165,
  [SMALL_STATE(6002)] = 533241,
  [SMALL_STATE(6003)] = 533285,
  [SMALL_STATE(6004)] = 533361,
  [SMALL_STATE(6005)] = 533405,
  [SMALL_STATE(6006)] = 533481,
  [SMALL_STATE(6007)] = 533557,
  [SMALL_STATE(6008)] = 533633,
  [SMALL_STATE(6009)] = 533709,
  [SMALL_STATE(6010)] = 533753,
  [SMALL_STATE(6011)] = 533829,
  [SMALL_STATE(6012)] = 533875,
  [SMALL_STATE(6013)] = 533951,
  [SMALL_STATE(6014)] = 533993,
  [SMALL_STATE(6015)] = 534035,
  [SMALL_STATE(6016)] = 534111,
  [SMALL_STATE(6017)] = 534153,
  [SMALL_STATE(6018)] = 534195,
  [SMALL_STATE(6019)] = 534271,
  [SMALL_STATE(6020)] = 534313,
  [SMALL_STATE(6021)] = 534355,
  [SMALL_STATE(6022)] = 534397,
  [SMALL_STATE(6023)] = 534439,
  [SMALL_STATE(6024)] = 534515,
  [SMALL_STATE(6025)] = 534557,
  [SMALL_STATE(6026)] = 534599,
  [SMALL_STATE(6027)] = 534641,
  [SMALL_STATE(6028)] = 534717,
  [SMALL_STATE(6029)] = 534793,
  [SMALL_STATE(6030)] = 534837,
  [SMALL_STATE(6031)] = 534879,
  [SMALL_STATE(6032)] = 534921,
  [SMALL_STATE(6033)] = 534963,
  [SMALL_STATE(6034)] = 535039,
  [SMALL_STATE(6035)] = 535081,
  [SMALL_STATE(6036)] = 535123,
  [SMALL_STATE(6037)] = 535199,
  [SMALL_STATE(6038)] = 535241,
  [SMALL_STATE(6039)] = 535283,
  [SMALL_STATE(6040)] = 535359,
  [SMALL_STATE(6041)] = 535401,
  [SMALL_STATE(6042)] = 535443,
  [SMALL_STATE(6043)] = 535485,
  [SMALL_STATE(6044)] = 535529,
  [SMALL_STATE(6045)] = 535571,
  [SMALL_STATE(6046)] = 535613,
  [SMALL_STATE(6047)] = 535655,
  [SMALL_STATE(6048)] = 535731,
  [SMALL_STATE(6049)] = 535773,
  [SMALL_STATE(6050)] = 535815,
  [SMALL_STATE(6051)] = 535857,
  [SMALL_STATE(6052)] = 535899,
  [SMALL_STATE(6053)] = 535975,
  [SMALL_STATE(6054)] = 536017,
  [SMALL_STATE(6055)] = 536059,
  [SMALL_STATE(6056)] = 536101,
  [SMALL_STATE(6057)] = 536177,
  [SMALL_STATE(6058)] = 536219,
  [SMALL_STATE(6059)] = 536261,
  [SMALL_STATE(6060)] = 536303,
  [SMALL_STATE(6061)] = 536345,
  [SMALL_STATE(6062)] = 536387,
  [SMALL_STATE(6063)] = 536463,
  [SMALL_STATE(6064)] = 536505,
  [SMALL_STATE(6065)] = 536547,
  [SMALL_STATE(6066)] = 536589,
  [SMALL_STATE(6067)] = 536633,
  [SMALL_STATE(6068)] = 536709,
  [SMALL_STATE(6069)] = 536755,
  [SMALL_STATE(6070)] = 536797,
  [SMALL_STATE(6071)] = 536839,
  [SMALL_STATE(6072)] = 536881,
  [SMALL_STATE(6073)] = 536923,
  [SMALL_STATE(6074)] = 536999,
  [SMALL_STATE(6075)] = 537041,
  [SMALL_STATE(6076)] = 537083,
  [SMALL_STATE(6077)] = 537125,
  [SMALL_STATE(6078)] = 537201,
  [SMALL_STATE(6079)] = 537277,
  [SMALL_STATE(6080)] = 537319,
  [SMALL_STATE(6081)] = 537361,
  [SMALL_STATE(6082)] = 537437,
  [SMALL_STATE(6083)] = 537479,
  [SMALL_STATE(6084)] = 537521,
  [SMALL_STATE(6085)] = 537563,
  [SMALL_STATE(6086)] = 537605,
  [SMALL_STATE(6087)] = 537681,
  [SMALL_STATE(6088)] = 537725,
  [SMALL_STATE(6089)] = 537767,
  [SMALL_STATE(6090)] = 537843,
  [SMALL_STATE(6091)] = 537885,
  [SMALL_STATE(6092)] = 537931,
  [SMALL_STATE(6093)] = 537977,
  [SMALL_STATE(6094)] = 538053,
  [SMALL_STATE(6095)] = 538129,
  [SMALL_STATE(6096)] = 538205,
  [SMALL_STATE(6097)] = 538247,
  [SMALL_STATE(6098)] = 538289,
  [SMALL_STATE(6099)] = 538335,
  [SMALL_STATE(6100)] = 538377,
  [SMALL_STATE(6101)] = 538421,
  [SMALL_STATE(6102)] = 538463,
  [SMALL_STATE(6103)] = 538505,
  [SMALL_STATE(6104)] = 538547,
  [SMALL_STATE(6105)] = 538589,
  [SMALL_STATE(6106)] = 538631,
  [SMALL_STATE(6107)] = 538673,
  [SMALL_STATE(6108)] = 538715,
  [SMALL_STATE(6109)] = 538757,
  [SMALL_STATE(6110)] = 538799,
  [SMALL_STATE(6111)] = 538841,
  [SMALL_STATE(6112)] = 538883,
  [SMALL_STATE(6113)] = 538925,
  [SMALL_STATE(6114)] = 538967,
  [SMALL_STATE(6115)] = 539009,
  [SMALL_STATE(6116)] = 539051,
  [SMALL_STATE(6117)] = 539093,
  [SMALL_STATE(6118)] = 539135,
  [SMALL_STATE(6119)] = 539177,
  [SMALL_STATE(6120)] = 539219,
  [SMALL_STATE(6121)] = 539261,
  [SMALL_STATE(6122)] = 539303,
  [SMALL_STATE(6123)] = 539345,
  [SMALL_STATE(6124)] = 539387,
  [SMALL_STATE(6125)] = 539429,
  [SMALL_STATE(6126)] = 539471,
  [SMALL_STATE(6127)] = 539513,
  [SMALL_STATE(6128)] = 539591,
  [SMALL_STATE(6129)] = 539667,
  [SMALL_STATE(6130)] = 539743,
  [SMALL_STATE(6131)] = 539785,
  [SMALL_STATE(6132)] = 539861,
  [SMALL_STATE(6133)] = 539903,
  [SMALL_STATE(6134)] = 539945,
  [SMALL_STATE(6135)] = 539987,
  [SMALL_STATE(6136)] = 540029,
  [SMALL_STATE(6137)] = 540071,
  [SMALL_STATE(6138)] = 540113,
  [SMALL_STATE(6139)] = 540155,
  [SMALL_STATE(6140)] = 540197,
  [SMALL_STATE(6141)] = 540239,
  [SMALL_STATE(6142)] = 540281,
  [SMALL_STATE(6143)] = 540323,
  [SMALL_STATE(6144)] = 540365,
  [SMALL_STATE(6145)] = 540407,
  [SMALL_STATE(6146)] = 540449,
  [SMALL_STATE(6147)] = 540491,
  [SMALL_STATE(6148)] = 540533,
  [SMALL_STATE(6149)] = 540575,
  [SMALL_STATE(6150)] = 540617,
  [SMALL_STATE(6151)] = 540659,
  [SMALL_STATE(6152)] = 540701,
  [SMALL_STATE(6153)] = 540743,
  [SMALL_STATE(6154)] = 540785,
  [SMALL_STATE(6155)] = 540827,
  [SMALL_STATE(6156)] = 540869,
  [SMALL_STATE(6157)] = 540911,
  [SMALL_STATE(6158)] = 540955,
  [SMALL_STATE(6159)] = 540997,
  [SMALL_STATE(6160)] = 541039,
  [SMALL_STATE(6161)] = 541081,
  [SMALL_STATE(6162)] = 541123,
  [SMALL_STATE(6163)] = 541165,
  [SMALL_STATE(6164)] = 541207,
  [SMALL_STATE(6165)] = 541249,
  [SMALL_STATE(6166)] = 541291,
  [SMALL_STATE(6167)] = 541333,
  [SMALL_STATE(6168)] = 541375,
  [SMALL_STATE(6169)] = 541419,
  [SMALL_STATE(6170)] = 541461,
  [SMALL_STATE(6171)] = 541503,
  [SMALL_STATE(6172)] = 541545,
  [SMALL_STATE(6173)] = 541587,
  [SMALL_STATE(6174)] = 541629,
  [SMALL_STATE(6175)] = 541671,
  [SMALL_STATE(6176)] = 541713,
  [SMALL_STATE(6177)] = 541755,
  [SMALL_STATE(6178)] = 541797,
  [SMALL_STATE(6179)] = 541839,
  [SMALL_STATE(6180)] = 541881,
  [SMALL_STATE(6181)] = 541923,
  [SMALL_STATE(6182)] = 541965,
  [SMALL_STATE(6183)] = 542007,
  [SMALL_STATE(6184)] = 542049,
  [SMALL_STATE(6185)] = 542091,
  [SMALL_STATE(6186)] = 542133,
  [SMALL_STATE(6187)] = 542175,
  [SMALL_STATE(6188)] = 542217,
  [SMALL_STATE(6189)] = 542259,
  [SMALL_STATE(6190)] = 542301,
  [SMALL_STATE(6191)] = 542343,
  [SMALL_STATE(6192)] = 542385,
  [SMALL_STATE(6193)] = 542427,
  [SMALL_STATE(6194)] = 542469,
  [SMALL_STATE(6195)] = 542511,
  [SMALL_STATE(6196)] = 542553,
  [SMALL_STATE(6197)] = 542595,
  [SMALL_STATE(6198)] = 542637,
  [SMALL_STATE(6199)] = 542679,
  [SMALL_STATE(6200)] = 542721,
  [SMALL_STATE(6201)] = 542763,
  [SMALL_STATE(6202)] = 542805,
  [SMALL_STATE(6203)] = 542847,
  [SMALL_STATE(6204)] = 542889,
  [SMALL_STATE(6205)] = 542931,
  [SMALL_STATE(6206)] = 542973,
  [SMALL_STATE(6207)] = 543015,
  [SMALL_STATE(6208)] = 543057,
  [SMALL_STATE(6209)] = 543099,
  [SMALL_STATE(6210)] = 543141,
  [SMALL_STATE(6211)] = 543183,
  [SMALL_STATE(6212)] = 543225,
  [SMALL_STATE(6213)] = 543267,
  [SMALL_STATE(6214)] = 543309,
  [SMALL_STATE(6215)] = 543351,
  [SMALL_STATE(6216)] = 543393,
  [SMALL_STATE(6217)] = 543435,
  [SMALL_STATE(6218)] = 543477,
  [SMALL_STATE(6219)] = 543519,
  [SMALL_STATE(6220)] = 543595,
  [SMALL_STATE(6221)] = 543637,
  [SMALL_STATE(6222)] = 543713,
  [SMALL_STATE(6223)] = 543755,
  [SMALL_STATE(6224)] = 543831,
  [SMALL_STATE(6225)] = 543907,
  [SMALL_STATE(6226)] = 543983,
  [SMALL_STATE(6227)] = 544059,
  [SMALL_STATE(6228)] = 544103,
  [SMALL_STATE(6229)] = 544147,
  [SMALL_STATE(6230)] = 544223,
  [SMALL_STATE(6231)] = 544267,
  [SMALL_STATE(6232)] = 544343,
  [SMALL_STATE(6233)] = 544419,
  [SMALL_STATE(6234)] = 544495,
  [SMALL_STATE(6235)] = 544571,
  [SMALL_STATE(6236)] = 544647,
  [SMALL_STATE(6237)] = 544723,
  [SMALL_STATE(6238)] = 544765,
  [SMALL_STATE(6239)] = 544841,
  [SMALL_STATE(6240)] = 544883,
  [SMALL_STATE(6241)] = 544925,
  [SMALL_STATE(6242)] = 544967,
  [SMALL_STATE(6243)] = 545009,
  [SMALL_STATE(6244)] = 545051,
  [SMALL_STATE(6245)] = 545093,
  [SMALL_STATE(6246)] = 545135,
  [SMALL_STATE(6247)] = 545177,
  [SMALL_STATE(6248)] = 545219,
  [SMALL_STATE(6249)] = 545261,
  [SMALL_STATE(6250)] = 545337,
  [SMALL_STATE(6251)] = 545381,
  [SMALL_STATE(6252)] = 545457,
  [SMALL_STATE(6253)] = 545533,
  [SMALL_STATE(6254)] = 545575,
  [SMALL_STATE(6255)] = 545617,
  [SMALL_STATE(6256)] = 545693,
  [SMALL_STATE(6257)] = 545737,
  [SMALL_STATE(6258)] = 545813,
  [SMALL_STATE(6259)] = 545889,
  [SMALL_STATE(6260)] = 545965,
  [SMALL_STATE(6261)] = 546041,
  [SMALL_STATE(6262)] = 546117,
  [SMALL_STATE(6263)] = 546193,
  [SMALL_STATE(6264)] = 546269,
  [SMALL_STATE(6265)] = 546345,
  [SMALL_STATE(6266)] = 546421,
  [SMALL_STATE(6267)] = 546497,
  [SMALL_STATE(6268)] = 546573,
  [SMALL_STATE(6269)] = 546649,
  [SMALL_STATE(6270)] = 546725,
  [SMALL_STATE(6271)] = 546801,
  [SMALL_STATE(6272)] = 546877,
  [SMALL_STATE(6273)] = 546953,
  [SMALL_STATE(6274)] = 547029,
  [SMALL_STATE(6275)] = 547105,
  [SMALL_STATE(6276)] = 547181,
  [SMALL_STATE(6277)] = 547257,
  [SMALL_STATE(6278)] = 547333,
  [SMALL_STATE(6279)] = 547409,
  [SMALL_STATE(6280)] = 547485,
  [SMALL_STATE(6281)] = 547561,
  [SMALL_STATE(6282)] = 547637,
  [SMALL_STATE(6283)] = 547713,
  [SMALL_STATE(6284)] = 547789,
  [SMALL_STATE(6285)] = 547865,
  [SMALL_STATE(6286)] = 547941,
  [SMALL_STATE(6287)] = 548017,
  [SMALL_STATE(6288)] = 548093,
  [SMALL_STATE(6289)] = 548169,
  [SMALL_STATE(6290)] = 548245,
  [SMALL_STATE(6291)] = 548321,
  [SMALL_STATE(6292)] = 548397,
  [SMALL_STATE(6293)] = 548473,
  [SMALL_STATE(6294)] = 548549,
  [SMALL_STATE(6295)] = 548625,
  [SMALL_STATE(6296)] = 548701,
  [SMALL_STATE(6297)] = 548777,
  [SMALL_STATE(6298)] = 548853,
  [SMALL_STATE(6299)] = 548929,
  [SMALL_STATE(6300)] = 549005,
  [SMALL_STATE(6301)] = 549081,
  [SMALL_STATE(6302)] = 549157,
  [SMALL_STATE(6303)] = 549233,
  [SMALL_STATE(6304)] = 549309,
  [SMALL_STATE(6305)] = 549385,
  [SMALL_STATE(6306)] = 549461,
  [SMALL_STATE(6307)] = 549537,
  [SMALL_STATE(6308)] = 549613,
  [SMALL_STATE(6309)] = 549689,
  [SMALL_STATE(6310)] = 549731,
  [SMALL_STATE(6311)] = 549773,
  [SMALL_STATE(6312)] = 549816,
  [SMALL_STATE(6313)] = 549891,
  [SMALL_STATE(6314)] = 549932,
  [SMALL_STATE(6315)] = 550007,
  [SMALL_STATE(6316)] = 550082,
  [SMALL_STATE(6317)] = 550157,
  [SMALL_STATE(6318)] = 550232,
  [SMALL_STATE(6319)] = 550307,
  [SMALL_STATE(6320)] = 550348,
  [SMALL_STATE(6321)] = 550423,
  [SMALL_STATE(6322)] = 550464,
  [SMALL_STATE(6323)] = 550507,
  [SMALL_STATE(6324)] = 550582,
  [SMALL_STATE(6325)] = 550623,
  [SMALL_STATE(6326)] = 550698,
  [SMALL_STATE(6327)] = 550773,
  [SMALL_STATE(6328)] = 550814,
  [SMALL_STATE(6329)] = 550855,
  [SMALL_STATE(6330)] = 550930,
  [SMALL_STATE(6331)] = 550971,
  [SMALL_STATE(6332)] = 551046,
  [SMALL_STATE(6333)] = 551087,
  [SMALL_STATE(6334)] = 551162,
  [SMALL_STATE(6335)] = 551237,
  [SMALL_STATE(6336)] = 551312,
  [SMALL_STATE(6337)] = 551353,
  [SMALL_STATE(6338)] = 551428,
  [SMALL_STATE(6339)] = 551503,
  [SMALL_STATE(6340)] = 551578,
  [SMALL_STATE(6341)] = 551653,
  [SMALL_STATE(6342)] = 551728,
  [SMALL_STATE(6343)] = 551803,
  [SMALL_STATE(6344)] = 551878,
  [SMALL_STATE(6345)] = 551953,
  [SMALL_STATE(6346)] = 552028,
  [SMALL_STATE(6347)] = 552103,
  [SMALL_STATE(6348)] = 552178,
  [SMALL_STATE(6349)] = 552253,
  [SMALL_STATE(6350)] = 552328,
  [SMALL_STATE(6351)] = 552403,
  [SMALL_STATE(6352)] = 552478,
  [SMALL_STATE(6353)] = 552519,
  [SMALL_STATE(6354)] = 552594,
  [SMALL_STATE(6355)] = 552669,
  [SMALL_STATE(6356)] = 552744,
  [SMALL_STATE(6357)] = 552819,
  [SMALL_STATE(6358)] = 552894,
  [SMALL_STATE(6359)] = 552969,
  [SMALL_STATE(6360)] = 553010,
  [SMALL_STATE(6361)] = 553085,
  [SMALL_STATE(6362)] = 553160,
  [SMALL_STATE(6363)] = 553235,
  [SMALL_STATE(6364)] = 553310,
  [SMALL_STATE(6365)] = 553385,
  [SMALL_STATE(6366)] = 553460,
  [SMALL_STATE(6367)] = 553535,
  [SMALL_STATE(6368)] = 553610,
  [SMALL_STATE(6369)] = 553685,
  [SMALL_STATE(6370)] = 553760,
  [SMALL_STATE(6371)] = 553835,
  [SMALL_STATE(6372)] = 553910,
  [SMALL_STATE(6373)] = 553985,
  [SMALL_STATE(6374)] = 554060,
  [SMALL_STATE(6375)] = 554135,
  [SMALL_STATE(6376)] = 554210,
  [SMALL_STATE(6377)] = 554285,
  [SMALL_STATE(6378)] = 554360,
  [SMALL_STATE(6379)] = 554435,
  [SMALL_STATE(6380)] = 554510,
  [SMALL_STATE(6381)] = 554585,
  [SMALL_STATE(6382)] = 554660,
  [SMALL_STATE(6383)] = 554735,
  [SMALL_STATE(6384)] = 554810,
  [SMALL_STATE(6385)] = 554885,
  [SMALL_STATE(6386)] = 554926,
  [SMALL_STATE(6387)] = 555001,
  [SMALL_STATE(6388)] = 555076,
  [SMALL_STATE(6389)] = 555151,
  [SMALL_STATE(6390)] = 555226,
  [SMALL_STATE(6391)] = 555301,
  [SMALL_STATE(6392)] = 555376,
  [SMALL_STATE(6393)] = 555451,
  [SMALL_STATE(6394)] = 555526,
  [SMALL_STATE(6395)] = 555601,
  [SMALL_STATE(6396)] = 555676,
  [SMALL_STATE(6397)] = 555751,
  [SMALL_STATE(6398)] = 555826,
  [SMALL_STATE(6399)] = 555901,
  [SMALL_STATE(6400)] = 555976,
  [SMALL_STATE(6401)] = 556051,
  [SMALL_STATE(6402)] = 556126,
  [SMALL_STATE(6403)] = 556201,
  [SMALL_STATE(6404)] = 556276,
  [SMALL_STATE(6405)] = 556351,
  [SMALL_STATE(6406)] = 556426,
  [SMALL_STATE(6407)] = 556501,
  [SMALL_STATE(6408)] = 556576,
  [SMALL_STATE(6409)] = 556651,
  [SMALL_STATE(6410)] = 556726,
  [SMALL_STATE(6411)] = 556801,
  [SMALL_STATE(6412)] = 556876,
  [SMALL_STATE(6413)] = 556951,
  [SMALL_STATE(6414)] = 557026,
  [SMALL_STATE(6415)] = 557101,
  [SMALL_STATE(6416)] = 557176,
  [SMALL_STATE(6417)] = 557251,
  [SMALL_STATE(6418)] = 557326,
  [SMALL_STATE(6419)] = 557401,
  [SMALL_STATE(6420)] = 557476,
  [SMALL_STATE(6421)] = 557551,
  [SMALL_STATE(6422)] = 557626,
  [SMALL_STATE(6423)] = 557701,
  [SMALL_STATE(6424)] = 557776,
  [SMALL_STATE(6425)] = 557851,
  [SMALL_STATE(6426)] = 557926,
  [SMALL_STATE(6427)] = 558001,
  [SMALL_STATE(6428)] = 558076,
  [SMALL_STATE(6429)] = 558151,
  [SMALL_STATE(6430)] = 558226,
  [SMALL_STATE(6431)] = 558301,
  [SMALL_STATE(6432)] = 558376,
  [SMALL_STATE(6433)] = 558419,
  [SMALL_STATE(6434)] = 558494,
  [SMALL_STATE(6435)] = 558569,
  [SMALL_STATE(6436)] = 558644,
  [SMALL_STATE(6437)] = 558719,
  [SMALL_STATE(6438)] = 558794,
  [SMALL_STATE(6439)] = 558869,
  [SMALL_STATE(6440)] = 558944,
  [SMALL_STATE(6441)] = 559019,
  [SMALL_STATE(6442)] = 559094,
  [SMALL_STATE(6443)] = 559169,
  [SMALL_STATE(6444)] = 559244,
  [SMALL_STATE(6445)] = 559319,
  [SMALL_STATE(6446)] = 559394,
  [SMALL_STATE(6447)] = 559469,
  [SMALL_STATE(6448)] = 559544,
  [SMALL_STATE(6449)] = 559619,
  [SMALL_STATE(6450)] = 559694,
  [SMALL_STATE(6451)] = 559769,
  [SMALL_STATE(6452)] = 559844,
  [SMALL_STATE(6453)] = 559919,
  [SMALL_STATE(6454)] = 559994,
  [SMALL_STATE(6455)] = 560069,
  [SMALL_STATE(6456)] = 560144,
  [SMALL_STATE(6457)] = 560219,
  [SMALL_STATE(6458)] = 560294,
  [SMALL_STATE(6459)] = 560369,
  [SMALL_STATE(6460)] = 560444,
  [SMALL_STATE(6461)] = 560519,
  [SMALL_STATE(6462)] = 560594,
  [SMALL_STATE(6463)] = 560669,
  [SMALL_STATE(6464)] = 560744,
  [SMALL_STATE(6465)] = 560819,
  [SMALL_STATE(6466)] = 560894,
  [SMALL_STATE(6467)] = 560969,
  [SMALL_STATE(6468)] = 561044,
  [SMALL_STATE(6469)] = 561119,
  [SMALL_STATE(6470)] = 561194,
  [SMALL_STATE(6471)] = 561269,
  [SMALL_STATE(6472)] = 561344,
  [SMALL_STATE(6473)] = 561419,
  [SMALL_STATE(6474)] = 561494,
  [SMALL_STATE(6475)] = 561569,
  [SMALL_STATE(6476)] = 561644,
  [SMALL_STATE(6477)] = 561719,
  [SMALL_STATE(6478)] = 561794,
  [SMALL_STATE(6479)] = 561869,
  [SMALL_STATE(6480)] = 561944,
  [SMALL_STATE(6481)] = 562019,
  [SMALL_STATE(6482)] = 562094,
  [SMALL_STATE(6483)] = 562169,
  [SMALL_STATE(6484)] = 562244,
  [SMALL_STATE(6485)] = 562319,
  [SMALL_STATE(6486)] = 562394,
  [SMALL_STATE(6487)] = 562469,
  [SMALL_STATE(6488)] = 562544,
  [SMALL_STATE(6489)] = 562619,
  [SMALL_STATE(6490)] = 562694,
  [SMALL_STATE(6491)] = 562769,
  [SMALL_STATE(6492)] = 562844,
  [SMALL_STATE(6493)] = 562919,
  [SMALL_STATE(6494)] = 562994,
  [SMALL_STATE(6495)] = 563069,
  [SMALL_STATE(6496)] = 563144,
  [SMALL_STATE(6497)] = 563219,
  [SMALL_STATE(6498)] = 563294,
  [SMALL_STATE(6499)] = 563369,
  [SMALL_STATE(6500)] = 563444,
  [SMALL_STATE(6501)] = 563519,
  [SMALL_STATE(6502)] = 563594,
  [SMALL_STATE(6503)] = 563669,
  [SMALL_STATE(6504)] = 563744,
  [SMALL_STATE(6505)] = 563819,
  [SMALL_STATE(6506)] = 563894,
  [SMALL_STATE(6507)] = 563969,
  [SMALL_STATE(6508)] = 564044,
  [SMALL_STATE(6509)] = 564119,
  [SMALL_STATE(6510)] = 564194,
  [SMALL_STATE(6511)] = 564269,
  [SMALL_STATE(6512)] = 564344,
  [SMALL_STATE(6513)] = 564419,
  [SMALL_STATE(6514)] = 564494,
  [SMALL_STATE(6515)] = 564569,
  [SMALL_STATE(6516)] = 564644,
  [SMALL_STATE(6517)] = 564719,
  [SMALL_STATE(6518)] = 564794,
  [SMALL_STATE(6519)] = 564837,
  [SMALL_STATE(6520)] = 564912,
  [SMALL_STATE(6521)] = 564987,
  [SMALL_STATE(6522)] = 565062,
  [SMALL_STATE(6523)] = 565137,
  [SMALL_STATE(6524)] = 565212,
  [SMALL_STATE(6525)] = 565287,
  [SMALL_STATE(6526)] = 565362,
  [SMALL_STATE(6527)] = 565437,
  [SMALL_STATE(6528)] = 565512,
  [SMALL_STATE(6529)] = 565587,
  [SMALL_STATE(6530)] = 565662,
  [SMALL_STATE(6531)] = 565737,
  [SMALL_STATE(6532)] = 565812,
  [SMALL_STATE(6533)] = 565887,
  [SMALL_STATE(6534)] = 565962,
  [SMALL_STATE(6535)] = 566037,
  [SMALL_STATE(6536)] = 566112,
  [SMALL_STATE(6537)] = 566187,
  [SMALL_STATE(6538)] = 566262,
  [SMALL_STATE(6539)] = 566337,
  [SMALL_STATE(6540)] = 566412,
  [SMALL_STATE(6541)] = 566487,
  [SMALL_STATE(6542)] = 566562,
  [SMALL_STATE(6543)] = 566605,
  [SMALL_STATE(6544)] = 566648,
  [SMALL_STATE(6545)] = 566723,
  [SMALL_STATE(6546)] = 566798,
  [SMALL_STATE(6547)] = 566841,
  [SMALL_STATE(6548)] = 566884,
  [SMALL_STATE(6549)] = 566959,
  [SMALL_STATE(6550)] = 567034,
  [SMALL_STATE(6551)] = 567109,
  [SMALL_STATE(6552)] = 567184,
  [SMALL_STATE(6553)] = 567259,
  [SMALL_STATE(6554)] = 567302,
  [SMALL_STATE(6555)] = 567377,
  [SMALL_STATE(6556)] = 567452,
  [SMALL_STATE(6557)] = 567493,
  [SMALL_STATE(6558)] = 567568,
  [SMALL_STATE(6559)] = 567643,
  [SMALL_STATE(6560)] = 567688,
  [SMALL_STATE(6561)] = 567763,
  [SMALL_STATE(6562)] = 567838,
  [SMALL_STATE(6563)] = 567879,
  [SMALL_STATE(6564)] = 567920,
  [SMALL_STATE(6565)] = 567961,
  [SMALL_STATE(6566)] = 568004,
  [SMALL_STATE(6567)] = 568079,
  [SMALL_STATE(6568)] = 568120,
  [SMALL_STATE(6569)] = 568161,
  [SMALL_STATE(6570)] = 568236,
  [SMALL_STATE(6571)] = 568311,
  [SMALL_STATE(6572)] = 568352,
  [SMALL_STATE(6573)] = 568393,
  [SMALL_STATE(6574)] = 568468,
  [SMALL_STATE(6575)] = 568543,
  [SMALL_STATE(6576)] = 568584,
  [SMALL_STATE(6577)] = 568659,
  [SMALL_STATE(6578)] = 568734,
  [SMALL_STATE(6579)] = 568809,
  [SMALL_STATE(6580)] = 568884,
  [SMALL_STATE(6581)] = 568925,
  [SMALL_STATE(6582)] = 569000,
  [SMALL_STATE(6583)] = 569041,
  [SMALL_STATE(6584)] = 569082,
  [SMALL_STATE(6585)] = 569123,
  [SMALL_STATE(6586)] = 569198,
  [SMALL_STATE(6587)] = 569273,
  [SMALL_STATE(6588)] = 569316,
  [SMALL_STATE(6589)] = 569391,
  [SMALL_STATE(6590)] = 569466,
  [SMALL_STATE(6591)] = 569541,
  [SMALL_STATE(6592)] = 569584,
  [SMALL_STATE(6593)] = 569627,
  [SMALL_STATE(6594)] = 569702,
  [SMALL_STATE(6595)] = 569777,
  [SMALL_STATE(6596)] = 569820,
  [SMALL_STATE(6597)] = 569895,
  [SMALL_STATE(6598)] = 569970,
  [SMALL_STATE(6599)] = 570045,
  [SMALL_STATE(6600)] = 570120,
  [SMALL_STATE(6601)] = 570195,
  [SMALL_STATE(6602)] = 570270,
  [SMALL_STATE(6603)] = 570345,
  [SMALL_STATE(6604)] = 570420,
  [SMALL_STATE(6605)] = 570461,
  [SMALL_STATE(6606)] = 570536,
  [SMALL_STATE(6607)] = 570611,
  [SMALL_STATE(6608)] = 570652,
  [SMALL_STATE(6609)] = 570727,
  [SMALL_STATE(6610)] = 570802,
  [SMALL_STATE(6611)] = 570877,
  [SMALL_STATE(6612)] = 570952,
  [SMALL_STATE(6613)] = 571027,
  [SMALL_STATE(6614)] = 571102,
  [SMALL_STATE(6615)] = 571177,
  [SMALL_STATE(6616)] = 571218,
  [SMALL_STATE(6617)] = 571293,
  [SMALL_STATE(6618)] = 571368,
  [SMALL_STATE(6619)] = 571443,
  [SMALL_STATE(6620)] = 571518,
  [SMALL_STATE(6621)] = 571593,
  [SMALL_STATE(6622)] = 571668,
  [SMALL_STATE(6623)] = 571743,
  [SMALL_STATE(6624)] = 571818,
  [SMALL_STATE(6625)] = 571893,
  [SMALL_STATE(6626)] = 571968,
  [SMALL_STATE(6627)] = 572043,
  [SMALL_STATE(6628)] = 572118,
  [SMALL_STATE(6629)] = 572159,
  [SMALL_STATE(6630)] = 572234,
  [SMALL_STATE(6631)] = 572275,
  [SMALL_STATE(6632)] = 572316,
  [SMALL_STATE(6633)] = 572357,
  [SMALL_STATE(6634)] = 572432,
  [SMALL_STATE(6635)] = 572473,
  [SMALL_STATE(6636)] = 572514,
  [SMALL_STATE(6637)] = 572555,
  [SMALL_STATE(6638)] = 572596,
  [SMALL_STATE(6639)] = 572637,
  [SMALL_STATE(6640)] = 572678,
  [SMALL_STATE(6641)] = 572719,
  [SMALL_STATE(6642)] = 572794,
  [SMALL_STATE(6643)] = 572869,
  [SMALL_STATE(6644)] = 572944,
  [SMALL_STATE(6645)] = 572985,
  [SMALL_STATE(6646)] = 573060,
  [SMALL_STATE(6647)] = 573101,
  [SMALL_STATE(6648)] = 573176,
  [SMALL_STATE(6649)] = 573251,
  [SMALL_STATE(6650)] = 573326,
  [SMALL_STATE(6651)] = 573401,
  [SMALL_STATE(6652)] = 573476,
  [SMALL_STATE(6653)] = 573551,
  [SMALL_STATE(6654)] = 573626,
  [SMALL_STATE(6655)] = 573701,
  [SMALL_STATE(6656)] = 573776,
  [SMALL_STATE(6657)] = 573851,
  [SMALL_STATE(6658)] = 573926,
  [SMALL_STATE(6659)] = 574001,
  [SMALL_STATE(6660)] = 574076,
  [SMALL_STATE(6661)] = 574151,
  [SMALL_STATE(6662)] = 574226,
  [SMALL_STATE(6663)] = 574301,
  [SMALL_STATE(6664)] = 574376,
  [SMALL_STATE(6665)] = 574451,
  [SMALL_STATE(6666)] = 574526,
  [SMALL_STATE(6667)] = 574601,
  [SMALL_STATE(6668)] = 574676,
  [SMALL_STATE(6669)] = 574717,
  [SMALL_STATE(6670)] = 574792,
  [SMALL_STATE(6671)] = 574867,
  [SMALL_STATE(6672)] = 574942,
  [SMALL_STATE(6673)] = 575017,
  [SMALL_STATE(6674)] = 575092,
  [SMALL_STATE(6675)] = 575167,
  [SMALL_STATE(6676)] = 575242,
  [SMALL_STATE(6677)] = 575283,
  [SMALL_STATE(6678)] = 575358,
  [SMALL_STATE(6679)] = 575433,
  [SMALL_STATE(6680)] = 575508,
  [SMALL_STATE(6681)] = 575583,
  [SMALL_STATE(6682)] = 575658,
  [SMALL_STATE(6683)] = 575733,
  [SMALL_STATE(6684)] = 575808,
  [SMALL_STATE(6685)] = 575883,
  [SMALL_STATE(6686)] = 575958,
  [SMALL_STATE(6687)] = 576033,
  [SMALL_STATE(6688)] = 576108,
  [SMALL_STATE(6689)] = 576183,
  [SMALL_STATE(6690)] = 576258,
  [SMALL_STATE(6691)] = 576333,
  [SMALL_STATE(6692)] = 576408,
  [SMALL_STATE(6693)] = 576483,
  [SMALL_STATE(6694)] = 576558,
  [SMALL_STATE(6695)] = 576633,
  [SMALL_STATE(6696)] = 576708,
  [SMALL_STATE(6697)] = 576783,
  [SMALL_STATE(6698)] = 576858,
  [SMALL_STATE(6699)] = 576933,
  [SMALL_STATE(6700)] = 577008,
  [SMALL_STATE(6701)] = 577083,
  [SMALL_STATE(6702)] = 577158,
  [SMALL_STATE(6703)] = 577233,
  [SMALL_STATE(6704)] = 577308,
  [SMALL_STATE(6705)] = 577353,
  [SMALL_STATE(6706)] = 577428,
  [SMALL_STATE(6707)] = 577503,
  [SMALL_STATE(6708)] = 577578,
  [SMALL_STATE(6709)] = 577653,
  [SMALL_STATE(6710)] = 577696,
  [SMALL_STATE(6711)] = 577771,
  [SMALL_STATE(6712)] = 577846,
  [SMALL_STATE(6713)] = 577921,
  [SMALL_STATE(6714)] = 577996,
  [SMALL_STATE(6715)] = 578071,
  [SMALL_STATE(6716)] = 578146,
  [SMALL_STATE(6717)] = 578221,
  [SMALL_STATE(6718)] = 578296,
  [SMALL_STATE(6719)] = 578371,
  [SMALL_STATE(6720)] = 578446,
  [SMALL_STATE(6721)] = 578521,
  [SMALL_STATE(6722)] = 578562,
  [SMALL_STATE(6723)] = 578637,
  [SMALL_STATE(6724)] = 578712,
  [SMALL_STATE(6725)] = 578787,
  [SMALL_STATE(6726)] = 578862,
  [SMALL_STATE(6727)] = 578937,
  [SMALL_STATE(6728)] = 579012,
  [SMALL_STATE(6729)] = 579087,
  [SMALL_STATE(6730)] = 579162,
  [SMALL_STATE(6731)] = 579237,
  [SMALL_STATE(6732)] = 579312,
  [SMALL_STATE(6733)] = 579387,
  [SMALL_STATE(6734)] = 579428,
  [SMALL_STATE(6735)] = 579473,
  [SMALL_STATE(6736)] = 579548,
  [SMALL_STATE(6737)] = 579623,
  [SMALL_STATE(6738)] = 579698,
  [SMALL_STATE(6739)] = 579773,
  [SMALL_STATE(6740)] = 579848,
  [SMALL_STATE(6741)] = 579923,
  [SMALL_STATE(6742)] = 579998,
  [SMALL_STATE(6743)] = 580073,
  [SMALL_STATE(6744)] = 580148,
  [SMALL_STATE(6745)] = 580223,
  [SMALL_STATE(6746)] = 580298,
  [SMALL_STATE(6747)] = 580373,
  [SMALL_STATE(6748)] = 580448,
  [SMALL_STATE(6749)] = 580491,
  [SMALL_STATE(6750)] = 580566,
  [SMALL_STATE(6751)] = 580641,
  [SMALL_STATE(6752)] = 580716,
  [SMALL_STATE(6753)] = 580791,
  [SMALL_STATE(6754)] = 580866,
  [SMALL_STATE(6755)] = 580941,
  [SMALL_STATE(6756)] = 581016,
  [SMALL_STATE(6757)] = 581091,
  [SMALL_STATE(6758)] = 581166,
  [SMALL_STATE(6759)] = 581241,
  [SMALL_STATE(6760)] = 581316,
  [SMALL_STATE(6761)] = 581391,
  [SMALL_STATE(6762)] = 581466,
  [SMALL_STATE(6763)] = 581541,
  [SMALL_STATE(6764)] = 581616,
  [SMALL_STATE(6765)] = 581691,
  [SMALL_STATE(6766)] = 581766,
  [SMALL_STATE(6767)] = 581841,
  [SMALL_STATE(6768)] = 581916,
  [SMALL_STATE(6769)] = 581991,
  [SMALL_STATE(6770)] = 582066,
  [SMALL_STATE(6771)] = 582141,
  [SMALL_STATE(6772)] = 582216,
  [SMALL_STATE(6773)] = 582291,
  [SMALL_STATE(6774)] = 582366,
  [SMALL_STATE(6775)] = 582441,
  [SMALL_STATE(6776)] = 582516,
  [SMALL_STATE(6777)] = 582591,
  [SMALL_STATE(6778)] = 582666,
  [SMALL_STATE(6779)] = 582741,
  [SMALL_STATE(6780)] = 582816,
  [SMALL_STATE(6781)] = 582891,
  [SMALL_STATE(6782)] = 582966,
  [SMALL_STATE(6783)] = 583041,
  [SMALL_STATE(6784)] = 583116,
  [SMALL_STATE(6785)] = 583157,
  [SMALL_STATE(6786)] = 583232,
  [SMALL_STATE(6787)] = 583273,
  [SMALL_STATE(6788)] = 583348,
  [SMALL_STATE(6789)] = 583423,
  [SMALL_STATE(6790)] = 583498,
  [SMALL_STATE(6791)] = 583541,
  [SMALL_STATE(6792)] = 583583,
  [SMALL_STATE(6793)] = 583625,
  [SMALL_STATE(6794)] = 583667,
  [SMALL_STATE(6795)] = 583709,
  [SMALL_STATE(6796)] = 583751,
  [SMALL_STATE(6797)] = 583793,
  [SMALL_STATE(6798)] = 583835,
  [SMALL_STATE(6799)] = 583875,
  [SMALL_STATE(6800)] = 583915,
  [SMALL_STATE(6801)] = 583959,
  [SMALL_STATE(6802)] = 583999,
  [SMALL_STATE(6803)] = 584039,
  [SMALL_STATE(6804)] = 584081,
  [SMALL_STATE(6805)] = 584123,
  [SMALL_STATE(6806)] = 584163,
  [SMALL_STATE(6807)] = 584203,
  [SMALL_STATE(6808)] = 584245,
  [SMALL_STATE(6809)] = 584285,
  [SMALL_STATE(6810)] = 584325,
  [SMALL_STATE(6811)] = 584369,
  [SMALL_STATE(6812)] = 584409,
  [SMALL_STATE(6813)] = 584451,
  [SMALL_STATE(6814)] = 584491,
  [SMALL_STATE(6815)] = 584531,
  [SMALL_STATE(6816)] = 584573,
  [SMALL_STATE(6817)] = 584615,
  [SMALL_STATE(6818)] = 584659,
  [SMALL_STATE(6819)] = 584701,
  [SMALL_STATE(6820)] = 584743,
  [SMALL_STATE(6821)] = 584785,
  [SMALL_STATE(6822)] = 584827,
  [SMALL_STATE(6823)] = 584869,
  [SMALL_STATE(6824)] = 584911,
  [SMALL_STATE(6825)] = 584951,
  [SMALL_STATE(6826)] = 584993,
  [SMALL_STATE(6827)] = 585035,
  [SMALL_STATE(6828)] = 585075,
  [SMALL_STATE(6829)] = 585117,
  [SMALL_STATE(6830)] = 585157,
  [SMALL_STATE(6831)] = 585199,
  [SMALL_STATE(6832)] = 585241,
  [SMALL_STATE(6833)] = 585281,
  [SMALL_STATE(6834)] = 585323,
  [SMALL_STATE(6835)] = 585365,
  [SMALL_STATE(6836)] = 585405,
  [SMALL_STATE(6837)] = 585447,
  [SMALL_STATE(6838)] = 585489,
  [SMALL_STATE(6839)] = 585531,
  [SMALL_STATE(6840)] = 585573,
  [SMALL_STATE(6841)] = 585615,
  [SMALL_STATE(6842)] = 585657,
  [SMALL_STATE(6843)] = 585699,
  [SMALL_STATE(6844)] = 585739,
  [SMALL_STATE(6845)] = 585781,
  [SMALL_STATE(6846)] = 585823,
  [SMALL_STATE(6847)] = 585865,
  [SMALL_STATE(6848)] = 585907,
  [SMALL_STATE(6849)] = 585949,
  [SMALL_STATE(6850)] = 585991,
  [SMALL_STATE(6851)] = 586033,
  [SMALL_STATE(6852)] = 586073,
  [SMALL_STATE(6853)] = 586115,
  [SMALL_STATE(6854)] = 586157,
  [SMALL_STATE(6855)] = 586199,
  [SMALL_STATE(6856)] = 586243,
  [SMALL_STATE(6857)] = 586314,
  [SMALL_STATE(6858)] = 586355,
  [SMALL_STATE(6859)] = 586426,
  [SMALL_STATE(6860)] = 586497,
  [SMALL_STATE(6861)] = 586538,
  [SMALL_STATE(6862)] = 586609,
  [SMALL_STATE(6863)] = 586648,
  [SMALL_STATE(6864)] = 586687,
  [SMALL_STATE(6865)] = 586758,
  [SMALL_STATE(6866)] = 586797,
  [SMALL_STATE(6867)] = 586868,
  [SMALL_STATE(6868)] = 586939,
  [SMALL_STATE(6869)] = 586978,
  [SMALL_STATE(6870)] = 587017,
  [SMALL_STATE(6871)] = 587088,
  [SMALL_STATE(6872)] = 587127,
  [SMALL_STATE(6873)] = 587166,
  [SMALL_STATE(6874)] = 587205,
  [SMALL_STATE(6875)] = 587246,
  [SMALL_STATE(6876)] = 587285,
  [SMALL_STATE(6877)] = 587326,
  [SMALL_STATE(6878)] = 587367,
  [SMALL_STATE(6879)] = 587408,
  [SMALL_STATE(6880)] = 587451,
  [SMALL_STATE(6881)] = 587492,
  [SMALL_STATE(6882)] = 587533,
  [SMALL_STATE(6883)] = 587604,
  [SMALL_STATE(6884)] = 587675,
  [SMALL_STATE(6885)] = 587716,
  [SMALL_STATE(6886)] = 587787,
  [SMALL_STATE(6887)] = 587828,
  [SMALL_STATE(6888)] = 587869,
  [SMALL_STATE(6889)] = 587910,
  [SMALL_STATE(6890)] = 587951,
  [SMALL_STATE(6891)] = 588022,
  [SMALL_STATE(6892)] = 588063,
  [SMALL_STATE(6893)] = 588104,
  [SMALL_STATE(6894)] = 588175,
  [SMALL_STATE(6895)] = 588246,
  [SMALL_STATE(6896)] = 588317,
  [SMALL_STATE(6897)] = 588388,
  [SMALL_STATE(6898)] = 588429,
  [SMALL_STATE(6899)] = 588470,
  [SMALL_STATE(6900)] = 588511,
  [SMALL_STATE(6901)] = 588582,
  [SMALL_STATE(6902)] = 588623,
  [SMALL_STATE(6903)] = 588694,
  [SMALL_STATE(6904)] = 588765,
  [SMALL_STATE(6905)] = 588806,
  [SMALL_STATE(6906)] = 588877,
  [SMALL_STATE(6907)] = 588920,
  [SMALL_STATE(6908)] = 588961,
  [SMALL_STATE(6909)] = 589002,
  [SMALL_STATE(6910)] = 589043,
  [SMALL_STATE(6911)] = 589114,
  [SMALL_STATE(6912)] = 589155,
  [SMALL_STATE(6913)] = 589226,
  [SMALL_STATE(6914)] = 589267,
  [SMALL_STATE(6915)] = 589308,
  [SMALL_STATE(6916)] = 589349,
  [SMALL_STATE(6917)] = 589390,
  [SMALL_STATE(6918)] = 589461,
  [SMALL_STATE(6919)] = 589502,
  [SMALL_STATE(6920)] = 589543,
  [SMALL_STATE(6921)] = 589584,
  [SMALL_STATE(6922)] = 589625,
  [SMALL_STATE(6923)] = 589696,
  [SMALL_STATE(6924)] = 589737,
  [SMALL_STATE(6925)] = 589778,
  [SMALL_STATE(6926)] = 589849,
  [SMALL_STATE(6927)] = 589890,
  [SMALL_STATE(6928)] = 589931,
  [SMALL_STATE(6929)] = 589972,
  [SMALL_STATE(6930)] = 590013,
  [SMALL_STATE(6931)] = 590084,
  [SMALL_STATE(6932)] = 590125,
  [SMALL_STATE(6933)] = 590196,
  [SMALL_STATE(6934)] = 590237,
  [SMALL_STATE(6935)] = 590308,
  [SMALL_STATE(6936)] = 590379,
  [SMALL_STATE(6937)] = 590420,
  [SMALL_STATE(6938)] = 590461,
  [SMALL_STATE(6939)] = 590532,
  [SMALL_STATE(6940)] = 590603,
  [SMALL_STATE(6941)] = 590674,
  [SMALL_STATE(6942)] = 590715,
  [SMALL_STATE(6943)] = 590758,
  [SMALL_STATE(6944)] = 590829,
  [SMALL_STATE(6945)] = 590870,
  [SMALL_STATE(6946)] = 590941,
  [SMALL_STATE(6947)] = 590982,
  [SMALL_STATE(6948)] = 591053,
  [SMALL_STATE(6949)] = 591124,
  [SMALL_STATE(6950)] = 591195,
  [SMALL_STATE(6951)] = 591234,
  [SMALL_STATE(6952)] = 591305,
  [SMALL_STATE(6953)] = 591376,
  [SMALL_STATE(6954)] = 591417,
  [SMALL_STATE(6955)] = 591488,
  [SMALL_STATE(6956)] = 591559,
  [SMALL_STATE(6957)] = 591598,
  [SMALL_STATE(6958)] = 591669,
  [SMALL_STATE(6959)] = 591710,
  [SMALL_STATE(6960)] = 591781,
  [SMALL_STATE(6961)] = 591852,
  [SMALL_STATE(6962)] = 591923,
  [SMALL_STATE(6963)] = 591994,
  [SMALL_STATE(6964)] = 592065,
  [SMALL_STATE(6965)] = 592136,
  [SMALL_STATE(6966)] = 592207,
  [SMALL_STATE(6967)] = 592278,
  [SMALL_STATE(6968)] = 592319,
  [SMALL_STATE(6969)] = 592390,
  [SMALL_STATE(6970)] = 592431,
  [SMALL_STATE(6971)] = 592502,
  [SMALL_STATE(6972)] = 592573,
  [SMALL_STATE(6973)] = 592644,
  [SMALL_STATE(6974)] = 592685,
  [SMALL_STATE(6975)] = 592756,
  [SMALL_STATE(6976)] = 592827,
  [SMALL_STATE(6977)] = 592898,
  [SMALL_STATE(6978)] = 592969,
  [SMALL_STATE(6979)] = 593040,
  [SMALL_STATE(6980)] = 593081,
  [SMALL_STATE(6981)] = 593152,
  [SMALL_STATE(6982)] = 593223,
  [SMALL_STATE(6983)] = 593294,
  [SMALL_STATE(6984)] = 593365,
  [SMALL_STATE(6985)] = 593408,
  [SMALL_STATE(6986)] = 593479,
  [SMALL_STATE(6987)] = 593550,
  [SMALL_STATE(6988)] = 593621,
  [SMALL_STATE(6989)] = 593692,
  [SMALL_STATE(6990)] = 593733,
  [SMALL_STATE(6991)] = 593804,
  [SMALL_STATE(6992)] = 593875,
  [SMALL_STATE(6993)] = 593946,
  [SMALL_STATE(6994)] = 594017,
  [SMALL_STATE(6995)] = 594088,
  [SMALL_STATE(6996)] = 594159,
  [SMALL_STATE(6997)] = 594230,
  [SMALL_STATE(6998)] = 594301,
  [SMALL_STATE(6999)] = 594372,
  [SMALL_STATE(7000)] = 594443,
  [SMALL_STATE(7001)] = 594514,
  [SMALL_STATE(7002)] = 594585,
  [SMALL_STATE(7003)] = 594656,
  [SMALL_STATE(7004)] = 594727,
  [SMALL_STATE(7005)] = 594798,
  [SMALL_STATE(7006)] = 594869,
  [SMALL_STATE(7007)] = 594940,
  [SMALL_STATE(7008)] = 595011,
  [SMALL_STATE(7009)] = 595082,
  [SMALL_STATE(7010)] = 595153,
  [SMALL_STATE(7011)] = 595224,
  [SMALL_STATE(7012)] = 595295,
  [SMALL_STATE(7013)] = 595366,
  [SMALL_STATE(7014)] = 595437,
  [SMALL_STATE(7015)] = 595508,
  [SMALL_STATE(7016)] = 595579,
  [SMALL_STATE(7017)] = 595650,
  [SMALL_STATE(7018)] = 595721,
  [SMALL_STATE(7019)] = 595792,
  [SMALL_STATE(7020)] = 595863,
  [SMALL_STATE(7021)] = 595934,
  [SMALL_STATE(7022)] = 596005,
  [SMALL_STATE(7023)] = 596076,
  [SMALL_STATE(7024)] = 596147,
  [SMALL_STATE(7025)] = 596218,
  [SMALL_STATE(7026)] = 596289,
  [SMALL_STATE(7027)] = 596360,
  [SMALL_STATE(7028)] = 596431,
  [SMALL_STATE(7029)] = 596502,
  [SMALL_STATE(7030)] = 596573,
  [SMALL_STATE(7031)] = 596644,
  [SMALL_STATE(7032)] = 596715,
  [SMALL_STATE(7033)] = 596786,
  [SMALL_STATE(7034)] = 596857,
  [SMALL_STATE(7035)] = 596928,
  [SMALL_STATE(7036)] = 596999,
  [SMALL_STATE(7037)] = 597070,
  [SMALL_STATE(7038)] = 597141,
  [SMALL_STATE(7039)] = 597212,
  [SMALL_STATE(7040)] = 597283,
  [SMALL_STATE(7041)] = 597354,
  [SMALL_STATE(7042)] = 597425,
  [SMALL_STATE(7043)] = 597496,
  [SMALL_STATE(7044)] = 597567,
  [SMALL_STATE(7045)] = 597608,
  [SMALL_STATE(7046)] = 597679,
  [SMALL_STATE(7047)] = 597750,
  [SMALL_STATE(7048)] = 597821,
  [SMALL_STATE(7049)] = 597892,
  [SMALL_STATE(7050)] = 597963,
  [SMALL_STATE(7051)] = 598034,
  [SMALL_STATE(7052)] = 598105,
  [SMALL_STATE(7053)] = 598176,
  [SMALL_STATE(7054)] = 598247,
  [SMALL_STATE(7055)] = 598318,
  [SMALL_STATE(7056)] = 598389,
  [SMALL_STATE(7057)] = 598460,
  [SMALL_STATE(7058)] = 598531,
  [SMALL_STATE(7059)] = 598602,
  [SMALL_STATE(7060)] = 598673,
  [SMALL_STATE(7061)] = 598744,
  [SMALL_STATE(7062)] = 598815,
  [SMALL_STATE(7063)] = 598886,
  [SMALL_STATE(7064)] = 598957,
  [SMALL_STATE(7065)] = 599028,
  [SMALL_STATE(7066)] = 599099,
  [SMALL_STATE(7067)] = 599170,
  [SMALL_STATE(7068)] = 599211,
  [SMALL_STATE(7069)] = 599282,
  [SMALL_STATE(7070)] = 599353,
  [SMALL_STATE(7071)] = 599424,
  [SMALL_STATE(7072)] = 599495,
  [SMALL_STATE(7073)] = 599566,
  [SMALL_STATE(7074)] = 599637,
  [SMALL_STATE(7075)] = 599708,
  [SMALL_STATE(7076)] = 599779,
  [SMALL_STATE(7077)] = 599850,
  [SMALL_STATE(7078)] = 599921,
  [SMALL_STATE(7079)] = 599992,
  [SMALL_STATE(7080)] = 600063,
  [SMALL_STATE(7081)] = 600134,
  [SMALL_STATE(7082)] = 600205,
  [SMALL_STATE(7083)] = 600276,
  [SMALL_STATE(7084)] = 600347,
  [SMALL_STATE(7085)] = 600418,
  [SMALL_STATE(7086)] = 600489,
  [SMALL_STATE(7087)] = 600560,
  [SMALL_STATE(7088)] = 600631,
  [SMALL_STATE(7089)] = 600702,
  [SMALL_STATE(7090)] = 600773,
  [SMALL_STATE(7091)] = 600844,
  [SMALL_STATE(7092)] = 600915,
  [SMALL_STATE(7093)] = 600986,
  [SMALL_STATE(7094)] = 601057,
  [SMALL_STATE(7095)] = 601128,
  [SMALL_STATE(7096)] = 601199,
  [SMALL_STATE(7097)] = 601270,
  [SMALL_STATE(7098)] = 601341,
  [SMALL_STATE(7099)] = 601412,
  [SMALL_STATE(7100)] = 601483,
  [SMALL_STATE(7101)] = 601554,
  [SMALL_STATE(7102)] = 601625,
  [SMALL_STATE(7103)] = 601696,
  [SMALL_STATE(7104)] = 601767,
  [SMALL_STATE(7105)] = 601838,
  [SMALL_STATE(7106)] = 601909,
  [SMALL_STATE(7107)] = 601980,
  [SMALL_STATE(7108)] = 602051,
  [SMALL_STATE(7109)] = 602122,
  [SMALL_STATE(7110)] = 602161,
  [SMALL_STATE(7111)] = 602202,
  [SMALL_STATE(7112)] = 602243,
  [SMALL_STATE(7113)] = 602314,
  [SMALL_STATE(7114)] = 602385,
  [SMALL_STATE(7115)] = 602425,
  [SMALL_STATE(7116)] = 602465,
  [SMALL_STATE(7117)] = 602505,
  [SMALL_STATE(7118)] = 602545,
  [SMALL_STATE(7119)] = 602585,
  [SMALL_STATE(7120)] = 602625,
  [SMALL_STATE(7121)] = 602665,
  [SMALL_STATE(7122)] = 602705,
  [SMALL_STATE(7123)] = 602745,
  [SMALL_STATE(7124)] = 602785,
  [SMALL_STATE(7125)] = 602825,
  [SMALL_STATE(7126)] = 602867,
  [SMALL_STATE(7127)] = 602907,
  [SMALL_STATE(7128)] = 602947,
  [SMALL_STATE(7129)] = 602987,
  [SMALL_STATE(7130)] = 603027,
  [SMALL_STATE(7131)] = 603067,
  [SMALL_STATE(7132)] = 603107,
  [SMALL_STATE(7133)] = 603147,
  [SMALL_STATE(7134)] = 603187,
  [SMALL_STATE(7135)] = 603227,
  [SMALL_STATE(7136)] = 603269,
  [SMALL_STATE(7137)] = 603309,
  [SMALL_STATE(7138)] = 603349,
  [SMALL_STATE(7139)] = 603389,
  [SMALL_STATE(7140)] = 603429,
  [SMALL_STATE(7141)] = 603469,
  [SMALL_STATE(7142)] = 603509,
  [SMALL_STATE(7143)] = 603549,
  [SMALL_STATE(7144)] = 603589,
  [SMALL_STATE(7145)] = 603629,
  [SMALL_STATE(7146)] = 603669,
  [SMALL_STATE(7147)] = 603709,
  [SMALL_STATE(7148)] = 603749,
  [SMALL_STATE(7149)] = 603791,
  [SMALL_STATE(7150)] = 603831,
  [SMALL_STATE(7151)] = 603871,
  [SMALL_STATE(7152)] = 603911,
  [SMALL_STATE(7153)] = 603951,
  [SMALL_STATE(7154)] = 603991,
  [SMALL_STATE(7155)] = 604033,
  [SMALL_STATE(7156)] = 604073,
  [SMALL_STATE(7157)] = 604113,
  [SMALL_STATE(7158)] = 604153,
  [SMALL_STATE(7159)] = 604193,
  [SMALL_STATE(7160)] = 604233,
  [SMALL_STATE(7161)] = 604273,
  [SMALL_STATE(7162)] = 604313,
  [SMALL_STATE(7163)] = 604355,
  [SMALL_STATE(7164)] = 604395,
  [SMALL_STATE(7165)] = 604437,
  [SMALL_STATE(7166)] = 604477,
  [SMALL_STATE(7167)] = 604517,
  [SMALL_STATE(7168)] = 604559,
  [SMALL_STATE(7169)] = 604599,
  [SMALL_STATE(7170)] = 604639,
  [SMALL_STATE(7171)] = 604679,
  [SMALL_STATE(7172)] = 604719,
  [SMALL_STATE(7173)] = 604759,
  [SMALL_STATE(7174)] = 604799,
  [SMALL_STATE(7175)] = 604839,
  [SMALL_STATE(7176)] = 604879,
  [SMALL_STATE(7177)] = 604921,
  [SMALL_STATE(7178)] = 604961,
  [SMALL_STATE(7179)] = 605000,
  [SMALL_STATE(7180)] = 605039,
  [SMALL_STATE(7181)] = 605078,
  [SMALL_STATE(7182)] = 605117,
  [SMALL_STATE(7183)] = 605156,
  [SMALL_STATE(7184)] = 605195,
  [SMALL_STATE(7185)] = 605234,
  [SMALL_STATE(7186)] = 605273,
  [SMALL_STATE(7187)] = 605312,
  [SMALL_STATE(7188)] = 605351,
  [SMALL_STATE(7189)] = 605390,
  [SMALL_STATE(7190)] = 605429,
  [SMALL_STATE(7191)] = 605468,
  [SMALL_STATE(7192)] = 605507,
  [SMALL_STATE(7193)] = 605546,
  [SMALL_STATE(7194)] = 605585,
  [SMALL_STATE(7195)] = 605624,
  [SMALL_STATE(7196)] = 605663,
  [SMALL_STATE(7197)] = 605702,
  [SMALL_STATE(7198)] = 605741,
  [SMALL_STATE(7199)] = 605780,
  [SMALL_STATE(7200)] = 605819,
  [SMALL_STATE(7201)] = 605858,
  [SMALL_STATE(7202)] = 605897,
  [SMALL_STATE(7203)] = 605936,
  [SMALL_STATE(7204)] = 605975,
  [SMALL_STATE(7205)] = 606014,
  [SMALL_STATE(7206)] = 606055,
  [SMALL_STATE(7207)] = 606094,
  [SMALL_STATE(7208)] = 606133,
  [SMALL_STATE(7209)] = 606172,
  [SMALL_STATE(7210)] = 606211,
  [SMALL_STATE(7211)] = 606250,
  [SMALL_STATE(7212)] = 606291,
  [SMALL_STATE(7213)] = 606330,
  [SMALL_STATE(7214)] = 606369,
  [SMALL_STATE(7215)] = 606408,
  [SMALL_STATE(7216)] = 606447,
  [SMALL_STATE(7217)] = 606486,
  [SMALL_STATE(7218)] = 606525,
  [SMALL_STATE(7219)] = 606566,
  [SMALL_STATE(7220)] = 606605,
  [SMALL_STATE(7221)] = 606646,
  [SMALL_STATE(7222)] = 606685,
  [SMALL_STATE(7223)] = 606724,
  [SMALL_STATE(7224)] = 606763,
  [SMALL_STATE(7225)] = 606802,
  [SMALL_STATE(7226)] = 606841,
  [SMALL_STATE(7227)] = 606880,
  [SMALL_STATE(7228)] = 606919,
  [SMALL_STATE(7229)] = 606958,
  [SMALL_STATE(7230)] = 606997,
  [SMALL_STATE(7231)] = 607036,
  [SMALL_STATE(7232)] = 607075,
  [SMALL_STATE(7233)] = 607114,
  [SMALL_STATE(7234)] = 607153,
  [SMALL_STATE(7235)] = 607192,
  [SMALL_STATE(7236)] = 607233,
  [SMALL_STATE(7237)] = 607272,
  [SMALL_STATE(7238)] = 607311,
  [SMALL_STATE(7239)] = 607350,
  [SMALL_STATE(7240)] = 607389,
  [SMALL_STATE(7241)] = 607428,
  [SMALL_STATE(7242)] = 607467,
  [SMALL_STATE(7243)] = 607506,
  [SMALL_STATE(7244)] = 607545,
  [SMALL_STATE(7245)] = 607584,
  [SMALL_STATE(7246)] = 607623,
  [SMALL_STATE(7247)] = 607662,
  [SMALL_STATE(7248)] = 607701,
  [SMALL_STATE(7249)] = 607740,
  [SMALL_STATE(7250)] = 607779,
  [SMALL_STATE(7251)] = 607818,
  [SMALL_STATE(7252)] = 607857,
  [SMALL_STATE(7253)] = 607896,
  [SMALL_STATE(7254)] = 607935,
  [SMALL_STATE(7255)] = 607974,
  [SMALL_STATE(7256)] = 608013,
  [SMALL_STATE(7257)] = 608052,
  [SMALL_STATE(7258)] = 608091,
  [SMALL_STATE(7259)] = 608130,
  [SMALL_STATE(7260)] = 608171,
  [SMALL_STATE(7261)] = 608210,
  [SMALL_STATE(7262)] = 608249,
  [SMALL_STATE(7263)] = 608288,
  [SMALL_STATE(7264)] = 608327,
  [SMALL_STATE(7265)] = 608366,
  [SMALL_STATE(7266)] = 608405,
  [SMALL_STATE(7267)] = 608444,
  [SMALL_STATE(7268)] = 608483,
  [SMALL_STATE(7269)] = 608524,
  [SMALL_STATE(7270)] = 608563,
  [SMALL_STATE(7271)] = 608602,
  [SMALL_STATE(7272)] = 608641,
  [SMALL_STATE(7273)] = 608680,
  [SMALL_STATE(7274)] = 608719,
  [SMALL_STATE(7275)] = 608758,
  [SMALL_STATE(7276)] = 608797,
  [SMALL_STATE(7277)] = 608838,
  [SMALL_STATE(7278)] = 608879,
  [SMALL_STATE(7279)] = 608918,
  [SMALL_STATE(7280)] = 608957,
  [SMALL_STATE(7281)] = 608996,
  [SMALL_STATE(7282)] = 609035,
  [SMALL_STATE(7283)] = 609074,
  [SMALL_STATE(7284)] = 609115,
  [SMALL_STATE(7285)] = 609154,
  [SMALL_STATE(7286)] = 609195,
  [SMALL_STATE(7287)] = 609234,
  [SMALL_STATE(7288)] = 609275,
  [SMALL_STATE(7289)] = 609314,
  [SMALL_STATE(7290)] = 609353,
  [SMALL_STATE(7291)] = 609392,
  [SMALL_STATE(7292)] = 609430,
  [SMALL_STATE(7293)] = 609468,
  [SMALL_STATE(7294)] = 609506,
  [SMALL_STATE(7295)] = 609544,
  [SMALL_STATE(7296)] = 609582,
  [SMALL_STATE(7297)] = 609620,
  [SMALL_STATE(7298)] = 609658,
  [SMALL_STATE(7299)] = 609696,
  [SMALL_STATE(7300)] = 609734,
  [SMALL_STATE(7301)] = 609772,
  [SMALL_STATE(7302)] = 609810,
  [SMALL_STATE(7303)] = 609848,
  [SMALL_STATE(7304)] = 609886,
  [SMALL_STATE(7305)] = 609924,
  [SMALL_STATE(7306)] = 609962,
  [SMALL_STATE(7307)] = 610000,
  [SMALL_STATE(7308)] = 610038,
  [SMALL_STATE(7309)] = 610076,
  [SMALL_STATE(7310)] = 610114,
  [SMALL_STATE(7311)] = 610152,
  [SMALL_STATE(7312)] = 610190,
  [SMALL_STATE(7313)] = 610230,
  [SMALL_STATE(7314)] = 610268,
  [SMALL_STATE(7315)] = 610308,
  [SMALL_STATE(7316)] = 610346,
  [SMALL_STATE(7317)] = 610384,
  [SMALL_STATE(7318)] = 610424,
  [SMALL_STATE(7319)] = 610464,
  [SMALL_STATE(7320)] = 610502,
  [SMALL_STATE(7321)] = 610540,
  [SMALL_STATE(7322)] = 610578,
  [SMALL_STATE(7323)] = 610616,
  [SMALL_STATE(7324)] = 610654,
  [SMALL_STATE(7325)] = 610692,
  [SMALL_STATE(7326)] = 610730,
  [SMALL_STATE(7327)] = 610768,
  [SMALL_STATE(7328)] = 610806,
  [SMALL_STATE(7329)] = 610844,
  [SMALL_STATE(7330)] = 610882,
  [SMALL_STATE(7331)] = 610920,
  [SMALL_STATE(7332)] = 610958,
  [SMALL_STATE(7333)] = 610996,
  [SMALL_STATE(7334)] = 611034,
  [SMALL_STATE(7335)] = 611072,
  [SMALL_STATE(7336)] = 611110,
  [SMALL_STATE(7337)] = 611148,
  [SMALL_STATE(7338)] = 611186,
  [SMALL_STATE(7339)] = 611224,
  [SMALL_STATE(7340)] = 611262,
  [SMALL_STATE(7341)] = 611300,
  [SMALL_STATE(7342)] = 611338,
  [SMALL_STATE(7343)] = 611376,
  [SMALL_STATE(7344)] = 611414,
  [SMALL_STATE(7345)] = 611452,
  [SMALL_STATE(7346)] = 611490,
  [SMALL_STATE(7347)] = 611528,
  [SMALL_STATE(7348)] = 611566,
  [SMALL_STATE(7349)] = 611604,
  [SMALL_STATE(7350)] = 611642,
  [SMALL_STATE(7351)] = 611680,
  [SMALL_STATE(7352)] = 611718,
  [SMALL_STATE(7353)] = 611756,
  [SMALL_STATE(7354)] = 611794,
  [SMALL_STATE(7355)] = 611832,
  [SMALL_STATE(7356)] = 611870,
  [SMALL_STATE(7357)] = 611908,
  [SMALL_STATE(7358)] = 611946,
  [SMALL_STATE(7359)] = 611984,
  [SMALL_STATE(7360)] = 612022,
  [SMALL_STATE(7361)] = 612060,
  [SMALL_STATE(7362)] = 612098,
  [SMALL_STATE(7363)] = 612136,
  [SMALL_STATE(7364)] = 612174,
  [SMALL_STATE(7365)] = 612212,
  [SMALL_STATE(7366)] = 612250,
  [SMALL_STATE(7367)] = 612288,
  [SMALL_STATE(7368)] = 612326,
  [SMALL_STATE(7369)] = 612364,
  [SMALL_STATE(7370)] = 612402,
  [SMALL_STATE(7371)] = 612440,
  [SMALL_STATE(7372)] = 612478,
  [SMALL_STATE(7373)] = 612516,
  [SMALL_STATE(7374)] = 612554,
  [SMALL_STATE(7375)] = 612592,
  [SMALL_STATE(7376)] = 612630,
  [SMALL_STATE(7377)] = 612668,
  [SMALL_STATE(7378)] = 612706,
  [SMALL_STATE(7379)] = 612744,
  [SMALL_STATE(7380)] = 612782,
  [SMALL_STATE(7381)] = 612820,
  [SMALL_STATE(7382)] = 612858,
  [SMALL_STATE(7383)] = 612896,
  [SMALL_STATE(7384)] = 612934,
  [SMALL_STATE(7385)] = 612972,
  [SMALL_STATE(7386)] = 613010,
  [SMALL_STATE(7387)] = 613048,
  [SMALL_STATE(7388)] = 613086,
  [SMALL_STATE(7389)] = 613124,
  [SMALL_STATE(7390)] = 613162,
  [SMALL_STATE(7391)] = 613200,
  [SMALL_STATE(7392)] = 613238,
  [SMALL_STATE(7393)] = 613276,
  [SMALL_STATE(7394)] = 613314,
  [SMALL_STATE(7395)] = 613352,
  [SMALL_STATE(7396)] = 613390,
  [SMALL_STATE(7397)] = 613428,
  [SMALL_STATE(7398)] = 613466,
  [SMALL_STATE(7399)] = 613504,
  [SMALL_STATE(7400)] = 613542,
  [SMALL_STATE(7401)] = 613580,
  [SMALL_STATE(7402)] = 613618,
  [SMALL_STATE(7403)] = 613656,
  [SMALL_STATE(7404)] = 613694,
  [SMALL_STATE(7405)] = 613732,
  [SMALL_STATE(7406)] = 613772,
  [SMALL_STATE(7407)] = 613810,
  [SMALL_STATE(7408)] = 613848,
  [SMALL_STATE(7409)] = 613886,
  [SMALL_STATE(7410)] = 613924,
  [SMALL_STATE(7411)] = 613962,
  [SMALL_STATE(7412)] = 614000,
  [SMALL_STATE(7413)] = 614038,
  [SMALL_STATE(7414)] = 614076,
  [SMALL_STATE(7415)] = 614114,
  [SMALL_STATE(7416)] = 614152,
  [SMALL_STATE(7417)] = 614190,
  [SMALL_STATE(7418)] = 614228,
  [SMALL_STATE(7419)] = 614266,
  [SMALL_STATE(7420)] = 614306,
  [SMALL_STATE(7421)] = 614344,
  [SMALL_STATE(7422)] = 614382,
  [SMALL_STATE(7423)] = 614420,
  [SMALL_STATE(7424)] = 614460,
  [SMALL_STATE(7425)] = 614498,
  [SMALL_STATE(7426)] = 614536,
  [SMALL_STATE(7427)] = 614574,
  [SMALL_STATE(7428)] = 614614,
  [SMALL_STATE(7429)] = 614652,
  [SMALL_STATE(7430)] = 614690,
  [SMALL_STATE(7431)] = 614728,
  [SMALL_STATE(7432)] = 614766,
  [SMALL_STATE(7433)] = 614804,
  [SMALL_STATE(7434)] = 614842,
  [SMALL_STATE(7435)] = 614880,
  [SMALL_STATE(7436)] = 614918,
  [SMALL_STATE(7437)] = 614958,
  [SMALL_STATE(7438)] = 614998,
  [SMALL_STATE(7439)] = 615036,
  [SMALL_STATE(7440)] = 615074,
  [SMALL_STATE(7441)] = 615114,
  [SMALL_STATE(7442)] = 615152,
  [SMALL_STATE(7443)] = 615190,
  [SMALL_STATE(7444)] = 615228,
  [SMALL_STATE(7445)] = 615266,
  [SMALL_STATE(7446)] = 615306,
  [SMALL_STATE(7447)] = 615344,
  [SMALL_STATE(7448)] = 615382,
  [SMALL_STATE(7449)] = 615420,
  [SMALL_STATE(7450)] = 615458,
  [SMALL_STATE(7451)] = 615496,
  [SMALL_STATE(7452)] = 615534,
  [SMALL_STATE(7453)] = 615574,
  [SMALL_STATE(7454)] = 615612,
  [SMALL_STATE(7455)] = 615650,
  [SMALL_STATE(7456)] = 615688,
  [SMALL_STATE(7457)] = 615728,
  [SMALL_STATE(7458)] = 615766,
  [SMALL_STATE(7459)] = 615804,
  [SMALL_STATE(7460)] = 615842,
  [SMALL_STATE(7461)] = 615880,
  [SMALL_STATE(7462)] = 615918,
  [SMALL_STATE(7463)] = 615956,
  [SMALL_STATE(7464)] = 615993,
  [SMALL_STATE(7465)] = 616030,
  [SMALL_STATE(7466)] = 616067,
  [SMALL_STATE(7467)] = 616104,
  [SMALL_STATE(7468)] = 616141,
  [SMALL_STATE(7469)] = 616178,
  [SMALL_STATE(7470)] = 616215,
  [SMALL_STATE(7471)] = 616252,
  [SMALL_STATE(7472)] = 616289,
  [SMALL_STATE(7473)] = 616326,
  [SMALL_STATE(7474)] = 616363,
  [SMALL_STATE(7475)] = 616400,
  [SMALL_STATE(7476)] = 616437,
  [SMALL_STATE(7477)] = 616476,
  [SMALL_STATE(7478)] = 616513,
  [SMALL_STATE(7479)] = 616550,
  [SMALL_STATE(7480)] = 616587,
  [SMALL_STATE(7481)] = 616624,
  [SMALL_STATE(7482)] = 616661,
  [SMALL_STATE(7483)] = 616698,
  [SMALL_STATE(7484)] = 616735,
  [SMALL_STATE(7485)] = 616772,
  [SMALL_STATE(7486)] = 616809,
  [SMALL_STATE(7487)] = 616846,
  [SMALL_STATE(7488)] = 616883,
  [SMALL_STATE(7489)] = 616920,
  [SMALL_STATE(7490)] = 616957,
  [SMALL_STATE(7491)] = 616994,
  [SMALL_STATE(7492)] = 617031,
  [SMALL_STATE(7493)] = 617068,
  [SMALL_STATE(7494)] = 617105,
  [SMALL_STATE(7495)] = 617142,
  [SMALL_STATE(7496)] = 617179,
  [SMALL_STATE(7497)] = 617216,
  [SMALL_STATE(7498)] = 617253,
  [SMALL_STATE(7499)] = 617290,
  [SMALL_STATE(7500)] = 617327,
  [SMALL_STATE(7501)] = 617364,
  [SMALL_STATE(7502)] = 617401,
  [SMALL_STATE(7503)] = 617438,
  [SMALL_STATE(7504)] = 617475,
  [SMALL_STATE(7505)] = 617512,
  [SMALL_STATE(7506)] = 617549,
  [SMALL_STATE(7507)] = 617586,
  [SMALL_STATE(7508)] = 617623,
  [SMALL_STATE(7509)] = 617660,
  [SMALL_STATE(7510)] = 617697,
  [SMALL_STATE(7511)] = 617734,
  [SMALL_STATE(7512)] = 617771,
  [SMALL_STATE(7513)] = 617808,
  [SMALL_STATE(7514)] = 617845,
  [SMALL_STATE(7515)] = 617882,
  [SMALL_STATE(7516)] = 617919,
  [SMALL_STATE(7517)] = 617956,
  [SMALL_STATE(7518)] = 617993,
  [SMALL_STATE(7519)] = 618030,
  [SMALL_STATE(7520)] = 618067,
  [SMALL_STATE(7521)] = 618106,
  [SMALL_STATE(7522)] = 618143,
  [SMALL_STATE(7523)] = 618180,
  [SMALL_STATE(7524)] = 618217,
  [SMALL_STATE(7525)] = 618254,
  [SMALL_STATE(7526)] = 618291,
  [SMALL_STATE(7527)] = 618328,
  [SMALL_STATE(7528)] = 618365,
  [SMALL_STATE(7529)] = 618402,
  [SMALL_STATE(7530)] = 618439,
  [SMALL_STATE(7531)] = 618476,
  [SMALL_STATE(7532)] = 618513,
  [SMALL_STATE(7533)] = 618550,
  [SMALL_STATE(7534)] = 618587,
  [SMALL_STATE(7535)] = 618624,
  [SMALL_STATE(7536)] = 618663,
  [SMALL_STATE(7537)] = 618700,
  [SMALL_STATE(7538)] = 618737,
  [SMALL_STATE(7539)] = 618774,
  [SMALL_STATE(7540)] = 618811,
  [SMALL_STATE(7541)] = 618848,
  [SMALL_STATE(7542)] = 618885,
  [SMALL_STATE(7543)] = 618922,
  [SMALL_STATE(7544)] = 618959,
  [SMALL_STATE(7545)] = 618996,
  [SMALL_STATE(7546)] = 619033,
  [SMALL_STATE(7547)] = 619070,
  [SMALL_STATE(7548)] = 619107,
  [SMALL_STATE(7549)] = 619144,
  [SMALL_STATE(7550)] = 619181,
  [SMALL_STATE(7551)] = 619220,
  [SMALL_STATE(7552)] = 619257,
  [SMALL_STATE(7553)] = 619294,
  [SMALL_STATE(7554)] = 619331,
  [SMALL_STATE(7555)] = 619368,
  [SMALL_STATE(7556)] = 619405,
  [SMALL_STATE(7557)] = 619442,
  [SMALL_STATE(7558)] = 619479,
  [SMALL_STATE(7559)] = 619516,
  [SMALL_STATE(7560)] = 619553,
  [SMALL_STATE(7561)] = 619590,
  [SMALL_STATE(7562)] = 619627,
  [SMALL_STATE(7563)] = 619664,
  [SMALL_STATE(7564)] = 619701,
  [SMALL_STATE(7565)] = 619738,
  [SMALL_STATE(7566)] = 619775,
  [SMALL_STATE(7567)] = 619812,
  [SMALL_STATE(7568)] = 619849,
  [SMALL_STATE(7569)] = 619886,
  [SMALL_STATE(7570)] = 619923,
  [SMALL_STATE(7571)] = 619960,
  [SMALL_STATE(7572)] = 619997,
  [SMALL_STATE(7573)] = 620034,
  [SMALL_STATE(7574)] = 620071,
  [SMALL_STATE(7575)] = 620108,
  [SMALL_STATE(7576)] = 620145,
  [SMALL_STATE(7577)] = 620182,
  [SMALL_STATE(7578)] = 620219,
  [SMALL_STATE(7579)] = 620256,
  [SMALL_STATE(7580)] = 620293,
  [SMALL_STATE(7581)] = 620330,
  [SMALL_STATE(7582)] = 620367,
  [SMALL_STATE(7583)] = 620404,
  [SMALL_STATE(7584)] = 620441,
  [SMALL_STATE(7585)] = 620480,
  [SMALL_STATE(7586)] = 620517,
  [SMALL_STATE(7587)] = 620556,
  [SMALL_STATE(7588)] = 620593,
  [SMALL_STATE(7589)] = 620630,
  [SMALL_STATE(7590)] = 620667,
  [SMALL_STATE(7591)] = 620704,
  [SMALL_STATE(7592)] = 620741,
  [SMALL_STATE(7593)] = 620778,
  [SMALL_STATE(7594)] = 620815,
  [SMALL_STATE(7595)] = 620852,
  [SMALL_STATE(7596)] = 620889,
  [SMALL_STATE(7597)] = 620926,
  [SMALL_STATE(7598)] = 620963,
  [SMALL_STATE(7599)] = 621000,
  [SMALL_STATE(7600)] = 621037,
  [SMALL_STATE(7601)] = 621074,
  [SMALL_STATE(7602)] = 621111,
  [SMALL_STATE(7603)] = 621148,
  [SMALL_STATE(7604)] = 621185,
  [SMALL_STATE(7605)] = 621222,
  [SMALL_STATE(7606)] = 621259,
  [SMALL_STATE(7607)] = 621296,
  [SMALL_STATE(7608)] = 621333,
  [SMALL_STATE(7609)] = 621370,
  [SMALL_STATE(7610)] = 621407,
  [SMALL_STATE(7611)] = 621444,
  [SMALL_STATE(7612)] = 621481,
  [SMALL_STATE(7613)] = 621518,
  [SMALL_STATE(7614)] = 621555,
  [SMALL_STATE(7615)] = 621592,
  [SMALL_STATE(7616)] = 621631,
  [SMALL_STATE(7617)] = 621668,
  [SMALL_STATE(7618)] = 621707,
  [SMALL_STATE(7619)] = 621744,
  [SMALL_STATE(7620)] = 621781,
  [SMALL_STATE(7621)] = 621818,
  [SMALL_STATE(7622)] = 621855,
  [SMALL_STATE(7623)] = 621892,
  [SMALL_STATE(7624)] = 621929,
  [SMALL_STATE(7625)] = 621966,
  [SMALL_STATE(7626)] = 622003,
  [SMALL_STATE(7627)] = 622040,
  [SMALL_STATE(7628)] = 622077,
  [SMALL_STATE(7629)] = 622114,
  [SMALL_STATE(7630)] = 622151,
  [SMALL_STATE(7631)] = 622188,
  [SMALL_STATE(7632)] = 622225,
  [SMALL_STATE(7633)] = 622262,
  [SMALL_STATE(7634)] = 622299,
  [SMALL_STATE(7635)] = 622336,
  [SMALL_STATE(7636)] = 622375,
  [SMALL_STATE(7637)] = 622412,
  [SMALL_STATE(7638)] = 622449,
  [SMALL_STATE(7639)] = 622486,
  [SMALL_STATE(7640)] = 622523,
  [SMALL_STATE(7641)] = 622560,
  [SMALL_STATE(7642)] = 622599,
  [SMALL_STATE(7643)] = 622636,
  [SMALL_STATE(7644)] = 622673,
  [SMALL_STATE(7645)] = 622710,
  [SMALL_STATE(7646)] = 622747,
  [SMALL_STATE(7647)] = 622784,
  [SMALL_STATE(7648)] = 622821,
  [SMALL_STATE(7649)] = 622858,
  [SMALL_STATE(7650)] = 622895,
  [SMALL_STATE(7651)] = 622932,
  [SMALL_STATE(7652)] = 622969,
  [SMALL_STATE(7653)] = 623006,
  [SMALL_STATE(7654)] = 623043,
  [SMALL_STATE(7655)] = 623080,
  [SMALL_STATE(7656)] = 623117,
  [SMALL_STATE(7657)] = 623154,
  [SMALL_STATE(7658)] = 623191,
  [SMALL_STATE(7659)] = 623228,
  [SMALL_STATE(7660)] = 623265,
  [SMALL_STATE(7661)] = 623302,
  [SMALL_STATE(7662)] = 623339,
  [SMALL_STATE(7663)] = 623376,
  [SMALL_STATE(7664)] = 623413,
  [SMALL_STATE(7665)] = 623450,
  [SMALL_STATE(7666)] = 623487,
  [SMALL_STATE(7667)] = 623524,
  [SMALL_STATE(7668)] = 623561,
  [SMALL_STATE(7669)] = 623598,
  [SMALL_STATE(7670)] = 623634,
  [SMALL_STATE(7671)] = 623670,
  [SMALL_STATE(7672)] = 623706,
  [SMALL_STATE(7673)] = 623742,
  [SMALL_STATE(7674)] = 623778,
  [SMALL_STATE(7675)] = 623814,
  [SMALL_STATE(7676)] = 623850,
  [SMALL_STATE(7677)] = 623886,
  [SMALL_STATE(7678)] = 623922,
  [SMALL_STATE(7679)] = 623958,
  [SMALL_STATE(7680)] = 623994,
  [SMALL_STATE(7681)] = 624030,
  [SMALL_STATE(7682)] = 624066,
  [SMALL_STATE(7683)] = 624102,
  [SMALL_STATE(7684)] = 624138,
  [SMALL_STATE(7685)] = 624174,
  [SMALL_STATE(7686)] = 624210,
  [SMALL_STATE(7687)] = 624250,
  [SMALL_STATE(7688)] = 624286,
  [SMALL_STATE(7689)] = 624322,
  [SMALL_STATE(7690)] = 624358,
  [SMALL_STATE(7691)] = 624394,
  [SMALL_STATE(7692)] = 624430,
  [SMALL_STATE(7693)] = 624466,
  [SMALL_STATE(7694)] = 624502,
  [SMALL_STATE(7695)] = 624538,
  [SMALL_STATE(7696)] = 624574,
  [SMALL_STATE(7697)] = 624610,
  [SMALL_STATE(7698)] = 624650,
  [SMALL_STATE(7699)] = 624686,
  [SMALL_STATE(7700)] = 624722,
  [SMALL_STATE(7701)] = 624758,
  [SMALL_STATE(7702)] = 624794,
  [SMALL_STATE(7703)] = 624830,
  [SMALL_STATE(7704)] = 624866,
  [SMALL_STATE(7705)] = 624902,
  [SMALL_STATE(7706)] = 624938,
  [SMALL_STATE(7707)] = 624974,
  [SMALL_STATE(7708)] = 625010,
  [SMALL_STATE(7709)] = 625046,
  [SMALL_STATE(7710)] = 625082,
  [SMALL_STATE(7711)] = 625118,
  [SMALL_STATE(7712)] = 625154,
  [SMALL_STATE(7713)] = 625190,
  [SMALL_STATE(7714)] = 625226,
  [SMALL_STATE(7715)] = 625262,
  [SMALL_STATE(7716)] = 625298,
  [SMALL_STATE(7717)] = 625336,
  [SMALL_STATE(7718)] = 625372,
  [SMALL_STATE(7719)] = 625408,
  [SMALL_STATE(7720)] = 625444,
  [SMALL_STATE(7721)] = 625480,
  [SMALL_STATE(7722)] = 625516,
  [SMALL_STATE(7723)] = 625552,
  [SMALL_STATE(7724)] = 625588,
  [SMALL_STATE(7725)] = 625624,
  [SMALL_STATE(7726)] = 625660,
  [SMALL_STATE(7727)] = 625696,
  [SMALL_STATE(7728)] = 625732,
  [SMALL_STATE(7729)] = 625768,
  [SMALL_STATE(7730)] = 625804,
  [SMALL_STATE(7731)] = 625840,
  [SMALL_STATE(7732)] = 625876,
  [SMALL_STATE(7733)] = 625912,
  [SMALL_STATE(7734)] = 625948,
  [SMALL_STATE(7735)] = 625984,
  [SMALL_STATE(7736)] = 626020,
  [SMALL_STATE(7737)] = 626056,
  [SMALL_STATE(7738)] = 626092,
  [SMALL_STATE(7739)] = 626128,
  [SMALL_STATE(7740)] = 626164,
  [SMALL_STATE(7741)] = 626200,
  [SMALL_STATE(7742)] = 626236,
  [SMALL_STATE(7743)] = 626272,
  [SMALL_STATE(7744)] = 626308,
  [SMALL_STATE(7745)] = 626344,
  [SMALL_STATE(7746)] = 626380,
  [SMALL_STATE(7747)] = 626416,
  [SMALL_STATE(7748)] = 626452,
  [SMALL_STATE(7749)] = 626488,
  [SMALL_STATE(7750)] = 626524,
  [SMALL_STATE(7751)] = 626560,
  [SMALL_STATE(7752)] = 626596,
  [SMALL_STATE(7753)] = 626632,
  [SMALL_STATE(7754)] = 626668,
  [SMALL_STATE(7755)] = 626704,
  [SMALL_STATE(7756)] = 626740,
  [SMALL_STATE(7757)] = 626776,
  [SMALL_STATE(7758)] = 626812,
  [SMALL_STATE(7759)] = 626848,
  [SMALL_STATE(7760)] = 626884,
  [SMALL_STATE(7761)] = 626920,
  [SMALL_STATE(7762)] = 626956,
  [SMALL_STATE(7763)] = 626992,
  [SMALL_STATE(7764)] = 627028,
  [SMALL_STATE(7765)] = 627064,
  [SMALL_STATE(7766)] = 627100,
  [SMALL_STATE(7767)] = 627136,
  [SMALL_STATE(7768)] = 627172,
  [SMALL_STATE(7769)] = 627208,
  [SMALL_STATE(7770)] = 627244,
  [SMALL_STATE(7771)] = 627280,
  [SMALL_STATE(7772)] = 627316,
  [SMALL_STATE(7773)] = 627352,
  [SMALL_STATE(7774)] = 627388,
  [SMALL_STATE(7775)] = 627424,
  [SMALL_STATE(7776)] = 627460,
  [SMALL_STATE(7777)] = 627496,
  [SMALL_STATE(7778)] = 627532,
  [SMALL_STATE(7779)] = 627568,
  [SMALL_STATE(7780)] = 627604,
  [SMALL_STATE(7781)] = 627640,
  [SMALL_STATE(7782)] = 627676,
  [SMALL_STATE(7783)] = 627712,
  [SMALL_STATE(7784)] = 627748,
  [SMALL_STATE(7785)] = 627784,
  [SMALL_STATE(7786)] = 627820,
  [SMALL_STATE(7787)] = 627856,
  [SMALL_STATE(7788)] = 627892,
  [SMALL_STATE(7789)] = 627928,
  [SMALL_STATE(7790)] = 627964,
  [SMALL_STATE(7791)] = 628000,
  [SMALL_STATE(7792)] = 628036,
  [SMALL_STATE(7793)] = 628072,
  [SMALL_STATE(7794)] = 628108,
  [SMALL_STATE(7795)] = 628144,
  [SMALL_STATE(7796)] = 628180,
  [SMALL_STATE(7797)] = 628216,
  [SMALL_STATE(7798)] = 628252,
  [SMALL_STATE(7799)] = 628288,
  [SMALL_STATE(7800)] = 628324,
  [SMALL_STATE(7801)] = 628360,
  [SMALL_STATE(7802)] = 628396,
  [SMALL_STATE(7803)] = 628432,
  [SMALL_STATE(7804)] = 628468,
  [SMALL_STATE(7805)] = 628504,
  [SMALL_STATE(7806)] = 628540,
  [SMALL_STATE(7807)] = 628576,
  [SMALL_STATE(7808)] = 628612,
  [SMALL_STATE(7809)] = 628648,
  [SMALL_STATE(7810)] = 628684,
  [SMALL_STATE(7811)] = 628720,
  [SMALL_STATE(7812)] = 628756,
  [SMALL_STATE(7813)] = 628791,
  [SMALL_STATE(7814)] = 628826,
  [SMALL_STATE(7815)] = 628861,
  [SMALL_STATE(7816)] = 628896,
  [SMALL_STATE(7817)] = 628931,
  [SMALL_STATE(7818)] = 628966,
  [SMALL_STATE(7819)] = 629001,
  [SMALL_STATE(7820)] = 629038,
  [SMALL_STATE(7821)] = 629073,
  [SMALL_STATE(7822)] = 629108,
  [SMALL_STATE(7823)] = 629143,
  [SMALL_STATE(7824)] = 629178,
  [SMALL_STATE(7825)] = 629213,
  [SMALL_STATE(7826)] = 629248,
  [SMALL_STATE(7827)] = 629283,
  [SMALL_STATE(7828)] = 629317,
  [SMALL_STATE(7829)] = 629351,
  [SMALL_STATE(7830)] = 629385,
  [SMALL_STATE(7831)] = 629419,
  [SMALL_STATE(7832)] = 629453,
  [SMALL_STATE(7833)] = 629487,
  [SMALL_STATE(7834)] = 629521,
  [SMALL_STATE(7835)] = 629555,
  [SMALL_STATE(7836)] = 629589,
  [SMALL_STATE(7837)] = 629623,
  [SMALL_STATE(7838)] = 629657,
  [SMALL_STATE(7839)] = 629691,
  [SMALL_STATE(7840)] = 629725,
  [SMALL_STATE(7841)] = 629759,
  [SMALL_STATE(7842)] = 629793,
  [SMALL_STATE(7843)] = 629827,
  [SMALL_STATE(7844)] = 629861,
  [SMALL_STATE(7845)] = 629895,
  [SMALL_STATE(7846)] = 629925,
  [SMALL_STATE(7847)] = 629959,
  [SMALL_STATE(7848)] = 629989,
  [SMALL_STATE(7849)] = 630019,
  [SMALL_STATE(7850)] = 630075,
  [SMALL_STATE(7851)] = 630105,
  [SMALL_STATE(7852)] = 630135,
  [SMALL_STATE(7853)] = 630191,
  [SMALL_STATE(7854)] = 630221,
  [SMALL_STATE(7855)] = 630251,
  [SMALL_STATE(7856)] = 630281,
  [SMALL_STATE(7857)] = 630311,
  [SMALL_STATE(7858)] = 630345,
  [SMALL_STATE(7859)] = 630374,
  [SMALL_STATE(7860)] = 630403,
  [SMALL_STATE(7861)] = 630436,
  [SMALL_STATE(7862)] = 630465,
  [SMALL_STATE(7863)] = 630494,
  [SMALL_STATE(7864)] = 630523,
  [SMALL_STATE(7865)] = 630556,
  [SMALL_STATE(7866)] = 630585,
  [SMALL_STATE(7867)] = 630614,
  [SMALL_STATE(7868)] = 630643,
  [SMALL_STATE(7869)] = 630672,
  [SMALL_STATE(7870)] = 630705,
  [SMALL_STATE(7871)] = 630734,
  [SMALL_STATE(7872)] = 630767,
  [SMALL_STATE(7873)] = 630796,
  [SMALL_STATE(7874)] = 630849,
  [SMALL_STATE(7875)] = 630878,
  [SMALL_STATE(7876)] = 630907,
  [SMALL_STATE(7877)] = 630936,
  [SMALL_STATE(7878)] = 630965,
  [SMALL_STATE(7879)] = 630994,
  [SMALL_STATE(7880)] = 631023,
  [SMALL_STATE(7881)] = 631052,
  [SMALL_STATE(7882)] = 631085,
  [SMALL_STATE(7883)] = 631114,
  [SMALL_STATE(7884)] = 631143,
  [SMALL_STATE(7885)] = 631172,
  [SMALL_STATE(7886)] = 631201,
  [SMALL_STATE(7887)] = 631234,
  [SMALL_STATE(7888)] = 631263,
  [SMALL_STATE(7889)] = 631292,
  [SMALL_STATE(7890)] = 631321,
  [SMALL_STATE(7891)] = 631350,
  [SMALL_STATE(7892)] = 631379,
  [SMALL_STATE(7893)] = 631407,
  [SMALL_STATE(7894)] = 631439,
  [SMALL_STATE(7895)] = 631471,
  [SMALL_STATE(7896)] = 631503,
  [SMALL_STATE(7897)] = 631535,
  [SMALL_STATE(7898)] = 631563,
  [SMALL_STATE(7899)] = 631591,
  [SMALL_STATE(7900)] = 631619,
  [SMALL_STATE(7901)] = 631647,
  [SMALL_STATE(7902)] = 631675,
  [SMALL_STATE(7903)] = 631703,
  [SMALL_STATE(7904)] = 631731,
  [SMALL_STATE(7905)] = 631759,
  [SMALL_STATE(7906)] = 631787,
  [SMALL_STATE(7907)] = 631815,
  [SMALL_STATE(7908)] = 631843,
  [SMALL_STATE(7909)] = 631871,
  [SMALL_STATE(7910)] = 631899,
  [SMALL_STATE(7911)] = 631927,
  [SMALL_STATE(7912)] = 631955,
  [SMALL_STATE(7913)] = 631983,
  [SMALL_STATE(7914)] = 632015,
  [SMALL_STATE(7915)] = 632047,
  [SMALL_STATE(7916)] = 632075,
  [SMALL_STATE(7917)] = 632107,
  [SMALL_STATE(7918)] = 632135,
  [SMALL_STATE(7919)] = 632163,
  [SMALL_STATE(7920)] = 632191,
  [SMALL_STATE(7921)] = 632219,
  [SMALL_STATE(7922)] = 632247,
  [SMALL_STATE(7923)] = 632279,
  [SMALL_STATE(7924)] = 632307,
  [SMALL_STATE(7925)] = 632335,
  [SMALL_STATE(7926)] = 632363,
  [SMALL_STATE(7927)] = 632391,
  [SMALL_STATE(7928)] = 632419,
  [SMALL_STATE(7929)] = 632447,
  [SMALL_STATE(7930)] = 632475,
  [SMALL_STATE(7931)] = 632503,
  [SMALL_STATE(7932)] = 632531,
  [SMALL_STATE(7933)] = 632559,
  [SMALL_STATE(7934)] = 632587,
  [SMALL_STATE(7935)] = 632615,
  [SMALL_STATE(7936)] = 632643,
  [SMALL_STATE(7937)] = 632688,
  [SMALL_STATE(7938)] = 632733,
  [SMALL_STATE(7939)] = 632778,
  [SMALL_STATE(7940)] = 632805,
  [SMALL_STATE(7941)] = 632850,
  [SMALL_STATE(7942)] = 632877,
  [SMALL_STATE(7943)] = 632922,
  [SMALL_STATE(7944)] = 632953,
  [SMALL_STATE(7945)] = 632980,
  [SMALL_STATE(7946)] = 633025,
  [SMALL_STATE(7947)] = 633052,
  [SMALL_STATE(7948)] = 633097,
  [SMALL_STATE(7949)] = 633124,
  [SMALL_STATE(7950)] = 633169,
  [SMALL_STATE(7951)] = 633196,
  [SMALL_STATE(7952)] = 633223,
  [SMALL_STATE(7953)] = 633268,
  [SMALL_STATE(7954)] = 633313,
  [SMALL_STATE(7955)] = 633340,
  [SMALL_STATE(7956)] = 633385,
  [SMALL_STATE(7957)] = 633416,
  [SMALL_STATE(7958)] = 633461,
  [SMALL_STATE(7959)] = 633506,
  [SMALL_STATE(7960)] = 633551,
  [SMALL_STATE(7961)] = 633578,
  [SMALL_STATE(7962)] = 633605,
  [SMALL_STATE(7963)] = 633650,
  [SMALL_STATE(7964)] = 633677,
  [SMALL_STATE(7965)] = 633704,
  [SMALL_STATE(7966)] = 633749,
  [SMALL_STATE(7967)] = 633776,
  [SMALL_STATE(7968)] = 633821,
  [SMALL_STATE(7969)] = 633866,
  [SMALL_STATE(7970)] = 633911,
  [SMALL_STATE(7971)] = 633956,
  [SMALL_STATE(7972)] = 634001,
  [SMALL_STATE(7973)] = 634046,
  [SMALL_STATE(7974)] = 634073,
  [SMALL_STATE(7975)] = 634118,
  [SMALL_STATE(7976)] = 634145,
  [SMALL_STATE(7977)] = 634172,
  [SMALL_STATE(7978)] = 634217,
  [SMALL_STATE(7979)] = 634262,
  [SMALL_STATE(7980)] = 634289,
  [SMALL_STATE(7981)] = 634334,
  [SMALL_STATE(7982)] = 634361,
  [SMALL_STATE(7983)] = 634408,
  [SMALL_STATE(7984)] = 634453,
  [SMALL_STATE(7985)] = 634480,
  [SMALL_STATE(7986)] = 634525,
  [SMALL_STATE(7987)] = 634570,
  [SMALL_STATE(7988)] = 634615,
  [SMALL_STATE(7989)] = 634646,
  [SMALL_STATE(7990)] = 634673,
  [SMALL_STATE(7991)] = 634700,
  [SMALL_STATE(7992)] = 634727,
  [SMALL_STATE(7993)] = 634772,
  [SMALL_STATE(7994)] = 634799,
  [SMALL_STATE(7995)] = 634830,
  [SMALL_STATE(7996)] = 634861,
  [SMALL_STATE(7997)] = 634908,
  [SMALL_STATE(7998)] = 634953,
  [SMALL_STATE(7999)] = 634998,
  [SMALL_STATE(8000)] = 635029,
  [SMALL_STATE(8001)] = 635056,
  [SMALL_STATE(8002)] = 635101,
  [SMALL_STATE(8003)] = 635148,
  [SMALL_STATE(8004)] = 635193,
  [SMALL_STATE(8005)] = 635220,
  [SMALL_STATE(8006)] = 635265,
  [SMALL_STATE(8007)] = 635312,
  [SMALL_STATE(8008)] = 635357,
  [SMALL_STATE(8009)] = 635402,
  [SMALL_STATE(8010)] = 635429,
  [SMALL_STATE(8011)] = 635474,
  [SMALL_STATE(8012)] = 635519,
  [SMALL_STATE(8013)] = 635564,
  [SMALL_STATE(8014)] = 635609,
  [SMALL_STATE(8015)] = 635636,
  [SMALL_STATE(8016)] = 635663,
  [SMALL_STATE(8017)] = 635708,
  [SMALL_STATE(8018)] = 635753,
  [SMALL_STATE(8019)] = 635780,
  [SMALL_STATE(8020)] = 635807,
  [SMALL_STATE(8021)] = 635838,
  [SMALL_STATE(8022)] = 635865,
  [SMALL_STATE(8023)] = 635892,
  [SMALL_STATE(8024)] = 635919,
  [SMALL_STATE(8025)] = 635964,
  [SMALL_STATE(8026)] = 636009,
  [SMALL_STATE(8027)] = 636040,
  [SMALL_STATE(8028)] = 636067,
  [SMALL_STATE(8029)] = 636094,
  [SMALL_STATE(8030)] = 636121,
  [SMALL_STATE(8031)] = 636147,
  [SMALL_STATE(8032)] = 636191,
  [SMALL_STATE(8033)] = 636237,
  [SMALL_STATE(8034)] = 636263,
  [SMALL_STATE(8035)] = 636307,
  [SMALL_STATE(8036)] = 636337,
  [SMALL_STATE(8037)] = 636363,
  [SMALL_STATE(8038)] = 636389,
  [SMALL_STATE(8039)] = 636431,
  [SMALL_STATE(8040)] = 636477,
  [SMALL_STATE(8041)] = 636503,
  [SMALL_STATE(8042)] = 636549,
  [SMALL_STATE(8043)] = 636595,
  [SMALL_STATE(8044)] = 636625,
  [SMALL_STATE(8045)] = 636671,
  [SMALL_STATE(8046)] = 636717,
  [SMALL_STATE(8047)] = 636743,
  [SMALL_STATE(8048)] = 636789,
  [SMALL_STATE(8049)] = 636833,
  [SMALL_STATE(8050)] = 636859,
  [SMALL_STATE(8051)] = 636903,
  [SMALL_STATE(8052)] = 636929,
  [SMALL_STATE(8053)] = 636955,
  [SMALL_STATE(8054)] = 636981,
  [SMALL_STATE(8055)] = 637011,
  [SMALL_STATE(8056)] = 637057,
  [SMALL_STATE(8057)] = 637103,
  [SMALL_STATE(8058)] = 637149,
  [SMALL_STATE(8059)] = 637175,
  [SMALL_STATE(8060)] = 637205,
  [SMALL_STATE(8061)] = 637251,
  [SMALL_STATE(8062)] = 637297,
  [SMALL_STATE(8063)] = 637343,
  [SMALL_STATE(8064)] = 637389,
  [SMALL_STATE(8065)] = 637415,
  [SMALL_STATE(8066)] = 637445,
  [SMALL_STATE(8067)] = 637475,
  [SMALL_STATE(8068)] = 637521,
  [SMALL_STATE(8069)] = 637551,
  [SMALL_STATE(8070)] = 637581,
  [SMALL_STATE(8071)] = 637627,
  [SMALL_STATE(8072)] = 637673,
  [SMALL_STATE(8073)] = 637719,
  [SMALL_STATE(8074)] = 637765,
  [SMALL_STATE(8075)] = 637811,
  [SMALL_STATE(8076)] = 637857,
  [SMALL_STATE(8077)] = 637899,
  [SMALL_STATE(8078)] = 637945,
  [SMALL_STATE(8079)] = 637975,
  [SMALL_STATE(8080)] = 638019,
  [SMALL_STATE(8081)] = 638065,
  [SMALL_STATE(8082)] = 638111,
  [SMALL_STATE(8083)] = 638157,
  [SMALL_STATE(8084)] = 638203,
  [SMALL_STATE(8085)] = 638249,
  [SMALL_STATE(8086)] = 638275,
  [SMALL_STATE(8087)] = 638319,
  [SMALL_STATE(8088)] = 638345,
  [SMALL_STATE(8089)] = 638391,
  [SMALL_STATE(8090)] = 638417,
  [SMALL_STATE(8091)] = 638463,
  [SMALL_STATE(8092)] = 638489,
  [SMALL_STATE(8093)] = 638535,
  [SMALL_STATE(8094)] = 638581,
  [SMALL_STATE(8095)] = 638627,
  [SMALL_STATE(8096)] = 638673,
  [SMALL_STATE(8097)] = 638699,
  [SMALL_STATE(8098)] = 638745,
  [SMALL_STATE(8099)] = 638791,
  [SMALL_STATE(8100)] = 638837,
  [SMALL_STATE(8101)] = 638883,
  [SMALL_STATE(8102)] = 638927,
  [SMALL_STATE(8103)] = 638953,
  [SMALL_STATE(8104)] = 638979,
  [SMALL_STATE(8105)] = 639025,
  [SMALL_STATE(8106)] = 639069,
  [SMALL_STATE(8107)] = 639095,
  [SMALL_STATE(8108)] = 639141,
  [SMALL_STATE(8109)] = 639185,
  [SMALL_STATE(8110)] = 639231,
  [SMALL_STATE(8111)] = 639257,
  [SMALL_STATE(8112)] = 639303,
  [SMALL_STATE(8113)] = 639349,
  [SMALL_STATE(8114)] = 639375,
  [SMALL_STATE(8115)] = 639401,
  [SMALL_STATE(8116)] = 639427,
  [SMALL_STATE(8117)] = 639473,
  [SMALL_STATE(8118)] = 639519,
  [SMALL_STATE(8119)] = 639565,
  [SMALL_STATE(8120)] = 639591,
  [SMALL_STATE(8121)] = 639617,
  [SMALL_STATE(8122)] = 639643,
  [SMALL_STATE(8123)] = 639689,
  [SMALL_STATE(8124)] = 639735,
  [SMALL_STATE(8125)] = 639781,
  [SMALL_STATE(8126)] = 639811,
  [SMALL_STATE(8127)] = 639837,
  [SMALL_STATE(8128)] = 639863,
  [SMALL_STATE(8129)] = 639889,
  [SMALL_STATE(8130)] = 639915,
  [SMALL_STATE(8131)] = 639957,
  [SMALL_STATE(8132)] = 640003,
  [SMALL_STATE(8133)] = 640049,
  [SMALL_STATE(8134)] = 640075,
  [SMALL_STATE(8135)] = 640119,
  [SMALL_STATE(8136)] = 640145,
  [SMALL_STATE(8137)] = 640191,
  [SMALL_STATE(8138)] = 640237,
  [SMALL_STATE(8139)] = 640283,
  [SMALL_STATE(8140)] = 640309,
  [SMALL_STATE(8141)] = 640355,
  [SMALL_STATE(8142)] = 640401,
  [SMALL_STATE(8143)] = 640427,
  [SMALL_STATE(8144)] = 640453,
  [SMALL_STATE(8145)] = 640499,
  [SMALL_STATE(8146)] = 640525,
  [SMALL_STATE(8147)] = 640551,
  [SMALL_STATE(8148)] = 640577,
  [SMALL_STATE(8149)] = 640603,
  [SMALL_STATE(8150)] = 640649,
  [SMALL_STATE(8151)] = 640695,
  [SMALL_STATE(8152)] = 640741,
  [SMALL_STATE(8153)] = 640767,
  [SMALL_STATE(8154)] = 640793,
  [SMALL_STATE(8155)] = 640819,
  [SMALL_STATE(8156)] = 640845,
  [SMALL_STATE(8157)] = 640871,
  [SMALL_STATE(8158)] = 640900,
  [SMALL_STATE(8159)] = 640929,
  [SMALL_STATE(8160)] = 640954,
  [SMALL_STATE(8161)] = 640983,
  [SMALL_STATE(8162)] = 641008,
  [SMALL_STATE(8163)] = 641033,
  [SMALL_STATE(8164)] = 641058,
  [SMALL_STATE(8165)] = 641083,
  [SMALL_STATE(8166)] = 641108,
  [SMALL_STATE(8167)] = 641133,
  [SMALL_STATE(8168)] = 641158,
  [SMALL_STATE(8169)] = 641183,
  [SMALL_STATE(8170)] = 641208,
  [SMALL_STATE(8171)] = 641235,
  [SMALL_STATE(8172)] = 641260,
  [SMALL_STATE(8173)] = 641285,
  [SMALL_STATE(8174)] = 641310,
  [SMALL_STATE(8175)] = 641335,
  [SMALL_STATE(8176)] = 641364,
  [SMALL_STATE(8177)] = 641389,
  [SMALL_STATE(8178)] = 641414,
  [SMALL_STATE(8179)] = 641441,
  [SMALL_STATE(8180)] = 641482,
  [SMALL_STATE(8181)] = 641507,
  [SMALL_STATE(8182)] = 641532,
  [SMALL_STATE(8183)] = 641573,
  [SMALL_STATE(8184)] = 641598,
  [SMALL_STATE(8185)] = 641623,
  [SMALL_STATE(8186)] = 641648,
  [SMALL_STATE(8187)] = 641673,
  [SMALL_STATE(8188)] = 641698,
  [SMALL_STATE(8189)] = 641723,
  [SMALL_STATE(8190)] = 641748,
  [SMALL_STATE(8191)] = 641789,
  [SMALL_STATE(8192)] = 641818,
  [SMALL_STATE(8193)] = 641843,
  [SMALL_STATE(8194)] = 641868,
  [SMALL_STATE(8195)] = 641893,
  [SMALL_STATE(8196)] = 641918,
  [SMALL_STATE(8197)] = 641947,
  [SMALL_STATE(8198)] = 641972,
  [SMALL_STATE(8199)] = 641997,
  [SMALL_STATE(8200)] = 642022,
  [SMALL_STATE(8201)] = 642047,
  [SMALL_STATE(8202)] = 642072,
  [SMALL_STATE(8203)] = 642097,
  [SMALL_STATE(8204)] = 642122,
  [SMALL_STATE(8205)] = 642147,
  [SMALL_STATE(8206)] = 642172,
  [SMALL_STATE(8207)] = 642197,
  [SMALL_STATE(8208)] = 642222,
  [SMALL_STATE(8209)] = 642247,
  [SMALL_STATE(8210)] = 642272,
  [SMALL_STATE(8211)] = 642297,
  [SMALL_STATE(8212)] = 642322,
  [SMALL_STATE(8213)] = 642363,
  [SMALL_STATE(8214)] = 642388,
  [SMALL_STATE(8215)] = 642429,
  [SMALL_STATE(8216)] = 642458,
  [SMALL_STATE(8217)] = 642499,
  [SMALL_STATE(8218)] = 642524,
  [SMALL_STATE(8219)] = 642549,
  [SMALL_STATE(8220)] = 642574,
  [SMALL_STATE(8221)] = 642599,
  [SMALL_STATE(8222)] = 642624,
  [SMALL_STATE(8223)] = 642665,
  [SMALL_STATE(8224)] = 642690,
  [SMALL_STATE(8225)] = 642715,
  [SMALL_STATE(8226)] = 642740,
  [SMALL_STATE(8227)] = 642765,
  [SMALL_STATE(8228)] = 642794,
  [SMALL_STATE(8229)] = 642819,
  [SMALL_STATE(8230)] = 642844,
  [SMALL_STATE(8231)] = 642869,
  [SMALL_STATE(8232)] = 642894,
  [SMALL_STATE(8233)] = 642923,
  [SMALL_STATE(8234)] = 642948,
  [SMALL_STATE(8235)] = 642973,
  [SMALL_STATE(8236)] = 642998,
  [SMALL_STATE(8237)] = 643023,
  [SMALL_STATE(8238)] = 643048,
  [SMALL_STATE(8239)] = 643077,
  [SMALL_STATE(8240)] = 643102,
  [SMALL_STATE(8241)] = 643131,
  [SMALL_STATE(8242)] = 643156,
  [SMALL_STATE(8243)] = 643185,
  [SMALL_STATE(8244)] = 643210,
  [SMALL_STATE(8245)] = 643235,
  [SMALL_STATE(8246)] = 643260,
  [SMALL_STATE(8247)] = 643285,
  [SMALL_STATE(8248)] = 643314,
  [SMALL_STATE(8249)] = 643339,
  [SMALL_STATE(8250)] = 643364,
  [SMALL_STATE(8251)] = 643393,
  [SMALL_STATE(8252)] = 643422,
  [SMALL_STATE(8253)] = 643447,
  [SMALL_STATE(8254)] = 643472,
  [SMALL_STATE(8255)] = 643497,
  [SMALL_STATE(8256)] = 643522,
  [SMALL_STATE(8257)] = 643547,
  [SMALL_STATE(8258)] = 643588,
  [SMALL_STATE(8259)] = 643613,
  [SMALL_STATE(8260)] = 643638,
  [SMALL_STATE(8261)] = 643663,
  [SMALL_STATE(8262)] = 643704,
  [SMALL_STATE(8263)] = 643729,
  [SMALL_STATE(8264)] = 643758,
  [SMALL_STATE(8265)] = 643783,
  [SMALL_STATE(8266)] = 643809,
  [SMALL_STATE(8267)] = 643837,
  [SMALL_STATE(8268)] = 643875,
  [SMALL_STATE(8269)] = 643899,
  [SMALL_STATE(8270)] = 643925,
  [SMALL_STATE(8271)] = 643949,
  [SMALL_STATE(8272)] = 643989,
  [SMALL_STATE(8273)] = 644029,
  [SMALL_STATE(8274)] = 644053,
  [SMALL_STATE(8275)] = 644093,
  [SMALL_STATE(8276)] = 644117,
  [SMALL_STATE(8277)] = 644141,
  [SMALL_STATE(8278)] = 644165,
  [SMALL_STATE(8279)] = 644189,
  [SMALL_STATE(8280)] = 644213,
  [SMALL_STATE(8281)] = 644253,
  [SMALL_STATE(8282)] = 644293,
  [SMALL_STATE(8283)] = 644331,
  [SMALL_STATE(8284)] = 644355,
  [SMALL_STATE(8285)] = 644379,
  [SMALL_STATE(8286)] = 644403,
  [SMALL_STATE(8287)] = 644443,
  [SMALL_STATE(8288)] = 644467,
  [SMALL_STATE(8289)] = 644507,
  [SMALL_STATE(8290)] = 644531,
  [SMALL_STATE(8291)] = 644555,
  [SMALL_STATE(8292)] = 644579,
  [SMALL_STATE(8293)] = 644603,
  [SMALL_STATE(8294)] = 644627,
  [SMALL_STATE(8295)] = 644651,
  [SMALL_STATE(8296)] = 644675,
  [SMALL_STATE(8297)] = 644699,
  [SMALL_STATE(8298)] = 644723,
  [SMALL_STATE(8299)] = 644747,
  [SMALL_STATE(8300)] = 644771,
  [SMALL_STATE(8301)] = 644811,
  [SMALL_STATE(8302)] = 644835,
  [SMALL_STATE(8303)] = 644859,
  [SMALL_STATE(8304)] = 644883,
  [SMALL_STATE(8305)] = 644923,
  [SMALL_STATE(8306)] = 644951,
  [SMALL_STATE(8307)] = 644977,
  [SMALL_STATE(8308)] = 645001,
  [SMALL_STATE(8309)] = 645041,
  [SMALL_STATE(8310)] = 645065,
  [SMALL_STATE(8311)] = 645089,
  [SMALL_STATE(8312)] = 645113,
  [SMALL_STATE(8313)] = 645141,
  [SMALL_STATE(8314)] = 645181,
  [SMALL_STATE(8315)] = 645205,
  [SMALL_STATE(8316)] = 645229,
  [SMALL_STATE(8317)] = 645269,
  [SMALL_STATE(8318)] = 645293,
  [SMALL_STATE(8319)] = 645317,
  [SMALL_STATE(8320)] = 645357,
  [SMALL_STATE(8321)] = 645381,
  [SMALL_STATE(8322)] = 645405,
  [SMALL_STATE(8323)] = 645445,
  [SMALL_STATE(8324)] = 645473,
  [SMALL_STATE(8325)] = 645497,
  [SMALL_STATE(8326)] = 645523,
  [SMALL_STATE(8327)] = 645547,
  [SMALL_STATE(8328)] = 645571,
  [SMALL_STATE(8329)] = 645611,
  [SMALL_STATE(8330)] = 645635,
  [SMALL_STATE(8331)] = 645659,
  [SMALL_STATE(8332)] = 645683,
  [SMALL_STATE(8333)] = 645707,
  [SMALL_STATE(8334)] = 645735,
  [SMALL_STATE(8335)] = 645775,
  [SMALL_STATE(8336)] = 645799,
  [SMALL_STATE(8337)] = 645823,
  [SMALL_STATE(8338)] = 645847,
  [SMALL_STATE(8339)] = 645871,
  [SMALL_STATE(8340)] = 645895,
  [SMALL_STATE(8341)] = 645923,
  [SMALL_STATE(8342)] = 645963,
  [SMALL_STATE(8343)] = 645987,
  [SMALL_STATE(8344)] = 646025,
  [SMALL_STATE(8345)] = 646065,
  [SMALL_STATE(8346)] = 646089,
  [SMALL_STATE(8347)] = 646113,
  [SMALL_STATE(8348)] = 646141,
  [SMALL_STATE(8349)] = 646165,
  [SMALL_STATE(8350)] = 646189,
  [SMALL_STATE(8351)] = 646213,
  [SMALL_STATE(8352)] = 646241,
  [SMALL_STATE(8353)] = 646265,
  [SMALL_STATE(8354)] = 646289,
  [SMALL_STATE(8355)] = 646313,
  [SMALL_STATE(8356)] = 646337,
  [SMALL_STATE(8357)] = 646361,
  [SMALL_STATE(8358)] = 646385,
  [SMALL_STATE(8359)] = 646409,
  [SMALL_STATE(8360)] = 646435,
  [SMALL_STATE(8361)] = 646475,
  [SMALL_STATE(8362)] = 646499,
  [SMALL_STATE(8363)] = 646523,
  [SMALL_STATE(8364)] = 646563,
  [SMALL_STATE(8365)] = 646587,
  [SMALL_STATE(8366)] = 646611,
  [SMALL_STATE(8367)] = 646635,
  [SMALL_STATE(8368)] = 646659,
  [SMALL_STATE(8369)] = 646699,
  [SMALL_STATE(8370)] = 646739,
  [SMALL_STATE(8371)] = 646779,
  [SMALL_STATE(8372)] = 646803,
  [SMALL_STATE(8373)] = 646829,
  [SMALL_STATE(8374)] = 646869,
  [SMALL_STATE(8375)] = 646893,
  [SMALL_STATE(8376)] = 646917,
  [SMALL_STATE(8377)] = 646945,
  [SMALL_STATE(8378)] = 646969,
  [SMALL_STATE(8379)] = 647009,
  [SMALL_STATE(8380)] = 647033,
  [SMALL_STATE(8381)] = 647073,
  [SMALL_STATE(8382)] = 647097,
  [SMALL_STATE(8383)] = 647121,
  [SMALL_STATE(8384)] = 647145,
  [SMALL_STATE(8385)] = 647185,
  [SMALL_STATE(8386)] = 647209,
  [SMALL_STATE(8387)] = 647235,
  [SMALL_STATE(8388)] = 647259,
  [SMALL_STATE(8389)] = 647283,
  [SMALL_STATE(8390)] = 647323,
  [SMALL_STATE(8391)] = 647347,
  [SMALL_STATE(8392)] = 647371,
  [SMALL_STATE(8393)] = 647411,
  [SMALL_STATE(8394)] = 647435,
  [SMALL_STATE(8395)] = 647463,
  [SMALL_STATE(8396)] = 647503,
  [SMALL_STATE(8397)] = 647527,
  [SMALL_STATE(8398)] = 647567,
  [SMALL_STATE(8399)] = 647607,
  [SMALL_STATE(8400)] = 647631,
  [SMALL_STATE(8401)] = 647655,
  [SMALL_STATE(8402)] = 647695,
  [SMALL_STATE(8403)] = 647735,
  [SMALL_STATE(8404)] = 647773,
  [SMALL_STATE(8405)] = 647797,
  [SMALL_STATE(8406)] = 647821,
  [SMALL_STATE(8407)] = 647845,
  [SMALL_STATE(8408)] = 647885,
  [SMALL_STATE(8409)] = 647909,
  [SMALL_STATE(8410)] = 647933,
  [SMALL_STATE(8411)] = 647961,
  [SMALL_STATE(8412)] = 647985,
  [SMALL_STATE(8413)] = 648025,
  [SMALL_STATE(8414)] = 648049,
  [SMALL_STATE(8415)] = 648073,
  [SMALL_STATE(8416)] = 648101,
  [SMALL_STATE(8417)] = 648125,
  [SMALL_STATE(8418)] = 648163,
  [SMALL_STATE(8419)] = 648189,
  [SMALL_STATE(8420)] = 648227,
  [SMALL_STATE(8421)] = 648251,
  [SMALL_STATE(8422)] = 648279,
  [SMALL_STATE(8423)] = 648303,
  [SMALL_STATE(8424)] = 648341,
  [SMALL_STATE(8425)] = 648365,
  [SMALL_STATE(8426)] = 648405,
  [SMALL_STATE(8427)] = 648445,
  [SMALL_STATE(8428)] = 648483,
  [SMALL_STATE(8429)] = 648521,
  [SMALL_STATE(8430)] = 648547,
  [SMALL_STATE(8431)] = 648587,
  [SMALL_STATE(8432)] = 648611,
  [SMALL_STATE(8433)] = 648649,
  [SMALL_STATE(8434)] = 648673,
  [SMALL_STATE(8435)] = 648713,
  [SMALL_STATE(8436)] = 648751,
  [SMALL_STATE(8437)] = 648789,
  [SMALL_STATE(8438)] = 648817,
  [SMALL_STATE(8439)] = 648857,
  [SMALL_STATE(8440)] = 648895,
  [SMALL_STATE(8441)] = 648933,
  [SMALL_STATE(8442)] = 648973,
  [SMALL_STATE(8443)] = 649011,
  [SMALL_STATE(8444)] = 649035,
  [SMALL_STATE(8445)] = 649059,
  [SMALL_STATE(8446)] = 649099,
  [SMALL_STATE(8447)] = 649123,
  [SMALL_STATE(8448)] = 649161,
  [SMALL_STATE(8449)] = 649185,
  [SMALL_STATE(8450)] = 649223,
  [SMALL_STATE(8451)] = 649247,
  [SMALL_STATE(8452)] = 649285,
  [SMALL_STATE(8453)] = 649325,
  [SMALL_STATE(8454)] = 649365,
  [SMALL_STATE(8455)] = 649393,
  [SMALL_STATE(8456)] = 649431,
  [SMALL_STATE(8457)] = 649455,
  [SMALL_STATE(8458)] = 649493,
  [SMALL_STATE(8459)] = 649517,
  [SMALL_STATE(8460)] = 649555,
  [SMALL_STATE(8461)] = 649593,
  [SMALL_STATE(8462)] = 649633,
  [SMALL_STATE(8463)] = 649673,
  [SMALL_STATE(8464)] = 649711,
  [SMALL_STATE(8465)] = 649749,
  [SMALL_STATE(8466)] = 649773,
  [SMALL_STATE(8467)] = 649811,
  [SMALL_STATE(8468)] = 649849,
  [SMALL_STATE(8469)] = 649873,
  [SMALL_STATE(8470)] = 649897,
  [SMALL_STATE(8471)] = 649935,
  [SMALL_STATE(8472)] = 649973,
  [SMALL_STATE(8473)] = 649997,
  [SMALL_STATE(8474)] = 650035,
  [SMALL_STATE(8475)] = 650059,
  [SMALL_STATE(8476)] = 650097,
  [SMALL_STATE(8477)] = 650135,
  [SMALL_STATE(8478)] = 650173,
  [SMALL_STATE(8479)] = 650211,
  [SMALL_STATE(8480)] = 650251,
  [SMALL_STATE(8481)] = 650289,
  [SMALL_STATE(8482)] = 650313,
  [SMALL_STATE(8483)] = 650351,
  [SMALL_STATE(8484)] = 650375,
  [SMALL_STATE(8485)] = 650413,
  [SMALL_STATE(8486)] = 650453,
  [SMALL_STATE(8487)] = 650491,
  [SMALL_STATE(8488)] = 650529,
  [SMALL_STATE(8489)] = 650567,
  [SMALL_STATE(8490)] = 650605,
  [SMALL_STATE(8491)] = 650643,
  [SMALL_STATE(8492)] = 650671,
  [SMALL_STATE(8493)] = 650709,
  [SMALL_STATE(8494)] = 650733,
  [SMALL_STATE(8495)] = 650771,
  [SMALL_STATE(8496)] = 650795,
  [SMALL_STATE(8497)] = 650833,
  [SMALL_STATE(8498)] = 650873,
  [SMALL_STATE(8499)] = 650911,
  [SMALL_STATE(8500)] = 650949,
  [SMALL_STATE(8501)] = 650987,
  [SMALL_STATE(8502)] = 651025,
  [SMALL_STATE(8503)] = 651049,
  [SMALL_STATE(8504)] = 651073,
  [SMALL_STATE(8505)] = 651097,
  [SMALL_STATE(8506)] = 651121,
  [SMALL_STATE(8507)] = 651145,
  [SMALL_STATE(8508)] = 651169,
  [SMALL_STATE(8509)] = 651193,
  [SMALL_STATE(8510)] = 651217,
  [SMALL_STATE(8511)] = 651257,
  [SMALL_STATE(8512)] = 651297,
  [SMALL_STATE(8513)] = 651321,
  [SMALL_STATE(8514)] = 651349,
  [SMALL_STATE(8515)] = 651389,
  [SMALL_STATE(8516)] = 651413,
  [SMALL_STATE(8517)] = 651441,
  [SMALL_STATE(8518)] = 651465,
  [SMALL_STATE(8519)] = 651489,
  [SMALL_STATE(8520)] = 651515,
  [SMALL_STATE(8521)] = 651538,
  [SMALL_STATE(8522)] = 651561,
  [SMALL_STATE(8523)] = 651588,
  [SMALL_STATE(8524)] = 651611,
  [SMALL_STATE(8525)] = 651636,
  [SMALL_STATE(8526)] = 651659,
  [SMALL_STATE(8527)] = 651682,
  [SMALL_STATE(8528)] = 651707,
  [SMALL_STATE(8529)] = 651730,
  [SMALL_STATE(8530)] = 651753,
  [SMALL_STATE(8531)] = 651778,
  [SMALL_STATE(8532)] = 651801,
  [SMALL_STATE(8533)] = 651824,
  [SMALL_STATE(8534)] = 651849,
  [SMALL_STATE(8535)] = 651872,
  [SMALL_STATE(8536)] = 651897,
  [SMALL_STATE(8537)] = 651920,
  [SMALL_STATE(8538)] = 651943,
  [SMALL_STATE(8539)] = 651966,
  [SMALL_STATE(8540)] = 651989,
  [SMALL_STATE(8541)] = 652016,
  [SMALL_STATE(8542)] = 652039,
  [SMALL_STATE(8543)] = 652062,
  [SMALL_STATE(8544)] = 652085,
  [SMALL_STATE(8545)] = 652112,
  [SMALL_STATE(8546)] = 652135,
  [SMALL_STATE(8547)] = 652158,
  [SMALL_STATE(8548)] = 652183,
  [SMALL_STATE(8549)] = 652206,
  [SMALL_STATE(8550)] = 652229,
  [SMALL_STATE(8551)] = 652254,
  [SMALL_STATE(8552)] = 652277,
  [SMALL_STATE(8553)] = 652300,
  [SMALL_STATE(8554)] = 652323,
  [SMALL_STATE(8555)] = 652346,
  [SMALL_STATE(8556)] = 652369,
  [SMALL_STATE(8557)] = 652392,
  [SMALL_STATE(8558)] = 652415,
  [SMALL_STATE(8559)] = 652438,
  [SMALL_STATE(8560)] = 652461,
  [SMALL_STATE(8561)] = 652486,
  [SMALL_STATE(8562)] = 652509,
  [SMALL_STATE(8563)] = 652532,
  [SMALL_STATE(8564)] = 652555,
  [SMALL_STATE(8565)] = 652578,
  [SMALL_STATE(8566)] = 652601,
  [SMALL_STATE(8567)] = 652624,
  [SMALL_STATE(8568)] = 652647,
  [SMALL_STATE(8569)] = 652670,
  [SMALL_STATE(8570)] = 652693,
  [SMALL_STATE(8571)] = 652716,
  [SMALL_STATE(8572)] = 652739,
  [SMALL_STATE(8573)] = 652762,
  [SMALL_STATE(8574)] = 652785,
  [SMALL_STATE(8575)] = 652808,
  [SMALL_STATE(8576)] = 652831,
  [SMALL_STATE(8577)] = 652854,
  [SMALL_STATE(8578)] = 652881,
  [SMALL_STATE(8579)] = 652904,
  [SMALL_STATE(8580)] = 652927,
  [SMALL_STATE(8581)] = 652950,
  [SMALL_STATE(8582)] = 652977,
  [SMALL_STATE(8583)] = 653000,
  [SMALL_STATE(8584)] = 653023,
  [SMALL_STATE(8585)] = 653046,
  [SMALL_STATE(8586)] = 653069,
  [SMALL_STATE(8587)] = 653092,
  [SMALL_STATE(8588)] = 653115,
  [SMALL_STATE(8589)] = 653138,
  [SMALL_STATE(8590)] = 653161,
  [SMALL_STATE(8591)] = 653184,
  [SMALL_STATE(8592)] = 653207,
  [SMALL_STATE(8593)] = 653230,
  [SMALL_STATE(8594)] = 653253,
  [SMALL_STATE(8595)] = 653280,
  [SMALL_STATE(8596)] = 653303,
  [SMALL_STATE(8597)] = 653326,
  [SMALL_STATE(8598)] = 653349,
  [SMALL_STATE(8599)] = 653372,
  [SMALL_STATE(8600)] = 653395,
  [SMALL_STATE(8601)] = 653418,
  [SMALL_STATE(8602)] = 653441,
  [SMALL_STATE(8603)] = 653464,
  [SMALL_STATE(8604)] = 653487,
  [SMALL_STATE(8605)] = 653510,
  [SMALL_STATE(8606)] = 653533,
  [SMALL_STATE(8607)] = 653556,
  [SMALL_STATE(8608)] = 653583,
  [SMALL_STATE(8609)] = 653606,
  [SMALL_STATE(8610)] = 653629,
  [SMALL_STATE(8611)] = 653652,
  [SMALL_STATE(8612)] = 653675,
  [SMALL_STATE(8613)] = 653698,
  [SMALL_STATE(8614)] = 653721,
  [SMALL_STATE(8615)] = 653748,
  [SMALL_STATE(8616)] = 653771,
  [SMALL_STATE(8617)] = 653794,
  [SMALL_STATE(8618)] = 653817,
  [SMALL_STATE(8619)] = 653840,
  [SMALL_STATE(8620)] = 653867,
  [SMALL_STATE(8621)] = 653890,
  [SMALL_STATE(8622)] = 653913,
  [SMALL_STATE(8623)] = 653940,
  [SMALL_STATE(8624)] = 653963,
  [SMALL_STATE(8625)] = 653990,
  [SMALL_STATE(8626)] = 654013,
  [SMALL_STATE(8627)] = 654040,
  [SMALL_STATE(8628)] = 654063,
  [SMALL_STATE(8629)] = 654086,
  [SMALL_STATE(8630)] = 654109,
  [SMALL_STATE(8631)] = 654132,
  [SMALL_STATE(8632)] = 654166,
  [SMALL_STATE(8633)] = 654200,
  [SMALL_STATE(8634)] = 654218,
  [SMALL_STATE(8635)] = 654252,
  [SMALL_STATE(8636)] = 654286,
  [SMALL_STATE(8637)] = 654320,
  [SMALL_STATE(8638)] = 654354,
  [SMALL_STATE(8639)] = 654388,
  [SMALL_STATE(8640)] = 654422,
  [SMALL_STATE(8641)] = 654456,
  [SMALL_STATE(8642)] = 654478,
  [SMALL_STATE(8643)] = 654512,
  [SMALL_STATE(8644)] = 654530,
  [SMALL_STATE(8645)] = 654564,
  [SMALL_STATE(8646)] = 654598,
  [SMALL_STATE(8647)] = 654632,
  [SMALL_STATE(8648)] = 654666,
  [SMALL_STATE(8649)] = 654700,
  [SMALL_STATE(8650)] = 654724,
  [SMALL_STATE(8651)] = 654746,
  [SMALL_STATE(8652)] = 654764,
  [SMALL_STATE(8653)] = 654798,
  [SMALL_STATE(8654)] = 654832,
  [SMALL_STATE(8655)] = 654866,
  [SMALL_STATE(8656)] = 654900,
  [SMALL_STATE(8657)] = 654934,
  [SMALL_STATE(8658)] = 654956,
  [SMALL_STATE(8659)] = 654990,
  [SMALL_STATE(8660)] = 655024,
  [SMALL_STATE(8661)] = 655058,
  [SMALL_STATE(8662)] = 655092,
  [SMALL_STATE(8663)] = 655126,
  [SMALL_STATE(8664)] = 655160,
  [SMALL_STATE(8665)] = 655194,
  [SMALL_STATE(8666)] = 655228,
  [SMALL_STATE(8667)] = 655262,
  [SMALL_STATE(8668)] = 655296,
  [SMALL_STATE(8669)] = 655330,
  [SMALL_STATE(8670)] = 655364,
  [SMALL_STATE(8671)] = 655398,
  [SMALL_STATE(8672)] = 655432,
  [SMALL_STATE(8673)] = 655466,
  [SMALL_STATE(8674)] = 655500,
  [SMALL_STATE(8675)] = 655534,
  [SMALL_STATE(8676)] = 655568,
  [SMALL_STATE(8677)] = 655602,
  [SMALL_STATE(8678)] = 655636,
  [SMALL_STATE(8679)] = 655670,
  [SMALL_STATE(8680)] = 655704,
  [SMALL_STATE(8681)] = 655738,
  [SMALL_STATE(8682)] = 655772,
  [SMALL_STATE(8683)] = 655790,
  [SMALL_STATE(8684)] = 655824,
  [SMALL_STATE(8685)] = 655858,
  [SMALL_STATE(8686)] = 655892,
  [SMALL_STATE(8687)] = 655926,
  [SMALL_STATE(8688)] = 655960,
  [SMALL_STATE(8689)] = 655994,
  [SMALL_STATE(8690)] = 656027,
  [SMALL_STATE(8691)] = 656060,
  [SMALL_STATE(8692)] = 656081,
  [SMALL_STATE(8693)] = 656114,
  [SMALL_STATE(8694)] = 656147,
  [SMALL_STATE(8695)] = 656168,
  [SMALL_STATE(8696)] = 656201,
  [SMALL_STATE(8697)] = 656234,
  [SMALL_STATE(8698)] = 656267,
  [SMALL_STATE(8699)] = 656300,
  [SMALL_STATE(8700)] = 656321,
  [SMALL_STATE(8701)] = 656342,
  [SMALL_STATE(8702)] = 656375,
  [SMALL_STATE(8703)] = 656408,
  [SMALL_STATE(8704)] = 656441,
  [SMALL_STATE(8705)] = 656474,
  [SMALL_STATE(8706)] = 656495,
  [SMALL_STATE(8707)] = 656528,
  [SMALL_STATE(8708)] = 656561,
  [SMALL_STATE(8709)] = 656582,
  [SMALL_STATE(8710)] = 656615,
  [SMALL_STATE(8711)] = 656648,
  [SMALL_STATE(8712)] = 656681,
  [SMALL_STATE(8713)] = 656714,
  [SMALL_STATE(8714)] = 656747,
  [SMALL_STATE(8715)] = 656780,
  [SMALL_STATE(8716)] = 656813,
  [SMALL_STATE(8717)] = 656846,
  [SMALL_STATE(8718)] = 656879,
  [SMALL_STATE(8719)] = 656912,
  [SMALL_STATE(8720)] = 656933,
  [SMALL_STATE(8721)] = 656966,
  [SMALL_STATE(8722)] = 656999,
  [SMALL_STATE(8723)] = 657032,
  [SMALL_STATE(8724)] = 657065,
  [SMALL_STATE(8725)] = 657098,
  [SMALL_STATE(8726)] = 657131,
  [SMALL_STATE(8727)] = 657164,
  [SMALL_STATE(8728)] = 657197,
  [SMALL_STATE(8729)] = 657230,
  [SMALL_STATE(8730)] = 657263,
  [SMALL_STATE(8731)] = 657296,
  [SMALL_STATE(8732)] = 657317,
  [SMALL_STATE(8733)] = 657350,
  [SMALL_STATE(8734)] = 657383,
  [SMALL_STATE(8735)] = 657416,
  [SMALL_STATE(8736)] = 657437,
  [SMALL_STATE(8737)] = 657470,
  [SMALL_STATE(8738)] = 657503,
  [SMALL_STATE(8739)] = 657536,
  [SMALL_STATE(8740)] = 657557,
  [SMALL_STATE(8741)] = 657590,
  [SMALL_STATE(8742)] = 657623,
  [SMALL_STATE(8743)] = 657656,
  [SMALL_STATE(8744)] = 657689,
  [SMALL_STATE(8745)] = 657722,
  [SMALL_STATE(8746)] = 657755,
  [SMALL_STATE(8747)] = 657788,
  [SMALL_STATE(8748)] = 657809,
  [SMALL_STATE(8749)] = 657830,
  [SMALL_STATE(8750)] = 657863,
  [SMALL_STATE(8751)] = 657896,
  [SMALL_STATE(8752)] = 657929,
  [SMALL_STATE(8753)] = 657950,
  [SMALL_STATE(8754)] = 657983,
  [SMALL_STATE(8755)] = 658016,
  [SMALL_STATE(8756)] = 658049,
  [SMALL_STATE(8757)] = 658082,
  [SMALL_STATE(8758)] = 658115,
  [SMALL_STATE(8759)] = 658136,
  [SMALL_STATE(8760)] = 658169,
  [SMALL_STATE(8761)] = 658190,
  [SMALL_STATE(8762)] = 658223,
  [SMALL_STATE(8763)] = 658256,
  [SMALL_STATE(8764)] = 658289,
  [SMALL_STATE(8765)] = 658322,
  [SMALL_STATE(8766)] = 658355,
  [SMALL_STATE(8767)] = 658388,
  [SMALL_STATE(8768)] = 658421,
  [SMALL_STATE(8769)] = 658454,
  [SMALL_STATE(8770)] = 658475,
  [SMALL_STATE(8771)] = 658508,
  [SMALL_STATE(8772)] = 658529,
  [SMALL_STATE(8773)] = 658562,
  [SMALL_STATE(8774)] = 658595,
  [SMALL_STATE(8775)] = 658616,
  [SMALL_STATE(8776)] = 658649,
  [SMALL_STATE(8777)] = 658682,
  [SMALL_STATE(8778)] = 658715,
  [SMALL_STATE(8779)] = 658748,
  [SMALL_STATE(8780)] = 658781,
  [SMALL_STATE(8781)] = 658802,
  [SMALL_STATE(8782)] = 658835,
  [SMALL_STATE(8783)] = 658868,
  [SMALL_STATE(8784)] = 658901,
  [SMALL_STATE(8785)] = 658934,
  [SMALL_STATE(8786)] = 658961,
  [SMALL_STATE(8787)] = 658994,
  [SMALL_STATE(8788)] = 659027,
  [SMALL_STATE(8789)] = 659048,
  [SMALL_STATE(8790)] = 659081,
  [SMALL_STATE(8791)] = 659114,
  [SMALL_STATE(8792)] = 659135,
  [SMALL_STATE(8793)] = 659168,
  [SMALL_STATE(8794)] = 659201,
  [SMALL_STATE(8795)] = 659234,
  [SMALL_STATE(8796)] = 659265,
  [SMALL_STATE(8797)] = 659298,
  [SMALL_STATE(8798)] = 659319,
  [SMALL_STATE(8799)] = 659352,
  [SMALL_STATE(8800)] = 659385,
  [SMALL_STATE(8801)] = 659418,
  [SMALL_STATE(8802)] = 659439,
  [SMALL_STATE(8803)] = 659472,
  [SMALL_STATE(8804)] = 659493,
  [SMALL_STATE(8805)] = 659514,
  [SMALL_STATE(8806)] = 659547,
  [SMALL_STATE(8807)] = 659580,
  [SMALL_STATE(8808)] = 659613,
  [SMALL_STATE(8809)] = 659634,
  [SMALL_STATE(8810)] = 659655,
  [SMALL_STATE(8811)] = 659688,
  [SMALL_STATE(8812)] = 659721,
  [SMALL_STATE(8813)] = 659754,
  [SMALL_STATE(8814)] = 659787,
  [SMALL_STATE(8815)] = 659808,
  [SMALL_STATE(8816)] = 659829,
  [SMALL_STATE(8817)] = 659862,
  [SMALL_STATE(8818)] = 659895,
  [SMALL_STATE(8819)] = 659928,
  [SMALL_STATE(8820)] = 659961,
  [SMALL_STATE(8821)] = 659994,
  [SMALL_STATE(8822)] = 660027,
  [SMALL_STATE(8823)] = 660060,
  [SMALL_STATE(8824)] = 660093,
  [SMALL_STATE(8825)] = 660114,
  [SMALL_STATE(8826)] = 660147,
  [SMALL_STATE(8827)] = 660180,
  [SMALL_STATE(8828)] = 660213,
  [SMALL_STATE(8829)] = 660234,
  [SMALL_STATE(8830)] = 660267,
  [SMALL_STATE(8831)] = 660288,
  [SMALL_STATE(8832)] = 660321,
  [SMALL_STATE(8833)] = 660354,
  [SMALL_STATE(8834)] = 660387,
  [SMALL_STATE(8835)] = 660408,
  [SMALL_STATE(8836)] = 660441,
  [SMALL_STATE(8837)] = 660474,
  [SMALL_STATE(8838)] = 660495,
  [SMALL_STATE(8839)] = 660528,
  [SMALL_STATE(8840)] = 660561,
  [SMALL_STATE(8841)] = 660594,
  [SMALL_STATE(8842)] = 660627,
  [SMALL_STATE(8843)] = 660660,
  [SMALL_STATE(8844)] = 660681,
  [SMALL_STATE(8845)] = 660714,
  [SMALL_STATE(8846)] = 660747,
  [SMALL_STATE(8847)] = 660780,
  [SMALL_STATE(8848)] = 660813,
  [SMALL_STATE(8849)] = 660846,
  [SMALL_STATE(8850)] = 660879,
  [SMALL_STATE(8851)] = 660912,
  [SMALL_STATE(8852)] = 660945,
  [SMALL_STATE(8853)] = 660978,
  [SMALL_STATE(8854)] = 661011,
  [SMALL_STATE(8855)] = 661044,
  [SMALL_STATE(8856)] = 661077,
  [SMALL_STATE(8857)] = 661110,
  [SMALL_STATE(8858)] = 661143,
  [SMALL_STATE(8859)] = 661176,
  [SMALL_STATE(8860)] = 661209,
  [SMALL_STATE(8861)] = 661242,
  [SMALL_STATE(8862)] = 661263,
  [SMALL_STATE(8863)] = 661284,
  [SMALL_STATE(8864)] = 661305,
  [SMALL_STATE(8865)] = 661338,
  [SMALL_STATE(8866)] = 661371,
  [SMALL_STATE(8867)] = 661404,
  [SMALL_STATE(8868)] = 661437,
  [SMALL_STATE(8869)] = 661470,
  [SMALL_STATE(8870)] = 661503,
  [SMALL_STATE(8871)] = 661524,
  [SMALL_STATE(8872)] = 661557,
  [SMALL_STATE(8873)] = 661578,
  [SMALL_STATE(8874)] = 661611,
  [SMALL_STATE(8875)] = 661644,
  [SMALL_STATE(8876)] = 661677,
  [SMALL_STATE(8877)] = 661710,
  [SMALL_STATE(8878)] = 661743,
  [SMALL_STATE(8879)] = 661776,
  [SMALL_STATE(8880)] = 661809,
  [SMALL_STATE(8881)] = 661842,
  [SMALL_STATE(8882)] = 661875,
  [SMALL_STATE(8883)] = 661908,
  [SMALL_STATE(8884)] = 661941,
  [SMALL_STATE(8885)] = 661974,
  [SMALL_STATE(8886)] = 662007,
  [SMALL_STATE(8887)] = 662040,
  [SMALL_STATE(8888)] = 662073,
  [SMALL_STATE(8889)] = 662106,
  [SMALL_STATE(8890)] = 662127,
  [SMALL_STATE(8891)] = 662160,
  [SMALL_STATE(8892)] = 662193,
  [SMALL_STATE(8893)] = 662226,
  [SMALL_STATE(8894)] = 662259,
  [SMALL_STATE(8895)] = 662292,
  [SMALL_STATE(8896)] = 662325,
  [SMALL_STATE(8897)] = 662346,
  [SMALL_STATE(8898)] = 662367,
  [SMALL_STATE(8899)] = 662400,
  [SMALL_STATE(8900)] = 662433,
  [SMALL_STATE(8901)] = 662466,
  [SMALL_STATE(8902)] = 662487,
  [SMALL_STATE(8903)] = 662520,
  [SMALL_STATE(8904)] = 662553,
  [SMALL_STATE(8905)] = 662586,
  [SMALL_STATE(8906)] = 662619,
  [SMALL_STATE(8907)] = 662652,
  [SMALL_STATE(8908)] = 662685,
  [SMALL_STATE(8909)] = 662718,
  [SMALL_STATE(8910)] = 662739,
  [SMALL_STATE(8911)] = 662772,
  [SMALL_STATE(8912)] = 662805,
  [SMALL_STATE(8913)] = 662838,
  [SMALL_STATE(8914)] = 662871,
  [SMALL_STATE(8915)] = 662904,
  [SMALL_STATE(8916)] = 662937,
  [SMALL_STATE(8917)] = 662970,
  [SMALL_STATE(8918)] = 662991,
  [SMALL_STATE(8919)] = 663024,
  [SMALL_STATE(8920)] = 663057,
  [SMALL_STATE(8921)] = 663078,
  [SMALL_STATE(8922)] = 663099,
  [SMALL_STATE(8923)] = 663132,
  [SMALL_STATE(8924)] = 663164,
  [SMALL_STATE(8925)] = 663180,
  [SMALL_STATE(8926)] = 663200,
  [SMALL_STATE(8927)] = 663222,
  [SMALL_STATE(8928)] = 663238,
  [SMALL_STATE(8929)] = 663256,
  [SMALL_STATE(8930)] = 663272,
  [SMALL_STATE(8931)] = 663304,
  [SMALL_STATE(8932)] = 663320,
  [SMALL_STATE(8933)] = 663336,
  [SMALL_STATE(8934)] = 663356,
  [SMALL_STATE(8935)] = 663372,
  [SMALL_STATE(8936)] = 663392,
  [SMALL_STATE(8937)] = 663408,
  [SMALL_STATE(8938)] = 663428,
  [SMALL_STATE(8939)] = 663448,
  [SMALL_STATE(8940)] = 663464,
  [SMALL_STATE(8941)] = 663484,
  [SMALL_STATE(8942)] = 663516,
  [SMALL_STATE(8943)] = 663536,
  [SMALL_STATE(8944)] = 663552,
  [SMALL_STATE(8945)] = 663584,
  [SMALL_STATE(8946)] = 663604,
  [SMALL_STATE(8947)] = 663620,
  [SMALL_STATE(8948)] = 663636,
  [SMALL_STATE(8949)] = 663656,
  [SMALL_STATE(8950)] = 663672,
  [SMALL_STATE(8951)] = 663688,
  [SMALL_STATE(8952)] = 663704,
  [SMALL_STATE(8953)] = 663724,
  [SMALL_STATE(8954)] = 663740,
  [SMALL_STATE(8955)] = 663756,
  [SMALL_STATE(8956)] = 663772,
  [SMALL_STATE(8957)] = 663792,
  [SMALL_STATE(8958)] = 663808,
  [SMALL_STATE(8959)] = 663824,
  [SMALL_STATE(8960)] = 663840,
  [SMALL_STATE(8961)] = 663856,
  [SMALL_STATE(8962)] = 663872,
  [SMALL_STATE(8963)] = 663888,
  [SMALL_STATE(8964)] = 663904,
  [SMALL_STATE(8965)] = 663924,
  [SMALL_STATE(8966)] = 663944,
  [SMALL_STATE(8967)] = 663964,
  [SMALL_STATE(8968)] = 663984,
  [SMALL_STATE(8969)] = 664004,
  [SMALL_STATE(8970)] = 664024,
  [SMALL_STATE(8971)] = 664044,
  [SMALL_STATE(8972)] = 664066,
  [SMALL_STATE(8973)] = 664092,
  [SMALL_STATE(8974)] = 664108,
  [SMALL_STATE(8975)] = 664124,
  [SMALL_STATE(8976)] = 664140,
  [SMALL_STATE(8977)] = 664160,
  [SMALL_STATE(8978)] = 664178,
  [SMALL_STATE(8979)] = 664198,
  [SMALL_STATE(8980)] = 664214,
  [SMALL_STATE(8981)] = 664238,
  [SMALL_STATE(8982)] = 664256,
  [SMALL_STATE(8983)] = 664276,
  [SMALL_STATE(8984)] = 664292,
  [SMALL_STATE(8985)] = 664308,
  [SMALL_STATE(8986)] = 664324,
  [SMALL_STATE(8987)] = 664340,
  [SMALL_STATE(8988)] = 664358,
  [SMALL_STATE(8989)] = 664374,
  [SMALL_STATE(8990)] = 664390,
  [SMALL_STATE(8991)] = 664406,
  [SMALL_STATE(8992)] = 664424,
  [SMALL_STATE(8993)] = 664440,
  [SMALL_STATE(8994)] = 664456,
  [SMALL_STATE(8995)] = 664472,
  [SMALL_STATE(8996)] = 664488,
  [SMALL_STATE(8997)] = 664504,
  [SMALL_STATE(8998)] = 664520,
  [SMALL_STATE(8999)] = 664544,
  [SMALL_STATE(9000)] = 664560,
  [SMALL_STATE(9001)] = 664576,
  [SMALL_STATE(9002)] = 664596,
  [SMALL_STATE(9003)] = 664612,
  [SMALL_STATE(9004)] = 664632,
  [SMALL_STATE(9005)] = 664657,
  [SMALL_STATE(9006)] = 664680,
  [SMALL_STATE(9007)] = 664697,
  [SMALL_STATE(9008)] = 664716,
  [SMALL_STATE(9009)] = 664741,
  [SMALL_STATE(9010)] = 664764,
  [SMALL_STATE(9011)] = 664787,
  [SMALL_STATE(9012)] = 664806,
  [SMALL_STATE(9013)] = 664825,
  [SMALL_STATE(9014)] = 664848,
  [SMALL_STATE(9015)] = 664865,
  [SMALL_STATE(9016)] = 664884,
  [SMALL_STATE(9017)] = 664903,
  [SMALL_STATE(9018)] = 664926,
  [SMALL_STATE(9019)] = 664945,
  [SMALL_STATE(9020)] = 664962,
  [SMALL_STATE(9021)] = 664981,
  [SMALL_STATE(9022)] = 664998,
  [SMALL_STATE(9023)] = 665021,
  [SMALL_STATE(9024)] = 665044,
  [SMALL_STATE(9025)] = 665063,
  [SMALL_STATE(9026)] = 665086,
  [SMALL_STATE(9027)] = 665107,
  [SMALL_STATE(9028)] = 665126,
  [SMALL_STATE(9029)] = 665149,
  [SMALL_STATE(9030)] = 665168,
  [SMALL_STATE(9031)] = 665185,
  [SMALL_STATE(9032)] = 665210,
  [SMALL_STATE(9033)] = 665233,
  [SMALL_STATE(9034)] = 665252,
  [SMALL_STATE(9035)] = 665277,
  [SMALL_STATE(9036)] = 665300,
  [SMALL_STATE(9037)] = 665319,
  [SMALL_STATE(9038)] = 665338,
  [SMALL_STATE(9039)] = 665361,
  [SMALL_STATE(9040)] = 665388,
  [SMALL_STATE(9041)] = 665405,
  [SMALL_STATE(9042)] = 665432,
  [SMALL_STATE(9043)] = 665455,
  [SMALL_STATE(9044)] = 665472,
  [SMALL_STATE(9045)] = 665495,
  [SMALL_STATE(9046)] = 665509,
  [SMALL_STATE(9047)] = 665535,
  [SMALL_STATE(9048)] = 665561,
  [SMALL_STATE(9049)] = 665587,
  [SMALL_STATE(9050)] = 665603,
  [SMALL_STATE(9051)] = 665629,
  [SMALL_STATE(9052)] = 665655,
  [SMALL_STATE(9053)] = 665679,
  [SMALL_STATE(9054)] = 665697,
  [SMALL_STATE(9055)] = 665723,
  [SMALL_STATE(9056)] = 665749,
  [SMALL_STATE(9057)] = 665763,
  [SMALL_STATE(9058)] = 665789,
  [SMALL_STATE(9059)] = 665815,
  [SMALL_STATE(9060)] = 665841,
  [SMALL_STATE(9061)] = 665859,
  [SMALL_STATE(9062)] = 665885,
  [SMALL_STATE(9063)] = 665911,
  [SMALL_STATE(9064)] = 665929,
  [SMALL_STATE(9065)] = 665951,
  [SMALL_STATE(9066)] = 665977,
  [SMALL_STATE(9067)] = 666003,
  [SMALL_STATE(9068)] = 666017,
  [SMALL_STATE(9069)] = 666035,
  [SMALL_STATE(9070)] = 666061,
  [SMALL_STATE(9071)] = 666085,
  [SMALL_STATE(9072)] = 666111,
  [SMALL_STATE(9073)] = 666135,
  [SMALL_STATE(9074)] = 666161,
  [SMALL_STATE(9075)] = 666185,
  [SMALL_STATE(9076)] = 666203,
  [SMALL_STATE(9077)] = 666229,
  [SMALL_STATE(9078)] = 666255,
  [SMALL_STATE(9079)] = 666273,
  [SMALL_STATE(9080)] = 666299,
  [SMALL_STATE(9081)] = 666325,
  [SMALL_STATE(9082)] = 666351,
  [SMALL_STATE(9083)] = 666377,
  [SMALL_STATE(9084)] = 666403,
  [SMALL_STATE(9085)] = 666421,
  [SMALL_STATE(9086)] = 666447,
  [SMALL_STATE(9087)] = 666471,
  [SMALL_STATE(9088)] = 666497,
  [SMALL_STATE(9089)] = 666515,
  [SMALL_STATE(9090)] = 666539,
  [SMALL_STATE(9091)] = 666561,
  [SMALL_STATE(9092)] = 666587,
  [SMALL_STATE(9093)] = 666613,
  [SMALL_STATE(9094)] = 666639,
  [SMALL_STATE(9095)] = 666665,
  [SMALL_STATE(9096)] = 666691,
  [SMALL_STATE(9097)] = 666705,
  [SMALL_STATE(9098)] = 666731,
  [SMALL_STATE(9099)] = 666749,
  [SMALL_STATE(9100)] = 666767,
  [SMALL_STATE(9101)] = 666785,
  [SMALL_STATE(9102)] = 666801,
  [SMALL_STATE(9103)] = 666819,
  [SMALL_STATE(9104)] = 666845,
  [SMALL_STATE(9105)] = 666871,
  [SMALL_STATE(9106)] = 666897,
  [SMALL_STATE(9107)] = 666921,
  [SMALL_STATE(9108)] = 666947,
  [SMALL_STATE(9109)] = 666973,
  [SMALL_STATE(9110)] = 666999,
  [SMALL_STATE(9111)] = 667025,
  [SMALL_STATE(9112)] = 667043,
  [SMALL_STATE(9113)] = 667067,
  [SMALL_STATE(9114)] = 667081,
  [SMALL_STATE(9115)] = 667107,
  [SMALL_STATE(9116)] = 667133,
  [SMALL_STATE(9117)] = 667159,
  [SMALL_STATE(9118)] = 667185,
  [SMALL_STATE(9119)] = 667201,
  [SMALL_STATE(9120)] = 667227,
  [SMALL_STATE(9121)] = 667253,
  [SMALL_STATE(9122)] = 667279,
  [SMALL_STATE(9123)] = 667303,
  [SMALL_STATE(9124)] = 667329,
  [SMALL_STATE(9125)] = 667355,
  [SMALL_STATE(9126)] = 667373,
  [SMALL_STATE(9127)] = 667391,
  [SMALL_STATE(9128)] = 667417,
  [SMALL_STATE(9129)] = 667437,
  [SMALL_STATE(9130)] = 667461,
  [SMALL_STATE(9131)] = 667487,
  [SMALL_STATE(9132)] = 667513,
  [SMALL_STATE(9133)] = 667537,
  [SMALL_STATE(9134)] = 667561,
  [SMALL_STATE(9135)] = 667587,
  [SMALL_STATE(9136)] = 667613,
  [SMALL_STATE(9137)] = 667629,
  [SMALL_STATE(9138)] = 667655,
  [SMALL_STATE(9139)] = 667673,
  [SMALL_STATE(9140)] = 667699,
  [SMALL_STATE(9141)] = 667725,
  [SMALL_STATE(9142)] = 667746,
  [SMALL_STATE(9143)] = 667763,
  [SMALL_STATE(9144)] = 667784,
  [SMALL_STATE(9145)] = 667801,
  [SMALL_STATE(9146)] = 667816,
  [SMALL_STATE(9147)] = 667833,
  [SMALL_STATE(9148)] = 667850,
  [SMALL_STATE(9149)] = 667873,
  [SMALL_STATE(9150)] = 667890,
  [SMALL_STATE(9151)] = 667907,
  [SMALL_STATE(9152)] = 667920,
  [SMALL_STATE(9153)] = 667933,
  [SMALL_STATE(9154)] = 667950,
  [SMALL_STATE(9155)] = 667963,
  [SMALL_STATE(9156)] = 667976,
  [SMALL_STATE(9157)] = 667989,
  [SMALL_STATE(9158)] = 668012,
  [SMALL_STATE(9159)] = 668025,
  [SMALL_STATE(9160)] = 668042,
  [SMALL_STATE(9161)] = 668059,
  [SMALL_STATE(9162)] = 668080,
  [SMALL_STATE(9163)] = 668095,
  [SMALL_STATE(9164)] = 668112,
  [SMALL_STATE(9165)] = 668135,
  [SMALL_STATE(9166)] = 668150,
  [SMALL_STATE(9167)] = 668167,
  [SMALL_STATE(9168)] = 668190,
  [SMALL_STATE(9169)] = 668207,
  [SMALL_STATE(9170)] = 668220,
  [SMALL_STATE(9171)] = 668241,
  [SMALL_STATE(9172)] = 668258,
  [SMALL_STATE(9173)] = 668281,
  [SMALL_STATE(9174)] = 668298,
  [SMALL_STATE(9175)] = 668313,
  [SMALL_STATE(9176)] = 668330,
  [SMALL_STATE(9177)] = 668353,
  [SMALL_STATE(9178)] = 668368,
  [SMALL_STATE(9179)] = 668385,
  [SMALL_STATE(9180)] = 668406,
  [SMALL_STATE(9181)] = 668419,
  [SMALL_STATE(9182)] = 668436,
  [SMALL_STATE(9183)] = 668453,
  [SMALL_STATE(9184)] = 668474,
  [SMALL_STATE(9185)] = 668489,
  [SMALL_STATE(9186)] = 668511,
  [SMALL_STATE(9187)] = 668533,
  [SMALL_STATE(9188)] = 668555,
  [SMALL_STATE(9189)] = 668577,
  [SMALL_STATE(9190)] = 668599,
  [SMALL_STATE(9191)] = 668621,
  [SMALL_STATE(9192)] = 668643,
  [SMALL_STATE(9193)] = 668665,
  [SMALL_STATE(9194)] = 668687,
  [SMALL_STATE(9195)] = 668709,
  [SMALL_STATE(9196)] = 668731,
  [SMALL_STATE(9197)] = 668753,
  [SMALL_STATE(9198)] = 668775,
  [SMALL_STATE(9199)] = 668797,
  [SMALL_STATE(9200)] = 668819,
  [SMALL_STATE(9201)] = 668841,
  [SMALL_STATE(9202)] = 668863,
  [SMALL_STATE(9203)] = 668885,
  [SMALL_STATE(9204)] = 668907,
  [SMALL_STATE(9205)] = 668929,
  [SMALL_STATE(9206)] = 668949,
  [SMALL_STATE(9207)] = 668971,
  [SMALL_STATE(9208)] = 668989,
  [SMALL_STATE(9209)] = 669007,
  [SMALL_STATE(9210)] = 669029,
  [SMALL_STATE(9211)] = 669051,
  [SMALL_STATE(9212)] = 669069,
  [SMALL_STATE(9213)] = 669091,
  [SMALL_STATE(9214)] = 669113,
  [SMALL_STATE(9215)] = 669135,
  [SMALL_STATE(9216)] = 669155,
  [SMALL_STATE(9217)] = 669177,
  [SMALL_STATE(9218)] = 669199,
  [SMALL_STATE(9219)] = 669221,
  [SMALL_STATE(9220)] = 669241,
  [SMALL_STATE(9221)] = 669263,
  [SMALL_STATE(9222)] = 669285,
  [SMALL_STATE(9223)] = 669307,
  [SMALL_STATE(9224)] = 669329,
  [SMALL_STATE(9225)] = 669351,
  [SMALL_STATE(9226)] = 669371,
  [SMALL_STATE(9227)] = 669393,
  [SMALL_STATE(9228)] = 669415,
  [SMALL_STATE(9229)] = 669437,
  [SMALL_STATE(9230)] = 669459,
  [SMALL_STATE(9231)] = 669481,
  [SMALL_STATE(9232)] = 669503,
  [SMALL_STATE(9233)] = 669525,
  [SMALL_STATE(9234)] = 669547,
  [SMALL_STATE(9235)] = 669563,
  [SMALL_STATE(9236)] = 669577,
  [SMALL_STATE(9237)] = 669597,
  [SMALL_STATE(9238)] = 669619,
  [SMALL_STATE(9239)] = 669641,
  [SMALL_STATE(9240)] = 669663,
  [SMALL_STATE(9241)] = 669685,
  [SMALL_STATE(9242)] = 669701,
  [SMALL_STATE(9243)] = 669723,
  [SMALL_STATE(9244)] = 669745,
  [SMALL_STATE(9245)] = 669767,
  [SMALL_STATE(9246)] = 669789,
  [SMALL_STATE(9247)] = 669811,
  [SMALL_STATE(9248)] = 669833,
  [SMALL_STATE(9249)] = 669855,
  [SMALL_STATE(9250)] = 669877,
  [SMALL_STATE(9251)] = 669899,
  [SMALL_STATE(9252)] = 669921,
  [SMALL_STATE(9253)] = 669943,
  [SMALL_STATE(9254)] = 669965,
  [SMALL_STATE(9255)] = 669987,
  [SMALL_STATE(9256)] = 670009,
  [SMALL_STATE(9257)] = 670031,
  [SMALL_STATE(9258)] = 670053,
  [SMALL_STATE(9259)] = 670075,
  [SMALL_STATE(9260)] = 670097,
  [SMALL_STATE(9261)] = 670119,
  [SMALL_STATE(9262)] = 670141,
  [SMALL_STATE(9263)] = 670163,
  [SMALL_STATE(9264)] = 670185,
  [SMALL_STATE(9265)] = 670207,
  [SMALL_STATE(9266)] = 670223,
  [SMALL_STATE(9267)] = 670245,
  [SMALL_STATE(9268)] = 670267,
  [SMALL_STATE(9269)] = 670289,
  [SMALL_STATE(9270)] = 670311,
  [SMALL_STATE(9271)] = 670333,
  [SMALL_STATE(9272)] = 670355,
  [SMALL_STATE(9273)] = 670377,
  [SMALL_STATE(9274)] = 670399,
  [SMALL_STATE(9275)] = 670421,
  [SMALL_STATE(9276)] = 670443,
  [SMALL_STATE(9277)] = 670465,
  [SMALL_STATE(9278)] = 670487,
  [SMALL_STATE(9279)] = 670509,
  [SMALL_STATE(9280)] = 670531,
  [SMALL_STATE(9281)] = 670553,
  [SMALL_STATE(9282)] = 670575,
  [SMALL_STATE(9283)] = 670597,
  [SMALL_STATE(9284)] = 670619,
  [SMALL_STATE(9285)] = 670641,
  [SMALL_STATE(9286)] = 670663,
  [SMALL_STATE(9287)] = 670685,
  [SMALL_STATE(9288)] = 670707,
  [SMALL_STATE(9289)] = 670721,
  [SMALL_STATE(9290)] = 670743,
  [SMALL_STATE(9291)] = 670765,
  [SMALL_STATE(9292)] = 670781,
  [SMALL_STATE(9293)] = 670803,
  [SMALL_STATE(9294)] = 670825,
  [SMALL_STATE(9295)] = 670847,
  [SMALL_STATE(9296)] = 670869,
  [SMALL_STATE(9297)] = 670889,
  [SMALL_STATE(9298)] = 670911,
  [SMALL_STATE(9299)] = 670933,
  [SMALL_STATE(9300)] = 670955,
  [SMALL_STATE(9301)] = 670971,
  [SMALL_STATE(9302)] = 670993,
  [SMALL_STATE(9303)] = 671015,
  [SMALL_STATE(9304)] = 671037,
  [SMALL_STATE(9305)] = 671059,
  [SMALL_STATE(9306)] = 671081,
  [SMALL_STATE(9307)] = 671103,
  [SMALL_STATE(9308)] = 671125,
  [SMALL_STATE(9309)] = 671147,
  [SMALL_STATE(9310)] = 671169,
  [SMALL_STATE(9311)] = 671191,
  [SMALL_STATE(9312)] = 671213,
  [SMALL_STATE(9313)] = 671235,
  [SMALL_STATE(9314)] = 671257,
  [SMALL_STATE(9315)] = 671279,
  [SMALL_STATE(9316)] = 671299,
  [SMALL_STATE(9317)] = 671321,
  [SMALL_STATE(9318)] = 671343,
  [SMALL_STATE(9319)] = 671365,
  [SMALL_STATE(9320)] = 671387,
  [SMALL_STATE(9321)] = 671403,
  [SMALL_STATE(9322)] = 671419,
  [SMALL_STATE(9323)] = 671433,
  [SMALL_STATE(9324)] = 671455,
  [SMALL_STATE(9325)] = 671477,
  [SMALL_STATE(9326)] = 671499,
  [SMALL_STATE(9327)] = 671521,
  [SMALL_STATE(9328)] = 671543,
  [SMALL_STATE(9329)] = 671557,
  [SMALL_STATE(9330)] = 671579,
  [SMALL_STATE(9331)] = 671601,
  [SMALL_STATE(9332)] = 671623,
  [SMALL_STATE(9333)] = 671645,
  [SMALL_STATE(9334)] = 671667,
  [SMALL_STATE(9335)] = 671687,
  [SMALL_STATE(9336)] = 671709,
  [SMALL_STATE(9337)] = 671731,
  [SMALL_STATE(9338)] = 671753,
  [SMALL_STATE(9339)] = 671775,
  [SMALL_STATE(9340)] = 671797,
  [SMALL_STATE(9341)] = 671817,
  [SMALL_STATE(9342)] = 671839,
  [SMALL_STATE(9343)] = 671859,
  [SMALL_STATE(9344)] = 671877,
  [SMALL_STATE(9345)] = 671899,
  [SMALL_STATE(9346)] = 671921,
  [SMALL_STATE(9347)] = 671943,
  [SMALL_STATE(9348)] = 671965,
  [SMALL_STATE(9349)] = 671987,
  [SMALL_STATE(9350)] = 672009,
  [SMALL_STATE(9351)] = 672029,
  [SMALL_STATE(9352)] = 672051,
  [SMALL_STATE(9353)] = 672073,
  [SMALL_STATE(9354)] = 672095,
  [SMALL_STATE(9355)] = 672117,
  [SMALL_STATE(9356)] = 672139,
  [SMALL_STATE(9357)] = 672161,
  [SMALL_STATE(9358)] = 672183,
  [SMALL_STATE(9359)] = 672205,
  [SMALL_STATE(9360)] = 672227,
  [SMALL_STATE(9361)] = 672249,
  [SMALL_STATE(9362)] = 672271,
  [SMALL_STATE(9363)] = 672287,
  [SMALL_STATE(9364)] = 672301,
  [SMALL_STATE(9365)] = 672323,
  [SMALL_STATE(9366)] = 672345,
  [SMALL_STATE(9367)] = 672367,
  [SMALL_STATE(9368)] = 672389,
  [SMALL_STATE(9369)] = 672411,
  [SMALL_STATE(9370)] = 672431,
  [SMALL_STATE(9371)] = 672453,
  [SMALL_STATE(9372)] = 672475,
  [SMALL_STATE(9373)] = 672497,
  [SMALL_STATE(9374)] = 672519,
  [SMALL_STATE(9375)] = 672539,
  [SMALL_STATE(9376)] = 672561,
  [SMALL_STATE(9377)] = 672583,
  [SMALL_STATE(9378)] = 672605,
  [SMALL_STATE(9379)] = 672627,
  [SMALL_STATE(9380)] = 672649,
  [SMALL_STATE(9381)] = 672671,
  [SMALL_STATE(9382)] = 672693,
  [SMALL_STATE(9383)] = 672715,
  [SMALL_STATE(9384)] = 672737,
  [SMALL_STATE(9385)] = 672759,
  [SMALL_STATE(9386)] = 672781,
  [SMALL_STATE(9387)] = 672803,
  [SMALL_STATE(9388)] = 672825,
  [SMALL_STATE(9389)] = 672847,
  [SMALL_STATE(9390)] = 672869,
  [SMALL_STATE(9391)] = 672889,
  [SMALL_STATE(9392)] = 672911,
  [SMALL_STATE(9393)] = 672933,
  [SMALL_STATE(9394)] = 672955,
  [SMALL_STATE(9395)] = 672977,
  [SMALL_STATE(9396)] = 672999,
  [SMALL_STATE(9397)] = 673021,
  [SMALL_STATE(9398)] = 673041,
  [SMALL_STATE(9399)] = 673063,
  [SMALL_STATE(9400)] = 673085,
  [SMALL_STATE(9401)] = 673107,
  [SMALL_STATE(9402)] = 673129,
  [SMALL_STATE(9403)] = 673151,
  [SMALL_STATE(9404)] = 673173,
  [SMALL_STATE(9405)] = 673184,
  [SMALL_STATE(9406)] = 673201,
  [SMALL_STATE(9407)] = 673212,
  [SMALL_STATE(9408)] = 673227,
  [SMALL_STATE(9409)] = 673242,
  [SMALL_STATE(9410)] = 673259,
  [SMALL_STATE(9411)] = 673270,
  [SMALL_STATE(9412)] = 673281,
  [SMALL_STATE(9413)] = 673292,
  [SMALL_STATE(9414)] = 673309,
  [SMALL_STATE(9415)] = 673326,
  [SMALL_STATE(9416)] = 673337,
  [SMALL_STATE(9417)] = 673352,
  [SMALL_STATE(9418)] = 673363,
  [SMALL_STATE(9419)] = 673376,
  [SMALL_STATE(9420)] = 673389,
  [SMALL_STATE(9421)] = 673402,
  [SMALL_STATE(9422)] = 673413,
  [SMALL_STATE(9423)] = 673430,
  [SMALL_STATE(9424)] = 673443,
  [SMALL_STATE(9425)] = 673460,
  [SMALL_STATE(9426)] = 673477,
  [SMALL_STATE(9427)] = 673492,
  [SMALL_STATE(9428)] = 673509,
  [SMALL_STATE(9429)] = 673522,
  [SMALL_STATE(9430)] = 673541,
  [SMALL_STATE(9431)] = 673556,
  [SMALL_STATE(9432)] = 673567,
  [SMALL_STATE(9433)] = 673582,
  [SMALL_STATE(9434)] = 673593,
  [SMALL_STATE(9435)] = 673604,
  [SMALL_STATE(9436)] = 673621,
  [SMALL_STATE(9437)] = 673634,
  [SMALL_STATE(9438)] = 673645,
  [SMALL_STATE(9439)] = 673656,
  [SMALL_STATE(9440)] = 673667,
  [SMALL_STATE(9441)] = 673684,
  [SMALL_STATE(9442)] = 673695,
  [SMALL_STATE(9443)] = 673706,
  [SMALL_STATE(9444)] = 673719,
  [SMALL_STATE(9445)] = 673734,
  [SMALL_STATE(9446)] = 673745,
  [SMALL_STATE(9447)] = 673758,
  [SMALL_STATE(9448)] = 673773,
  [SMALL_STATE(9449)] = 673790,
  [SMALL_STATE(9450)] = 673805,
  [SMALL_STATE(9451)] = 673816,
  [SMALL_STATE(9452)] = 673835,
  [SMALL_STATE(9453)] = 673852,
  [SMALL_STATE(9454)] = 673865,
  [SMALL_STATE(9455)] = 673876,
  [SMALL_STATE(9456)] = 673891,
  [SMALL_STATE(9457)] = 673906,
  [SMALL_STATE(9458)] = 673921,
  [SMALL_STATE(9459)] = 673936,
  [SMALL_STATE(9460)] = 673949,
  [SMALL_STATE(9461)] = 673966,
  [SMALL_STATE(9462)] = 673977,
  [SMALL_STATE(9463)] = 673996,
  [SMALL_STATE(9464)] = 674011,
  [SMALL_STATE(9465)] = 674026,
  [SMALL_STATE(9466)] = 674043,
  [SMALL_STATE(9467)] = 674054,
  [SMALL_STATE(9468)] = 674069,
  [SMALL_STATE(9469)] = 674084,
  [SMALL_STATE(9470)] = 674101,
  [SMALL_STATE(9471)] = 674116,
  [SMALL_STATE(9472)] = 674133,
  [SMALL_STATE(9473)] = 674148,
  [SMALL_STATE(9474)] = 674165,
  [SMALL_STATE(9475)] = 674176,
  [SMALL_STATE(9476)] = 674189,
  [SMALL_STATE(9477)] = 674200,
  [SMALL_STATE(9478)] = 674219,
  [SMALL_STATE(9479)] = 674234,
  [SMALL_STATE(9480)] = 674245,
  [SMALL_STATE(9481)] = 674256,
  [SMALL_STATE(9482)] = 674273,
  [SMALL_STATE(9483)] = 674288,
  [SMALL_STATE(9484)] = 674303,
  [SMALL_STATE(9485)] = 674318,
  [SMALL_STATE(9486)] = 674333,
  [SMALL_STATE(9487)] = 674348,
  [SMALL_STATE(9488)] = 674363,
  [SMALL_STATE(9489)] = 674378,
  [SMALL_STATE(9490)] = 674395,
  [SMALL_STATE(9491)] = 674407,
  [SMALL_STATE(9492)] = 674419,
  [SMALL_STATE(9493)] = 674433,
  [SMALL_STATE(9494)] = 674447,
  [SMALL_STATE(9495)] = 674461,
  [SMALL_STATE(9496)] = 674473,
  [SMALL_STATE(9497)] = 674487,
  [SMALL_STATE(9498)] = 674501,
  [SMALL_STATE(9499)] = 674515,
  [SMALL_STATE(9500)] = 674527,
  [SMALL_STATE(9501)] = 674541,
  [SMALL_STATE(9502)] = 674555,
  [SMALL_STATE(9503)] = 674569,
  [SMALL_STATE(9504)] = 674583,
  [SMALL_STATE(9505)] = 674597,
  [SMALL_STATE(9506)] = 674611,
  [SMALL_STATE(9507)] = 674625,
  [SMALL_STATE(9508)] = 674639,
  [SMALL_STATE(9509)] = 674653,
  [SMALL_STATE(9510)] = 674667,
  [SMALL_STATE(9511)] = 674681,
  [SMALL_STATE(9512)] = 674693,
  [SMALL_STATE(9513)] = 674707,
  [SMALL_STATE(9514)] = 674719,
  [SMALL_STATE(9515)] = 674733,
  [SMALL_STATE(9516)] = 674747,
  [SMALL_STATE(9517)] = 674761,
  [SMALL_STATE(9518)] = 674775,
  [SMALL_STATE(9519)] = 674789,
  [SMALL_STATE(9520)] = 674801,
  [SMALL_STATE(9521)] = 674815,
  [SMALL_STATE(9522)] = 674829,
  [SMALL_STATE(9523)] = 674843,
  [SMALL_STATE(9524)] = 674857,
  [SMALL_STATE(9525)] = 674871,
  [SMALL_STATE(9526)] = 674885,
  [SMALL_STATE(9527)] = 674897,
  [SMALL_STATE(9528)] = 674911,
  [SMALL_STATE(9529)] = 674925,
  [SMALL_STATE(9530)] = 674939,
  [SMALL_STATE(9531)] = 674953,
  [SMALL_STATE(9532)] = 674967,
  [SMALL_STATE(9533)] = 674981,
  [SMALL_STATE(9534)] = 674995,
  [SMALL_STATE(9535)] = 675011,
  [SMALL_STATE(9536)] = 675025,
  [SMALL_STATE(9537)] = 675039,
  [SMALL_STATE(9538)] = 675053,
  [SMALL_STATE(9539)] = 675067,
  [SMALL_STATE(9540)] = 675083,
  [SMALL_STATE(9541)] = 675095,
  [SMALL_STATE(9542)] = 675109,
  [SMALL_STATE(9543)] = 675123,
  [SMALL_STATE(9544)] = 675137,
  [SMALL_STATE(9545)] = 675151,
  [SMALL_STATE(9546)] = 675167,
  [SMALL_STATE(9547)] = 675183,
  [SMALL_STATE(9548)] = 675197,
  [SMALL_STATE(9549)] = 675209,
  [SMALL_STATE(9550)] = 675223,
  [SMALL_STATE(9551)] = 675237,
  [SMALL_STATE(9552)] = 675251,
  [SMALL_STATE(9553)] = 675265,
  [SMALL_STATE(9554)] = 675279,
  [SMALL_STATE(9555)] = 675293,
  [SMALL_STATE(9556)] = 675307,
  [SMALL_STATE(9557)] = 675321,
  [SMALL_STATE(9558)] = 675335,
  [SMALL_STATE(9559)] = 675349,
  [SMALL_STATE(9560)] = 675363,
  [SMALL_STATE(9561)] = 675377,
  [SMALL_STATE(9562)] = 675391,
  [SMALL_STATE(9563)] = 675407,
  [SMALL_STATE(9564)] = 675421,
  [SMALL_STATE(9565)] = 675435,
  [SMALL_STATE(9566)] = 675449,
  [SMALL_STATE(9567)] = 675463,
  [SMALL_STATE(9568)] = 675477,
  [SMALL_STATE(9569)] = 675491,
  [SMALL_STATE(9570)] = 675505,
  [SMALL_STATE(9571)] = 675517,
  [SMALL_STATE(9572)] = 675531,
  [SMALL_STATE(9573)] = 675545,
  [SMALL_STATE(9574)] = 675559,
  [SMALL_STATE(9575)] = 675573,
  [SMALL_STATE(9576)] = 675587,
  [SMALL_STATE(9577)] = 675601,
  [SMALL_STATE(9578)] = 675615,
  [SMALL_STATE(9579)] = 675629,
  [SMALL_STATE(9580)] = 675643,
  [SMALL_STATE(9581)] = 675657,
  [SMALL_STATE(9582)] = 675671,
  [SMALL_STATE(9583)] = 675685,
  [SMALL_STATE(9584)] = 675699,
  [SMALL_STATE(9585)] = 675713,
  [SMALL_STATE(9586)] = 675727,
  [SMALL_STATE(9587)] = 675741,
  [SMALL_STATE(9588)] = 675753,
  [SMALL_STATE(9589)] = 675769,
  [SMALL_STATE(9590)] = 675783,
  [SMALL_STATE(9591)] = 675797,
  [SMALL_STATE(9592)] = 675811,
  [SMALL_STATE(9593)] = 675825,
  [SMALL_STATE(9594)] = 675839,
  [SMALL_STATE(9595)] = 675853,
  [SMALL_STATE(9596)] = 675867,
  [SMALL_STATE(9597)] = 675881,
  [SMALL_STATE(9598)] = 675895,
  [SMALL_STATE(9599)] = 675909,
  [SMALL_STATE(9600)] = 675923,
  [SMALL_STATE(9601)] = 675939,
  [SMALL_STATE(9602)] = 675951,
  [SMALL_STATE(9603)] = 675965,
  [SMALL_STATE(9604)] = 675979,
  [SMALL_STATE(9605)] = 675993,
  [SMALL_STATE(9606)] = 676007,
  [SMALL_STATE(9607)] = 676019,
  [SMALL_STATE(9608)] = 676033,
  [SMALL_STATE(9609)] = 676045,
  [SMALL_STATE(9610)] = 676059,
  [SMALL_STATE(9611)] = 676073,
  [SMALL_STATE(9612)] = 676089,
  [SMALL_STATE(9613)] = 676103,
  [SMALL_STATE(9614)] = 676117,
  [SMALL_STATE(9615)] = 676131,
  [SMALL_STATE(9616)] = 676145,
  [SMALL_STATE(9617)] = 676157,
  [SMALL_STATE(9618)] = 676169,
  [SMALL_STATE(9619)] = 676183,
  [SMALL_STATE(9620)] = 676197,
  [SMALL_STATE(9621)] = 676213,
  [SMALL_STATE(9622)] = 676227,
  [SMALL_STATE(9623)] = 676241,
  [SMALL_STATE(9624)] = 676255,
  [SMALL_STATE(9625)] = 676269,
  [SMALL_STATE(9626)] = 676283,
  [SMALL_STATE(9627)] = 676295,
  [SMALL_STATE(9628)] = 676309,
  [SMALL_STATE(9629)] = 676323,
  [SMALL_STATE(9630)] = 676337,
  [SMALL_STATE(9631)] = 676351,
  [SMALL_STATE(9632)] = 676365,
  [SMALL_STATE(9633)] = 676379,
  [SMALL_STATE(9634)] = 676393,
  [SMALL_STATE(9635)] = 676407,
  [SMALL_STATE(9636)] = 676419,
  [SMALL_STATE(9637)] = 676433,
  [SMALL_STATE(9638)] = 676447,
  [SMALL_STATE(9639)] = 676461,
  [SMALL_STATE(9640)] = 676475,
  [SMALL_STATE(9641)] = 676489,
  [SMALL_STATE(9642)] = 676503,
  [SMALL_STATE(9643)] = 676517,
  [SMALL_STATE(9644)] = 676531,
  [SMALL_STATE(9645)] = 676541,
  [SMALL_STATE(9646)] = 676555,
  [SMALL_STATE(9647)] = 676569,
  [SMALL_STATE(9648)] = 676583,
  [SMALL_STATE(9649)] = 676597,
  [SMALL_STATE(9650)] = 676611,
  [SMALL_STATE(9651)] = 676625,
  [SMALL_STATE(9652)] = 676639,
  [SMALL_STATE(9653)] = 676651,
  [SMALL_STATE(9654)] = 676665,
  [SMALL_STATE(9655)] = 676679,
  [SMALL_STATE(9656)] = 676693,
  [SMALL_STATE(9657)] = 676707,
  [SMALL_STATE(9658)] = 676721,
  [SMALL_STATE(9659)] = 676735,
  [SMALL_STATE(9660)] = 676751,
  [SMALL_STATE(9661)] = 676765,
  [SMALL_STATE(9662)] = 676779,
  [SMALL_STATE(9663)] = 676793,
  [SMALL_STATE(9664)] = 676807,
  [SMALL_STATE(9665)] = 676819,
  [SMALL_STATE(9666)] = 676833,
  [SMALL_STATE(9667)] = 676847,
  [SMALL_STATE(9668)] = 676859,
  [SMALL_STATE(9669)] = 676873,
  [SMALL_STATE(9670)] = 676887,
  [SMALL_STATE(9671)] = 676901,
  [SMALL_STATE(9672)] = 676913,
  [SMALL_STATE(9673)] = 676927,
  [SMALL_STATE(9674)] = 676941,
  [SMALL_STATE(9675)] = 676955,
  [SMALL_STATE(9676)] = 676967,
  [SMALL_STATE(9677)] = 676981,
  [SMALL_STATE(9678)] = 676995,
  [SMALL_STATE(9679)] = 677009,
  [SMALL_STATE(9680)] = 677023,
  [SMALL_STATE(9681)] = 677037,
  [SMALL_STATE(9682)] = 677049,
  [SMALL_STATE(9683)] = 677063,
  [SMALL_STATE(9684)] = 677075,
  [SMALL_STATE(9685)] = 677089,
  [SMALL_STATE(9686)] = 677101,
  [SMALL_STATE(9687)] = 677115,
  [SMALL_STATE(9688)] = 677127,
  [SMALL_STATE(9689)] = 677141,
  [SMALL_STATE(9690)] = 677155,
  [SMALL_STATE(9691)] = 677169,
  [SMALL_STATE(9692)] = 677183,
  [SMALL_STATE(9693)] = 677199,
  [SMALL_STATE(9694)] = 677213,
  [SMALL_STATE(9695)] = 677227,
  [SMALL_STATE(9696)] = 677238,
  [SMALL_STATE(9697)] = 677249,
  [SMALL_STATE(9698)] = 677260,
  [SMALL_STATE(9699)] = 677271,
  [SMALL_STATE(9700)] = 677282,
  [SMALL_STATE(9701)] = 677293,
  [SMALL_STATE(9702)] = 677304,
  [SMALL_STATE(9703)] = 677315,
  [SMALL_STATE(9704)] = 677326,
  [SMALL_STATE(9705)] = 677337,
  [SMALL_STATE(9706)] = 677348,
  [SMALL_STATE(9707)] = 677359,
  [SMALL_STATE(9708)] = 677370,
  [SMALL_STATE(9709)] = 677381,
  [SMALL_STATE(9710)] = 677392,
  [SMALL_STATE(9711)] = 677403,
  [SMALL_STATE(9712)] = 677414,
  [SMALL_STATE(9713)] = 677423,
  [SMALL_STATE(9714)] = 677434,
  [SMALL_STATE(9715)] = 677445,
  [SMALL_STATE(9716)] = 677454,
  [SMALL_STATE(9717)] = 677465,
  [SMALL_STATE(9718)] = 677476,
  [SMALL_STATE(9719)] = 677487,
  [SMALL_STATE(9720)] = 677498,
  [SMALL_STATE(9721)] = 677509,
  [SMALL_STATE(9722)] = 677518,
  [SMALL_STATE(9723)] = 677529,
  [SMALL_STATE(9724)] = 677540,
  [SMALL_STATE(9725)] = 677549,
  [SMALL_STATE(9726)] = 677560,
  [SMALL_STATE(9727)] = 677571,
  [SMALL_STATE(9728)] = 677580,
  [SMALL_STATE(9729)] = 677591,
  [SMALL_STATE(9730)] = 677602,
  [SMALL_STATE(9731)] = 677613,
  [SMALL_STATE(9732)] = 677624,
  [SMALL_STATE(9733)] = 677635,
  [SMALL_STATE(9734)] = 677646,
  [SMALL_STATE(9735)] = 677657,
  [SMALL_STATE(9736)] = 677668,
  [SMALL_STATE(9737)] = 677679,
  [SMALL_STATE(9738)] = 677690,
  [SMALL_STATE(9739)] = 677701,
  [SMALL_STATE(9740)] = 677712,
  [SMALL_STATE(9741)] = 677723,
  [SMALL_STATE(9742)] = 677734,
  [SMALL_STATE(9743)] = 677745,
  [SMALL_STATE(9744)] = 677756,
  [SMALL_STATE(9745)] = 677767,
  [SMALL_STATE(9746)] = 677776,
  [SMALL_STATE(9747)] = 677785,
  [SMALL_STATE(9748)] = 677794,
  [SMALL_STATE(9749)] = 677805,
  [SMALL_STATE(9750)] = 677816,
  [SMALL_STATE(9751)] = 677827,
  [SMALL_STATE(9752)] = 677838,
  [SMALL_STATE(9753)] = 677849,
  [SMALL_STATE(9754)] = 677860,
  [SMALL_STATE(9755)] = 677871,
  [SMALL_STATE(9756)] = 677882,
  [SMALL_STATE(9757)] = 677893,
  [SMALL_STATE(9758)] = 677904,
  [SMALL_STATE(9759)] = 677915,
  [SMALL_STATE(9760)] = 677926,
  [SMALL_STATE(9761)] = 677937,
  [SMALL_STATE(9762)] = 677948,
  [SMALL_STATE(9763)] = 677959,
  [SMALL_STATE(9764)] = 677970,
  [SMALL_STATE(9765)] = 677981,
  [SMALL_STATE(9766)] = 677992,
  [SMALL_STATE(9767)] = 678003,
  [SMALL_STATE(9768)] = 678012,
  [SMALL_STATE(9769)] = 678023,
  [SMALL_STATE(9770)] = 678034,
  [SMALL_STATE(9771)] = 678045,
  [SMALL_STATE(9772)] = 678056,
  [SMALL_STATE(9773)] = 678065,
  [SMALL_STATE(9774)] = 678076,
  [SMALL_STATE(9775)] = 678087,
  [SMALL_STATE(9776)] = 678098,
  [SMALL_STATE(9777)] = 678109,
  [SMALL_STATE(9778)] = 678120,
  [SMALL_STATE(9779)] = 678131,
  [SMALL_STATE(9780)] = 678142,
  [SMALL_STATE(9781)] = 678153,
  [SMALL_STATE(9782)] = 678164,
  [SMALL_STATE(9783)] = 678173,
  [SMALL_STATE(9784)] = 678184,
  [SMALL_STATE(9785)] = 678195,
  [SMALL_STATE(9786)] = 678206,
  [SMALL_STATE(9787)] = 678217,
  [SMALL_STATE(9788)] = 678228,
  [SMALL_STATE(9789)] = 678239,
  [SMALL_STATE(9790)] = 678250,
  [SMALL_STATE(9791)] = 678261,
  [SMALL_STATE(9792)] = 678272,
  [SMALL_STATE(9793)] = 678283,
  [SMALL_STATE(9794)] = 678294,
  [SMALL_STATE(9795)] = 678303,
  [SMALL_STATE(9796)] = 678314,
  [SMALL_STATE(9797)] = 678325,
  [SMALL_STATE(9798)] = 678334,
  [SMALL_STATE(9799)] = 678345,
  [SMALL_STATE(9800)] = 678354,
  [SMALL_STATE(9801)] = 678363,
  [SMALL_STATE(9802)] = 678374,
  [SMALL_STATE(9803)] = 678385,
  [SMALL_STATE(9804)] = 678396,
  [SMALL_STATE(9805)] = 678407,
  [SMALL_STATE(9806)] = 678418,
  [SMALL_STATE(9807)] = 678429,
  [SMALL_STATE(9808)] = 678440,
  [SMALL_STATE(9809)] = 678451,
  [SMALL_STATE(9810)] = 678462,
  [SMALL_STATE(9811)] = 678471,
  [SMALL_STATE(9812)] = 678482,
  [SMALL_STATE(9813)] = 678493,
  [SMALL_STATE(9814)] = 678504,
  [SMALL_STATE(9815)] = 678515,
  [SMALL_STATE(9816)] = 678526,
  [SMALL_STATE(9817)] = 678537,
  [SMALL_STATE(9818)] = 678548,
  [SMALL_STATE(9819)] = 678559,
  [SMALL_STATE(9820)] = 678570,
  [SMALL_STATE(9821)] = 678581,
  [SMALL_STATE(9822)] = 678592,
  [SMALL_STATE(9823)] = 678603,
  [SMALL_STATE(9824)] = 678614,
  [SMALL_STATE(9825)] = 678625,
  [SMALL_STATE(9826)] = 678634,
  [SMALL_STATE(9827)] = 678645,
  [SMALL_STATE(9828)] = 678654,
  [SMALL_STATE(9829)] = 678665,
  [SMALL_STATE(9830)] = 678676,
  [SMALL_STATE(9831)] = 678687,
  [SMALL_STATE(9832)] = 678698,
  [SMALL_STATE(9833)] = 678709,
  [SMALL_STATE(9834)] = 678720,
  [SMALL_STATE(9835)] = 678731,
  [SMALL_STATE(9836)] = 678742,
  [SMALL_STATE(9837)] = 678755,
  [SMALL_STATE(9838)] = 678766,
  [SMALL_STATE(9839)] = 678775,
  [SMALL_STATE(9840)] = 678784,
  [SMALL_STATE(9841)] = 678797,
  [SMALL_STATE(9842)] = 678808,
  [SMALL_STATE(9843)] = 678819,
  [SMALL_STATE(9844)] = 678830,
  [SMALL_STATE(9845)] = 678841,
  [SMALL_STATE(9846)] = 678852,
  [SMALL_STATE(9847)] = 678863,
  [SMALL_STATE(9848)] = 678874,
  [SMALL_STATE(9849)] = 678885,
  [SMALL_STATE(9850)] = 678896,
  [SMALL_STATE(9851)] = 678907,
  [SMALL_STATE(9852)] = 678916,
  [SMALL_STATE(9853)] = 678927,
  [SMALL_STATE(9854)] = 678938,
  [SMALL_STATE(9855)] = 678947,
  [SMALL_STATE(9856)] = 678958,
  [SMALL_STATE(9857)] = 678969,
  [SMALL_STATE(9858)] = 678980,
  [SMALL_STATE(9859)] = 678989,
  [SMALL_STATE(9860)] = 678998,
  [SMALL_STATE(9861)] = 679011,
  [SMALL_STATE(9862)] = 679022,
  [SMALL_STATE(9863)] = 679033,
  [SMALL_STATE(9864)] = 679044,
  [SMALL_STATE(9865)] = 679053,
  [SMALL_STATE(9866)] = 679066,
  [SMALL_STATE(9867)] = 679075,
  [SMALL_STATE(9868)] = 679086,
  [SMALL_STATE(9869)] = 679097,
  [SMALL_STATE(9870)] = 679108,
  [SMALL_STATE(9871)] = 679117,
  [SMALL_STATE(9872)] = 679126,
  [SMALL_STATE(9873)] = 679139,
  [SMALL_STATE(9874)] = 679148,
  [SMALL_STATE(9875)] = 679157,
  [SMALL_STATE(9876)] = 679168,
  [SMALL_STATE(9877)] = 679177,
  [SMALL_STATE(9878)] = 679188,
  [SMALL_STATE(9879)] = 679199,
  [SMALL_STATE(9880)] = 679210,
  [SMALL_STATE(9881)] = 679221,
  [SMALL_STATE(9882)] = 679232,
  [SMALL_STATE(9883)] = 679245,
  [SMALL_STATE(9884)] = 679258,
  [SMALL_STATE(9885)] = 679269,
  [SMALL_STATE(9886)] = 679280,
  [SMALL_STATE(9887)] = 679291,
  [SMALL_STATE(9888)] = 679302,
  [SMALL_STATE(9889)] = 679313,
  [SMALL_STATE(9890)] = 679324,
  [SMALL_STATE(9891)] = 679335,
  [SMALL_STATE(9892)] = 679346,
  [SMALL_STATE(9893)] = 679357,
  [SMALL_STATE(9894)] = 679368,
  [SMALL_STATE(9895)] = 679379,
  [SMALL_STATE(9896)] = 679390,
  [SMALL_STATE(9897)] = 679401,
  [SMALL_STATE(9898)] = 679412,
  [SMALL_STATE(9899)] = 679423,
  [SMALL_STATE(9900)] = 679434,
  [SMALL_STATE(9901)] = 679445,
  [SMALL_STATE(9902)] = 679456,
  [SMALL_STATE(9903)] = 679465,
  [SMALL_STATE(9904)] = 679476,
  [SMALL_STATE(9905)] = 679485,
  [SMALL_STATE(9906)] = 679496,
  [SMALL_STATE(9907)] = 679507,
  [SMALL_STATE(9908)] = 679518,
  [SMALL_STATE(9909)] = 679529,
  [SMALL_STATE(9910)] = 679540,
  [SMALL_STATE(9911)] = 679551,
  [SMALL_STATE(9912)] = 679562,
  [SMALL_STATE(9913)] = 679573,
  [SMALL_STATE(9914)] = 679584,
  [SMALL_STATE(9915)] = 679595,
  [SMALL_STATE(9916)] = 679606,
  [SMALL_STATE(9917)] = 679617,
  [SMALL_STATE(9918)] = 679628,
  [SMALL_STATE(9919)] = 679639,
  [SMALL_STATE(9920)] = 679650,
  [SMALL_STATE(9921)] = 679661,
  [SMALL_STATE(9922)] = 679672,
  [SMALL_STATE(9923)] = 679683,
  [SMALL_STATE(9924)] = 679694,
  [SMALL_STATE(9925)] = 679705,
  [SMALL_STATE(9926)] = 679716,
  [SMALL_STATE(9927)] = 679727,
  [SMALL_STATE(9928)] = 679738,
  [SMALL_STATE(9929)] = 679749,
  [SMALL_STATE(9930)] = 679762,
  [SMALL_STATE(9931)] = 679773,
  [SMALL_STATE(9932)] = 679784,
  [SMALL_STATE(9933)] = 679795,
  [SMALL_STATE(9934)] = 679806,
  [SMALL_STATE(9935)] = 679817,
  [SMALL_STATE(9936)] = 679828,
  [SMALL_STATE(9937)] = 679839,
  [SMALL_STATE(9938)] = 679850,
  [SMALL_STATE(9939)] = 679861,
  [SMALL_STATE(9940)] = 679872,
  [SMALL_STATE(9941)] = 679883,
  [SMALL_STATE(9942)] = 679894,
  [SMALL_STATE(9943)] = 679905,
  [SMALL_STATE(9944)] = 679914,
  [SMALL_STATE(9945)] = 679925,
  [SMALL_STATE(9946)] = 679936,
  [SMALL_STATE(9947)] = 679947,
  [SMALL_STATE(9948)] = 679958,
  [SMALL_STATE(9949)] = 679969,
  [SMALL_STATE(9950)] = 679980,
  [SMALL_STATE(9951)] = 679991,
  [SMALL_STATE(9952)] = 680002,
  [SMALL_STATE(9953)] = 680013,
  [SMALL_STATE(9954)] = 680024,
  [SMALL_STATE(9955)] = 680035,
  [SMALL_STATE(9956)] = 680046,
  [SMALL_STATE(9957)] = 680057,
  [SMALL_STATE(9958)] = 680066,
  [SMALL_STATE(9959)] = 680077,
  [SMALL_STATE(9960)] = 680088,
  [SMALL_STATE(9961)] = 680099,
  [SMALL_STATE(9962)] = 680110,
  [SMALL_STATE(9963)] = 680121,
  [SMALL_STATE(9964)] = 680132,
  [SMALL_STATE(9965)] = 680143,
  [SMALL_STATE(9966)] = 680154,
  [SMALL_STATE(9967)] = 680165,
  [SMALL_STATE(9968)] = 680176,
  [SMALL_STATE(9969)] = 680187,
  [SMALL_STATE(9970)] = 680198,
  [SMALL_STATE(9971)] = 680209,
  [SMALL_STATE(9972)] = 680220,
  [SMALL_STATE(9973)] = 680231,
  [SMALL_STATE(9974)] = 680242,
  [SMALL_STATE(9975)] = 680253,
  [SMALL_STATE(9976)] = 680264,
  [SMALL_STATE(9977)] = 680275,
  [SMALL_STATE(9978)] = 680286,
  [SMALL_STATE(9979)] = 680297,
  [SMALL_STATE(9980)] = 680308,
  [SMALL_STATE(9981)] = 680319,
  [SMALL_STATE(9982)] = 680330,
  [SMALL_STATE(9983)] = 680341,
  [SMALL_STATE(9984)] = 680352,
  [SMALL_STATE(9985)] = 680363,
  [SMALL_STATE(9986)] = 680374,
  [SMALL_STATE(9987)] = 680383,
  [SMALL_STATE(9988)] = 680394,
  [SMALL_STATE(9989)] = 680405,
  [SMALL_STATE(9990)] = 680416,
  [SMALL_STATE(9991)] = 680427,
  [SMALL_STATE(9992)] = 680438,
  [SMALL_STATE(9993)] = 680449,
  [SMALL_STATE(9994)] = 680460,
  [SMALL_STATE(9995)] = 680471,
  [SMALL_STATE(9996)] = 680482,
  [SMALL_STATE(9997)] = 680493,
  [SMALL_STATE(9998)] = 680504,
  [SMALL_STATE(9999)] = 680515,
  [SMALL_STATE(10000)] = 680526,
  [SMALL_STATE(10001)] = 680537,
  [SMALL_STATE(10002)] = 680548,
  [SMALL_STATE(10003)] = 680559,
  [SMALL_STATE(10004)] = 680570,
  [SMALL_STATE(10005)] = 680581,
  [SMALL_STATE(10006)] = 680592,
  [SMALL_STATE(10007)] = 680603,
  [SMALL_STATE(10008)] = 680614,
  [SMALL_STATE(10009)] = 680625,
  [SMALL_STATE(10010)] = 680636,
  [SMALL_STATE(10011)] = 680647,
  [SMALL_STATE(10012)] = 680658,
  [SMALL_STATE(10013)] = 680669,
  [SMALL_STATE(10014)] = 680680,
  [SMALL_STATE(10015)] = 680691,
  [SMALL_STATE(10016)] = 680700,
  [SMALL_STATE(10017)] = 680709,
  [SMALL_STATE(10018)] = 680720,
  [SMALL_STATE(10019)] = 680731,
  [SMALL_STATE(10020)] = 680742,
  [SMALL_STATE(10021)] = 680753,
  [SMALL_STATE(10022)] = 680764,
  [SMALL_STATE(10023)] = 680775,
  [SMALL_STATE(10024)] = 680786,
  [SMALL_STATE(10025)] = 680797,
  [SMALL_STATE(10026)] = 680808,
  [SMALL_STATE(10027)] = 680819,
  [SMALL_STATE(10028)] = 680830,
  [SMALL_STATE(10029)] = 680841,
  [SMALL_STATE(10030)] = 680852,
  [SMALL_STATE(10031)] = 680861,
  [SMALL_STATE(10032)] = 680870,
  [SMALL_STATE(10033)] = 680879,
  [SMALL_STATE(10034)] = 680888,
  [SMALL_STATE(10035)] = 680899,
  [SMALL_STATE(10036)] = 680910,
  [SMALL_STATE(10037)] = 680921,
  [SMALL_STATE(10038)] = 680932,
  [SMALL_STATE(10039)] = 680943,
  [SMALL_STATE(10040)] = 680954,
  [SMALL_STATE(10041)] = 680965,
  [SMALL_STATE(10042)] = 680976,
  [SMALL_STATE(10043)] = 680987,
  [SMALL_STATE(10044)] = 680998,
  [SMALL_STATE(10045)] = 681007,
  [SMALL_STATE(10046)] = 681018,
  [SMALL_STATE(10047)] = 681029,
  [SMALL_STATE(10048)] = 681040,
  [SMALL_STATE(10049)] = 681051,
  [SMALL_STATE(10050)] = 681062,
  [SMALL_STATE(10051)] = 681073,
  [SMALL_STATE(10052)] = 681082,
  [SMALL_STATE(10053)] = 681093,
  [SMALL_STATE(10054)] = 681104,
  [SMALL_STATE(10055)] = 681115,
  [SMALL_STATE(10056)] = 681124,
  [SMALL_STATE(10057)] = 681135,
  [SMALL_STATE(10058)] = 681146,
  [SMALL_STATE(10059)] = 681157,
  [SMALL_STATE(10060)] = 681170,
  [SMALL_STATE(10061)] = 681181,
  [SMALL_STATE(10062)] = 681192,
  [SMALL_STATE(10063)] = 681203,
  [SMALL_STATE(10064)] = 681214,
  [SMALL_STATE(10065)] = 681225,
  [SMALL_STATE(10066)] = 681236,
  [SMALL_STATE(10067)] = 681247,
  [SMALL_STATE(10068)] = 681258,
  [SMALL_STATE(10069)] = 681269,
  [SMALL_STATE(10070)] = 681280,
  [SMALL_STATE(10071)] = 681291,
  [SMALL_STATE(10072)] = 681302,
  [SMALL_STATE(10073)] = 681313,
  [SMALL_STATE(10074)] = 681326,
  [SMALL_STATE(10075)] = 681339,
  [SMALL_STATE(10076)] = 681350,
  [SMALL_STATE(10077)] = 681361,
  [SMALL_STATE(10078)] = 681372,
  [SMALL_STATE(10079)] = 681383,
  [SMALL_STATE(10080)] = 681394,
  [SMALL_STATE(10081)] = 681405,
  [SMALL_STATE(10082)] = 681416,
  [SMALL_STATE(10083)] = 681427,
  [SMALL_STATE(10084)] = 681438,
  [SMALL_STATE(10085)] = 681449,
  [SMALL_STATE(10086)] = 681460,
  [SMALL_STATE(10087)] = 681471,
  [SMALL_STATE(10088)] = 681482,
  [SMALL_STATE(10089)] = 681493,
  [SMALL_STATE(10090)] = 681504,
  [SMALL_STATE(10091)] = 681515,
  [SMALL_STATE(10092)] = 681524,
  [SMALL_STATE(10093)] = 681535,
  [SMALL_STATE(10094)] = 681546,
  [SMALL_STATE(10095)] = 681557,
  [SMALL_STATE(10096)] = 681568,
  [SMALL_STATE(10097)] = 681579,
  [SMALL_STATE(10098)] = 681590,
  [SMALL_STATE(10099)] = 681599,
  [SMALL_STATE(10100)] = 681610,
  [SMALL_STATE(10101)] = 681621,
  [SMALL_STATE(10102)] = 681630,
  [SMALL_STATE(10103)] = 681641,
  [SMALL_STATE(10104)] = 681652,
  [SMALL_STATE(10105)] = 681663,
  [SMALL_STATE(10106)] = 681674,
  [SMALL_STATE(10107)] = 681685,
  [SMALL_STATE(10108)] = 681696,
  [SMALL_STATE(10109)] = 681707,
  [SMALL_STATE(10110)] = 681718,
  [SMALL_STATE(10111)] = 681729,
  [SMALL_STATE(10112)] = 681740,
  [SMALL_STATE(10113)] = 681749,
  [SMALL_STATE(10114)] = 681760,
  [SMALL_STATE(10115)] = 681771,
  [SMALL_STATE(10116)] = 681782,
  [SMALL_STATE(10117)] = 681793,
  [SMALL_STATE(10118)] = 681804,
  [SMALL_STATE(10119)] = 681815,
  [SMALL_STATE(10120)] = 681826,
  [SMALL_STATE(10121)] = 681837,
  [SMALL_STATE(10122)] = 681848,
  [SMALL_STATE(10123)] = 681859,
  [SMALL_STATE(10124)] = 681870,
  [SMALL_STATE(10125)] = 681881,
  [SMALL_STATE(10126)] = 681892,
  [SMALL_STATE(10127)] = 681903,
  [SMALL_STATE(10128)] = 681914,
  [SMALL_STATE(10129)] = 681925,
  [SMALL_STATE(10130)] = 681936,
  [SMALL_STATE(10131)] = 681947,
  [SMALL_STATE(10132)] = 681958,
  [SMALL_STATE(10133)] = 681969,
  [SMALL_STATE(10134)] = 681980,
  [SMALL_STATE(10135)] = 681991,
  [SMALL_STATE(10136)] = 682002,
  [SMALL_STATE(10137)] = 682013,
  [SMALL_STATE(10138)] = 682024,
  [SMALL_STATE(10139)] = 682035,
  [SMALL_STATE(10140)] = 682046,
  [SMALL_STATE(10141)] = 682057,
  [SMALL_STATE(10142)] = 682068,
  [SMALL_STATE(10143)] = 682079,
  [SMALL_STATE(10144)] = 682090,
  [SMALL_STATE(10145)] = 682101,
  [SMALL_STATE(10146)] = 682112,
  [SMALL_STATE(10147)] = 682123,
  [SMALL_STATE(10148)] = 682134,
  [SMALL_STATE(10149)] = 682145,
  [SMALL_STATE(10150)] = 682156,
  [SMALL_STATE(10151)] = 682167,
  [SMALL_STATE(10152)] = 682178,
  [SMALL_STATE(10153)] = 682189,
  [SMALL_STATE(10154)] = 682200,
  [SMALL_STATE(10155)] = 682211,
  [SMALL_STATE(10156)] = 682222,
  [SMALL_STATE(10157)] = 682233,
  [SMALL_STATE(10158)] = 682244,
  [SMALL_STATE(10159)] = 682255,
  [SMALL_STATE(10160)] = 682266,
  [SMALL_STATE(10161)] = 682277,
  [SMALL_STATE(10162)] = 682288,
  [SMALL_STATE(10163)] = 682299,
  [SMALL_STATE(10164)] = 682310,
  [SMALL_STATE(10165)] = 682321,
  [SMALL_STATE(10166)] = 682332,
  [SMALL_STATE(10167)] = 682343,
  [SMALL_STATE(10168)] = 682354,
  [SMALL_STATE(10169)] = 682365,
  [SMALL_STATE(10170)] = 682376,
  [SMALL_STATE(10171)] = 682387,
  [SMALL_STATE(10172)] = 682398,
  [SMALL_STATE(10173)] = 682409,
  [SMALL_STATE(10174)] = 682420,
  [SMALL_STATE(10175)] = 682431,
  [SMALL_STATE(10176)] = 682442,
  [SMALL_STATE(10177)] = 682451,
  [SMALL_STATE(10178)] = 682462,
  [SMALL_STATE(10179)] = 682473,
  [SMALL_STATE(10180)] = 682484,
  [SMALL_STATE(10181)] = 682495,
  [SMALL_STATE(10182)] = 682506,
  [SMALL_STATE(10183)] = 682517,
  [SMALL_STATE(10184)] = 682528,
  [SMALL_STATE(10185)] = 682539,
  [SMALL_STATE(10186)] = 682550,
  [SMALL_STATE(10187)] = 682561,
  [SMALL_STATE(10188)] = 682572,
  [SMALL_STATE(10189)] = 682583,
  [SMALL_STATE(10190)] = 682594,
  [SMALL_STATE(10191)] = 682605,
  [SMALL_STATE(10192)] = 682614,
  [SMALL_STATE(10193)] = 682623,
  [SMALL_STATE(10194)] = 682634,
  [SMALL_STATE(10195)] = 682645,
  [SMALL_STATE(10196)] = 682656,
  [SMALL_STATE(10197)] = 682667,
  [SMALL_STATE(10198)] = 682678,
  [SMALL_STATE(10199)] = 682689,
  [SMALL_STATE(10200)] = 682700,
  [SMALL_STATE(10201)] = 682711,
  [SMALL_STATE(10202)] = 682722,
  [SMALL_STATE(10203)] = 682733,
  [SMALL_STATE(10204)] = 682744,
  [SMALL_STATE(10205)] = 682755,
  [SMALL_STATE(10206)] = 682766,
  [SMALL_STATE(10207)] = 682777,
  [SMALL_STATE(10208)] = 682788,
  [SMALL_STATE(10209)] = 682799,
  [SMALL_STATE(10210)] = 682810,
  [SMALL_STATE(10211)] = 682821,
  [SMALL_STATE(10212)] = 682832,
  [SMALL_STATE(10213)] = 682843,
  [SMALL_STATE(10214)] = 682854,
  [SMALL_STATE(10215)] = 682865,
  [SMALL_STATE(10216)] = 682876,
  [SMALL_STATE(10217)] = 682887,
  [SMALL_STATE(10218)] = 682898,
  [SMALL_STATE(10219)] = 682909,
  [SMALL_STATE(10220)] = 682920,
  [SMALL_STATE(10221)] = 682931,
  [SMALL_STATE(10222)] = 682942,
  [SMALL_STATE(10223)] = 682953,
  [SMALL_STATE(10224)] = 682962,
  [SMALL_STATE(10225)] = 682971,
  [SMALL_STATE(10226)] = 682982,
  [SMALL_STATE(10227)] = 682993,
  [SMALL_STATE(10228)] = 683004,
  [SMALL_STATE(10229)] = 683013,
  [SMALL_STATE(10230)] = 683024,
  [SMALL_STATE(10231)] = 683035,
  [SMALL_STATE(10232)] = 683046,
  [SMALL_STATE(10233)] = 683054,
  [SMALL_STATE(10234)] = 683062,
  [SMALL_STATE(10235)] = 683070,
  [SMALL_STATE(10236)] = 683078,
  [SMALL_STATE(10237)] = 683086,
  [SMALL_STATE(10238)] = 683094,
  [SMALL_STATE(10239)] = 683102,
  [SMALL_STATE(10240)] = 683110,
  [SMALL_STATE(10241)] = 683118,
  [SMALL_STATE(10242)] = 683126,
  [SMALL_STATE(10243)] = 683134,
  [SMALL_STATE(10244)] = 683142,
  [SMALL_STATE(10245)] = 683150,
  [SMALL_STATE(10246)] = 683158,
  [SMALL_STATE(10247)] = 683166,
  [SMALL_STATE(10248)] = 683174,
  [SMALL_STATE(10249)] = 683182,
  [SMALL_STATE(10250)] = 683190,
  [SMALL_STATE(10251)] = 683198,
  [SMALL_STATE(10252)] = 683206,
  [SMALL_STATE(10253)] = 683214,
  [SMALL_STATE(10254)] = 683222,
  [SMALL_STATE(10255)] = 683230,
  [SMALL_STATE(10256)] = 683238,
  [SMALL_STATE(10257)] = 683246,
  [SMALL_STATE(10258)] = 683254,
  [SMALL_STATE(10259)] = 683262,
  [SMALL_STATE(10260)] = 683270,
  [SMALL_STATE(10261)] = 683278,
  [SMALL_STATE(10262)] = 683286,
  [SMALL_STATE(10263)] = 683294,
  [SMALL_STATE(10264)] = 683302,
  [SMALL_STATE(10265)] = 683310,
  [SMALL_STATE(10266)] = 683318,
  [SMALL_STATE(10267)] = 683326,
  [SMALL_STATE(10268)] = 683334,
  [SMALL_STATE(10269)] = 683342,
  [SMALL_STATE(10270)] = 683350,
  [SMALL_STATE(10271)] = 683358,
  [SMALL_STATE(10272)] = 683366,
  [SMALL_STATE(10273)] = 683374,
  [SMALL_STATE(10274)] = 683382,
  [SMALL_STATE(10275)] = 683390,
  [SMALL_STATE(10276)] = 683398,
  [SMALL_STATE(10277)] = 683406,
  [SMALL_STATE(10278)] = 683414,
  [SMALL_STATE(10279)] = 683422,
  [SMALL_STATE(10280)] = 683430,
  [SMALL_STATE(10281)] = 683438,
  [SMALL_STATE(10282)] = 683446,
  [SMALL_STATE(10283)] = 683454,
  [SMALL_STATE(10284)] = 683462,
  [SMALL_STATE(10285)] = 683470,
  [SMALL_STATE(10286)] = 683478,
  [SMALL_STATE(10287)] = 683486,
  [SMALL_STATE(10288)] = 683494,
  [SMALL_STATE(10289)] = 683502,
  [SMALL_STATE(10290)] = 683510,
  [SMALL_STATE(10291)] = 683518,
  [SMALL_STATE(10292)] = 683526,
  [SMALL_STATE(10293)] = 683534,
  [SMALL_STATE(10294)] = 683542,
  [SMALL_STATE(10295)] = 683550,
  [SMALL_STATE(10296)] = 683558,
  [SMALL_STATE(10297)] = 683566,
  [SMALL_STATE(10298)] = 683574,
  [SMALL_STATE(10299)] = 683582,
  [SMALL_STATE(10300)] = 683590,
  [SMALL_STATE(10301)] = 683598,
  [SMALL_STATE(10302)] = 683606,
  [SMALL_STATE(10303)] = 683614,
  [SMALL_STATE(10304)] = 683622,
  [SMALL_STATE(10305)] = 683630,
  [SMALL_STATE(10306)] = 683638,
  [SMALL_STATE(10307)] = 683646,
  [SMALL_STATE(10308)] = 683654,
  [SMALL_STATE(10309)] = 683662,
  [SMALL_STATE(10310)] = 683670,
  [SMALL_STATE(10311)] = 683678,
  [SMALL_STATE(10312)] = 683686,
  [SMALL_STATE(10313)] = 683694,
  [SMALL_STATE(10314)] = 683702,
  [SMALL_STATE(10315)] = 683710,
  [SMALL_STATE(10316)] = 683718,
  [SMALL_STATE(10317)] = 683726,
  [SMALL_STATE(10318)] = 683734,
  [SMALL_STATE(10319)] = 683742,
  [SMALL_STATE(10320)] = 683750,
  [SMALL_STATE(10321)] = 683758,
  [SMALL_STATE(10322)] = 683766,
  [SMALL_STATE(10323)] = 683774,
  [SMALL_STATE(10324)] = 683782,
  [SMALL_STATE(10325)] = 683790,
  [SMALL_STATE(10326)] = 683798,
  [SMALL_STATE(10327)] = 683806,
  [SMALL_STATE(10328)] = 683814,
  [SMALL_STATE(10329)] = 683822,
  [SMALL_STATE(10330)] = 683830,
  [SMALL_STATE(10331)] = 683838,
  [SMALL_STATE(10332)] = 683846,
  [SMALL_STATE(10333)] = 683854,
  [SMALL_STATE(10334)] = 683862,
  [SMALL_STATE(10335)] = 683870,
  [SMALL_STATE(10336)] = 683878,
  [SMALL_STATE(10337)] = 683886,
  [SMALL_STATE(10338)] = 683894,
  [SMALL_STATE(10339)] = 683902,
  [SMALL_STATE(10340)] = 683910,
  [SMALL_STATE(10341)] = 683918,
  [SMALL_STATE(10342)] = 683926,
  [SMALL_STATE(10343)] = 683934,
  [SMALL_STATE(10344)] = 683942,
  [SMALL_STATE(10345)] = 683950,
  [SMALL_STATE(10346)] = 683958,
  [SMALL_STATE(10347)] = 683966,
  [SMALL_STATE(10348)] = 683974,
  [SMALL_STATE(10349)] = 683982,
  [SMALL_STATE(10350)] = 683990,
  [SMALL_STATE(10351)] = 683998,
  [SMALL_STATE(10352)] = 684006,
  [SMALL_STATE(10353)] = 684014,
  [SMALL_STATE(10354)] = 684022,
  [SMALL_STATE(10355)] = 684030,
  [SMALL_STATE(10356)] = 684038,
  [SMALL_STATE(10357)] = 684046,
  [SMALL_STATE(10358)] = 684054,
  [SMALL_STATE(10359)] = 684062,
  [SMALL_STATE(10360)] = 684070,
  [SMALL_STATE(10361)] = 684078,
  [SMALL_STATE(10362)] = 684086,
  [SMALL_STATE(10363)] = 684094,
  [SMALL_STATE(10364)] = 684102,
  [SMALL_STATE(10365)] = 684110,
  [SMALL_STATE(10366)] = 684118,
  [SMALL_STATE(10367)] = 684126,
  [SMALL_STATE(10368)] = 684134,
  [SMALL_STATE(10369)] = 684142,
  [SMALL_STATE(10370)] = 684150,
  [SMALL_STATE(10371)] = 684158,
  [SMALL_STATE(10372)] = 684166,
  [SMALL_STATE(10373)] = 684174,
  [SMALL_STATE(10374)] = 684182,
  [SMALL_STATE(10375)] = 684190,
  [SMALL_STATE(10376)] = 684198,
  [SMALL_STATE(10377)] = 684206,
  [SMALL_STATE(10378)] = 684214,
  [SMALL_STATE(10379)] = 684222,
  [SMALL_STATE(10380)] = 684230,
  [SMALL_STATE(10381)] = 684238,
  [SMALL_STATE(10382)] = 684246,
  [SMALL_STATE(10383)] = 684254,
  [SMALL_STATE(10384)] = 684262,
  [SMALL_STATE(10385)] = 684270,
  [SMALL_STATE(10386)] = 684278,
  [SMALL_STATE(10387)] = 684286,
  [SMALL_STATE(10388)] = 684294,
  [SMALL_STATE(10389)] = 684302,
  [SMALL_STATE(10390)] = 684310,
  [SMALL_STATE(10391)] = 684318,
  [SMALL_STATE(10392)] = 684326,
  [SMALL_STATE(10393)] = 684334,
  [SMALL_STATE(10394)] = 684342,
  [SMALL_STATE(10395)] = 684350,
  [SMALL_STATE(10396)] = 684358,
  [SMALL_STATE(10397)] = 684366,
  [SMALL_STATE(10398)] = 684374,
  [SMALL_STATE(10399)] = 684382,
  [SMALL_STATE(10400)] = 684390,
  [SMALL_STATE(10401)] = 684398,
  [SMALL_STATE(10402)] = 684406,
  [SMALL_STATE(10403)] = 684414,
  [SMALL_STATE(10404)] = 684422,
  [SMALL_STATE(10405)] = 684430,
  [SMALL_STATE(10406)] = 684438,
  [SMALL_STATE(10407)] = 684446,
  [SMALL_STATE(10408)] = 684454,
  [SMALL_STATE(10409)] = 684462,
  [SMALL_STATE(10410)] = 684470,
  [SMALL_STATE(10411)] = 684478,
  [SMALL_STATE(10412)] = 684486,
  [SMALL_STATE(10413)] = 684494,
  [SMALL_STATE(10414)] = 684502,
  [SMALL_STATE(10415)] = 684510,
  [SMALL_STATE(10416)] = 684518,
  [SMALL_STATE(10417)] = 684526,
  [SMALL_STATE(10418)] = 684534,
  [SMALL_STATE(10419)] = 684542,
  [SMALL_STATE(10420)] = 684550,
  [SMALL_STATE(10421)] = 684558,
  [SMALL_STATE(10422)] = 684566,
  [SMALL_STATE(10423)] = 684574,
  [SMALL_STATE(10424)] = 684582,
  [SMALL_STATE(10425)] = 684590,
  [SMALL_STATE(10426)] = 684598,
  [SMALL_STATE(10427)] = 684606,
  [SMALL_STATE(10428)] = 684614,
  [SMALL_STATE(10429)] = 684622,
  [SMALL_STATE(10430)] = 684630,
  [SMALL_STATE(10431)] = 684638,
  [SMALL_STATE(10432)] = 684646,
  [SMALL_STATE(10433)] = 684654,
  [SMALL_STATE(10434)] = 684662,
  [SMALL_STATE(10435)] = 684670,
  [SMALL_STATE(10436)] = 684678,
  [SMALL_STATE(10437)] = 684686,
  [SMALL_STATE(10438)] = 684694,
  [SMALL_STATE(10439)] = 684702,
  [SMALL_STATE(10440)] = 684710,
  [SMALL_STATE(10441)] = 684718,
  [SMALL_STATE(10442)] = 684726,
  [SMALL_STATE(10443)] = 684734,
  [SMALL_STATE(10444)] = 684742,
  [SMALL_STATE(10445)] = 684750,
  [SMALL_STATE(10446)] = 684758,
  [SMALL_STATE(10447)] = 684766,
  [SMALL_STATE(10448)] = 684774,
  [SMALL_STATE(10449)] = 684782,
  [SMALL_STATE(10450)] = 684790,
  [SMALL_STATE(10451)] = 684798,
  [SMALL_STATE(10452)] = 684806,
  [SMALL_STATE(10453)] = 684814,
  [SMALL_STATE(10454)] = 684822,
  [SMALL_STATE(10455)] = 684830,
  [SMALL_STATE(10456)] = 684838,
  [SMALL_STATE(10457)] = 684846,
  [SMALL_STATE(10458)] = 684854,
  [SMALL_STATE(10459)] = 684862,
  [SMALL_STATE(10460)] = 684870,
  [SMALL_STATE(10461)] = 684878,
  [SMALL_STATE(10462)] = 684886,
  [SMALL_STATE(10463)] = 684894,
  [SMALL_STATE(10464)] = 684902,
  [SMALL_STATE(10465)] = 684910,
  [SMALL_STATE(10466)] = 684918,
  [SMALL_STATE(10467)] = 684926,
  [SMALL_STATE(10468)] = 684934,
  [SMALL_STATE(10469)] = 684942,
  [SMALL_STATE(10470)] = 684950,
  [SMALL_STATE(10471)] = 684958,
  [SMALL_STATE(10472)] = 684966,
  [SMALL_STATE(10473)] = 684974,
  [SMALL_STATE(10474)] = 684982,
  [SMALL_STATE(10475)] = 684990,
  [SMALL_STATE(10476)] = 684998,
  [SMALL_STATE(10477)] = 685006,
  [SMALL_STATE(10478)] = 685014,
  [SMALL_STATE(10479)] = 685022,
  [SMALL_STATE(10480)] = 685030,
  [SMALL_STATE(10481)] = 685038,
  [SMALL_STATE(10482)] = 685046,
  [SMALL_STATE(10483)] = 685054,
  [SMALL_STATE(10484)] = 685062,
  [SMALL_STATE(10485)] = 685070,
  [SMALL_STATE(10486)] = 685078,
  [SMALL_STATE(10487)] = 685086,
  [SMALL_STATE(10488)] = 685094,
  [SMALL_STATE(10489)] = 685102,
  [SMALL_STATE(10490)] = 685110,
  [SMALL_STATE(10491)] = 685118,
  [SMALL_STATE(10492)] = 685126,
  [SMALL_STATE(10493)] = 685134,
  [SMALL_STATE(10494)] = 685142,
  [SMALL_STATE(10495)] = 685150,
  [SMALL_STATE(10496)] = 685158,
  [SMALL_STATE(10497)] = 685166,
  [SMALL_STATE(10498)] = 685174,
  [SMALL_STATE(10499)] = 685182,
  [SMALL_STATE(10500)] = 685190,
  [SMALL_STATE(10501)] = 685198,
  [SMALL_STATE(10502)] = 685206,
  [SMALL_STATE(10503)] = 685214,
  [SMALL_STATE(10504)] = 685222,
  [SMALL_STATE(10505)] = 685230,
  [SMALL_STATE(10506)] = 685238,
  [SMALL_STATE(10507)] = 685246,
  [SMALL_STATE(10508)] = 685254,
  [SMALL_STATE(10509)] = 685262,
  [SMALL_STATE(10510)] = 685270,
  [SMALL_STATE(10511)] = 685278,
  [SMALL_STATE(10512)] = 685286,
  [SMALL_STATE(10513)] = 685294,
  [SMALL_STATE(10514)] = 685302,
  [SMALL_STATE(10515)] = 685310,
  [SMALL_STATE(10516)] = 685318,
  [SMALL_STATE(10517)] = 685326,
  [SMALL_STATE(10518)] = 685334,
  [SMALL_STATE(10519)] = 685342,
  [SMALL_STATE(10520)] = 685350,
  [SMALL_STATE(10521)] = 685358,
  [SMALL_STATE(10522)] = 685366,
  [SMALL_STATE(10523)] = 685374,
  [SMALL_STATE(10524)] = 685382,
  [SMALL_STATE(10525)] = 685390,
  [SMALL_STATE(10526)] = 685398,
  [SMALL_STATE(10527)] = 685406,
  [SMALL_STATE(10528)] = 685414,
  [SMALL_STATE(10529)] = 685422,
  [SMALL_STATE(10530)] = 685430,
  [SMALL_STATE(10531)] = 685438,
  [SMALL_STATE(10532)] = 685446,
  [SMALL_STATE(10533)] = 685454,
  [SMALL_STATE(10534)] = 685462,
  [SMALL_STATE(10535)] = 685470,
  [SMALL_STATE(10536)] = 685478,
  [SMALL_STATE(10537)] = 685486,
  [SMALL_STATE(10538)] = 685494,
  [SMALL_STATE(10539)] = 685502,
  [SMALL_STATE(10540)] = 685510,
  [SMALL_STATE(10541)] = 685518,
  [SMALL_STATE(10542)] = 685526,
  [SMALL_STATE(10543)] = 685534,
  [SMALL_STATE(10544)] = 685542,
  [SMALL_STATE(10545)] = 685550,
  [SMALL_STATE(10546)] = 685558,
  [SMALL_STATE(10547)] = 685566,
  [SMALL_STATE(10548)] = 685574,
  [SMALL_STATE(10549)] = 685582,
  [SMALL_STATE(10550)] = 685590,
  [SMALL_STATE(10551)] = 685598,
  [SMALL_STATE(10552)] = 685606,
  [SMALL_STATE(10553)] = 685614,
  [SMALL_STATE(10554)] = 685622,
  [SMALL_STATE(10555)] = 685630,
  [SMALL_STATE(10556)] = 685638,
  [SMALL_STATE(10557)] = 685646,
  [SMALL_STATE(10558)] = 685654,
  [SMALL_STATE(10559)] = 685662,
  [SMALL_STATE(10560)] = 685670,
  [SMALL_STATE(10561)] = 685678,
  [SMALL_STATE(10562)] = 685686,
  [SMALL_STATE(10563)] = 685694,
  [SMALL_STATE(10564)] = 685702,
  [SMALL_STATE(10565)] = 685710,
  [SMALL_STATE(10566)] = 685718,
  [SMALL_STATE(10567)] = 685726,
  [SMALL_STATE(10568)] = 685734,
  [SMALL_STATE(10569)] = 685742,
  [SMALL_STATE(10570)] = 685750,
  [SMALL_STATE(10571)] = 685758,
  [SMALL_STATE(10572)] = 685766,
  [SMALL_STATE(10573)] = 685774,
  [SMALL_STATE(10574)] = 685782,
  [SMALL_STATE(10575)] = 685790,
  [SMALL_STATE(10576)] = 685798,
  [SMALL_STATE(10577)] = 685806,
  [SMALL_STATE(10578)] = 685814,
  [SMALL_STATE(10579)] = 685822,
  [SMALL_STATE(10580)] = 685830,
  [SMALL_STATE(10581)] = 685838,
  [SMALL_STATE(10582)] = 685846,
  [SMALL_STATE(10583)] = 685854,
  [SMALL_STATE(10584)] = 685862,
  [SMALL_STATE(10585)] = 685870,
  [SMALL_STATE(10586)] = 685878,
  [SMALL_STATE(10587)] = 685886,
  [SMALL_STATE(10588)] = 685894,
  [SMALL_STATE(10589)] = 685902,
  [SMALL_STATE(10590)] = 685910,
  [SMALL_STATE(10591)] = 685918,
  [SMALL_STATE(10592)] = 685926,
  [SMALL_STATE(10593)] = 685934,
  [SMALL_STATE(10594)] = 685942,
  [SMALL_STATE(10595)] = 685950,
  [SMALL_STATE(10596)] = 685958,
  [SMALL_STATE(10597)] = 685966,
  [SMALL_STATE(10598)] = 685974,
  [SMALL_STATE(10599)] = 685982,
  [SMALL_STATE(10600)] = 685990,
  [SMALL_STATE(10601)] = 685998,
  [SMALL_STATE(10602)] = 686006,
  [SMALL_STATE(10603)] = 686014,
  [SMALL_STATE(10604)] = 686022,
  [SMALL_STATE(10605)] = 686030,
  [SMALL_STATE(10606)] = 686038,
  [SMALL_STATE(10607)] = 686046,
  [SMALL_STATE(10608)] = 686054,
  [SMALL_STATE(10609)] = 686062,
  [SMALL_STATE(10610)] = 686070,
  [SMALL_STATE(10611)] = 686078,
  [SMALL_STATE(10612)] = 686086,
  [SMALL_STATE(10613)] = 686094,
  [SMALL_STATE(10614)] = 686102,
  [SMALL_STATE(10615)] = 686110,
  [SMALL_STATE(10616)] = 686118,
  [SMALL_STATE(10617)] = 686126,
  [SMALL_STATE(10618)] = 686134,
  [SMALL_STATE(10619)] = 686142,
  [SMALL_STATE(10620)] = 686150,
  [SMALL_STATE(10621)] = 686158,
  [SMALL_STATE(10622)] = 686166,
  [SMALL_STATE(10623)] = 686174,
  [SMALL_STATE(10624)] = 686182,
  [SMALL_STATE(10625)] = 686190,
  [SMALL_STATE(10626)] = 686198,
  [SMALL_STATE(10627)] = 686206,
  [SMALL_STATE(10628)] = 686214,
  [SMALL_STATE(10629)] = 686222,
  [SMALL_STATE(10630)] = 686230,
  [SMALL_STATE(10631)] = 686238,
  [SMALL_STATE(10632)] = 686246,
  [SMALL_STATE(10633)] = 686254,
  [SMALL_STATE(10634)] = 686262,
  [SMALL_STATE(10635)] = 686270,
  [SMALL_STATE(10636)] = 686278,
  [SMALL_STATE(10637)] = 686286,
  [SMALL_STATE(10638)] = 686294,
  [SMALL_STATE(10639)] = 686302,
  [SMALL_STATE(10640)] = 686310,
  [SMALL_STATE(10641)] = 686318,
  [SMALL_STATE(10642)] = 686326,
  [SMALL_STATE(10643)] = 686334,
  [SMALL_STATE(10644)] = 686342,
  [SMALL_STATE(10645)] = 686350,
  [SMALL_STATE(10646)] = 686358,
  [SMALL_STATE(10647)] = 686366,
  [SMALL_STATE(10648)] = 686374,
  [SMALL_STATE(10649)] = 686382,
  [SMALL_STATE(10650)] = 686390,
  [SMALL_STATE(10651)] = 686398,
  [SMALL_STATE(10652)] = 686406,
  [SMALL_STATE(10653)] = 686414,
  [SMALL_STATE(10654)] = 686422,
  [SMALL_STATE(10655)] = 686430,
  [SMALL_STATE(10656)] = 686438,
  [SMALL_STATE(10657)] = 686446,
  [SMALL_STATE(10658)] = 686454,
  [SMALL_STATE(10659)] = 686462,
  [SMALL_STATE(10660)] = 686470,
  [SMALL_STATE(10661)] = 686478,
  [SMALL_STATE(10662)] = 686486,
  [SMALL_STATE(10663)] = 686494,
  [SMALL_STATE(10664)] = 686502,
  [SMALL_STATE(10665)] = 686510,
  [SMALL_STATE(10666)] = 686518,
  [SMALL_STATE(10667)] = 686526,
  [SMALL_STATE(10668)] = 686534,
  [SMALL_STATE(10669)] = 686542,
  [SMALL_STATE(10670)] = 686550,
  [SMALL_STATE(10671)] = 686558,
  [SMALL_STATE(10672)] = 686566,
  [SMALL_STATE(10673)] = 686574,
  [SMALL_STATE(10674)] = 686582,
  [SMALL_STATE(10675)] = 686590,
  [SMALL_STATE(10676)] = 686598,
  [SMALL_STATE(10677)] = 686606,
  [SMALL_STATE(10678)] = 686614,
  [SMALL_STATE(10679)] = 686622,
  [SMALL_STATE(10680)] = 686630,
  [SMALL_STATE(10681)] = 686638,
  [SMALL_STATE(10682)] = 686646,
  [SMALL_STATE(10683)] = 686654,
  [SMALL_STATE(10684)] = 686662,
  [SMALL_STATE(10685)] = 686670,
  [SMALL_STATE(10686)] = 686678,
  [SMALL_STATE(10687)] = 686686,
  [SMALL_STATE(10688)] = 686694,
  [SMALL_STATE(10689)] = 686702,
  [SMALL_STATE(10690)] = 686710,
  [SMALL_STATE(10691)] = 686718,
  [SMALL_STATE(10692)] = 686726,
  [SMALL_STATE(10693)] = 686734,
  [SMALL_STATE(10694)] = 686742,
  [SMALL_STATE(10695)] = 686750,
  [SMALL_STATE(10696)] = 686758,
  [SMALL_STATE(10697)] = 686766,
  [SMALL_STATE(10698)] = 686774,
  [SMALL_STATE(10699)] = 686782,
  [SMALL_STATE(10700)] = 686790,
  [SMALL_STATE(10701)] = 686798,
  [SMALL_STATE(10702)] = 686806,
  [SMALL_STATE(10703)] = 686814,
  [SMALL_STATE(10704)] = 686822,
  [SMALL_STATE(10705)] = 686830,
  [SMALL_STATE(10706)] = 686838,
  [SMALL_STATE(10707)] = 686846,
  [SMALL_STATE(10708)] = 686854,
  [SMALL_STATE(10709)] = 686862,
  [SMALL_STATE(10710)] = 686870,
  [SMALL_STATE(10711)] = 686878,
  [SMALL_STATE(10712)] = 686886,
  [SMALL_STATE(10713)] = 686894,
  [SMALL_STATE(10714)] = 686902,
  [SMALL_STATE(10715)] = 686910,
  [SMALL_STATE(10716)] = 686918,
  [SMALL_STATE(10717)] = 686926,
  [SMALL_STATE(10718)] = 686934,
  [SMALL_STATE(10719)] = 686942,
  [SMALL_STATE(10720)] = 686950,
  [SMALL_STATE(10721)] = 686958,
  [SMALL_STATE(10722)] = 686966,
  [SMALL_STATE(10723)] = 686974,
  [SMALL_STATE(10724)] = 686982,
  [SMALL_STATE(10725)] = 686990,
  [SMALL_STATE(10726)] = 686998,
  [SMALL_STATE(10727)] = 687006,
  [SMALL_STATE(10728)] = 687014,
  [SMALL_STATE(10729)] = 687022,
  [SMALL_STATE(10730)] = 687030,
  [SMALL_STATE(10731)] = 687038,
  [SMALL_STATE(10732)] = 687046,
  [SMALL_STATE(10733)] = 687054,
  [SMALL_STATE(10734)] = 687062,
  [SMALL_STATE(10735)] = 687070,
  [SMALL_STATE(10736)] = 687078,
  [SMALL_STATE(10737)] = 687086,
  [SMALL_STATE(10738)] = 687094,
  [SMALL_STATE(10739)] = 687102,
  [SMALL_STATE(10740)] = 687110,
  [SMALL_STATE(10741)] = 687118,
  [SMALL_STATE(10742)] = 687126,
  [SMALL_STATE(10743)] = 687134,
  [SMALL_STATE(10744)] = 687142,
  [SMALL_STATE(10745)] = 687150,
  [SMALL_STATE(10746)] = 687158,
  [SMALL_STATE(10747)] = 687166,
  [SMALL_STATE(10748)] = 687174,
  [SMALL_STATE(10749)] = 687182,
  [SMALL_STATE(10750)] = 687190,
  [SMALL_STATE(10751)] = 687198,
  [SMALL_STATE(10752)] = 687206,
  [SMALL_STATE(10753)] = 687214,
  [SMALL_STATE(10754)] = 687222,
  [SMALL_STATE(10755)] = 687230,
  [SMALL_STATE(10756)] = 687238,
  [SMALL_STATE(10757)] = 687246,
  [SMALL_STATE(10758)] = 687254,
  [SMALL_STATE(10759)] = 687262,
  [SMALL_STATE(10760)] = 687270,
  [SMALL_STATE(10761)] = 687278,
  [SMALL_STATE(10762)] = 687286,
  [SMALL_STATE(10763)] = 687294,
  [SMALL_STATE(10764)] = 687302,
  [SMALL_STATE(10765)] = 687310,
  [SMALL_STATE(10766)] = 687318,
  [SMALL_STATE(10767)] = 687326,
  [SMALL_STATE(10768)] = 687334,
  [SMALL_STATE(10769)] = 687342,
  [SMALL_STATE(10770)] = 687350,
  [SMALL_STATE(10771)] = 687358,
  [SMALL_STATE(10772)] = 687366,
  [SMALL_STATE(10773)] = 687374,
  [SMALL_STATE(10774)] = 687382,
  [SMALL_STATE(10775)] = 687390,
  [SMALL_STATE(10776)] = 687398,
  [SMALL_STATE(10777)] = 687406,
  [SMALL_STATE(10778)] = 687414,
  [SMALL_STATE(10779)] = 687422,
  [SMALL_STATE(10780)] = 687430,
  [SMALL_STATE(10781)] = 687438,
  [SMALL_STATE(10782)] = 687446,
  [SMALL_STATE(10783)] = 687454,
  [SMALL_STATE(10784)] = 687462,
  [SMALL_STATE(10785)] = 687470,
  [SMALL_STATE(10786)] = 687478,
  [SMALL_STATE(10787)] = 687486,
  [SMALL_STATE(10788)] = 687494,
  [SMALL_STATE(10789)] = 687502,
  [SMALL_STATE(10790)] = 687510,
  [SMALL_STATE(10791)] = 687518,
  [SMALL_STATE(10792)] = 687526,
  [SMALL_STATE(10793)] = 687534,
  [SMALL_STATE(10794)] = 687542,
  [SMALL_STATE(10795)] = 687550,
  [SMALL_STATE(10796)] = 687558,
  [SMALL_STATE(10797)] = 687566,
  [SMALL_STATE(10798)] = 687574,
  [SMALL_STATE(10799)] = 687582,
  [SMALL_STATE(10800)] = 687590,
  [SMALL_STATE(10801)] = 687598,
  [SMALL_STATE(10802)] = 687606,
  [SMALL_STATE(10803)] = 687614,
  [SMALL_STATE(10804)] = 687622,
  [SMALL_STATE(10805)] = 687630,
  [SMALL_STATE(10806)] = 687638,
  [SMALL_STATE(10807)] = 687646,
  [SMALL_STATE(10808)] = 687654,
  [SMALL_STATE(10809)] = 687662,
  [SMALL_STATE(10810)] = 687670,
  [SMALL_STATE(10811)] = 687678,
  [SMALL_STATE(10812)] = 687686,
  [SMALL_STATE(10813)] = 687694,
  [SMALL_STATE(10814)] = 687702,
  [SMALL_STATE(10815)] = 687710,
  [SMALL_STATE(10816)] = 687718,
  [SMALL_STATE(10817)] = 687726,
  [SMALL_STATE(10818)] = 687734,
  [SMALL_STATE(10819)] = 687742,
  [SMALL_STATE(10820)] = 687750,
  [SMALL_STATE(10821)] = 687758,
  [SMALL_STATE(10822)] = 687766,
  [SMALL_STATE(10823)] = 687776,
  [SMALL_STATE(10824)] = 687784,
  [SMALL_STATE(10825)] = 687792,
  [SMALL_STATE(10826)] = 687800,
  [SMALL_STATE(10827)] = 687808,
  [SMALL_STATE(10828)] = 687816,
  [SMALL_STATE(10829)] = 687824,
  [SMALL_STATE(10830)] = 687832,
  [SMALL_STATE(10831)] = 687840,
  [SMALL_STATE(10832)] = 687848,
  [SMALL_STATE(10833)] = 687856,
  [SMALL_STATE(10834)] = 687864,
  [SMALL_STATE(10835)] = 687872,
  [SMALL_STATE(10836)] = 687880,
  [SMALL_STATE(10837)] = 687888,
  [SMALL_STATE(10838)] = 687896,
  [SMALL_STATE(10839)] = 687904,
  [SMALL_STATE(10840)] = 687912,
  [SMALL_STATE(10841)] = 687920,
  [SMALL_STATE(10842)] = 687928,
  [SMALL_STATE(10843)] = 687936,
  [SMALL_STATE(10844)] = 687944,
  [SMALL_STATE(10845)] = 687952,
  [SMALL_STATE(10846)] = 687960,
  [SMALL_STATE(10847)] = 687968,
  [SMALL_STATE(10848)] = 687976,
  [SMALL_STATE(10849)] = 687984,
  [SMALL_STATE(10850)] = 687992,
  [SMALL_STATE(10851)] = 688000,
  [SMALL_STATE(10852)] = 688008,
  [SMALL_STATE(10853)] = 688016,
  [SMALL_STATE(10854)] = 688024,
  [SMALL_STATE(10855)] = 688032,
  [SMALL_STATE(10856)] = 688040,
  [SMALL_STATE(10857)] = 688048,
  [SMALL_STATE(10858)] = 688056,
  [SMALL_STATE(10859)] = 688064,
  [SMALL_STATE(10860)] = 688072,
  [SMALL_STATE(10861)] = 688080,
  [SMALL_STATE(10862)] = 688088,
  [SMALL_STATE(10863)] = 688096,
  [SMALL_STATE(10864)] = 688104,
  [SMALL_STATE(10865)] = 688112,
  [SMALL_STATE(10866)] = 688120,
  [SMALL_STATE(10867)] = 688128,
  [SMALL_STATE(10868)] = 688136,
  [SMALL_STATE(10869)] = 688144,
  [SMALL_STATE(10870)] = 688152,
  [SMALL_STATE(10871)] = 688160,
  [SMALL_STATE(10872)] = 688168,
  [SMALL_STATE(10873)] = 688176,
  [SMALL_STATE(10874)] = 688184,
  [SMALL_STATE(10875)] = 688192,
  [SMALL_STATE(10876)] = 688202,
  [SMALL_STATE(10877)] = 688210,
  [SMALL_STATE(10878)] = 688218,
  [SMALL_STATE(10879)] = 688226,
  [SMALL_STATE(10880)] = 688234,
  [SMALL_STATE(10881)] = 688242,
  [SMALL_STATE(10882)] = 688250,
  [SMALL_STATE(10883)] = 688258,
  [SMALL_STATE(10884)] = 688266,
  [SMALL_STATE(10885)] = 688274,
  [SMALL_STATE(10886)] = 688282,
  [SMALL_STATE(10887)] = 688290,
  [SMALL_STATE(10888)] = 688298,
  [SMALL_STATE(10889)] = 688306,
  [SMALL_STATE(10890)] = 688314,
  [SMALL_STATE(10891)] = 688322,
  [SMALL_STATE(10892)] = 688330,
  [SMALL_STATE(10893)] = 688338,
  [SMALL_STATE(10894)] = 688346,
  [SMALL_STATE(10895)] = 688354,
  [SMALL_STATE(10896)] = 688362,
  [SMALL_STATE(10897)] = 688370,
  [SMALL_STATE(10898)] = 688378,
  [SMALL_STATE(10899)] = 688386,
  [SMALL_STATE(10900)] = 688394,
  [SMALL_STATE(10901)] = 688402,
  [SMALL_STATE(10902)] = 688410,
  [SMALL_STATE(10903)] = 688418,
  [SMALL_STATE(10904)] = 688426,
  [SMALL_STATE(10905)] = 688434,
  [SMALL_STATE(10906)] = 688442,
  [SMALL_STATE(10907)] = 688450,
  [SMALL_STATE(10908)] = 688458,
  [SMALL_STATE(10909)] = 688466,
  [SMALL_STATE(10910)] = 688474,
  [SMALL_STATE(10911)] = 688482,
  [SMALL_STATE(10912)] = 688490,
  [SMALL_STATE(10913)] = 688498,
  [SMALL_STATE(10914)] = 688506,
  [SMALL_STATE(10915)] = 688514,
  [SMALL_STATE(10916)] = 688522,
  [SMALL_STATE(10917)] = 688530,
  [SMALL_STATE(10918)] = 688538,
  [SMALL_STATE(10919)] = 688546,
  [SMALL_STATE(10920)] = 688554,
  [SMALL_STATE(10921)] = 688562,
  [SMALL_STATE(10922)] = 688570,
  [SMALL_STATE(10923)] = 688578,
  [SMALL_STATE(10924)] = 688586,
  [SMALL_STATE(10925)] = 688594,
  [SMALL_STATE(10926)] = 688602,
  [SMALL_STATE(10927)] = 688610,
  [SMALL_STATE(10928)] = 688618,
  [SMALL_STATE(10929)] = 688626,
  [SMALL_STATE(10930)] = 688634,
  [SMALL_STATE(10931)] = 688642,
  [SMALL_STATE(10932)] = 688650,
  [SMALL_STATE(10933)] = 688658,
  [SMALL_STATE(10934)] = 688666,
  [SMALL_STATE(10935)] = 688674,
  [SMALL_STATE(10936)] = 688682,
  [SMALL_STATE(10937)] = 688690,
  [SMALL_STATE(10938)] = 688698,
  [SMALL_STATE(10939)] = 688706,
  [SMALL_STATE(10940)] = 688714,
  [SMALL_STATE(10941)] = 688722,
  [SMALL_STATE(10942)] = 688730,
  [SMALL_STATE(10943)] = 688738,
  [SMALL_STATE(10944)] = 688746,
  [SMALL_STATE(10945)] = 688754,
  [SMALL_STATE(10946)] = 688762,
  [SMALL_STATE(10947)] = 688770,
  [SMALL_STATE(10948)] = 688778,
  [SMALL_STATE(10949)] = 688786,
  [SMALL_STATE(10950)] = 688794,
  [SMALL_STATE(10951)] = 688802,
  [SMALL_STATE(10952)] = 688810,
  [SMALL_STATE(10953)] = 688818,
  [SMALL_STATE(10954)] = 688826,
  [SMALL_STATE(10955)] = 688834,
  [SMALL_STATE(10956)] = 688842,
  [SMALL_STATE(10957)] = 688850,
  [SMALL_STATE(10958)] = 688858,
  [SMALL_STATE(10959)] = 688866,
  [SMALL_STATE(10960)] = 688874,
  [SMALL_STATE(10961)] = 688882,
  [SMALL_STATE(10962)] = 688890,
  [SMALL_STATE(10963)] = 688898,
  [SMALL_STATE(10964)] = 688906,
  [SMALL_STATE(10965)] = 688914,
  [SMALL_STATE(10966)] = 688922,
  [SMALL_STATE(10967)] = 688930,
  [SMALL_STATE(10968)] = 688938,
  [SMALL_STATE(10969)] = 688946,
  [SMALL_STATE(10970)] = 688954,
  [SMALL_STATE(10971)] = 688962,
  [SMALL_STATE(10972)] = 688970,
  [SMALL_STATE(10973)] = 688978,
  [SMALL_STATE(10974)] = 688986,
  [SMALL_STATE(10975)] = 688994,
  [SMALL_STATE(10976)] = 689002,
  [SMALL_STATE(10977)] = 689010,
  [SMALL_STATE(10978)] = 689018,
  [SMALL_STATE(10979)] = 689026,
  [SMALL_STATE(10980)] = 689034,
  [SMALL_STATE(10981)] = 689044,
  [SMALL_STATE(10982)] = 689052,
  [SMALL_STATE(10983)] = 689060,
  [SMALL_STATE(10984)] = 689068,
  [SMALL_STATE(10985)] = 689076,
  [SMALL_STATE(10986)] = 689084,
  [SMALL_STATE(10987)] = 689092,
  [SMALL_STATE(10988)] = 689100,
  [SMALL_STATE(10989)] = 689108,
  [SMALL_STATE(10990)] = 689116,
  [SMALL_STATE(10991)] = 689124,
  [SMALL_STATE(10992)] = 689132,
  [SMALL_STATE(10993)] = 689140,
  [SMALL_STATE(10994)] = 689148,
  [SMALL_STATE(10995)] = 689156,
  [SMALL_STATE(10996)] = 689164,
  [SMALL_STATE(10997)] = 689172,
  [SMALL_STATE(10998)] = 689180,
  [SMALL_STATE(10999)] = 689188,
  [SMALL_STATE(11000)] = 689196,
  [SMALL_STATE(11001)] = 689204,
  [SMALL_STATE(11002)] = 689212,
  [SMALL_STATE(11003)] = 689220,
  [SMALL_STATE(11004)] = 689228,
  [SMALL_STATE(11005)] = 689236,
  [SMALL_STATE(11006)] = 689244,
  [SMALL_STATE(11007)] = 689252,
  [SMALL_STATE(11008)] = 689260,
  [SMALL_STATE(11009)] = 689268,
  [SMALL_STATE(11010)] = 689276,
  [SMALL_STATE(11011)] = 689284,
  [SMALL_STATE(11012)] = 689292,
  [SMALL_STATE(11013)] = 689300,
  [SMALL_STATE(11014)] = 689308,
  [SMALL_STATE(11015)] = 689316,
  [SMALL_STATE(11016)] = 689324,
  [SMALL_STATE(11017)] = 689332,
  [SMALL_STATE(11018)] = 689340,
  [SMALL_STATE(11019)] = 689348,
  [SMALL_STATE(11020)] = 689356,
  [SMALL_STATE(11021)] = 689364,
  [SMALL_STATE(11022)] = 689372,
  [SMALL_STATE(11023)] = 689380,
  [SMALL_STATE(11024)] = 689388,
  [SMALL_STATE(11025)] = 689396,
  [SMALL_STATE(11026)] = 689404,
  [SMALL_STATE(11027)] = 689412,
  [SMALL_STATE(11028)] = 689420,
  [SMALL_STATE(11029)] = 689428,
  [SMALL_STATE(11030)] = 689436,
  [SMALL_STATE(11031)] = 689444,
  [SMALL_STATE(11032)] = 689452,
  [SMALL_STATE(11033)] = 689460,
  [SMALL_STATE(11034)] = 689468,
  [SMALL_STATE(11035)] = 689478,
  [SMALL_STATE(11036)] = 689486,
  [SMALL_STATE(11037)] = 689494,
  [SMALL_STATE(11038)] = 689502,
  [SMALL_STATE(11039)] = 689510,
  [SMALL_STATE(11040)] = 689518,
  [SMALL_STATE(11041)] = 689526,
  [SMALL_STATE(11042)] = 689534,
  [SMALL_STATE(11043)] = 689542,
  [SMALL_STATE(11044)] = 689550,
  [SMALL_STATE(11045)] = 689558,
  [SMALL_STATE(11046)] = 689566,
  [SMALL_STATE(11047)] = 689574,
  [SMALL_STATE(11048)] = 689582,
  [SMALL_STATE(11049)] = 689590,
  [SMALL_STATE(11050)] = 689598,
  [SMALL_STATE(11051)] = 689606,
  [SMALL_STATE(11052)] = 689614,
  [SMALL_STATE(11053)] = 689622,
  [SMALL_STATE(11054)] = 689630,
  [SMALL_STATE(11055)] = 689638,
  [SMALL_STATE(11056)] = 689646,
  [SMALL_STATE(11057)] = 689654,
  [SMALL_STATE(11058)] = 689662,
  [SMALL_STATE(11059)] = 689670,
  [SMALL_STATE(11060)] = 689678,
  [SMALL_STATE(11061)] = 689686,
  [SMALL_STATE(11062)] = 689694,
  [SMALL_STATE(11063)] = 689702,
  [SMALL_STATE(11064)] = 689710,
  [SMALL_STATE(11065)] = 689718,
  [SMALL_STATE(11066)] = 689726,
  [SMALL_STATE(11067)] = 689734,
  [SMALL_STATE(11068)] = 689742,
  [SMALL_STATE(11069)] = 689750,
  [SMALL_STATE(11070)] = 689758,
  [SMALL_STATE(11071)] = 689766,
  [SMALL_STATE(11072)] = 689774,
  [SMALL_STATE(11073)] = 689782,
  [SMALL_STATE(11074)] = 689790,
  [SMALL_STATE(11075)] = 689798,
  [SMALL_STATE(11076)] = 689806,
  [SMALL_STATE(11077)] = 689814,
  [SMALL_STATE(11078)] = 689822,
  [SMALL_STATE(11079)] = 689830,
  [SMALL_STATE(11080)] = 689838,
  [SMALL_STATE(11081)] = 689846,
  [SMALL_STATE(11082)] = 689854,
  [SMALL_STATE(11083)] = 689862,
  [SMALL_STATE(11084)] = 689870,
  [SMALL_STATE(11085)] = 689880,
  [SMALL_STATE(11086)] = 689888,
  [SMALL_STATE(11087)] = 689896,
  [SMALL_STATE(11088)] = 689904,
  [SMALL_STATE(11089)] = 689912,
  [SMALL_STATE(11090)] = 689920,
  [SMALL_STATE(11091)] = 689928,
  [SMALL_STATE(11092)] = 689936,
  [SMALL_STATE(11093)] = 689944,
  [SMALL_STATE(11094)] = 689952,
  [SMALL_STATE(11095)] = 689960,
  [SMALL_STATE(11096)] = 689968,
  [SMALL_STATE(11097)] = 689976,
  [SMALL_STATE(11098)] = 689984,
  [SMALL_STATE(11099)] = 689992,
  [SMALL_STATE(11100)] = 690000,
  [SMALL_STATE(11101)] = 690008,
  [SMALL_STATE(11102)] = 690016,
  [SMALL_STATE(11103)] = 690024,
  [SMALL_STATE(11104)] = 690032,
  [SMALL_STATE(11105)] = 690040,
  [SMALL_STATE(11106)] = 690048,
  [SMALL_STATE(11107)] = 690056,
  [SMALL_STATE(11108)] = 690064,
  [SMALL_STATE(11109)] = 690072,
  [SMALL_STATE(11110)] = 690080,
  [SMALL_STATE(11111)] = 690088,
  [SMALL_STATE(11112)] = 690096,
  [SMALL_STATE(11113)] = 690104,
  [SMALL_STATE(11114)] = 690112,
  [SMALL_STATE(11115)] = 690120,
  [SMALL_STATE(11116)] = 690128,
  [SMALL_STATE(11117)] = 690136,
  [SMALL_STATE(11118)] = 690144,
  [SMALL_STATE(11119)] = 690152,
  [SMALL_STATE(11120)] = 690160,
  [SMALL_STATE(11121)] = 690168,
  [SMALL_STATE(11122)] = 690176,
  [SMALL_STATE(11123)] = 690184,
  [SMALL_STATE(11124)] = 690192,
  [SMALL_STATE(11125)] = 690200,
  [SMALL_STATE(11126)] = 690208,
  [SMALL_STATE(11127)] = 690216,
  [SMALL_STATE(11128)] = 690224,
  [SMALL_STATE(11129)] = 690232,
  [SMALL_STATE(11130)] = 690240,
  [SMALL_STATE(11131)] = 690248,
  [SMALL_STATE(11132)] = 690256,
  [SMALL_STATE(11133)] = 690264,
  [SMALL_STATE(11134)] = 690272,
  [SMALL_STATE(11135)] = 690280,
  [SMALL_STATE(11136)] = 690288,
  [SMALL_STATE(11137)] = 690296,
  [SMALL_STATE(11138)] = 690304,
  [SMALL_STATE(11139)] = 690312,
  [SMALL_STATE(11140)] = 690320,
  [SMALL_STATE(11141)] = 690328,
  [SMALL_STATE(11142)] = 690336,
  [SMALL_STATE(11143)] = 690344,
  [SMALL_STATE(11144)] = 690352,
  [SMALL_STATE(11145)] = 690360,
  [SMALL_STATE(11146)] = 690368,
  [SMALL_STATE(11147)] = 690376,
  [SMALL_STATE(11148)] = 690384,
  [SMALL_STATE(11149)] = 690392,
  [SMALL_STATE(11150)] = 690400,
  [SMALL_STATE(11151)] = 690408,
  [SMALL_STATE(11152)] = 690416,
  [SMALL_STATE(11153)] = 690424,
  [SMALL_STATE(11154)] = 690432,
  [SMALL_STATE(11155)] = 690440,
  [SMALL_STATE(11156)] = 690448,
  [SMALL_STATE(11157)] = 690456,
  [SMALL_STATE(11158)] = 690464,
  [SMALL_STATE(11159)] = 690472,
  [SMALL_STATE(11160)] = 690480,
  [SMALL_STATE(11161)] = 690488,
  [SMALL_STATE(11162)] = 690496,
  [SMALL_STATE(11163)] = 690504,
  [SMALL_STATE(11164)] = 690512,
  [SMALL_STATE(11165)] = 690520,
  [SMALL_STATE(11166)] = 690528,
  [SMALL_STATE(11167)] = 690536,
  [SMALL_STATE(11168)] = 690544,
  [SMALL_STATE(11169)] = 690552,
  [SMALL_STATE(11170)] = 690560,
  [SMALL_STATE(11171)] = 690568,
  [SMALL_STATE(11172)] = 690576,
  [SMALL_STATE(11173)] = 690584,
  [SMALL_STATE(11174)] = 690592,
  [SMALL_STATE(11175)] = 690600,
  [SMALL_STATE(11176)] = 690608,
  [SMALL_STATE(11177)] = 690616,
  [SMALL_STATE(11178)] = 690624,
  [SMALL_STATE(11179)] = 690632,
  [SMALL_STATE(11180)] = 690640,
  [SMALL_STATE(11181)] = 690648,
  [SMALL_STATE(11182)] = 690656,
  [SMALL_STATE(11183)] = 690664,
  [SMALL_STATE(11184)] = 690672,
  [SMALL_STATE(11185)] = 690680,
  [SMALL_STATE(11186)] = 690688,
  [SMALL_STATE(11187)] = 690696,
  [SMALL_STATE(11188)] = 690704,
  [SMALL_STATE(11189)] = 690712,
  [SMALL_STATE(11190)] = 690720,
  [SMALL_STATE(11191)] = 690728,
  [SMALL_STATE(11192)] = 690736,
  [SMALL_STATE(11193)] = 690744,
  [SMALL_STATE(11194)] = 690752,
  [SMALL_STATE(11195)] = 690760,
  [SMALL_STATE(11196)] = 690768,
  [SMALL_STATE(11197)] = 690776,
  [SMALL_STATE(11198)] = 690784,
  [SMALL_STATE(11199)] = 690792,
  [SMALL_STATE(11200)] = 690800,
  [SMALL_STATE(11201)] = 690808,
  [SMALL_STATE(11202)] = 690816,
  [SMALL_STATE(11203)] = 690824,
  [SMALL_STATE(11204)] = 690832,
  [SMALL_STATE(11205)] = 690840,
  [SMALL_STATE(11206)] = 690848,
  [SMALL_STATE(11207)] = 690856,
  [SMALL_STATE(11208)] = 690864,
  [SMALL_STATE(11209)] = 690872,
  [SMALL_STATE(11210)] = 690880,
  [SMALL_STATE(11211)] = 690888,
  [SMALL_STATE(11212)] = 690896,
  [SMALL_STATE(11213)] = 690904,
  [SMALL_STATE(11214)] = 690912,
  [SMALL_STATE(11215)] = 690920,
  [SMALL_STATE(11216)] = 690928,
  [SMALL_STATE(11217)] = 690936,
  [SMALL_STATE(11218)] = 690944,
  [SMALL_STATE(11219)] = 690952,
  [SMALL_STATE(11220)] = 690960,
  [SMALL_STATE(11221)] = 690968,
  [SMALL_STATE(11222)] = 690976,
  [SMALL_STATE(11223)] = 690984,
  [SMALL_STATE(11224)] = 690992,
  [SMALL_STATE(11225)] = 691000,
  [SMALL_STATE(11226)] = 691008,
  [SMALL_STATE(11227)] = 691016,
  [SMALL_STATE(11228)] = 691024,
  [SMALL_STATE(11229)] = 691032,
  [SMALL_STATE(11230)] = 691040,
  [SMALL_STATE(11231)] = 691048,
  [SMALL_STATE(11232)] = 691056,
  [SMALL_STATE(11233)] = 691064,
  [SMALL_STATE(11234)] = 691072,
  [SMALL_STATE(11235)] = 691080,
  [SMALL_STATE(11236)] = 691088,
  [SMALL_STATE(11237)] = 691096,
  [SMALL_STATE(11238)] = 691104,
  [SMALL_STATE(11239)] = 691112,
  [SMALL_STATE(11240)] = 691120,
  [SMALL_STATE(11241)] = 691128,
  [SMALL_STATE(11242)] = 691136,
  [SMALL_STATE(11243)] = 691144,
  [SMALL_STATE(11244)] = 691152,
  [SMALL_STATE(11245)] = 691160,
  [SMALL_STATE(11246)] = 691168,
  [SMALL_STATE(11247)] = 691176,
  [SMALL_STATE(11248)] = 691184,
  [SMALL_STATE(11249)] = 691192,
  [SMALL_STATE(11250)] = 691200,
  [SMALL_STATE(11251)] = 691208,
  [SMALL_STATE(11252)] = 691216,
  [SMALL_STATE(11253)] = 691224,
  [SMALL_STATE(11254)] = 691232,
  [SMALL_STATE(11255)] = 691240,
  [SMALL_STATE(11256)] = 691248,
  [SMALL_STATE(11257)] = 691256,
  [SMALL_STATE(11258)] = 691264,
  [SMALL_STATE(11259)] = 691272,
  [SMALL_STATE(11260)] = 691280,
  [SMALL_STATE(11261)] = 691288,
  [SMALL_STATE(11262)] = 691296,
  [SMALL_STATE(11263)] = 691304,
  [SMALL_STATE(11264)] = 691312,
  [SMALL_STATE(11265)] = 691320,
  [SMALL_STATE(11266)] = 691328,
  [SMALL_STATE(11267)] = 691336,
  [SMALL_STATE(11268)] = 691344,
  [SMALL_STATE(11269)] = 691352,
  [SMALL_STATE(11270)] = 691360,
  [SMALL_STATE(11271)] = 691368,
  [SMALL_STATE(11272)] = 691376,
  [SMALL_STATE(11273)] = 691384,
  [SMALL_STATE(11274)] = 691392,
  [SMALL_STATE(11275)] = 691400,
  [SMALL_STATE(11276)] = 691408,
  [SMALL_STATE(11277)] = 691416,
  [SMALL_STATE(11278)] = 691424,
  [SMALL_STATE(11279)] = 691432,
  [SMALL_STATE(11280)] = 691440,
  [SMALL_STATE(11281)] = 691448,
  [SMALL_STATE(11282)] = 691456,
  [SMALL_STATE(11283)] = 691464,
  [SMALL_STATE(11284)] = 691472,
  [SMALL_STATE(11285)] = 691480,
  [SMALL_STATE(11286)] = 691488,
  [SMALL_STATE(11287)] = 691496,
  [SMALL_STATE(11288)] = 691504,
  [SMALL_STATE(11289)] = 691512,
  [SMALL_STATE(11290)] = 691520,
  [SMALL_STATE(11291)] = 691528,
  [SMALL_STATE(11292)] = 691536,
  [SMALL_STATE(11293)] = 691544,
  [SMALL_STATE(11294)] = 691552,
  [SMALL_STATE(11295)] = 691560,
  [SMALL_STATE(11296)] = 691568,
  [SMALL_STATE(11297)] = 691576,
  [SMALL_STATE(11298)] = 691584,
  [SMALL_STATE(11299)] = 691592,
  [SMALL_STATE(11300)] = 691600,
  [SMALL_STATE(11301)] = 691608,
  [SMALL_STATE(11302)] = 691616,
  [SMALL_STATE(11303)] = 691624,
  [SMALL_STATE(11304)] = 691632,
  [SMALL_STATE(11305)] = 691640,
  [SMALL_STATE(11306)] = 691648,
  [SMALL_STATE(11307)] = 691656,
  [SMALL_STATE(11308)] = 691664,
  [SMALL_STATE(11309)] = 691672,
  [SMALL_STATE(11310)] = 691680,
  [SMALL_STATE(11311)] = 691688,
  [SMALL_STATE(11312)] = 691696,
  [SMALL_STATE(11313)] = 691704,
  [SMALL_STATE(11314)] = 691712,
  [SMALL_STATE(11315)] = 691720,
  [SMALL_STATE(11316)] = 691728,
  [SMALL_STATE(11317)] = 691736,
  [SMALL_STATE(11318)] = 691744,
  [SMALL_STATE(11319)] = 691752,
  [SMALL_STATE(11320)] = 691760,
  [SMALL_STATE(11321)] = 691768,
  [SMALL_STATE(11322)] = 691776,
  [SMALL_STATE(11323)] = 691784,
  [SMALL_STATE(11324)] = 691792,
  [SMALL_STATE(11325)] = 691800,
  [SMALL_STATE(11326)] = 691808,
  [SMALL_STATE(11327)] = 691816,
  [SMALL_STATE(11328)] = 691824,
  [SMALL_STATE(11329)] = 691832,
  [SMALL_STATE(11330)] = 691840,
  [SMALL_STATE(11331)] = 691848,
  [SMALL_STATE(11332)] = 691856,
  [SMALL_STATE(11333)] = 691864,
  [SMALL_STATE(11334)] = 691872,
  [SMALL_STATE(11335)] = 691880,
  [SMALL_STATE(11336)] = 691888,
  [SMALL_STATE(11337)] = 691896,
  [SMALL_STATE(11338)] = 691904,
  [SMALL_STATE(11339)] = 691912,
  [SMALL_STATE(11340)] = 691920,
  [SMALL_STATE(11341)] = 691928,
  [SMALL_STATE(11342)] = 691936,
  [SMALL_STATE(11343)] = 691944,
  [SMALL_STATE(11344)] = 691952,
  [SMALL_STATE(11345)] = 691960,
  [SMALL_STATE(11346)] = 691968,
  [SMALL_STATE(11347)] = 691976,
  [SMALL_STATE(11348)] = 691984,
  [SMALL_STATE(11349)] = 691992,
  [SMALL_STATE(11350)] = 692000,
  [SMALL_STATE(11351)] = 692008,
  [SMALL_STATE(11352)] = 692016,
  [SMALL_STATE(11353)] = 692024,
  [SMALL_STATE(11354)] = 692032,
  [SMALL_STATE(11355)] = 692040,
  [SMALL_STATE(11356)] = 692048,
  [SMALL_STATE(11357)] = 692056,
  [SMALL_STATE(11358)] = 692064,
  [SMALL_STATE(11359)] = 692072,
  [SMALL_STATE(11360)] = 692080,
  [SMALL_STATE(11361)] = 692088,
  [SMALL_STATE(11362)] = 692096,
  [SMALL_STATE(11363)] = 692104,
  [SMALL_STATE(11364)] = 692112,
  [SMALL_STATE(11365)] = 692120,
  [SMALL_STATE(11366)] = 692128,
  [SMALL_STATE(11367)] = 692136,
  [SMALL_STATE(11368)] = 692146,
  [SMALL_STATE(11369)] = 692154,
  [SMALL_STATE(11370)] = 692162,
  [SMALL_STATE(11371)] = 692170,
  [SMALL_STATE(11372)] = 692178,
  [SMALL_STATE(11373)] = 692186,
  [SMALL_STATE(11374)] = 692194,
  [SMALL_STATE(11375)] = 692202,
  [SMALL_STATE(11376)] = 692210,
  [SMALL_STATE(11377)] = 692218,
  [SMALL_STATE(11378)] = 692226,
  [SMALL_STATE(11379)] = 692234,
  [SMALL_STATE(11380)] = 692242,
  [SMALL_STATE(11381)] = 692250,
  [SMALL_STATE(11382)] = 692258,
  [SMALL_STATE(11383)] = 692266,
  [SMALL_STATE(11384)] = 692276,
  [SMALL_STATE(11385)] = 692284,
  [SMALL_STATE(11386)] = 692292,
  [SMALL_STATE(11387)] = 692300,
  [SMALL_STATE(11388)] = 692308,
  [SMALL_STATE(11389)] = 692316,
  [SMALL_STATE(11390)] = 692324,
  [SMALL_STATE(11391)] = 692332,
  [SMALL_STATE(11392)] = 692340,
  [SMALL_STATE(11393)] = 692348,
  [SMALL_STATE(11394)] = 692356,
  [SMALL_STATE(11395)] = 692364,
  [SMALL_STATE(11396)] = 692372,
  [SMALL_STATE(11397)] = 692380,
  [SMALL_STATE(11398)] = 692388,
  [SMALL_STATE(11399)] = 692396,
  [SMALL_STATE(11400)] = 692404,
  [SMALL_STATE(11401)] = 692412,
  [SMALL_STATE(11402)] = 692420,
  [SMALL_STATE(11403)] = 692428,
  [SMALL_STATE(11404)] = 692436,
  [SMALL_STATE(11405)] = 692444,
  [SMALL_STATE(11406)] = 692452,
  [SMALL_STATE(11407)] = 692460,
  [SMALL_STATE(11408)] = 692468,
  [SMALL_STATE(11409)] = 692476,
  [SMALL_STATE(11410)] = 692484,
  [SMALL_STATE(11411)] = 692492,
  [SMALL_STATE(11412)] = 692500,
  [SMALL_STATE(11413)] = 692508,
  [SMALL_STATE(11414)] = 692516,
  [SMALL_STATE(11415)] = 692524,
  [SMALL_STATE(11416)] = 692532,
  [SMALL_STATE(11417)] = 692540,
  [SMALL_STATE(11418)] = 692548,
  [SMALL_STATE(11419)] = 692556,
  [SMALL_STATE(11420)] = 692564,
  [SMALL_STATE(11421)] = 692572,
  [SMALL_STATE(11422)] = 692580,
  [SMALL_STATE(11423)] = 692588,
  [SMALL_STATE(11424)] = 692596,
  [SMALL_STATE(11425)] = 692604,
  [SMALL_STATE(11426)] = 692612,
  [SMALL_STATE(11427)] = 692620,
  [SMALL_STATE(11428)] = 692628,
  [SMALL_STATE(11429)] = 692636,
  [SMALL_STATE(11430)] = 692644,
  [SMALL_STATE(11431)] = 692652,
  [SMALL_STATE(11432)] = 692660,
  [SMALL_STATE(11433)] = 692668,
  [SMALL_STATE(11434)] = 692676,
  [SMALL_STATE(11435)] = 692684,
  [SMALL_STATE(11436)] = 692692,
  [SMALL_STATE(11437)] = 692700,
  [SMALL_STATE(11438)] = 692708,
  [SMALL_STATE(11439)] = 692716,
  [SMALL_STATE(11440)] = 692724,
  [SMALL_STATE(11441)] = 692732,
  [SMALL_STATE(11442)] = 692740,
  [SMALL_STATE(11443)] = 692748,
  [SMALL_STATE(11444)] = 692756,
  [SMALL_STATE(11445)] = 692764,
  [SMALL_STATE(11446)] = 692772,
  [SMALL_STATE(11447)] = 692780,
  [SMALL_STATE(11448)] = 692788,
  [SMALL_STATE(11449)] = 692796,
  [SMALL_STATE(11450)] = 692804,
  [SMALL_STATE(11451)] = 692812,
  [SMALL_STATE(11452)] = 692820,
  [SMALL_STATE(11453)] = 692828,
  [SMALL_STATE(11454)] = 692836,
  [SMALL_STATE(11455)] = 692844,
  [SMALL_STATE(11456)] = 692852,
  [SMALL_STATE(11457)] = 692860,
  [SMALL_STATE(11458)] = 692868,
  [SMALL_STATE(11459)] = 692876,
  [SMALL_STATE(11460)] = 692884,
  [SMALL_STATE(11461)] = 692892,
  [SMALL_STATE(11462)] = 692900,
  [SMALL_STATE(11463)] = 692908,
  [SMALL_STATE(11464)] = 692916,
  [SMALL_STATE(11465)] = 692924,
  [SMALL_STATE(11466)] = 692932,
  [SMALL_STATE(11467)] = 692940,
  [SMALL_STATE(11468)] = 692948,
  [SMALL_STATE(11469)] = 692956,
  [SMALL_STATE(11470)] = 692964,
  [SMALL_STATE(11471)] = 692972,
  [SMALL_STATE(11472)] = 692980,
  [SMALL_STATE(11473)] = 692988,
  [SMALL_STATE(11474)] = 692996,
  [SMALL_STATE(11475)] = 693004,
  [SMALL_STATE(11476)] = 693012,
  [SMALL_STATE(11477)] = 693020,
  [SMALL_STATE(11478)] = 693028,
  [SMALL_STATE(11479)] = 693036,
  [SMALL_STATE(11480)] = 693044,
  [SMALL_STATE(11481)] = 693052,
  [SMALL_STATE(11482)] = 693060,
  [SMALL_STATE(11483)] = 693068,
  [SMALL_STATE(11484)] = 693076,
  [SMALL_STATE(11485)] = 693084,
  [SMALL_STATE(11486)] = 693092,
  [SMALL_STATE(11487)] = 693100,
  [SMALL_STATE(11488)] = 693108,
  [SMALL_STATE(11489)] = 693116,
  [SMALL_STATE(11490)] = 693124,
  [SMALL_STATE(11491)] = 693132,
  [SMALL_STATE(11492)] = 693140,
  [SMALL_STATE(11493)] = 693148,
  [SMALL_STATE(11494)] = 693156,
  [SMALL_STATE(11495)] = 693164,
  [SMALL_STATE(11496)] = 693172,
  [SMALL_STATE(11497)] = 693180,
  [SMALL_STATE(11498)] = 693188,
  [SMALL_STATE(11499)] = 693196,
  [SMALL_STATE(11500)] = 693204,
  [SMALL_STATE(11501)] = 693212,
  [SMALL_STATE(11502)] = 693220,
  [SMALL_STATE(11503)] = 693228,
  [SMALL_STATE(11504)] = 693236,
  [SMALL_STATE(11505)] = 693244,
  [SMALL_STATE(11506)] = 693252,
  [SMALL_STATE(11507)] = 693260,
  [SMALL_STATE(11508)] = 693268,
  [SMALL_STATE(11509)] = 693276,
  [SMALL_STATE(11510)] = 693284,
  [SMALL_STATE(11511)] = 693292,
  [SMALL_STATE(11512)] = 693300,
  [SMALL_STATE(11513)] = 693308,
  [SMALL_STATE(11514)] = 693316,
  [SMALL_STATE(11515)] = 693324,
  [SMALL_STATE(11516)] = 693332,
  [SMALL_STATE(11517)] = 693340,
  [SMALL_STATE(11518)] = 693348,
  [SMALL_STATE(11519)] = 693356,
  [SMALL_STATE(11520)] = 693364,
  [SMALL_STATE(11521)] = 693372,
  [SMALL_STATE(11522)] = 693380,
  [SMALL_STATE(11523)] = 693388,
  [SMALL_STATE(11524)] = 693396,
  [SMALL_STATE(11525)] = 693404,
  [SMALL_STATE(11526)] = 693412,
  [SMALL_STATE(11527)] = 693420,
  [SMALL_STATE(11528)] = 693428,
  [SMALL_STATE(11529)] = 693436,
  [SMALL_STATE(11530)] = 693444,
  [SMALL_STATE(11531)] = 693452,
  [SMALL_STATE(11532)] = 693460,
  [SMALL_STATE(11533)] = 693468,
  [SMALL_STATE(11534)] = 693476,
  [SMALL_STATE(11535)] = 693484,
  [SMALL_STATE(11536)] = 693492,
  [SMALL_STATE(11537)] = 693500,
  [SMALL_STATE(11538)] = 693508,
  [SMALL_STATE(11539)] = 693516,
  [SMALL_STATE(11540)] = 693524,
  [SMALL_STATE(11541)] = 693532,
  [SMALL_STATE(11542)] = 693540,
  [SMALL_STATE(11543)] = 693548,
  [SMALL_STATE(11544)] = 693556,
  [SMALL_STATE(11545)] = 693564,
  [SMALL_STATE(11546)] = 693572,
  [SMALL_STATE(11547)] = 693580,
  [SMALL_STATE(11548)] = 693588,
  [SMALL_STATE(11549)] = 693596,
  [SMALL_STATE(11550)] = 693604,
  [SMALL_STATE(11551)] = 693612,
  [SMALL_STATE(11552)] = 693620,
  [SMALL_STATE(11553)] = 693628,
  [SMALL_STATE(11554)] = 693636,
  [SMALL_STATE(11555)] = 693644,
  [SMALL_STATE(11556)] = 693652,
  [SMALL_STATE(11557)] = 693660,
  [SMALL_STATE(11558)] = 693668,
  [SMALL_STATE(11559)] = 693676,
  [SMALL_STATE(11560)] = 693684,
  [SMALL_STATE(11561)] = 693692,
  [SMALL_STATE(11562)] = 693700,
  [SMALL_STATE(11563)] = 693708,
  [SMALL_STATE(11564)] = 693716,
  [SMALL_STATE(11565)] = 693724,
  [SMALL_STATE(11566)] = 693732,
  [SMALL_STATE(11567)] = 693740,
  [SMALL_STATE(11568)] = 693748,
  [SMALL_STATE(11569)] = 693756,
  [SMALL_STATE(11570)] = 693764,
  [SMALL_STATE(11571)] = 693772,
  [SMALL_STATE(11572)] = 693780,
  [SMALL_STATE(11573)] = 693788,
  [SMALL_STATE(11574)] = 693796,
  [SMALL_STATE(11575)] = 693804,
  [SMALL_STATE(11576)] = 693812,
  [SMALL_STATE(11577)] = 693820,
  [SMALL_STATE(11578)] = 693828,
  [SMALL_STATE(11579)] = 693836,
  [SMALL_STATE(11580)] = 693844,
  [SMALL_STATE(11581)] = 693854,
  [SMALL_STATE(11582)] = 693862,
  [SMALL_STATE(11583)] = 693870,
  [SMALL_STATE(11584)] = 693878,
  [SMALL_STATE(11585)] = 693886,
  [SMALL_STATE(11586)] = 693894,
  [SMALL_STATE(11587)] = 693902,
  [SMALL_STATE(11588)] = 693910,
  [SMALL_STATE(11589)] = 693918,
  [SMALL_STATE(11590)] = 693926,
  [SMALL_STATE(11591)] = 693934,
  [SMALL_STATE(11592)] = 693942,
  [SMALL_STATE(11593)] = 693950,
  [SMALL_STATE(11594)] = 693958,
  [SMALL_STATE(11595)] = 693966,
  [SMALL_STATE(11596)] = 693974,
  [SMALL_STATE(11597)] = 693982,
  [SMALL_STATE(11598)] = 693990,
  [SMALL_STATE(11599)] = 693998,
  [SMALL_STATE(11600)] = 694006,
  [SMALL_STATE(11601)] = 694014,
  [SMALL_STATE(11602)] = 694022,
  [SMALL_STATE(11603)] = 694030,
  [SMALL_STATE(11604)] = 694038,
  [SMALL_STATE(11605)] = 694046,
  [SMALL_STATE(11606)] = 694054,
  [SMALL_STATE(11607)] = 694062,
  [SMALL_STATE(11608)] = 694070,
  [SMALL_STATE(11609)] = 694078,
  [SMALL_STATE(11610)] = 694086,
  [SMALL_STATE(11611)] = 694094,
  [SMALL_STATE(11612)] = 694102,
  [SMALL_STATE(11613)] = 694110,
  [SMALL_STATE(11614)] = 694118,
  [SMALL_STATE(11615)] = 694126,
  [SMALL_STATE(11616)] = 694134,
  [SMALL_STATE(11617)] = 694142,
  [SMALL_STATE(11618)] = 694150,
  [SMALL_STATE(11619)] = 694158,
  [SMALL_STATE(11620)] = 694166,
  [SMALL_STATE(11621)] = 694176,
  [SMALL_STATE(11622)] = 694184,
  [SMALL_STATE(11623)] = 694192,
  [SMALL_STATE(11624)] = 694200,
  [SMALL_STATE(11625)] = 694208,
  [SMALL_STATE(11626)] = 694216,
  [SMALL_STATE(11627)] = 694224,
  [SMALL_STATE(11628)] = 694232,
  [SMALL_STATE(11629)] = 694240,
  [SMALL_STATE(11630)] = 694248,
  [SMALL_STATE(11631)] = 694256,
  [SMALL_STATE(11632)] = 694264,
  [SMALL_STATE(11633)] = 694272,
  [SMALL_STATE(11634)] = 694280,
  [SMALL_STATE(11635)] = 694288,
  [SMALL_STATE(11636)] = 694296,
  [SMALL_STATE(11637)] = 694304,
  [SMALL_STATE(11638)] = 694312,
  [SMALL_STATE(11639)] = 694320,
  [SMALL_STATE(11640)] = 694328,
  [SMALL_STATE(11641)] = 694336,
  [SMALL_STATE(11642)] = 694344,
  [SMALL_STATE(11643)] = 694352,
  [SMALL_STATE(11644)] = 694360,
  [SMALL_STATE(11645)] = 694368,
  [SMALL_STATE(11646)] = 694376,
  [SMALL_STATE(11647)] = 694384,
  [SMALL_STATE(11648)] = 694392,
  [SMALL_STATE(11649)] = 694400,
  [SMALL_STATE(11650)] = 694408,
  [SMALL_STATE(11651)] = 694416,
  [SMALL_STATE(11652)] = 694424,
  [SMALL_STATE(11653)] = 694432,
  [SMALL_STATE(11654)] = 694440,
  [SMALL_STATE(11655)] = 694448,
  [SMALL_STATE(11656)] = 694456,
  [SMALL_STATE(11657)] = 694464,
  [SMALL_STATE(11658)] = 694472,
  [SMALL_STATE(11659)] = 694480,
  [SMALL_STATE(11660)] = 694488,
  [SMALL_STATE(11661)] = 694496,
  [SMALL_STATE(11662)] = 694504,
  [SMALL_STATE(11663)] = 694512,
  [SMALL_STATE(11664)] = 694520,
  [SMALL_STATE(11665)] = 694528,
  [SMALL_STATE(11666)] = 694536,
  [SMALL_STATE(11667)] = 694544,
  [SMALL_STATE(11668)] = 694552,
  [SMALL_STATE(11669)] = 694560,
  [SMALL_STATE(11670)] = 694568,
  [SMALL_STATE(11671)] = 694576,
  [SMALL_STATE(11672)] = 694584,
  [SMALL_STATE(11673)] = 694592,
  [SMALL_STATE(11674)] = 694600,
  [SMALL_STATE(11675)] = 694608,
  [SMALL_STATE(11676)] = 694616,
  [SMALL_STATE(11677)] = 694624,
  [SMALL_STATE(11678)] = 694632,
  [SMALL_STATE(11679)] = 694640,
  [SMALL_STATE(11680)] = 694648,
  [SMALL_STATE(11681)] = 694656,
  [SMALL_STATE(11682)] = 694664,
  [SMALL_STATE(11683)] = 694672,
  [SMALL_STATE(11684)] = 694680,
  [SMALL_STATE(11685)] = 694688,
  [SMALL_STATE(11686)] = 694696,
  [SMALL_STATE(11687)] = 694704,
  [SMALL_STATE(11688)] = 694712,
  [SMALL_STATE(11689)] = 694720,
  [SMALL_STATE(11690)] = 694728,
  [SMALL_STATE(11691)] = 694736,
  [SMALL_STATE(11692)] = 694744,
  [SMALL_STATE(11693)] = 694752,
  [SMALL_STATE(11694)] = 694760,
  [SMALL_STATE(11695)] = 694768,
  [SMALL_STATE(11696)] = 694776,
  [SMALL_STATE(11697)] = 694784,
  [SMALL_STATE(11698)] = 694792,
  [SMALL_STATE(11699)] = 694800,
  [SMALL_STATE(11700)] = 694808,
  [SMALL_STATE(11701)] = 694816,
  [SMALL_STATE(11702)] = 694824,
  [SMALL_STATE(11703)] = 694832,
  [SMALL_STATE(11704)] = 694840,
  [SMALL_STATE(11705)] = 694848,
  [SMALL_STATE(11706)] = 694856,
  [SMALL_STATE(11707)] = 694864,
  [SMALL_STATE(11708)] = 694872,
  [SMALL_STATE(11709)] = 694880,
  [SMALL_STATE(11710)] = 694888,
  [SMALL_STATE(11711)] = 694896,
  [SMALL_STATE(11712)] = 694904,
  [SMALL_STATE(11713)] = 694912,
  [SMALL_STATE(11714)] = 694920,
  [SMALL_STATE(11715)] = 694928,
  [SMALL_STATE(11716)] = 694936,
  [SMALL_STATE(11717)] = 694944,
  [SMALL_STATE(11718)] = 694952,
  [SMALL_STATE(11719)] = 694960,
  [SMALL_STATE(11720)] = 694968,
  [SMALL_STATE(11721)] = 694976,
  [SMALL_STATE(11722)] = 694984,
  [SMALL_STATE(11723)] = 694992,
  [SMALL_STATE(11724)] = 695000,
  [SMALL_STATE(11725)] = 695008,
  [SMALL_STATE(11726)] = 695016,
  [SMALL_STATE(11727)] = 695024,
  [SMALL_STATE(11728)] = 695032,
  [SMALL_STATE(11729)] = 695040,
  [SMALL_STATE(11730)] = 695048,
  [SMALL_STATE(11731)] = 695056,
  [SMALL_STATE(11732)] = 695064,
  [SMALL_STATE(11733)] = 695072,
  [SMALL_STATE(11734)] = 695080,
  [SMALL_STATE(11735)] = 695088,
  [SMALL_STATE(11736)] = 695096,
  [SMALL_STATE(11737)] = 695104,
  [SMALL_STATE(11738)] = 695112,
  [SMALL_STATE(11739)] = 695120,
  [SMALL_STATE(11740)] = 695128,
  [SMALL_STATE(11741)] = 695136,
  [SMALL_STATE(11742)] = 695144,
  [SMALL_STATE(11743)] = 695152,
  [SMALL_STATE(11744)] = 695160,
  [SMALL_STATE(11745)] = 695168,
  [SMALL_STATE(11746)] = 695176,
  [SMALL_STATE(11747)] = 695184,
  [SMALL_STATE(11748)] = 695192,
  [SMALL_STATE(11749)] = 695200,
  [SMALL_STATE(11750)] = 695208,
  [SMALL_STATE(11751)] = 695216,
  [SMALL_STATE(11752)] = 695224,
  [SMALL_STATE(11753)] = 695232,
  [SMALL_STATE(11754)] = 695240,
  [SMALL_STATE(11755)] = 695248,
  [SMALL_STATE(11756)] = 695256,
  [SMALL_STATE(11757)] = 695264,
  [SMALL_STATE(11758)] = 695272,
  [SMALL_STATE(11759)] = 695280,
  [SMALL_STATE(11760)] = 695288,
  [SMALL_STATE(11761)] = 695296,
  [SMALL_STATE(11762)] = 695304,
  [SMALL_STATE(11763)] = 695312,
  [SMALL_STATE(11764)] = 695320,
  [SMALL_STATE(11765)] = 695328,
  [SMALL_STATE(11766)] = 695336,
  [SMALL_STATE(11767)] = 695344,
  [SMALL_STATE(11768)] = 695352,
  [SMALL_STATE(11769)] = 695360,
  [SMALL_STATE(11770)] = 695368,
  [SMALL_STATE(11771)] = 695376,
  [SMALL_STATE(11772)] = 695384,
  [SMALL_STATE(11773)] = 695392,
  [SMALL_STATE(11774)] = 695400,
  [SMALL_STATE(11775)] = 695408,
  [SMALL_STATE(11776)] = 695416,
  [SMALL_STATE(11777)] = 695424,
  [SMALL_STATE(11778)] = 695432,
  [SMALL_STATE(11779)] = 695440,
  [SMALL_STATE(11780)] = 695448,
  [SMALL_STATE(11781)] = 695456,
  [SMALL_STATE(11782)] = 695464,
  [SMALL_STATE(11783)] = 695472,
  [SMALL_STATE(11784)] = 695480,
  [SMALL_STATE(11785)] = 695488,
  [SMALL_STATE(11786)] = 695496,
  [SMALL_STATE(11787)] = 695504,
  [SMALL_STATE(11788)] = 695512,
  [SMALL_STATE(11789)] = 695520,
  [SMALL_STATE(11790)] = 695528,
  [SMALL_STATE(11791)] = 695536,
  [SMALL_STATE(11792)] = 695544,
  [SMALL_STATE(11793)] = 695552,
  [SMALL_STATE(11794)] = 695560,
  [SMALL_STATE(11795)] = 695568,
  [SMALL_STATE(11796)] = 695576,
  [SMALL_STATE(11797)] = 695584,
  [SMALL_STATE(11798)] = 695592,
  [SMALL_STATE(11799)] = 695600,
  [SMALL_STATE(11800)] = 695608,
  [SMALL_STATE(11801)] = 695616,
  [SMALL_STATE(11802)] = 695624,
  [SMALL_STATE(11803)] = 695632,
  [SMALL_STATE(11804)] = 695640,
  [SMALL_STATE(11805)] = 695648,
  [SMALL_STATE(11806)] = 695656,
  [SMALL_STATE(11807)] = 695664,
  [SMALL_STATE(11808)] = 695672,
  [SMALL_STATE(11809)] = 695680,
  [SMALL_STATE(11810)] = 695688,
  [SMALL_STATE(11811)] = 695696,
  [SMALL_STATE(11812)] = 695704,
  [SMALL_STATE(11813)] = 695712,
  [SMALL_STATE(11814)] = 695720,
  [SMALL_STATE(11815)] = 695728,
  [SMALL_STATE(11816)] = 695736,
  [SMALL_STATE(11817)] = 695744,
  [SMALL_STATE(11818)] = 695752,
  [SMALL_STATE(11819)] = 695760,
  [SMALL_STATE(11820)] = 695768,
  [SMALL_STATE(11821)] = 695776,
  [SMALL_STATE(11822)] = 695784,
  [SMALL_STATE(11823)] = 695792,
  [SMALL_STATE(11824)] = 695800,
  [SMALL_STATE(11825)] = 695808,
  [SMALL_STATE(11826)] = 695816,
  [SMALL_STATE(11827)] = 695824,
  [SMALL_STATE(11828)] = 695832,
  [SMALL_STATE(11829)] = 695840,
  [SMALL_STATE(11830)] = 695848,
  [SMALL_STATE(11831)] = 695856,
  [SMALL_STATE(11832)] = 695864,
  [SMALL_STATE(11833)] = 695872,
  [SMALL_STATE(11834)] = 695880,
  [SMALL_STATE(11835)] = 695888,
  [SMALL_STATE(11836)] = 695896,
  [SMALL_STATE(11837)] = 695904,
  [SMALL_STATE(11838)] = 695912,
  [SMALL_STATE(11839)] = 695920,
  [SMALL_STATE(11840)] = 695928,
  [SMALL_STATE(11841)] = 695936,
  [SMALL_STATE(11842)] = 695944,
  [SMALL_STATE(11843)] = 695952,
  [SMALL_STATE(11844)] = 695960,
  [SMALL_STATE(11845)] = 695968,
  [SMALL_STATE(11846)] = 695976,
  [SMALL_STATE(11847)] = 695984,
  [SMALL_STATE(11848)] = 695992,
  [SMALL_STATE(11849)] = 696000,
  [SMALL_STATE(11850)] = 696008,
  [SMALL_STATE(11851)] = 696016,
  [SMALL_STATE(11852)] = 696024,
  [SMALL_STATE(11853)] = 696032,
  [SMALL_STATE(11854)] = 696040,
  [SMALL_STATE(11855)] = 696048,
  [SMALL_STATE(11856)] = 696056,
  [SMALL_STATE(11857)] = 696064,
  [SMALL_STATE(11858)] = 696072,
  [SMALL_STATE(11859)] = 696080,
  [SMALL_STATE(11860)] = 696088,
  [SMALL_STATE(11861)] = 696096,
  [SMALL_STATE(11862)] = 696104,
  [SMALL_STATE(11863)] = 696112,
  [SMALL_STATE(11864)] = 696120,
  [SMALL_STATE(11865)] = 696128,
  [SMALL_STATE(11866)] = 696136,
  [SMALL_STATE(11867)] = 696144,
  [SMALL_STATE(11868)] = 696152,
  [SMALL_STATE(11869)] = 696160,
  [SMALL_STATE(11870)] = 696168,
  [SMALL_STATE(11871)] = 696176,
  [SMALL_STATE(11872)] = 696184,
  [SMALL_STATE(11873)] = 696192,
  [SMALL_STATE(11874)] = 696200,
  [SMALL_STATE(11875)] = 696208,
  [SMALL_STATE(11876)] = 696216,
  [SMALL_STATE(11877)] = 696224,
  [SMALL_STATE(11878)] = 696232,
  [SMALL_STATE(11879)] = 696240,
  [SMALL_STATE(11880)] = 696248,
  [SMALL_STATE(11881)] = 696256,
  [SMALL_STATE(11882)] = 696264,
  [SMALL_STATE(11883)] = 696272,
  [SMALL_STATE(11884)] = 696280,
  [SMALL_STATE(11885)] = 696288,
  [SMALL_STATE(11886)] = 696296,
  [SMALL_STATE(11887)] = 696304,
  [SMALL_STATE(11888)] = 696312,
  [SMALL_STATE(11889)] = 696320,
  [SMALL_STATE(11890)] = 696328,
  [SMALL_STATE(11891)] = 696336,
  [SMALL_STATE(11892)] = 696344,
  [SMALL_STATE(11893)] = 696352,
  [SMALL_STATE(11894)] = 696360,
  [SMALL_STATE(11895)] = 696368,
  [SMALL_STATE(11896)] = 696376,
  [SMALL_STATE(11897)] = 696384,
  [SMALL_STATE(11898)] = 696392,
  [SMALL_STATE(11899)] = 696400,
  [SMALL_STATE(11900)] = 696408,
  [SMALL_STATE(11901)] = 696416,
  [SMALL_STATE(11902)] = 696424,
  [SMALL_STATE(11903)] = 696432,
  [SMALL_STATE(11904)] = 696440,
  [SMALL_STATE(11905)] = 696448,
  [SMALL_STATE(11906)] = 696456,
  [SMALL_STATE(11907)] = 696464,
  [SMALL_STATE(11908)] = 696472,
  [SMALL_STATE(11909)] = 696480,
  [SMALL_STATE(11910)] = 696488,
  [SMALL_STATE(11911)] = 696496,
  [SMALL_STATE(11912)] = 696504,
  [SMALL_STATE(11913)] = 696512,
  [SMALL_STATE(11914)] = 696520,
  [SMALL_STATE(11915)] = 696528,
  [SMALL_STATE(11916)] = 696536,
  [SMALL_STATE(11917)] = 696544,
  [SMALL_STATE(11918)] = 696552,
  [SMALL_STATE(11919)] = 696560,
  [SMALL_STATE(11920)] = 696568,
  [SMALL_STATE(11921)] = 696576,
  [SMALL_STATE(11922)] = 696584,
  [SMALL_STATE(11923)] = 696592,
  [SMALL_STATE(11924)] = 696600,
  [SMALL_STATE(11925)] = 696608,
  [SMALL_STATE(11926)] = 696616,
  [SMALL_STATE(11927)] = 696624,
  [SMALL_STATE(11928)] = 696632,
  [SMALL_STATE(11929)] = 696640,
  [SMALL_STATE(11930)] = 696648,
  [SMALL_STATE(11931)] = 696656,
  [SMALL_STATE(11932)] = 696664,
  [SMALL_STATE(11933)] = 696672,
  [SMALL_STATE(11934)] = 696680,
  [SMALL_STATE(11935)] = 696688,
  [SMALL_STATE(11936)] = 696696,
  [SMALL_STATE(11937)] = 696704,
  [SMALL_STATE(11938)] = 696712,
  [SMALL_STATE(11939)] = 696720,
  [SMALL_STATE(11940)] = 696728,
  [SMALL_STATE(11941)] = 696736,
  [SMALL_STATE(11942)] = 696744,
  [SMALL_STATE(11943)] = 696752,
  [SMALL_STATE(11944)] = 696760,
  [SMALL_STATE(11945)] = 696768,
  [SMALL_STATE(11946)] = 696776,
  [SMALL_STATE(11947)] = 696784,
  [SMALL_STATE(11948)] = 696792,
  [SMALL_STATE(11949)] = 696800,
  [SMALL_STATE(11950)] = 696808,
  [SMALL_STATE(11951)] = 696816,
  [SMALL_STATE(11952)] = 696824,
  [SMALL_STATE(11953)] = 696832,
  [SMALL_STATE(11954)] = 696840,
  [SMALL_STATE(11955)] = 696848,
  [SMALL_STATE(11956)] = 696856,
  [SMALL_STATE(11957)] = 696864,
  [SMALL_STATE(11958)] = 696872,
  [SMALL_STATE(11959)] = 696880,
  [SMALL_STATE(11960)] = 696888,
  [SMALL_STATE(11961)] = 696896,
  [SMALL_STATE(11962)] = 696904,
  [SMALL_STATE(11963)] = 696912,
  [SMALL_STATE(11964)] = 696920,
  [SMALL_STATE(11965)] = 696928,
  [SMALL_STATE(11966)] = 696936,
  [SMALL_STATE(11967)] = 696944,
  [SMALL_STATE(11968)] = 696952,
  [SMALL_STATE(11969)] = 696960,
  [SMALL_STATE(11970)] = 696968,
  [SMALL_STATE(11971)] = 696976,
  [SMALL_STATE(11972)] = 696984,
  [SMALL_STATE(11973)] = 696992,
  [SMALL_STATE(11974)] = 697000,
  [SMALL_STATE(11975)] = 697008,
  [SMALL_STATE(11976)] = 697016,
  [SMALL_STATE(11977)] = 697024,
  [SMALL_STATE(11978)] = 697032,
  [SMALL_STATE(11979)] = 697040,
  [SMALL_STATE(11980)] = 697048,
  [SMALL_STATE(11981)] = 697056,
  [SMALL_STATE(11982)] = 697064,
  [SMALL_STATE(11983)] = 697072,
  [SMALL_STATE(11984)] = 697080,
  [SMALL_STATE(11985)] = 697088,
  [SMALL_STATE(11986)] = 697096,
  [SMALL_STATE(11987)] = 697104,
  [SMALL_STATE(11988)] = 697112,
  [SMALL_STATE(11989)] = 697120,
  [SMALL_STATE(11990)] = 697128,
  [SMALL_STATE(11991)] = 697136,
  [SMALL_STATE(11992)] = 697144,
  [SMALL_STATE(11993)] = 697152,
  [SMALL_STATE(11994)] = 697160,
  [SMALL_STATE(11995)] = 697168,
  [SMALL_STATE(11996)] = 697176,
  [SMALL_STATE(11997)] = 697184,
  [SMALL_STATE(11998)] = 697192,
  [SMALL_STATE(11999)] = 697200,
  [SMALL_STATE(12000)] = 697208,
  [SMALL_STATE(12001)] = 697216,
  [SMALL_STATE(12002)] = 697224,
  [SMALL_STATE(12003)] = 697232,
  [SMALL_STATE(12004)] = 697240,
  [SMALL_STATE(12005)] = 697248,
  [SMALL_STATE(12006)] = 697256,
  [SMALL_STATE(12007)] = 697264,
  [SMALL_STATE(12008)] = 697272,
  [SMALL_STATE(12009)] = 697280,
  [SMALL_STATE(12010)] = 697288,
  [SMALL_STATE(12011)] = 697296,
  [SMALL_STATE(12012)] = 697304,
  [SMALL_STATE(12013)] = 697312,
  [SMALL_STATE(12014)] = 697320,
  [SMALL_STATE(12015)] = 697328,
  [SMALL_STATE(12016)] = 697336,
  [SMALL_STATE(12017)] = 697344,
  [SMALL_STATE(12018)] = 697352,
  [SMALL_STATE(12019)] = 697360,
  [SMALL_STATE(12020)] = 697368,
  [SMALL_STATE(12021)] = 697376,
  [SMALL_STATE(12022)] = 697384,
  [SMALL_STATE(12023)] = 697392,
  [SMALL_STATE(12024)] = 697400,
  [SMALL_STATE(12025)] = 697408,
  [SMALL_STATE(12026)] = 697416,
  [SMALL_STATE(12027)] = 697424,
  [SMALL_STATE(12028)] = 697432,
  [SMALL_STATE(12029)] = 697440,
  [SMALL_STATE(12030)] = 697448,
  [SMALL_STATE(12031)] = 697456,
  [SMALL_STATE(12032)] = 697464,
  [SMALL_STATE(12033)] = 697472,
  [SMALL_STATE(12034)] = 697480,
  [SMALL_STATE(12035)] = 697488,
  [SMALL_STATE(12036)] = 697496,
  [SMALL_STATE(12037)] = 697504,
  [SMALL_STATE(12038)] = 697512,
  [SMALL_STATE(12039)] = 697520,
  [SMALL_STATE(12040)] = 697528,
  [SMALL_STATE(12041)] = 697536,
  [SMALL_STATE(12042)] = 697544,
  [SMALL_STATE(12043)] = 697552,
  [SMALL_STATE(12044)] = 697560,
  [SMALL_STATE(12045)] = 697568,
  [SMALL_STATE(12046)] = 697576,
  [SMALL_STATE(12047)] = 697584,
  [SMALL_STATE(12048)] = 697592,
  [SMALL_STATE(12049)] = 697600,
  [SMALL_STATE(12050)] = 697608,
  [SMALL_STATE(12051)] = 697616,
  [SMALL_STATE(12052)] = 697626,
  [SMALL_STATE(12053)] = 697634,
  [SMALL_STATE(12054)] = 697642,
  [SMALL_STATE(12055)] = 697650,
  [SMALL_STATE(12056)] = 697658,
  [SMALL_STATE(12057)] = 697666,
  [SMALL_STATE(12058)] = 697674,
  [SMALL_STATE(12059)] = 697682,
  [SMALL_STATE(12060)] = 697690,
  [SMALL_STATE(12061)] = 697698,
  [SMALL_STATE(12062)] = 697706,
  [SMALL_STATE(12063)] = 697714,
  [SMALL_STATE(12064)] = 697722,
  [SMALL_STATE(12065)] = 697730,
  [SMALL_STATE(12066)] = 697738,
  [SMALL_STATE(12067)] = 697746,
  [SMALL_STATE(12068)] = 697754,
  [SMALL_STATE(12069)] = 697762,
  [SMALL_STATE(12070)] = 697770,
  [SMALL_STATE(12071)] = 697778,
  [SMALL_STATE(12072)] = 697786,
  [SMALL_STATE(12073)] = 697794,
  [SMALL_STATE(12074)] = 697802,
  [SMALL_STATE(12075)] = 697810,
  [SMALL_STATE(12076)] = 697818,
  [SMALL_STATE(12077)] = 697826,
  [SMALL_STATE(12078)] = 697834,
  [SMALL_STATE(12079)] = 697842,
  [SMALL_STATE(12080)] = 697850,
  [SMALL_STATE(12081)] = 697858,
  [SMALL_STATE(12082)] = 697866,
  [SMALL_STATE(12083)] = 697874,
  [SMALL_STATE(12084)] = 697882,
  [SMALL_STATE(12085)] = 697890,
  [SMALL_STATE(12086)] = 697898,
  [SMALL_STATE(12087)] = 697906,
  [SMALL_STATE(12088)] = 697914,
  [SMALL_STATE(12089)] = 697922,
  [SMALL_STATE(12090)] = 697930,
  [SMALL_STATE(12091)] = 697938,
  [SMALL_STATE(12092)] = 697946,
  [SMALL_STATE(12093)] = 697954,
  [SMALL_STATE(12094)] = 697962,
  [SMALL_STATE(12095)] = 697970,
  [SMALL_STATE(12096)] = 697978,
  [SMALL_STATE(12097)] = 697986,
  [SMALL_STATE(12098)] = 697994,
  [SMALL_STATE(12099)] = 698002,
  [SMALL_STATE(12100)] = 698010,
  [SMALL_STATE(12101)] = 698018,
  [SMALL_STATE(12102)] = 698026,
  [SMALL_STATE(12103)] = 698034,
  [SMALL_STATE(12104)] = 698042,
  [SMALL_STATE(12105)] = 698050,
  [SMALL_STATE(12106)] = 698058,
  [SMALL_STATE(12107)] = 698066,
  [SMALL_STATE(12108)] = 698074,
  [SMALL_STATE(12109)] = 698082,
  [SMALL_STATE(12110)] = 698090,
  [SMALL_STATE(12111)] = 698098,
  [SMALL_STATE(12112)] = 698106,
  [SMALL_STATE(12113)] = 698114,
  [SMALL_STATE(12114)] = 698122,
  [SMALL_STATE(12115)] = 698130,
  [SMALL_STATE(12116)] = 698138,
  [SMALL_STATE(12117)] = 698146,
  [SMALL_STATE(12118)] = 698154,
  [SMALL_STATE(12119)] = 698162,
  [SMALL_STATE(12120)] = 698170,
  [SMALL_STATE(12121)] = 698178,
  [SMALL_STATE(12122)] = 698186,
  [SMALL_STATE(12123)] = 698194,
  [SMALL_STATE(12124)] = 698202,
  [SMALL_STATE(12125)] = 698210,
  [SMALL_STATE(12126)] = 698218,
  [SMALL_STATE(12127)] = 698226,
  [SMALL_STATE(12128)] = 698234,
  [SMALL_STATE(12129)] = 698242,
  [SMALL_STATE(12130)] = 698250,
  [SMALL_STATE(12131)] = 698258,
  [SMALL_STATE(12132)] = 698266,
  [SMALL_STATE(12133)] = 698274,
  [SMALL_STATE(12134)] = 698282,
  [SMALL_STATE(12135)] = 698290,
  [SMALL_STATE(12136)] = 698298,
  [SMALL_STATE(12137)] = 698306,
  [SMALL_STATE(12138)] = 698314,
  [SMALL_STATE(12139)] = 698322,
  [SMALL_STATE(12140)] = 698330,
  [SMALL_STATE(12141)] = 698338,
  [SMALL_STATE(12142)] = 698346,
  [SMALL_STATE(12143)] = 698354,
  [SMALL_STATE(12144)] = 698362,
  [SMALL_STATE(12145)] = 698370,
  [SMALL_STATE(12146)] = 698378,
  [SMALL_STATE(12147)] = 698386,
  [SMALL_STATE(12148)] = 698394,
  [SMALL_STATE(12149)] = 698402,
  [SMALL_STATE(12150)] = 698410,
  [SMALL_STATE(12151)] = 698418,
  [SMALL_STATE(12152)] = 698426,
  [SMALL_STATE(12153)] = 698434,
  [SMALL_STATE(12154)] = 698442,
  [SMALL_STATE(12155)] = 698450,
  [SMALL_STATE(12156)] = 698458,
  [SMALL_STATE(12157)] = 698466,
  [SMALL_STATE(12158)] = 698474,
  [SMALL_STATE(12159)] = 698482,
  [SMALL_STATE(12160)] = 698490,
  [SMALL_STATE(12161)] = 698498,
  [SMALL_STATE(12162)] = 698506,
  [SMALL_STATE(12163)] = 698514,
  [SMALL_STATE(12164)] = 698522,
  [SMALL_STATE(12165)] = 698530,
  [SMALL_STATE(12166)] = 698538,
  [SMALL_STATE(12167)] = 698546,
  [SMALL_STATE(12168)] = 698554,
  [SMALL_STATE(12169)] = 698562,
  [SMALL_STATE(12170)] = 698570,
  [SMALL_STATE(12171)] = 698578,
  [SMALL_STATE(12172)] = 698586,
  [SMALL_STATE(12173)] = 698594,
  [SMALL_STATE(12174)] = 698602,
  [SMALL_STATE(12175)] = 698610,
  [SMALL_STATE(12176)] = 698618,
  [SMALL_STATE(12177)] = 698626,
  [SMALL_STATE(12178)] = 698634,
  [SMALL_STATE(12179)] = 698642,
  [SMALL_STATE(12180)] = 698650,
  [SMALL_STATE(12181)] = 698658,
  [SMALL_STATE(12182)] = 698666,
  [SMALL_STATE(12183)] = 698674,
  [SMALL_STATE(12184)] = 698682,
  [SMALL_STATE(12185)] = 698690,
  [SMALL_STATE(12186)] = 698698,
  [SMALL_STATE(12187)] = 698706,
  [SMALL_STATE(12188)] = 698714,
  [SMALL_STATE(12189)] = 698722,
  [SMALL_STATE(12190)] = 698730,
  [SMALL_STATE(12191)] = 698738,
  [SMALL_STATE(12192)] = 698746,
  [SMALL_STATE(12193)] = 698754,
  [SMALL_STATE(12194)] = 698762,
  [SMALL_STATE(12195)] = 698770,
  [SMALL_STATE(12196)] = 698778,
  [SMALL_STATE(12197)] = 698786,
  [SMALL_STATE(12198)] = 698794,
  [SMALL_STATE(12199)] = 698802,
  [SMALL_STATE(12200)] = 698810,
  [SMALL_STATE(12201)] = 698818,
  [SMALL_STATE(12202)] = 698826,
  [SMALL_STATE(12203)] = 698834,
  [SMALL_STATE(12204)] = 698842,
  [SMALL_STATE(12205)] = 698850,
  [SMALL_STATE(12206)] = 698858,
  [SMALL_STATE(12207)] = 698866,
  [SMALL_STATE(12208)] = 698874,
  [SMALL_STATE(12209)] = 698882,
  [SMALL_STATE(12210)] = 698890,
  [SMALL_STATE(12211)] = 698898,
  [SMALL_STATE(12212)] = 698906,
  [SMALL_STATE(12213)] = 698914,
  [SMALL_STATE(12214)] = 698922,
  [SMALL_STATE(12215)] = 698930,
  [SMALL_STATE(12216)] = 698938,
  [SMALL_STATE(12217)] = 698946,
  [SMALL_STATE(12218)] = 698954,
  [SMALL_STATE(12219)] = 698962,
  [SMALL_STATE(12220)] = 698970,
  [SMALL_STATE(12221)] = 698978,
  [SMALL_STATE(12222)] = 698986,
  [SMALL_STATE(12223)] = 698994,
  [SMALL_STATE(12224)] = 699002,
  [SMALL_STATE(12225)] = 699010,
  [SMALL_STATE(12226)] = 699018,
  [SMALL_STATE(12227)] = 699026,
  [SMALL_STATE(12228)] = 699034,
  [SMALL_STATE(12229)] = 699042,
  [SMALL_STATE(12230)] = 699050,
  [SMALL_STATE(12231)] = 699058,
  [SMALL_STATE(12232)] = 699066,
  [SMALL_STATE(12233)] = 699074,
  [SMALL_STATE(12234)] = 699082,
  [SMALL_STATE(12235)] = 699090,
  [SMALL_STATE(12236)] = 699098,
  [SMALL_STATE(12237)] = 699106,
  [SMALL_STATE(12238)] = 699114,
  [SMALL_STATE(12239)] = 699122,
  [SMALL_STATE(12240)] = 699130,
  [SMALL_STATE(12241)] = 699138,
  [SMALL_STATE(12242)] = 699146,
  [SMALL_STATE(12243)] = 699154,
  [SMALL_STATE(12244)] = 699162,
  [SMALL_STATE(12245)] = 699170,
  [SMALL_STATE(12246)] = 699178,
  [SMALL_STATE(12247)] = 699186,
  [SMALL_STATE(12248)] = 699194,
  [SMALL_STATE(12249)] = 699202,
  [SMALL_STATE(12250)] = 699210,
  [SMALL_STATE(12251)] = 699218,
  [SMALL_STATE(12252)] = 699226,
  [SMALL_STATE(12253)] = 699234,
  [SMALL_STATE(12254)] = 699242,
  [SMALL_STATE(12255)] = 699250,
  [SMALL_STATE(12256)] = 699258,
  [SMALL_STATE(12257)] = 699266,
  [SMALL_STATE(12258)] = 699274,
  [SMALL_STATE(12259)] = 699282,
  [SMALL_STATE(12260)] = 699290,
  [SMALL_STATE(12261)] = 699298,
  [SMALL_STATE(12262)] = 699306,
  [SMALL_STATE(12263)] = 699314,
  [SMALL_STATE(12264)] = 699322,
  [SMALL_STATE(12265)] = 699330,
  [SMALL_STATE(12266)] = 699338,
  [SMALL_STATE(12267)] = 699346,
  [SMALL_STATE(12268)] = 699354,
  [SMALL_STATE(12269)] = 699362,
  [SMALL_STATE(12270)] = 699370,
  [SMALL_STATE(12271)] = 699378,
  [SMALL_STATE(12272)] = 699386,
  [SMALL_STATE(12273)] = 699394,
  [SMALL_STATE(12274)] = 699402,
  [SMALL_STATE(12275)] = 699410,
  [SMALL_STATE(12276)] = 699418,
  [SMALL_STATE(12277)] = 699426,
  [SMALL_STATE(12278)] = 699434,
  [SMALL_STATE(12279)] = 699442,
  [SMALL_STATE(12280)] = 699450,
  [SMALL_STATE(12281)] = 699458,
  [SMALL_STATE(12282)] = 699466,
  [SMALL_STATE(12283)] = 699474,
  [SMALL_STATE(12284)] = 699482,
  [SMALL_STATE(12285)] = 699490,
  [SMALL_STATE(12286)] = 699498,
  [SMALL_STATE(12287)] = 699506,
  [SMALL_STATE(12288)] = 699514,
  [SMALL_STATE(12289)] = 699522,
  [SMALL_STATE(12290)] = 699530,
  [SMALL_STATE(12291)] = 699538,
  [SMALL_STATE(12292)] = 699546,
  [SMALL_STATE(12293)] = 699554,
  [SMALL_STATE(12294)] = 699564,
  [SMALL_STATE(12295)] = 699572,
  [SMALL_STATE(12296)] = 699580,
  [SMALL_STATE(12297)] = 699588,
  [SMALL_STATE(12298)] = 699596,
  [SMALL_STATE(12299)] = 699604,
  [SMALL_STATE(12300)] = 699612,
  [SMALL_STATE(12301)] = 699620,
  [SMALL_STATE(12302)] = 699628,
  [SMALL_STATE(12303)] = 699636,
  [SMALL_STATE(12304)] = 699644,
  [SMALL_STATE(12305)] = 699652,
  [SMALL_STATE(12306)] = 699660,
  [SMALL_STATE(12307)] = 699668,
  [SMALL_STATE(12308)] = 699676,
  [SMALL_STATE(12309)] = 699684,
  [SMALL_STATE(12310)] = 699692,
  [SMALL_STATE(12311)] = 699700,
  [SMALL_STATE(12312)] = 699708,
  [SMALL_STATE(12313)] = 699716,
  [SMALL_STATE(12314)] = 699724,
  [SMALL_STATE(12315)] = 699732,
  [SMALL_STATE(12316)] = 699740,
  [SMALL_STATE(12317)] = 699748,
  [SMALL_STATE(12318)] = 699756,
  [SMALL_STATE(12319)] = 699764,
  [SMALL_STATE(12320)] = 699772,
  [SMALL_STATE(12321)] = 699780,
  [SMALL_STATE(12322)] = 699788,
  [SMALL_STATE(12323)] = 699796,
  [SMALL_STATE(12324)] = 699804,
  [SMALL_STATE(12325)] = 699812,
  [SMALL_STATE(12326)] = 699820,
  [SMALL_STATE(12327)] = 699828,
  [SMALL_STATE(12328)] = 699836,
  [SMALL_STATE(12329)] = 699844,
  [SMALL_STATE(12330)] = 699852,
  [SMALL_STATE(12331)] = 699860,
  [SMALL_STATE(12332)] = 699870,
  [SMALL_STATE(12333)] = 699878,
  [SMALL_STATE(12334)] = 699888,
  [SMALL_STATE(12335)] = 699896,
  [SMALL_STATE(12336)] = 699904,
  [SMALL_STATE(12337)] = 699912,
  [SMALL_STATE(12338)] = 699920,
  [SMALL_STATE(12339)] = 699928,
  [SMALL_STATE(12340)] = 699936,
  [SMALL_STATE(12341)] = 699944,
  [SMALL_STATE(12342)] = 699952,
  [SMALL_STATE(12343)] = 699960,
  [SMALL_STATE(12344)] = 699968,
  [SMALL_STATE(12345)] = 699976,
  [SMALL_STATE(12346)] = 699984,
  [SMALL_STATE(12347)] = 699992,
  [SMALL_STATE(12348)] = 700000,
  [SMALL_STATE(12349)] = 700008,
  [SMALL_STATE(12350)] = 700016,
  [SMALL_STATE(12351)] = 700024,
  [SMALL_STATE(12352)] = 700032,
  [SMALL_STATE(12353)] = 700040,
  [SMALL_STATE(12354)] = 700048,
  [SMALL_STATE(12355)] = 700056,
  [SMALL_STATE(12356)] = 700064,
  [SMALL_STATE(12357)] = 700072,
  [SMALL_STATE(12358)] = 700080,
  [SMALL_STATE(12359)] = 700088,
  [SMALL_STATE(12360)] = 700096,
  [SMALL_STATE(12361)] = 700104,
  [SMALL_STATE(12362)] = 700112,
  [SMALL_STATE(12363)] = 700120,
  [SMALL_STATE(12364)] = 700128,
  [SMALL_STATE(12365)] = 700136,
  [SMALL_STATE(12366)] = 700144,
  [SMALL_STATE(12367)] = 700152,
  [SMALL_STATE(12368)] = 700160,
  [SMALL_STATE(12369)] = 700168,
  [SMALL_STATE(12370)] = 700176,
  [SMALL_STATE(12371)] = 700184,
  [SMALL_STATE(12372)] = 700192,
  [SMALL_STATE(12373)] = 700200,
  [SMALL_STATE(12374)] = 700208,
  [SMALL_STATE(12375)] = 700216,
  [SMALL_STATE(12376)] = 700224,
  [SMALL_STATE(12377)] = 700232,
  [SMALL_STATE(12378)] = 700240,
  [SMALL_STATE(12379)] = 700248,
  [SMALL_STATE(12380)] = 700256,
  [SMALL_STATE(12381)] = 700264,
  [SMALL_STATE(12382)] = 700272,
  [SMALL_STATE(12383)] = 700280,
  [SMALL_STATE(12384)] = 700288,
  [SMALL_STATE(12385)] = 700296,
  [SMALL_STATE(12386)] = 700304,
  [SMALL_STATE(12387)] = 700312,
  [SMALL_STATE(12388)] = 700320,
  [SMALL_STATE(12389)] = 700330,
  [SMALL_STATE(12390)] = 700338,
  [SMALL_STATE(12391)] = 700346,
  [SMALL_STATE(12392)] = 700354,
  [SMALL_STATE(12393)] = 700362,
  [SMALL_STATE(12394)] = 700370,
  [SMALL_STATE(12395)] = 700378,
  [SMALL_STATE(12396)] = 700386,
  [SMALL_STATE(12397)] = 700394,
  [SMALL_STATE(12398)] = 700402,
  [SMALL_STATE(12399)] = 700412,
  [SMALL_STATE(12400)] = 700420,
  [SMALL_STATE(12401)] = 700428,
  [SMALL_STATE(12402)] = 700436,
  [SMALL_STATE(12403)] = 700444,
  [SMALL_STATE(12404)] = 700452,
  [SMALL_STATE(12405)] = 700460,
  [SMALL_STATE(12406)] = 700468,
  [SMALL_STATE(12407)] = 700476,
  [SMALL_STATE(12408)] = 700486,
  [SMALL_STATE(12409)] = 700494,
  [SMALL_STATE(12410)] = 700502,
  [SMALL_STATE(12411)] = 700510,
  [SMALL_STATE(12412)] = 700518,
  [SMALL_STATE(12413)] = 700526,
  [SMALL_STATE(12414)] = 700534,
  [SMALL_STATE(12415)] = 700542,
  [SMALL_STATE(12416)] = 700550,
  [SMALL_STATE(12417)] = 700560,
  [SMALL_STATE(12418)] = 700568,
  [SMALL_STATE(12419)] = 700576,
  [SMALL_STATE(12420)] = 700584,
  [SMALL_STATE(12421)] = 700592,
  [SMALL_STATE(12422)] = 700600,
  [SMALL_STATE(12423)] = 700608,
  [SMALL_STATE(12424)] = 700616,
  [SMALL_STATE(12425)] = 700624,
  [SMALL_STATE(12426)] = 700634,
  [SMALL_STATE(12427)] = 700642,
  [SMALL_STATE(12428)] = 700650,
  [SMALL_STATE(12429)] = 700658,
  [SMALL_STATE(12430)] = 700666,
  [SMALL_STATE(12431)] = 700674,
  [SMALL_STATE(12432)] = 700682,
  [SMALL_STATE(12433)] = 700690,
  [SMALL_STATE(12434)] = 700698,
  [SMALL_STATE(12435)] = 700708,
  [SMALL_STATE(12436)] = 700716,
  [SMALL_STATE(12437)] = 700724,
  [SMALL_STATE(12438)] = 700732,
  [SMALL_STATE(12439)] = 700740,
  [SMALL_STATE(12440)] = 700748,
  [SMALL_STATE(12441)] = 700756,
  [SMALL_STATE(12442)] = 700764,
  [SMALL_STATE(12443)] = 700772,
  [SMALL_STATE(12444)] = 700782,
  [SMALL_STATE(12445)] = 700790,
  [SMALL_STATE(12446)] = 700798,
  [SMALL_STATE(12447)] = 700806,
  [SMALL_STATE(12448)] = 700814,
  [SMALL_STATE(12449)] = 700822,
  [SMALL_STATE(12450)] = 700832,
  [SMALL_STATE(12451)] = 700840,
  [SMALL_STATE(12452)] = 700848,
  [SMALL_STATE(12453)] = 700858,
  [SMALL_STATE(12454)] = 700866,
  [SMALL_STATE(12455)] = 700874,
  [SMALL_STATE(12456)] = 700882,
  [SMALL_STATE(12457)] = 700890,
  [SMALL_STATE(12458)] = 700898,
  [SMALL_STATE(12459)] = 700906,
  [SMALL_STATE(12460)] = 700914,
  [SMALL_STATE(12461)] = 700922,
  [SMALL_STATE(12462)] = 700932,
  [SMALL_STATE(12463)] = 700940,
  [SMALL_STATE(12464)] = 700948,
  [SMALL_STATE(12465)] = 700956,
  [SMALL_STATE(12466)] = 700964,
  [SMALL_STATE(12467)] = 700972,
  [SMALL_STATE(12468)] = 700980,
  [SMALL_STATE(12469)] = 700988,
  [SMALL_STATE(12470)] = 700996,
  [SMALL_STATE(12471)] = 701006,
  [SMALL_STATE(12472)] = 701014,
  [SMALL_STATE(12473)] = 701022,
  [SMALL_STATE(12474)] = 701030,
  [SMALL_STATE(12475)] = 701038,
  [SMALL_STATE(12476)] = 701046,
  [SMALL_STATE(12477)] = 701054,
  [SMALL_STATE(12478)] = 701062,
  [SMALL_STATE(12479)] = 701070,
  [SMALL_STATE(12480)] = 701080,
  [SMALL_STATE(12481)] = 701088,
  [SMALL_STATE(12482)] = 701096,
  [SMALL_STATE(12483)] = 701104,
  [SMALL_STATE(12484)] = 701112,
  [SMALL_STATE(12485)] = 701120,
  [SMALL_STATE(12486)] = 701128,
  [SMALL_STATE(12487)] = 701136,
  [SMALL_STATE(12488)] = 701144,
  [SMALL_STATE(12489)] = 701154,
  [SMALL_STATE(12490)] = 701162,
  [SMALL_STATE(12491)] = 701170,
  [SMALL_STATE(12492)] = 701178,
  [SMALL_STATE(12493)] = 701186,
  [SMALL_STATE(12494)] = 701194,
  [SMALL_STATE(12495)] = 701202,
  [SMALL_STATE(12496)] = 701210,
  [SMALL_STATE(12497)] = 701218,
  [SMALL_STATE(12498)] = 701228,
  [SMALL_STATE(12499)] = 701236,
  [SMALL_STATE(12500)] = 701244,
  [SMALL_STATE(12501)] = 701252,
  [SMALL_STATE(12502)] = 701260,
  [SMALL_STATE(12503)] = 701268,
  [SMALL_STATE(12504)] = 701276,
  [SMALL_STATE(12505)] = 701284,
  [SMALL_STATE(12506)] = 701292,
  [SMALL_STATE(12507)] = 701302,
  [SMALL_STATE(12508)] = 701310,
  [SMALL_STATE(12509)] = 701318,
  [SMALL_STATE(12510)] = 701326,
  [SMALL_STATE(12511)] = 701334,
  [SMALL_STATE(12512)] = 701342,
  [SMALL_STATE(12513)] = 701350,
  [SMALL_STATE(12514)] = 701358,
  [SMALL_STATE(12515)] = 701366,
  [SMALL_STATE(12516)] = 701376,
  [SMALL_STATE(12517)] = 701384,
  [SMALL_STATE(12518)] = 701392,
  [SMALL_STATE(12519)] = 701400,
  [SMALL_STATE(12520)] = 701408,
  [SMALL_STATE(12521)] = 701416,
  [SMALL_STATE(12522)] = 701424,
  [SMALL_STATE(12523)] = 701432,
  [SMALL_STATE(12524)] = 701440,
  [SMALL_STATE(12525)] = 701450,
  [SMALL_STATE(12526)] = 701458,
  [SMALL_STATE(12527)] = 701466,
  [SMALL_STATE(12528)] = 701474,
  [SMALL_STATE(12529)] = 701482,
  [SMALL_STATE(12530)] = 701490,
  [SMALL_STATE(12531)] = 701498,
  [SMALL_STATE(12532)] = 701506,
  [SMALL_STATE(12533)] = 701514,
  [SMALL_STATE(12534)] = 701524,
  [SMALL_STATE(12535)] = 701532,
  [SMALL_STATE(12536)] = 701540,
  [SMALL_STATE(12537)] = 701548,
  [SMALL_STATE(12538)] = 701556,
  [SMALL_STATE(12539)] = 701564,
  [SMALL_STATE(12540)] = 701572,
  [SMALL_STATE(12541)] = 701580,
  [SMALL_STATE(12542)] = 701588,
  [SMALL_STATE(12543)] = 701598,
  [SMALL_STATE(12544)] = 701606,
  [SMALL_STATE(12545)] = 701614,
  [SMALL_STATE(12546)] = 701622,
  [SMALL_STATE(12547)] = 701630,
  [SMALL_STATE(12548)] = 701638,
  [SMALL_STATE(12549)] = 701646,
  [SMALL_STATE(12550)] = 701654,
  [SMALL_STATE(12551)] = 701662,
  [SMALL_STATE(12552)] = 701672,
  [SMALL_STATE(12553)] = 701680,
  [SMALL_STATE(12554)] = 701688,
  [SMALL_STATE(12555)] = 701696,
  [SMALL_STATE(12556)] = 701704,
  [SMALL_STATE(12557)] = 701712,
  [SMALL_STATE(12558)] = 701720,
  [SMALL_STATE(12559)] = 701728,
  [SMALL_STATE(12560)] = 701736,
  [SMALL_STATE(12561)] = 701746,
  [SMALL_STATE(12562)] = 701754,
  [SMALL_STATE(12563)] = 701762,
  [SMALL_STATE(12564)] = 701770,
  [SMALL_STATE(12565)] = 701778,
  [SMALL_STATE(12566)] = 701786,
  [SMALL_STATE(12567)] = 701794,
  [SMALL_STATE(12568)] = 701802,
  [SMALL_STATE(12569)] = 701810,
  [SMALL_STATE(12570)] = 701820,
  [SMALL_STATE(12571)] = 701828,
  [SMALL_STATE(12572)] = 701836,
  [SMALL_STATE(12573)] = 701844,
  [SMALL_STATE(12574)] = 701852,
  [SMALL_STATE(12575)] = 701860,
  [SMALL_STATE(12576)] = 701868,
  [SMALL_STATE(12577)] = 701876,
  [SMALL_STATE(12578)] = 701884,
  [SMALL_STATE(12579)] = 701894,
  [SMALL_STATE(12580)] = 701902,
  [SMALL_STATE(12581)] = 701910,
  [SMALL_STATE(12582)] = 701918,
  [SMALL_STATE(12583)] = 701926,
  [SMALL_STATE(12584)] = 701934,
  [SMALL_STATE(12585)] = 701942,
  [SMALL_STATE(12586)] = 701950,
  [SMALL_STATE(12587)] = 701958,
  [SMALL_STATE(12588)] = 701968,
  [SMALL_STATE(12589)] = 701976,
  [SMALL_STATE(12590)] = 701984,
  [SMALL_STATE(12591)] = 701992,
  [SMALL_STATE(12592)] = 702000,
  [SMALL_STATE(12593)] = 702008,
  [SMALL_STATE(12594)] = 702018,
  [SMALL_STATE(12595)] = 702026,
  [SMALL_STATE(12596)] = 702034,
  [SMALL_STATE(12597)] = 702042,
  [SMALL_STATE(12598)] = 702050,
  [SMALL_STATE(12599)] = 702058,
  [SMALL_STATE(12600)] = 702068,
  [SMALL_STATE(12601)] = 702076,
  [SMALL_STATE(12602)] = 702084,
  [SMALL_STATE(12603)] = 702092,
  [SMALL_STATE(12604)] = 702100,
  [SMALL_STATE(12605)] = 702108,
  [SMALL_STATE(12606)] = 702118,
  [SMALL_STATE(12607)] = 702126,
  [SMALL_STATE(12608)] = 702134,
  [SMALL_STATE(12609)] = 702142,
  [SMALL_STATE(12610)] = 702150,
  [SMALL_STATE(12611)] = 702158,
  [SMALL_STATE(12612)] = 702168,
  [SMALL_STATE(12613)] = 702176,
  [SMALL_STATE(12614)] = 702184,
  [SMALL_STATE(12615)] = 702192,
  [SMALL_STATE(12616)] = 702200,
  [SMALL_STATE(12617)] = 702208,
  [SMALL_STATE(12618)] = 702218,
  [SMALL_STATE(12619)] = 702226,
  [SMALL_STATE(12620)] = 702234,
  [SMALL_STATE(12621)] = 702242,
  [SMALL_STATE(12622)] = 702250,
  [SMALL_STATE(12623)] = 702258,
  [SMALL_STATE(12624)] = 702268,
  [SMALL_STATE(12625)] = 702276,
  [SMALL_STATE(12626)] = 702284,
  [SMALL_STATE(12627)] = 702292,
  [SMALL_STATE(12628)] = 702300,
  [SMALL_STATE(12629)] = 702308,
  [SMALL_STATE(12630)] = 702318,
  [SMALL_STATE(12631)] = 702326,
  [SMALL_STATE(12632)] = 702334,
  [SMALL_STATE(12633)] = 702342,
  [SMALL_STATE(12634)] = 702350,
  [SMALL_STATE(12635)] = 702358,
  [SMALL_STATE(12636)] = 702368,
  [SMALL_STATE(12637)] = 702376,
  [SMALL_STATE(12638)] = 702384,
  [SMALL_STATE(12639)] = 702392,
  [SMALL_STATE(12640)] = 702400,
  [SMALL_STATE(12641)] = 702408,
  [SMALL_STATE(12642)] = 702418,
  [SMALL_STATE(12643)] = 702426,
  [SMALL_STATE(12644)] = 702434,
  [SMALL_STATE(12645)] = 702442,
  [SMALL_STATE(12646)] = 702450,
  [SMALL_STATE(12647)] = 702458,
  [SMALL_STATE(12648)] = 702468,
  [SMALL_STATE(12649)] = 702476,
  [SMALL_STATE(12650)] = 702484,
  [SMALL_STATE(12651)] = 702492,
  [SMALL_STATE(12652)] = 702500,
  [SMALL_STATE(12653)] = 702508,
  [SMALL_STATE(12654)] = 702518,
  [SMALL_STATE(12655)] = 702526,
  [SMALL_STATE(12656)] = 702534,
  [SMALL_STATE(12657)] = 702542,
  [SMALL_STATE(12658)] = 702550,
  [SMALL_STATE(12659)] = 702558,
  [SMALL_STATE(12660)] = 702568,
  [SMALL_STATE(12661)] = 702576,
  [SMALL_STATE(12662)] = 702584,
  [SMALL_STATE(12663)] = 702592,
  [SMALL_STATE(12664)] = 702600,
  [SMALL_STATE(12665)] = 702608,
  [SMALL_STATE(12666)] = 702618,
  [SMALL_STATE(12667)] = 702626,
  [SMALL_STATE(12668)] = 702634,
  [SMALL_STATE(12669)] = 702642,
  [SMALL_STATE(12670)] = 702650,
  [SMALL_STATE(12671)] = 702658,
  [SMALL_STATE(12672)] = 702668,
  [SMALL_STATE(12673)] = 702676,
  [SMALL_STATE(12674)] = 702684,
  [SMALL_STATE(12675)] = 702692,
  [SMALL_STATE(12676)] = 702700,
  [SMALL_STATE(12677)] = 702708,
  [SMALL_STATE(12678)] = 702718,
  [SMALL_STATE(12679)] = 702726,
  [SMALL_STATE(12680)] = 702734,
  [SMALL_STATE(12681)] = 702742,
  [SMALL_STATE(12682)] = 702750,
  [SMALL_STATE(12683)] = 702758,
  [SMALL_STATE(12684)] = 702768,
  [SMALL_STATE(12685)] = 702776,
  [SMALL_STATE(12686)] = 702784,
  [SMALL_STATE(12687)] = 702792,
  [SMALL_STATE(12688)] = 702800,
  [SMALL_STATE(12689)] = 702808,
  [SMALL_STATE(12690)] = 702818,
  [SMALL_STATE(12691)] = 702826,
  [SMALL_STATE(12692)] = 702834,
  [SMALL_STATE(12693)] = 702842,
  [SMALL_STATE(12694)] = 702850,
  [SMALL_STATE(12695)] = 702858,
  [SMALL_STATE(12696)] = 702868,
  [SMALL_STATE(12697)] = 702876,
  [SMALL_STATE(12698)] = 702884,
  [SMALL_STATE(12699)] = 702892,
  [SMALL_STATE(12700)] = 702900,
  [SMALL_STATE(12701)] = 702908,
  [SMALL_STATE(12702)] = 702918,
  [SMALL_STATE(12703)] = 702926,
  [SMALL_STATE(12704)] = 702934,
  [SMALL_STATE(12705)] = 702942,
  [SMALL_STATE(12706)] = 702950,
  [SMALL_STATE(12707)] = 702958,
  [SMALL_STATE(12708)] = 702968,
  [SMALL_STATE(12709)] = 702976,
  [SMALL_STATE(12710)] = 702984,
  [SMALL_STATE(12711)] = 702992,
  [SMALL_STATE(12712)] = 703000,
  [SMALL_STATE(12713)] = 703008,
  [SMALL_STATE(12714)] = 703018,
  [SMALL_STATE(12715)] = 703026,
  [SMALL_STATE(12716)] = 703034,
  [SMALL_STATE(12717)] = 703042,
  [SMALL_STATE(12718)] = 703050,
  [SMALL_STATE(12719)] = 703058,
  [SMALL_STATE(12720)] = 703066,
  [SMALL_STATE(12721)] = 703074,
  [SMALL_STATE(12722)] = 703082,
  [SMALL_STATE(12723)] = 703090,
  [SMALL_STATE(12724)] = 703098,
  [SMALL_STATE(12725)] = 703106,
  [SMALL_STATE(12726)] = 703114,
  [SMALL_STATE(12727)] = 703122,
  [SMALL_STATE(12728)] = 703130,
  [SMALL_STATE(12729)] = 703138,
  [SMALL_STATE(12730)] = 703146,
  [SMALL_STATE(12731)] = 703154,
  [SMALL_STATE(12732)] = 703162,
  [SMALL_STATE(12733)] = 703170,
  [SMALL_STATE(12734)] = 703178,
  [SMALL_STATE(12735)] = 703186,
  [SMALL_STATE(12736)] = 703194,
  [SMALL_STATE(12737)] = 703202,
  [SMALL_STATE(12738)] = 703210,
  [SMALL_STATE(12739)] = 703218,
  [SMALL_STATE(12740)] = 703226,
  [SMALL_STATE(12741)] = 703234,
  [SMALL_STATE(12742)] = 703242,
  [SMALL_STATE(12743)] = 703250,
  [SMALL_STATE(12744)] = 703258,
  [SMALL_STATE(12745)] = 703266,
  [SMALL_STATE(12746)] = 703274,
  [SMALL_STATE(12747)] = 703282,
  [SMALL_STATE(12748)] = 703290,
  [SMALL_STATE(12749)] = 703298,
  [SMALL_STATE(12750)] = 703308,
  [SMALL_STATE(12751)] = 703316,
  [SMALL_STATE(12752)] = 703324,
  [SMALL_STATE(12753)] = 703332,
  [SMALL_STATE(12754)] = 703340,
  [SMALL_STATE(12755)] = 703348,
  [SMALL_STATE(12756)] = 703356,
  [SMALL_STATE(12757)] = 703364,
  [SMALL_STATE(12758)] = 703372,
  [SMALL_STATE(12759)] = 703380,
  [SMALL_STATE(12760)] = 703388,
  [SMALL_STATE(12761)] = 703396,
  [SMALL_STATE(12762)] = 703404,
  [SMALL_STATE(12763)] = 703412,
  [SMALL_STATE(12764)] = 703420,
  [SMALL_STATE(12765)] = 703428,
  [SMALL_STATE(12766)] = 703436,
  [SMALL_STATE(12767)] = 703444,
  [SMALL_STATE(12768)] = 703452,
  [SMALL_STATE(12769)] = 703460,
  [SMALL_STATE(12770)] = 703468,
  [SMALL_STATE(12771)] = 703476,
  [SMALL_STATE(12772)] = 703484,
  [SMALL_STATE(12773)] = 703492,
  [SMALL_STATE(12774)] = 703500,
  [SMALL_STATE(12775)] = 703508,
  [SMALL_STATE(12776)] = 703516,
  [SMALL_STATE(12777)] = 703524,
  [SMALL_STATE(12778)] = 703532,
  [SMALL_STATE(12779)] = 703540,
  [SMALL_STATE(12780)] = 703548,
  [SMALL_STATE(12781)] = 703556,
  [SMALL_STATE(12782)] = 703564,
  [SMALL_STATE(12783)] = 703572,
  [SMALL_STATE(12784)] = 703580,
  [SMALL_STATE(12785)] = 703588,
  [SMALL_STATE(12786)] = 703596,
  [SMALL_STATE(12787)] = 703604,
  [SMALL_STATE(12788)] = 703612,
  [SMALL_STATE(12789)] = 703620,
  [SMALL_STATE(12790)] = 703628,
  [SMALL_STATE(12791)] = 703636,
  [SMALL_STATE(12792)] = 703644,
  [SMALL_STATE(12793)] = 703652,
  [SMALL_STATE(12794)] = 703660,
  [SMALL_STATE(12795)] = 703668,
  [SMALL_STATE(12796)] = 703676,
  [SMALL_STATE(12797)] = 703684,
  [SMALL_STATE(12798)] = 703692,
  [SMALL_STATE(12799)] = 703700,
  [SMALL_STATE(12800)] = 703708,
  [SMALL_STATE(12801)] = 703716,
  [SMALL_STATE(12802)] = 703724,
  [SMALL_STATE(12803)] = 703732,
  [SMALL_STATE(12804)] = 703740,
  [SMALL_STATE(12805)] = 703748,
  [SMALL_STATE(12806)] = 703756,
  [SMALL_STATE(12807)] = 703764,
  [SMALL_STATE(12808)] = 703772,
  [SMALL_STATE(12809)] = 703780,
  [SMALL_STATE(12810)] = 703788,
  [SMALL_STATE(12811)] = 703796,
  [SMALL_STATE(12812)] = 703804,
  [SMALL_STATE(12813)] = 703812,
  [SMALL_STATE(12814)] = 703820,
  [SMALL_STATE(12815)] = 703828,
  [SMALL_STATE(12816)] = 703836,
  [SMALL_STATE(12817)] = 703844,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4289),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8267),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8100),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4530),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10043),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9467),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9425),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9872),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9882),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6939),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9967),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9407),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9488),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9432),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9482),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9487),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9464),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9426),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9129),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9422),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12277),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10875),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11084),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9692),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9929),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4496),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6713),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9034),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11620),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6249),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12502),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4419),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3903),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9578),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10980),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10981),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11237),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10683),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9721),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9838),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4159),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8432),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8055),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4312),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9435),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10073),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6893),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9713),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9132),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9650),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12749),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12331),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9659),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10074),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4258),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6675),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12434),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6226),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4347),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3895),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9512),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9618),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9649),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9632),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12750),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9624),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9541),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9610),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9517),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9501),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9496),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9609),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10033),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9518),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9622),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9521),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4289),
  [224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8267),
  [227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8100),
  [230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8100),
  [233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4530),
  [236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(10043),
  [239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(9467),
  [242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(9425),
  [245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(9872),
  [248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(9882),
  [251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(6939),
  [254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(9967),
  [257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(9407),
  [260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(9488),
  [263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(9432),
  [266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(9482),
  [269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(9487),
  [272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(9464),
  [275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(9426),
  [278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(9129),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(9422),
  [284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1110),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(927),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1108),
  [293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(10683),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(10875),
  [299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1114),
  [302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11084),
  [305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(9692),
  [308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(9929),
  [311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4496),
  [314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(6713),
  [317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(9034),
  [320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11620),
  [323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(6249),
  [326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1428),
  [329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1452),
  [332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(12502),
  [338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4419),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3903),
  [344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9572),
  [348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9524),
  [352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10098),
  [356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9645),
  [358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9560),
  [362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9503),
  [366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9647),
  [370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(12277),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9538),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9694),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9514),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9527),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9507),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9604),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9593),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9505),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9580),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9551),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9525),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9596),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9615),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9502),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9682),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9670),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9614),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9544),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9582),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9631),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9676),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9633),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9506),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9552),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9656),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9653),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9550),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9558),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9547),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9563),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9603),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9658),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9549),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9566),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9543),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9586),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9677),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9556),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9642),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9638),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9537),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9636),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9630),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9520),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9536),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9595),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9641),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9529),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9688),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9575),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9628),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9691),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9665),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9679),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9492),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9663),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9577),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9612),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9565),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9654),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9584),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9561),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9627),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9648),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9589),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9655),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9640),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9567),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9494),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9666),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9684),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9598),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9623),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9634),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9568),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9646),
  [585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(10840),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9605),
  [590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9629),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9678),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9498),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9590),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9557),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9497),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9564),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9583),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9621),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9591),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9661),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9574),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9515),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9542),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9528),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9522),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9559),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9643),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9531),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9674),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9554),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9597),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9607),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9510),
  [638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9592),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9637),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9613),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9508),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9573),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9668),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9553),
  [652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9535),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9619),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9602),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9651),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9555),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9594),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9639),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9690),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9500),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9523),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9581),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9689),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9680),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9673),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4809),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8451),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8123),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8123),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4924),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6938),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11553),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8643),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4817),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6731),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10915),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9031),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12506),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6257),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12390),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4964),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3934),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8651),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9158),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4726),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8447),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8084),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5289),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6925),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4984),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6710),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9424),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9004),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12488),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6236),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5332),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3948),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8979),
  [778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8946),
  [780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9410),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(4726),
  [785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(8447),
  [788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(8084),
  [791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(8084),
  [794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(5289),
  [797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(6925),
  [800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(510),
  [803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(511),
  [806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(512),
  [809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(513),
  [812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(4984),
  [815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(6710),
  [818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(9424),
  [821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(9004),
  [824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(12488),
  [827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(6236),
  [830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(2099),
  [833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(2100),
  [836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(69),
  [839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(12502),
  [842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(5332),
  [845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0), SHIFT_REPEAT(3948),
  [848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4584),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8436),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8082),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8082),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4764),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6864),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5007),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4654),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6690),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10513),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12452),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6306),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12335),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4630),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3917),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4670),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8440),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8072),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8072),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5079),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6870),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4825),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5270),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6697),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12470),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6234),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5132),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8435),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8060),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9183),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12443),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6229),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4915),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8439),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8067),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5025),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6866),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5130),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6693),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12461),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6232),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5062),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4066),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4013),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4010),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4603),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4604),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4871),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4872),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4714),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4716),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4995),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5054),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4760),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4763),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4441),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4442),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4336),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4337),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4356),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4357),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4239),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4240),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5180),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5191),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4625),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4906),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4266),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4279),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4128),
  [1044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4129),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4254),
  [1048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4140),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4106),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4122),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4489),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4491),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4975),
  [1060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_record_declarations_block_repeat1, 2, 0, 0),
  [1062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_declarations_block_repeat1, 2, 0, 0),
  [1064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_record_declarations_block_repeat1, 2, 0, 0), SHIFT_REPEAT(11933),
  [1067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_record_declarations_block_repeat1, 2, 0, 0), SHIFT_REPEAT(10980),
  [1070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_record_declarations_block_repeat1, 2, 0, 0), SHIFT_REPEAT(10981),
  [1073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_record_declarations_block_repeat1, 2, 0, 0), SHIFT_REPEAT(11237),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5692),
  [1078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5402),
  [1080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5585),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5586),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5632),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5424),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5712),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5662),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4862),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4753),
  [1098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5034),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5008),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5090),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5093),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5445),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5426),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5305),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5246),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4866),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4846),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4475),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4529),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5464),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5409),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [1128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4222),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5115),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5116),
  [1134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4498),
  [1136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4499),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4364),
  [1140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4365),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4087),
  [1144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4088),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4770),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4771),
  [1150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5219),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5220),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5234),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5235),
  [1158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5255),
  [1160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5256),
  [1162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5273),
  [1164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5274),
  [1166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4745),
  [1168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8403),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8138),
  [1172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8138),
  [1174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5005),
  [1176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6895),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [1180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5546),
  [1182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [1184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [1186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [1188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5027),
  [1190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6698),
  [1192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12333),
  [1194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6219),
  [1196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [1200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5141),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3947),
  [1206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8417),
  [1208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8071),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8071),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12388),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6305),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [1218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4950),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8419),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8151),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8151),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5583),
  [1228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6945),
  [1230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [1232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5695),
  [1240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6670),
  [1242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12398),
  [1244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6221),
  [1246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [1248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [1250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5596),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3966),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5134),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8423),
  [1260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [1262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8039),
  [1264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5542),
  [1266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6971),
  [1268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [1270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [1274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [1276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5499),
  [1278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6678),
  [1280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12407),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6223),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5416),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3972),
  [1294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5501),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5502),
  [1298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7240),
  [1300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7242),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5182),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5183),
  [1306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7133),
  [1308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7134),
  [1310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7752),
  [1312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7753),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6240),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6241),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7340),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7341),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4797),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4798),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5206),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5207),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5152),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5154),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7372),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7374),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7626),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7627),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7541),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7542),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5562),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5734),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7642),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7643),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7655),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7656),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7482),
  [1360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7483),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5792),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5793),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6543),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6546),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7260),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7266),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5317),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5319),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7151),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7152),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4765),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4875),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6857),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6946),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5017),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5128),
  [1394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5980),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5748),
  [1398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6956),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6871),
  [1402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5396),
  [1404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5399),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5594),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5595),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4267),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4417),
  [1414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6563),
  [1416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6564),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5608),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5656),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7741),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7742),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4836),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4852),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4533),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4540),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4321),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4322),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5714),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5717),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5457),
  [1444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5468),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7217),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7219),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5897),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5898),
  [1454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7401),
  [1456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7403),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5831),
  [1460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5837),
  [1462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7347),
  [1464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7348),
  [1466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5932),
  [1468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5933),
  [1470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5997),
  [1472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5859),
  [1474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7506),
  [1476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7507),
  [1478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5942),
  [1480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5739),
  [1482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5964),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5981),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7324),
  [1488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7342),
  [1490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5730),
  [1492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5731),
  [1494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4929),
  [1496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4930),
  [1498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4183),
  [1500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [1502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4458),
  [1504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4463),
  [1506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4297),
  [1508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4298),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [1512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4201),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7450),
  [1516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7410),
  [1518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7729),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7730),
  [1522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5807),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5811),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7594),
  [1528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7595),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6103),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6104),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7606),
  [1536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7607),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6205),
  [1540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6206),
  [1542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4514),
  [1544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5550),
  [1546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7228),
  [1548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7231),
  [1550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7160),
  [1552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7161),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6911),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6913),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7465),
  [1560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7466),
  [1562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5295),
  [1564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5296),
  [1566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5641),
  [1568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5642),
  [1570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5671),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5676),
  [1574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5865),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5866),
  [1578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4888),
  [1580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4889),
  [1582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7447),
  [1584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7448),
  [1586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7163),
  [1588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7142),
  [1590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6877),
  [1592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6878),
  [1594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6822),
  [1596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6823),
  [1598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5610),
  [1600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5611),
  [1602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6133),
  [1604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6134),
  [1606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4955),
  [1608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4958),
  [1610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4679),
  [1612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4681),
  [1614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4562),
  [1616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4563),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5989),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5995),
  [1622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7191),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7192),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7316),
  [1628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5602),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5639),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4847),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4856),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4436),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4460),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4382),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4387),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6173),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6174),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5973),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5975),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5754),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5760),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5040),
  [1658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5041),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7836),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11809),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6631),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4560),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8739),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6889),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7495),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7496),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4173),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5723),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7207),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5724),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6904),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4307),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5354),
  [1692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4697),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7332),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4318),
  [1698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8705),
  [1700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7181),
  [1702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7182),
  [1704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11873),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7330),
  [1708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6805),
  [1710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7525),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7526),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7667),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4167),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6632),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7426),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7521),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7431),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7825),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6321),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5064),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7817),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5857),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5065),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6813),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5954),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7720),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6145),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6146),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7808),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7840),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4933),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6014),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4667),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5630),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5631),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6118),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6019),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7781),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6119),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7779),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5430),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5435),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7700),
  [1778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6190),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7701),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6160),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6189),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7798),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6161),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5362),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5363),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5379),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7721),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5380),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7261),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6032),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4047),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4103),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4418),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6038),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7771),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4624),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7560),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7561),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7669),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5778),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5782),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7572),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6050),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7573),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7705),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7706),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6055),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6837),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7672),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7673),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6849),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6792),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6072),
  [1850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6850),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7373),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7379),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5743),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6079),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6786),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5744),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7315),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4600),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8455),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8131),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4861),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6940),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4835),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6718),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12515),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6258),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4694),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3923),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4294),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8457),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8141),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4454),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6943),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4425),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6723),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12524),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6264),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4543),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3906),
  [1942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4686),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8473),
  [1946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8062),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8062),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5111),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6974),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5151),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6745),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12599),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6012),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5138),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3938),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4632),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8463),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8045),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8045),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5058),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6960),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5129),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6665),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12551),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6005),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5085),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3950),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4373),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8476),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8070),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8070),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4495),
  [2030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6976),
  [2032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4570),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6750),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12611),
  [2046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6018),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [2054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4544),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3907),
  [2058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4235),
  [2060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8477),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8149),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8149),
  [2066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4360),
  [2068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6977),
  [2070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [2072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [2074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [2076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [2078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4400),
  [2080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6755),
  [2082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12617),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6023),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4383),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3894),
  [2096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4590),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8487),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8140),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4822),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7012),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4733),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6614),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12653),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6052),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4839),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3918),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5996),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8109),
  [2138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8109),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6628),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6934),
  [2144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [2146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4345),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6215),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6603),
  [2158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6252),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [2162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6644),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4037),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5018),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8460),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8132),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5420),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6951),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5661),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6728),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12542),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6001),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [2202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5534),
  [2206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3956),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4577),
  [2210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8467),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8104),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8104),
  [2216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4767),
  [2218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7113),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [2222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4806),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6767),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12578),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6007),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3922),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4492),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8464),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8090),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12560),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6129),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5026),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8427),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8042),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5471),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7112),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5603),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6682),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12416),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6224),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5700),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3959),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5084),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8466),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [2308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8098),
  [2310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5626),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6962),
  [2314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5432),
  [2324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6744),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12569),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6006),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [2332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5732),
  [2338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3970),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5139),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8442),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8080),
  [2348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5431),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6902),
  [2352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [2354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [2356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [2358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [2360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5619),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6705),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12479),
  [2366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6235),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [2372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [2374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5482),
  [2376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3957),
  [2378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4816),
  [2380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5216),
  [2382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7003),
  [2384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [2386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [2388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [2390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [2392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5291),
  [2394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6312),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [2398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2447),
  [2400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5248),
  [2402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3943),
  [2404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4058),
  [2406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4219),
  [2408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6966),
  [2410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [2412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [2414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [2418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4237),
  [2420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6739),
  [2422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [2426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4230),
  [2428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3887),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5215),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8428),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8047),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5520),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6858),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [2446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5690),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6685),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12425),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6225),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5601),
  [2466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3961),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5199),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5422),
  [2472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6963),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [2476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5711),
  [2484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6768),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [2490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5477),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3971),
  [2494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4819),
  [2496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5229),
  [2498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7005),
  [2500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [2506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [2508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5309),
  [2510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6662),
  [2512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [2514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [2516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5264),
  [2518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3946),
  [2520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [2522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8449),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8118),
  [2526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8118),
  [2528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4083),
  [2530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6987),
  [2532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [2534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [2536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [2538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [2540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4120),
  [2542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6759),
  [2544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12497),
  [2546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6255),
  [2548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [2550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [2552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [2554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4109),
  [2556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3815),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5106),
  [2560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8470),
  [2562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8094),
  [2566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8094),
  [2568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5727),
  [2570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6968),
  [2572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [2574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [2576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [2578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [2580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5454),
  [2582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6788),
  [2584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12587),
  [2586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6008),
  [2588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2338),
  [2590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [2592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5406),
  [2596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3960),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4834),
  [2600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5251),
  [2602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7009),
  [2604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [2608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [2610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [2612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4976),
  [2614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6403),
  [2616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [2620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5288),
  [2622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3932),
  [2624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5112),
  [2626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8471),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [2632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8117),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5374),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6970),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [2640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [2646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5459),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6314),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12593),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6010),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5414),
  [2662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3969),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4026),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4075),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7015),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [2676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [2678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4076),
  [2680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6663),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [2684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [2686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4091),
  [2688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [2690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4838),
  [2692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5268),
  [2694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7011),
  [2696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [2698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [2700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [2702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [2704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4959),
  [2706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6541),
  [2708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [2710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [2712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5292),
  [2714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3929),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4014),
  [2718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8475),
  [2720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8073),
  [2724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8073),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4078),
  [2728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6975),
  [2730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [2736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [2738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4105),
  [2740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6320),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12605),
  [2744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6015),
  [2746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [2748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [2752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4067),
  [2754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3809),
  [2756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3995),
  [2758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4033),
  [2760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7017),
  [2762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [2764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [2766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [2768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [2770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4038),
  [2772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6777),
  [2774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2474),
  [2776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [2778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4009),
  [2780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3744),
  [2782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5486),
  [2784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8486),
  [2786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8107),
  [2790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8107),
  [2792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5968),
  [2794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7024),
  [2796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [2798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [2800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [2802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [2804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5806),
  [2806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6399),
  [2808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12647),
  [2810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6062),
  [2812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [2814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [2816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [2818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5908),
  [2820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3985),
  [2822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4659),
  [2824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8480),
  [2826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [2830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8061),
  [2832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [2834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6999),
  [2836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [2838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [2840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [2842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [2844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6369),
  [2846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12629),
  [2848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6033),
  [2850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [2852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [2854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [2856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [2858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3937),
  [2860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4282),
  [2862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4598),
  [2864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7038),
  [2866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [2868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [2870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [2872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [2874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4510),
  [2876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6315),
  [2878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [2880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [2882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4615),
  [2884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3909),
  [2886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4811),
  [2888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8482),
  [2890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8092),
  [2896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5283),
  [2898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6370),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12635),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6260),
  [2904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [2906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3939),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4073),
  [2910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [2912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4171),
  [2914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6935),
  [2916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [2918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [2920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [2922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [2924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4210),
  [2926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6659),
  [2928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [2930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [2932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4181),
  [2934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [2936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [2938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8484),
  [2940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [2944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8095),
  [2946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5202),
  [2948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7000),
  [2950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [2952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [2954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [2956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [2958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5287),
  [2960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6371),
  [2962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12641),
  [2964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6036),
  [2966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [2968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [2970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [2972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5231),
  [2974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3951),
  [2976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4494),
  [2978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4868),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7041),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [2986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [2990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4858),
  [2992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6407),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [2996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [2998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4631),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3926),
  [3002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4749),
  [3004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8116),
  [3008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8116),
  [3010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5143),
  [3012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7001),
  [3014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [3018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [3022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6373),
  [3024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6039),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [3028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [3030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5201),
  [3032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3942),
  [3034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4456),
  [3036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4710),
  [3038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7045),
  [3040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [3042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [3044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [3046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4754),
  [3050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6466),
  [3052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [3054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [3056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4737),
  [3058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3920),
  [3060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5282),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8122),
  [3064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8122),
  [3066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5558),
  [3068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7007),
  [3070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [3072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [3074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [3076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [3078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5648),
  [3080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6378),
  [3082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6047),
  [3084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2454),
  [3086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [3088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5592),
  [3090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3965),
  [3092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4840),
  [3094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5163),
  [3096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7049),
  [3098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [3100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [3102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [3104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [3106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5011),
  [3108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6545),
  [3110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [3112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [3114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5166),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3941),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4662),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8488),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [3126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8056),
  [3128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4982),
  [3130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7023),
  [3132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [3134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [3136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [3138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [3140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5030),
  [3142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6398),
  [3144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12659),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6056),
  [3148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [3150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [3152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [3154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5052),
  [3156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3933),
  [3158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4423),
  [3160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4757),
  [3162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7061),
  [3164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [3166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [3170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [3172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4635),
  [3174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6554),
  [3176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [3178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [3180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4837),
  [3182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3925),
  [3184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4917),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8063),
  [3188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8063),
  [3190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5198),
  [3192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6128),
  [3194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4381),
  [3196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8489),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [3200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8097),
  [3202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4435),
  [3204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7071),
  [3206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [3208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [3210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [3212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [3214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4594),
  [3216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6570),
  [3218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12665),
  [3220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6073),
  [3222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [3224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [3226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [3228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4488),
  [3230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3905),
  [3232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5344),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8112),
  [3236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8112),
  [3238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5591),
  [3240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7026),
  [3242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [3244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [3246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [3248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [3250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5421),
  [3252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6402),
  [3254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6067),
  [3256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [3258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [3260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5490),
  [3262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3953),
  [3264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4248),
  [3266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8490),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8111),
  [3270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8111),
  [3272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4334),
  [3274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7073),
  [3276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [3278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [3280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [3282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [3284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4414),
  [3286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6597),
  [3288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12671),
  [3290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6077),
  [3292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [3294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [3296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [3298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4384),
  [3300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3899),
  [3302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4923),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8144),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8144),
  [3308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5523),
  [3310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7027),
  [3312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [3314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [3316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [3318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [3320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5667),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6404),
  [3324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6000),
  [3326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [3328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [3330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5578),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3964),
  [3334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4251),
  [3336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8459),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8150),
  [3340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8150),
  [3342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4354),
  [3344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7074),
  [3346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [3348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [3350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [3352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4415),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6605),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12533),
  [3360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6308),
  [3362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [3364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4397),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3902),
  [3372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4093),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8492),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8124),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8124),
  [3380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4236),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7076),
  [3384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [3386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [3388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [3390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [3392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4139),
  [3394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6623),
  [3396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12677),
  [3398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6078),
  [3400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [3402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [3404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [3406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4252),
  [3408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3892),
  [3410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4899),
  [3412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8494),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8137),
  [3416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8137),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5173),
  [3420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7078),
  [3422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [3424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [3426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [3428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [3430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5002),
  [3432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6642),
  [3434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12683),
  [3436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6081),
  [3438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [3440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [3442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [3444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5322),
  [3446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3949),
  [3448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4512),
  [3450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8496),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8032),
  [3454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8032),
  [3456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4901),
  [3458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7085),
  [3460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [3462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [3464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [3466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [3468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4648),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6660),
  [3472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12689),
  [3474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6086),
  [3476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [3478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [3480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [3482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4701),
  [3484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3915),
  [3486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4149),
  [3488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8498),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8044),
  [3492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8044),
  [3494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4416),
  [3496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7087),
  [3498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [3500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [3502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [3504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [3506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4288),
  [3508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6689),
  [3510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12695),
  [3512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6089),
  [3514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [3516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [3518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [3520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4278),
  [3522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3898),
  [3524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4595),
  [3526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [3528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4761),
  [3530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7032),
  [3532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [3534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [3536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [3538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [3540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4881),
  [3542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6419),
  [3544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [3546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [3548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4638),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3914),
  [3552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4055),
  [3554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8499),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8057),
  [3558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8057),
  [3560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4126),
  [3562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7089),
  [3564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [3568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [3570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [3572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4157),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6732),
  [3576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12701),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6093),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [3584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [3586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4150),
  [3588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3883),
  [3590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4411),
  [3592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [3594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4459),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7033),
  [3598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [3600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [3604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [3606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4424),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6420),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [3612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4518),
  [3616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3911),
  [3618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4030),
  [3620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8500),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [3624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8077),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4115),
  [3628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7092),
  [3630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [3632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [3634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [3638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4050),
  [3640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6770),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12707),
  [3644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6094),
  [3646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [3648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [3652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4057),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3811),
  [3656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4125),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [3660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4317),
  [3662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7034),
  [3664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [3666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [3668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [3670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [3672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4331),
  [3674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6421),
  [3676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [3678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [3680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4409),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3896),
  [3684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4404),
  [3686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8501),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [3690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8083),
  [3692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4437),
  [3694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6856),
  [3696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [3698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [3700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [3702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [3704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4508),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6776),
  [3708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12713),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6095),
  [3712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [3714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [3716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [3718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4422),
  [3720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3912),
  [3722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5328),
  [3724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [3726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5600),
  [3728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7035),
  [3730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [3732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [3736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [3738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5621),
  [3740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6422),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [3744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [3746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5672),
  [3748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3973),
  [3750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4046),
  [3752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8478),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [3756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8081),
  [3758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4137),
  [3760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7090),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [3764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [3766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [3768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [3770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [3772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6762),
  [3774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12623),
  [3776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6027),
  [3778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [3780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [3782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [3784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4153),
  [3786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3886),
  [3788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4741),
  [3790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [3792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4922),
  [3794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7054),
  [3796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [3798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [3800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [3802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [3804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5042),
  [3806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6448),
  [3808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2546),
  [3810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2547),
  [3812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4980),
  [3814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3944),
  [3816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4315),
  [3818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [3820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4439),
  [3822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7056),
  [3824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [3826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [3828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [3830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [3832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4428),
  [3834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6454),
  [3836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [3838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [3840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4566),
  [3842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3913),
  [3844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4213),
  [3846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [3848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4295),
  [3850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7057),
  [3852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [3854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [3856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [3858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [3860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4327),
  [3862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6455),
  [3864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [3866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [3868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4313),
  [3870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3900),
  [3872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4112),
  [3874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [3876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4197),
  [3878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7058),
  [3880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [3882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [3884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [3886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [3888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4217),
  [3890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6456),
  [3892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [3894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [3896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4211),
  [3898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3885),
  [3900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5518),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [3904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8136),
  [3906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5737),
  [3908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6990),
  [3910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [3912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [3914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [3916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [3918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5887),
  [3920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6348),
  [3922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6028),
  [3924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [3926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [3928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5789),
  [3930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3977),
  [3932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4520),
  [3934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4886),
  [3938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7083),
  [3940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [3942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [3944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [3946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [3948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4750),
  [3950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6484),
  [3952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [3954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4914),
  [3958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3921),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [3962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8075),
  [3964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6131),
  [3966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5686),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8093),
  [3972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6076),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6930),
  [3976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [3978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [3982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5984),
  [3986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6772),
  [3988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6238),
  [3990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [3992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [3994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [3996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6096),
  [3998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3992),
  [4000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [4002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8682),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [4006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8633),
  [4008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [4010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [4012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [4014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9169),
  [4016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [4018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [4020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [4022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [4024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [4026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [4028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [4030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [4032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [4034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [4036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [4038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [4040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(5518),
  [4043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(8463),
  [4046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1433),
  [4049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(8075),
  [4052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(8075),
  [4055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(5737),
  [4058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(6990),
  [4061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1383),
  [4064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1384),
  [4067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1389),
  [4070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(11553),
  [4073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1390),
  [4076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(5887),
  [4079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(6348),
  [4082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(12551),
  [4085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(6131),
  [4088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2420),
  [4091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2421),
  [4094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(89),
  [4097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(12335),
  [4100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(5789),
  [4103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(3977),
  [4106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [4108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [4110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [4112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [4114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [4116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [4118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [4120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [4122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [4124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [4126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [4128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [4130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [4132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [4134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [4136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [4138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [4140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [4142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [4144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [4146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [4148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [4150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [4152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [4154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [4156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [4160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [4162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [4164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [4166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [4168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [4170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [4172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [4174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [4176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [4178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [4180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [4184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8088),
  [4186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6307),
  [4188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5917),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8099),
  [4192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8099),
  [4194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6319),
  [4196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6932),
  [4198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [4200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [4202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [4206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6114),
  [4208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6414),
  [4210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6251),
  [4212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [4214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6352),
  [4218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4024),
  [4220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5962),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5775),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6202),
  [4226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [4228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [4230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [4232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [4236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6329),
  [4238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7109),
  [4240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [4242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [4244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10191),
  [4248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6917),
  [4250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5453),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5768),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6981),
  [4256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [4258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [4260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [4262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [4264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5779),
  [4266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6335),
  [4268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [4270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [4272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5918),
  [4274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3975),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10015),
  [4278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7059),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9727),
  [4282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [4284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [4286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [4288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [4290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [4292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [4294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [4298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [4300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6774),
  [4302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [4304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [4306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [4310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [4312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [4314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6479),
  [4316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [4318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [4320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [4322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [4324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [4326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [4328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [4330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [4332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6356),
  [4336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [4338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [4342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [4344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [4348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [4350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [4352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6482),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [4356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [4358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [4362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [4364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6450),
  [4366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [4368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [4370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [4374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [4376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [4380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [4382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6491),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [4386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [4388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [4390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [4392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [4394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [4396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [4398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [4400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [4402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [4404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [4406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6495),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [4410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [4412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [4414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [4416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [4418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [4422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6498),
  [4424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [4426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [4428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [4432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [4436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [4438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6501),
  [4440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [4442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [4446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [4448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [4450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6741),
  [4452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [4454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [4456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [4458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [4460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [4462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [4464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [4466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6502),
  [4468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [4470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [4472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [4474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [4476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [4478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6505),
  [4482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [4484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [4488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [4492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6363),
  [4494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6509),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [4510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [4512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [4518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6512),
  [4524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [4528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [4534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [4536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6514),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [4542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [4546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6550),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [4556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [4558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [4560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6379),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [4564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [4568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [4570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6517),
  [4574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [4576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [4578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [4582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6519),
  [4586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [4598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6526),
  [4600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [4602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6758),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [4618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [4622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6383),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [4630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [4636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [4638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [4640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [4642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [4644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6720),
  [4646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [4648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [4650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [4652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [4654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [4656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [4660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6390),
  [4662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [4664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [4668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [4672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [4674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [4676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [4678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [4684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6393),
  [4686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [4688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [4690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [4692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [4694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [4696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [4698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [4702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [4706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [4708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [4712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6473),
  [4714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [4716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [4718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [4720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [4722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [4724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [4726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6406),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [4730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [4732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [4734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [4738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [4740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [4742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [4744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [4746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6702),
  [4748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [4750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [4752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [4754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [4756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [4762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6415),
  [4764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [4766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [4768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [4770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [4772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [4774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6444),
  [4776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [4778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [4780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [4782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [4784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [4786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [4788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6601),
  [4790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [4792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [4794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [4796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [4798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [4800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6350),
  [4802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [4804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [4806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [4808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [4810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [4812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [4814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [4816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6439),
  [4818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [4820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [4822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [4824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [4826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [4828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [4830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [4832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [4834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6477),
  [4836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [4838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [4840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [4842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [4844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6672),
  [4846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [4848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [4850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [4852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [4854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6627),
  [4856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [4858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [4860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [4862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [4864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [4866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6431),
  [4868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [4870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [4872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [4874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [4876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [4878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [4880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [4882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [4884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6449),
  [4886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [4888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [4890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [4892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [4894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [4896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6435),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [4900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [4902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [4904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [4906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [4908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [4910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [4912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [4914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [4916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6442),
  [4918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5654),
  [4920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5787),
  [4922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7014),
  [4924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [4926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [4928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [4930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [4932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5876),
  [4934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6387),
  [4936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [4938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [4940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5838),
  [4942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3991),
  [4944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [4946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [4948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5394),
  [4950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5970),
  [4952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7051),
  [4954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [4956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [4958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [4960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [4962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5982),
  [4964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6443),
  [4966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [4968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [4970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5892),
  [4972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3980),
  [4974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [4976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4194),
  [4978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4263),
  [4980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7028),
  [4982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [4984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [4986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [4988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [4990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4412),
  [4992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6410),
  [4994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [4996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [4998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4281),
  [5000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3897),
  [5002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5879),
  [5004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [5006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6116),
  [5008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6955),
  [5010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [5012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [5014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [5016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [5018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6183),
  [5020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6590),
  [5022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [5024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [5026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6143),
  [5028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3998),
  [5030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5582),
  [5032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5852),
  [5034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7082),
  [5036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [5038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [5040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [5042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [5044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5863),
  [5046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6483),
  [5048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [5050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [5052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5978),
  [5054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [5056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5549),
  [5058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5921),
  [5060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [5062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5855),
  [5064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6053),
  [5066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6912),
  [5068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [5070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [5072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [5074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [5076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6099),
  [5078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6785),
  [5080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [5082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [5084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6069),
  [5086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4003),
  [5088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [5090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [5092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5127),
  [5094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5535),
  [5096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7069),
  [5098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [5100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [5102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [5104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [5106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5606),
  [5108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6467),
  [5110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [5112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [5114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5615),
  [5116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3963),
  [5118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4997),
  [5120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5635),
  [5122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7053),
  [5124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [5126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [5128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [5130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [5132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5526),
  [5134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6447),
  [5136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [5138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [5140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5415),
  [5142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3954),
  [5144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5924),
  [5146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6130),
  [5148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7094),
  [5150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [5152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [5154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [5156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [5158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6169),
  [5160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6494),
  [5162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [5164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [5166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6155),
  [5168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3994),
  [5170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4902),
  [5172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5265),
  [5174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7079),
  [5176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [5178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [5180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [5182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [5184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4951),
  [5186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6476),
  [5188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [5190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [5192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5339),
  [5194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3945),
  [5196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [5198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5443),
  [5200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5860),
  [5202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7047),
  [5204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [5206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [5208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [5210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [5212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5963),
  [5214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6437),
  [5216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [5218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [5220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5992),
  [5222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3989),
  [5224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [5226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4096),
  [5228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [5230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7055),
  [5232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [5234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [5236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [5238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [5240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4215),
  [5242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6452),
  [5244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [5246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [5248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4198),
  [5250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3888),
  [5252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [5254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [5256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5192),
  [5258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5496),
  [5260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6992),
  [5262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [5264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [5266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [5268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [5270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5545),
  [5272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6355),
  [5274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [5276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [5278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5521),
  [5280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3967),
  [5282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5051),
  [5284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5427),
  [5286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7093),
  [5288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [5290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [5292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [5294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [5296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5708),
  [5298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6493),
  [5300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [5302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [5304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5516),
  [5306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3952),
  [5308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5990),
  [5310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6158),
  [5312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6965),
  [5314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [5316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [5318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [5320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [5322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6222),
  [5324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6782),
  [5326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [5328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [5330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6186),
  [5332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3997),
  [5334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [5336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [5338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [5340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5573),
  [5342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5786),
  [5344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7063),
  [5346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [5348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [5350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [5352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [5354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5763),
  [5356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6460),
  [5358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [5360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [5362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5889),
  [5364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3981),
  [5366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5814),
  [5368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6171),
  [5370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7104),
  [5372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [5374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [5376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [5378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [5380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6199),
  [5382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6523),
  [5384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [5386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [5388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6184),
  [5390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3996),
  [5392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4513),
  [5394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4691),
  [5396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6947),
  [5398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [5400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [5402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [5404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [5406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4857),
  [5408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6783),
  [5410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [5412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [5414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4731),
  [5416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3924),
  [5418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5669),
  [5420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5740),
  [5422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7042),
  [5424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [5426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [5428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [5430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [5432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5969),
  [5434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6429),
  [5436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [5438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [5440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5821),
  [5442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3986),
  [5444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5077),
  [5446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5574),
  [5448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7030),
  [5450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [5452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [5454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [5456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [5458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5689),
  [5460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6416),
  [5462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [5464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [5466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5538),
  [5468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3962),
  [5470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5699),
  [5472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5888),
  [5474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6885),
  [5476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [5478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [5480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [5482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [5484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5780),
  [5486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6695),
  [5488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [5490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [5492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5785),
  [5494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3976),
  [5496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [5498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [5500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4660),
  [5502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5028),
  [5504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7107),
  [5506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [5508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [5510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [5512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [5514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5164),
  [5516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6528),
  [5518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [5520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [5522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5119),
  [5524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [5526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5158),
  [5528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5638),
  [5530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7080),
  [5532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [5534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [5536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [5538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [5540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5491),
  [5542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6478),
  [5544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [5546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [5548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5718),
  [5550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3955),
  [5552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4794),
  [5554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5179),
  [5556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6994),
  [5558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [5560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [5562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [5564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [5566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5247),
  [5568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6361),
  [5570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [5572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [5574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5195),
  [5576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3936),
  [5578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [5580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4740),
  [5582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5313),
  [5584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7019),
  [5586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [5588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [5590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [5592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [5594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5252),
  [5596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6392),
  [5598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [5600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2479),
  [5602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4996),
  [5604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3940),
  [5606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5577),
  [5608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5891),
  [5610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7039),
  [5612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [5614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [5616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [5618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5874),
  [5622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6426),
  [5624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [5626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [5628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5928),
  [5630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3978),
  [5632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [5634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [5636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [5638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5397),
  [5640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5941),
  [5642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7105),
  [5644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [5646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [5648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [5650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [5652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5758),
  [5654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6524),
  [5656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [5658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [5660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5955),
  [5662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3984),
  [5664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5473),
  [5666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5926),
  [5668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7046),
  [5670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [5672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [5674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [5676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [5678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5883),
  [5680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6433),
  [5682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [5684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [5686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5853),
  [5688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3988),
  [5690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5781),
  [5692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6101),
  [5694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7065),
  [5696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [5698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [5700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [5702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [5704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6115),
  [5706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6463),
  [5708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [5710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [5712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6112),
  [5714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4005),
  [5716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5412),
  [5718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5910),
  [5720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7106),
  [5722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [5724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [5726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [5728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [5730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5765),
  [5732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6525),
  [5734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [5736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [5738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5822),
  [5740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3983),
  [5742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4565),
  [5744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4732),
  [5746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7021),
  [5748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [5750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [5752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [5754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [5756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4807),
  [5758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6396),
  [5760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [5762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [5764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4735),
  [5766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3919),
  [5768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [5770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4524),
  [5772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6978),
  [5774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [5776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [5778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [5780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [5782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4574),
  [5784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6326),
  [5786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [5788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [5790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4553),
  [5792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3908),
  [5794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5767),
  [5796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6017),
  [5798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6894),
  [5800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [5802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [5804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [5806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [5808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6065),
  [5810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6715),
  [5812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [5814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [5816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6030),
  [5818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4001),
  [5820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5983),
  [5822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6037),
  [5824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6905),
  [5826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [5828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [5830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [5832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [5834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6090),
  [5836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6753),
  [5838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [5840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [5842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6054),
  [5844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4006),
  [5846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4674),
  [5848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5345),
  [5850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7095),
  [5852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [5854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [5856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [5858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [5860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4993),
  [5862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6496),
  [5864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [5866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [5868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5082),
  [5870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3935),
  [5872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5762),
  [5874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6187),
  [5876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6900),
  [5878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [5880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [5882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [5884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [5886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6214),
  [5888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6737),
  [5890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [5892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [5894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6200),
  [5896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4007),
  [5898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5886),
  [5900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6237),
  [5902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6997),
  [5904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [5906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [5908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [5910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [5912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6309),
  [5914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6366),
  [5916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [5918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [5920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6253),
  [5922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4000),
  [5924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4558),
  [5926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4673),
  [5928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7096),
  [5930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [5932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [5934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [5936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [5938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4813),
  [5940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6500),
  [5942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [5944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [5946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4664),
  [5948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3916),
  [5950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [5952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [5954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4308),
  [5956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4526),
  [5958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7097),
  [5960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [5962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [5964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [5966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [5968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4521),
  [5970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6504),
  [5972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [5974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [5976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4448),
  [5978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3910),
  [5980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [5982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5528),
  [5984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5894),
  [5986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7050),
  [5988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [5990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [5992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [5994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [5996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5776),
  [5998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6441),
  [6000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [6002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [6004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5927),
  [6006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3979),
  [6008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5706),
  [6010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5840),
  [6012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7098),
  [6014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [6016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [6018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [6020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [6022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5851),
  [6024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6506),
  [6026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [6028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [6030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5966),
  [6032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3990),
  [6034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [6036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [6038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5000),
  [6040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5694),
  [6042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7100),
  [6044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [6046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [6048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [6050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [6052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5398),
  [6054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6510),
  [6056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [6058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [6060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5532),
  [6062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3958),
  [6064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5341),
  [6066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5668),
  [6068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7081),
  [6070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [6072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [6074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [6076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [6078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5726),
  [6080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6481),
  [6082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [6084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [6086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5709),
  [6088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3968),
  [6090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5330),
  [6092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5413),
  [6094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7036),
  [6096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [6098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [6100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [6102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [6104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5381),
  [6106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6424),
  [6108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [6110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [6112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5685),
  [6114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3974),
  [6116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4612),
  [6118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4743),
  [6120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7101),
  [6122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [6124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [6126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [6128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [6130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4656),
  [6132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6513),
  [6134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [6136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [6138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4780),
  [6140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3927),
  [6142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [6144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4259),
  [6146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4622),
  [6148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7102),
  [6150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [6152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [6154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [6156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [6158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4431),
  [6160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6516),
  [6162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [6164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [6166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4585),
  [6168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3904),
  [6170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5945),
  [6172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6203),
  [6174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7068),
  [6176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [6178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [6180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [6182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [6184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6218),
  [6186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6465),
  [6188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [6190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [6192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6216),
  [6194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3993),
  [6196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4162),
  [6198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4376),
  [6200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7103),
  [6202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [6204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [6206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [6208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [6210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4264),
  [6212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6521),
  [6214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [6216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [6218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4256),
  [6220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3901),
  [6222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [6224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SetN, 1, 0, 0),
  [6226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SetN, 1, 0, 0),
  [6228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6230),
  [6230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6668),
  [6232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6227),
  [6234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6721),
  [6236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5856),
  [6239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0),
  [6241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0),
  [6243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6142),
  [6246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6961),
  [6249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1224),
  [6252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1226),
  [6255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1227),
  [6258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1228),
  [6261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6220),
  [6264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6727),
  [6267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2278),
  [6270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2279),
  [6273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6170),
  [6276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4004),
  [6279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qid, 1, 0, 1),
  [6281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qid, 1, 0, 1),
  [6283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6555),
  [6285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6011),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [6289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6518),
  [6291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expr2_without_let, 2, 0, 0),
  [6293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7016),
  [6295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [6299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [6301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [6303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6547),
  [6305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6388),
  [6307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [6311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [6313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6709),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [6317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4034),
  [6319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr2_without_let, 2, 0, 0),
  [6321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6043),
  [6324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6556),
  [6327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7029),
  [6330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(767),
  [6333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(768),
  [6336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(769),
  [6339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(770),
  [6342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6733),
  [6345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6412),
  [6348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2498),
  [6351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2499),
  [6354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6604),
  [6357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4015),
  [6360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5856),
  [6362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6142),
  [6364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6961),
  [6366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [6368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [6370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [6372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [6374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6220),
  [6376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6727),
  [6378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [6380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [6382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6170),
  [6384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4004),
  [6386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6011),
  [6389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6518),
  [6392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6518),
  [6395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7016),
  [6398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(707),
  [6401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(708),
  [6404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(709),
  [6407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(710),
  [6410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6547),
  [6413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6388),
  [6416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2472),
  [6419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2473),
  [6422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6709),
  [6425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6709),
  [6428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4034),
  [6431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [6433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [6435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atom_curly, 2, 0, 0),
  [6437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atom_curly, 2, 0, 0),
  [6439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6559),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [6443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6820),
  [6445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7091),
  [6447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [6451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [6453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [6455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6819),
  [6457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6490),
  [6459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [6463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [6465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6807),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [6469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4079),
  [6471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6704),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [6475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6847),
  [6477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6986),
  [6479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [6481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [6483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [6485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [6487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6846),
  [6489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6345),
  [6491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3416),
  [6493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [6495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [6497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6812),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6812),
  [6501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [6503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atom_no_curly, 2, 0, 0),
  [6505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atom_no_curly, 2, 0, 0),
  [6507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6687),
  [6509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6043),
  [6511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6556),
  [6513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7029),
  [6515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [6517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [6519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [6521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [6523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6733),
  [6525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6412),
  [6527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [6529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [6531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6604),
  [6533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4015),
  [6535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__atoms, 1, 0, 0),
  [6537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__atoms, 1, 0, 0),
  [6539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expr2_without_let, 1, 0, 0),
  [6541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr2_without_let, 1, 0, 0),
  [6543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_assignments, 3, 0, 0),
  [6545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_assignments, 3, 0, 0),
  [6547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6734),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [6551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6853),
  [6553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6922),
  [6555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [6559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [6561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [6563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6818),
  [6565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6540),
  [6567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3581),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [6571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [6573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6844),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [6577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4094),
  [6579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6559),
  [6582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6820),
  [6585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6820),
  [6588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7091),
  [6591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(995),
  [6594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(996),
  [6597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(997),
  [6600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(998),
  [6603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6819),
  [6606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6490),
  [6609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2616),
  [6612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2617),
  [6615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6807),
  [6618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6807),
  [6621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4079),
  [6624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atom_no_curly, 3, 0, 0),
  [6626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atom_no_curly, 3, 0, 0),
  [6628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6704),
  [6631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6847),
  [6634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6847),
  [6637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6986),
  [6640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1370),
  [6643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1371),
  [6646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1372),
  [6649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1377),
  [6652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6846),
  [6655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6345),
  [6658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2412),
  [6661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2413),
  [6664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6812),
  [6667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6812),
  [6670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4117),
  [6673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atom_curly, 3, 0, 0),
  [6675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atom_curly, 3, 0, 0),
  [6677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_assignments, 4, 0, 0),
  [6679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_assignments, 4, 0, 0),
  [6681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_assignments, 4, 0, 0),
  [6683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_assignments, 4, 0, 0),
  [6685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6538),
  [6687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_assignments, 5, 0, 0),
  [6689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_assignments, 5, 0, 0),
  [6691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_SetN, 2, 0, 0),
  [6693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SetN, 2, 0, 0),
  [6695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6734),
  [6698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6853),
  [6701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6853),
  [6704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6922),
  [6707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1373),
  [6710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1374),
  [6713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1375),
  [6716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1364),
  [6719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6818),
  [6722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6540),
  [6725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2089),
  [6728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2090),
  [6731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6844),
  [6734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6844),
  [6737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4094),
  [6740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6613),
  [6742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expr_or_attr, 3, 0, 0),
  [6744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr_or_attr, 3, 0, 0),
  [6746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__with_exprs_repeat1, 2, 0, 0), SHIFT_REPEAT(7819),
  [6749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__with_exprs_repeat1, 2, 0, 0),
  [6751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__with_exprs_repeat1, 2, 0, 0),
  [6753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__with_exprs_repeat1, 2, 0, 0), SHIFT_REPEAT(7829),
  [6756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__with_exprs_repeat1, 2, 0, 0), SHIFT_REPEAT(6949),
  [6759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__with_exprs_repeat1, 2, 0, 0), SHIFT_REPEAT(1264),
  [6762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__with_exprs_repeat1, 2, 0, 0), SHIFT_REPEAT(1107),
  [6765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__with_exprs_repeat1, 2, 0, 0), SHIFT_REPEAT(1111),
  [6768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__with_exprs_repeat1, 2, 0, 0), SHIFT_REPEAT(1233),
  [6771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__with_exprs_repeat1, 2, 0, 0), SHIFT_REPEAT(7828),
  [6774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__with_exprs_repeat1, 2, 0, 0), SHIFT_REPEAT(6413),
  [6777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__with_exprs_repeat1, 2, 0, 0), SHIFT_REPEAT(2198),
  [6780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__with_exprs_repeat1, 2, 0, 0), SHIFT_REPEAT(2199),
  [6783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__with_exprs_repeat1, 2, 0, 0), SHIFT_REPEAT(7831),
  [6786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__with_exprs_repeat1, 2, 0, 0), SHIFT_REPEAT(6127),
  [6789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atom_no_curly, 1, 0, 0),
  [6791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atom_no_curly, 1, 0, 0),
  [6793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6722),
  [6795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_atom, 1, 0, 0),
  [6797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_atom, 1, 0, 0),
  [6799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6432),
  [6802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6808),
  [6805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6948),
  [6808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1211),
  [6811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1212),
  [6814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1214),
  [6817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1162),
  [6820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6851),
  [6823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6357),
  [6826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2188),
  [6829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2189),
  [6832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6811),
  [6835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4040),
  [6838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6432),
  [6840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6808),
  [6842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6948),
  [6844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [6846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [6848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [6850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [6852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6851),
  [6854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6357),
  [6856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [6858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [6860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6811),
  [6862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4040),
  [6864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6609),
  [6866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6810),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [6870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6899),
  [6872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7075),
  [6874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [6878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [6880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [6882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6860),
  [6884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6471),
  [6886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3660),
  [6888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [6890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [6892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6953),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [6896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4148),
  [6898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6800),
  [6900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [6902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6874),
  [6904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7088),
  [6906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [6908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [6910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [6912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [6914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6973),
  [6916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6489),
  [6918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3695),
  [6920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [6922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [6924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6907),
  [6926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6907),
  [6928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [6930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6600),
  [6932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6671),
  [6934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6817),
  [6937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7110),
  [6940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7110),
  [6943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7022),
  [6946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(735),
  [6949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(736),
  [6952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(737),
  [6955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(738),
  [6958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7111),
  [6961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6397),
  [6964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2484),
  [6967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2485),
  [6970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6898),
  [6973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6898),
  [6976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4195),
  [6979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6817),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [6983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7110),
  [6985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7022),
  [6987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [6989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [6991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [6993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [6995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7111),
  [6997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6397),
  [6999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3652),
  [7001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [7003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [7005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6898),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [7009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4195),
  [7011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6855),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [7015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6901),
  [7017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7108),
  [7019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [7023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [7025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [7027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6979),
  [7029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6621),
  [7031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3621),
  [7033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [7035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [7037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6937),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [7041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [7043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6800),
  [7046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6874),
  [7049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6874),
  [7052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7088),
  [7055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(991),
  [7058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(992),
  [7061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(993),
  [7064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(994),
  [7067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6973),
  [7070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6489),
  [7073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2610),
  [7076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2611),
  [7079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6907),
  [7082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6907),
  [7085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4160),
  [7088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6436),
  [7090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7154),
  [7092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [7094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7186),
  [7096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6972),
  [7098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9156),
  [7100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10374),
  [7102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [7104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10398),
  [7106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [7108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [7110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [7112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7229),
  [7114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6318),
  [7116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open, 2, 0, 0),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [7120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [7122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7222),
  [7124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [7126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4545),
  [7128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open, 2, 0, 0),
  [7130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6855),
  [7133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6901),
  [7136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6901),
  [7139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7108),
  [7142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1131),
  [7145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1132),
  [7148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1133),
  [7151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1118),
  [7154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6979),
  [7157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6621),
  [7160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1879),
  [7163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1880),
  [7166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6937),
  [7169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6937),
  [7172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4156),
  [7175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7148),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [7179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7280),
  [7181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6952),
  [7183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9045),
  [7185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10907),
  [7187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [7189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10908),
  [7191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_assignment, 1, 0, 0),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [7195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [7197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [7199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_assignment, 1, 0, 0),
  [7201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7282),
  [7203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6539),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [7207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [7209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7281),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [7213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4452),
  [7215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6534),
  [7217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6440),
  [7219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_assignment, 2, 0, 0),
  [7221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_assignment, 2, 0, 0),
  [7223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6810),
  [7226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6899),
  [7229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6899),
  [7232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7075),
  [7235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(939),
  [7238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(940),
  [7241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(941),
  [7244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(942),
  [7247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6860),
  [7250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6471),
  [7253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2584),
  [7256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2585),
  [7259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6953),
  [7262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6953),
  [7265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4148),
  [7268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open, 3, 0, 0),
  [7270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open, 3, 0, 0),
  [7272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6457),
  [7274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6836),
  [7277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6868),
  [7280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7025),
  [7283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(747),
  [7286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(748),
  [7289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(749),
  [7292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(750),
  [7295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6835),
  [7298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6401),
  [7301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2490),
  [7304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2491),
  [7307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6829),
  [7310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4233),
  [7313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6789),
  [7315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6588),
  [7317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7220),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7307),
  [7321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7307),
  [7323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6998),
  [7325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [7329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [7331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [7333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7377),
  [7335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6367),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [7339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [7341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7433),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [7345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4814),
  [7347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6743),
  [7349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6652),
  [7351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6984),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [7355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7129),
  [7357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6995),
  [7359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [7363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [7365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [7367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7157),
  [7369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6362),
  [7371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [7375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [7377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7116),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [7381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4403),
  [7383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6879),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [7387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7150),
  [7389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7020),
  [7391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [7395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [7397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [7399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7170),
  [7401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6394),
  [7403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3602),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [7407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7120),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [7413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4284),
  [7415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6984),
  [7418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7129),
  [7421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7129),
  [7424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6995),
  [7427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(635),
  [7430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(636),
  [7433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(637),
  [7436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(638),
  [7439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7157),
  [7442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6362),
  [7445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2430),
  [7448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2431),
  [7451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7116),
  [7454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7116),
  [7457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4403),
  [7460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7218),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [7464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7303),
  [7466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6861),
  [7468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [7472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [7474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [7476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7333),
  [7478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6683),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [7482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [7484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7384),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [7488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4850),
  [7490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6735),
  [7492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6451),
  [7494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6879),
  [7497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7150),
  [7500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7150),
  [7503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7020),
  [7506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(723),
  [7509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(724),
  [7512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(725),
  [7515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(726),
  [7518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7170),
  [7521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6394),
  [7524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2480),
  [7527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2481),
  [7530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7120),
  [7533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7120),
  [7536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4284),
  [7539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6942),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [7543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7141),
  [7545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7072),
  [7547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [7551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [7553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [7555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7158),
  [7557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6470),
  [7559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3644),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [7563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [7565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7117),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7117),
  [7569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4260),
  [7571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6906),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [7575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7145),
  [7577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7086),
  [7579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [7583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [7585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [7587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7146),
  [7589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6487),
  [7591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3685),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [7595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [7597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7126),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [7601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4309),
  [7603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6942),
  [7606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7141),
  [7609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7141),
  [7612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7072),
  [7615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(935),
  [7618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(936),
  [7621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(937),
  [7624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(938),
  [7627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7158),
  [7630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6470),
  [7633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2578),
  [7636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2579),
  [7639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7117),
  [7642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7117),
  [7645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4260),
  [7648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6836),
  [7650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6868),
  [7652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7025),
  [7654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [7656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [7658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [7660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [7662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6835),
  [7664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6401),
  [7666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [7668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [7670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6829),
  [7672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4233),
  [7674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6906),
  [7677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7145),
  [7680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7145),
  [7683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7086),
  [7686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(987),
  [7689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(988),
  [7692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(989),
  [7695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(990),
  [7698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7146),
  [7701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6487),
  [7704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2606),
  [7707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2607),
  [7710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7126),
  [7713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7126),
  [7716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4309),
  [7719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6694),
  [7721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6530),
  [7723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6532),
  [7725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6651),
  [7727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7148),
  [7730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7280),
  [7733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7280),
  [7736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6952),
  [7739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1150),
  [7742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1151),
  [7745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1152),
  [7748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1154),
  [7751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7282),
  [7754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6539),
  [7757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2218),
  [7760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2219),
  [7763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7281),
  [7766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7281),
  [7769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4452),
  [7772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7167),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [7776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7234),
  [7778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6993),
  [7780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [7784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [7786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [7788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7247),
  [7790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6358),
  [7792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [7796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [7798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7284),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7284),
  [7802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4579),
  [7804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7154),
  [7807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7186),
  [7810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7186),
  [7813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6972),
  [7816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1308),
  [7819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1310),
  [7822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1311),
  [7825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1312),
  [7828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7229),
  [7831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6318),
  [7834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2358),
  [7837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2359),
  [7840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7222),
  [7843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7222),
  [7846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4545),
  [7849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7125),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [7853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7199),
  [7855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7018),
  [7857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [7861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [7863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [7865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7265),
  [7867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6391),
  [7869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [7873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [7875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7288),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [7879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4522),
  [7881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7167),
  [7884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7234),
  [7887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7234),
  [7890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6993),
  [7893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(623),
  [7896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(624),
  [7899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(625),
  [7902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(626),
  [7905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7247),
  [7908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6358),
  [7911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2426),
  [7914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2427),
  [7917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7284),
  [7920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7284),
  [7923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4579),
  [7926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6337),
  [7928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 1, 0, 0),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [7932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [7934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 1, 0, 0),
  [7936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6714),
  [7938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 2, 0, 0),
  [7940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 2, 0, 0),
  [7942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6488),
  [7944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6633),
  [7946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6446),
  [7948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7125),
  [7951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7199),
  [7954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7199),
  [7957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7018),
  [7960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(711),
  [7963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(712),
  [7966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(713),
  [7969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(714),
  [7972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7265),
  [7975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6391),
  [7978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2476),
  [7981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2477),
  [7984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7288),
  [7987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7288),
  [7990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4522),
  [7993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7176),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [7997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7216),
  [7999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7070),
  [8001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [8005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [8007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [8009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7238),
  [8011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6468),
  [8013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3623),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [8017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [8019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7195),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [8023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4623),
  [8025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7164),
  [8028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7200),
  [8031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7200),
  [8034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7037),
  [8037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(803),
  [8040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(804),
  [8043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(805),
  [8046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(806),
  [8049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7279),
  [8052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6425),
  [8055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2514),
  [8058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2515),
  [8061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7223),
  [8064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7223),
  [8067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4523),
  [8070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7162),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [8074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7185),
  [8076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7099),
  [8078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [8082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [8084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [8086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7178),
  [8088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6507),
  [8090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3544),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [8094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [8096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7241),
  [8098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [8100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4438),
  [8102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7176),
  [8105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7216),
  [8108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7216),
  [8111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7070),
  [8114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(931),
  [8117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(932),
  [8120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(933),
  [8123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(934),
  [8126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7238),
  [8129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6468),
  [8132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2574),
  [8135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2575),
  [8138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7195),
  [8141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7195),
  [8144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4623),
  [8147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6691),
  [8149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6696),
  [8151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6522),
  [8153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7162),
  [8156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7185),
  [8159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7185),
  [8162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7099),
  [8165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1047),
  [8168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1048),
  [8171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1049),
  [8174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1050),
  [8177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7178),
  [8180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6507),
  [8183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2632),
  [8186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2633),
  [8189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7241),
  [8192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7241),
  [8195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4438),
  [8198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6645),
  [8200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6781),
  [8202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6469),
  [8204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7164),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [8208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7200),
  [8210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7037),
  [8212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [8216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [8218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [8220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7279),
  [8222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6425),
  [8224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3598),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [8228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [8230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7223),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [8234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4523),
  [8236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7268),
  [8239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7361),
  [8242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7361),
  [8245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7002),
  [8248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(667),
  [8251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(668),
  [8254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(669),
  [8257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(670),
  [8260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7310),
  [8263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6374),
  [8266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2444),
  [8269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2445),
  [8272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7364),
  [8275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7364),
  [8278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4833),
  [8281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7277),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7311),
  [8285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7311),
  [8287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6991),
  [8289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [8293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [8295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [8297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7308),
  [8299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6353),
  [8301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [8305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [8307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7378),
  [8309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [8311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4795),
  [8313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7276),
  [8316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7417),
  [8319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7417),
  [8322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6954),
  [8325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1179),
  [8328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1180),
  [8331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1190),
  [8334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1191),
  [8337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7428),
  [8340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6560),
  [8343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2228),
  [8346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2229),
  [8349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7334),
  [8352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7334),
  [8355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4633),
  [8358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7287),
  [8361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7363),
  [8364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7363),
  [8367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7040),
  [8370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(811),
  [8373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(812),
  [8376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(813),
  [8379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(814),
  [8382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7335),
  [8385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6427),
  [8388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2520),
  [8391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2521),
  [8394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7291),
  [8397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7291),
  [8400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4859),
  [8403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7259),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [8407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7441),
  [8409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7084),
  [8411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [8415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [8417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [8419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7297),
  [8421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6486),
  [8423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [8425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [8427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [8429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7420),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [8433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4680),
  [8435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6377),
  [8437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7211),
  [8440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7298),
  [8443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7298),
  [8446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7052),
  [8449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(859),
  [8452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(860),
  [8455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(861),
  [8458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(862),
  [8461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7353),
  [8464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6445),
  [8467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2542),
  [8470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2543),
  [8473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7430),
  [8476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7430),
  [8479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4855),
  [8482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7283),
  [8485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7399),
  [8488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7399),
  [8491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7060),
  [8494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(899),
  [8497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(900),
  [8500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(901),
  [8503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(902),
  [8506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7404),
  [8509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6458),
  [8512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2556),
  [8515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2557),
  [8518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7376),
  [8521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7376),
  [8524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4748),
  [8527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7287),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7363),
  [8531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7363),
  [8533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7040),
  [8535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [8539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [8541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [8543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7335),
  [8545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6427),
  [8547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [8551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [8553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7291),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [8557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4859),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [8561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [8563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6360),
  [8565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7205),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7375),
  [8569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7375),
  [8571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7043),
  [8573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [8577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [8579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [8581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7300),
  [8583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6430),
  [8585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3682),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [8589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [8591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7386),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7386),
  [8595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4715),
  [8597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6579),
  [8599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6499),
  [8601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7259),
  [8604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7441),
  [8607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7441),
  [8610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7084),
  [8613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(983),
  [8616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(984),
  [8619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(985),
  [8622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(986),
  [8625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7297),
  [8628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6486),
  [8631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2602),
  [8634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2603),
  [8637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7420),
  [8640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7420),
  [8643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4680),
  [8646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6576),
  [8648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7218),
  [8651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7303),
  [8654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7303),
  [8657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6861),
  [8660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1169),
  [8663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1170),
  [8666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1171),
  [8669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1160),
  [8672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7333),
  [8675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6683),
  [8678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1929),
  [8681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1930),
  [8684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7384),
  [8687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7384),
  [8690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4850),
  [8693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7211),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [8697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7298),
  [8699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7052),
  [8701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [8705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [8707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [8709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7353),
  [8711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6445),
  [8713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [8717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [8719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7430),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7430),
  [8723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4855),
  [8725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6624),
  [8727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7235),
  [8730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7365),
  [8733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7365),
  [8736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6988),
  [8739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1378),
  [8742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1379),
  [8745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1380),
  [8748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1382),
  [8751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7305),
  [8754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6347),
  [8757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2416),
  [8760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2417),
  [8763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7331),
  [8766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7331),
  [8769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4791),
  [8772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6606),
  [8774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7277),
  [8777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7311),
  [8780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7311),
  [8783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6991),
  [8786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1391),
  [8789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1392),
  [8792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1394),
  [8795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1054),
  [8798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7308),
  [8801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6353),
  [8804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2422),
  [8807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2423),
  [8810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7378),
  [8813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7378),
  [8816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4795),
  [8819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7283),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [8823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7399),
  [8825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7060),
  [8827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [8831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [8833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [8835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7404),
  [8837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6458),
  [8839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3504),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [8843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [8845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7376),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [8849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4748),
  [8851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7205),
  [8854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7375),
  [8857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7375),
  [8860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7043),
  [8863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(819),
  [8866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(820),
  [8869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(821),
  [8872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(822),
  [8875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7300),
  [8878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6430),
  [8881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2526),
  [8884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2527),
  [8887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7386),
  [8890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7386),
  [8893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4715),
  [8896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7220),
  [8899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7307),
  [8902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7307),
  [8905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6998),
  [8908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(651),
  [8911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(652),
  [8914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(653),
  [8917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(654),
  [8920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7377),
  [8923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6367),
  [8926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2436),
  [8929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2437),
  [8932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7433),
  [8935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7433),
  [8938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4814),
  [8941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6730),
  [8943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6331),
  [8945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6349),
  [8947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3479),
  [8949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6778),
  [8951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6475),
  [8953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6650),
  [8955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7405),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [8959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7665),
  [8961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7077),
  [8963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [8967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [8969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [8971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7491),
  [8973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6472),
  [8975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3664),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [8979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [8981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7479),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [8985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5285),
  [8987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6611),
  [8989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7276),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [8993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7417),
  [8995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6954),
  [8997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [9001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [9003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [9005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7428),
  [9007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6560),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [9011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [9013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7334),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [9017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4633),
  [9019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7314),
  [9022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7503),
  [9025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7503),
  [9028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7048),
  [9031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(839),
  [9034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(840),
  [9037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(841),
  [9040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(842),
  [9043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7576),
  [9046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6438),
  [9049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2534),
  [9052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2535),
  [9055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7519),
  [9058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7519),
  [9061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5031),
  [9064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7235),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7365),
  [9068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7365),
  [9070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6988),
  [9072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [9076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [9078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [9080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7305),
  [9082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6347),
  [9084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [9088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [9090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7331),
  [9092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [9094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [9096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7456),
  [9099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7474),
  [9102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7474),
  [9105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6882),
  [9108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1181),
  [9111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1182),
  [9114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1183),
  [9117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1172),
  [9120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7585),
  [9123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6688),
  [9126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1969),
  [9129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1970),
  [9132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7571),
  [9135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7571),
  [9138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5088),
  [9141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7317),
  [9144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7493),
  [9147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7493),
  [9150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6957),
  [9153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1119),
  [9156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1120),
  [9159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1121),
  [9162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1122),
  [9165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7536),
  [9168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6612),
  [9171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2248),
  [9174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2249),
  [9177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7517),
  [9180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7517),
  [9183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5086),
  [9186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6766),
  [9188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6666),
  [9190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6626),
  [9192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7436),
  [9195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7592),
  [9198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7592),
  [9201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7064),
  [9204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(911),
  [9207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(912),
  [9210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(913),
  [9213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(914),
  [9216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7661),
  [9219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6461),
  [9222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2564),
  [9225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2565),
  [9228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7616),
  [9231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7616),
  [9234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5311),
  [9237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7437),
  [9240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7604),
  [9243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7604),
  [9246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7066),
  [9249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(919),
  [9252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(920),
  [9255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(921),
  [9258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(922),
  [9261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7475),
  [9264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6464),
  [9267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2568),
  [9270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2569),
  [9273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7621),
  [9276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7621),
  [9279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5340),
  [9282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7427),
  [9284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [9286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7523),
  [9288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6959),
  [9290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [9292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [9294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [9296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [9298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7554),
  [9300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6657),
  [9302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3528),
  [9304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [9306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [9308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7537),
  [9310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [9312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5091),
  [9314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7317),
  [9316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [9318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7493),
  [9320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6957),
  [9322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [9324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [9326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [9328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [9330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7536),
  [9332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6612),
  [9334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [9336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [9338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [9340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7517),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7517),
  [9344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5086),
  [9346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6599),
  [9348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7419),
  [9351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7622),
  [9354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7622),
  [9357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7004),
  [9360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(671),
  [9363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(672),
  [9366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(673),
  [9369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(674),
  [9372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7481),
  [9375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6375),
  [9378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2448),
  [9381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2449),
  [9384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7651),
  [9387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7651),
  [9390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5293),
  [9393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6619),
  [9395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7312),
  [9397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [9399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7539),
  [9401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7006),
  [9403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [9405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [9407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [9409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [9411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7556),
  [9413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6376),
  [9415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3537),
  [9417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [9419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [9421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7551),
  [9423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [9425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5310),
  [9427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6684),
  [9429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7268),
  [9431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7361),
  [9433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7361),
  [9435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7002),
  [9437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [9441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [9443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [9445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7310),
  [9447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6374),
  [9449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3681),
  [9451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [9453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2445),
  [9455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7364),
  [9457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7364),
  [9459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4833),
  [9461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7423),
  [9464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7558),
  [9467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7558),
  [9470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6980),
  [9473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1330),
  [9476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1331),
  [9479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1332),
  [9482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1334),
  [9485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7589),
  [9488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6334),
  [9491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2402),
  [9494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2403),
  [9497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7582),
  [9500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7582),
  [9503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5167),
  [9506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7405),
  [9509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7665),
  [9512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7665),
  [9515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7077),
  [9518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(943),
  [9521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(944),
  [9524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(945),
  [9527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(946),
  [9530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7491),
  [9533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6472),
  [9536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2588),
  [9539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2589),
  [9542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7479),
  [9545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7479),
  [9548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5285),
  [9551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7419),
  [9553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7622),
  [9555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7622),
  [9557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7004),
  [9559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [9563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [9565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [9567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7481),
  [9569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6375),
  [9571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3486),
  [9573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [9575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [9577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7651),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [9581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5293),
  [9583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7452),
  [9586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7569),
  [9589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7569),
  [9592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6982),
  [9595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1348),
  [9598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1353),
  [9601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1354),
  [9604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1355),
  [9607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7590),
  [9610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6338),
  [9613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2406),
  [9616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2407),
  [9619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7587),
  [9622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7587),
  [9625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5175),
  [9628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7314),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [9632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7503),
  [9634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7048),
  [9636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [9640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [9642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [9644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7576),
  [9646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6438),
  [9648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [9652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [9654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7519),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [9658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5031),
  [9660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7440),
  [9663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7639),
  [9666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7639),
  [9669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7008),
  [9672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(687),
  [9675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(688),
  [9678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(689),
  [9681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(690),
  [9684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7555),
  [9687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6380),
  [9690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2456),
  [9693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2457),
  [9696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7575),
  [9699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7575),
  [9702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5314),
  [9705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7440),
  [9707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [9709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7639),
  [9711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7008),
  [9713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [9715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [9717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [9719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [9721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7555),
  [9723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6380),
  [9725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [9729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2457),
  [9731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7575),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [9735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5314),
  [9737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7318),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [9741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7653),
  [9743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7010),
  [9745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [9749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [9751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [9753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7636),
  [9755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6381),
  [9757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3405),
  [9759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [9761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [9763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7516),
  [9765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [9767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5001),
  [9769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7445),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7534),
  [9773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7534),
  [9775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7013),
  [9777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [9779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [9781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [9783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [9785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7489),
  [9787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6386),
  [9789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [9791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [9793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [9795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7492),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [9799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4921),
  [9801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6354),
  [9803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7318),
  [9806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7653),
  [9809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7653),
  [9812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7010),
  [9815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(691),
  [9818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(692),
  [9821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(693),
  [9824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(694),
  [9827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7636),
  [9830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6381),
  [9833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2460),
  [9836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2461),
  [9839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7516),
  [9842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7516),
  [9845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5001),
  [9848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3683),
  [9850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6589),
  [9852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6434),
  [9854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6649),
  [9856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7445),
  [9859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7534),
  [9862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7534),
  [9865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7013),
  [9868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(695),
  [9871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(696),
  [9874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(697),
  [9877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(698),
  [9880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7489),
  [9883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6386),
  [9886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2466),
  [9889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2467),
  [9892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7492),
  [9895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7492),
  [9898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(4921),
  [9901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6760),
  [9903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7427),
  [9906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7523),
  [9909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7523),
  [9912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6959),
  [9915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1163),
  [9918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1164),
  [9921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1166),
  [9924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1167),
  [9927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7554),
  [9930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6657),
  [9933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2258),
  [9936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2259),
  [9939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7537),
  [9942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7537),
  [9945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5091),
  [9948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7423),
  [9950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [9952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7558),
  [9954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6980),
  [9956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [9958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [9960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [9962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [9964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7589),
  [9966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6334),
  [9968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3419),
  [9970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [9972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [9974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7582),
  [9976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7582),
  [9978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5167),
  [9980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7312),
  [9983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7539),
  [9986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7539),
  [9989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7006),
  [9992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(675),
  [9995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(676),
  [9998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(677),
  [10001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(678),
  [10004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7556),
  [10007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6376),
  [10010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2452),
  [10013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2453),
  [10016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7551),
  [10019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7551),
  [10022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5310),
  [10025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6749),
  [10027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6453),
  [10029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6771),
  [10031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6586),
  [10033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6343),
  [10035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7436),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [10039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7592),
  [10041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7064),
  [10043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [10047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [10049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [10051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7661),
  [10053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6461),
  [10055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3579),
  [10057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [10059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [10061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7616),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7616),
  [10065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5311),
  [10067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6548),
  [10069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6729),
  [10071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6316),
  [10073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6400),
  [10075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7437),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [10079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7604),
  [10081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7066),
  [10083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [10085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [10087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [10089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [10091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7475),
  [10093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6464),
  [10095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [10097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [10099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [10101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7621),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7621),
  [10105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5340),
  [10107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3691),
  [10109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3559),
  [10111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3587),
  [10113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6544),
  [10115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6552),
  [10117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6339),
  [10119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7617),
  [10122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7749),
  [10125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7749),
  [10128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6996),
  [10131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(639),
  [10134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(640),
  [10137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(641),
  [10140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(642),
  [10143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7803),
  [10146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6364),
  [10149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2432),
  [10152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2433),
  [10155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7768),
  [10158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7768),
  [10161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5547),
  [10164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6717),
  [10166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7716),
  [10168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7820),
  [10172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7820),
  [10174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6883),
  [10176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [10180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [10182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [10184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7813),
  [10186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6692),
  [10188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [10190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [10192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7822),
  [10194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7822),
  [10196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5994),
  [10198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [10200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7641),
  [10202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7726),
  [10204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7726),
  [10206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7031),
  [10208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [10210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [10212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [10214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [10216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7690),
  [10218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6418),
  [10220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3478),
  [10222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [10224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [10226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7773),
  [10228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [10230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5703),
  [10232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [10234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6674),
  [10236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7584),
  [10238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7715),
  [10240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7715),
  [10242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6903),
  [10244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [10246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [10248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [10250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [10252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7683),
  [10254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6747),
  [10256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3613),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [10260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [10262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7782),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [10266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5540),
  [10268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [10270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [10272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [10274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7584),
  [10277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7715),
  [10280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7715),
  [10283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6903),
  [10286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1301),
  [10289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1302),
  [10292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1303),
  [10295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1292),
  [10298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7683),
  [10301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6747),
  [10304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2049),
  [10307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2050),
  [10310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7782),
  [10313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7782),
  [10316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5540),
  [10319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [10321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [10323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7456),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [10327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7474),
  [10329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6882),
  [10331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [10333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [10335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [10337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [10339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7585),
  [10341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6688),
  [10343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3539),
  [10345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [10347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [10349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7571),
  [10351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7571),
  [10353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5088),
  [10355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7520),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7698),
  [10359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7698),
  [10361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6964),
  [10363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [10365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [10367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [10369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [10371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7695),
  [10373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6779),
  [10375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3506),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [10379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [10381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7774),
  [10383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [10385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5407),
  [10387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [10389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7635),
  [10392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7780),
  [10395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7780),
  [10398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6910),
  [10401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1337),
  [10404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1338),
  [10407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1339),
  [10410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1328),
  [10413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7799),
  [10416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6764),
  [10419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2069),
  [10422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2070),
  [10425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7809),
  [10428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7809),
  [10431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5691),
  [10434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [10436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6428),
  [10438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [10440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6647),
  [10442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [10444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [10446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [10448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7452),
  [10450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [10452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7569),
  [10454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6982),
  [10456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [10458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [10460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [10462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [10464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7590),
  [10466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6338),
  [10468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [10470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [10472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [10474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7587),
  [10476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [10478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5175),
  [10480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [10482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7476),
  [10484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7805),
  [10486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7805),
  [10488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6890),
  [10490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [10492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [10494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [10496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [10498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7807),
  [10500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6708),
  [10502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3612),
  [10504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [10506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [10508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7796),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7796),
  [10512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5433),
  [10514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [10516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6536),
  [10518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7635),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [10522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7780),
  [10524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6910),
  [10526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [10530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [10532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [10534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7799),
  [10536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6764),
  [10538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3453),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [10542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [10544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7809),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7809),
  [10548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5691),
  [10550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [10552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7615),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7727),
  [10556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7727),
  [10558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7062),
  [10560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [10562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [10564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [10566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [10568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7787),
  [10570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6459),
  [10572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3518),
  [10574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [10576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [10578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7763),
  [10580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [10582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5492),
  [10584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [10586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6712),
  [10588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [10590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [10592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [10594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7586),
  [10596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [10598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7703),
  [10600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6983),
  [10602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [10606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [10608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [10610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7751),
  [10612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6340),
  [10614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3596),
  [10616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [10618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [10620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7723),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [10624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5498),
  [10626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [10628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [10630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6616),
  [10632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [10634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7641),
  [10637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7726),
  [10640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7726),
  [10643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7031),
  [10646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(779),
  [10649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(780),
  [10652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(781),
  [10655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(782),
  [10658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7690),
  [10661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6418),
  [10664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2502),
  [10667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2503),
  [10670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7773),
  [10673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7773),
  [10676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5703),
  [10679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [10681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [10683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [10685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6769),
  [10687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [10689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [10691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [10693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6629),
  [10695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [10697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7615),
  [10700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7727),
  [10703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7727),
  [10706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7062),
  [10709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(903),
  [10712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(904),
  [10715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(905),
  [10718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(906),
  [10721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7787),
  [10724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6459),
  [10727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2560),
  [10730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2561),
  [10733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7763),
  [10736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7763),
  [10739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5492),
  [10742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [10744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [10746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [10748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7535),
  [10750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [10752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7776),
  [10754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6896),
  [10756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [10758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [10760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [10762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [10764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7689),
  [10766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6726),
  [10768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3632),
  [10770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [10772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [10774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7802),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7802),
  [10778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5483),
  [10780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6673),
  [10782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6679),
  [10784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7550),
  [10786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [10788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7810),
  [10790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6985),
  [10792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [10796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [10798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [10800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7692),
  [10802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6342),
  [10804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3696),
  [10806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [10808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [10810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7687),
  [10812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [10814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5510),
  [10816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6508),
  [10818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6686),
  [10820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [10822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7520),
  [10825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7698),
  [10828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7698),
  [10831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6964),
  [10834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1274),
  [10837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1275),
  [10840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1276),
  [10843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1281),
  [10846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7695),
  [10849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6779),
  [10852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2308),
  [10855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2309),
  [10858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7774),
  [10861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7774),
  [10864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5407),
  [10867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6699),
  [10869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7617),
  [10871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [10873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7749),
  [10875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6996),
  [10877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [10879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [10881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [10883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [10885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7803),
  [10887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6364),
  [10889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3635),
  [10891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [10893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [10895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7768),
  [10897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [10899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5547),
  [10901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expr_or_attr, 1, 0, 0),
  [10903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr_or_attr, 1, 0, 0),
  [10905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9452),
  [10907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [10909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7535),
  [10912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7776),
  [10915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7776),
  [10918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6896),
  [10921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1265),
  [10924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1266),
  [10927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1267),
  [10930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1256),
  [10933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7689),
  [10936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6726),
  [10939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2019),
  [10942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2020),
  [10945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7802),
  [10948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7802),
  [10951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5483),
  [10954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7550),
  [10957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7810),
  [10960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7810),
  [10963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6985),
  [10966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1365),
  [10969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1366),
  [10972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1367),
  [10975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1368),
  [10978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7692),
  [10981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6342),
  [10984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2410),
  [10987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2411),
  [10990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7687),
  [10993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7687),
  [10996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5510),
  [10999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6561),
  [11001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [11003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [11005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6742),
  [11007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6648),
  [11009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7586),
  [11012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7703),
  [11015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7703),
  [11018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6983),
  [11021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1356),
  [11024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1358),
  [11027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1359),
  [11030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1360),
  [11033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7751),
  [11036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6340),
  [11039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2408),
  [11042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2409),
  [11045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7723),
  [11048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7723),
  [11051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5498),
  [11054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6724),
  [11056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6625),
  [11058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [11060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [11062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [11064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [11066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6317),
  [11068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6325),
  [11070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3688),
  [11072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [11074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6569),
  [11076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6677),
  [11078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [11080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7476),
  [11083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7805),
  [11086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7805),
  [11089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6890),
  [11092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1229),
  [11095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1230),
  [11098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1231),
  [11101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1220),
  [11104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7807),
  [11107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6708),
  [11110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1999),
  [11113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2000),
  [11116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7796),
  [11119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7796),
  [11122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5433),
  [11125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6417),
  [11127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6658),
  [11129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6664),
  [11131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6389),
  [11133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7716),
  [11136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7820),
  [11139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7820),
  [11142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6883),
  [11145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1205),
  [11148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1206),
  [11151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1207),
  [11154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1196),
  [11157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7813),
  [11160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6692),
  [11163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1979),
  [11166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1980),
  [11169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7822),
  [11172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7822),
  [11175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(5994),
  [11178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6706),
  [11180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6382),
  [11182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6656),
  [11184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6736),
  [11186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6408),
  [11188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6578),
  [11190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6480),
  [11192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6344),
  [11194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6574),
  [11196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6511),
  [11198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6365),
  [11200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6368),
  [11202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6529),
  [11204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6641),
  [11206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3619),
  [11208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9180),
  [11210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8649),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8901),
  [11214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8901),
  [11216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6867),
  [11218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [11220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [11222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [11224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [11226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8828),
  [11228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6535),
  [11230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [11232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [11234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8824),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [11238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5728),
  [11240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7819),
  [11243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7829),
  [11246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7829),
  [11249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6949),
  [11252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1264),
  [11255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1107),
  [11258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1111),
  [11261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(1233),
  [11264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7828),
  [11267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6413),
  [11270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2198),
  [11273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(2199),
  [11276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7831),
  [11279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(7831),
  [11282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__atoms, 2, 0, 0), SHIFT_REPEAT(6127),
  [11285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributes, 1, 0, 0),
  [11287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributes, 1, 0, 0),
  [11289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6655),
  [11291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6593),
  [11293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6492),
  [11295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6654),
  [11297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6323),
  [11299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6617),
  [11301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7819),
  [11303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7829),
  [11305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7829),
  [11307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6949),
  [11309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [11311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [11313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [11315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [11317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7828),
  [11319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6413),
  [11321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [11323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [11325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7831),
  [11327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7831),
  [11329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6127),
  [11331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6757),
  [11333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9471),
  [11335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6384),
  [11337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6618),
  [11339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6503),
  [11341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6405),
  [11343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6775),
  [11345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6669),
  [11347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__modal_arg_ids_repeat1, 2, 0, 0),
  [11349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__modal_arg_ids_repeat1, 2, 0, 0),
  [11351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__modal_arg_ids_repeat1, 2, 0, 0), SHIFT_REPEAT(9031),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [11356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6765),
  [11358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_do_repeat1, 2, 0, 0),
  [11360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0),
  [11362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__lambda_clauses_repeat1, 2, 0, 0),
  [11364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__modal_arg_ids_repeat1, 2, 0, 0), SHIFT_REPEAT(9034),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [11369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [11373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [11375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [11377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [11379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [11381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [11383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [11385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [11389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [11391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [11393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [11395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [11397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [11401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [11403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [11407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [11409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [11411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [11413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [11417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [11419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [11421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [11423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [11425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [11427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [11429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [11431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [11433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [11435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [11437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [11439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [11441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5685),
  [11443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [11445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [11447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [11449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [11451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [11453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [11455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [11457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [11461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [11463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [11465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [11467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [11471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [11473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5918),
  [11475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [11477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [11479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [11481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [11483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [11485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [11487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [11491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [11493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5928),
  [11495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5737),
  [11497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [11499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [11501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [11503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [11505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [11507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [11509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [11511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [11513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [11515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [11517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4694),
  [11519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [11521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [11523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [11525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [11527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [11529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [11531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [11533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6808),
  [11537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [11539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [11541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [11543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [11545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [11547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [11549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4631),
  [11551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [11553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [11555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [11557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [11559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [11561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [11563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [11565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [11567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [11569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [11571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [11573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5821),
  [11575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [11577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [11579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [11581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [11583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [11585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [11587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [11589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [11591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [11593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [11595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [11597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4808),
  [11599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5202),
  [11601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [11603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [11605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [11607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [11609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [11611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [11613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [11615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [11617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [11619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [11621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [11623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [11625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [11627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [11629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [11631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [11633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [11635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [11637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [11639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5926),
  [11641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [11643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [11645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [11647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5111),
  [11649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [11651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [11653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [11655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6319),
  [11657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [11659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [11661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [11663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catchall_pragma, 3, 0, 0),
  [11665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catchall_pragma, 3, 0, 0),
  [11667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [11669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [11671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [11673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [11675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5860),
  [11677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [11679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [11681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [11683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [11685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [11687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [11689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [11691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [11693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [11695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [11697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [11699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [11701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [11703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [11705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [11707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [11709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [11711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [11713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [11715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [11717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [11719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [11721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [11723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [11725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [11727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [11729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [11731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [11733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [11735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [11737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [11739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [11741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [11743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [11745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [11747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [11749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [11751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [11753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [11755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [11757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [11759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [11761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [11763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [11765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [11767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [11769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [11771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [11773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [11775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [11777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [11779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [11781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [11783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [11785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [11787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [11789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [11791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [11793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [11795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [11797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [11799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [11801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5894),
  [11803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [11805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [11807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [11809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [11811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [11813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [11815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [11817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [11819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [11821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [11823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [11825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [11827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [11829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [11831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [11833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [11835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [11837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [11839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [11841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [11843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [11845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [11847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [11849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [11851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [11853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [11855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [11857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [11859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [11861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [11863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [11865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [11867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [11869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [11871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [11873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [11875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [11877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [11879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [11881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6520),
  [11883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [11885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [11887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [11889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [11891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5229),
  [11893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [11895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [11897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [11901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [11903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [11905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [11907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [11909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [11911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [11913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [11915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [11917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [11919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [11921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [11923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [11925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [11927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [11929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [11931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [11933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [11935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [11937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [11939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [11941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [11943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [11947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [11949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [11953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [11957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [11963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [11965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [11967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [11969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [11971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [11973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [11975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [11977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [11979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [11981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [11983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [11985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [11987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6216),
  [11989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [11991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [11993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [11995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [11997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [11999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [12001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [12003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5615),
  [12005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [12007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [12009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [12011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [12013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [12015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [12017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [12019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [12021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [12023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [12025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [12027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [12029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5668),
  [12031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [12035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [12037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [12039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [12041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [12043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5978),
  [12045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [12047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [12049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [12051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [12053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [12055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [12057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [12059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [12061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [12063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [12065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [12069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [12071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [12075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [12077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [12079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [12081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [12083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [12085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [12087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [12091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [12093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [12097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [12099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [12101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [12103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [12105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [12107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [12109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [12111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [12113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [12115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [12117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [12119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [12121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [12123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [12125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [12127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [12129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [12131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [12133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [12135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [12137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [12139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [12141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5840),
  [12143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [12145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [12147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [12149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [12151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [12157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5694),
  [12159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [12161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [12163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [12165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [12167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [12169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [12171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [12173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [12175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [12177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [12179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [12181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [12183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [12185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [12187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [12189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [12191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [12193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [12195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [12197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [12201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [12203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [12205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [12207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [12209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [12211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [12213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [12215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [12217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [12219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [12221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [12223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [12227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [12229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5941),
  [12231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [12233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [12237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5910),
  [12239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [12241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [12243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5822),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [12247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [12251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [12253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [12255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [12257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [12259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [12265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [12267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [12269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [12271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [12273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [12275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [12277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [12279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [12281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [12283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [12285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [12287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [12289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [12291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [12293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [12295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [12297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [12299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [12301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [12303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [12305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [12307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [12309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [12311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [12315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [12317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [12319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [12321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [12323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [12325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [12327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [12329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [12331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [12333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [12335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [12337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [12339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [12341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [12343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [12345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [12347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [12349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [12351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [12353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [12355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [12357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [12359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [12361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [12363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [12365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [12367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [12369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [12371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [12373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [12375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5626),
  [12377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [12379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [12381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [12383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [12385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [12387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [12389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [12391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [12393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [12395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [12397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [12399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [12401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [12403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [12415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [12419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [12421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [12423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [12425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [12427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [12429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [12431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [12433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [12435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [12437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [12439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [12441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [12445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [12449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [12453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [12455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [12457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [12459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [12461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [12463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [12465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [12469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [12471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [12473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [12475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [12477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [12479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 2, 0, 0),
  [12481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 0),
  [12483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [12485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [12487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [12489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [12491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [12493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [12497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10023),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11821),
  [12501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11821),
  [12503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6859),
  [12505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [12509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [12511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [12513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9363),
  [12515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6680),
  [12517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [12519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [12521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12081),
  [12523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12081),
  [12525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6751),
  [12527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [12529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [12533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [12535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [12537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5520),
  [12543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [12545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [12547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [12549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [12557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [12561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [12563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [12565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [12569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [12571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [12573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [12577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [12579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [12581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [12585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [12587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [12589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [12593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [12595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [12607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [12609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [12611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [12613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [12615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [12619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [12621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [12623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [12633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [12637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [12639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [12641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [12643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [12645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [12647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [12651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [12653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [12655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [12657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [12659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [12661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [12663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [12665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [12669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [12671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [12673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [12675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [12677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [12679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [12681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [12683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [12685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [12689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [12691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [12695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [12697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [12699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [12701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [12703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [12705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [12707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [12709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [12711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [12713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [12715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [12717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [12719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [12721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [12723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [12725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [12727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [12729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [12731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [12733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [12735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [12737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [12739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [12741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [12743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [12745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [12747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [12749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [12751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [12753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [12755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [12757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [12761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [12763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6661),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [12767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8841),
  [12769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8779),
  [12771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8816),
  [12773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8879),
  [12775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8696),
  [12777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8717),
  [12779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8727),
  [12781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8729),
  [12783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [12785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8749),
  [12787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8776),
  [12789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8802),
  [12791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8832),
  [12793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8733),
  [12795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8857),
  [12797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8777),
  [12799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8914),
  [12801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8742),
  [12803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8853),
  [12805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8867),
  [12807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8745),
  [12809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [12811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8789),
  [12813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8775),
  [12815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8880),
  [12817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8829),
  [12819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8798),
  [12821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8772),
  [12823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8878),
  [12825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8723),
  [12827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8884),
  [12829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8893),
  [12831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8725),
  [12833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [12835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8767),
  [12837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8820),
  [12839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8922),
  [12841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8854),
  [12843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8844),
  [12845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8891),
  [12847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8765),
  [12849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8713),
  [12851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8741),
  [12853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8787),
  [12855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8714),
  [12857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8784),
  [12859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8855),
  [12861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8865),
  [12863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8827),
  [12865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8704),
  [12867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8757),
  [12869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8852),
  [12871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8874),
  [12873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8885),
  [12875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8850),
  [12877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8905),
  [12879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8919),
  [12881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8736),
  [12883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8866),
  [12885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8883),
  [12887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8913),
  [12889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8698),
  [12891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8703),
  [12893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8711),
  [12895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8715),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [12899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8738),
  [12901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8755),
  [12903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8766),
  [12905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8793),
  [12907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8842),
  [12909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8868),
  [12911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8882),
  [12913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8899),
  [12915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8903),
  [12917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8911),
  [12919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8690),
  [12921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8716),
  [12923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8807),
  [12925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8858),
  [12927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8895),
  [12929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8695),
  [12931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8744),
  [12933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8782),
  [12935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8806),
  [12937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8817),
  [12939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8840),
  [12941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8860),
  [12943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8871),
  [12945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8887),
  [12947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8916),
  [12949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8693),
  [12951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8697),
  [12953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8701),
  [12955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8709),
  [12957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8718),
  [12959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8722),
  [12961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8724),
  [12963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8726),
  [12965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8728),
  [12967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8730),
  [12969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8737),
  [12971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8740),
  [12973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8743),
  [12975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8746),
  [12977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8750),
  [12979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8753),
  [12981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8756),
  [12983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8759),
  [12985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8762),
  [12987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8764),
  [12989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8768),
  [12991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8773),
  [12993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8778),
  [12995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8781),
  [12997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8783),
  [12999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8786),
  [13001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8790),
  [13003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8794),
  [13005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8799),
  [13007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8805),
  [13009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8810),
  [13011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8812),
  [13013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8818),
  [13015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8821),
  [13017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8826),
  [13019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8831),
  [13021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8833),
  [13023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8835),
  [13025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8838),
  [13027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8848),
  [13029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8856),
  [13031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8864),
  [13033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8877),
  [13035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8886),
  [13037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8892),
  [13039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8900),
  [13041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8904),
  [13043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8912),
  [13045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8894),
  [13047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8710),
  [13049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8763),
  [13051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8811),
  [13053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8836),
  [13055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8792),
  [13057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8906),
  [13059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8689),
  [13061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8845),
  [13063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8720),
  [13065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8839),
  [13067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8888),
  [13069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8732),
  [13071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8822),
  [13073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8851),
  [13075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8706),
  [13077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8800),
  [13079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8846),
  [13081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8876),
  [13083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8907),
  [13085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8813),
  [13087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8910),
  [13089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8825),
  [13091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8849),
  [13093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8873),
  [13095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8890),
  [13097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8707),
  [13099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8751),
  [13101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8796),
  [13103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8823),
  [13105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8847),
  [13107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8875),
  [13109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8902),
  [13111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8915),
  [13113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8918),
  [13115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8761),
  [13117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8869),
  [13119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8770),
  [13121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8859),
  [13123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8898),
  [13125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8692),
  [13127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8702),
  [13129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8712),
  [13131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8721),
  [13133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8734),
  [13135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8754),
  [13137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8881),
  [13139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8908),
  [13141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8819),
  [13143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6566),
  [13145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [13147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [13151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6643),
  [13153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [13157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [13165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [13169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_name, 1, 0, 0),
  [13171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_name, 1, 0, 0),
  [13173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6577),
  [13175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [13177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 2, 0, 0),
  [13179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 2, 0, 0),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [13183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [13187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [13189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6351),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [13193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6395),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6700),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6596),
  [13207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6409),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [13227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6474),
  [13233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6756),
  [13235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6787),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6773),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9004),
  [13241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__modal_arg_ids_repeat1, 2, 0, 0), SHIFT_REPEAT(9004),
  [13244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6346),
  [13246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [13248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_untyped_binding, 4, 0, 0),
  [13250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_untyped_binding, 4, 0, 0),
  [13252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__lambda_bindings_repeat1, 1, 0, 0),
  [13254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__lambda_bindings, 1, 0, 0),
  [13256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__lambda_bindings_repeat1, 1, 0, 0),
  [13258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_bindings, 1, 0, 0),
  [13260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_binding, 3, 0, 0),
  [13262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_binding, 3, 0, 0),
  [13264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_untyped_binding, 1, 0, 0),
  [13266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_untyped_binding, 1, 0, 0),
  [13268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9138),
  [13270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8182),
  [13272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9775),
  [13274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9170),
  [13276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9141),
  [13278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9161),
  [13280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9259),
  [13282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9259),
  [13284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9008),
  [13286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10091),
  [13288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bid, 1, 0, 4),
  [13290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bid, 1, 0, 4),
  [13292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_binding, 5, 0, 0),
  [13294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_binding, 5, 0, 0),
  [13296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__signature_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9138),
  [13299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__signature_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8182),
  [13302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__signature_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9775),
  [13305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9170),
  [13308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__signature_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9141),
  [13311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__signature_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9161),
  [13314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__signature_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9259),
  [13317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9259),
  [13320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9008),
  [13323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_block_repeat1, 2, 0, 0),
  [13325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_untyped_binding, 3, 0, 0),
  [13327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_untyped_binding, 3, 0, 0),
  [13329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_binding, 6, 0, 0),
  [13331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_binding, 6, 0, 0),
  [13333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_untyped_binding, 2, 0, 0),
  [13335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_untyped_binding, 2, 0, 0),
  [13337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_binding, 4, 0, 0),
  [13339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_binding, 4, 0, 0),
  [13341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__lambda_bindings, 2, 0, 0),
  [13343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_bindings, 2, 0, 0),
  [13345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8921),
  [13347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [13349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [13353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [13355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3118),
  [13357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9076),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9076),
  [13361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [13363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [13365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [13367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [13369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [13371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [13373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [13375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [13377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [13379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [13381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [13383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [13385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [13387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [13389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [13391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [13393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [13395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [13397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [13399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [13401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [13403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [13405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [13407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [13409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [13411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8896),
  [13413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [13415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12387),
  [13417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [13419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [13421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [13423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3104),
  [13425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9091),
  [13427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9091),
  [13429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [13431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [13433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [13435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [13437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [13439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [13441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [13443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [13445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [13447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [13449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [13451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [13453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [13455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [13457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [13459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [13461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [13463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [13465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [13467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [13469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [13471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [13473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [13475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [13477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [13479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8771),
  [13481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9315),
  [13483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9486),
  [13485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [13487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [13489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [13491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [13493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9110),
  [13495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [13497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8231),
  [13499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [13505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2959),
  [13507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [13509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9059),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9059),
  [13513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [13515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9457),
  [13517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(8896),
  [13520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0),
  [13522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(2829),
  [13525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(3106),
  [13528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(3105),
  [13531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(3104),
  [13534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(9091),
  [13537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(9091),
  [13540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8597),
  [13542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [13544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [13546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [13548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [13550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [13552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9093),
  [13554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9093),
  [13556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8925),
  [13558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [13560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [13562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [13564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [13566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [13568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9120),
  [13570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9120),
  [13572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8573),
  [13574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [13576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [13578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [13580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [13582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [13584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9054),
  [13586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9054),
  [13588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8028),
  [13590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [13592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [13594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [13596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [13598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [13600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9103),
  [13602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9103),
  [13604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8218),
  [13606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [13608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [13610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [13612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2862),
  [13614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [13616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9139),
  [13618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [13620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8595),
  [13622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [13624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [13626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [13628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [13630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [13632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9107),
  [13634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9107),
  [13636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9334),
  [13638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9456),
  [13640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [13642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9485),
  [13644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7889),
  [13646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [13648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [13650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [13652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2994),
  [13654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [13656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9137),
  [13658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [13660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8229),
  [13662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [13664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [13666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [13668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [13670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [13672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9116),
  [13674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9116),
  [13676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7902),
  [13678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [13680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [13682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [13684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2977),
  [13686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [13688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9061),
  [13690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9061),
  [13692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8248),
  [13694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [13696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [13698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [13700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [13702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [13704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9131),
  [13706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9131),
  [13708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8058),
  [13710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [13712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [13714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [13716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [13718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [13720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9127),
  [13722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [13724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8346),
  [13726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [13728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [13730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [13732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [13734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [13736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9094),
  [13738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9094),
  [13740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8173),
  [13742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [13744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [13746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [13748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [13750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [13752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9065),
  [13754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9065),
  [13756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8299),
  [13758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [13760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [13762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [13764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [13766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [13768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9135),
  [13770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [13772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8053),
  [13774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [13776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [13778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [13780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2857),
  [13782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [13784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9058),
  [13786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9058),
  [13788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8329),
  [13790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [13792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [13794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [13796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [13798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [13800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9117),
  [13802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9117),
  [13804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8517),
  [13806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [13808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [13810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [13812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [13814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [13816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9123),
  [13818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9123),
  [13820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7850),
  [13822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [13824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [13826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [13828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [13830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [13832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9140),
  [13834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9140),
  [13836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [13838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8537),
  [13840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [13842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [13844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [13846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2953),
  [13848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [13850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9079),
  [13852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9079),
  [13854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(8921),
  [13857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(2828),
  [13860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(3116),
  [13863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(3117),
  [13866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(3118),
  [13869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(9076),
  [13872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(9076),
  [13875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7885),
  [13877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [13879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [13881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [13883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [13885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [13887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9109),
  [13889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [13891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [13893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8558),
  [13895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [13897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [13899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [13901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3010),
  [13903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [13905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9121),
  [13907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [13909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7905),
  [13911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [13913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [13915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [13917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2876),
  [13919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [13921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9057),
  [13923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9057),
  [13925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [13927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8030),
  [13929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [13931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [13933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [13935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [13937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [13939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9069),
  [13941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9069),
  [13943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8396),
  [13945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [13947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [13949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [13951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [13953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [13955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9081),
  [13957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9081),
  [13959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [13961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8275),
  [13963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [13965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [13967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [13969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3095),
  [13971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [13973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9047),
  [13975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [13977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [13979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [13981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [13983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8283),
  [13985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [13987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [13989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [13991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [13993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [13995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9114),
  [13997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9114),
  [13999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8220),
  [14001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [14003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [14005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [14007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [14009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [14011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9092),
  [14013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9092),
  [14015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8064),
  [14017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [14021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [14023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [14025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [14027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9062),
  [14029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9062),
  [14031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8331),
  [14033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [14035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [14037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [14039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [14041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [14043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9046),
  [14045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9046),
  [14047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8564),
  [14049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [14051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [14053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [14055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2839),
  [14057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [14059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9124),
  [14061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9124),
  [14063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7917),
  [14065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [14067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [14069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [14071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [14073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [14075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9083),
  [14077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9083),
  [14079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9397),
  [14081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8416),
  [14083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [14085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [14087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [14089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [14091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [14093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9085),
  [14095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9085),
  [14097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [14099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8531),
  [14101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [14103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [14105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [14107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [14109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [14111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9095),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9095),
  [14115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [14117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8623),
  [14119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [14121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [14123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [14125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [14127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [14129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9050),
  [14131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9050),
  [14133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8029),
  [14135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [14137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [14139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [14141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2938),
  [14143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [14145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9080),
  [14147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9080),
  [14149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8364),
  [14151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [14153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [14155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [14157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [14159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [14161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9087),
  [14163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9087),
  [14165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8208),
  [14167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [14169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [14171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [14173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [14175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [14177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9055),
  [14179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9055),
  [14181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8284),
  [14183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [14185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [14187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [14189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2891),
  [14191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [14193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9104),
  [14195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [14197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7863),
  [14199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [14201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [14203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [14205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [14207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [14209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9108),
  [14211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9108),
  [14213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8301),
  [14215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [14217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [14219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [14221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [14223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [14225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9048),
  [14227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9048),
  [14229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [14231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [14233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [14235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3037),
  [14237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [14239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7892),
  [14241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [14243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [14245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [14247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [14249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [14251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9105),
  [14253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9105),
  [14255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(8771),
  [14258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(2831),
  [14261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(3107),
  [14264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(3108),
  [14267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(3109),
  [14270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(9110),
  [14273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(9110),
  [14276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8245),
  [14278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [14280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [14282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [14284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [14286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [14288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9115),
  [14290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9115),
  [14292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8625),
  [14294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [14296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [14298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [14300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [14302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [14304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9119),
  [14306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9119),
  [14308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9374),
  [14310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [14312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [14314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [14316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [14318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [14320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8367),
  [14322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [14324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [14326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [14328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2967),
  [14330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [14332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9077),
  [14334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9077),
  [14336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [14338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8201),
  [14340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [14342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [14344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [14346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2896),
  [14348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [14350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9073),
  [14352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9073),
  [14354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8106),
  [14356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [14358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [14360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [14362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [14364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [14366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9071),
  [14368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [14370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8342),
  [14372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [14374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [14376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [14378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [14380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [14382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9051),
  [14384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9051),
  [14386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8000),
  [14388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [14390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [14392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [14394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [14396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [14398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9097),
  [14400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9097),
  [14402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8027),
  [14404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [14406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [14408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [14410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [14412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [14414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9066),
  [14416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9066),
  [14418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8549),
  [14420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [14422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [14424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [14426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [14428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [14430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9130),
  [14432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9130),
  [14434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(8925),
  [14437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(2830),
  [14440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(3099),
  [14443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(3100),
  [14446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(3101),
  [14449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(9120),
  [14452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(9120),
  [14455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9350),
  [14457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [14461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [14463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [14465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8942),
  [14467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [14469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [14471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [14473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3112),
  [14475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9134),
  [14477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9134),
  [14479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9225),
  [14481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(8942),
  [14484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(2826),
  [14487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(3110),
  [14490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(3111),
  [14493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(3112),
  [14496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(9134),
  [14499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__typed_untyped_bindings, 2, 0, 0), SHIFT_REPEAT(9134),
  [14502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9340),
  [14504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9296),
  [14506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [14508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [14510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2903),
  [14512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [14514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [14516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [14518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [14520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [14522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [14524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [14526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [14528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [14530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [14532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [14534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [14536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2974),
  [14538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [14540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [14542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2955),
  [14544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [14546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(9024),
  [14549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__lambda_bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(2827),
  [14552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__lambda_bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3113),
  [14555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3114),
  [14558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3115),
  [14561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__lambda_bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(9082),
  [14564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__lambda_bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(9082),
  [14567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [14569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [14571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [14573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [14575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [14577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [14579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3067),
  [14581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [14583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [14585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [14587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [14589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [14591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [14593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [14595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3072),
  [14597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [14599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [14601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [14603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [14605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [14607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [14609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [14611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2930),
  [14613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2931),
  [14615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [14617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [14619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [14621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [14623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [14625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [14627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [14629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [14631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [14633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [14635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2854),
  [14637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [14639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [14641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [14643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [14645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2916),
  [14647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [14649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [14651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3022),
  [14653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [14655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [14657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [14659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [14661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [14663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [14665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [14667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [14669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [14671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [14673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [14675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [14677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [14679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [14681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [14683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [14685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [14687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [14689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [14691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [14693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [14697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [14699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [14701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [14703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [14705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [14707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3087),
  [14709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [14711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [14713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [14715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2935),
  [14717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2936),
  [14719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [14721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [14723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [14725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2899),
  [14727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [14729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [14731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2940),
  [14733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2941),
  [14735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [14737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [14739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [14741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [14743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [14745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [14747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [14749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [14751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [14753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [14755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [14757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [14759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [14761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [14763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [14765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [14767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [14769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [14771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [14773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [14775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [14777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [14779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [14781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [14783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [14785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [14787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [14789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [14791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [14793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [14795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [14797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [14799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [14801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [14803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2893),
  [14805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [14807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [14809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [14811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [14813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [14815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [14817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [14819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2908),
  [14821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [14823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [14825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [14827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [14829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [14831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [14833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [14835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2969),
  [14837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [14839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [14841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [14843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [14845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2879),
  [14847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [14849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [14851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [14853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [14855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [14857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [14859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [14861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [14863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [14865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [14867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [14869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [14871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [14873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [14875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [14877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2963),
  [14879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [14881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [14883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [14885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [14887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [14889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [14891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [14893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [14895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [14897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [14899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [14901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [14903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [14905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [14907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [14909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [14911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [14913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [14915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2950),
  [14917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2951),
  [14919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [14921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [14923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [14925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2975),
  [14927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [14929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [14931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [14933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [14935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [14937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [14939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [14941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [14943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [14945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [14947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2960),
  [14949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [14951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [14953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_extended_or_absurd, 2, 0, 0),
  [14955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [14957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [14959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [14961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [14963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [14965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9424),
  [14967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [14969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_bindings, 3, 0, 0),
  [14971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [14973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [14975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__arg_ids, 2, 0, 0), SHIFT_REPEAT(9138),
  [14978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__arg_ids, 2, 0, 0),
  [14980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__arg_ids, 2, 0, 0), SHIFT_REPEAT(9170),
  [14983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__arg_ids, 2, 0, 0), SHIFT_REPEAT(9141),
  [14986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__arg_ids, 2, 0, 0), SHIFT_REPEAT(9161),
  [14989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__arg_ids, 2, 0, 0), SHIFT_REPEAT(9259),
  [14992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__arg_ids, 2, 0, 0), SHIFT_REPEAT(9259),
  [14995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [14997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [14999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [15001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [15003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [15005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [15007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modal_arg_ids, 2, 0, 0),
  [15009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [15011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [15013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [15015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [15017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [15019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [15021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [15023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [15025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [15027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [15029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [15031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [15033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [15035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [15037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [15039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [15041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [15043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [15045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [15047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modal_arg_ids, 1, 0, 0),
  [15049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [15051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [15053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [15055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [15057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [15059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [15061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [15063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [15065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [15067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [15069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [15071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [15073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [15075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [15077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [15079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [15081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [15083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [15085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [15087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [15089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [15091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [15093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7135),
  [15095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [15097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7755),
  [15099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [15101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [15103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [15105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [15107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4827),
  [15109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [15111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [15113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [15115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [15117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [15119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7714),
  [15121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [15123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [15125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5795),
  [15127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [15129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7668),
  [15131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [15133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7455),
  [15135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7528),
  [15137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7708),
  [15139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [15141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [15143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [15145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [15147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5972),
  [15149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [15151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [15153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [15155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [15157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [15159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8872),
  [15161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [15163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [15165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [15167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [15169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [15171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [15173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [15175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4712),
  [15177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [15179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [15181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [15183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [15185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [15187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [15189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [15191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [15193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7591),
  [15195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6863),
  [15197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [15199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [15201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [15203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [15205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [15207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [15209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [15211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [15213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [15215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5816),
  [15217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [15219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [15221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [15223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [15225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [15227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [15229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [15231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [15233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [15235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [15237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [15239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [15241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [15243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [15245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5222),
  [15247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [15249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [15251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lhs_decl, 1, 0, 2),
  [15253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lhs_defn, 1, 0, 0),
  [15255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [15257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [15259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [15261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [15263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7788),
  [15265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [15267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [15269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [15271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [15273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__typed_bindings, 2, 0, 0),
  [15275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__typed_bindings, 2, 0, 0), SHIFT_REPEAT(3119),
  [15278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__typed_bindings, 2, 0, 0), SHIFT_REPEAT(3120),
  [15281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__typed_bindings, 2, 0, 0), SHIFT_REPEAT(3102),
  [15284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_bindings, 2, 0, 0), SHIFT_REPEAT(3103),
  [15287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typed_bindings, 2, 0, 0), SHIFT_REPEAT(9424),
  [15290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__typed_bindings, 2, 0, 0), SHIFT_REPEAT(9424),
  [15293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [15295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [15297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [15299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [15301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5952),
  [15303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [15305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [15307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7629),
  [15309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7344),
  [15311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [15313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [15315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [15317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [15319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5878),
  [15321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11929),
  [15323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [15325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [15327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4774),
  [15329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5533),
  [15331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [15333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [15335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [15337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [15339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [15341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [15343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [15345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [15347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [15349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [15351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [15353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [15355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__signature_block_repeat1, 2, 0, 0),
  [15357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [15359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [15361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7544),
  [15363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [15365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [15367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [15369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [15371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [15373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [15375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [15377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [15379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [15381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [15383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [15385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [15387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6814),
  [15389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [15391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [15393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [15395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4800),
  [15397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [15399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [15401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [15403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_data_name, 1, 0, 3),
  [15405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_name, 1, 0, 3),
  [15407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5358),
  [15409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [15411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [15413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [15415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [15417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [15419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [15421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [15423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5367),
  [15425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [15427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [15429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [15431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [15433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7350),
  [15435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [15437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [15439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [15441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [15443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [15445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [15447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [15449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [15451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [15453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [15455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [15457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [15459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [15461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [15463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [15465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [15467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [15469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [15471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [15473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [15475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [15477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7215),
  [15479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [15481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5678),
  [15483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [15485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [15487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [15489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [15491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [15493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [15495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [15497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7658),
  [15499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [15501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [15503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [15505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9147),
  [15507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hole_names, 1, 0, 0),
  [15509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9693),
  [15511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9390),
  [15513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9205),
  [15515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9219),
  [15517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_clause_absurd, 1, 0, 0),
  [15519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let, 3, 0, 0),
  [15521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_clauses, 1, 0, 0),
  [15523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [15525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_extended_or_absurd, 4, 0, 0),
  [15527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, 0, 0),
  [15529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr2_without_let, 4, 0, 0),
  [15531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_clauses, 2, 0, 0),
  [15533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let, 4, 0, 0),
  [15535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__let_body, 2, 0, 0),
  [15537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_hole_names_repeat1, 2, 0, 0), SHIFT_REPEAT(9147),
  [15540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_hole_names_repeat1, 2, 0, 0),
  [15542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hole_names_repeat1, 2, 0, 0), SHIFT_REPEAT(9693),
  [15545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hole_names_repeat1, 2, 0, 0), SHIFT_REPEAT(9390),
  [15548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_hole_names_repeat1, 2, 0, 0), SHIFT_REPEAT(9205),
  [15551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_hole_names_repeat1, 2, 0, 0), SHIFT_REPEAT(9219),
  [15554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr, 4, 0, 0),
  [15556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do, 4, 0, 0),
  [15558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forall, 4, 0, 0),
  [15560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [15562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__with_exprs, 1, 0, 0),
  [15564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_clause, 2, 0, 0),
  [15566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__application, 2, 0, 0),
  [15568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__with_exprs, 2, 0, 0),
  [15570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let, 6, 0, 0),
  [15572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_extended_or_absurd, 3, 0, 0),
  [15574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [15576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [15578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [15580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let, 5, 0, 0),
  [15582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_clause, 3, 0, 0),
  [15584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [15586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__modal_arg_ids_repeat1, 2, 0, 0), SHIFT_REPEAT(9008),
  [15589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_clause_absurd, 2, 0, 0),
  [15591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_clause, 4, 0, 0),
  [15593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr, 1, 0, 0),
  [15595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr, 3, 0, 0),
  [15597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_directives, 2, 0, 0), SHIFT_REPEAT(9045),
  [15600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_directives, 2, 0, 0), SHIFT_REPEAT(10907),
  [15603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_directives, 2, 0, 0),
  [15605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_directives, 2, 0, 0), SHIFT_REPEAT(10908),
  [15608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [15610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7830),
  [15612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [15614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7837),
  [15616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7837),
  [15618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9156),
  [15620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10374),
  [15622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10398),
  [15624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_macro, 6, 0, 6),
  [15626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9098),
  [15628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [15630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9084),
  [15632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9084),
  [15634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_macro, 7, 0, 8),
  [15636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_macro, 5, 0, 8),
  [15638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open, 4, 0, 0),
  [15640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [15642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_macro, 6, 0, 8),
  [15644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9045),
  [15646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10907),
  [15648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10908),
  [15650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_assignment, 3, 0, 0),
  [15652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lhs_decl, 2, 0, 2),
  [15654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lhs_defn, 2, 0, 0),
  [15656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [15658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_macro, 5, 0, 6),
  [15660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6615),
  [15662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [15664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6571),
  [15666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [15668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_directives, 2, 0, 0), SHIFT_REPEAT(9156),
  [15671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_directives, 2, 0, 0), SHIFT_REPEAT(10374),
  [15674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_directives, 2, 0, 0), SHIFT_REPEAT(10398),
  [15677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [15679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [15681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [15683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_macro, 4, 0, 6),
  [15685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__record_assignments_repeat1, 2, 0, 0), SHIFT_REPEAT(7285),
  [15688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__record_assignments_repeat1, 2, 0, 0), SHIFT_REPEAT(7282),
  [15691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_macro_repeat1, 2, 0, 0), SHIFT_REPEAT(9156),
  [15694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_macro_repeat1, 2, 0, 0), SHIFT_REPEAT(10374),
  [15697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_macro_repeat1, 2, 0, 0), SHIFT_REPEAT(10398),
  [15700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_macro_repeat1, 2, 0, 0),
  [15702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_directive, 1, 0, 0),
  [15704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [15706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [15708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3529),
  [15710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3534),
  [15712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [15714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [15716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3577),
  [15718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3583),
  [15720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [15722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [15724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3365),
  [15726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3366),
  [15728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [15730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [15732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3679),
  [15734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [15736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [15738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [15740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3385),
  [15742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3386),
  [15744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [15746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9532),
  [15748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [15750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 1, 0, 0),
  [15752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [15754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [15756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [15758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3549),
  [15760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [15762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [15764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [15766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3361),
  [15768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3362),
  [15770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rewrite_equations, 2, 0, 0),
  [15772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [15774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [15776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3668),
  [15778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3670),
  [15780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [15782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [15784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3636),
  [15786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3637),
  [15788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [15790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [15792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3423),
  [15794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3424),
  [15796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [15798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [15800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3443),
  [15802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3444),
  [15804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [15806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [15808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3389),
  [15810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3390),
  [15812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [15814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [15816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [15818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3463),
  [15820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3465),
  [15822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [15824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [15826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3473),
  [15828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [15830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_directive, 4, 0, 0),
  [15832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [15834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [15836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [15838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [15840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [15842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9468),
  [15844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9088),
  [15846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10059),
  [15848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10059),
  [15850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [15852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [15854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3436),
  [15856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3437),
  [15858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__maybe_dotted_ids, 2, 0, 0), SHIFT_REPEAT(9478),
  [15861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__maybe_dotted_ids, 2, 0, 0),
  [15863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__maybe_dotted_ids, 2, 0, 0), SHIFT_REPEAT(9883),
  [15866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__maybe_dotted_ids, 2, 0, 0), SHIFT_REPEAT(9883),
  [15869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [15871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [15873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3369),
  [15875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3370),
  [15877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9472),
  [15879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9088),
  [15881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9860),
  [15883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9860),
  [15885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__maybe_dotted_id, 2, 0, 0),
  [15887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__maybe_dotted_id, 2, 0, 0),
  [15889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [15891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [15893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3477),
  [15895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3480),
  [15897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [15899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [15901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [15903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [15905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [15907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [15909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3690),
  [15911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3693),
  [15913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [15915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [15917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3393),
  [15919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3394),
  [15921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [15923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [15925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3526),
  [15927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [15929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9024),
  [15931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [15933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [15935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [15937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [15939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [15941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [15943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3414),
  [15945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [15947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [15949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [15951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3557),
  [15953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3558),
  [15955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__maybe_dotted_ids, 2, 0, 0), SHIFT_REPEAT(9472),
  [15958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__maybe_dotted_ids, 2, 0, 0),
  [15960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__maybe_dotted_ids, 2, 0, 0), SHIFT_REPEAT(9860),
  [15963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__maybe_dotted_ids, 2, 0, 0), SHIFT_REPEAT(9860),
  [15966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [15968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [15970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3381),
  [15972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3382),
  [15974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arg_id, 3, 0, 0),
  [15976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arg_id, 3, 0, 0),
  [15978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9478),
  [15980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9883),
  [15982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9883),
  [15984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [15986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [15988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3572),
  [15990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3573),
  [15992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [15994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [15996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3353),
  [15998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3354),
  [16000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [16002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [16004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [16006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [16008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [16010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [16012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3601),
  [16014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3604),
  [16016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [16018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [16020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3377),
  [16022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3378),
  [16024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_directive, 5, 0, 0),
  [16026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [16028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [16030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3658),
  [16032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3659),
  [16034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [16036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [16038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [16040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [16042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [16044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [16046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [16048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [16050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [16052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [16054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [16056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [16058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [16060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3398),
  [16062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [16064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [16066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 2, 0, 0),
  [16068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [16070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [16072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3505),
  [16074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3560),
  [16076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [16078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [16080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3349),
  [16082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3403),
  [16084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [16086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [16088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3456),
  [16090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [16092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [16094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [16096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3532),
  [16098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3533),
  [16100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [16102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__maybe_dotted_ids, 2, 0, 0), SHIFT_REPEAT(9468),
  [16105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__maybe_dotted_ids, 2, 0, 0), SHIFT_REPEAT(10059),
  [16108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__maybe_dotted_ids, 2, 0, 0), SHIFT_REPEAT(10059),
  [16111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_directive, 3, 0, 0),
  [16113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [16115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [16117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3568),
  [16119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3569),
  [16121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [16123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [16125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3358),
  [16127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3400),
  [16129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [16131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [16133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3373),
  [16135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3374),
  [16137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [16139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [16141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3609),
  [16143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3610),
  [16145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [16147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [16149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3497),
  [16151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [16153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [16155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [16157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [16159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3411),
  [16161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [16163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [16165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3450),
  [16167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3458),
  [16169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [16171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [16173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3439),
  [16175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3440),
  [16177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [16179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [16181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3626),
  [16183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [16185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arg_id, 4, 0, 0),
  [16187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arg_id, 4, 0, 0),
  [16189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [16191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [16193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [16195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3700),
  [16197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3701),
  [16199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9599),
  [16201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9409),
  [16203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [16205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [16207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3642),
  [16209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3643),
  [16211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [16213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [16215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3630),
  [16217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3646),
  [16219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9504),
  [16221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9460),
  [16223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [16225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [16227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [16229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [16231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [16233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [16235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3561),
  [16237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [16239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [16241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [16243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3535),
  [16245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3536),
  [16247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_name, 1, 0, 5),
  [16249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_name, 1, 0, 5),
  [16251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [16253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [16255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [16257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [16259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [16261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [16263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3616),
  [16265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3618),
  [16267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [16269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9458),
  [16271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix, 3, 0, 0),
  [16273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix, 3, 0, 0),
  [16275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [16277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [16279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hole_name, 1, 0, 0),
  [16281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hole_name, 1, 0, 0),
  [16283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9768),
  [16285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10223),
  [16287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [16289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hole_name, 3, 0, 0),
  [16291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hole_name, 3, 0, 0),
  [16293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_expressions, 2, 0, 0),
  [16295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_top_hole, 6, 0, 0),
  [16297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_top_hole, 6, 0, 0),
  [16299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [16301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [16303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [16305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lhs_decl, 3, 0, 2),
  [16307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lhs_defn, 3, 0, 0),
  [16309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [16311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [16313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hole_name, 5, 0, 0),
  [16315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hole_name, 5, 0, 0),
  [16317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_signature_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9768),
  [16320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_signature_block_repeat1, 2, 0, 0),
  [16322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [16324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [16326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [16328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [16330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [16332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_infix_repeat1, 2, 0, 0), SHIFT_REPEAT(9458),
  [16335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_infix_repeat1, 2, 0, 0),
  [16337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_infix_repeat1, 2, 0, 0),
  [16339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 4, 0, 0),
  [16341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [16343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [16345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9440),
  [16347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10569),
  [16349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [16351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [16353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [16355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [16357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6167),
  [16359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [16361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [16363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [16365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [16367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [16369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [16371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [16373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [16375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [16377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [16379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4786),
  [16381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [16383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [16385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6873),
  [16387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7213),
  [16389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9833),
  [16391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9686),
  [16393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9686),
  [16395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [16397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 3, 0, 0),
  [16399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [16401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [16403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_infix_repeat1, 2, 0, 0), SHIFT_REPEAT(9493),
  [16406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [16408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [16410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [16412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11448),
  [16414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [16416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [16418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [16420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9837),
  [16422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9509),
  [16424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9509),
  [16426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [16428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [16430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [16432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [16434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [16436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [16438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [16440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [16442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [16444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [16446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [16448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [16450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [16452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [16454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11550),
  [16456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [16458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [16460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [16462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [16464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [16466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [16468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [16470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [16472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [16474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [16476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [16478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7844),
  [16480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [16482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [16484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [16486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [16488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [16490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [16492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [16494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [16496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9533),
  [16498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12293),
  [16500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9154),
  [16502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [16504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9657),
  [16506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9669),
  [16508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9672),
  [16510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [16512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [16514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [16516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5976),
  [16518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [16520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [16522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7201),
  [16524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [16526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5627),
  [16528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [16530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [16532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [16534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [16536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [16538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5905),
  [16540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [16542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [16544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [16546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [16548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7415),
  [16550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [16552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [16554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [16556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [16558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [16560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [16562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [16564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [16566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [16568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [16570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [16572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [16574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [16576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [16578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [16580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4727),
  [16582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [16584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [16586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [16588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [16590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [16592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [16594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [16596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [16598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7488),
  [16600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [16602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [16604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [16606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [16608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [16610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [16612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5637),
  [16614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [16616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [16618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7679),
  [16620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [16622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [16624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [16626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [16628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6025),
  [16630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [16632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [16634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [16636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [16638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [16640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12014),
  [16642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [16644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [16646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7738),
  [16648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [16650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [16652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [16654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [16656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [16658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9113),
  [16660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9493),
  [16662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [16664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [16666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [16668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [16670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [16672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [16674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [16676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [16678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [16680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [16682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [16684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [16686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [16688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [16690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [16692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [16694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [16696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [16698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7733),
  [16700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [16702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [16704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [16706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [16708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11380),
  [16710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [16712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [16714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [16716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [16718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [16720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7613),
  [16722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [16724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [16726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [16728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [16730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5799),
  [16732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [16734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [16736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [16738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [16740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [16742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [16744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7663),
  [16746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [16748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9815),
  [16750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [16752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [16754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [16756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5280),
  [16758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [16760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [16762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [16764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [16766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [16768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [16770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6196),
  [16772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [16774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9125),
  [16776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generalize, 1, 0, 0),
  [16778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7873),
  [16780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where, 1, 0, 0),
  [16782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [16784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_constructor_instance_repeat1, 2, 0, 0), SHIFT_REPEAT(10980),
  [16787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_constructor_instance_repeat1, 2, 0, 0),
  [16789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [16791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9902),
  [16793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [16795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [16797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [16799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3649),
  [16801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8808),
  [16803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8212),
  [16805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive, 1, 0, 0),
  [16807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9342),
  [16809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9125),
  [16811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9462),
  [16813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_syntax, 5, 0, 0),
  [16815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_syntax, 5, 0, 0),
  [16817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data, 5, 0, 0),
  [16819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract, 1, 0, 0),
  [16821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rhs_decl, 2, 0, 0),
  [16823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12387),
  [16825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_signature, 4, 0, 7),
  [16827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10980),
  [16829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10909),
  [16831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12451),
  [16833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12449),
  [16835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9827),
  [16837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9799),
  [16839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_ids_and_absurds, 1, 0, 0),
  [16841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_signature, 5, 0, 7),
  [16843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 4, 0, 6),
  [16845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data, 3, 0, 0),
  [16847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_syntax_repeat1, 2, 0, 0), SHIFT_REPEAT(9462),
  [16850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_syntax_repeat1, 2, 0, 0),
  [16852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_syntax_repeat1, 2, 0, 0),
  [16854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postulate, 1, 0, 0),
  [16856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_ids_and_absurds, 3, 0, 0),
  [16858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance, 1, 0, 0),
  [16860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__field_names, 2, 0, 0), SHIFT_REPEAT(9468),
  [16863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_names, 2, 0, 0),
  [16865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9466),
  [16867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__field_names, 2, 0, 0), SHIFT_REPEAT(9472),
  [16870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__field_names, 2, 0, 0),
  [16872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rhs_defn, 2, 0, 0),
  [16874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__field_names, 2, 0, 0), SHIFT_REPEAT(9768),
  [16877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_private, 1, 0, 0),
  [16879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where, 3, 0, 0),
  [16881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data, 6, 0, 0),
  [16883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data, 4, 0, 0),
  [16885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 3, 0, 6),
  [16887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro, 1, 0, 0),
  [16889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mutual, 1, 0, 0),
  [16891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__field_names, 2, 0, 0), SHIFT_REPEAT(9478),
  [16894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9430),
  [16896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_signature, 4, 0, 0),
  [16898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10822),
  [16900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [16902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [16904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [16906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [16908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [16910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [16912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [16914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [16916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [16918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [16920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [16922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [16924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [16926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [16928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [16930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [16932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [16934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [16936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8945),
  [16938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [16940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [16942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [16944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [16946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [16948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [16950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [16952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [16954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9644),
  [16956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [16958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [16960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [16962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [16964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [16966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [16968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [16970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [16972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__do_stmt, 1, 0, 0),
  [16974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [16976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [16978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [16980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [16982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [16984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [16986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [16988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [16990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [16992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [16994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [16996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [16998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr2, 1, 0, 0),
  [17000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr2_stmt, 1, 0, 0),
  [17002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [17004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [17006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [17008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__comma_import_names_repeat1, 2, 0, 0),
  [17010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comma_import_names_repeat1, 2, 0, 0), SHIFT_REPEAT(9546),
  [17013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [17015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comma_import_names, 1, 0, 0),
  [17017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9546),
  [17019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [17021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [17023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [17025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [17027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [17029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [17031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [17033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9620),
  [17035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [17037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [17039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [17041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [17043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [17045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [17047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [17049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [17051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9611),
  [17053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [17055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10044),
  [17057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [17059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [17061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [17063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [17065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [17067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [17069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [17071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [17073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [17075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [17077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [17079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [17081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [17083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [17085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [17087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [17089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [17091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [17093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__field_assignments_repeat1, 2, 0, 0), SHIFT_REPEAT(10801),
  [17096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [17098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [17100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [17102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [17104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [17106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [17108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [17110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [17112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [17114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_in_do, 4, 0, 0),
  [17116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comma_import_names, 2, 0, 0),
  [17118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [17120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [17122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [17124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [17126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [17128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [17130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [17132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9588),
  [17134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [17136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [17138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9096),
  [17140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [17142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [17144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [17146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [17148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [17150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [17152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [17154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [17156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [17158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [17160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [17162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [17164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [17166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [17168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [17170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [17172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [17174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [17176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [17178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [17180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [17182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [17184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [17186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [17188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [17190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [17192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9484),
  [17194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_signature, 5, 0, 0),
  [17196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [17198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_in_do, 3, 0, 0),
  [17200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [17202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [17204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ids, 2, 0, 0), SHIFT_REPEAT(9611),
  [17207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__ids, 2, 0, 0),
  [17209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [17211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [17213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [17215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [17217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_in_do, 6, 0, 0),
  [17219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [17221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [17223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [17225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [17227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_syntax_repeat1, 2, 0, 0), SHIFT_REPEAT(9620),
  [17230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [17232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [17234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [17236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [17238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9155),
  [17240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [17242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [17244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [17246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [17248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [17250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [17252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [17254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [17256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [17258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [17260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [17262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [17264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [17266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [17268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [17270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [17272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [17274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [17276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [17278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [17280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [17282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [17284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [17286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [17288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [17290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [17292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [17294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11383),
  [17296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [17298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [17300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [17302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [17304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [17306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9545),
  [17308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [17310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9152),
  [17312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [17314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_directive_repeat1, 2, 0, 0),
  [17316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_directive_repeat1, 2, 0, 0), SHIFT_REPEAT(9588),
  [17319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [17321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [17323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [17325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [17327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [17329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [17331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [17333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [17335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [17337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [17339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [17341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [17343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [17345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_in_do, 5, 0, 0),
  [17347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [17349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11367),
  [17351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [17353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [17355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [17357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [17359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [17361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9600),
  [17363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [17365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9585),
  [17367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9585),
  [17369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [17371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__record_assignments_repeat1, 2, 0, 0),
  [17373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [17375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8295),
  [17377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [17379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [17381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [17383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8307),
  [17385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [17387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [17389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [17391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8223),
  [17393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [17395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [17397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [17399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8253),
  [17401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [17403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [17405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [17407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9029),
  [17409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [17411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8254),
  [17413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [17415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [17417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_assignment, 3, 0, 5),
  [17419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9832),
  [17421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [17423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [17425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record, 5, 0, 7),
  [17427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [17429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [17431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7993),
  [17433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [17435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [17437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declarations_block, 3, 0, 0),
  [17439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [17441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [17443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8004),
  [17445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_renaming, 4, 0, 0),
  [17447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [17449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [17451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [17453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7935),
  [17455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [17457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [17459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [17461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [17463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [17465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [17467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [17469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [17471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [17473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [17475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [17477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [17479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [17481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [17483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [17485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [17487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [17489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [17491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [17493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [17495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fields, 2, 0, 0),
  [17497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance, 2, 0, 0),
  [17499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [17501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8259),
  [17503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [17505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8146),
  [17507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [17509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [17511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [17513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [17515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8147),
  [17517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [17519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [17521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [17523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11580),
  [17525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_assignments, 2, 0, 0),
  [17527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [17529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8119),
  [17531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [17533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [17535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [17537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [17539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [17541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9695),
  [17543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__record_assignments, 1, 0, 0),
  [17545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__application_stmt, 2, 0, 0),
  [17547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [17549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7963),
  [17551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [17553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [17555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__with_exprs_stmt, 2, 0, 0),
  [17557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [17559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8040),
  [17561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [17563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [17565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [17567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [17569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [17571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [17573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [17575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8361),
  [17577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record, 3, 0, 7),
  [17579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [17581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [17583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [17585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [17587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [17589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [17591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [17593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9037),
  [17595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [17597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [17599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [17601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [17603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [17605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [17607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record, 4, 0, 7),
  [17609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [17611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [17613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [17615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 5, 0, 0),
  [17617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [17619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 3, 0, 0),
  [17621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [17623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8598),
  [17625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [17627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [17629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [17631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [17633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8159),
  [17635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [17637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [17639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8606),
  [17641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [17643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [17645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where, 4, 0, 0),
  [17647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [17649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8433),
  [17651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [17653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [17655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [17657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9369),
  [17659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_hole, 1, 0, 0),
  [17661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [17663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [17665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [17667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [17669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [17671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8120),
  [17673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [17675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [17677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [17679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [17681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [17683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [17685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [17687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [17689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [17691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8139),
  [17693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [17695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [17697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integer, 1, 0, 0),
  [17699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9215),
  [17701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [17703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [17705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_signature_block_repeat1, 2, 0, 0),
  [17707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9236),
  [17709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declarations_block, 4, 0, 0),
  [17711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generalize, 2, 0, 0),
  [17713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9539),
  [17715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [17717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7990),
  [17719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [17721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [17723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [17725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [17727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [17729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [17731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [17733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [17735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [17737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [17739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [17741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [17743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mutual, 2, 0, 0),
  [17745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [17747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [17749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 4, 0, 0),
  [17751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [17753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [17755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [17757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [17759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract, 2, 0, 0),
  [17761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_private, 2, 0, 0),
  [17763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [17765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [17767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [17769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [17771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro, 2, 0, 0),
  [17773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9429),
  [17775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postulate, 2, 0, 0),
  [17777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [17779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [17781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [17783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [17785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive, 2, 0, 0),
  [17787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record, 6, 0, 7),
  [17789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8863),
  [17791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unquote_decl, 4, 0, 0),
  [17793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_name, 2, 0, 0),
  [17795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [17797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [17799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [17801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [17803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [17805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8967),
  [17807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [17809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [17811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [17813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8234),
  [17815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [17817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8982),
  [17819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [17821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [17823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [17825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [17827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [17829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [17831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [17833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [17835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__record_assignments, 2, 0, 0),
  [17837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [17839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8830),
  [17841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [17843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [17845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [17847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8244),
  [17849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [17851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8834),
  [17853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [17855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [17857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [17859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [17861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, 0, 0),
  [17863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [17865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [17867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [17869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [17871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [17873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [17875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [17877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [17879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [17881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [17883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [17885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [17887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [17889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [17891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [17893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [17895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [17897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8311),
  [17899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [17901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [17903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [17905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8294),
  [17907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [17909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [17911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [17913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [17915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [17917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [17919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [17921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8503),
  [17923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [17925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [17927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [17929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8541),
  [17931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [17933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [17935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [17937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [17939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [17941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [17943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [17945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8542),
  [17947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [17949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [17951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [17953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [17955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [17957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8174),
  [17959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [17961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [17963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unquote_decl, 3, 0, 0),
  [17965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [17967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8568),
  [17969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [17971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [17973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [17975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [17977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [17979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [17981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [17983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [17985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_assignments, 1, 0, 0),
  [17987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [17989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8249),
  [17991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [17993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [17995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 1, 0, 0),
  [17997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [17999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8965),
  [18001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [18003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [18005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [18007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8969),
  [18009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [18011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [18013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [18015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8246),
  [18017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [18019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [18021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [18023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [18025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8917),
  [18027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [18029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8163),
  [18031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [18033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [18035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8566),
  [18037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [18039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [18041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [18043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [18045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [18047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8567),
  [18049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [18051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [18053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [18055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [18057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8523),
  [18059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [18061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [18063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [18065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8345),
  [18067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [18069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8583),
  [18071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 5, 0, 6),
  [18073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [18075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [18077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [18079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8585),
  [18081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [18083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [18085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [18087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [18089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [18091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [18093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [18095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [18097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [18099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [18101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [18103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [18105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8591),
  [18107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [18109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [18111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [18113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [18115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [18117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7877),
  [18119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [18121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [18123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [18125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [18127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [18129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [18131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [18133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8176),
  [18135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [18137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [18139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [18141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8192),
  [18143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [18145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [18147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 4, 0, 0),
  [18149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [18151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8374),
  [18153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [18155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [18157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [18159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8338),
  [18161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [18163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [18165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [18167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [18169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [18171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [18173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8393),
  [18175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [18177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [18179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [18181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [18183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where, 2, 0, 0),
  [18185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data, 7, 0, 0),
  [18187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declarations_block, 5, 0, 0),
  [18189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [18191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8292),
  [18193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [18195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [18197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [18199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8335),
  [18201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [18203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [18205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [18207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8450),
  [18209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [18211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [18213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [18215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [18217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [18219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [18221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [18223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [18225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [18227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [18229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_renaming, 3, 0, 0),
  [18231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [18233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8548),
  [18235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [18237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [18239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [18241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [18243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [18245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [18247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [18249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8448),
  [18251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [18253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [18255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [18257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [18259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [18261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [18263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [18265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8302),
  [18267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [18269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [18271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [18273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7853),
  [18275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [18277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [18279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [18281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [18283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8315),
  [18285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [18287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [18289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [18291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [18293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [18295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7946),
  [18297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [18299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [18301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [18303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [18305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [18307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [18309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [18311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7948),
  [18313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [18315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [18317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [18319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [18321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_block, 3, 0, 0),
  [18323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [18325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [18327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [18329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [18331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [18333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [18335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_block, 3, 0, 0),
  [18337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [18339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [18341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [18343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [18345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [18347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [18349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [18351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [18353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [18355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [18357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [18359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [18361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [18363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [18365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [18367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [18369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [18371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [18373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [18375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8546),
  [18377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [18379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [18381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [18383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [18385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [18387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [18389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [18391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [18393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [18395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [18397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [18399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [18401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [18403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [18405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [18407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [18409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [18411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [18413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [18415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [18417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [18419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [18421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [18423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [18425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [18427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [18429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [18431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [18433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [18435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [18437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [18439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [18441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [18443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [18445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [18447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [18449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [18451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [18453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [18455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [18457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [18459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7904),
  [18461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [18463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [18465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [18467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [18469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [18471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [18473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [18475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [18477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [18479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [18481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [18483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [18485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [18487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [18489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [18491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [18493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [18495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [18497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_hole, 4, 0, 0),
  [18499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [18501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [18503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [18505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [18507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [18509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [18511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [18513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [18515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [18517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [18519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [18521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [18523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [18525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [18527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [18529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [18531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [18533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [18535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [18537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [18539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [18541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [18543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [18545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [18547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [18549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [18551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [18553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [18555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [18557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [18559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [18561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [18563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [18565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [18567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [18569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [18571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [18573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [18575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [18577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [18579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [18581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [18583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [18585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [18587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_signature_block, 3, 0, 0),
  [18589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [18591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [18593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [18595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [18597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [18599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [18601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [18603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [18605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8200),
  [18607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [18609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [18611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [18613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [18615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8207),
  [18617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [18619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [18621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [18623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [18625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [18627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [18629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [18631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [18633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [18635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6178),
  [18637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [18639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8018),
  [18641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9836),
  [18643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [18645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [18647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7245),
  [18649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [18651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [18653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [18655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [18657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [18659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7907),
  [18661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [18663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8022),
  [18665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [18667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9275),
  [18669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [18671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [18673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [18675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [18677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [18679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8209),
  [18681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [18683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [18685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [18687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [18689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [18691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [18693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [18695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8210),
  [18697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [18699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [18701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [18703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [18705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [18707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [18709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [18711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [18713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [18715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [18717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [18719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [18721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [18723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [18725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [18727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [18729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4747),
  [18731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [18733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7842),
  [18735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [18737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9303),
  [18739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [18741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [18743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [18745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7371),
  [18747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [18749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [18751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8837),
  [18753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7903),
  [18755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7118),
  [18757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [18759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [18761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4803),
  [18763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [18765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [18767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [18769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [18771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9257),
  [18773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8349),
  [18775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [18777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [18779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [18781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [18783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [18785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [18787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_where, 2, 0, 0),
  [18789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__do_stmt, 2, 0, 0),
  [18791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [18793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [18795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8512),
  [18797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [18799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [18801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [18803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9477),
  [18805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9330),
  [18807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [18809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [18811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [18813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [18815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7832),
  [18817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7932),
  [18819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5925),
  [18821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [18823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7390),
  [18825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [18827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [18829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [18831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [18833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [18835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7926),
  [18837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [18839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [18841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [18843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [18845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [18847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 4, 0, 0),
  [18849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7927),
  [18851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [18853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [18855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7631),
  [18857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [18859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [18861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [18863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [18865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8183),
  [18867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [18869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9355),
  [18871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8115),
  [18873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [18875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [18877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [18879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [18881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [18883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [18885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [18887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8515),
  [18889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [18891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [18893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [18895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [18897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [18899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [18901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [18903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [18905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7549),
  [18907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [18909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8356),
  [18911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [18913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [18915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9040),
  [18917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [18919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8268),
  [18921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [18923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [18925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [18927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [18929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11901),
  [18931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [18933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [18935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9382),
  [18937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7647),
  [18939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9471),
  [18941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [18943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [18945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [18947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [18949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [18951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [18953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [18955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [18957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [18959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [18961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [18963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5916),
  [18965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [18967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [18969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [18971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [18973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [18975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5929),
  [18977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [18979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [18981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [18983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8521),
  [18985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [18987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5938),
  [18989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [18991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5277),
  [18993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [18995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9282),
  [18997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [18999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [19001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [19003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [19005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_constructor, 2, 0, 0),
  [19007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8525),
  [19009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [19011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [19013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4829),
  [19015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [19017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [19019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [19021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8528),
  [19023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [19025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [19027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [19029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7486),
  [19031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7908),
  [19033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [19035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8615),
  [19037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [19039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [19041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [19043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [19045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7884),
  [19047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [19049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [19051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [19053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [19055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [19057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [19059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9276),
  [19061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [19063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9006),
  [19065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [19067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [19069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [19071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [19073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [19075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [19077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [19079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8121),
  [19081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [19083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6636),
  [19085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [19087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [19089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7225),
  [19091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [19093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6790),
  [19095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6587),
  [19097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6591),
  [19099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6595),
  [19101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [19103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [19105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [19107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [19109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [19111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [19113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [19115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [19117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [19119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [19121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8310),
  [19123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [19125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [19127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9187),
  [19129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5844),
  [19131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [19133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [19135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [19137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [19139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [19141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [19143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [19145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [19147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [19149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [19151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5329),
  [19153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [19155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [19157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8920),
  [19159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [19161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8700),
  [19163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5169),
  [19165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [19167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [19169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [19171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [19173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [19175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [19177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [19179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [19181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [19183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8156),
  [19185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9222),
  [19187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [19189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [19191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [19193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8909),
  [19195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [19197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [19199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8096),
  [19201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [19203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [19205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [19207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7209),
  [19209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [19211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [19213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [19215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [19217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8133),
  [19219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [19221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [19223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [19225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [19227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [19229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8314),
  [19231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8135),
  [19233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [19235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [19237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [19239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [19241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [19243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9263),
  [19245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [19247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [19249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [19251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8752),
  [19253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8318),
  [19255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8760),
  [19257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [19259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [19261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [19263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [19265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [19267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [19269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [19271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [19273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9060),
  [19275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [19277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5389),
  [19279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [19281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7299),
  [19283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [19285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8199),
  [19287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [19289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8801),
  [19291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4744),
  [19293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6865),
  [19295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [19297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [19299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10342),
  [19301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [19303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9294),
  [19305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [19307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8321),
  [19309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [19311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [19313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6941),
  [19315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [19317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [19319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [19321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [19323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [19325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [19327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [19329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [19331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [19333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [19335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [19337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [19339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [19341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [19343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [19345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [19347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5364),
  [19349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7919),
  [19351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [19353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [19355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8202),
  [19357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9323),
  [19359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8930),
  [19361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [19363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [19365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [19367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9338),
  [19369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [19371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8205),
  [19373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9421),
  [19375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [19377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [19379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [19381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [19383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9011),
  [19385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [19387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [19389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [19391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [19393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9341),
  [19395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9451),
  [19397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_constructor_instance, 4, 0, 0),
  [19399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [19401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [19403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [19405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9452),
  [19407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6584),
  [19409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [19411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9356),
  [19413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8180),
  [19415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [19417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8188),
  [19419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5675),
  [19421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [19423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5681),
  [19425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [19427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [19429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9865),
  [19431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [19433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [19435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7746),
  [19437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [19439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [19441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [19443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [19445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7748),
  [19447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [19449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [19451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [19453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7806),
  [19455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [19457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [19459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8933),
  [19461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [19463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9402),
  [19465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [19467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6607),
  [19469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [19471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [19473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10570),
  [19475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_induction, 1, 0, 0),
  [19477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [19479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [19481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [19483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [19485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [19487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [19489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [19491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [19493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [19495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [19497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7224),
  [19499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [19501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8937),
  [19503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [19505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [19507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [19509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [19511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8940),
  [19513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [19515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9348),
  [19517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [19519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12051),
  [19521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [19523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [19525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [19527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [19529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7691),
  [19531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [19533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9840),
  [19535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10051),
  [19537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [19539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [19541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8260),
  [19543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [19545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [19547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6897),
  [19549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [19551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4665),
  [19553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [19555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8747),
  [19557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [19559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [19561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [19563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [19565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [19567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [19569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9232),
  [19571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7252),
  [19573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7950),
  [19575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [19577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [19579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5652),
  [19581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5628),
  [19583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8889),
  [19585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [19587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [19589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [19591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [19593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [19595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [19597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7954),
  [19599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8074),
  [19601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [19603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [19605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6126),
  [19607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8748),
  [19609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [19611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9302),
  [19613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [19615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7193),
  [19617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8758),
  [19619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [19621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8213),
  [19623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [19625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [19627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [19629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9043),
  [19631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5679),
  [19633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [19635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [19637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [19639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [19641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [19643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [19645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [19647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6799),
  [19649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9287),
  [19651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [19653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8171),
  [19655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [19657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [19659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [19661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8769),
  [19663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [19665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5903),
  [19667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5904),
  [19669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5906),
  [19671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [19673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [19675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [19677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [19679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7682),
  [19681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [19683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7411),
  [19685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9240),
  [19687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [19689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [19691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8774),
  [19693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [19695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [19697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [19699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [19701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8797),
  [19703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8504),
  [19705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [19707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9361),
  [19709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [19711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [19713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [19715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [19717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [19719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [19721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [19723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [19725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [19727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [19729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5845),
  [19731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [19733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9286),
  [19735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [19737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [19739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [19741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [19743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [19745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [19747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [19749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [19751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5849),
  [19753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [19755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8320),
  [19757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [19759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9351),
  [19761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [19763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_eta, 1, 0, 0),
  [19765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [19767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7911),
  [19769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [19771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7457),
  [19773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7294),
  [19775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [19777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [19779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8383),
  [19781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7302),
  [19783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [19785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [19787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [19789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9336),
  [19791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [19793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6046),
  [19795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9015),
  [19797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [19799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [19801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [19803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8388),
  [19805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [19807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [19809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9239),
  [19811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [19813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [19815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4728),
  [19817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [19819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8324),
  [19821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [19823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [19825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [19827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [19829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5843),
  [19831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5770),
  [19833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [19835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [19837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [19839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9193),
  [19841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [19843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8327),
  [19845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [19847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [19849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [19851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [19853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [19855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7421),
  [19857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [19859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [19861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [19863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9270),
  [19865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [19867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7851),
  [19869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [19871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [19873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8552),
  [19875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [19877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [19879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7510),
  [19881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [19883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [19885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9389),
  [19887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [19889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [19891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8553),
  [19893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [19895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [19897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8554),
  [19899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [19901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [19903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9206),
  [19905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12355),
  [19907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [19909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7925),
  [19911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5877),
  [19913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [19915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [19917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [19919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [19921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [19923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9166),
  [19925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6646),
  [19927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [19929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10176),
  [19931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7981),
  [19933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [19935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [19937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9258),
  [19939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [19941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [19943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [19945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5809),
  [19947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [19949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [19951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [19953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [19955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7389),
  [19957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [19959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [19961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [19963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9295),
  [19965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [19967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [19969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7530),
  [19971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [19973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7522),
  [19975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [19977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8576),
  [19979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [19981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5790),
  [19983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [19985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [19987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9378),
  [19989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [19991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [19993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8578),
  [19995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7531),
  [19997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8579),
  [19999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8236),
  [20001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9400),
  [20003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [20005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5271),
  [20007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9248),
  [20009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7354),
  [20011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7366),
  [20013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [20015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [20017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [20019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8602),
  [20021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [20023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8162),
  [20025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9018),
  [20027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [20029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [20031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [20033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [20035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9354),
  [20037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11934),
  [20039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7422),
  [20041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12013),
  [20043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8956),
  [20045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [20047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [20049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [20051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [20053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [20055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [20057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9395),
  [20059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [20061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8164),
  [20063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [20065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [20067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [20069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12026),
  [20071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8964),
  [20073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [20075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [20077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [20079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9327),
  [20081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [20083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [20085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [20087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [20089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8968),
  [20091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8165),
  [20093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8970),
  [20095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [20097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 3, 0, 0),
  [20099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [20101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [20103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [20105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9325),
  [20107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [20109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [20111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8336),
  [20113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [20115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10704),
  [20117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12194),
  [20119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [20121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7352),
  [20123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [20125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [20127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4470),
  [20129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9312),
  [20131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [20133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [20135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8582),
  [20137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [20139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7976),
  [20141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [20143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [20145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [20147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__field_assignments_repeat1, 2, 0, 0),
  [20149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [20151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [20153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [20155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [20157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9249),
  [20159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [20161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [20163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [20165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [20167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [20169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7368),
  [20171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8584),
  [20173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [20175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [20177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [20179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [20181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [20183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9318),
  [20185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [20187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [20189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8586),
  [20191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [20193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [20195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8587),
  [20197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11608),
  [20199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [20201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [20203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9401),
  [20205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [20207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8184),
  [20209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [20211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [20213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [20215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [20217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [20219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7304),
  [20221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9245),
  [20223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [20225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [20227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [20229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [20231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8603),
  [20233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [20235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [20237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [20239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9309),
  [20241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7861),
  [20243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8193),
  [20245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [20247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [20249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [20251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8929),
  [20253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [20255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8608),
  [20257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [20259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9364),
  [20261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4789),
  [20263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [20265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [20267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8612),
  [20269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9189),
  [20271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8627),
  [20273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [20275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [20277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [20279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [20281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [20283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7739),
  [20285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [20287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9281),
  [20289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [20291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [20293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5817),
  [20295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [20297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [20299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [20301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5830),
  [20303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9311),
  [20305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [20307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7859),
  [20309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [20311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9391),
  [20313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [20315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [20317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8406),
  [20319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [20321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [20323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [20325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [20327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [20329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9332),
  [20331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [20333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7599),
  [20335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [20337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7858),
  [20339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [20341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [20343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [20345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [20347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9359),
  [20349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [20351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [20353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [20355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [20357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [20359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [20361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9379),
  [20363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [20365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [20367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [20369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [20371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [20373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [20375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [20377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5907),
  [20379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [20381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [20383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9253),
  [20385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [20387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [20389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [20391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [20393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [20395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [20397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [20399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7614),
  [20401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [20403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9305),
  [20405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8152),
  [20407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [20409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [20411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8611),
  [20413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7618),
  [20415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [20417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [20419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9194),
  [20421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [20423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [20425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9223),
  [20427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8204),
  [20429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [20431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9233),
  [20433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9483),
  [20435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [20437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9243),
  [20439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8153),
  [20441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8154),
  [20443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9262),
  [20445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9277),
  [20447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8155),
  [20449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [20451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9317),
  [20453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8235),
  [20455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9344),
  [20457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [20459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9358),
  [20461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [20463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9393),
  [20465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8167),
  [20467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [20469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9209),
  [20471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9346),
  [20473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [20475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9198),
  [20477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [20479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9221),
  [20481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [20483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9247),
  [20485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10228),
  [20487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9255),
  [20489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7623),
  [20491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [20493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9267),
  [20495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [20497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9271),
  [20499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7258),
  [20501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9185),
  [20503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [20505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9292),
  [20507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [20509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9020),
  [20511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9298),
  [20513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [20515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9304),
  [20517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [20519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6217),
  [20521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9310),
  [20523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [20525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9319),
  [20527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [20529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9335),
  [20531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [20533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8505),
  [20535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9339),
  [20537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [20539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [20541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9345),
  [20543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [20545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [20547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9353),
  [20549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9569),
  [20551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [20553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9360),
  [20555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [20557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9366),
  [20559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [20561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [20563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9372),
  [20565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [20567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7174),
  [20569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9388),
  [20571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [20573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9394),
  [20575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [20577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [20579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [20581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9399),
  [20583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7518),
  [20585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [20587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9306),
  [20589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7624),
  [20591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8379),
  [20593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [20595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9381),
  [20597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7274),
  [20599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9214),
  [20601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [20603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9229),
  [20605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8206),
  [20607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [20609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [20611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9264),
  [20613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [20615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9285),
  [20617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [20619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [20621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9324),
  [20623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [20625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9368),
  [20627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5658),
  [20629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9188),
  [20631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8446),
  [20633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8495),
  [20635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9191),
  [20637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [20639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9195),
  [20641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [20643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9199),
  [20645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [20647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [20649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9203),
  [20651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [20653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9210),
  [20655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [20657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9213),
  [20659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [20661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7883),
  [20663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9217),
  [20665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [20667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8465),
  [20669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9224),
  [20671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [20673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9226),
  [20675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [20677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [20679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9231),
  [20681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6921),
  [20683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9237),
  [20685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7827),
  [20687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [20689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6927),
  [20691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9246),
  [20693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [20695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7804),
  [20697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9250),
  [20699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5870),
  [20701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [20703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9256),
  [20705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [20707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9724),
  [20709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9260),
  [20711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [20713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9266),
  [20715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [20717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [20719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [20721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9269),
  [20723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [20725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9274),
  [20727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [20729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9279),
  [20731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [20733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8481),
  [20735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9284),
  [20737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [20739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9290),
  [20741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [20743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4717),
  [20745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9293),
  [20747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [20749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9297),
  [20751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [20753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [20755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9301),
  [20757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [20759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9403),
  [20761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7471),
  [20763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [20765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [20767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9308),
  [20769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8277),
  [20771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [20773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [20775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9314),
  [20777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [20779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9316),
  [20781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_signature, 3, 0, 0),
  [20783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [20785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [20787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9329),
  [20789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [20791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9337),
  [20793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [20795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [20797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [20799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9347),
  [20801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9357),
  [20803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [20805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9365),
  [20807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [20809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9370),
  [20811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5217),
  [20813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9377),
  [20815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [20817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9384),
  [20819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [20821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9396),
  [20823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [20825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [20827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [20829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9200),
  [20831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5302),
  [20833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [20835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9333),
  [20837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [20839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9251),
  [20841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [20843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [20845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9190),
  [20847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [20849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9196),
  [20851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [20853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [20855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [20857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9376),
  [20859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [20861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7637),
  [20863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [20865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9220),
  [20867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [20869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [20871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9307),
  [20873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [20875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9228),
  [20877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9392),
  [20879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [20881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8298),
  [20883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [20885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9192),
  [20887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [20889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [20891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9331),
  [20893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 2, 0, 0),
  [20895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [20897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [20899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9261),
  [20901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9202),
  [20903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [20905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [20907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [20909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9254),
  [20911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [20913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9386),
  [20915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [20917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9367),
  [20919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [20921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9218),
  [20923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5697),
  [20925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [20927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [20929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9272),
  [20931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8290),
  [20933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [20935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9385),
  [20937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [20939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9326),
  [20941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [20943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8620),
  [20945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [20947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9201),
  [20949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [20951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5948),
  [20953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9242),
  [20955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [20957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9278),
  [20959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [20961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [20963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9352),
  [20965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [20967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [20969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9380),
  [20971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8532),
  [20973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9227),
  [20975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9375),
  [20977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8518),
  [20979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8601),
  [20981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9216),
  [20983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9238),
  [20985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [20987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9273),
  [20989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [20991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [20993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9313),
  [20995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [20997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9373),
  [20999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [21001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9387),
  [21003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [21005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [21007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9283),
  [21009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [21011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [21013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9289),
  [21015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [21017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [21019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9186),
  [21021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [21023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9204),
  [21025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9874),
  [21027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [21029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8126),
  [21031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9230),
  [21033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7821),
  [21035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [21037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [21039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9252),
  [21041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [21043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9280),
  [21045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [21047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [21049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9299),
  [21051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [21053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5988),
  [21055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9349),
  [21057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [21059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [21061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9371),
  [21063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8303),
  [21065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [21067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9383),
  [21069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [21071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9398),
  [21073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4913),
  [21075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [21077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9212),
  [21079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8041),
  [21081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [21083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10785),
  [21085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [21087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [21089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7722),
  [21091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [21093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [21095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [21097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [21099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [21101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [21103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [21105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [21107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9153),
  [21109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9268),
  [21111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [21113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [21115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8339),
  [21117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8375),
  [21119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [21121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7568),
  [21123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8241),
  [21125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [21127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [21129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [21131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [21133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [21135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [21137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7745),
  [21139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8422),
  [21141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [21143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [21145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [21147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11605),
  [21149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [21151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [21153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [21155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [21157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [21159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [21161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12234),
  [21163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [21165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [21167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [21169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [21171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [21173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12557),
  [21175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [21177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [21179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [21181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12726),
  [21183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8052),
  [21185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [21187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [21189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10273),
  [21191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [21193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5818),
  [21195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [21197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5823),
  [21199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10336),
  [21201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [21203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [21205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [21207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [21209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5370),
  [21211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10391),
  [21213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [21215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [21217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11021),
  [21219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11034),
  [21221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10446),
  [21223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [21225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [21227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [21229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10499),
  [21231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [21233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [21235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [21237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [21239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [21241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10552),
  [21243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [21245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [21247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [21249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10605),
  [21251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [21253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [21255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8390),
  [21257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [21259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10658),
  [21261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [21263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [21265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8127),
  [21267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [21269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10711),
  [21271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [21273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [21275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [21277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [21279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [21281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [21283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10764),
  [21285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [21287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [21289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [21291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10816),
  [21293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [21295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [21297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [21299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [21301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10864),
  [21303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [21305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8337),
  [21307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [21309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10912),
  [21311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [21313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [21315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [21317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10960),
  [21319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [21321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [21323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11008),
  [21325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [21327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6166),
  [21329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [21331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [21333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [21335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [21337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11052),
  [21339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7979),
  [21341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [21343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7677),
  [21345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11087),
  [21347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8285),
  [21349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [21351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11122),
  [21353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [21355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [21357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [21359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8129),
  [21361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11157),
  [21363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [21365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11187),
  [21367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5633),
  [21369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9019),
  [21371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9197),
  [21373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11209),
  [21375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [21377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [21379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11231),
  [21381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6310),
  [21383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [21385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [21387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [21389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11253),
  [21391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [21393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11275),
  [21395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [21397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8224),
  [21399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [21401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11297),
  [21403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [21405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [21407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [21409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11319),
  [21411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [21413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [21415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [21417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12385),
  [21419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [21421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11341),
  [21423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [21425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8021),
  [21427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [21429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11363),
  [21431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [21433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [21435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11385),
  [21437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [21439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11407),
  [21441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7984),
  [21443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [21445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11429),
  [21447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [21449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [21451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11451),
  [21453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [21455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8233),
  [21457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11473),
  [21459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [21461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [21463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11495),
  [21465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4968),
  [21467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [21469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [21471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11517),
  [21473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [21475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7396),
  [21477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11539),
  [21479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [21481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11561),
  [21483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [21485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7429),
  [21487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11583),
  [21489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11604),
  [21491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5529),
  [21493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [21495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [21497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [21499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [21501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4776),
  [21503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [21505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [21507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [21509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [21511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [21513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8483),
  [21515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [21517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [21519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9244),
  [21521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8944),
  [21523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [21525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [21527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [21529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [21531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [21533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [21535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [21537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [21539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [21541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [21543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [21545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [21547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [21549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [21551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8538),
  [21553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [21555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [21557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [21559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [21561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [21563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [21565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [21567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [21569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [21571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5862),
  [21573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [21575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7795),
  [21577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [21579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [21581] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [21583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [21585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [21587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [21589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [21591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7737),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
};

static const bool ts_external_scanner_states[6][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
  },
  [2] = {
    [ts_external_token__dedent] = true,
  },
  [3] = {
    [ts_external_token__indent] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_agda_external_scanner_create(void);
void tree_sitter_agda_external_scanner_destroy(void *);
bool tree_sitter_agda_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_agda_external_scanner_serialize(void *, char *);
void tree_sitter_agda_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_agda(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_id,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_agda_external_scanner_create,
      tree_sitter_agda_external_scanner_destroy,
      tree_sitter_agda_external_scanner_scan,
      tree_sitter_agda_external_scanner_serialize,
      tree_sitter_agda_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
